DROP TABLE IF EXISTS `npc`;
CREATE TABLE `npc`(
  `id` decimal(11,0) NOT NULL default '0',
  `idTemplate` int(11) NOT NULL default '0',
  `name` varchar(200) default NULL,
  `serverSideName` int(1) default '0',
  `title` varchar(45) default '',
  `serverSideTitle` int(1) default '0',
  `class` varchar(200) default NULL,
  `collision_radius` decimal(5,2) default NULL,
  `collision_height` decimal(5,2) default NULL,
  `level` decimal(2,0) default NULL,
  `sex` varchar(6) default NULL,
  `type` varchar(21) default NULL,
  `attackrange` int(11) default NULL,
  `hp` decimal(8,0) default NULL,
  `mp` decimal(8,0) default NULL,
  `hpreg` decimal(8,2) default NULL,
  `mpreg` decimal(5,2) default NULL,
  `str` decimal(7,0) default NULL,
  `con` decimal(7,0) default NULL,
  `dex` decimal(7,0) default NULL,
  `int` decimal(7,0) default NULL,
  `wit` decimal(7,0) default NULL,
  `men` decimal(7,0) default NULL,
  `exp` decimal(9,0) default NULL,
  `sp` decimal(8,0) default NULL,
  `patk` decimal(5,0) default NULL,
  `pdef` decimal(5,0) default NULL,
  `matk` decimal(5,0) default NULL,
  `mdef` decimal(5,0) default NULL,
  `atkspd` decimal(3,0) default NULL,
  `aggro` decimal(6,0) default NULL,
  `matkspd` decimal(4,0) default NULL,
  `rhand` decimal(5,0) default NULL,
  `lhand` decimal(5,0) default NULL,
  `armor` decimal(1,0) default NULL,
  `walkspd` decimal(3,0) default NULL,
  `runspd` decimal(3,0) default NULL,
  `faction_id` varchar(40) default NULL,
  `faction_range` decimal(4,0) default NULL,
  `isUndead` int(11) default 0,
  `absorb_level` decimal(2,0) default 0,
  `absorb_type` enum('FULL_PARTY','LAST_HIT','PARTY_ONE_RANDOM') DEFAULT 'LAST_HIT' NOT NULL,
  `ss` int(4) default 0,
  `bss` int(4) default 0,
  `ss_rate` int(3) default 0,
  `AI` varchar(8) default "fighter",
  `drop_herbs` enum('true','false') DEFAULT 'false' NOT NULL,
  PRIMARY KEY (`id`)
);

INSERT INTO `npc` VALUES
(1,1,'Thomas D. Turkey',0,'Misguided Holiday Scrooge',0,'LineageMonster4.br_crazy_turkey',22,32,85,'male','L2Npc',40,751,331,2.37,1.53,80,80,80,80,80,80,0,0,88,119,37,112,282,0,5000,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(2,2,'',0,'',0,'LineageNPC.clear_npc',22,32,85,'male','L2Npc',40,751,331,2.37,1.53,80,80,80,80,80,80,0,0,88,119,37,112,282,0,5000,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(3,3,'Santa\'s Helper',0,'',0,'LineageNPC.e_smith_master_MDwarf',13,17,85,'male','L2Npc',40,751,331,2.37,1.53,80,80,80,80,80,80,0,0,88,119,37,112,282,0,5000,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(4,4,'Holiday Santa',0,'Happy Holidays!',0,'LineageNPC2.br_xmas08_santa',13,21,85,'male','L2Npc',40,751,331,2.37,1.53,80,80,80,80,80,80,0,0,88,119,37,112,282,0,5000,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(5,5,'Holiday Santa',0,'Happy Holidays!',0,'LineageNPC2.br_xmas08_santa',13,21,85,'male','L2Npc',40,751,331,2.37,1.53,80,80,80,80,80,80,0,0,88,119,37,112,282,0,5000,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(6,6,'Holiday Sled',0,'Happy Holidays!',0,'LineageNPC2.br_xmas08_sled',13,13,85,'male','L2Npc',40,751,331,2.37,1.53,80,80,80,80,80,80,0,0,88,119,37,112,282,0,5000,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(7,7,'Birthday Cake',0,'',0,'LineageNPC2.br_birthday_cake',0.01,5.5,85,'male','L2Npc',40,751,331,2.37,1.53,80,80,80,80,80,80,0,0,88,119,37,112,282,0,5000,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(8,8,'Spirit of Fire',0,'',0,'LineageMonster4.br_fire_elemental',16,22,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(9,9,'Explosive Spirit of Fire',0,'',0,'LineageMonster4.br_fire_elemental_of_fierce',26,35,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(10,10,'Jack Sage',0,'Eva\'s High Priest',0,'LineageNPC2.br_archbishop_of_eva',8,26.50,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(11,11,'Eva\'s Obelisk',0,'',0,'LineageNPC2.br_obelisk_of_eva',40,120,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12,12,'',0,'',0,'LineageNPC.clear_npc',0,0,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13,13,'Warm Hearted Sno',0,'Beginner Supporter',0,'LineageNPC2.br_tp_actor',9,29.29,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14,14,'Warm Hearted Sno',0,'Beginner Supporter',0,'LineageNPC2.br_tp_actor',9,29.29,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(15,15,'Warm Hearted Sno',0,'Beginner Supporter',0,'LineageNPC2.br_tp_actor',9,29.29,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16,16,'Warm Hearted Sno',0,'Beginner Supporter',0,'LineageNPC2.br_tp_actor',9,29.29,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(17,17,'Warm Hearted Sno',0,'Beginner Supporter',0,'LineageNPC2.br_tp_actor',9,29.29,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18,18,'Warm Hearted Sno',0,'Beginner Supporter',0,'LineageNPC2.br_tp_actor',9,29.29,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1501,1501,'Majo Agathion',0,'',0,'LineageNPC2.br_agathion_mazu',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1502,1502,'Gold Agathion',0,'',0,'LineageNPC2.br_agathion_mazu',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1503,1503,'Black Agathion',0,'',0,'LineageNPC2.br_agathion_mazu',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1504,1504,'Plaipitak Agathion',0,'',0,'LineageNPC2.br_agathion_elephant',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1505,1505,'Baby Panda Agathion',0,'',0,'LineageNPC2.br_agathion_bpanda',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1506,1506,'Bamboo Panda Agathion',0,'',0,'LineageNPC2.br_agathion_mpanda',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1507,1507,'Sexy Panda Agathion',0,'',0,'LineageNPC2.br_agathion_wpanda',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1508,1508,'White Cupid Agathion',0,'',0,'LineageNPC2.br_agathion_wcupid',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1509,1509,'Dark Cupid Agathion',0,'',0,'LineageNPC2.br_agathion_dcupid',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1510,1510,'White Maneki Neko Agathion',0,'',0,'LineageNPC2.br_agathion_maneki',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1511,1511,'Black Maneki Neko Agathion',0,'',0,'LineageNPC2.br_agathion_maneki',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1512,1512,'Brown Maneki Neko Agathion',0,'',0,'LineageNPC2.br_agathion_maneki',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1513,1513,'One-Eyed Bat Drove Agathion',0,'',0,'LineageNPC2.br_agathion_bat',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1514,1514,'Pegasus Agathion',0,'',0,'LineageNPC2.br_agathion_pegasus',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1515,1515,'Yellow-Robed Tojigong Agathion',0,'',0,'LineageNPC2.br_agathion_tozi',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1516,1516,'Blue-Robed Tojigong Agathion',0,'',0,'LineageNPC2.br_agathion_tozi',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1517,1517,'Green-Robed Tojigong Agathion',0,'',0,'LineageNPC2.br_agathion_tozi',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1518,1518,'Bugbear Agathion',0,'',0,'LineageNPC2.br_agathion_bugbear',13,11.5,70,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1519,1519,'Red Sumo Wrestler Agathion',0,'',0,'LineageNPC2.br_agathion_redsumo',13,11.5,70,'male','L2Npc',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1520,1520,'Blue Sumo Wrestler Agathion',0,'',0,'LineageNPC2.br_agathion_bluesumo',13,11.5,70,'male','L2Npc',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1521,1521,'Great Sumo Match Agathion',0,'',0,'LineageNPC2.br_agathion_match',13,11.5,70,'male','L2Npc',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1522,1522,'Button-Eyed Bear Doll',0,'',0,'LineageNPC2.br_agathion_bear',13,11.5,15,'male','L2Npc',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1523,1523,'God of Fortune',0,'',0,'LineageNPC2.br_agathion_wealthgod',13,11.5,15,'male','L2Npc',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1524,1524,'Dryad Agathion',0,'',0,'LineageNPC2.br_agathion_dryad',13,11.5,70,'male','L2Npc',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1525,1525,'Wonboso Agathion',0,'',0,'LineageNPC2.br_agathion_cashcow',13,11.5,70,'male','L2Npc',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1526,1526,'Daewoonso Agathion',0,'',0,'LineageNPC2.br_agathion_luckycow',13,11.5,70,'male','L2Npc',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1527,1527,'Pomona Agathion',0,'',0,'LineageNPC2.br_agathion_pomona',13,11.50,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(1528,1528,'Weaver Agathion',0,'',0,'LineageNPC2.br_agathion_womanweaver',13,11.50,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false');

INSERT INTO `npc` VALUES
(4301,4301,'Queen of Hearts',0,'Valentine Messenger',0,'LineageMonster2.queen_of_cat',8,15,15,'male','L2Npc',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,0,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(4302,4302,'Master Dugi',0,'Soul Healer',0,'LineageNPC2.event_comic_masteryogy',9,16.70,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12077,12077,'Wolf',0,'',0,'Monster.pet_wolf',13,11.5,15,'male','L2Pet',40,195,164,3.95,1.21,40,43,30,21,20,25,0,0,9,19,3,17,304,0,333,3907,0,0,24,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12311,12311,'Hatchling of the Wind',0,'',0,'Monster.hatchling',9,10,35,'male','L2Pet',40,610,433,7.11,1.84,40,43,30,21,20,25,0,0,48,42,22,39,278,0,333,0,0,0,80,140,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12312,12312,'Hatchling of the Stars',0,'',0,'Monster.hatchling',9,10,35,'male','L2Pet',40,610,433,7.11,1.84,40,43,30,21,20,25,0,0,48,42,22,39,278,0,333,0,0,0,80,140,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12313,12313,'Hatchling of Twilight',0,'',0,'Monster.hatchling',9,10,35,'male','L2Pet',40,610,433,7.11,1.84,40,43,30,21,20,25,0,0,48,42,22,39,282,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12526,12526,'Wind Strider',0,'',0,'Monster.strider',23,31,55,'male','L2Pet',40,2728,1138,10.27,2.45,40,43,30,21,20,25,0,0,703,332,360,301,304,0,333,5178,0,0,80,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12527,12527,'Star Strider',0,'',0,'Monster.strider',23,31,55,'male','L2Pet',40,2728,1138,10.27,2.45,40,43,30,21,20,25,0,0,703,332,360,301,282,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12528,12528,'Twilight Strider',0,'',0,'Monster.strider',23,31,55,'male','L2Pet',40,2728,1138,10.27,2.45,40,43,30,21,20,25,0,0,703,332,360,301,278,0,333,0,0,0,80,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12564,12564,'Sin Eater',0,'',0,'Monster.imp',10,24,15,'male','L2Pet',40,195,164,1.15,1.21,40,1,30,21,20,25,0,0,9,19,3,17,278,0,333,0,0,0,60,125,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12621,12621,'Wyvern',0,'',0,'Monster.wyvern',60,80,70,'male','L2Pet',40,3862,1722,11.85,2.78,40,43,30,21,20,25,0,0,1335,470,780,440,282,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12774,12774,'Young Squash',0,'',0,'NPC.drop_gourd_50_sm',10,10.5,1,'etc','L2Npc',40,158,0,1.42,0,40,43,30,21,20,10,0,0,4,41,3,33,278,0,333,0,0,0,0,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(12775,12775,'High Quality Squash',0,'',0,'NPC.drop_gourd',23,25,1,'etc','L2Npc',40,205,0,1.42,0,40,43,30,21,20,10,0,0,4,41,3,33,278,0,333,0,0,0,0,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(12776,12776,'Low Quality Squash',0,'',0,'NPC.drop_gourd_25_sm',15,16,1,'etc','L2Npc',40,205,0,1.42,0,40,43,30,21,20,10,0,0,4,41,3,33,278,0,333,0,0,0,0,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(12777,12777,'Large Young Squash',0,'',0,'NPC.drop_gourd',23,25,1,'etc','L2Npc',40,158,0,1.42,0,40,43,30,21,20,10,0,0,4,41,3,33,278,0,333,0,0,0,0,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(12778,12778,'High Quality Large Squash',0,'',0,'NPC.drop_gourd_50_bi',34,40,1,'etc','L2Npc',40,205,0,1.42,0,40,43,30,21,20,10,0,0,4,41,3,33,278,0,333,0,0,0,0,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(12779,12779,'Low Quality Large Squash',0,'',0,'NPC.drop_gourd_25_bi',28,31,1,'etc','L2Npc',40,205,0,1.42,0,40,43,30,21,20,10,0,0,4,41,3,33,278,0,333,0,0,0,0,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(12780,12780,'Baby Buffalo',0,'',0,'Monster2.baby_buffalo',12,15,25,'male','L2BabyPet',40,751,331,2.37,1.53,40,43,30,21,20,25,0,0,88,119,37,112,282,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12781,12781,'Baby Kookaburra',0,'',0,'Monster2.baby_ostrich',7,15,25,'male','L2BabyPet',40,751,331,2.37,1.53,40,43,30,21,20,25,0,0,88,119,37,112,282,0,333,0,0,0,14,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(12782,12782,'Baby Cougar',0,'',0,'Monster2.baby_tiger',11,15.7,25,'male','L2BabyPet',40,751,331,2.37,1.53,40,43,30,21,20,25,0,0,88,119,37,112,278,0,333,0,0,0,28,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13001,13001,'Heart of Warding',0,'',0,'NPC.heart_of_warding',17,75,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(13002,13002,'Life Control Tower',0,'',0,'NPC.broadcasting_tower',13,54,20,'etc','L2ControlTower',40,10000,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(13003,13003,'Life Control Tower',0,'',0,'NPC.dead_castle_aden_controltower_jewel',7,35,20,'etc','L2ControlTower',40,10000,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(13004,13004,'Flame Control Tower',0,'',0,'NPC.broadcasting_tower',13,54,20,'etc','L2Npc',40,10000,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(13005,13005,'Flame Control Tower',0,'',0,'NPC.dead_castle_aden_controltower_jewel',7,35,20,'etc','L2Npc',40,10000,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(13006,13006,'Christmas Tree',0,'',0,'Deco.x_mas_tree',0.01,0.01,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,30,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13007,13007,'Special Christmas Tree',0,'',0,'Deco.x_mas_tree_50_bi',0,0,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13014,13014,'',0,'',0,'NPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13015,13015,'',0,'',0,'Monster3.Evilate_weather',0.1,0.1,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13016,13016,'King Squash',0,'',0,'NPC.drop_gourd',23,25,1,'etc','L2Npc',40,4608,1896,80.58,3.09,40,43,30,21,20,10,7133,810,2255,534,1731,433,278,0,333,0,0,0,0,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13017,13017,'Emperor Squash',0,'',0,'NPC.drop_gourd_50_bi',34,40,1,'etc','L2Npc',40,4608,1896,80.58,3.09,40,43,30,21,20,10,7557,858,2255,534,1731,433,278,0,333,0,0,0,0,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13018,13018,'',0,'',0,'NPC2.skill_dummy_00_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13019,13019,'',0,'',0,'NPC2.skill_dummy_00_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13020,13020,'',0,'',0,'NPC2.skill_dummy_00_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13021,13021,'',0,'',0,'NPC2.skill_dummy_00_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13022,13022,'',0,'',0,'NPC2.skill_dummy_00_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13023,13023,'',0,'',0,'NPC2.skill_dummy_00_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13024,13024,'',0,'',0,'NPC2.skill_dummy_00_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13025,13025,'',0,'',0,'NPC2.skill_dummy_01_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13026,13026,'',0,'',0,'NPC2.skill_dummy_01_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13027,13027,'',0,'',0,'NPC2.skill_dummy_01_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13028,13028,'',0,'',0,'NPC2.skill_dummy_01_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13029,13029,'',0,'',0,'NPC2.skill_dummy_01_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13030,13030,'',0,'',0,'NPC2.skill_dummy_01_a',5,10,70,'male','L2EffectPoint',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13031,13031,'Huge Pig',0,'',0,'NPC2.E_pig_ball',15,18.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13032,13032,'Huge Pig',0,'',0,'NPC2.E_pig_ball',15,18.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13033,13033,'Huge Pig',0,'',0,'NPC2.E_pig_ball',15,18.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13034,13034,'Super Huge Pig',0,'',0,'NPC2.E_pig_ball_H',29,38.7,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13035,13035,'Golden Pig',0,'',0,'NPC2.E_pig_ball',15,18.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13036,13036,'Alchemist\'s Chest',0,'',0,'LineageMonster.mimic_even',8.5,8.5,1,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,35,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13037,13037,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13038,13038,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13039,13039,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13040,13040,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13041,13041,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13042,13042,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13043,13043,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13044,13044,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13045,13045,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13046,13046,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13047,13047,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13048,13048,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13049,13049,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13050,13050,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13051,13051,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13052,13052,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13053,13053,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13054,13054,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13055,13055,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13056,13056,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13057,13057,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13058,13058,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13059,13059,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13060,13060,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13061,13061,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13062,13062,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13063,13063,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13064,13064,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13065,13065,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13066,13066,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13067,13067,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13068,13068,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13069,13069,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13070,13070,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13071,13071,'Virtual Image',0,'',0,'LineageNPC2.Decoy_Medium',8.5,25,43,'female','L2Decoy',40,1728,618,8.69,2.14,40,43,30,21,20,10,0,0,291,252,163,181,278,0,333,0,0,0,0,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13072,13072,'Virtual Image',0,'',0,'LineageNPC2.Decoy_Medium',8.5,25,52,'female','L2Decoy',40,2402,892,10.27,2.45,40,43,30,21,20,10,0,0,518,324,300,239,278,0,333,0,0,0,0,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13073,13073,'Virtual Image',0,'',0,'LineageNPC2.Decoy_Medium',8.5,25,60,'female','L2Decoy',40,3054,1150,10.27,2.45,40,43,30,21,20,10,0,0,860,368,478,299,278,0,333,0,0,0,0,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13074,13074,'Virtual Image',0,'',0,'LineageNPC2.Decoy_Medium',8.5,25,66,'female','L2Decoy',40,3546,1353,47.4,2.78,40,43,30,21,20,10,0,0,1020,427,649,348,278,0,333,0,0,0,0,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13075,13075,'Virtual Image',0,'',0,'LineageNPC2.Decoy_Medium',8.5,25,70,'female','L2Decoy',40,3862,1493,59.25,2.78,40,43,30,21,20,10,0,0,1445,466,780,382,278,0,333,0,0,0,0,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13076,13076,'Virtual Image',0,'',0,'LineageNPC2.Decoy_Medium',8.5,25,74,'female','L2Decoy',40,4158,1637,53.72,3.09,40,43,30,21,20,10,0,0,2312,481,921,416,278,0,333,0,0,0,50,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(13077,13077,'Onyx Beast',0,'',0,'LineageMonster.onyx_beast',14,14.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13078,13078,'Doom Wraith',0,'',0,'LineageMonster.death_blader_tr',13,25,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,1472,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13079,13079,'Grail Apostle',0,'',0,'LineageMonster3.apostle_grail_tr',10,35,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,8221,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13080,13080,'Grail Apostle',0,'',0,'LineageMonster2.apostle_warrior',8,30,1,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,8221,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13081,13081,'Unicorn',0,'',0,'LineageMonster.Unicorn_tr',15,28,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13082,13082,'Lilim Knight',0,'',0,'LineageMonster4.lilim_knight_tr',12,25.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13083,13083,'Golem Guardian',0,'',0,'LineageMonster3.golem_guardian_tr',13,25,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13084,13084,'Inferno Drake',0,'',0,'LineageMonster2.inferno_drake_tr',15,24,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13085,13085,'Dragon Bomber',0,'',0,'LineageMonster3.antaras_ex_b_tr',16,24,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13086,13086,'Zariche',0,'',0,'LineageMonster4.Avatar_Z',12,31.58,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,8190,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13087,13087,'Akamanah',0,'',0,'LineageMonster4.Avatar_A',10,33.73,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,8689,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13088,13088,'Final Form',0,'',0,'LineageMonster4.Specular_Form',9,38,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13089,13089,'Final Form',0,'',0,'LineageMonster4.Specular_Form_F',10,32.76,1,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13090,13090,'Native',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13091,13091,'Yeti',0,'',0,'LineageMonster.yeti',15,27.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13092,13092,'Buffalo',0,'',0,'LineageMonster2.buffalo',22,31,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13093,13093,'Pig',0,'',0,'LineageNPC2.E_pig_ball',15,18.3,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13094,13094,'Zombie',0,'',0,'LineageMonster3.zombie_laborer',11,24.6,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13095,13095,'Pixy',0,'',0,'LineageMonster.pixy',5,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13096,13096,'Rabbit',0,'',0,'LineageMonster.rabbit',5,4.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13097,13097,'',0,'',0,'LineageNPC.clear_npc',0,0,80,'male','L2Monster',40,4550,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13098,13098,'Event Treasure Chest',0,'',0,'LineageMonster.mimic_even',8.5,8.5,80,'male','L2Monster',40,4550,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13099,13099,'Zaken',0,'',0,'LineageMonster.zaken_tr',16,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13100,13100,'Anakim',0,'',0,'LineageMonster2.anakim_tr',15.5,29,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13101,13101,'Benom',0,'',0,'LineageMonster3.benom_tr',20,56,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,8203,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13102,13102,'Gordon',0,'',0,'LineageMonster3.Cruel_Rider_tr',43,46.60,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13103,13103,'Ranku',0,'',0,'LineageMonster4.LaneCoo_tr',13,29,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13104,13104,'Kiyachi',0,'',0,'LineageMonster4.Keyache_tr',12,29,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13105,13105,'Demon Prince',0,'',0,'LineageMonster4.rahuu_tr',33,49,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13106,13106,'Heretic Male',0,'',0,'LineageMonster3.heretic_privates_tr',7.7,28.4,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,8205,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13107,13107,'Heretic Female',0,'',0,'LineageMonster3.heretic_priest_tr',8,19.6,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,8208,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13108,13108,'Vale master',0,'',0,'LineageMonster.vale_master_tr',12,40,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13109,13109,'Saber Tooth Tiger',0,'',0,'LineageMonster.saber_toothed_tiger_tr',34,28,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13110,13110,'Ol Mahum',0,'',0,'LineageMonster.oel_mahum_champion_tr',23,61,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13111,13111,'Doll Blader',0,'',0,'LineageMonster.doll_blader_tr',6,12,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,5129,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13112,13112,'Divine Knight',0,'',0,'LineageMonster4.Divine_tanker',16,30,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13113,13113,'Divine Warrior',0,'',0,'LineageMonster4.Divine_Warrior',14.5,29,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13114,13114,'Divine Rogue',0,'',0,'LineageMonster4.Divine_Rogue',10,28,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13115,13115,'Divine Healer',0,'',0,'LineageMonster4.Divine_healer',10,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13116,13116,'Divine Wizard',0,'',0,'LineageMonster4.Divine_Wizard',10,26,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13117,13117,'Divine Enchanter',0,'',0,'LineageMonster4.Divine_enchanter',8,18.25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13118,13118,'Divine Summoner',0,'',0,'LineageMonster4.Divine_healer',10,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13119,13119,'Dwarf Golem',0,'',0,'LineageMonster3.chaos_golem_tr',31,51.80,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13120,13120,'Giant rat',0,'',0,'LineageMonster4.little_mouse_120p',15,20,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13121,13121,'Giant rat',0,'',0,'LineageMonster4.little_mouse_120p',15,20,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13122,13122,'Giant rat',0,'',0,'LineageMonster4.little_mouse_120p',15,20,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13123,13123,'Super giant rat',0,'',0,'LineageMonster4.little_mouse_180p',19,33,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13124,13124,'Giant rat',0,'Mr. Bashful',0,'LineageMonster4.little_mouse_120p',15,20,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13125,13125,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13126,13126,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13127,13127,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13128,13128,'Golem Trader',0,'',0,'LineageNPC.e_teleporter_FDwarf',8,21.3,70,'male','L2MerchantSummon',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13129,13129,'Teleporter',0,'',0,'LineageNPC.a_teleporter_FHuman',8,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13130,13130,'Light Purple Maned Horse',0,'',0,'LineageMonster4.gray_horse',31,32.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13131,13131,'Grizzly Bear',0,'',0,'LineageMonster.grizzly',21,40,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13132,13132,'Timitran',0,'',0,'LineageMonster.ti_mi_tran',23,90,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13133,13133,'Lava Golem',0,'',0,'LineageMonster2.lava_golem',22,45,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13134,13134,'Yeti',0,'',0,'LineageMonster.yeti_20_bi',18,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13135,13135,'Pumpkin Ghost',0,'',0,'Npc2.Pumpkin_Head_man',12,18,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,NULL,50,120,'',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(13136,13136,'',0,'',0,'LineageNpcEV.battle_banner',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13137,13137,'',0,'',0,'LineageNpcEV.battle_banner',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13138,13138,'',0,'',0,'LineageNpcEV.battle_banner',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13139,13139,'',0,'',0,'LineageNpcEV.battle_banner',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13140,13140,'',0,'',0,'LineageNpcEV.battle_banner',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13141,13141,'',0,'',0,'LineageNpcEV.battle_banner',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13142,13142,'Final Form',0,'',0,'LineageMonster4.Specular_Form_air',9,38,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13143,13143,'Final Form',0,'',0,'LineageMonster4.Specular_Form_F_air',10,32.76,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13144,13144,'Aurabird-Falcon',0,'',0,'LineageMonster4.closed_attacker',38,14.25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13145,13145,'Aurabird-Owl',0,'',0,'LineageMonster4.heavy_shooter',40,18.57,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13146,13146,'Tawny-Maned Lion',0,'',0,'LineageMonster4.tawny_maned_lion',25,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13147,13147,'Steam Sledge',0,'',0,'LineageMonster4.steam_sledge',40,27.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13148,13148,'Lindvior',0,'',0,'LineageMonster4.lindvior_air',190,390.6,55,'female','L2FlyMonster',40,2643,988,0,0,40,43,30,21,20,25,0,0,665,322,311,262,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13149,13149,'For Presentation 1',0,'',0,'LineageNPC.clear_npc',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13150,13150,'For Presentation 2',0,'',0,'LineageNPC.clear_npc',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13151,13151,'For Presentation 3',0,'',0,'LineageNPC.clear_npc',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13152,13152,'For Presentation 4',0,'',0,'LineageNPC.clear_npc',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13153,13153,'For Presentation 5',0,'',0,'LineageNPC.clear_npc',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13154,13154,'Demon Race',0,'',0,'LineageMonster4.summoner_demon_tr',11,27,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13155,13155,'Unicorniun',0,'',0,'LineageMonster4.summoner_unicorn_tr',8,30,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13156,13156,'Myo Race',0,'',0,'LineageMonster4.summoner_cat_tr',10,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13157,13157,'Frog',0,'',0,'LineageMonster.poison_toad',20,9,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13158,13158,'Young Child',0,'',0,'LineageNPC2.a_child_people_Mhuman',5,12.3,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13159,13159,'Mercenary',0,'',0,'LineageNPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13160,13160,'Snowman',0,'',0,'LineageNpc2.snow_man',28,30,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13161,13161,'Scarecrow',0,'',0,'LineageNpc2.scarecrow',13,30,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13162,13162,'Tin Plate Golem',0,'',0,'LineageNpc2.tin_golem',13,18.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13163,13163,'Tow',0,'',0,'LineageNPC2.tow',4.4,8.25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13164,13164,'Lure Tow',0,'',0,'LineageNPC2.tow_lure',4.4,8.25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13165,13165,'Heavy Tow',0,'',0,'LineageNPC2.tow_heavy',4.4,8.25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13166,13166,'Wing Tow',0,'',0,'LineageNPC2.tow_whim',4.4,8.25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13167,13167,'Main Role A',0,'',0,'LineageNPC2.tp_actor',9,28.30,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13168,13168,'Main Role B',0,'',0,'LineageNPC2.tp_actor',9,28.30,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13169,13169,'Human Male Mercenary',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13170,13170,'Male Elf Mercenary',0,'',0,'LineageNPC.a_guard_MElf',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13171,13171,'Dark Elf Female Mercenary',0,'',0,'LineageNPC.a_guard_FDarkelf',8,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13172,13172,'Orc Male Mercenary',0,'',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13173,13173,'Dwarf Male Mercenary',0,'',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13174,13174,'Kamael Male Mercenary',0,'',0,'LineageNPC2.K_M1_guard',13,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13175,13175,'Knight Level Mercenary',0,'',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13176,13176,'Archer Level Mercenary',0,'',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13177,13177,'Wizard Level Mercenary',0,'',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13178,13178,'Trooper Level Mercenary',0,'',0,'LineageNPC2.K_F1_guard_Master',13,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13179,13179,'Knight Leader Elite Mercenary',0,'',0,'LineageMonster3.Kight_of_Dawn',12,24.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13180,13180,'Commander Elite Mercenary',0,'',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13181,13181,'Treasure Box',0,'Gracia',0,'LineageMonster.mimic_even',8.5,8.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13182,13182,'Free Gift Merchant',0,'Gracia',0,'LineageMonster.silver_cat',7,15,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13183,13183,'Thomas D. Turkey',0,'',0,'LineageNpc2.crazy_turkey',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13184,13184,'Santa Claus',0,'',0,'LineageNPC2.santa_claus',10,21,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13185,13185,'Santa Claus',0,'',0,'LineageNPC2.santa_claus_120p',10,21,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13186,13186,'Santa Claus',0,'',0,'LineageNPC2.santa_sled',0.01,50,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13187,13187,'Milk Cow',0,'',0,'LineageMonster4.milk_cow',16,12.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13188,13188,'Head Milk Cow',0,'',0,'LineageMonster4.milk_cow_200p',26,28.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13189,13189,'Bull',0,'',0,'LineageMonster4.yellow_cow',16,12.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13190,13190,'Head Bull',0,'',0,'LineageMonster4.yellow_cow_200p',26,28.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13191,13191,'Gloomy Milk Cow',0,'',0,'LineageMonster4.milk_cow_e',16,12.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13192,13192,'Gloomy Head Milk Cow',0,'',0,'LineageMonster4.milk_cow_200p_e',26,28.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13193,13193,'',0,'',0,'LineageNpcEV.obelisk_of_middle_square',229,177.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,180,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13194,13194,'',0,'',0,'LineageNPC.clear_npc',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13195,13195,'',0,'',0,'LineageNPC.clear_npc',12,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(13196,13196,'Great Pig',0,'Mis-summoned',0,'LineageNPC2.E_pig_ball',15,18.3,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false');

INSERT INTO `npc` VALUES
(14001,14001,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,46,'male','L2Pet',40,2914,816,8.69,2.14,40,43,30,21,20,25,0,0,482,245,202,230,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14002,14002,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,54,'male','L2Pet',40,3843,1102,10.27,2.45,40,43,30,21,20,25,0,0,763,313,339,293,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14003,14003,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,62,'male','L2Pet',40,4829,1404,11.85,2.78,40,43,30,21,20,25,0,0,1133,388,532,363,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14004,14004,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,66,'male','L2Pet',40,5319,1561,11.85,2.78,40,43,30,21,20,25,0,0,1347,428,649,401,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14005,14005,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,70,'male','L2Pet',40,5793,1722,11.85,2.78,40,43,30,21,20,25,0,0,1577,470,780,440,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14006,14006,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,74,'male','L2Pet',40,6238,1888,13.43,3.09,40,43,30,21,20,25,0,0,1816,512,921,480,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14007,14007,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,76,'male','L2Pet',40,6446,1972,13.43,3.09,40,43,30,21,20,25,0,0,1937,534,994,500,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14008,14008,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,78,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2068,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14009,14009,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,78,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2078,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14010,14010,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,78,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2088,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14011,14011,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,78,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2099,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14012,14012,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,79,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2109,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14013,14013,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,79,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2119,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14014,14014,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,79,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2130,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14015,14015,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,79,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2140,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14016,14016,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,80,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2150,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14017,14017,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,80,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2173,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14018,14018,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,80,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2184,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14019,14019,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,80,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2194,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14020,14020,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,81,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2204,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14021,14021,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,81,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2215,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14022,14022,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,81,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2225,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14023,14023,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,81,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2236,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14024,14024,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,82,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2246,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14025,14025,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,82,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2256,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14026,14026,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,82,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2280,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14027,14027,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,82,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2290,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14028,14028,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,83,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2301,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14029,14029,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,83,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2311,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14030,14030,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,83,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2322,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14031,14031,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,83,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2332,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14032,14032,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,84,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2343,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14033,14033,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,84,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2353,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14034,14034,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,84,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2363,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14035,14035,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,84,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2374,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14036,14036,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,85,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2384,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14037,14037,'Reanimated Man',0,'',0,'Monster.skeleton',11,25,85,'male','L2Pet',40,7085,2057,13.43,3.09,40,43,30,21,20,25,0,0,2395,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14038,14038,'Corrupted Man',0,'',0,'Monster.zombie',13,21,42,'male','L2Pet',40,2490,1019,8.69,2.14,40,43,30,21,20,25,0,0,374,215,152,202,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14039,14039,'Corrupted Man',0,'',0,'Monster.zombie',13,21,50,'male','L2Pet',40,3367,1435,8.69,2.14,40,43,30,21,20,25,0,0,611,278,264,260,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14040,14040,'Corrupted Man',0,'',0,'Monster.zombie',13,21,58,'male','L2Pet',40,4333,1876,10.27,2.45,40,43,30,21,20,25,0,0,937,349,428,327,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14041,14041,'Corrupted Man',0,'',0,'Monster.zombie',13,21,64,'male','L2Pet',40,5076,2223,11.85,2.78,40,43,30,21,20,25,0,0,1238,408,589,382,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14042,14042,'Corrupted Man',0,'',0,'Monster.zombie',13,21,68,'male','L2Pet',40,5559,2462,11.85,2.78,40,43,30,21,20,25,0,0,1460,449,713,421,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14043,14043,'Corrupted Man',0,'',0,'Monster.zombie',13,21,72,'male','L2Pet',40,6020,2707,13.43,3.09,40,43,30,21,20,25,0,0,1695,491,849,460,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14044,14044,'Corrupted Man',0,'',0,'Monster.zombie',13,21,78,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2068,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14045,14045,'Corrupted Man',0,'',0,'Monster.zombie',13,21,78,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2078,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14046,14046,'Corrupted Man',0,'',0,'Monster.zombie',13,21,78,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2088,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14047,14047,'Corrupted Man',0,'',0,'Monster.zombie',13,21,78,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2099,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14048,14048,'Corrupted Man',0,'',0,'Monster.zombie',13,21,79,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2109,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14049,14049,'Corrupted Man',0,'',0,'Monster.zombie',13,21,79,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2119,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14050,14050,'Corrupted Man',0,'',0,'Monster.zombie',13,21,79,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2130,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14051,14051,'Corrupted Man',0,'',0,'Monster.zombie',13,21,79,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2140,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14052,14052,'Corrupted Man',0,'',0,'Monster.zombie',13,21,80,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2150,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14053,14053,'Corrupted Man',0,'',0,'Monster.zombie',13,21,80,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2173,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14054,14054,'Corrupted Man',0,'',0,'Monster.zombie',13,21,80,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2184,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14055,14055,'Corrupted Man',0,'',0,'Monster.zombie',13,21,80,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2194,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14056,14056,'Corrupted Man',0,'',0,'Monster.zombie',13,21,81,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2204,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14057,14057,'Corrupted Man',0,'',0,'Monster.zombie',13,21,81,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2215,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14058,14058,'Corrupted Man',0,'',0,'Monster.zombie',13,21,81,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2225,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14059,14059,'Corrupted Man',0,'',0,'Monster.zombie',13,21,81,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2236,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14060,14060,'Corrupted Man',0,'',0,'Monster.zombie',13,21,82,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2246,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14061,14061,'Corrupted Man',0,'',0,'Monster.zombie',13,21,82,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2256,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14062,14062,'Corrupted Man',0,'',0,'Monster.zombie',13,21,82,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2280,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14063,14063,'Corrupted Man',0,'',0,'Monster.zombie',13,21,82,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2290,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14064,14064,'Corrupted Man',0,'',0,'Monster.zombie',13,21,83,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2301,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14065,14065,'Corrupted Man',0,'',0,'Monster.zombie',13,21,83,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2311,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14066,14066,'Corrupted Man',0,'',0,'Monster.zombie',13,21,83,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2322,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14067,14067,'Corrupted Man',0,'',0,'Monster.zombie',13,21,83,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2332,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14068,14068,'Corrupted Man',0,'',0,'Monster.zombie',13,21,84,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2343,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14069,14069,'Corrupted Man',0,'',0,'Monster.zombie',13,21,84,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2353,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14070,14070,'Corrupted Man',0,'',0,'Monster.zombie',13,21,84,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2363,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14071,14071,'Corrupted Man',0,'',0,'Monster.zombie',13,21,84,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2374,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14072,14072,'Corrupted Man',0,'',0,'Monster.zombie',13,21,85,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2384,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14073,14073,'Corrupted Man',0,'',0,'Monster.zombie',13,21,85,'male','L2Pet',40,6642,3086,13.43,3.09,40,43,30,21,20,25,0,0,2395,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14074,14074,'Cursed Man',0,'',0,'Monster.doll_master',20,42,58,'male','L2Pet',80,3467,1251,12.32,2.45,40,43,30,21,20,25,0,0,1015,349,428,327,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14075,14075,'Cursed Man',0,'',0,'Monster.doll_master',20,42,62,'male','L2Pet',80,3863,1404,14.22,2.78,40,43,30,21,20,25,0,0,1227,388,532,363,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14076,14076,'Cursed Man',0,'',0,'Monster.doll_master',20,42,66,'male','L2Pet',80,4255,1561,14.22,2.78,40,43,30,21,20,25,0,0,1459,428,649,401,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14077,14077,'Cursed Man',0,'',0,'Monster.doll_master',20,42,70,'male','L2Pet',80,4634,1722,14.22,2.78,40,43,30,21,20,25,0,0,1708,470,780,440,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14078,14078,'Cursed Man',0,'',0,'Monster.doll_master',20,42,72,'male','L2Pet',80,4816,1804,16.12,3.09,40,43,30,21,20,25,0,0,1837,491,849,460,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14079,14079,'Cursed Man',0,'',0,'Monster.doll_master',20,42,74,'male','L2Pet',80,4990,1888,16.12,3.09,40,43,30,21,20,25,0,0,1967,512,921,480,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14080,14080,'Cursed Man',0,'',0,'Monster.doll_master',20,42,76,'male','L2Pet',80,5157,1972,16.12,3.09,40,43,30,21,20,25,0,0,2098,534,994,500,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14081,14081,'Cursed Man',0,'',0,'Monster.doll_master',20,42,78,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2229,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14082,14082,'Cursed Man',0,'',0,'Monster.doll_master',20,42,78,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2245,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14083,14083,'Cursed Man',0,'',0,'Monster.doll_master',20,42,78,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2261,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14084,14084,'Cursed Man',0,'',0,'Monster.doll_master',20,42,78,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2277,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14085,14085,'Cursed Man',0,'',0,'Monster.doll_master',20,42,79,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2293,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14086,14086,'Cursed Man',0,'',0,'Monster.doll_master',20,42,79,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2309,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14087,14087,'Cursed Man',0,'',0,'Monster.doll_master',20,42,79,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2325,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14088,14088,'Cursed Man',0,'',0,'Monster.doll_master',20,42,79,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2341,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14089,14089,'Cursed Man',0,'',0,'Monster.doll_master',20,42,80,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2357,555,1069,520,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14090,14090,'Cursed Man',0,'',0,'Monster.doll_master',20,42,80,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2388,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14091,14091,'Cursed Man',0,'',0,'Monster.doll_master',20,42,80,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2404,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14092,14092,'Cursed Man',0,'',0,'Monster.doll_master',20,42,80,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2420,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14093,14093,'Cursed Man',0,'',0,'Monster.doll_master',20,42,81,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2436,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14094,14094,'Cursed Man',0,'',0,'Monster.doll_master',20,42,81,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2452,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14095,14095,'Cursed Man',0,'',0,'Monster.doll_master',20,42,81,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2468,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14096,14096,'Cursed Man',0,'',0,'Monster.doll_master',20,42,81,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2484,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14097,14097,'Cursed Man',0,'',0,'Monster.doll_master',20,42,82,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2500,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14098,14098,'Cursed Man',0,'',0,'Monster.doll_master',20,42,82,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2517,558,1082,523,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14099,14099,'Cursed Man',0,'',0,'Monster.doll_master',20,42,82,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2548,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14100,14100,'Cursed Man',0,'',0,'Monster.doll_master',20,42,82,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2564,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14101,14101,'Cursed Man',0,'',0,'Monster.doll_master',20,42,83,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2580,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14102,14102,'Cursed Man',0,'',0,'Monster.doll_master',20,42,83,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2596,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14103,14103,'Cursed Man',0,'',0,'Monster.doll_master',20,42,83,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2613,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14104,14104,'Cursed Man',0,'',0,'Monster.doll_master',20,42,83,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2629,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14105,14105,'Cursed Man',0,'',0,'Monster.doll_master',20,42,84,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2645,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14106,14106,'Cursed Man',0,'',0,'Monster.doll_master',20,42,84,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2661,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14107,14107,'Cursed Man',0,'',0,'Monster.doll_master',20,42,84,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2678,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14108,14108,'Cursed Man',0,'',0,'Monster.doll_master',20,42,84,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2694,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14109,14109,'Cursed Man',0,'',0,'Monster.doll_master',20,42,85,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2710,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14110,14110,'Cursed Man',0,'',0,'Monster.doll_master',20,42,85,'male','L2Pet',80,5314,2057,16.12,3.09,40,43,30,21,20,25,0,0,2726,562,1095,526,278,0,333,0,0,0,66,154,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14111,14111,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,22,'male','L2Pet',40,984,279,5.53,1.53,40,43,30,21,20,25,0,0,82,102,28,95,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14112,14112,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,32,'male','L2Pet',40,1700,458,7.11,2.24,40,43,30,21,20,25,0,0,186,151,69,140,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14113,14113,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,42,'male','L2Pet',40,2673,679,9.09,2.14,40,43,30,21,20,25,0,0,376,236,152,221,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14114,14114,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,50,'male','L2Pet',40,3614,957,9.09,2.14,40,43,30,21,20,25,0,0,615,305,263,285,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14115,14115,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,58,'male','L2Pet',40,4651,1251,10.27,2.45,40,43,30,21,20,25,0,0,943,383,428,360,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14116,14116,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,27,'male','L2Pet',40,1310,367,5.53,1.53,40,43,30,21,20,25,0,0,124,125,45,117,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14117,14117,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,37,'male','L2Pet',40,2155,533,7.11,2.24,40,43,30,21,20,25,0,0,267,181,104,169,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14118,14118,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,46,'male','L2Pet',40,3128,816,9.09,2.14,40,43,30,21,20,25,0,0,486,270,202,252,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14119,14119,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,54,'male','L2Pet',40,4125,1102,10.27,2.45,40,43,30,21,20,25,0,0,768,342,339,322,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14120,14120,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,60,'male','L2Pet',40,4917,1327,10.27,2.45,40,43,30,21,20,25,0,0,1040,404,477,379,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14121,14121,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,62,'male','L2Pet',40,5183,1404,12.25,3.18,40,43,30,21,20,25,0,0,1142,426,531,399,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14122,14122,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,64,'male','L2Pet',40,5448,1482,12.25,3.18,40,43,30,21,20,25,0,0,1248,449,588,420,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14123,14123,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,66,'male','L2Pet',40,5710,1561,12.25,3.18,40,43,30,21,20,25,0,0,1357,470,649,440,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14124,14124,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,68,'male','L2Pet',40,5967,1641,12.25,3.18,40,43,30,21,20,25,0,0,1472,493,713,462,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14125,14125,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,70,'male','L2Pet',40,6218,1722,12.25,3.18,40,43,30,21,20,25,0,0,1588,515,779,483,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14126,14126,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,72,'male','L2Pet',40,6461,1803,13.43,3.09,40,43,30,21,20,25,0,0,1708,540,848,505,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14127,14127,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,74,'male','L2Pet',40,6695,1888,13.43,3.09,40,43,30,21,20,25,0,0,1829,563,920,527,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14128,14128,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,76,'male','L2Pet',40,6919,1972,13.43,3.09,40,43,30,21,20,25,0,0,1952,586,993,548,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14129,14129,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,78,'male','L2Pet',40,7150,2059,13.43,3.09,40,43,30,21,20,25,0,0,2083,609,1071,569,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14130,14130,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,78,'male','L2Pet',40,7209,2081,13.43,3.09,40,43,30,21,20,25,0,0,2117,614,1092,574,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14131,14131,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,78,'male','L2Pet',40,7269,2103,13.43,3.09,40,43,30,21,20,25,0,0,2152,620,1113,579,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14132,14132,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,78,'male','L2Pet',40,7329,2126,13.43,3.09,40,43,30,21,20,25,0,0,2188,626,1134,584,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14133,14133,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,79,'male','L2Pet',40,7390,2149,13.43,3.09,40,43,30,21,20,25,0,0,2224,632,1156,589,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14134,14134,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,79,'male','L2Pet',40,7451,2172,13.43,3.09,40,43,30,21,20,25,0,0,2261,638,1178,594,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14135,14135,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,79,'male','L2Pet',40,7513,2195,13.43,3.09,40,43,30,21,20,25,0,0,2298,644,1201,599,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14136,14136,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,79,'male','L2Pet',40,7575,2219,13.43,3.09,40,43,30,21,20,25,0,0,2336,650,1224,604,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14137,14137,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,80,'male','L2Pet',40,7638,2243,13.43,3.09,40,43,30,21,20,25,0,0,2375,656,1248,609,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14138,14138,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,80,'male','L2Pet',40,7701,2267,13.43,3.09,40,43,30,21,20,25,0,0,2414,662,1272,614,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14139,14139,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,80,'male','L2Pet',40,7765,2292,13.43,3.09,40,43,30,21,20,25,0,0,2454,668,1296,619,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14140,14140,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,80,'male','L2Pet',40,7829,2317,13.43,3.09,40,43,30,21,20,25,0,0,2495,674,1321,624,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14141,14141,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,81,'male','L2Pet',40,7894,2342,13.43,3.09,40,43,30,21,20,25,0,0,2536,680,1346,629,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14142,14142,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,81,'male','L2Pet',40,7959,2367,13.43,3.09,40,43,30,21,20,25,0,0,2578,686,1372,635,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14143,14143,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,81,'male','L2Pet',40,8025,2393,13.43,3.09,40,43,30,21,20,25,0,0,2621,692,1398,641,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14144,14144,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,81,'male','L2Pet',40,8091,2419,13.43,3.09,40,43,30,21,20,25,0,0,2664,698,1425,647,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14145,14145,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,82,'male','L2Pet',40,8158,2445,13.43,3.09,40,43,30,21,20,25,0,0,2708,704,1452,653,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14146,14146,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,82,'male','L2Pet',40,8226,2471,13.43,3.09,40,43,30,21,20,25,0,0,2753,710,1480,659,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14147,14147,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,82,'male','L2Pet',40,8294,2498,13.43,3.09,40,43,30,21,20,25,0,0,2799,716,1509,665,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14148,14148,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,82,'male','L2Pet',40,8363,2525,13.43,3.09,40,43,30,21,20,25,0,0,2845,723,1538,671,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14149,14149,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,83,'male','L2Pet',40,8432,2552,13.43,3.09,40,43,30,21,20,25,0,0,2892,730,1568,677,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14150,14150,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,83,'male','L2Pet',40,8502,2580,13.43,3.09,40,43,30,21,20,25,0,0,2940,737,1598,683,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14151,14151,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,83,'male','L2Pet',40,8572,2608,13.43,3.09,40,43,30,21,20,25,0,0,2989,744,1629,689,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14152,14152,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,83,'male','L2Pet',40,8643,2636,13.43,3.09,40,43,30,21,20,25,0,0,3039,751,1660,695,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14153,14153,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,84,'male','L2Pet',40,8715,2665,13.43,3.09,40,43,30,21,20,25,0,0,3089,758,1692,701,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14154,14154,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,84,'male','L2Pet',40,8787,2694,13.43,3.09,40,43,30,21,20,25,0,0,3140,765,1725,707,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14155,14155,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,84,'male','L2Pet',40,8860,2723,13.43,3.09,40,43,30,21,20,25,0,0,3192,772,1758,713,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14156,14156,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,84,'male','L2Pet',40,8933,2753,13.43,3.09,40,43,30,21,20,25,0,0,3245,779,1792,719,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14157,14157,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,85,'male','L2Pet',40,9007,2783,13.43,3.09,40,43,30,21,20,25,0,0,3299,786,1827,725,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14158,14158,'Kat the Cat',0,'',0,'Monster.cat_the_cat',9,16,85,'male','L2Pet',40,9082,2813,13.43,3.09,40,43,30,21,20,25,0,0,3354,793,1862,731,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14159,14159,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,27,'female','L2Pet',40,1310,367,5.53,1.53,40,43,30,21,20,25,0,0,113,125,54,117,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14160,14160,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,37,'female','L2Pet',40,2155,553,7.11,2.24,40,43,30,21,20,25,0,0,242,181,126,169,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14161,14161,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,47,'female','L2Pet',40,3128,816,9.09,2.14,40,43,30,21,20,25,0,0,441,270,244,252,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14162,14162,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,54,'female','L2Pet',40,4125,1102,10.27,2.45,40,43,30,21,20,25,0,0,698,342,410,322,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14163,14163,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,22,'female','L2Pet',40,984,279,5.53,1.53,40,43,30,21,20,25,0,0,74,102,34,95,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14164,14164,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,32,'female','L2Pet',40,1700,458,7.11,2.24,40,43,30,21,20,25,0,0,169,151,83,140,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14165,14165,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,42,'female','L2Pet',40,2673,679,9.09,2.14,40,43,30,21,20,25,0,0,342,236,183,221,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14166,14166,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,50,'female','L2Pet',40,3614,957,9.09,2.14,40,43,30,21,20,25,0,0,559,305,319,285,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14167,14167,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,58,'female','L2Pet',40,4651,1251,10.27,2.45,40,43,30,21,20,25,0,0,857,383,518,360,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14168,14168,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,60,'female','L2Pet',40,4917,1327,10.27,2.45,40,43,30,21,20,25,0,0,946,404,578,379,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14169,14169,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,62,'female','L2Pet',40,5183,1404,12.25,3.18,40,43,30,21,20,25,0,0,1038,426,642,399,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14170,14170,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,64,'female','L2Pet',40,5448,1482,12.25,3.18,40,43,30,21,20,25,0,0,1135,449,711,420,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14171,14171,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,66,'female','L2Pet',40,5710,1561,12.25,3.18,40,43,30,21,20,25,0,0,1233,470,785,440,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14172,14172,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,68,'female','L2Pet',40,5967,1641,12.25,3.18,40,43,30,21,20,25,0,0,1338,493,862,462,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14173,14173,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Pet',40,6218,1722,12.25,3.18,40,43,30,21,20,25,0,0,1443,515,943,483,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14174,14174,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,72,'female','L2Pet',40,6461,1804,13.43,3.09,40,43,30,21,20,25,0,0,1553,540,1026,505,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14175,14175,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,74,'female','L2Pet',40,6695,1888,13.43,3.09,40,43,30,21,20,25,0,0,1663,563,1113,527,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14176,14176,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,76,'female','L2Pet',40,6919,1972,13.43,3.09,40,43,30,21,20,25,0,0,1775,586,1201,548,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14177,14177,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,78,'female','L2Pet',40,7150,2059,13.43,3.09,40,43,30,21,20,25,0,0,1894,609,1295,569,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14178,14178,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,78,'female','L2Pet',40,7209,2081,13.43,3.09,40,43,30,21,20,25,0,0,1925,614,1320,574,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14179,14179,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,78,'female','L2Pet',40,7269,2103,13.43,3.09,40,43,30,21,20,25,0,0,1957,620,1345,579,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14180,14180,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,78,'female','L2Pet',40,7329,2126,13.43,3.09,40,43,30,21,20,25,0,0,1989,626,1371,584,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14181,14181,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,79,'female','L2Pet',40,7390,2149,13.43,3.09,40,43,30,21,20,25,0,0,2022,632,1397,589,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14182,14182,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,79,'female','L2Pet',40,7451,2172,13.43,3.09,40,43,30,21,20,25,0,0,2055,638,1424,594,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14183,14183,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,79,'female','L2Pet',40,7513,2195,13.43,3.09,40,43,30,21,20,25,0,0,2089,644,1451,599,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14184,14184,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,79,'female','L2Pet',40,7575,2219,13.43,3.09,40,43,30,21,20,25,0,0,2124,650,1479,604,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14185,14185,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,80,'female','L2Pet',40,7638,2243,13.43,3.09,40,43,30,21,20,25,0,0,2159,656,1507,609,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14186,14186,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,80,'female','L2Pet',40,7701,2267,13.43,3.09,40,43,30,21,20,25,0,0,2195,662,1536,614,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14187,14187,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,80,'female','L2Pet',40,7765,2292,13.43,3.09,40,43,30,21,20,25,0,0,2231,668,1566,619,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14188,14188,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,80,'female','L2Pet',40,7829,2317,13.43,3.09,40,43,30,21,20,25,0,0,2268,674,1596,624,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14189,14189,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,81,'female','L2Pet',40,7894,2342,13.43,3.09,40,43,30,21,20,25,0,0,2306,680,1627,629,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14190,14190,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,81,'female','L2Pet',40,7959,2367,13.43,3.09,40,43,30,21,20,25,0,0,2344,686,1658,635,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14191,14191,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,81,'female','L2Pet',40,8025,2393,13.43,3.09,40,43,30,21,20,25,0,0,2383,692,1690,641,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14192,14192,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,81,'female','L2Pet',40,8091,2419,13.43,3.09,40,43,30,21,20,25,0,0,2422,698,1723,647,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14193,14193,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,82,'female','L2Pet',40,8158,2445,13.43,3.09,40,43,30,21,20,25,0,0,2462,704,1756,653,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14194,14194,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,82,'female','L2Pet',40,8226,2471,13.43,3.09,40,43,30,21,20,25,0,0,2503,710,1790,659,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14195,14195,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,82,'female','L2Pet',40,8294,2498,13.43,3.09,40,43,30,21,20,25,0,0,2544,716,1825,665,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14196,14196,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,82,'female','L2Pet',40,8363,2525,13.43,3.09,40,43,30,21,20,25,0,0,2586,723,1860,671,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14197,14197,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,83,'female','L2Pet',40,8432,2552,13.43,3.09,40,43,30,21,20,25,0,0,2629,730,1896,677,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14198,14198,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,83,'female','L2Pet',40,8502,2580,13.43,3.09,40,43,30,21,20,25,0,0,2673,737,1933,683,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14199,14199,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,83,'female','L2Pet',40,8572,2608,13.43,3.09,40,43,30,21,20,25,0,0,2717,744,1970,689,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14200,14200,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,83,'female','L2Pet',40,8643,2636,13.43,3.09,40,43,30,21,20,25,0,0,2762,751,2008,695,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14201,14201,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,84,'female','L2Pet',40,8715,2665,13.43,3.09,40,43,30,21,20,25,0,0,2808,758,2047,701,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14202,14202,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,84,'female','L2Pet',40,8787,2694,13.43,3.09,40,43,30,21,20,25,0,0,2855,765,2087,707,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14203,14203,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,84,'female','L2Pet',40,8860,2723,13.43,3.09,40,43,30,21,20,25,0,0,2902,772,2127,713,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14204,14204,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,84,'female','L2Pet',40,8933,2753,13.43,3.09,40,43,30,21,20,25,0,0,2950,779,2168,719,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14205,14205,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,85,'female','L2Pet',40,9007,2783,13.43,3.09,40,43,30,21,20,25,0,0,2999,786,2210,725,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14206,14206,'Mew the Cat',0,'',0,'Monster.cutie_cat',8,15,85,'female','L2Pet',40,9082,2813,13.43,3.09,40,43,30,21,20,25,0,0,3049,793,2253,731,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14207,14207,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,42,'male','L2Pet',40,2008,679,9.09,2.14,40,43,30,21,20,25,0,0,413,236,152,221,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14208,14208,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,46,'male','L2Pet',40,2351,816,9.09,2.14,40,43,30,21,20,25,0,0,534,270,202,252,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14209,14209,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,50,'male','L2Pet',40,2716,957,9.09,2.14,40,43,30,21,20,25,0,0,676,305,263,285,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14210,14210,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,54,'male','L2Pet',40,3100,1102,10.27,2.45,40,43,30,21,20,25,0,0,844,342,339,322,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14211,14211,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,58,'male','L2Pet',40,3496,1251,10.27,2.45,40,43,30,21,20,25,0,0,1036,393,428,360,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14212,14212,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,60,'male','L2Pet',40,3695,1327,10.27,2.45,40,43,30,21,20,25,0,0,1142,404,477,379,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14213,14213,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,62,'male','L2Pet',40,3895,1404,12.25,3.18,40,43,30,21,20,25,0,0,1255,426,531,399,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14214,14214,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,64,'male','L2Pet',40,4094,1482,12.25,3.18,40,43,30,21,20,25,0,0,1372,449,588,420,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14215,14215,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,66,'male','L2Pet',40,4291,1561,12.25,3.18,40,43,30,21,20,25,0,0,1491,470,649,440,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14216,14216,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,68,'male','L2Pet',40,4484,1641,12.25,3.18,40,43,30,21,20,25,0,0,1618,493,713,462,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14217,14217,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,70,'male','L2Pet',40,4673,1722,12.25,3.18,40,43,30,21,20,25,0,0,1745,515,779,483,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14218,14218,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,72,'male','L2Pet',40,4856,1804,13.43,3.09,40,43,30,21,20,25,0,0,1878,540,848,505,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14219,14219,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,74,'male','L2Pet',40,5032,1888,13.43,3.09,40,43,30,21,20,25,0,0,2010,563,920,527,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14220,14220,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,76,'male','L2Pet',40,5200,1972,13.43,3.09,40,43,30,21,20,25,0,0,2146,586,993,548,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14221,14221,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,78,'male','L2Pet',40,5373,2059,13.43,3.09,40,43,30,21,20,25,0,0,2291,609,1071,569,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14222,14222,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,78,'male','L2Pet',40,5417,2081,13.43,3.09,40,43,30,21,20,25,0,0,2329,614,1092,574,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14223,14223,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,78,'male','L2Pet',40,5462,2103,13.43,3.09,40,43,30,21,20,25,0,0,2368,620,1113,579,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14224,14224,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,78,'male','L2Pet',40,5507,2126,13.43,3.09,40,43,30,21,20,25,0,0,2408,626,1134,584,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14225,14225,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,79,'male','L2Pet',40,5552,2149,13.43,3.09,40,43,30,21,20,25,0,0,2448,632,1156,589,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14226,14226,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,79,'male','L2Pet',40,5598,2172,13.43,3.09,40,43,30,21,20,25,0,0,2489,638,1178,594,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14227,14227,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,79,'male','L2Pet',40,5644,2195,13.43,3.09,40,43,30,21,20,25,0,0,2531,644,1201,599,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14228,14228,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,79,'male','L2Pet',40,5690,2219,13.43,3.09,40,43,30,21,20,25,0,0,2573,650,1224,604,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14229,14229,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,80,'male','L2Pet',40,5737,2243,13.43,3.09,40,43,30,21,20,25,0,0,2616,656,1248,609,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14230,14230,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,80,'male','L2Pet',40,5784,2267,13.43,3.09,40,43,30,21,20,25,0,0,2660,662,1272,614,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14231,14231,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,80,'male','L2Pet',40,5832,2292,13.43,3.09,40,43,30,21,20,25,0,0,2704,668,1296,619,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14232,14232,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,80,'male','L2Pet',40,5880,2317,13.43,3.09,40,43,30,21,20,25,0,0,2749,674,1321,624,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14233,14233,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,81,'male','L2Pet',40,5928,2342,13.43,3.09,40,43,30,21,20,25,0,0,2795,680,1346,629,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14234,14234,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,81,'male','L2Pet',40,5977,2367,13.43,3.09,40,43,30,21,20,25,0,0,2842,686,1372,635,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14235,14235,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,81,'male','L2Pet',40,6026,2393,13.43,3.09,40,43,30,21,20,25,0,0,2890,692,1398,641,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14236,14236,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,81,'male','L2Pet',40,6076,2419,13.43,3.09,40,43,30,21,20,25,0,0,2938,698,1425,647,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14237,14237,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,82,'male','L2Pet',40,6126,2445,13.43,3.09,40,43,30,21,20,25,0,0,2987,704,1452,653,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14238,14238,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,82,'male','L2Pet',40,6176,2471,13.43,3.09,40,43,30,21,20,25,0,0,3037,710,1480,659,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14239,14239,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,82,'male','L2Pet',40,6227,2498,13.43,3.09,40,43,30,21,20,25,0,0,3088,716,1509,665,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14240,14240,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,82,'male','L2Pet',40,6278,2525,13.43,3.09,40,43,30,21,20,25,0,0,3140,723,1538,671,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14241,14241,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,83,'male','L2Pet',40,6330,2552,13.43,3.09,40,43,30,21,20,25,0,0,3193,730,1568,677,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14242,14242,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,83,'male','L2Pet',40,6382,2580,13.43,3.09,40,43,30,21,20,25,0,0,3246,737,1598,683,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14243,14243,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,83,'male','L2Pet',40,6435,2608,13.43,3.09,40,43,30,21,20,25,0,0,3300,744,1629,689,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14244,14244,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,83,'male','L2Pet',40,6488,2636,13.43,3.09,40,43,30,21,20,25,0,0,3355,751,1660,695,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14245,14245,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,84,'male','L2Pet',40,6541,2665,13.43,3.09,40,43,30,21,20,25,0,0,3411,758,1692,701,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14246,14246,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,84,'male','L2Pet',40,6595,2694,13.43,3.09,40,43,30,21,20,25,0,0,3468,765,1725,707,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14247,14247,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,84,'male','L2Pet',40,6649,2723,13.43,3.09,40,43,30,21,20,25,0,0,3526,772,1758,713,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14248,14248,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,84,'male','L2Pet',40,6704,2753,13.43,3.09,40,43,30,21,20,25,0,0,3585,779,1792,719,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14249,14249,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,85,'male','L2Pet',40,6759,2783,13.43,3.09,40,43,30,21,20,25,0,0,3645,786,1827,725,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14250,14250,'Kai the Cat',0,'',0,'Monster.silver_cat',7,15,85,'male','L2Pet',40,6815,2813,13.43,3.09,40,43,30,21,20,25,0,0,3706,793,1862,731,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14251,14251,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,58,'female','L2Pet',40,2889,1251,10.27,2.45,40,43,30,21,20,25,0,0,779,348,428,327,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14252,14252,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,60,'female','L2Pet',40,3054,1327,10.27,2.45,40,43,30,21,20,25,0,0,860,368,477,345,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14253,14253,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,62,'female','L2Pet',40,3219,1404,12.25,3.18,40,43,30,21,20,25,0,0,944,388,531,363,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14254,14254,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,64,'female','L2Pet',40,3384,1482,12.25,3.18,40,43,30,21,20,25,0,0,1031,408,588,381,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14255,14255,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,66,'female','L2Pet',40,3546,1561,12.25,3.18,40,43,30,21,20,25,0,0,1121,427,649,400,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14256,14256,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,68,'female','L2Pet',40,3706,1641,12.25,3.18,40,43,30,21,20,25,0,0,1217,449,713,420,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14257,14257,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,70,'female','L2Pet',40,3862,1722,12.25,3.18,40,43,30,21,20,25,0,0,1312,469,779,439,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14258,14258,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,72,'female','L2Pet',40,4013,1804,13.43,3.09,40,43,30,21,20,25,0,0,1412,491,848,459,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14259,14259,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,74,'female','L2Pet',40,4158,1888,13.43,3.09,40,43,30,21,20,25,0,0,1511,511,920,479,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14260,14260,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,76,'female','L2Pet',40,4297,1972,13.43,3.09,40,43,30,21,20,25,0,0,1613,532,993,498,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14265,14265,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,78,'female','L2Pet',40,4440,2059,13.43,3.09,40,43,30,21,20,25,0,0,1721,553,1071,517,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14266,14266,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,78,'female','L2Pet',40,4476,2081,13.43,3.09,40,43,30,21,20,25,0,0,1749,558,1092,521,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14267,14267,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,78,'female','L2Pet',40,4513,2103,13.43,3.09,40,43,30,21,20,25,0,0,1778,563,1113,525,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14268,14268,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,78,'female','L2Pet',40,4550,2126,13.43,3.09,40,43,30,21,20,25,0,0,1807,568,1134,530,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14269,14269,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,79,'female','L2Pet',40,4587,2149,13.43,3.09,40,43,30,21,20,25,0,0,1837,573,1156,535,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14270,14270,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,79,'female','L2Pet',40,4625,2172,13.43,3.09,40,43,30,21,20,25,0,0,1867,578,1178,540,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14271,14271,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,79,'female','L2Pet',40,4663,2195,13.43,3.09,40,43,30,21,20,25,0,0,1898,583,1201,545,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14272,14272,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,79,'female','L2Pet',40,4701,2219,13.43,3.09,40,43,30,21,20,25,0,0,1929,588,1224,550,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14273,14273,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,80,'female','L2Pet',40,4740,2243,13.43,3.09,40,43,30,21,20,25,0,0,1961,593,1248,555,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14274,14274,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,80,'female','L2Pet',40,4779,2267,13.43,3.09,40,43,30,21,20,25,0,0,1993,598,1272,560,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14275,14275,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,80,'female','L2Pet',40,4818,2292,13.43,3.09,40,43,30,21,20,25,0,0,2026,603,1296,565,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14276,14276,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,80,'female','L2Pet',40,4858,2317,13.43,3.09,40,43,30,21,20,25,0,0,2059,608,1321,570,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14277,14277,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,81,'female','L2Pet',40,4898,2342,13.43,3.09,40,43,30,21,20,25,0,0,2093,614,1346,575,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14278,14278,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,81,'female','L2Pet',40,4938,2367,13.43,3.09,40,43,30,21,20,25,0,0,2128,620,1372,580,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14279,14279,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,81,'female','L2Pet',40,4979,2393,13.43,3.09,40,43,30,21,20,25,0,0,2163,626,1398,585,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14280,14280,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,81,'female','L2Pet',40,5020,2419,13.43,3.09,40,43,30,21,20,25,0,0,2199,632,1425,590,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14281,14281,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,82,'female','L2Pet',40,5061,2445,13.43,3.09,40,43,30,21,20,25,0,0,2235,638,1452,595,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14282,14282,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,82,'female','L2Pet',40,5103,2471,13.43,3.09,40,43,30,21,20,25,0,0,2272,644,1480,600,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14283,14283,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,82,'female','L2Pet',40,5145,2498,13.43,3.09,40,43,30,21,20,25,0,0,2310,650,1509,605,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14284,14284,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,82,'female','L2Pet',40,5187,2525,13.43,3.09,40,43,30,21,20,25,0,0,2348,656,1538,610,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14285,14285,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,83,'female','L2Pet',40,5230,2552,13.43,3.09,40,43,30,21,20,25,0,0,2387,662,1568,615,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14286,14286,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,83,'female','L2Pet',40,5273,2580,13.43,3.09,40,43,30,21,20,25,0,0,2426,668,1598,620,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14287,14287,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,83,'female','L2Pet',40,5316,2608,13.43,3.09,40,43,30,21,20,25,0,0,2466,674,1629,625,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14288,14288,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,83,'female','L2Pet',40,5360,2636,13.43,3.09,40,43,30,21,20,25,0,0,2507,680,1660,630,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14289,14289,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,84,'female','L2Pet',40,5404,2665,13.43,3.09,40,43,30,21,20,25,0,0,2548,686,1692,636,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14290,14290,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,84,'female','L2Pet',40,5448,2694,13.43,3.09,40,43,30,21,20,25,0,0,2590,692,1725,642,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14291,14291,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,84,'female','L2Pet',40,5493,2723,13.43,3.09,40,43,30,21,20,25,0,0,2633,698,1758,648,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14292,14292,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,84,'female','L2Pet',40,5538,2753,13.43,3.09,40,43,30,21,20,25,0,0,2677,704,1792,654,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14293,14293,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,85,'female','L2Pet',40,5584,2783,13.43,3.09,40,43,30,21,20,25,0,0,2721,710,1827,660,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14294,14294,'Feline Queen',0,'',0,'Monster2.queen_of_cat',8,15,85,'female','L2Pet',40,5630,2813,13.43,3.09,40,43,30,21,20,25,0,0,2766,717,1862,666,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14295,14295,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,22,'male','L2Pet',40,984,279,5.53,1.53,40,43,30,21,20,25,0,0,82,102,28,95,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14296,14296,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,32,'male','L2Pet',40,1700,458,7.11,2.24,40,43,30,21,20,25,0,0,186,151,69,140,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14297,14297,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,42,'male','L2Pet',40,2673,679,9.09,2.14,40,43,30,21,20,25,0,0,376,236,152,221,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14298,14298,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,50,'male','L2Pet',40,3614,957,9.09,2.14,40,43,30,21,20,25,0,0,615,305,263,285,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14299,14299,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,58,'male','L2Pet',40,4651,1251,10.27,2.45,40,43,30,21,20,25,0,0,943,383,428,360,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14300,14300,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,27,'male','L2Pet',40,1310,367,5.53,1.53,40,43,30,21,20,25,0,0,124,125,45,117,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14301,14301,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,37,'male','L2Pet',40,2155,553,7.11,2.24,40,43,30,21,20,25,0,0,267,181,104,169,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14302,14302,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,46,'male','L2Pet',40,3128,757,9.09,2.14,40,43,30,21,20,25,0,0,486,270,202,252,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14303,14303,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,54,'male','L2Pet',40,4125,1102,10.27,2.45,40,43,30,21,20,25,0,0,768,342,339,322,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14304,14304,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,60,'male','L2Pet',40,4917,1327,10.27,2.45,40,43,30,21,20,25,0,0,1040,404,477,379,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14305,14305,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,62,'male','L2Pet',40,5183,1404,12.25,3.18,40,43,30,21,20,25,0,0,1142,426,531,399,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14306,14306,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,64,'male','L2Pet',40,5448,1482,12.25,3.18,40,43,30,21,20,25,0,0,1248,449,588,420,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14307,14307,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,66,'male','L2Pet',40,5710,1561,12.25,3.18,40,43,30,21,20,25,0,0,1357,470,649,440,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14308,14308,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,68,'male','L2Pet',40,5967,1641,12.25,3.18,40,43,30,21,20,25,0,0,1472,493,713,462,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14309,14309,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,70,'male','L2Pet',40,6218,1722,12.25,3.18,40,43,30,21,20,25,0,0,1588,515,779,483,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14310,14310,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,72,'male','L2Pet',40,6461,1804,13.43,3.09,40,43,30,21,20,25,0,0,1708,540,848,505,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14311,14311,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,74,'male','L2Pet',40,6695,1888,13.43,3.09,40,43,30,21,20,25,0,0,1829,563,920,527,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14312,14312,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,76,'male','L2Pet',40,6919,1972,13.43,3.09,40,43,30,21,20,25,0,0,1952,586,993,548,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14313,14313,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,78,'male','L2Pet',40,7150,2059,13.43,3.09,40,43,30,21,20,25,0,0,2083,609,1071,569,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14314,14314,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,78,'male','L2Pet',40,7209,2081,13.43,3.09,40,43,30,21,20,25,0,0,2117,614,1092,574,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14315,14315,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,78,'male','L2Pet',40,7269,2103,13.43,3.09,40,43,30,21,20,25,0,0,2152,620,1113,579,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14316,14316,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,78,'male','L2Pet',40,7329,2126,13.43,3.09,40,43,30,21,20,25,0,0,2188,626,1134,584,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14317,14317,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,79,'male','L2Pet',40,7390,2149,13.43,3.09,40,43,30,21,20,25,0,0,2224,632,1156,589,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14318,14318,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,79,'male','L2Pet',40,7451,2172,13.43,3.09,40,43,30,21,20,25,0,0,2261,638,1178,594,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14319,14319,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,79,'male','L2Pet',40,7513,2195,13.43,3.09,40,43,30,21,20,25,0,0,2298,644,1201,599,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14320,14320,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,79,'male','L2Pet',40,7575,2219,13.43,3.09,40,43,30,21,20,25,0,0,2336,650,1224,604,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14321,14321,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,80,'male','L2Pet',40,7638,2243,13.43,3.09,40,43,30,21,20,25,0,0,2375,656,1248,609,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14322,14322,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,80,'male','L2Pet',40,7701,2267,13.43,3.09,40,43,30,21,20,25,0,0,2414,662,1272,614,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14323,14323,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,80,'male','L2Pet',40,7765,2292,13.43,3.09,40,43,30,21,20,25,0,0,2454,668,1296,619,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14324,14324,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,80,'male','L2Pet',40,7829,2317,13.43,3.09,40,43,30,21,20,25,0,0,2495,674,1321,624,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14325,14325,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,81,'male','L2Pet',40,7894,2342,13.43,3.09,40,43,30,21,20,25,0,0,2536,680,1346,629,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14326,14326,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,81,'male','L2Pet',40,7959,2367,13.43,3.09,40,43,30,21,20,25,0,0,2578,686,1372,635,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14327,14327,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,81,'male','L2Pet',40,8025,2393,13.43,3.09,40,43,30,21,20,25,0,0,2621,692,1398,641,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14328,14328,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,81,'male','L2Pet',40,8091,2419,13.43,3.09,40,43,30,21,20,25,0,0,2664,698,1425,647,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14329,14329,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,82,'male','L2Pet',40,8158,2445,13.43,3.09,40,43,30,21,20,25,0,0,2708,704,1452,653,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14330,14330,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,82,'male','L2Pet',40,8226,2471,13.43,3.09,40,43,30,21,20,25,0,0,2753,710,1480,659,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14331,14331,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,82,'male','L2Pet',40,8294,2498,13.43,3.09,40,43,30,21,20,25,0,0,2799,716,1509,665,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14332,14332,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,82,'male','L2Pet',40,8363,2525,13.43,3.09,40,43,30,21,20,25,0,0,2845,723,1538,671,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14333,14333,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,83,'male','L2Pet',40,8432,2552,13.43,3.09,40,43,30,21,20,25,0,0,2892,730,1568,677,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14334,14334,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,83,'male','L2Pet',40,8502,2580,13.43,3.09,40,43,30,21,20,25,0,0,2940,737,1598,683,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14335,14335,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,83,'male','L2Pet',40,8572,2608,13.43,3.09,40,43,30,21,20,25,0,0,2989,744,1629,689,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14336,14336,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,83,'male','L2Pet',40,8643,2636,13.43,3.09,40,43,30,21,20,25,0,0,3039,751,1660,695,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14337,14337,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,84,'male','L2Pet',40,8715,2665,13.43,3.09,40,43,30,21,20,25,0,0,3089,758,1692,701,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14338,14338,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,84,'male','L2Pet',40,8787,2694,13.43,3.09,40,43,30,21,20,25,0,0,3140,765,1725,707,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14339,14339,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,84,'male','L2Pet',40,8860,2723,13.43,3.09,40,43,30,21,20,25,0,0,3192,772,1758,713,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14340,14340,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,84,'male','L2Pet',40,8933,2753,13.43,3.09,40,43,30,21,20,25,0,0,3245,779,1792,719,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14341,14341,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,85,'male','L2Pet',40,9007,2783,13.43,3.09,40,43,30,21,20,25,0,0,3299,786,1827,725,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14342,14342,'Boxer the Unicorn',0,'',0,'Monster.unicorn_boxer',11,18,85,'male','L2Pet',40,9082,2813,13.43,3.09,40,43,30,21,20,25,0,0,3354,793,1862,731,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14343,14343,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,27,'male','L2Pet',40,1310,367,5.53,1.53,40,43,30,21,20,25,0,0,113,125,54,117,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14344,14344,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,37,'male','L2Pet',40,2155,553,7.11,2.24,40,43,30,21,20,25,0,0,242,181,126,169,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14345,14345,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,47,'male','L2Pet',40,3128,816,9.09,2.14,40,43,30,21,20,25,0,0,441,270,244,252,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14346,14346,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,54,'male','L2Pet',40,4125,1102,10.27,2.45,40,43,30,21,20,25,0,0,698,342,410,322,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14347,14347,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,22,'male','L2Pet',40,984,279,5.53,1.53,40,43,30,21,20,25,0,0,74,102,34,95,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14348,14348,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,32,'male','L2Pet',40,1700,458,7.11,2.24,40,43,30,21,20,25,0,0,169,151,83,140,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14349,14349,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,42,'male','L2Pet',40,2673,679,9.09,2.14,40,43,30,21,20,25,0,0,342,236,183,221,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14350,14350,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,50,'male','L2Pet',40,3614,957,9.09,2.14,40,43,30,21,20,25,0,0,559,305,319,285,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14351,14351,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,58,'male','L2Pet',40,4651,1251,10.27,2.45,40,43,30,21,20,25,0,0,857,383,518,360,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14352,14352,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,60,'male','L2Pet',40,4917,1327,10.27,2.45,40,43,30,21,20,25,0,0,946,404,578,379,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14353,14353,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,62,'male','L2Pet',40,5813,1404,12.25,3.18,40,43,30,21,20,25,0,0,1038,426,642,399,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14354,14354,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,64,'male','L2Pet',40,5448,1482,12.25,3.18,40,43,30,21,20,25,0,0,1134,449,711,420,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14355,14355,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,66,'male','L2Pet',40,5710,1561,12.25,3.18,40,43,30,21,20,25,0,0,1231,470,785,440,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14356,14356,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,68,'male','L2Pet',40,5967,1641,12.25,3.18,40,43,30,21,20,25,0,0,1338,493,862,462,278,0,333,0,0,0,66,140,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14357,14357,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,70,'male','L2Pet',40,6218,1722,12.25,3.18,40,43,30,21,20,25,0,0,1443,515,943,483,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14358,14358,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,72,'male','L2Pet',40,6461,1804,13.43,3.09,40,43,30,21,20,25,0,0,1553,540,1026,505,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14359,14359,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,74,'male','L2Pet',40,6695,1888,13.43,3.09,40,43,30,21,20,25,0,0,1663,563,1113,527,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14360,14360,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,76,'male','L2Pet',40,6919,1972,13.43,3.09,40,43,30,21,20,25,0,0,1775,586,1201,548,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14361,14361,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,78,'male','L2Pet',40,7150,2059,13.43,3.09,40,43,30,21,20,25,0,0,1894,609,1295,569,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14362,14362,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,78,'male','L2Pet',40,7209,2081,13.43,3.09,40,43,30,21,20,25,0,0,1925,614,1320,574,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14363,14363,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,78,'male','L2Pet',40,7269,2103,13.43,3.09,40,43,30,21,20,25,0,0,1957,620,1345,579,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14364,14364,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,78,'male','L2Pet',40,7329,2126,13.43,3.09,40,43,30,21,20,25,0,0,1989,626,1371,584,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14365,14365,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,79,'male','L2Pet',40,7390,2149,13.43,3.09,40,43,30,21,20,25,0,0,2022,632,1397,589,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14366,14366,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,79,'male','L2Pet',40,7451,2172,13.43,3.09,40,43,30,21,20,25,0,0,2055,638,1424,594,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14367,14367,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,79,'male','L2Pet',40,7513,2195,13.43,3.09,40,43,30,21,20,25,0,0,2089,644,1451,599,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14368,14368,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,79,'male','L2Pet',40,7575,2219,13.43,3.09,40,43,30,21,20,25,0,0,2124,650,1479,604,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14369,14369,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,80,'male','L2Pet',40,7638,2243,13.43,3.09,40,43,30,21,20,25,0,0,2159,656,1507,609,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14370,14370,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,80,'male','L2Pet',40,7701,2267,13.43,3.09,40,43,30,21,20,25,0,0,2195,662,1536,614,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14371,14371,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,80,'male','L2Pet',40,7765,2292,13.43,3.09,40,43,30,21,20,25,0,0,2231,668,1566,619,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14372,14372,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,80,'male','L2Pet',40,7829,2317,13.43,3.09,40,43,30,21,20,25,0,0,2268,674,1596,624,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14373,14373,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,81,'male','L2Pet',40,7894,2342,13.43,3.09,40,43,30,21,20,25,0,0,2306,680,1627,629,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14374,14374,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,81,'male','L2Pet',40,7959,2367,13.43,3.09,40,43,30,21,20,25,0,0,2344,686,1658,635,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14375,14375,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,81,'male','L2Pet',40,8025,2393,13.43,3.09,40,43,30,21,20,25,0,0,2383,692,1690,641,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14376,14376,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,81,'male','L2Pet',40,8091,2419,13.43,3.09,40,43,30,21,20,25,0,0,2422,698,1723,647,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14377,14377,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,82,'male','L2Pet',40,8158,2445,13.43,3.09,40,43,30,21,20,25,0,0,2462,704,1756,653,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14378,14378,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,82,'male','L2Pet',40,8226,2471,13.43,3.09,40,43,30,21,20,25,0,0,2503,710,1790,659,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14379,14379,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,82,'male','L2Pet',40,8294,2498,13.43,3.09,40,43,30,21,20,25,0,0,2544,716,1825,665,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14380,14380,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,82,'male','L2Pet',40,8363,2525,13.43,3.09,40,43,30,21,20,25,0,0,2586,723,1860,671,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14381,14381,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,83,'male','L2Pet',40,8432,2552,13.43,3.09,40,43,30,21,20,25,0,0,2629,730,1896,677,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14382,14382,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,83,'male','L2Pet',40,8502,2580,13.43,3.09,40,43,30,21,20,25,0,0,2673,737,1933,683,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14383,14383,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,83,'male','L2Pet',40,8572,2608,13.43,3.09,40,43,30,21,20,25,0,0,2717,744,1970,689,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14384,14384,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,83,'male','L2Pet',40,8643,2636,13.43,3.09,40,43,30,21,20,25,0,0,2762,751,2008,695,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14385,14385,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,84,'male','L2Pet',40,8715,2665,13.43,3.09,40,43,30,21,20,25,0,0,2808,758,2047,701,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14386,14386,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,84,'male','L2Pet',40,8787,2694,13.43,3.09,40,43,30,21,20,25,0,0,2855,765,2087,707,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14387,14387,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,84,'male','L2Pet',40,8860,2723,13.43,3.09,40,43,30,21,20,25,0,0,2902,772,2127,713,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14388,14388,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,84,'male','L2Pet',40,8933,2753,13.43,3.09,40,43,30,21,20,25,0,0,2950,779,2168,719,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14389,14389,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,85,'male','L2Pet',40,9007,2783,13.43,3.09,40,43,30,21,20,25,0,0,2999,786,2210,725,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14390,14390,'Mirage the Unicorn',0,'',0,'Monster.unicorn_mirage',13,17,85,'male','L2Pet',40,9082,2813,13.43,3.09,40,43,30,21,20,25,0,0,3049,793,2253,731,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14391,14391,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,42,'male','L2Pet',40,2008,637,9.09,2.14,40,43,30,21,20,25,0,0,376,236,221,221,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14392,14392,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,46,'male','L2Pet',40,2351,816,9.09,2.14,40,43,30,21,20,25,0,0,486,270,295,252,278,0,467,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14393,14393,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,50,'male','L2Pet',40,2716,957,9.09,2.14,40,43,30,21,20,25,0,0,615,305,384,285,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14394,14394,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,54,'male','L2Pet',40,3100,1102,10.27,2.45,40,43,30,21,20,25,0,0,768,342,495,322,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14395,14395,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,58,'male','L2Pet',40,3496,1251,10.27,2.45,40,43,30,21,20,25,0,0,943,383,625,360,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14396,14396,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,60,'male','L2Pet',40,3695,1327,10.27,2.45,40,43,30,21,20,25,0,0,1040,404,697,379,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14397,14397,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,62,'male','L2Pet',40,3895,1404,12.25,3.18,40,43,30,21,20,25,0,0,1142,426,775,399,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14398,14398,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,64,'male','L2Pet',40,4094,1482,12.25,3.18,40,43,30,21,20,25,0,0,1248,449,858,420,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14399,14399,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,66,'male','L2Pet',40,4291,1561,12.25,3.18,40,43,30,21,20,25,0,0,1356,470,947,440,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14400,14400,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,68,'male','L2Pet',40,4484,1641,12.25,3.18,40,43,30,21,20,25,0,0,1472,493,1041,462,278,0,432,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14401,14401,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,70,'male','L2Pet',40,4673,1722,12.25,3.18,40,43,30,21,20,25,0,0,1587,515,1137,483,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14402,14402,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,72,'male','L2Pet',40,4856,1804,13.43,3.09,40,43,30,21,20,25,0,0,1708,540,1238,505,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14403,14403,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,74,'male','L2Pet',40,5032,1888,13.43,3.09,40,43,30,21,20,25,0,0,1828,563,1343,527,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14404,14404,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,76,'male','L2Pet',40,5200,1972,13.43,3.09,40,43,30,21,20,25,0,0,1952,586,1449,548,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14405,14405,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,78,'male','L2Pet',40,5373,2059,13.43,3.09,40,43,30,21,20,25,0,0,2084,609,1564,569,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14406,14406,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,78,'male','L2Pet',40,5417,2081,13.43,3.09,40,43,30,21,20,25,0,0,2119,614,1594,574,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14407,14407,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,78,'male','L2Pet',40,5462,2103,13.43,3.09,40,43,30,21,20,25,0,0,2154,620,1625,579,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14408,14408,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,78,'male','L2Pet',40,5507,2126,13.43,3.09,40,43,30,21,20,25,0,0,2190,626,1656,584,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14409,14409,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,79,'male','L2Pet',40,5552,2149,13.43,3.09,40,43,30,21,20,25,0,0,2226,632,1688,589,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14410,14410,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,79,'male','L2Pet',40,5598,2172,13.43,3.09,40,43,30,21,20,25,0,0,2263,638,1721,594,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14411,14411,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,79,'male','L2Pet',40,5644,2195,13.43,3.09,40,43,30,21,20,25,0,0,2301,644,1754,599,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14412,14412,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,79,'male','L2Pet',40,5690,2219,13.43,3.09,40,43,30,21,20,25,0,0,2339,650,1788,604,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14413,14413,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,80,'male','L2Pet',40,5737,2243,13.43,3.09,40,43,30,21,20,25,0,0,2378,656,1823,609,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14414,14414,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,80,'male','L2Pet',40,5784,2267,13.43,3.09,40,43,30,21,20,25,0,0,2418,662,1858,614,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14415,14415,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,80,'male','L2Pet',40,5832,2292,13.43,3.09,40,43,30,21,20,25,0,0,2458,668,1894,619,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14416,14416,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,80,'male','L2Pet',40,5880,2317,13.43,3.09,40,43,30,21,20,25,0,0,2499,674,1931,624,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14417,14417,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,81,'male','L2Pet',40,5928,2342,13.43,3.09,40,43,30,21,20,25,0,0,2541,680,1969,629,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14418,14418,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,81,'male','L2Pet',40,5977,2367,13.43,3.09,40,43,30,21,20,25,0,0,2583,686,2007,635,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14419,14419,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,81,'male','L2Pet',40,6026,2393,13.43,3.09,40,43,30,21,20,25,0,0,2626,692,2046,641,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14420,14420,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,81,'male','L2Pet',40,6076,2419,13.43,3.09,40,43,30,21,20,25,0,0,2670,698,2086,647,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14421,14421,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,82,'male','L2Pet',40,6126,2445,13.43,3.09,40,43,30,21,20,25,0,0,2715,704,2127,653,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14422,14422,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,82,'male','L2Pet',40,6176,2471,13.43,3.09,40,43,30,21,20,25,0,0,2760,710,2168,659,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14423,14423,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,82,'male','L2Pet',40,6227,2498,13.43,3.09,40,43,30,21,20,25,0,0,2806,716,2210,665,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14424,14424,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,82,'male','L2Pet',40,6278,2525,13.43,3.09,40,43,30,21,20,25,0,0,2853,723,2253,671,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14425,14425,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,83,'male','L2Pet',40,6330,2552,13.43,3.09,40,43,30,21,20,25,0,0,2901,730,2297,677,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14426,14426,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,83,'male','L2Pet',40,6382,2580,13.43,3.09,40,43,30,21,20,25,0,0,2949,737,2342,683,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14427,14427,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,83,'male','L2Pet',40,6435,2608,13.43,3.09,40,43,30,21,20,25,0,0,2998,744,2388,689,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14428,14428,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,83,'male','L2Pet',40,6488,2636,13.43,3.09,40,43,30,21,20,25,0,0,3048,751,2435,695,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14429,14429,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,84,'male','L2Pet',40,6541,2665,13.43,3.09,40,43,30,21,20,25,0,0,3099,758,2482,701,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14430,14430,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,84,'male','L2Pet',40,6595,2694,13.43,3.09,40,43,30,21,20,25,0,0,3151,765,2530,707,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14431,14431,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,84,'male','L2Pet',40,6649,2723,13.43,3.09,40,43,30,21,20,25,0,0,3204,772,2579,713,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14432,14432,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,84,'male','L2Pet',40,6704,2753,13.43,3.09,40,43,30,21,20,25,0,0,3258,779,2629,719,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14433,14433,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,85,'male','L2Pet',40,6759,2783,13.43,3.09,40,43,30,21,20,25,0,0,3312,786,2680,725,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14434,14434,'Merrow the Unicorn',0,'',0,'Monster.blue_eye',11,16,85,'male','L2Pet',40,6815,2813,13.43,3.09,40,43,30,21,20,25,0,0,3367,793,2732,731,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14435,14435,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,58,'male','L2Pet',40,2889,1251,10.27,2.45,40,43,30,21,20,25,0,0,779,348,428,327,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14436,14436,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,60,'male','L2Pet',40,3054,1327,10.27,2.45,40,43,30,21,20,25,0,0,860,368,477,345,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14437,14437,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,62,'male','L2Pet',40,3219,1404,12.25,3.18,40,43,30,21,20,25,0,0,944,388,531,363,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14438,14438,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,64,'male','L2Pet',40,3384,1482,12.25,3.18,40,43,30,21,20,25,0,0,1031,408,588,381,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14439,14439,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,66,'male','L2Pet',40,3546,1561,12.25,3.18,40,43,30,21,20,25,0,0,1121,427,649,400,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14440,14440,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,68,'male','L2Pet',40,3706,1641,12.25,3.18,40,43,30,21,20,25,0,0,1217,449,713,420,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14441,14441,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,70,'male','L2Pet',40,3862,1722,12.25,3.18,40,43,30,21,20,25,0,0,1312,469,779,439,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14442,14442,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,72,'male','L2Pet',40,4013,1804,13.43,3.09,40,43,30,21,20,25,0,0,1412,491,848,459,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14443,14443,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,74,'male','L2Pet',40,4158,1888,13.43,3.09,40,43,30,21,20,25,0,0,1511,511,920,479,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14444,14444,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,76,'male','L2Pet',40,4297,1972,13.43,3.09,40,43,30,21,20,25,0,0,1613,532,993,498,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14449,14449,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,78,'male','L2Pet',40,4440,2059,13.43,3.09,40,43,30,21,20,25,0,0,1721,553,1071,517,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14450,14450,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,78,'male','L2Pet',40,4476,2081,13.43,3.09,40,43,30,21,20,25,0,0,1749,558,1092,521,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14451,14451,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,78,'male','L2Pet',40,4513,2103,13.43,3.09,40,43,30,21,20,25,0,0,1778,563,1113,525,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14452,14452,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,78,'male','L2Pet',40,4550,2126,13.43,3.09,40,43,30,21,20,25,0,0,1807,568,1134,530,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14453,14453,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,79,'male','L2Pet',40,4587,2149,13.43,3.09,40,43,30,21,20,25,0,0,1837,573,1156,535,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14454,14454,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,79,'male','L2Pet',40,4625,2172,13.43,3.09,40,43,30,21,20,25,0,0,1867,578,1178,540,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14455,14455,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,79,'male','L2Pet',40,4663,2195,13.43,3.09,40,43,30,21,20,25,0,0,1898,583,1201,545,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14456,14456,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,79,'male','L2Pet',40,4701,2219,13.43,3.09,40,43,30,21,20,25,0,0,1929,588,1224,550,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14457,14457,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,80,'male','L2Pet',40,4740,2243,13.43,3.09,40,43,30,21,20,25,0,0,1961,593,1248,555,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14458,14458,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,80,'male','L2Pet',40,4779,2267,13.43,3.09,40,43,30,21,20,25,0,0,1993,598,1272,560,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14459,14459,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,80,'male','L2Pet',40,4818,2292,13.43,3.09,40,43,30,21,20,25,0,0,2026,603,1296,565,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14460,14460,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,80,'male','L2Pet',40,4858,2317,13.43,3.09,40,43,30,21,20,25,0,0,2059,608,1321,570,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14461,14461,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,81,'male','L2Pet',40,4898,2342,13.43,3.09,40,43,30,21,20,25,0,0,2093,614,1346,575,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14462,14462,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,81,'male','L2Pet',40,4938,2367,13.43,3.09,40,43,30,21,20,25,0,0,2128,620,1372,580,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14463,14463,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,81,'male','L2Pet',40,4979,2393,13.43,3.09,40,43,30,21,20,25,0,0,2163,626,1398,585,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14464,14464,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,81,'male','L2Pet',40,5020,2419,13.43,3.09,40,43,30,21,20,25,0,0,2199,632,1425,590,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14465,14465,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,82,'male','L2Pet',40,5061,2445,13.43,3.09,40,43,30,21,20,25,0,0,2235,638,1452,595,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14466,14466,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,82,'male','L2Pet',40,5103,2471,13.43,3.09,40,43,30,21,20,25,0,0,2272,644,1480,600,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14467,14467,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,82,'male','L2Pet',40,5145,2498,13.43,3.09,40,43,30,21,20,25,0,0,2310,650,1509,605,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14468,14468,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,82,'male','L2Pet',40,5187,2525,13.43,3.09,40,43,30,21,20,25,0,0,2348,656,1538,610,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14469,14469,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,83,'male','L2Pet',40,5230,2552,13.43,3.09,40,43,30,21,20,25,0,0,2387,662,1568,615,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14470,14470,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,83,'male','L2Pet',40,5273,2580,13.43,3.09,40,43,30,21,20,25,0,0,2426,668,1598,620,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14471,14471,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,83,'male','L2Pet',40,5316,2608,13.43,3.09,40,43,30,21,20,25,0,0,2466,674,1629,625,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14472,14472,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,83,'male','L2Pet',40,5360,2636,13.43,3.09,40,43,30,21,20,25,0,0,2507,680,1660,630,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14473,14473,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,84,'male','L2Pet',40,5404,2665,13.43,3.09,40,43,30,21,20,25,0,0,2548,686,1692,636,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14474,14474,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,84,'male','L2Pet',40,5448,2694,13.43,3.09,40,43,30,21,20,25,0,0,2590,692,1725,642,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14475,14475,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,84,'male','L2Pet',40,5493,2723,13.43,3.09,40,43,30,21,20,25,0,0,2633,698,1758,648,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14476,14476,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,84,'male','L2Pet',40,5538,2753,13.43,3.09,40,43,30,21,20,25,0,0,2677,704,1792,654,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14477,14477,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,85,'male','L2Pet',40,5584,2783,13.43,3.09,40,43,30,21,20,25,0,0,2721,710,1827,660,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14478,14478,'Unicorn Seraphim',0,'',0,'Monster2.angelic_unicorn',9,25.05,85,'male','L2Pet',40,5630,2813,13.43,3.09,40,43,30,21,20,25,0,0,2766,717,1862,666,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14479,14479,'Shadow',0,'',0,'Monster.shadow',10,30,22,'male','L2Pet',40,984,279,5.53,1.53,40,43,30,21,20,25,0,0,82,102,28,95,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14480,14480,'Shadow',0,'',0,'Monster.shadow',10,30,32,'male','L2Pet',40,1700,458,7.11,2.24,40,43,30,21,20,25,0,0,186,151,69,140,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14481,14481,'Shadow',0,'',0,'Monster.shadow',10,30,42,'male','L2Pet',40,2673,679,9.09,2.14,40,43,30,21,20,25,0,0,376,236,152,221,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14482,14482,'Shadow',0,'',0,'Monster.shadow',10,30,50,'male','L2Pet',40,3614,957,9.09,2.14,40,43,30,21,20,25,0,0,615,305,263,285,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14483,14483,'Shadow',0,'',0,'Monster.shadow',10,30,58,'male','L2Pet',40,4651,1251,10.27,2.45,40,43,30,21,20,25,0,0,943,383,428,360,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14484,14484,'Shadow',0,'',0,'Monster.shadow',10,30,27,'male','L2Pet',40,1310,367,5.53,1.53,40,43,30,21,20,25,0,0,124,125,45,117,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14485,14485,'Shadow',0,'',0,'Monster.shadow',10,30,37,'male','L2Pet',40,2155,533,7.11,2.24,40,43,30,21,20,25,0,0,267,181,104,169,320,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14486,14486,'Shadow',0,'',0,'Monster.shadow',10,30,46,'male','L2Pet',40,3128,816,9.09,2.14,40,43,30,21,20,25,0,0,486,270,202,252,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14487,14487,'Shadow',0,'',0,'Monster.shadow',10,30,54,'male','L2Pet',40,4125,1102,10.27,2.45,40,43,30,21,20,25,0,0,768,342,339,322,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14488,14488,'Shadow',0,'',0,'Monster.shadow',10,30,60,'male','L2Pet',40,4917,1327,10.27,2.45,40,43,30,21,20,25,0,0,1040,404,477,379,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14489,14489,'Shadow',0,'',0,'Monster.shadow',10,30,62,'male','L2Pet',40,5183,1404,12.25,3.18,40,43,30,21,20,25,0,0,1142,426,531,399,370,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14490,14490,'Shadow',0,'',0,'Monster.shadow',10,30,64,'male','L2Pet',40,5448,1482,12.25,3.18,40,43,30,21,20,25,0,0,1248,449,588,420,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14491,14491,'Shadow',0,'',0,'Monster.shadow',10,30,66,'male','L2Pet',40,5710,1561,12.25,3.18,40,43,30,21,20,25,0,0,1357,470,649,440,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14492,14492,'Shadow',0,'',0,'Monster.shadow',10,30,68,'male','L2Pet',40,5967,1641,12.25,3.18,40,43,30,21,20,25,0,0,1472,493,713,462,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14493,14493,'Shadow',0,'',0,'Monster.shadow',10,30,70,'male','L2Pet',40,6218,1722,12.25,3.18,40,43,30,21,20,25,0,0,1588,515,779,483,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14494,14494,'Shadow',0,'',0,'Monster.shadow',10,30,72,'male','L2Pet',40,6461,1804,13.43,3.09,40,43,30,21,20,25,0,0,1708,540,848,505,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14495,14495,'Shadow',0,'',0,'Monster.shadow',10,30,74,'male','L2Pet',40,6695,1888,13.43,3.09,40,43,30,21,20,25,0,0,1829,563,920,527,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14496,14496,'Shadow',0,'',0,'Monster.shadow',10,30,76,'male','L2Pet',40,6919,1972,13.43,3.09,40,43,30,21,20,25,0,0,1952,586,993,548,370,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14497,14497,'Shadow',0,'',0,'Monster.shadow',10,30,78,'male','L2Pet',40,7150,2059,13.43,3.09,40,43,30,21,20,25,0,0,2083,609,1071,569,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14498,14498,'Shadow',0,'',0,'Monster.shadow',10,30,78,'male','L2Pet',40,7209,2081,13.43,3.09,40,43,30,21,20,25,0,0,2117,614,1092,574,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14499,14499,'Shadow',0,'',0,'Monster.shadow',10,30,78,'male','L2Pet',40,7269,2103,13.43,3.09,40,43,30,21,20,25,0,0,2152,620,1113,579,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14500,14500,'Shadow',0,'',0,'Monster.shadow',10,30,78,'male','L2Pet',40,7329,2126,13.43,3.09,40,43,30,21,20,25,0,0,2188,626,1134,584,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14501,14501,'Shadow',0,'',0,'Monster.shadow',10,30,79,'male','L2Pet',40,7390,2149,13.43,3.09,40,43,30,21,20,25,0,0,2224,632,1156,589,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14502,14502,'Shadow',0,'',0,'Monster.shadow',10,30,79,'male','L2Pet',40,7451,2172,13.43,3.09,40,43,30,21,20,25,0,0,2261,638,1178,594,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14503,14503,'Shadow',0,'',0,'Monster.shadow',10,30,79,'male','L2Pet',40,7513,2195,13.43,3.09,40,43,30,21,20,25,0,0,2298,644,1201,599,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14504,14504,'Shadow',0,'',0,'Monster.shadow',10,30,79,'male','L2Pet',40,7575,2219,13.43,3.09,40,43,30,21,20,25,0,0,2336,650,1224,604,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14505,14505,'Shadow',0,'',0,'Monster.shadow',10,30,80,'male','L2Pet',40,7638,2243,13.43,3.09,40,43,30,21,20,25,0,0,2375,656,1248,609,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14506,14506,'Shadow',0,'',0,'Monster.shadow',10,30,80,'male','L2Pet',40,7701,2267,13.43,3.09,40,43,30,21,20,25,0,0,2414,662,1272,614,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14507,14507,'Shadow',0,'',0,'Monster.shadow',10,30,80,'male','L2Pet',40,7765,2292,13.43,3.09,40,43,30,21,20,25,0,0,2454,668,1296,619,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14508,14508,'Shadow',0,'',0,'Monster.shadow',10,30,80,'male','L2Pet',40,7829,2317,13.43,3.09,40,43,30,21,20,25,0,0,2495,674,1321,624,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14509,14509,'Shadow',0,'',0,'Monster.shadow',10,30,81,'male','L2Pet',40,7894,2342,13.43,3.09,40,43,30,21,20,25,0,0,2536,680,1346,629,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14510,14510,'Shadow',0,'',0,'Monster.shadow',10,30,81,'male','L2Pet',40,7959,2367,13.43,3.09,40,43,30,21,20,25,0,0,2578,686,1372,635,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14511,14511,'Shadow',0,'',0,'Monster.shadow',10,30,81,'male','L2Pet',40,8025,2393,13.43,3.09,40,43,30,21,20,25,0,0,2621,692,1398,641,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14512,14512,'Shadow',0,'',0,'Monster.shadow',10,30,81,'male','L2Pet',40,8091,2419,13.43,3.09,40,43,30,21,20,25,0,0,2664,698,1425,647,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14513,14513,'Shadow',0,'',0,'Monster.shadow',10,30,82,'male','L2Pet',40,8158,2445,13.43,3.09,40,43,30,21,20,25,0,0,2708,704,1452,653,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14514,14514,'Shadow',0,'',0,'Monster.shadow',10,30,82,'male','L2Pet',40,8226,2471,13.43,3.09,40,43,30,21,20,25,0,0,2753,710,1480,659,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14515,14515,'Shadow',0,'',0,'Monster.shadow',10,30,82,'male','L2Pet',40,8294,2498,13.43,3.09,40,43,30,21,20,25,0,0,2799,716,1509,665,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14516,14516,'Shadow',0,'',0,'Monster.shadow',10,30,82,'male','L2Pet',40,8363,2525,13.43,3.09,40,43,30,21,20,25,0,0,2845,723,1538,671,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14517,14517,'Shadow',0,'',0,'Monster.shadow',10,30,83,'male','L2Pet',40,8432,2552,13.43,3.09,40,43,30,21,20,25,0,0,2892,730,1568,677,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14518,14518,'Shadow',0,'',0,'Monster.shadow',10,30,83,'male','L2Pet',40,8502,2580,13.43,3.09,40,43,30,21,20,25,0,0,2940,737,1598,683,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14519,14519,'Shadow',0,'',0,'Monster.shadow',10,30,83,'male','L2Pet',40,8572,2608,13.43,3.09,40,43,30,21,20,25,0,0,2989,744,1629,689,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14520,14520,'Shadow',0,'',0,'Monster.shadow',10,30,83,'male','L2Pet',40,8643,2636,13.43,3.09,40,43,30,21,20,25,0,0,3039,751,1660,695,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14521,14521,'Shadow',0,'',0,'Monster.shadow',10,30,84,'male','L2Pet',40,8715,2665,13.43,3.09,40,43,30,21,20,25,0,0,3089,758,1692,701,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14522,14522,'Shadow',0,'',0,'Monster.shadow',10,30,84,'male','L2Pet',40,8787,2694,13.43,3.09,40,43,30,21,20,25,0,0,3140,765,1725,707,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14523,14523,'Shadow',0,'',0,'Monster.shadow',10,30,84,'male','L2Pet',40,8860,2723,13.43,3.09,40,43,30,21,20,25,0,0,3192,772,1758,713,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14524,14524,'Shadow',0,'',0,'Monster.shadow',10,30,84,'male','L2Pet',40,8933,2753,13.43,3.09,40,43,30,21,20,25,0,0,3245,779,1792,719,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14525,14525,'Shadow',0,'',0,'Monster.shadow',10,30,85,'male','L2Pet',40,9007,2783,13.43,3.09,40,43,30,21,20,25,0,0,3299,786,1827,725,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14526,14526,'Shadow',0,'',0,'Monster.shadow',10,30,85,'male','L2Pet',40,9082,2813,13.43,3.09,40,43,30,21,20,25,0,0,3354,793,1862,731,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14527,14527,'Silhouette',0,'',0,'Monster.silhouette',8,23,27,'female','L2Pet',40,1310,367,5.53,1.53,40,43,30,21,20,25,0,0,113,125,54,117,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14528,14528,'Silhouette',0,'',0,'Monster.silhouette',8,23,37,'female','L2Pet',40,2155,553,7.11,2.24,40,43,30,21,20,25,0,0,242,181,126,169,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14529,14529,'Silhouette',0,'',0,'Monster.silhouette',8,23,47,'female','L2Pet',40,3128,816,9.09,2.14,40,43,30,21,20,25,0,0,441,270,244,252,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14530,14530,'Silhouette',0,'',0,'Monster.silhouette',8,23,54,'female','L2Pet',40,4125,1102,10.27,2.45,40,43,30,21,20,25,0,0,698,342,410,322,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14531,14531,'Silhouette',0,'',0,'Monster.silhouette',8,23,22,'female','L2Pet',40,984,279,5.53,1.53,40,43,30,21,20,25,0,0,74,102,34,95,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14532,14532,'Silhouette',0,'',0,'Monster.silhouette',8,23,32,'female','L2Pet',40,1700,458,7.11,2.24,40,43,30,21,20,25,0,0,169,151,83,140,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14533,14533,'Silhouette',0,'',0,'Monster.silhouette',8,23,42,'female','L2Pet',40,2673,679,9.09,2.14,40,43,30,21,20,25,0,0,342,236,183,221,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14534,14534,'Silhouette',0,'',0,'Monster.silhouette',8,23,50,'female','L2Pet',40,3614,957,9.09,2.14,40,43,30,21,20,25,0,0,559,305,319,285,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14535,14535,'Silhouette',0,'',0,'Monster.silhouette',8,23,58,'female','L2Pet',40,4651,1251,10.27,2.45,40,43,30,21,20,25,0,0,857,383,518,360,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14536,14536,'Silhouette',0,'',0,'Monster.silhouette',8,23,60,'female','L2Pet',40,4917,1327,10.27,2.45,40,43,30,21,20,25,0,0,946,404,578,379,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14537,14537,'Silhouette',0,'',0,'Monster.silhouette',8,23,62,'female','L2Pet',40,5183,1404,12.25,3.18,40,43,30,21,20,25,0,0,1038,426,642,399,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14538,14538,'Silhouette',0,'',0,'Monster.silhouette',8,23,64,'female','L2Pet',40,5448,1482,12.25,3.18,40,43,30,21,20,25,0,0,1135,449,711,420,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14539,14539,'Silhouette',0,'',0,'Monster.silhouette',8,23,66,'female','L2Pet',40,5710,1561,12.25,3.18,40,43,30,21,20,25,0,0,1233,470,785,440,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14540,14540,'Silhouette',0,'',0,'Monster.silhouette',8,23,68,'female','L2Pet',40,5967,1641,12.25,3.18,40,43,30,21,20,25,0,0,1338,493,862,462,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14541,14541,'Silhouette',0,'',0,'Monster.silhouette',8,23,70,'female','L2Pet',40,6218,1722,12.25,3.18,40,43,30,21,20,25,0,0,1443,515,943,483,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14542,14542,'Silhouette',0,'',0,'Monster.silhouette',8,23,72,'female','L2Pet',40,6461,1804,13.43,3.09,40,43,30,21,20,25,0,0,1553,540,1026,505,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14543,14543,'Silhouette',0,'',0,'Monster.silhouette',8,23,74,'female','L2Pet',40,6695,1888,13.43,3.09,40,43,30,21,20,25,0,0,1663,563,1113,527,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14544,14544,'Silhouette',0,'',0,'Monster.silhouette',8,23,76,'female','L2Pet',40,6919,1972,13.43,3.09,40,43,30,21,20,25,0,0,1775,586,1201,548,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14545,14545,'Silhouette',0,'',0,'Monster.silhouette',8,23,78,'female','L2Pet',40,7150,2059,13.43,3.09,40,43,30,21,20,25,0,0,1894,609,1295,569,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14546,14546,'Silhouette',0,'',0,'Monster.silhouette',8,23,78,'female','L2Pet',40,7209,2081,13.43,3.09,40,43,30,21,20,25,0,0,1925,614,1320,574,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14547,14547,'Silhouette',0,'',0,'Monster.silhouette',8,23,78,'female','L2Pet',40,7269,2103,13.43,3.09,40,43,30,21,20,25,0,0,1957,620,1345,579,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14548,14548,'Silhouette',0,'',0,'Monster.silhouette',8,23,78,'female','L2Pet',40,7329,2126,13.43,3.09,40,43,30,21,20,25,0,0,1989,626,1371,584,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14549,14549,'Silhouette',0,'',0,'Monster.silhouette',8,23,79,'female','L2Pet',40,7390,2149,13.43,3.09,40,43,30,21,20,25,0,0,2022,632,1397,589,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14550,14550,'Silhouette',0,'',0,'Monster.silhouette',8,23,79,'female','L2Pet',40,7451,2172,13.43,3.09,40,43,30,21,20,25,0,0,2055,638,1424,594,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14551,14551,'Silhouette',0,'',0,'Monster.silhouette',8,23,79,'female','L2Pet',40,7513,2195,13.43,3.09,40,43,30,21,20,25,0,0,2089,644,1451,599,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14552,14552,'Silhouette',0,'',0,'Monster.silhouette',8,23,79,'female','L2Pet',40,7575,2219,13.43,3.09,40,43,30,21,20,25,0,0,2124,650,1479,604,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14553,14553,'Silhouette',0,'',0,'Monster.silhouette',8,23,80,'female','L2Pet',40,7638,2243,13.43,3.09,40,43,30,21,20,25,0,0,2159,656,1507,609,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14554,14554,'Silhouette',0,'',0,'Monster.silhouette',8,23,80,'female','L2Pet',40,7701,2267,13.43,3.09,40,43,30,21,20,25,0,0,2195,662,1536,614,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14555,14555,'Silhouette',0,'',0,'Monster.silhouette',8,23,80,'female','L2Pet',40,7765,2292,13.43,3.09,40,43,30,21,20,25,0,0,2231,668,1566,619,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14556,14556,'Silhouette',0,'',0,'Monster.silhouette',8,23,80,'female','L2Pet',40,7829,2317,13.43,3.09,40,43,30,21,20,25,0,0,2268,674,1596,624,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14557,14557,'Silhouette',0,'',0,'Monster.silhouette',8,23,81,'female','L2Pet',40,7894,2342,13.43,3.09,40,43,30,21,20,25,0,0,2306,680,1627,629,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14558,14558,'Silhouette',0,'',0,'Monster.silhouette',8,23,81,'female','L2Pet',40,7959,2367,13.43,3.09,40,43,30,21,20,25,0,0,2344,686,1658,635,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14559,14559,'Silhouette',0,'',0,'Monster.silhouette',8,23,81,'female','L2Pet',40,8025,2393,13.43,3.09,40,43,30,21,20,25,0,0,2383,692,1690,641,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14560,14560,'Silhouette',0,'',0,'Monster.silhouette',8,23,81,'female','L2Pet',40,8091,2419,13.43,3.09,40,43,30,21,20,25,0,0,2422,698,1723,647,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14561,14561,'Silhouette',0,'',0,'Monster.silhouette',8,23,82,'female','L2Pet',40,8158,2445,13.43,3.09,40,43,30,21,20,25,0,0,2462,704,1756,653,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14562,14562,'Silhouette',0,'',0,'Monster.silhouette',8,23,82,'female','L2Pet',40,8226,2471,13.43,3.09,40,43,30,21,20,25,0,0,2503,710,1790,659,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14563,14563,'Silhouette',0,'',0,'Monster.silhouette',8,23,82,'female','L2Pet',40,8294,2498,13.43,3.09,40,43,30,21,20,25,0,0,2544,716,1825,665,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14564,14564,'Silhouette',0,'',0,'Monster.silhouette',8,23,82,'female','L2Pet',40,8363,2525,13.43,3.09,40,43,30,21,20,25,0,0,2586,723,1860,671,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14565,14565,'Silhouette',0,'',0,'Monster.silhouette',8,23,83,'female','L2Pet',40,8432,2552,13.43,3.09,40,43,30,21,20,25,0,0,2629,730,1896,677,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14566,14566,'Silhouette',0,'',0,'Monster.silhouette',8,23,83,'female','L2Pet',40,8502,2580,13.43,3.09,40,43,30,21,20,25,0,0,2673,737,1933,683,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14567,14567,'Silhouette',0,'',0,'Monster.silhouette',8,23,83,'female','L2Pet',40,8572,2608,13.43,3.09,40,43,30,21,20,25,0,0,2717,744,1970,689,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14568,14568,'Silhouette',0,'',0,'Monster.silhouette',8,23,83,'female','L2Pet',40,8643,2636,13.43,3.09,40,43,30,21,20,25,0,0,2762,751,2008,695,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14569,14569,'Silhouette',0,'',0,'Monster.silhouette',8,23,84,'female','L2Pet',40,8715,2665,13.43,3.09,40,43,30,21,20,25,0,0,2808,758,2047,701,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14570,14570,'Silhouette',0,'',0,'Monster.silhouette',8,23,84,'female','L2Pet',40,8787,2694,13.43,3.09,40,43,30,21,20,25,0,0,2855,765,2087,707,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14571,14571,'Silhouette',0,'',0,'Monster.silhouette',8,23,84,'female','L2Pet',40,8860,2723,13.43,3.09,40,43,30,21,20,25,0,0,2902,772,2127,713,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14572,14572,'Silhouette',0,'',0,'Monster.silhouette',8,23,84,'female','L2Pet',40,8933,2753,13.43,3.09,40,43,30,21,20,25,0,0,2950,779,2168,719,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14573,14573,'Silhouette',0,'',0,'Monster.silhouette',8,23,85,'female','L2Pet',40,9007,2783,13.43,3.09,40,43,30,21,20,25,0,0,2999,786,2210,725,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14574,14574,'Silhouette',0,'',0,'Monster.silhouette',8,23,85,'female','L2Pet',40,9082,2813,13.43,3.09,40,43,30,21,20,25,0,0,3049,793,2253,731,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14575,14575,'Soulless',0,'',0,'Monster.shadeless',7,28,42,'male','L2Pet',40,2008,679,9.09,2.14,40,43,30,21,20,25,0,0,376,236,221,221,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14576,14576,'Soulless',0,'',0,'Monster.shadeless',7,28,46,'male','L2Pet',40,2351,816,9.09,2.14,40,43,30,21,20,25,0,0,486,270,295,252,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14577,14577,'Soulless',0,'',0,'Monster.shadeless',7,28,50,'male','L2Pet',40,2716,957,9.09,2.14,40,43,30,21,20,25,0,0,615,305,384,285,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14578,14578,'Soulless',0,'',0,'Monster.shadeless',7,28,54,'male','L2Pet',40,3100,1102,10.27,2.45,40,43,30,21,20,25,0,0,768,342,495,322,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14579,14579,'Soulless',0,'',0,'Monster.shadeless',7,28,58,'male','L2Pet',40,3496,1251,10.27,2.45,40,43,30,21,20,25,0,0,943,383,625,360,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14580,14580,'Soulless',0,'',0,'Monster.shadeless',7,28,60,'male','L2Pet',40,3695,1327,10.27,2.45,40,43,30,21,20,25,0,0,1040,404,697,379,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14581,14581,'Soulless',0,'',0,'Monster.shadeless',7,28,62,'male','L2Pet',40,3895,1404,12.25,3.18,40,43,30,21,20,25,0,0,1142,426,775,399,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14582,14582,'Soulless',0,'',0,'Monster.shadeless',7,28,64,'male','L2Pet',40,4094,1482,12.25,3.18,40,43,30,21,20,25,0,0,1248,449,858,420,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14583,14583,'Soulless',0,'',0,'Monster.shadeless',7,28,66,'male','L2Pet',40,4291,1561,12.25,3.18,40,43,30,21,20,25,0,0,1357,470,948,440,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14584,14584,'Soulless',0,'',0,'Monster.shadeless',7,28,68,'male','L2Pet',40,4484,1641,12.25,3.18,40,43,30,21,20,25,0,0,1472,493,1041,462,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14585,14585,'Soulless',0,'',0,'Monster.shadeless',7,28,70,'male','L2Pet',40,4673,1722,12.25,3.18,40,43,30,21,20,25,0,0,1588,515,1138,483,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14586,14586,'Soulless',0,'',0,'Monster.shadeless',7,28,72,'male','L2Pet',40,4856,1804,13.43,3.09,40,43,30,21,20,25,0,0,1709,540,1238,505,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14587,14587,'Soulless',0,'',0,'Monster.shadeless',7,28,74,'male','L2Pet',40,5032,1888,13.43,3.09,40,43,30,21,20,25,0,0,1829,563,1343,527,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14588,14588,'Soulless',0,'',0,'Monster.shadeless',7,28,76,'male','L2Pet',40,5200,1972,13.43,3.09,40,43,30,21,20,25,0,0,1952,586,1450,548,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14589,14589,'Soulless',0,'',0,'Monster.shadeless',7,28,78,'male','L2Pet',40,5373,2059,13.43,3.09,40,43,30,21,20,25,0,0,2085,609,1565,569,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14590,14590,'Soulless',0,'',0,'Monster.shadeless',7,28,78,'male','L2Pet',40,5417,2081,13.43,3.09,40,43,30,21,20,25,0,0,2120,614,1595,574,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14591,14591,'Soulless',0,'',0,'Monster.shadeless',7,28,78,'male','L2Pet',40,5462,2103,13.43,3.09,40,43,30,21,20,25,0,0,2155,620,1626,579,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14592,14592,'Soulless',0,'',0,'Monster.shadeless',7,28,78,'male','L2Pet',40,5507,2126,13.43,3.09,40,43,30,21,20,25,0,0,2191,626,1658,584,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14593,14593,'Soulless',0,'',0,'Monster.shadeless',7,28,79,'male','L2Pet',40,5552,2149,13.43,3.09,40,43,30,21,20,25,0,0,2228,632,1690,589,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14594,14594,'Soulless',0,'',0,'Monster.shadeless',7,28,79,'male','L2Pet',40,5598,2172,13.43,3.09,40,43,30,21,20,25,0,0,2265,638,1723,594,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14595,14595,'Soulless',0,'',0,'Monster.shadeless',7,28,79,'male','L2Pet',40,5644,2195,13.43,3.09,40,43,30,21,20,25,0,0,2303,644,1756,599,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14596,14596,'Soulless',0,'',0,'Monster.shadeless',7,28,79,'male','L2Pet',40,5690,2219,13.43,3.09,40,43,30,21,20,25,0,0,2341,650,1790,604,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14597,14597,'Soulless',0,'',0,'Monster.shadeless',7,28,80,'male','L2Pet',40,5737,2243,13.43,3.09,40,43,30,21,20,25,0,0,2380,656,1825,609,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14598,14598,'Soulless',0,'',0,'Monster.shadeless',7,28,80,'male','L2Pet',40,5784,2267,13.43,3.09,40,43,30,21,20,25,0,0,2420,662,1860,614,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14599,14599,'Soulless',0,'',0,'Monster.shadeless',7,28,80,'male','L2Pet',40,5832,2292,13.43,3.09,40,43,30,21,20,25,0,0,2460,668,1896,619,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14600,14600,'Soulless',0,'',0,'Monster.shadeless',7,28,80,'male','L2Pet',40,5880,2317,13.43,3.09,40,43,30,21,20,25,0,0,2501,674,1933,624,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14601,14601,'Soulless',0,'',0,'Monster.shadeless',7,28,81,'male','L2Pet',40,5928,2342,13.43,3.09,40,43,30,21,20,25,0,0,2543,680,1971,629,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14602,14602,'Soulless',0,'',0,'Monster.shadeless',7,28,81,'male','L2Pet',40,5977,2367,13.43,3.09,40,43,30,21,20,25,0,0,2585,686,2009,635,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14603,14603,'Soulless',0,'',0,'Monster.shadeless',7,28,81,'male','L2Pet',40,6026,2393,13.43,3.09,40,43,30,21,20,25,0,0,2628,692,2048,641,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14604,14604,'Soulless',0,'',0,'Monster.shadeless',7,28,81,'male','L2Pet',40,6076,2419,13.43,3.09,40,43,30,21,20,25,0,0,2672,698,2088,647,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14605,14605,'Soulless',0,'',0,'Monster.shadeless',7,28,82,'male','L2Pet',40,6126,2445,13.43,3.09,40,43,30,21,20,25,0,0,2717,704,2129,653,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14606,14606,'Soulless',0,'',0,'Monster.shadeless',7,28,82,'male','L2Pet',40,6176,2471,13.43,3.09,40,43,30,21,20,25,0,0,2762,710,2170,659,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14607,14607,'Soulless',0,'',0,'Monster.shadeless',7,28,82,'male','L2Pet',40,6227,2498,13.43,3.09,40,43,30,21,20,25,0,0,2808,716,2212,665,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14608,14608,'Soulless',0,'',0,'Monster.shadeless',7,28,82,'male','L2Pet',40,6278,2525,13.43,3.09,40,43,30,21,20,25,0,0,2855,723,2255,671,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14609,14609,'Soulless',0,'',0,'Monster.shadeless',7,28,83,'male','L2Pet',40,6330,2552,13.43,3.09,40,43,30,21,20,25,0,0,2903,730,2299,677,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14610,14610,'Soulless',0,'',0,'Monster.shadeless',7,28,83,'male','L2Pet',40,6382,2580,13.43,3.09,40,43,30,21,20,25,0,0,2952,737,2344,683,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14611,14611,'Soulless',0,'',0,'Monster.shadeless',7,28,83,'male','L2Pet',40,6435,2608,13.43,3.09,40,43,30,21,20,25,0,0,3001,744,2390,689,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14612,14612,'Soulless',0,'',0,'Monster.shadeless',7,28,83,'male','L2Pet',40,6488,2636,13.43,3.09,40,43,30,21,20,25,0,0,3051,751,2437,695,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14613,14613,'Soulless',0,'',0,'Monster.shadeless',7,28,84,'male','L2Pet',40,6541,2665,13.43,3.09,40,43,30,21,20,25,0,0,3102,758,2485,701,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14614,14614,'Soulless',0,'',0,'Monster.shadeless',7,28,84,'male','L2Pet',40,6595,2694,13.43,3.09,40,43,30,21,20,25,0,0,3154,765,2533,707,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14615,14615,'Soulless',0,'',0,'Monster.shadeless',7,28,84,'male','L2Pet',40,6649,2723,13.43,3.09,40,43,30,21,20,25,0,0,3207,772,2582,713,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14616,14616,'Soulless',0,'',0,'Monster.shadeless',7,28,84,'male','L2Pet',40,6704,2753,13.43,3.09,40,43,30,21,20,25,0,0,3261,779,2632,719,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14617,14617,'Soulless',0,'',0,'Monster.shadeless',7,28,85,'male','L2Pet',40,6759,2783,13.43,3.09,40,43,30,21,20,25,0,0,3316,786,2683,725,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14618,14618,'Soulless',0,'',0,'Monster.shadeless',7,28,85,'male','L2Pet',40,6815,2813,13.43,3.09,40,43,30,21,20,25,0,0,3372,793,2735,731,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14619,14619,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,58,'male','L2Pet',40,5778,1251,9.09,2.45,40,43,30,21,20,25,0,0,779,560,428,527,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14620,14620,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,60,'male','L2Pet',40,6109,1327,9.09,2.45,40,43,30,21,20,25,0,0,860,592,477,555,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14621,14621,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,62,'male','L2Pet',40,6439,1404,9.09,3.18,40,43,30,21,20,25,0,0,944,624,531,585,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14622,14622,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,64,'male','L2Pet',40,6768,1482,10.27,3.18,40,43,30,21,20,25,0,0,1031,657,588,614,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14623,14623,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,66,'male','L2Pet',40,7093,1561,10.27,3.18,40,43,30,21,20,25,0,0,1121,688,649,645,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14624,14624,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,68,'male','L2Pet',40,7412,1641,10.27,3.18,40,43,30,21,20,25,0,0,1217,722,713,676,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14625,14625,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,70,'male','L2Pet',40,7724,1722,12.25,3.18,40,43,30,21,20,25,0,0,1312,755,779,707,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14626,14626,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,72,'male','L2Pet',40,8026,1804,12.25,3.09,40,43,30,21,20,25,0,0,1412,790,848,739,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14627,14627,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,74,'male','L2Pet',40,8317,1888,12.25,3.09,40,43,30,21,20,25,0,0,1511,822,920,771,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14628,14628,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,76,'male','L2Pet',40,8595,1972,12.25,3.09,40,43,30,21,20,25,0,0,1613,856,993,802,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14633,14633,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,78,'male','L2Pet',40,8882,2059,13.43,3.09,40,43,30,21,20,25,0,0,1721,891,1071,833,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14634,14634,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,78,'male','L2Pet',40,8956,2081,13.43,3.09,40,43,30,21,20,25,0,0,1749,899,1092,841,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14635,14635,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,78,'male','L2Pet',40,9030,2103,13.43,3.09,40,43,30,21,20,25,0,0,1778,908,1113,849,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14636,14636,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,78,'male','L2Pet',40,9105,2126,13.43,3.09,40,43,30,21,20,25,0,0,1807,917,1134,857,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14637,14637,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,79,'male','L2Pet',40,9181,2149,13.43,3.09,40,43,30,21,20,25,0,0,1837,926,1156,865,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14638,14638,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,79,'male','L2Pet',40,9257,2172,13.43,3.09,40,43,30,21,20,25,0,0,1867,935,1178,873,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14639,14639,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,79,'male','L2Pet',40,9334,2195,13.43,3.09,40,43,30,21,20,25,0,0,1898,944,1201,881,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14640,14640,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,79,'male','L2Pet',40,9411,2219,13.43,3.09,40,43,30,21,20,25,0,0,1929,953,1224,889,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14641,14641,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,80,'male','L2Pet',40,9489,2243,13.43,3.09,40,43,30,21,20,25,0,0,1961,962,1248,897,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14642,14642,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,80,'male','L2Pet',40,9568,2267,13.43,3.09,40,43,30,21,20,25,0,0,1993,971,1272,905,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14643,14643,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,80,'male','L2Pet',40,9647,2292,13.43,3.09,40,43,30,21,20,25,0,0,2026,980,1296,913,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14644,14644,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,80,'male','L2Pet',40,9727,2317,13.43,3.09,40,43,30,21,20,25,0,0,2059,989,1321,921,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14645,14645,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,81,'male','L2Pet',40,9808,2342,13.43,3.09,40,43,30,21,20,25,0,0,2093,998,1346,929,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14646,14646,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,81,'male','L2Pet',40,9889,2367,13.43,3.09,40,43,30,21,20,25,0,0,2128,1008,1372,937,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14647,14647,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,81,'male','L2Pet',40,9971,2393,13.43,3.09,40,43,30,21,20,25,0,0,2163,1018,1398,946,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14648,14648,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,81,'male','L2Pet',40,10054,2419,13.43,3.09,40,43,30,21,20,25,0,0,2199,1028,1425,955,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14649,14649,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,82,'male','L2Pet',40,10137,2445,13.43,3.09,40,43,30,21,20,25,0,0,2235,1038,1452,964,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14650,14650,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,82,'male','L2Pet',40,10221,2471,13.43,3.09,40,43,30,21,20,25,0,0,2272,1048,1480,973,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14651,14651,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,82,'male','L2Pet',40,10306,2498,13.43,3.09,40,43,30,21,20,25,0,0,2310,1058,1509,982,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14652,14652,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,82,'male','L2Pet',40,10392,2525,13.43,3.09,40,43,30,21,20,25,0,0,2348,1068,1538,991,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14653,14653,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,83,'male','L2Pet',40,10478,2552,13.43,3.09,40,43,30,21,20,25,0,0,2387,1078,1568,1000,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14654,14654,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,83,'male','L2Pet',40,10565,2580,13.43,3.09,40,43,30,21,20,25,0,0,2426,1088,1598,1009,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14655,14655,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,83,'male','L2Pet',40,10653,2608,13.43,3.09,40,43,30,21,20,25,0,0,2466,1098,1629,1018,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14656,14656,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,83,'male','L2Pet',40,10741,2636,13.43,3.09,40,43,30,21,20,25,0,0,2507,1109,1660,1027,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14657,14657,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,84,'male','L2Pet',40,10830,2665,13.43,3.09,40,43,30,21,20,25,0,0,2548,1120,1692,1036,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14658,14658,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,84,'male','L2Pet',40,10920,2694,13.43,3.09,40,43,30,21,20,25,0,0,2590,1131,1725,1046,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14659,14659,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,84,'male','L2Pet',40,11011,2723,13.43,3.09,40,43,30,21,20,25,0,0,2633,1142,1758,1056,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14660,14660,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,84,'male','L2Pet',40,11102,2753,13.43,3.09,40,43,30,21,20,25,0,0,2677,1153,1792,1066,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14661,14661,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,85,'male','L2Pet',40,11194,2783,13.43,3.09,40,43,30,21,20,25,0,0,2721,1164,1827,1076,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14662,14662,'Nightshade',0,'',0,'Monster2.knight_of_shadow',10,35.05,85,'male','L2Pet',40,11287,2813,13.43,3.09,40,43,30,21,20,25,0,0,2766,1175,1862,1086,278,0,333,0,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14663,14663,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,30,'male','L2Pet',40,1049,421,5.53,1.53,40,43,30,21,20,25,0,0,132,140,58,132,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14664,14664,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,38,'male','L2Pet',40,1540,573,7.11,1.84,40,43,30,21,20,25,0,0,238,188,112,176,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14665,14665,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,45,'male','L2Pet',40,2057,781,8.69,2.14,40,43,30,21,20,25,0,0,377,238,188,223,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14666,14666,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,51,'male','L2Pet',40,2555,993,10.27,2.45,40,43,30,21,20,25,0,0,539,286,281,268,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14667,14667,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,57,'male','L2Pet',40,3087,1213,10.27,2.45,40,43,30,21,20,25,0,0,743,340,405,318,320,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14668,14668,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,62,'male','L2Pet',40,3541,1404,11.85,2.78,40,43,30,21,20,25,0,0,944,388,532,363,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14669,14669,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,66,'male','L2Pet',40,3901,1561,11.85,2.78,40,43,30,21,20,25,0,0,1123,428,649,401,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14670,14670,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,70,'male','L2Pet',40,4248,1722,11.85,2.78,40,43,30,21,20,25,0,0,1314,470,780,440,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14671,14671,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,74,'male','L2Pet',40,4574,1888,13.43,3.09,40,43,30,21,20,25,0,0,1513,512,921,480,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14672,14672,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,78,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1723,555,1069,520,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14673,14673,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,78,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1732,555,1069,520,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14674,14674,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,78,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1740,555,1069,520,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14675,14675,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,78,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1749,555,1069,520,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14676,14676,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,79,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1757,555,1069,520,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14677,14677,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,79,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1766,555,1069,520,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14678,14678,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,79,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1775,555,1069,520,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14679,14679,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,79,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1783,555,1069,520,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14680,14680,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,80,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1792,555,1069,520,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14681,14681,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,80,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1811,558,1082,523,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14682,14682,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,80,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1820,558,1082,523,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14683,14683,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,80,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1828,558,1082,523,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14684,14684,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,81,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1837,558,1082,523,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14685,14685,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,81,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1846,558,1082,523,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14686,14686,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,81,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1854,558,1082,523,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14687,14687,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,81,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1863,558,1082,523,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14688,14688,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,82,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1871,558,1082,523,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14689,14689,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,82,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1880,558,1082,523,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14690,14690,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,82,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1900,562,1095,526,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14691,14691,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,82,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1909,562,1095,526,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14692,14692,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,83,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1917,562,1095,526,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14693,14693,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,83,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1926,562,1095,526,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14694,14694,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,83,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1935,562,1095,526,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14695,14695,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,83,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1943,562,1095,526,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14696,14696,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,84,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1952,562,1095,526,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14697,14697,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,84,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1961,562,1095,526,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14698,14698,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,84,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1969,562,1095,526,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14699,14699,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,84,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1978,562,1095,526,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14700,14700,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,85,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1987,562,1095,526,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14701,14701,'Mechanic Golem',0,'',0,'Monster.mechanic_golem',5,19,85,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1995,562,1095,526,278,0,333,0,0,0,33,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14702,14702,'Big Boom',0,'',0,'Monster.big_boom',6,13,60,'male','L2Pet',40,3054,1327,10.27,2.45,40,43,30,21,20,25,0,0,860,368,478,345,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14703,14703,'Big Boom',0,'',0,'Monster.big_boom',6,13,64,'male','L2Pet',40,3054,1327,10.27,2.45,40,43,30,21,20,25,0,0,860,368,478,345,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14704,14704,'Big Boom',0,'',0,'Monster.big_boom',6,13,68,'male','L2Pet',40,3384,1482,11.85,2.78,40,43,30,21,20,25,0,0,1031,408,589,382,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14705,14705,'Big Boom',0,'',0,'Monster.big_boom',6,13,72,'male','L2Pet',40,3706,1641,11.85,2.78,40,43,30,21,20,25,0,0,1217,449,713,421,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14706,14706,'Big Boom',0,'',0,'Monster.big_boom',6,13,76,'male','L2Pet',40,4013,1804,13.43,3.09,40,43,30,21,20,25,0,0,1413,491,849,460,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14707,14707,'Big Boom',0,'',0,'Monster.big_boom',6,13,78,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1793,553,1118,533,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14708,14708,'Big Boom',0,'',0,'Monster.big_boom',6,13,78,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1793,553,1118,533,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14709,14709,'Big Boom',0,'',0,'Monster.big_boom',6,13,78,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1793,553,1118,533,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14710,14710,'Big Boom',0,'',0,'Monster.big_boom',6,13,78,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1793,553,1118,533,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14711,14711,'Big Boom',0,'',0,'Monster.big_boom',6,13,79,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1793,553,1118,533,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14712,14712,'Big Boom',0,'',0,'Monster.big_boom',6,13,79,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1793,553,1118,533,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14713,14713,'Big Boom',0,'',0,'Monster.big_boom',6,13,79,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1793,553,1118,533,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14714,14714,'Big Boom',0,'',0,'Monster.big_boom',6,13,79,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1793,553,1118,533,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14715,14715,'Big Boom',0,'',0,'Monster.big_boom',6,13,80,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1793,553,1118,533,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14716,14716,'Big Boom',0,'',0,'Monster.big_boom',6,13,80,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1803,556,1131,537,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14717,14717,'Big Boom',0,'',0,'Monster.big_boom',6,13,80,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1803,556,1131,537,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14718,14718,'Big Boom',0,'',0,'Monster.big_boom',6,13,80,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1803,556,1131,537,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14719,14719,'Big Boom',0,'',0,'Monster.big_boom',6,13,81,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1803,556,1131,537,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14720,14720,'Big Boom',0,'',0,'Monster.big_boom',6,13,81,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1803,556,1131,537,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14721,14721,'Big Boom',0,'',0,'Monster.big_boom',6,13,81,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1803,556,1131,537,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14722,14722,'Big Boom',0,'',0,'Monster.big_boom',6,13,81,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1803,556,1131,537,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14723,14723,'Big Boom',0,'',0,'Monster.big_boom',6,13,82,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1803,556,1131,537,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14724,14724,'Big Boom',0,'',0,'Monster.big_boom',6,13,82,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1803,556,1131,537,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14725,14725,'Big Boom',0,'',0,'Monster.big_boom',6,13,82,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1814,559,1144,540,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14726,14726,'Big Boom',0,'',0,'Monster.big_boom',6,13,82,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1814,559,1144,540,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14727,14727,'Big Boom',0,'',0,'Monster.big_boom',6,13,83,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1814,559,1144,540,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14728,14728,'Big Boom',0,'',0,'Monster.big_boom',6,13,83,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1814,559,1144,540,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14729,14729,'Big Boom',0,'',0,'Monster.big_boom',6,13,83,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1814,559,1144,540,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14730,14730,'Big Boom',0,'',0,'Monster.big_boom',6,13,83,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1814,559,1144,540,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14731,14731,'Big Boom',0,'',0,'Monster.big_boom',6,13,84,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1814,559,1144,540,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14732,14732,'Big Boom',0,'',0,'Monster.big_boom',6,13,84,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1814,559,1144,540,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14733,14733,'Big Boom',0,'',0,'Monster.big_boom',6,13,84,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1814,559,1144,540,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14734,14734,'Big Boom',0,'',0,'Monster.big_boom',6,13,84,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1814,559,1144,540,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14735,14735,'Big Boom',0,'',0,'Monster.big_boom',6,13,85,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1814,559,1144,540,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14736,14736,'Big Boom',0,'',0,'Monster.big_boom',6,13,85,'male','L2Pet',40,4550,2143,13.43,3.09,40,43,30,21,20,25,0,0,1814,559,1144,540,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14737,14737,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,55,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,2592,1205,360,1242,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14738,14738,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,78,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3036,1397,484,1440,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14739,14739,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,78,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3066,1397,484,1440,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14740,14740,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,78,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3096,1397,484,1440,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14741,14741,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,78,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3126,1397,484,1440,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14742,14742,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,79,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3156,1397,484,1440,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14743,14743,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,79,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3186,1397,484,1440,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14744,14744,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,79,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3216,1397,484,1440,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14745,14745,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,79,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3246,1397,484,1440,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14746,14746,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,80,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3276,1397,484,1440,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14747,14747,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,80,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3326,1406,490,1449,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14748,14748,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,80,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3356,1406,490,1449,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14749,14749,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,80,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3386,1406,490,1449,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14750,14750,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,81,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3417,1406,490,1449,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14751,14751,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,81,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3447,1406,490,1449,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14752,14752,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,81,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3477,1406,490,1449,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14753,14753,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,81,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3507,1406,490,1449,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14754,14754,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,82,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3538,1406,490,1449,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14755,14755,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,82,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3568,1406,490,1449,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14756,14756,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,82,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3619,1414,496,1457,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14757,14757,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,82,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3650,1414,496,1457,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14758,14758,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,83,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3680,1414,496,1457,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14759,14759,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,83,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3711,1414,496,1457,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14760,14760,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,83,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3741,1414,496,1457,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14761,14761,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,83,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3772,1414,496,1457,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14762,14762,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,84,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3802,1414,496,1457,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14763,14763,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,84,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3832,1414,496,1457,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14764,14764,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,84,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3863,1414,496,1457,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14765,14765,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,84,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3893,1414,496,1457,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14766,14766,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,85,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3924,1414,496,1457,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14767,14767,'Siege Golem',0,'',0,'Monster.siege_golem',60,140,85,'male','L2SiegeSummon',80,790000,1138,10.27,2.45,40,43,30,21,20,25,0,0,3954,1414,496,1457,165,0,333,0,0,0,44,44,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14768,14768,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,60,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,888,709,478,730,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14769,14769,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,78,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1012,794,601,818,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14770,14770,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,78,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1022,794,601,818,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14771,14771,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,78,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1032,794,601,818,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14772,14772,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,78,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1042,794,601,818,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14773,14773,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,79,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1052,794,601,818,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14774,14774,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,79,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1062,794,601,818,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14775,14775,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,79,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1072,794,601,818,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14776,14776,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,79,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1082,794,601,818,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14777,14777,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,80,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1092,794,601,818,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14778,14778,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,80,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1108,799,608,823,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14779,14779,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,80,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1118,799,608,823,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14780,14780,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,80,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1128,799,608,823,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14781,14781,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,81,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1139,799,608,823,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14782,14782,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,81,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1149,799,608,823,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14783,14783,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,81,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1159,799,608,823,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14784,14784,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,81,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1169,799,608,823,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14785,14785,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,82,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1179,799,608,823,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14786,14786,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,82,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1189,799,608,823,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14787,14787,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,82,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1206,804,615,828,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14788,14788,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,82,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1216,804,615,828,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14789,14789,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,83,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1226,804,615,828,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14790,14790,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,83,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1237,804,615,828,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14791,14791,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,83,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1247,804,615,828,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14792,14792,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,83,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1257,804,615,828,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14793,14793,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,84,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1267,804,615,828,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14794,14794,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,84,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1277,804,615,828,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14795,14795,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,84,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1287,804,615,828,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14796,14796,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,84,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1297,804,615,828,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14797,14797,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,85,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1308,804,615,828,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14798,14798,'Wild Hog Cannon',0,'',0,'Monster.range_golem',93,90,85,'male','L2SiegeSummon',40,3153,1327,10.27,2.45,40,43,30,21,20,25,0,0,1318,804,615,828,278,0,333,0,0,0,11,11,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(14799,14799,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,42,'male','L2Pet',40,1826,679,8.69,2.14,40,43,30,21,20,25,0,0,311,215,152,202,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14800,14800,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,51,'male','L2Pet',40,2555,993,10.27,2.45,40,43,30,21,20,25,0,0,539,286,281,268,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14801,14801,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,60,'male','L2Pet',40,3359,1327,10.27,2.45,40,43,30,21,20,25,0,0,860,368,478,345,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14802,14802,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,64,'male','L2Pet',40,3722,1482,11.85,2.78,40,43,30,21,20,25,0,0,1031,408,589,382,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14803,14803,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,68,'male','L2Pet',40,4076,1641,11.85,2.78,40,43,30,21,20,25,0,0,1217,449,713,421,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14804,14804,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,72,'male','L2Pet',40,4414,1804,13.43,3.09,40,43,30,21,20,25,0,0,1413,491,849,460,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14805,14805,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,76,'male','L2Pet',40,4727,1972,13.43,3.09,40,43,30,21,20,25,0,0,1614,534,994,500,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14806,14806,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,78,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1723,555,1069,520,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14807,14807,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,78,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1732,555,1069,520,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14808,14808,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,78,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1740,555,1069,520,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14809,14809,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,78,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1749,555,1069,520,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14810,14810,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,79,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1757,555,1069,520,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14811,14811,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,79,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1766,555,1069,520,370,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14812,14812,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,79,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1775,555,1069,520,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14813,14813,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,79,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1783,555,1069,520,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14814,14814,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,80,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1792,555,1069,520,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14815,14815,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,80,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1811,558,1082,523,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14816,14816,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,80,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1820,558,1082,523,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14817,14817,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,80,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1828,558,1082,523,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14818,14818,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,81,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1837,558,1082,523,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14819,14819,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,81,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1846,558,1082,523,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14820,14820,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,81,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1854,558,1082,523,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14821,14821,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,81,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1863,558,1082,523,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14822,14822,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,82,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1871,558,1082,523,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14823,14823,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,82,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1880,558,1082,523,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14824,14824,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,82,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1900,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14825,14825,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,82,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1909,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14826,14826,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,83,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1917,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14827,14827,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,83,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1926,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14828,14828,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,83,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1935,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14829,14829,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,83,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1943,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14830,14830,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,84,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1952,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14831,14831,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,84,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1961,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14832,14832,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,84,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1969,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14833,14833,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,84,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1978,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14834,14834,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,85,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1987,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14835,14835,'Dark Panther',0,'',0,'Monster.dark_fencer',7,13,85,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1995,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14836,14836,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,80,'male','L2Pet',40,6053,2143,13.43,3.09,40,43,30,21,20,25,0,0,2646,633,2006,593,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14837,14837,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,80,'male','L2Pet',40,6053,2143,13.43,3.09,40,43,30,21,20,25,0,0,2646,633,2006,593,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14838,14838,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,80,'male','L2Pet',40,6053,2143,13.43,3.09,40,43,30,21,20,25,0,0,2646,633,2006,593,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14839,14839,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,68,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14840,14840,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,78,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14841,14841,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,78,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14842,14842,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,78,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14843,14843,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,78,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14844,14844,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,79,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14845,14845,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,79,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14846,14846,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,79,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14847,14847,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,79,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14848,14848,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,80,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14849,14849,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,80,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14850,14850,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,80,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14851,14851,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,80,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14852,14852,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,81,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14853,14853,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,81,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14854,14854,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,81,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14855,14855,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,81,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14856,14856,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,82,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14857,14857,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,82,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14858,14858,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,82,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14859,14859,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,82,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14860,14860,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,83,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14861,14861,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,83,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14862,14862,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,83,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14863,14863,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,83,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14864,14864,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,84,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14865,14865,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,84,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14866,14866,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,84,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14867,14867,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,84,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14868,14868,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,85,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14869,14869,'Swoop Cannon',0,'',0,'Monster3.toad_cannon',45,47.5,85,'male','L2SiegeSummon',40,79000,1138,12.25,3.18,40,43,30,21,20,25,0,0,22,1314,428,1354,165,0,333,0,0,0,44,44,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14870,14870,'Divine Beast',0,'',0,'Monster4.Divine_beast',31,15.5,80,'male','L2Pet',40,5025,2143,13.43,3.09,40,43,30,21,20,25,0,0,1900,562,1095,526,278,0,333,0,0,0,27,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14871,14871,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,80,'male','L2Pet',40,6120,2174,13.43,3.09,40,43,30,21,20,25,0,0,2705,641,2059,600,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14872,14872,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,80,'male','L2Pet',40,6187,2205,13.43,3.09,40,43,30,21,20,25,0,0,2765,649,2113,607,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14873,14873,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,81,'male','L2Pet',40,6255,2237,13.43,3.09,40,43,30,21,20,25,0,0,2827,657,2168,614,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14874,14874,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,81,'male','L2Pet',40,6324,2269,13.43,3.09,40,43,30,21,20,25,0,0,2890,665,2225,621,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14875,14875,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,81,'male','L2Pet',40,6394,2302,13.43,3.09,40,43,30,21,20,25,0,0,2955,673,2283,628,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14876,14876,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,82,'male','L2Pet',40,6464,2335,13.43,3.09,40,43,30,21,20,25,0,0,3021,681,2343,636,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14877,14877,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,82,'male','L2Pet',40,6535,2369,13.43,3.09,40,43,30,21,20,25,0,0,3089,689,2404,644,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14878,14878,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,82,'male','L2Pet',40,6607,2403,13.43,3.09,40,43,30,21,20,25,0,0,3158,698,2467,652,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14879,14879,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,83,'male','L2Pet',40,6680,2438,13.43,3.09,40,43,30,21,20,25,0,0,3229,707,2532,660,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14880,14880,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,83,'male','L2Pet',40,6754,2473,13.43,3.09,40,43,30,21,20,25,0,0,3301,716,2598,668,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14881,14881,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,83,'male','L2Pet',40,6828,2509,13.43,3.09,40,43,30,21,20,25,0,0,3375,725,2666,676,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14882,14882,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,84,'male','L2Pet',40,6903,2545,13.43,3.09,40,43,30,21,20,25,0,0,3451,734,2736,684,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14883,14883,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,84,'male','L2Pet',40,6979,2582,13.43,3.09,40,43,30,21,20,25,0,0,3528,743,2808,692,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14884,14884,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,84,'male','L2Pet',40,7056,2619,13.43,3.09,40,43,30,21,20,25,0,0,3607,752,2882,700,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14885,14885,'Feline King',0,'',0,'Monster3.king_of_cat',6,16.01,85,'male','L2Pet',40,7134,2657,13.43,3.09,40,43,30,21,20,25,0,0,3688,761,2958,708,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(14886,14886,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,80,'male','L2Pet',40,6120,2174,13.43,3.09,40,43,30,21,20,25,0,0,2705,641,2059,600,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14887,14887,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,80,'male','L2Pet',40,6187,2205,13.43,3.09,40,43,30,21,20,25,0,0,2765,649,2113,607,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14888,14888,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,81,'male','L2Pet',40,6255,2237,13.43,3.09,40,43,30,21,20,25,0,0,2827,657,2168,614,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14889,14889,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,81,'male','L2Pet',40,6324,2269,13.43,3.09,40,43,30,21,20,25,0,0,2890,665,2225,621,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14890,14890,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,81,'male','L2Pet',40,6394,2302,13.43,3.09,40,43,30,21,20,25,0,0,2955,673,2283,628,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14891,14891,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,82,'male','L2Pet',40,6464,2335,13.43,3.09,40,43,30,21,20,25,0,0,3021,681,2343,636,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14892,14892,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,82,'male','L2Pet',40,6535,2369,13.43,3.09,40,43,30,21,20,25,0,0,3089,689,2404,644,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14893,14893,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,82,'male','L2Pet',40,6607,2403,13.43,3.09,40,43,30,21,20,25,0,0,3158,698,2467,652,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14894,14894,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,83,'male','L2Pet',40,6680,2438,13.43,3.09,40,43,30,21,20,25,0,0,3229,707,2532,660,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14895,14895,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,83,'male','L2Pet',40,6754,2473,13.43,3.09,40,43,30,21,20,25,0,0,3301,716,2598,668,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14896,14896,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,83,'male','L2Pet',40,6828,2509,13.43,3.09,40,43,30,21,20,25,0,0,3375,725,2666,676,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14897,14897,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,84,'male','L2Pet',40,6903,2545,13.43,3.09,40,43,30,21,20,25,0,0,3451,734,2736,684,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14898,14898,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,84,'male','L2Pet',40,6979,2582,13.43,3.09,40,43,30,21,20,25,0,0,3528,743,2808,692,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14899,14899,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,84,'male','L2Pet',40,7056,2619,13.43,3.09,40,43,30,21,20,25,0,0,3607,752,2882,700,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14900,14900,'Magnus the Unicorn',0,'',0,'Monster3.unicorn_magnus',13.5,17,85,'male','L2Pet',40,7134,2657,13.43,3.09,40,43,30,21,20,25,0,0,3688,761,2958,708,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14901,14901,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,80,'male','L2Pet',40,6120,2174,13.43,3.09,40,43,30,21,20,25,0,0,2705,641,2059,600,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14902,14902,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,80,'male','L2Pet',40,6187,2205,13.43,3.09,40,43,30,21,20,25,0,0,2765,649,2113,607,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14903,14903,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,81,'male','L2Pet',40,6255,2237,13.43,3.09,40,43,30,21,20,25,0,0,2827,657,2168,614,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14904,14904,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,81,'male','L2Pet',40,6324,2269,13.43,3.09,40,43,30,21,20,25,0,0,2890,665,2225,621,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14905,14905,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,81,'male','L2Pet',40,6394,2302,13.43,3.09,40,43,30,21,20,25,0,0,2955,673,2283,628,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14906,14906,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,82,'male','L2Pet',40,6464,2335,13.43,3.09,40,43,30,21,20,25,0,0,3021,681,2343,636,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14907,14907,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,82,'male','L2Pet',40,6535,2369,13.43,3.09,40,43,30,21,20,25,0,0,3089,689,2404,644,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14908,14908,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,82,'male','L2Pet',40,6607,2403,13.43,3.09,40,43,30,21,20,25,0,0,3158,698,2467,652,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14909,14909,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,83,'male','L2Pet',40,6680,2438,13.43,3.09,40,43,30,21,20,25,0,0,3229,707,2532,660,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14910,14910,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,83,'male','L2Pet',40,6754,2473,13.43,3.09,40,43,30,21,20,25,0,0,3301,716,2598,668,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14911,14911,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,83,'male','L2Pet',40,6828,2509,13.43,3.09,40,43,30,21,20,25,0,0,3375,725,2666,676,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14912,14912,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,84,'male','L2Pet',40,6903,2545,13.43,3.09,40,43,30,21,20,25,0,0,3451,734,2736,684,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14913,14913,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,84,'male','L2Pet',40,6979,2582,13.43,3.09,40,43,30,21,20,25,0,0,3528,743,2808,692,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14914,14914,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,84,'male','L2Pet',40,7056,2619,13.43,3.09,40,43,30,21,20,25,0,0,3607,752,2882,700,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14915,14915,'Spectral Lord',0,'',0,'Monster3.spectral_knight',12.5,33.5,85,'male','L2Pet',40,7134,2657,13.43,3.09,40,43,30,21,20,25,0,0,3688,761,2958,708,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14916,14916,'Tigress',0,'',0,'LineageMonster.saber_toothed_tiger_070p',22,18.4,85,'male','L2Pet',40,7134,2657,13.43,3.09,40,43,30,21,20,25,0,0,3688,761,2958,708,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14917,14917,'Tigress',0,'',0,'LineageMonster.saber_toothed_tiger_070p',22,18.4,85,'male','L2Pet',40,7134,2657,13.43,3.09,40,43,30,21,20,25,0,0,3688,761,2958,708,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(14918,14918,'Imperial Phoenix',0,'',0,'LineageMonster4.phoenix',7,34,85,'male','L2Pet',40,7134,2657,13.43,3.09,40,43,30,21,20,25,0,0,3688,761,2958,708,278,0,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false');

INSERT INTO `npc` VALUES
(16013,16013,'Trained Buffalo',0,'',0,'Monster2.buffalo',22,31,67,'male','L2TamedBeast',40,3626,1388,23.7,2.78,40,43,30,21,20,10,0,0,1169,439,681,356,278,0,333,0,0,0,22,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16014,16014,'Trained Buffalo',0,'',0,'Monster2.buffalo',22,31,67,'male','L2TamedBeast',40,3626,1388,23.7,2.78,40,43,30,21,20,10,0,0,1169,439,681,356,278,0,333,0,0,0,22,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16015,16015,'Trained Cougar',0,'',0,'Monster.saber_toothed_tiger',34,28,69,'male','L2TamedBeast',40,3784,1458,23.7,2.78,40,43,30,21,20,10,0,0,1265,460,746,373,278,0,333,0,0,0,66,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16016,16016,'Trained Cougar',0,'',0,'Monster.saber_toothed_tiger',34,28,69,'male','L2TamedBeast',40,3784,1458,23.7,2.78,40,43,30,21,20,10,0,0,1265,460,746,373,278,0,333,0,0,0,66,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16017,16017,'Trained Kookaburra',0,'',0,'Monster2.pet_ostrich',10,33,65,'male','L2TamedBeast',40,3465,1319,23.7,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,0,333,0,0,0,25,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16018,16018,'Trained Kookaburra',0,'',0,'Monster2.pet_ostrich',10,33,65,'male','L2TamedBeast',40,3465,1319,23.7,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,0,333,0,0,0,25,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16019,16019,'Tiny Baby Buffalo',0,'',0,'Monster2.baby_buffalo',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16020,16020,'Tame Tiny Baby Buffalo',0,'',0,'Monster2.baby_buffalo',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16021,16021,'Tiny Baby Cougar',0,'',0,'Monster2.baby_tiger',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16022,16022,'Tame Tiny Baby Cougar',0,'',0,'Monster2.baby_tiger',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16023,16023,'Tiny Baby Kookaburra',0,'',0,'Monster2.baby_ostrich',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16024,16024,'Tame Tiny Baby Kookaburra',0,'',0,'Monster2.baby_ostrich',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16025,16025,'Great Wolf',0,'',0,'LineageMonster4.Pet_Wolf_B',32,21.41,55,'male','L2Pet',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,304,0,333,9661,0,NULL,45,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16026,16026,'Beastly Agathion',0,'',0,'LineageNPC2.Agathion_BF',13,11.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16027,16027,'Rainbow Agathion',0,'',0,'LineageNPC2.Agathion_RA',13,11.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16028,16028,'Lord Agathion',0,'',0,'LineageNPC2.Agathion_CL',13,11.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16029,16029,'Fortress Agathion',0,'',0,'LineageNPC2.Agathion_FT',13,11.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16030,16030,'Great Wolf',0,'',0,'LineageMonster4.Pet_Wolf_Ba',32,23.56,55,'male','L2Pet',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16031,16031,'Little Angel Agathion',0,'',0,'LineageNpc2.Agathion_ag',13,11.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16032,16032,'Little Devil Agathion',0,'',0,'LineageNpc2.Agathion_st',13,11.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16033,16033,'Rudolph Agathion',0,'',0,'LineageNpc2.Agathion_rd',13,11.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16034,16034,'Improved Baby Buffalo',0,'',0,'Monster2.baby_buffalo',12,15,55,'male','L2BabyPet',40,751,331,2.37,1.53,40,43,30,21,20,25,0,0,88,119,37,112,282,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16035,16035,'Improved Baby Kookaburra',0,'',0,'Monster2.baby_ostrich',7,15,55,'male','L2BabyPet',40,751,331,2.37,1.53,40,43,30,21,20,25,0,0,88,119,37,112,282,0,333,0,0,0,14,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16036,16036,'Improved Baby Cougar',0,'',0,'Monster2.baby_tiger',11,15.7,55,'male','L2BabyPet',40,751,331,2.37,1.53,40,43,30,21,20,25,0,0,88,119,37,112,278,0,333,0,0,0,28,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16037,16037,'Great Snow Wolf',0,'',0,'LineageMonster4.Pet_Wolf_Ba',32,23.56,55,'male','L2Pet',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16038,16038,'Red Wind Strider',0,'',0,'Monster.strider',8,24,55,'male','L2Pet',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16039,16039,'Red Star Strider',0,'',0,'Monster.strider',8,24,55,'male','L2Pet',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16040,16040,'Red Twilight Strider',0,'',0,'Monster.strider',8,24,55,'male','L2Pet',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16041,16041,'Fenrir',0,'',0,'LineageMonster4.Pet_Wolf_Ba',32,23.56,70,'male','L2Pet',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16042,16042,'Snow Fenrir',0,'',0,'LineageMonster4.Pet_Wolf_Ba',32,23.56,70,'male','L2Pet',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16043,16043,'Fox Shaman',0,'',0,'LineageMonster4.foxian_wizard_pet',10,18.5,55,'male','L2Pet',40,751,331,2.37,1.53,40,43,30,21,20,25,0,0,88,119,37,112,278,0,333,0,0,0,28,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16044,16044,'Wild Beast Fighter',0,'',0,'LineageMonster4.beast_fighter_pet',32,15.7,55,'male','L2Pet',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16045,16045,'White Weasel',0,'',0,'LineageMonster4.ferret_pet',6.5,12.5,55,'male','L2Pet',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,0,60,60,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16046,16046,'Fairy Princess',0,'',0,'LineageMonster4.fairy_princess_pet',10,15,55,'female','L2Pet',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,0,60,60,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(16049,16049,'Love Agathion',0,'',0,'LineageNpc2.agathion_love',13,11.5,70,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16050,16050,'Owl Monk',0,'',0,'LineageMonster4.owl_wizard_the_pet',40,27.5,80,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16051,16051,'Spirit Shaman',0,'',0,'LineageMonster4.sprit_magician_the_pet',12.8,15.6,80,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16052,16052,'Toy Knight',0,'',0,'LineageMonster4.toy_knight_the_pet',10,15,80,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16053,16053,'Turtle Ascetic',0,'',0,'LineageMonster4.turtle_buffer_the_pet',11,10,80,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16054,16054,'Monkey',0,'',0,'LineageNpc2.agathion_mk',32,23.56,70,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16055,16055,'Griffon',0,'',0,'LineageNpc2.agathion_gr',32,23.56,70,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16056,16056,'Joy',0,'',0,'LineageNpc2.agathion_happy',32,23.56,70,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16057,16057,'Sorrow',0,'',0,'LineageNpc2.agathion_sorrow',32,23.56,70,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16058,16058,'Anger',0,'',0,'LineageNpc2.agathion_anger',32,23.56,70,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16059,16059,'Boy Bear',0,'',0,'LineageNPC2.teddy_bear_boy',32,23.56,70,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16060,16060,'Girl Bear',0,'',0,'LineageNPC2.teddy_bear_girl',32,23.56,70,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16061,16061,'Collection Device',0,'',0,'LineageNPC2.collecting_golem',32,23.56,70,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16062,16062,'Knight',0,'',0,'LineageNPC2.agathion_pvp',32,23.56,70,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16063,16063,'Saerom',0,'',0,'LineageNPC2.agathion_gift',32,23.56,70,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,25,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(16064,16064,'Juju',0,'',0,'LineageNPC2.agathion_cupi',13,11.50,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18001,18001,'Blood Queen',0,'',0,'Monster.bloody_queen',14,40,60,'female','L2Monster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,4536,394,860,368,478,299,278,300,333,0,0,0,80,160,'cave_servant_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18002,18002,'Blood Queen',0,'',0,'Monster.bloody_queen',14,40,60,'female','L2Monster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,4320,375,946,368,478,299,282,300,333,0,0,0,88,176,'cave_servant_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18003,18003,'Bearded Keltir',0,'',0,'Monster.keltir',9.5,10,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,29,2,4,39,3,32,278,0,333,0,0,0,25,60,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18004,18004,'Susceptor Prime',0,'',0,'Monster.susceptor_prime',45,72,49,'male','L2Monster',50,2168,799,8.69,2.14,40,43,30,21,20,10,0,1,480,270,247,219,282,0,333,0,0,0,85,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18005,18005,'Mimic',0,'',0,'Monster.mimic',8.5,8.5,52,'male','L2Monster',40,2479,892,10.27,2.45,40,43,30,21,20,10,3244,251,588,304,300,239,278,0,333,0,0,0,88,171,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18006,18006,'Maruk Lord',0,'',0,'Monster.death_blader',15,45,68,'male','L2Monster',40,3825,1423,11.85,2.78,40,43,30,21,20,10,6057,586,1256,464,713,365,278,500,333,1472,0,0,110,187,'malruk_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18007,18007,'Limal Karinness',0,'',0,'Monster.bloody_queen',14,40,69,'female','L2Monster',40,3784,1458,11.85,2.78,40,43,30,21,20,10,5951,582,1392,460,821,373,278,500,333,0,0,0,88,154,'malruk_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18008,18008,'Karik',0,'',0,'Monster.karik',25,90,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,6370,632,1445,470,858,382,278,500,333,0,0,0,40,220,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18009,18009,'Offering of Branded Elder',0,'',0,'Monster.orc_fighter_bi',12,26.4,34,'male','L2FestivalMonster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1754,102,178,163,82,132,278,0,333,127,0,0,49,33,'mercenary_siege_clan',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18010,18010,'Offering of the Branded',0,'',0,'Monster.orc',10,21,32,'male','L2FestivalMonster',40,1056,397,7.11,1.84,40,43,30,21,20,10,1523,86,134,129,69,123,237,0,333,218,0,0,49,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18011,18011,'Offering of Branded Archer',0,'',0,'Monster.orc_archer',14,25,28,'male','L2FestivalMonster',500,859,334,5.53,1.53,40,43,30,21,20,10,1001,53,251,110,49,106,249,0,333,14,0,0,49,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18012,18012,'Offering of Branded Warrior',0,'',0,'Monster.orc_champion',10,23,29,'male','L2FestivalMonster',40,906,349,5.53,1.53,40,43,30,21,20,10,1026,55,122,135,53,110,278,0,333,125,0,0,49,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18013,18013,'Offering of Branded Follower',0,'',0,'Monster.orc_shaman',9,22,29,'male','L2FestivalMonster',40,906,349,5.53,1.53,40,43,30,21,20,10,1227,66,107,115,53,110,237,0,333,316,0,0,49,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18014,18014,'Offering of Branded Berserker',0,'',0,'Monster.virud_lizardman',10,23,37,'male','L2FestivalMonster',40,1338,480,7.11,1.84,40,43,30,21,20,10,2276,140,222,182,104,147,278,0,333,292,0,0,47,126,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18015,18015,'Offering of Branded Zealot',0,'',0,'Monster.orc_fighter_bi',12,26.4,34,'male','L2FestivalMonster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1650,96,156,138,82,132,237,0,333,158,0,0,49,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18016,18016,'Offering of Branded Marksman',0,'',0,'Monster.orc_archer_20_bi',16,30,32,'male','L2FestivalMonster',500,1056,397,7.11,1.84,40,43,30,21,20,10,1265,71,342,129,69,123,249,0,333,273,0,0,49,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18017,18017,'Offering of Branded Disciple',0,'',0,'Monster.batur_orc',9,21.5,34,'male','L2FestivalMonster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1650,96,178,163,82,132,278,0,333,129,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18018,18018,'Offering of Branded Saint',0,'',0,'Monster.batur_orc_20_bi',10,25.3,39,'male','L2FestivalMonster',40,1462,514,7.11,1.84,40,43,30,21,20,10,2171,138,255,195,121,158,278,0,333,72,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18019,18019,'Apostate\'s Offering Elder',0,'',0,'Monster.orc_champion_20_bi',12,27.6,45,'male','L2FestivalMonster',40,1870,677,8.69,2.14,40,43,30,21,20,10,3013,210,377,238,188,193,278,0,333,72,0,0,49,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18020,18020,'Apostate\'s Offering',0,'',0,'Monster.orc_fighter',12,22,43,'male','L2FestivalMonster',40,1728,618,8.69,2.14,40,43,30,21,20,10,2751,186,291,189,163,181,237,0,333,223,0,0,49,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18021,18021,'Apostate\'s Offering Archer',0,'',0,'Monster.batur_orc_archer',11,21.5,39,'male','L2FestivalMonster',500,1462,514,7.11,1.84,40,43,30,21,20,10,1879,119,566,165,121,158,249,0,333,275,0,0,49,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18022,18022,'Apostate\'s Offering Warrior',0,'',0,'Monster.batur_orc_warrior',10,20,40,'male','L2FestivalMonster',40,1527,531,7.11,1.84,40,43,30,21,20,10,1920,124,273,201,131,164,278,0,333,127,0,0,88,126,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18023,18023,'Apostate\'s Offering Follower',0,'',0,'Monster.batur_orc_shaman',11,16,40,'male','L2FestivalMonster',40,1527,531,7.11,1.84,40,43,30,21,20,10,2296,148,238,171,131,164,237,0,333,316,0,0,55,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18024,18024,'Apostate\'s Offering Berserker',0,'',0,'Monster.zenta_lizardman',11,32,48,'male','L2FestivalMonster',40,2091,768,8.69,2.14,40,43,30,21,20,10,3832,280,453,261,231,212,278,0,333,297,0,0,40,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18025,18025,'Apostate\'s Offering Zealot',0,'',0,'Monster.batur_orc_20_bi',10,25.3,45,'male','L2FestivalMonster',40,1870,677,8.69,2.14,40,43,30,21,20,10,2891,201,330,202,188,193,237,0,333,172,0,0,88,176,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18026,18026,'Apostate\'s Offering Marksman',0,'',0,'Monster.batur_orc_archer_20_bi',13,25.3,43,'male','L2FestivalMonster',500,1728,618,8.69,2.14,40,43,30,21,20,10,2285,154,739,189,163,181,249,0,333,277,0,0,49,148,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18027,18027,'Apostate\'s Offering Disciple',0,'',0,'Monster.batur_orc_overlord',12,24,45,'male','L2FestivalMonster',40,1870,677,8.69,2.14,40,43,30,21,20,10,2891,201,377,238,188,193,278,0,333,74,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18028,18028,'Apostate\'s Offering Saint',0,'',0,'Monster.batur_orc_overlord_20_bi',14,28.8,50,'male','L2FestivalMonster',40,2245,830,8.69,2.14,40,43,30,21,20,10,3570,269,509,278,264,226,278,0,333,133,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18029,18029,'Witch\'s Offering Elder',0,'',0,'Monster.batur_orc_warrior_20_bi',12,24,56,'male','L2FestivalMonster',40,2724,1019,10.27,2.45,40,43,30,21,20,10,4666,383,706,331,382,269,278,0,333,133,0,0,88,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18030,18030,'Witch\'s Offering',0,'',0,'Monster.batur_orc',9,21.5,54,'male','L2FestivalMonster',40,2562,955,10.27,2.45,40,43,30,21,20,10,4339,346,556,266,339,254,237,0,333,226,0,0,88,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18031,18031,'Witch\'s Offering Archer',0,'',0,'Monster.batur_orc_archer',11,21.5,50,'male','L2FestivalMonster',500,2245,830,8.69,2.14,40,43,30,21,20,10,3090,233,1132,236,264,226,249,0,333,278,0,0,49,77,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18032,18032,'Witch\'s Offering Warrior',0,'',0,'Monster.batur_orc_warrior',10,20,51,'male','L2FestivalMonster',40,2323,861,10.27,2.45,40,43,30,21,20,10,3121,238,539,286,281,232,278,0,333,72,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18033,18033,'Witch\'s Offering Follower',0,'',0,'Monster.batur_orc_shaman',11,16,51,'male','L2FestivalMonster',40,2323,861,10.27,2.45,40,43,30,21,20,10,3732,285,472,243,281,232,237,0,333,316,0,0,55,176,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18034,18034,'Witch\'s Offering Berserker',0,'',0,'Monster.virud_lizardman_warrior',12,30,59,'male','L2FestivalMonster',40,2971,1117,10.27,2.45,40,43,30,21,20,10,5789,495,820,359,453,291,278,0,333,301,0,0,57,137,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18035,18035,'Witch\'s Offering Zealot',0,'',0,'Monster.batur_orc_20_bi',10,25.3,56,'male','L2FestivalMonster',40,2724,1019,10.27,2.45,40,43,30,21,20,10,4478,368,618,281,382,269,237,0,333,91,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18036,18036,'Witch\'s Offering Marksman',0,'',0,'Monster.batur_orc_archer_20_bi',13,25.3,54,'male','L2FestivalMonster',500,2562,955,10.27,2.45,40,43,30,21,20,10,3604,287,1413,266,339,254,249,0,333,282,0,0,49,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18037,18037,'Witch\'s Offering Disciple',0,'',0,'Monster.batur_orc_overlord',12,24,56,'male','L2FestivalMonster',40,2724,1019,10.27,2.45,40,43,30,21,20,10,4478,368,706,331,382,269,278,0,333,135,0,0,88,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18038,18038,'Witch\'s Offering Saint',0,'',0,'Monster.batur_orc_overlord_20_bi',14,28.8,61,'male','L2FestivalMonster',40,3137,1184,11.85,2.78,40,43,30,21,20,10,5313,468,901,378,505,307,278,0,333,79,0,0,88,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18039,18039,'Dark Omen Offering Elder',0,'',0,'Monster.batur_orc_warrior_20_bi',12,24,67,'male','L2FestivalMonster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,6679,636,1169,439,681,356,278,0,333,79,0,0,88,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18040,18040,'Dark Omen Offering',0,'',0,'Monster.batur_orc',9,21.5,65,'male','L2FestivalMonster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,6286,584,942,355,619,340,237,0,333,234,0,0,88,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18041,18041,'Dark Omen Offering Archer',0,'',0,'Monster.batur_orc_archer',11,21.5,61,'male','L2FestivalMonster',500,3137,1184,11.85,2.78,40,43,30,21,20,10,4599,405,2004,321,505,307,249,0,333,283,0,0,49,77,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18042,18042,'Dark Omen Offering Warrior',0,'',0,'Monster.batur_orc_warrior',10,20,62,'male','L2FestivalMonster',40,3219,1217,11.85,2.78,40,43,30,21,20,10,4612,411,944,388,532,315,278,0,333,133,0,0,88,137,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18043,18043,'Dark Omen Offering Follower',0,'',0,'Monster.batur_orc_shaman',11,16,62,'male','L2FestivalMonster',40,3219,1217,11.85,2.78,40,43,30,21,20,10,5516,492,826,330,532,315,237,0,333,316,0,0,55,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18044,18044,'Dark Omen Offering Berserker',0,'',0,'Monster.virud_lizardman_warrior',12,30,70,'male','L2FestivalMonster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,8149,808,1314,470,780,382,278,0,333,97,0,0,57,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18045,18045,'Dark Omen Offering Zealot',0,'',0,'Monster.batur_orc_20_bi',10,25.3,67,'male','L2FestivalMonster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,6410,610,1023,373,681,356,237,0,333,2503,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18046,18046,'Dark Omen Offering Marksman',0,'',0,'Monster.batur_orc_archer_20_bi',13,25.3,65,'male','L2FestivalMonster',500,3465,1319,11.85,2.78,40,43,30,21,20,10,5222,485,2393,355,619,340,249,0,333,286,0,0,49,159,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18047,18047,'Dark Omen Offering Disciple',0,'',0,'Monster.batur_orc_overlord',12,24,67,'male','L2FestivalMonster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,6410,610,1169,439,681,356,278,0,333,142,0,0,88,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18048,18048,'Dark Omen Offering Saint',0,'',0,'Monster.batur_orc_overlord_20_bi',14,28.8,72,'male','L2FestivalMonster',40,4013,1565,13.43,3.09,40,43,30,21,20,10,7402,752,1413,491,849,399,278,0,333,2500,0,0,88,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18049,18049,'Offering of Forbidden Path Elder',0,'',0,'Monster.batur_orc_overlord_20_bi',14,28.8,78,'male','L2FestivalMonster',40,4428,1784,13.43,3.09,40,43,30,21,20,10,9052,991,1715,555,1069,451,278,0,333,2500,0,0,88,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18050,18050,'Offering of Forbidden Path',0,'',0,'Monster.batur_orc_warrior',10,20,76,'male','L2FestivalMonster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,8594,919,1412,454,994,433,237,0,333,236,0,0,88,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18051,18051,'Offering of Forbidden Path Archer',0,'',0,'Monster.ketra_orc_archer',12,27,80,'male','L2FestivalMonster',500,4663,1934,13.43,3.09,40,43,30,21,20,10,8310,955,4248,508,1220,485,249,0,333,287,0,0,49,77,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18052,18052,'Offering of Forbidden Path Warrior',0,'',0,'Monster.ketra_orc_warrior',12,24,80,'male','L2FestivalMonster',40,4550,1859,13.43,3.09,40,43,30,21,20,10,7680,862,1814,576,1144,468,278,0,333,79,0,0,39,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18053,18053,'Offering of Forbidden Path Follower',0,'',0,'Monster.ketra_orc_shaman',10,23,80,'male','L2FestivalMonster',40,4550,1859,13.43,3.09,40,43,30,21,20,10,9185,1031,1587,490,1144,468,237,0,333,316,0,0,11,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18054,18054,'Offering of Forbidden Path Berserker',0,'',0,'Monster.zenta_lizardman_warrior',13,35,81,'male','L2FestivalMonster',40,4608,1896,13.43,3.09,40,43,30,21,20,10,10912,1239,1863,587,1182,477,278,0,333,305,0,0,44,148,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18055,18055,'Offering of Forbidden Path Zealot',0,'',0,'Monster.ketra_orc_20_bi',14,34.8,78,'male','L2FestivalMonster',40,4428,1784,13.43,3.09,40,43,30,21,20,10,8687,951,1500,472,1069,451,237,0,333,175,0,0,49,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18056,18056,'Offering of Forbidden Path Marksman',0,'',0,'Monster.ketra_orc_archer_20_bi',14,32.4,76,'male','L2FestivalMonster',500,4297,1710,13.43,3.09,40,43,30,21,20,10,7139,763,3587,454,994,433,249,0,333,289,0,0,49,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18057,18057,'Offering of Forbidden Path Disciple',0,'',0,'Monster.ketra_orc_overload',12,24,78,'male','L2FestivalMonster',40,4428,1784,13.43,3.09,40,43,30,21,20,10,8687,951,1715,555,1069,451,278,0,333,151,0,0,36,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18058,18058,'Offering of Forbidden Path Saint',0,'',0,'Monster.ketra_orc_overload_20_bi',14,28.8,80,'male','L2FestivalMonster',40,4716,1972,13.43,3.09,40,43,30,21,20,10,9837,1144,1959,608,1258,494,278,0,333,2500,0,0,36,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18059,18059,'Offering of Branded Elder',0,'',0,'Monster.orc_fighter_bi',12,26.4,34,'male','L2FestivalMonster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1720,100,178,163,82,132,278,0,333,127,0,0,49,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18060,18060,'Offering of the Branded',0,'',0,'Monster.orc',10,21,32,'male','L2FestivalMonster',40,1056,397,7.11,1.84,40,43,30,21,20,10,1523,86,134,129,69,123,237,0,333,218,0,0,49,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18061,18061,'Offering of Branded Archer',0,'',0,'Monster.orc_archer',14,25,28,'male','L2FestivalMonster',500,859,334,5.53,1.53,40,43,30,21,20,10,1001,53,251,110,49,106,249,0,333,14,0,0,49,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18062,18062,'Offering of Branded Warrior',0,'',0,'Monster.orc_champion',10,23,29,'male','L2FestivalMonster',40,906,349,5.53,1.53,40,43,30,21,20,10,1026,55,122,135,53,110,278,0,333,125,0,0,49,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18063,18063,'Offering of Branded Follower',0,'',0,'Monster.orc_shaman',9,22,29,'male','L2FestivalMonster',40,906,349,5.53,1.53,40,43,30,21,20,10,1227,66,107,115,53,110,237,0,333,316,0,0,49,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18064,18064,'Offering of Branded Berserker',0,'',0,'Monster.virud_lizardman',10,23,37,'male','L2FestivalMonster',40,1338,480,7.11,1.84,40,43,30,21,20,10,2276,140,222,182,104,147,278,0,333,292,0,0,47,126,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18065,18065,'Offering of Branded Zealot',0,'',0,'Monster.orc_fighter_bi',12,26.4,34,'male','L2FestivalMonster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1650,96,156,138,82,132,237,0,333,158,0,0,49,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18066,18066,'Offering of Branded Marksman',0,'',0,'Monster.orc_archer_20_bi',16,30,32,'male','L2FestivalMonster',500,1056,397,7.11,1.84,40,43,30,21,20,10,1265,71,342,129,69,123,249,0,333,273,0,0,49,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18067,18067,'Offering of Branded Disciple',0,'',0,'Monster.batur_orc',9,21.5,34,'male','L2FestivalMonster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1650,96,178,163,82,132,278,0,333,129,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18068,18068,'Offering of Branded Saint',0,'',0,'Monster.batur_orc_20_bi',10,25.3,39,'male','L2FestivalMonster',40,1462,514,7.11,1.84,40,43,30,21,20,10,2171,138,255,195,121,158,278,0,333,72,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18069,18069,'Apostate\'s Offering Elder',0,'',0,'Monster.orc_champion_20_bi',12,27.6,45,'male','L2FestivalMonster',40,1870,677,8.69,2.14,40,43,30,21,20,10,3013,210,377,238,188,193,278,0,333,72,0,0,49,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18070,18070,'Apostate\'s Offering',0,'',0,'Monster.orc_fighter',12,22,43,'male','L2FestivalMonster',40,1728,618,8.69,2.14,40,43,30,21,20,10,2751,186,291,189,163,181,237,0,333,223,0,0,49,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18071,18071,'Apostate\'s Offering Archer',0,'',0,'Monster.batur_orc_archer',11,21.5,39,'male','L2FestivalMonster',500,1462,514,7.11,1.84,40,43,30,21,20,10,1879,119,566,165,121,158,249,0,333,275,0,0,49,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18072,18072,'Apostate\'s Offering Warrior',0,'',0,'Monster.batur_orc_warrior',10,20,40,'male','L2FestivalMonster',40,1527,531,7.11,1.84,40,43,30,21,20,10,1920,124,273,201,131,164,278,0,333,127,0,0,88,126,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18073,18073,'Apostate\'s Offering Follower',0,'',0,'Monster.batur_orc_shaman',11,16,40,'male','L2FestivalMonster',40,1527,531,7.11,1.84,40,43,30,21,20,10,2296,148,238,171,131,164,237,0,333,316,0,0,55,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18074,18074,'Apostate\'s Offering Berserker',0,'',0,'Monster.zenta_lizardman',11,32,48,'male','L2FestivalMonster',40,2091,768,8.69,2.14,40,43,30,21,20,10,3832,280,453,261,231,212,278,0,333,297,0,0,40,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18075,18075,'Apostate\'s Offering Zealot',0,'',0,'Monster.batur_orc_20_bi',10,25.3,45,'male','L2FestivalMonster',40,1870,677,8.69,2.14,40,43,30,21,20,10,2891,201,330,202,188,193,237,0,333,172,0,0,88,176,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18076,18076,'Apostate\'s Offering Marksman',0,'',0,'Monster.batur_orc_archer_20_bi',13,25.3,43,'male','L2FestivalMonster',500,1728,618,8.69,2.14,40,43,30,21,20,10,2285,154,739,189,163,181,249,0,333,277,0,0,49,148,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18077,18077,'Apostate\'s Offering Disciple',0,'',0,'Monster.batur_orc_overlord',12,24,45,'male','L2FestivalMonster',40,1870,677,8.69,2.14,40,43,30,21,20,10,2891,201,377,238,188,193,278,0,333,74,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18078,18078,'Apostate\'s Offering Saint',0,'',0,'Monster.batur_orc_overlord_20_bi',14,28.8,50,'male','L2FestivalMonster',40,2245,830,8.69,2.14,40,43,30,21,20,10,3570,269,509,278,264,226,278,0,333,133,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18079,18079,'Witch\'s Offering Elder',0,'',0,'Monster.batur_orc_warrior_20_bi',12,24,56,'male','L2FestivalMonster',40,2724,1019,10.27,2.45,40,43,30,21,20,10,4666,383,706,331,382,269,278,0,333,133,0,0,88,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18080,18080,'Witch\'s Offering',0,'',0,'Monster.batur_orc',9,21.5,54,'male','L2FestivalMonster',40,2562,955,10.27,2.45,40,43,30,21,20,10,4339,346,556,266,339,254,237,0,333,226,0,0,88,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18081,18081,'Witch\'s Offering Archer',0,'',0,'Monster.batur_orc_archer',11,21.5,50,'male','L2FestivalMonster',500,2245,830,8.69,2.14,40,43,30,21,20,10,3090,233,1132,236,264,226,249,0,333,278,0,0,49,77,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18082,18082,'Witch\'s Offering Warrior',0,'',0,'Monster.batur_orc_warrior',10,20,51,'male','L2FestivalMonster',40,2323,861,10.27,2.45,40,43,30,21,20,10,3121,238,539,286,281,232,278,0,333,72,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18083,18083,'Witch\'s Offering Follower',0,'',0,'Monster.batur_orc_shaman',11,16,51,'male','L2FestivalMonster',40,2323,861,10.27,2.45,40,43,30,21,20,10,3732,285,472,243,281,232,237,0,333,316,0,0,55,176,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18084,18084,'Witch\'s Offering Berserker',0,'',0,'Monster.virud_lizardman_warrior',12,30,59,'male','L2FestivalMonster',40,2971,1117,10.27,2.45,40,43,30,21,20,10,5789,495,820,359,453,291,278,0,333,301,0,0,57,137,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18085,18085,'Witch\'s Offering Zealot',0,'',0,'Monster.batur_orc_20_bi',10,25.3,56,'male','L2FestivalMonster',40,2724,1019,10.27,2.45,40,43,30,21,20,10,4478,368,618,281,382,269,237,0,333,91,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18086,18086,'Witch\'s Offering Marksman',0,'',0,'Monster.batur_orc_archer_20_bi',13,25.3,54,'male','L2FestivalMonster',500,2562,955,10.27,2.45,40,43,30,21,20,10,3604,287,1413,266,339,254,249,0,333,282,0,0,49,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18087,18087,'Witch\'s Offering Disciple',0,'',0,'Monster.batur_orc_overlord',12,24,56,'male','L2FestivalMonster',40,2724,1019,10.27,2.45,40,43,30,21,20,10,4478,368,706,331,382,269,278,0,333,135,0,0,88,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18088,18088,'Witch\'s Offering Saint',0,'',0,'Monster.batur_orc_overlord_20_bi',14,28.8,61,'male','L2FestivalMonster',40,3137,1184,11.85,2.78,40,43,30,21,20,10,5313,468,901,378,505,307,278,0,333,79,0,0,88,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18089,18089,'Dark Omen Offering Elder',0,'',0,'Monster.batur_orc_warrior_20_bi',12,24,67,'male','L2FestivalMonster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,6679,636,1169,439,681,356,278,0,333,79,0,0,88,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18090,18090,'Dark Omen Offering',0,'',0,'Monster.batur_orc',9,21.5,65,'male','L2FestivalMonster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,6286,584,942,355,619,340,237,0,333,234,0,0,88,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18091,18091,'Dark Omen Offering Archer',0,'',0,'Monster.batur_orc_archer',11,21.5,61,'male','L2FestivalMonster',500,3137,1184,11.85,2.78,40,43,30,21,20,10,4599,405,2004,321,505,307,249,0,333,283,0,0,49,77,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18092,18092,'Dark Omen Offering Warrior',0,'',0,'Monster.batur_orc_warrior',10,20,62,'male','L2FestivalMonster',40,3219,1217,11.85,2.78,40,43,30,21,20,10,4612,411,944,388,532,315,278,0,333,133,0,0,88,137,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18093,18093,'Dark Omen Offering Follower',0,'',0,'Monster.batur_orc_shaman',11,16,62,'male','L2FestivalMonster',40,3219,1217,11.85,2.78,40,43,30,21,20,10,5516,492,826,330,532,315,237,0,333,316,0,0,55,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18094,18094,'Dark Omen Offering Berserker',0,'',0,'Monster.virud_lizardman_warrior',12,30,70,'male','L2FestivalMonster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,8149,808,1314,470,780,382,278,0,333,97,0,0,57,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18095,18095,'Dark Omen Offering Zealot',0,'',0,'Monster.batur_orc_20_bi',10,25.3,67,'male','L2FestivalMonster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,6410,610,1023,373,681,356,237,0,333,2503,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18096,18096,'Dark Omen Offering Marksman',0,'',0,'Monster.batur_orc_archer_20_bi',13,25.3,65,'male','L2FestivalMonster',500,3465,1319,11.85,2.78,40,43,30,21,20,10,5222,485,2393,355,619,340,249,0,333,286,0,0,49,159,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18097,18097,'Dark Omen Offering Disciple',0,'',0,'Monster.batur_orc_overlord',12,24,67,'male','L2FestivalMonster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,6410,610,1169,439,681,356,278,0,333,142,0,0,88,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18098,18098,'Dark Omen Offering Saint',0,'',0,'Monster.batur_orc_overlord_20_bi',14,28.8,72,'male','L2FestivalMonster',40,4013,1565,13.43,3.09,40,43,30,21,20,10,7402,752,1413,491,849,399,278,0,333,2500,0,0,88,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18099,18099,'Offering of Forbidden Path Elder',0,'',0,'Monster.batur_orc_overlord_20_bi',14,28.8,78,'male','L2FestivalMonster',40,4428,1784,13.43,3.09,40,43,30,21,20,10,9052,991,1715,555,1069,451,278,0,333,2500,0,0,88,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18100,18100,'Offering of Forbidden Path',0,'',0,'Monster.batur_orc_warrior',10,20,76,'male','L2FestivalMonster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,8594,919,1412,454,994,433,237,0,333,236,0,0,88,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18101,18101,'Offering of Forbidden Path Archer',0,'',0,'Monster.ketra_orc_archer',12,27,80,'male','L2FestivalMonster',500,4663,1934,13.43,3.09,40,43,30,21,20,10,8310,955,4248,508,1220,485,249,0,333,287,0,0,49,77,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18102,18102,'Offering of Forbidden Path Warrior',0,'',0,'Monster.ketra_orc_warrior',12,24,80,'male','L2FestivalMonster',40,4550,1859,13.43,3.09,40,43,30,21,20,10,7680,862,1814,576,1144,468,278,0,333,79,0,0,39,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18103,18103,'Offering of Forbidden Path Follower',0,'',0,'Monster.ketra_orc_shaman',10,23,80,'male','L2FestivalMonster',40,4550,1859,13.43,3.09,40,43,30,21,20,10,9185,1031,1587,490,1144,468,237,0,333,316,0,0,11,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18104,18104,'Offering of Forbidden Path Berserker',0,'',0,'Monster.zenta_lizardman_warrior',13,35,80,'male','L2FestivalMonster',40,4608,1896,13.43,3.09,40,43,30,21,20,10,10912,1239,1863,587,1182,477,278,0,333,305,0,0,44,148,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18105,18105,'Offering of Forbidden Path Zealot',0,'',0,'Monster.ketra_orc_20_bi',14,34.8,78,'male','L2FestivalMonster',40,4428,1784,13.43,3.09,40,43,30,21,20,10,8687,951,1500,472,1069,451,237,0,333,175,0,0,49,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18106,18106,'Offering of Forbidden Path Marksman',0,'',0,'Monster.ketra_orc_archer_20_bi',14,32.4,76,'male','L2FestivalMonster',500,4297,1710,13.43,3.09,40,43,30,21,20,10,7139,763,3587,454,994,433,249,0,333,289,0,0,49,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18107,18107,'Offering of Forbidden Path Disciple',0,'',0,'Monster.ketra_orc_overload',12,24,78,'male','L2FestivalMonster',40,4428,1784,13.43,3.09,40,43,30,21,20,10,8687,951,1715,555,1069,451,278,0,333,151,0,0,36,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18108,18108,'Offering of Forbidden Path Saint',0,'',0,'Monster.ketra_orc_overload_20_bi',14,28.8,83,'male','L2FestivalMonster',40,4716,1972,13.43,3.09,40,43,30,21,20,10,9837,1144,1959,608,1258,494,278,0,333,2500,0,0,36,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18109,18109,'Treasures of the Festival',0,'',0,'Monster.mimic',8.5,8.5,30,'male','L2FestivalMonster',0,999,365,5.53,1.53,40,43,30,21,20,10,90,0,0,140,0,114,0,0,0,0,0,0,88,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18110,18110,'Treasures of the Festival',0,'',0,'Monster.mimic',8.5,8.5,41,'male','L2FestivalMonster',0,1488,560,8.69,2.14,40,43,30,21,20,10,168,0,0,208,0,169,0,0,0,0,0,0,88,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18111,18111,'Treasures of the Festival',0,'',0,'Monster.mimic',8.5,8.5,52,'male','L2FestivalMonster',0,2058,892,10.27,2.45,40,43,30,21,20,10,270,0,0,295,0,239,0,0,0,0,0,0,88,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18112,18112,'Treasures of the Festival',0,'',0,'Monster.mimic',8.5,8.5,63,'male','L2FestivalMonster',0,2640,1251,11.85,2.78,40,43,30,21,20,10,396,0,0,398,0,323,0,0,0,0,0,0,88,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18113,18113,'Treasures of the Festival',0,'',0,'Monster.mimic',8.5,8.5,72,'male','L2FestivalMonster',0,3063,1565,13.43,3.09,40,43,30,21,20,10,518,0,0,491,0,399,0,0,0,0,0,0,88,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18114,18114,'Treasures of the Festival',0,'',0,'Monster.mimic',8.5,8.5,30,'male','L2FestivalMonster',0,999,365,5.53,1.53,40,43,30,21,20,10,90,0,0,140,0,114,0,0,0,0,0,0,88,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18115,18115,'Treasures of the Festival',0,'',0,'Monster.mimic',8.5,8.5,41,'male','L2FestivalMonster',0,1488,560,8.69,2.14,40,43,30,21,20,10,168,0,0,208,0,169,0,0,0,0,0,0,88,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18116,18116,'Treasures of the Festival',0,'',0,'Monster.mimic',8.5,8.5,52,'male','L2FestivalMonster',0,2058,892,10.27,2.45,40,43,30,21,20,10,270,0,0,295,0,239,0,0,0,0,0,0,88,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18117,18117,'Treasures of the Festival',0,'',0,'Monster.mimic',8.5,8.5,63,'male','L2FestivalMonster',0,2640,1251,11.85,2.78,40,43,30,21,20,10,396,0,0,398,0,323,0,0,0,0,0,0,88,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18118,18118,'Treasures of the Festival',0,'',0,'Monster.mimic',8.5,8.5,72,'male','L2FestivalMonster',0,3063,1565,13.43,3.09,40,43,30,21,20,10,518,0,0,491,0,399,0,0,0,0,0,0,88,214,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18119,18119,'Corpse of Deadman',0,'',0,'Monster.zombie_corpse',13,21,63,'male','L2Monster',40,3302,1251,11.85,2.78,40,43,30,21,20,10,0,0,987,398,560,323,278,0,333,0,0,0,15,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18120,18120,'Halisha\'s Officer',0,'',0,'Monster2.imperial_warlord_zombie_20_bi',9,36,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9764,1108,2255,534,1731,433,278,0,333,134,6721,0,42,165,'tomb1_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(18121,18121,'Halisha\'s Officer',0,'',0,'Monster2.imperial_warlord_zombie_20_bi',9,36,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9260,1051,1694,710,977,577,278,0,333,134,6721,0,42,165,'tomb1_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18122,18122,'Halisha\'s Officer',0,'',0,'Monster2.imperial_warlord_zombie_20_bi',9,36,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,7072,803,1863,587,1182,477,278,0,333,134,6721,0,42,165,'tomb1_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18123,18123,'Halisha\'s Officer',0,'',0,'Monster2.imperial_warlord_zombie_20_bi',9,36,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9764,1108,2255,534,1731,433,278,0,333,134,6721,0,42,165,'tomb1_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(18124,18124,'Halisha\'s Officer',0,'',0,'Monster2.imperial_warlord_zombie_20_bi',9,36,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9260,1051,1694,710,977,577,278,0,333,134,6721,0,42,165,'tomb1_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18125,18125,'Halisha\'s Officer',0,'',0,'Monster2.imperial_warlord_zombie_20_bi',9,36,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,7072,803,1863,587,1182,477,278,0,333,134,6721,0,42,165,'tomb1_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18126,18126,'Halisha\'s Officer',0,'',0,'Monster2.imperial_warlord_zombie_20_bi',9,36,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9764,1108,2255,534,1731,433,278,0,333,134,6721,0,42,165,'tomb1_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(18127,18127,'Halisha\'s Officer',0,'',0,'Monster2.imperial_warlord_zombie_20_bi',9,36,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9260,1051,1694,710,977,577,278,0,333,134,6721,0,42,165,'tomb1_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18128,18128,'Halisha\'s Officer',0,'',0,'Monster2.imperial_warlord_zombie_20_bi',9,36,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,7072,803,1863,587,1182,477,278,0,333,134,6721,0,42,165,'tomb1_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18129,18129,'Halisha\'s Officer',0,'',0,'Monster2.imperial_warlord_zombie_20_bi',9,36,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9764,1108,2255,534,1731,433,278,0,333,134,6721,0,42,165,'tomb1_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(18130,18130,'Halisha\'s Officer',0,'',0,'Monster2.imperial_warlord_zombie_20_bi',9,36,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9260,1051,1694,710,977,577,278,0,333,134,6721,0,42,165,'tomb1_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18131,18131,'Halisha\'s Officer',0,'',0,'Monster2.imperial_warlord_zombie_20_bi',9,36,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,7072,803,1863,587,1182,477,278,0,333,134,6721,0,42,165,'tomb1_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18132,18132,'Imperial Healer',0,'',0,'Monster2.tera_beetle',19,54.5,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9949,1129,1540,782,807,635,278,0,333,0,0,0,49,187,'tomb1_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18133,18133,'Imperial Mosaic',0,'',0,'Monster2.scorpion',28,66,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9190,1043,1630,587,1182,477,237,0,333,0,0,0,40,187,'tomb1_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18134,18134,'Imperial Mosaic',0,'',0,'Monster2.scorpion',28,66,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,6906,784,1630,587,1182,477,237,0,333,0,0,0,40,187,'tomb1_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18135,18135,'Imperial Mosaic',0,'',0,'Monster2.scorpion',28,66,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9149,1039,1630,587,1182,477,237,0,333,0,0,0,40,187,'tomb1_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18136,18136,'Imperial Mosaic',0,'',0,'Monster2.scorpion',28,66,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9190,1043,1482,710,977,577,237,0,333,0,0,0,40,187,'tomb1_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18137,18137,'Imperial Mosaic',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,6812,773,1863,587,1182,477,278,0,333,0,0,0,49,198,'tomb1_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18138,18138,'Imperial Mosaic',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9069,1029,1863,587,1182,477,278,0,333,0,0,0,49,198,'tomb1_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18139,18139,'Imperial Mosaic',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,8935,1014,1863,587,1182,477,278,0,333,0,0,0,49,198,'tomb1_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18140,18140,'Imperial Mosaic',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9065,1029,1694,710,977,577,278,0,333,0,0,0,49,198,'tomb1_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18141,18141,'Beetle of Grave',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,53.72,3.09,40,43,30,21,20,10,8745,993,3001,401,3068,325,278,0,333,0,0,0,49,198,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18142,18142,'Beetle of Grave',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,53.72,3.09,40,43,30,21,20,10,8745,993,3001,401,3068,325,278,0,333,0,0,0,49,198,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18143,18143,'Beetle of Grave',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,53.72,3.09,40,43,30,21,20,10,8745,993,3001,401,3068,325,278,0,333,0,0,0,49,198,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18144,18144,'Beetle of Grave',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,53.72,3.09,40,43,30,21,20,10,8745,993,3001,401,3068,325,278,0,333,0,0,0,49,198,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18145,18145,'Beetle of Grave',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,53.72,3.09,40,43,30,21,20,10,7399,840,2480,485,2095,394,278,0,333,0,0,0,49,198,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18146,18146,'Beetle of Grave',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,53.72,3.09,40,43,30,21,20,10,7568,859,2480,485,2095,394,278,0,333,0,0,0,49,198,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18147,18147,'Beetle of Grave',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,53.72,3.09,40,43,30,21,20,10,7046,800,2480,485,2095,394,278,0,333,0,0,0,49,198,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18148,18148,'Beetle of Grave',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,53.72,3.09,40,43,30,21,20,10,8203,931,2480,485,2095,394,278,0,333,0,0,0,49,198,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18149,18149,'Beetle of Grave',0,'',0,'Monster2.scarab',14,22,81,'male','L2SepulcherMonster',40,4608,1896,53.72,3.09,40,43,30,21,20,10,7247,823,2480,485,2095,394,278,0,333,0,0,0,49,198,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18150,18150,'Victim',0,'',0,'NPC.a_tombkeeperA',8,23,81,'female','L2SepulcherMonster',40,4608,1896,13.43,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,0,333,0,0,0,55,110,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18151,18151,'Victim',0,'',0,'NPC.a_tombkeeperA',8,23,81,'female','L2SepulcherMonster',40,4608,1896,13.43,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,0,333,0,0,0,55,110,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18152,18152,'Victim',0,'',0,'NPC.a_tombkeeperA',8,23,81,'female','L2SepulcherMonster',40,4608,1896,13.43,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,0,333,0,0,0,55,110,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18153,18153,'Victim',0,'',0,'NPC.a_tombkeeperA',8,23,81,'female','L2SepulcherMonster',40,4608,1896,13.43,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,0,333,0,0,0,55,110,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18154,18154,'Victim',0,'',0,'NPC.a_tombkeeperA',8,23,81,'female','L2SepulcherMonster',40,4608,1896,13.43,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,0,333,0,0,0,55,110,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18155,18155,'Victim',0,'',0,'NPC.a_tombkeeperA',8,23,81,'female','L2SepulcherMonster',40,4608,1896,13.43,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,0,333,0,0,0,55,110,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18156,18156,'Victim',0,'',0,'NPC.a_tombkeeperA',8,23,81,'female','L2SepulcherMonster',40,4608,1896,13.43,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,0,333,0,0,0,55,110,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18157,18157,'Victim',0,'',0,'NPC.a_tombkeeperA',8,23,81,'female','L2SepulcherMonster',40,4608,1896,13.43,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,0,333,0,0,0,55,110,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18158,18158,'Executioner of Halisha',0,'',0,'Monster2.erinyes',21,50,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2255,534,1731,433,278,0,333,0,0,0,34,165,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18159,18159,'Executioner of Halisha',0,'',0,'Monster2.erinyes',21,50,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2255,534,1731,433,278,0,333,0,0,0,34,165,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18160,18160,'Executioner of Halisha',0,'',0,'Monster2.erinyes',21,50,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2255,534,1731,433,278,0,333,0,0,0,34,165,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18161,18161,'Executioner of Halisha',0,'',0,'Monster2.erinyes',21,50,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2255,534,1731,433,278,0,333,0,0,0,34,165,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18162,18162,'Executioner of Halisha',0,'',0,'Monster2.erinyes',21,50,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2255,534,1731,433,278,0,333,0,0,0,34,165,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18163,18163,'Executioner of Halisha',0,'',0,'Monster2.erinyes',21,50,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2255,534,1731,433,278,0,333,0,0,0,34,165,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18164,18164,'Executioner of Halisha',0,'',0,'Monster2.erinyes',21,50,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2255,534,1731,433,278,0,333,0,0,0,34,165,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18165,18165,'Executioner of Halisha',0,'',0,'Monster2.erinyes',21,50,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2255,534,1731,433,278,0,333,0,0,0,34,165,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18166,18166,'Imperial Guard',0,'',0,'Monster.death_knight',12,31,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,7005,795,2255,534,1731,433,278,0,333,142,0,0,29,121,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(18167,18167,'Imperial Guard',0,'',0,'Monster.death_knight',12,31,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,6906,784,1694,710,977,577,278,0,333,142,0,0,29,121,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18168,18168,'Imperial Guard',0,'',0,'Monster.death_knight',12,31,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,7099,806,1863,587,1182,477,278,0,333,142,0,0,29,121,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18169,18169,'Imperial Guard',0,'',0,'Monster.death_knight',12,31,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,6872,780,1694,710,977,577,278,0,333,142,0,0,29,121,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18170,18170,'Imperial Guard',0,'',0,'Monster.doll_master',20,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,6879,781,2170,485,2095,394,237,0,333,0,0,0,88,176,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(18171,18171,'Imperial Guard',0,'',0,'Monster.doll_master',20,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,7147,811,1347,782,807,635,237,0,333,0,0,0,88,176,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18172,18172,'Imperial Guard',0,'',0,'Monster.doll_master',20,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,6812,773,1630,587,1182,477,237,0,333,0,0,0,88,176,'tomb3_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(18173,18173,'Halisha\'s Foreman',0,'',0,'Monster.kaim_vanul',24,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9321,1058,2255,534,1731,433,278,0,333,0,0,0,40,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18174,18174,'Halisha\'s Foreman',0,'',0,'Monster.kaim_vanul',24,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9321,1058,2255,534,1731,433,278,0,333,0,0,0,40,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18175,18175,'Halisha\'s Foreman',0,'',0,'Monster.kaim_vanul',24,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9321,1058,2255,534,1731,433,278,0,333,0,0,0,40,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18176,18176,'Halisha\'s Foreman',0,'',0,'Monster.kaim_vanul',24,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9321,1058,2255,534,1731,433,278,0,333,0,0,0,40,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18177,18177,'Halisha\'s Foreman',0,'',0,'Monster.kaim_vanul',24,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9321,1058,2255,534,1731,433,278,0,333,0,0,0,40,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18178,18178,'Halisha\'s Foreman',0,'',0,'Monster.kaim_vanul',24,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9321,1058,2255,534,1731,433,278,0,333,0,0,0,40,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18179,18179,'Halisha\'s Foreman',0,'',0,'Monster.kaim_vanul',24,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9321,1058,2255,534,1731,433,278,0,333,0,0,0,40,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18180,18180,'Halisha\'s Foreman',0,'',0,'Monster.kaim_vanul',24,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9321,1058,2255,534,1731,433,278,0,333,0,0,0,40,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18181,18181,'Halisha\'s Foreman',0,'',0,'Monster.kaim_vanul',24,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9321,1058,2255,534,1731,433,278,0,333,0,0,0,40,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18182,18182,'Halisha\'s Foreman',0,'',0,'Monster.kaim_vanul',24,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9321,1058,2255,534,1731,433,278,0,333,0,0,0,40,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18183,18183,'Halisha\'s Foreman',0,'',0,'Monster.kaim_vanul',24,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9321,1058,2255,534,1731,433,278,0,333,0,0,0,40,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18184,18184,'Halisha\'s Foreman',0,'',0,'Monster.kaim_vanul',24,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,7133,810,2255,534,1731,433,278,0,333,0,0,0,40,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18185,18185,'Evil Astrologer',0,'',0,'Monster.doll_blader',6,12,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9413,1069,1694,710,977,577,278,0,333,5129,5129,0,24,165,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18186,18186,'Evil Astrologer',0,'',0,'Monster.doll_blader',6,12,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9467,1075,1694,710,977,577,278,0,333,5129,5129,0,24,165,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18187,18187,'Knight of Darkness',0,'',0,'Monster.death_lord',21,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9190,1043,2255,534,1731,433,278,0,333,78,0,0,44,176,'tomb4_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(18188,18188,'Knight of Darkness',0,'',0,'Monster.death_lord',21,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,6906,784,2255,534,1731,433,278,0,333,78,0,0,44,176,'tomb4_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(18189,18189,'Knight of Darkness',0,'',0,'Monster.death_lord',21,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9149,1039,2255,534,1731,433,278,0,333,78,0,0,44,176,'tomb4_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(18190,18190,'Knight of Darkness',0,'',0,'Monster.death_lord',21,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9190,1043,2255,534,1731,433,278,0,333,78,0,0,44,176,'tomb4_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(18191,18191,'Witch of dust',0,'',0,'Monster.banshee',9,23,81,'female','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,6812,773,2255,534,1731,433,278,0,333,3939,0,0,88,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'mage','false'),
(18192,18192,'Witch of dust',0,'',0,'Monster.banshee',9,23,81,'female','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9069,1029,2255,534,1731,433,278,0,333,3939,0,0,88,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'mage','false'),
(18193,18193,'Witch of dust',0,'',0,'Monster.banshee',9,23,81,'female','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,8935,1014,2255,534,1731,433,278,0,333,3939,0,0,88,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'mage','false'),
(18194,18194,'Witch of dust',0,'',0,'Monster.banshee',9,23,81,'female','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9065,1029,2255,534,1731,433,278,0,333,3939,0,0,88,176,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'mage','false'),
(18195,18195,'Signet of Emperor',0,'',0,'Monster.ant_larva',12,8,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,6946,788,3001,401,3068,325,278,0,333,0,0,0,44,66,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18196,18196,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18197,18197,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18198,18198,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18199,18199,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18200,18200,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18201,18201,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18202,18202,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18203,18203,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18204,18204,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18205,18205,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18206,18206,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18207,18207,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18208,18208,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18209,18209,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18210,18210,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18211,18211,'Charm of Corner',0,'',0,'Monster2.magmagoil_lad',15,75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,22690,2576,1272,946,551,768,278,0,333,0,0,0,0,0,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18212,18212,'Archon of Halisha',0,'',0,'Monster2.ahrimanes',14,57.75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,28935,3285,1540,782,807,635,278,0,333,6722,0,0,38,203,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18213,18213,'Archon of Halisha',0,'',0,'Monster2.ahrimanes',14,57.75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,28935,3285,1540,782,807,635,278,0,333,6722,0,0,38,203,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18214,18214,'Archon of Halisha',0,'',0,'Monster2.ahrimanes',14,57.75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,28935,3285,1540,782,807,635,278,0,333,6722,0,0,38,203,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18215,18215,'Archon of Halisha',0,'',0,'Monster2.ahrimanes',14,57.75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,28935,3285,1540,782,807,635,278,0,333,6722,0,0,38,203,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18216,18216,'Archon of Halisha',0,'',0,'Monster2.ahrimanes',14,57.75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,28935,3285,1540,782,807,635,278,0,333,6722,0,0,38,203,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18217,18217,'Archon of Halisha',0,'',0,'Monster2.ahrimanes',14,57.75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,28935,3285,1540,782,807,635,278,0,333,6722,0,0,38,203,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18218,18218,'Archon of Halisha',0,'',0,'Monster2.ahrimanes',14,57.75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,28935,3285,1540,782,807,635,278,0,333,6722,0,0,38,203,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18219,18219,'Archon of Halisha',0,'',0,'Monster2.ahrimanes',14,57.75,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,28935,3285,1540,782,807,635,278,0,333,6722,0,0,38,203,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18220,18220,'Shaman of Darkness',0,'',0,'Monster.banshee',9,23,81,'female','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9467,1075,2050,587,1431,477,278,0,333,3939,0,0,88,176,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18221,18221,'Shaman of Darkness',0,'',0,'Monster.banshee',9,23,81,'female','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9721,1103,2050,587,1431,477,278,0,333,3939,0,0,88,176,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18222,18222,'Assassin of Darkness',0,'',0,'Monster2.ashuras',13,37.5,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9210,1045,2480,485,2095,394,278,0,333,0,0,0,45,209,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18223,18223,'Assassin of Darkness',0,'',0,'Monster2.ashuras',13,37.5,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,6906,784,1863,587,1182,477,278,0,333,0,0,0,45,209,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18224,18224,'Assassin of Darkness',0,'',0,'Monster2.ashuras',13,37.5,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9303,1056,2480,485,2095,394,278,0,333,0,0,0,45,209,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18225,18225,'Assassin of Darkness',0,'',0,'Monster2.ashuras',13,37.5,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9210,1045,1863,587,1182,477,278,0,333,0,0,0,45,209,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18226,18226,'Caster of Darkness',0,'',0,'Monster.vale_master',12,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,6812,773,2480,485,2095,394,278,0,333,0,0,0,77,170,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18227,18227,'Caster of Darkness',0,'',0,'Monster.vale_master',12,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11706,1329,1863,587,1182,477,278,0,333,0,0,0,77,170,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18228,18228,'Caster of Darkness',0,'',0,'Monster.vale_master',12,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,8801,999,2480,485,2095,394,278,0,333,0,0,0,77,170,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18229,18229,'Caster of Darkness',0,'',0,'Monster.vale_master',12,40,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,9065,1029,1863,587,1182,477,278,0,333,0,0,0,77,170,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18230,18230,'Signet of Emperor',0,'',0,'Monster.ant_larva',12,8,81,'male','L2SepulcherMonster',40,4608,1896,40.29,3.09,40,43,30,21,20,10,7495,851,3001,401,3068,325,278,0,333,0,0,0,44,66,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18231,18231,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18232,18232,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18233,18233,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18234,18234,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18235,18235,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18236,18236,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18237,18237,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18238,18238,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18239,18239,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18240,18240,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18241,18241,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18242,18242,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18243,18243,'Statue of Protection',0,'',0,'Monster2.temple_guard_a',15,42,81,'male','L2SepulcherMonster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,11149,1266,1694,710,977,577,278,0,333,5795,0,0,58,154,'tomb5_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18244,18244,'Watchman of Grave',0,'',0,'Monster.mana_vampire',11,20,81,'male','L2SepulcherMonster',40,3456,1896,40.29,3.09,40,43,30,21,20,10,0,0,2480,485,2095,394,278,0,333,0,0,0,99,1,'tomb1_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18245,18245,'Watchman of Grave',0,'',0,'Monster.mana_vampire',11,20,81,'male','L2SepulcherMonster',40,3456,1896,40.29,3.09,40,43,30,21,20,10,0,0,1694,710,977,577,278,0,333,0,0,0,99,1,'tomb1_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18246,18246,'Watchman of Grave',0,'',0,'Monster.mana_vampire',11,20,81,'male','L2SepulcherMonster',40,3456,1896,40.29,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,0,333,0,0,0,99,1,'tomb1_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18247,18247,'Watchman of Grave',0,'',0,'Monster.mana_vampire',11,20,81,'male','L2SepulcherMonster',40,3456,1896,40.29,3.09,40,43,30,21,20,10,0,0,2480,485,2095,394,278,0,333,0,0,0,99,1,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18248,18248,'Watchman of Grave',0,'',0,'Monster.mana_vampire',11,20,81,'male','L2SepulcherMonster',40,3456,1896,40.29,3.09,40,43,30,21,20,10,0,0,1694,710,977,577,278,0,333,0,0,0,99,1,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18249,18249,'Watchman of Grave',0,'',0,'Monster.mana_vampire',11,20,81,'male','L2SepulcherMonster',40,3456,1896,40.29,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,0,333,0,0,0,99,1,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18250,18250,'Watchman of Grave',0,'',0,'Monster.mana_vampire',11,20,81,'male','L2SepulcherMonster',40,3456,1896,40.29,3.09,40,43,30,21,20,10,0,0,2480,485,2095,394,278,0,333,0,0,0,99,1,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18251,18251,'Watchman of Grave',0,'',0,'Monster.mana_vampire',11,20,81,'male','L2SepulcherMonster',40,3456,1896,40.29,3.09,40,43,30,21,20,10,0,0,1694,710,977,577,278,0,333,0,0,0,99,1,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18252,18252,'Watchman of Grave',0,'',0,'Monster.mana_vampire',11,20,81,'male','L2SepulcherMonster',40,3456,1896,40.29,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,0,333,0,0,0,99,1,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18253,18253,'Watchman of Grave',0,'',0,'Monster.mana_vampire',11,20,81,'male','L2SepulcherMonster',40,3456,1896,40.29,3.09,40,43,30,21,20,10,0,0,2480,485,2095,394,278,0,333,0,0,0,99,1,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18254,18254,'Watchman of Grave',0,'',0,'Monster.mana_vampire',11,20,81,'male','L2SepulcherMonster',40,3456,1896,40.29,3.09,40,43,30,21,20,10,0,0,1694,710,977,577,278,0,333,0,0,0,99,1,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18255,18255,'Watchman of Grave',0,'',0,'Monster.mana_vampire',11,20,81,'male','L2SepulcherMonster',40,3456,1896,40.29,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,0,333,0,0,0,99,1,'tomb4_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18256,18256,'Halisha\'s Treasure Box',0,'',0,'Monster.mimic',8.5,8.5,85,'male','L2SepulcherMonster',40,1,1,0,0,40,43,30,21,20,10,0,0,2,1,1,1,1,0,333,0,0,0,0,0,'NULL',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18257,18257,'Treasure Chest',0,'',0,'LineageMonster.mimic',8.5,8.5,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,0,0,518,324,300,239,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18258,18258,'Treasure Chest',0,'',0,'LineageMonster.mimic',8.5,8.5,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,0,0,518,324,300,239,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18259,18259,'Treasure Chest',0,'',0,'LineageMonster.mimic',8.5,8.5,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,0,0,518,324,300,239,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18260,18260,'Treasure Chest',0,'',0,'LineageMonster.mimic',8.5,8.5,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,0,0,518,324,300,239,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18261,18261,'Treasure Chest',0,'',0,'LineageMonster.mimic',8.5,8.5,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,0,0,518,324,300,239,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18262,18262,'Treasure Chest',0,'',0,'LineageMonster.mimic',8.5,8.5,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,0,0,518,324,300,239,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18263,18263,'Treasure Chest',0,'',0,'LineageMonster.mimic',8.5,8.5,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,0,0,518,324,300,239,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18264,18264,'Treasure Chest',0,'',0,'LineageMonster.mimic',8.5,8.5,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,0,0,518,324,300,239,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18265,18265,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,21,'male','L2Chest',40,575,227,5.53,1.53,40,43,30,21,20,10,630,29,63,98,25,80,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18266,18266,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,24,'male','L2Chest',40,687,272,5.53,1.53,40,43,30,21,20,10,771,38,81,111,34,90,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18267,18267,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,27,'male','L2Chest',40,813,318,5.53,1.53,40,43,30,21,20,10,918,47,104,125,45,102,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18268,18268,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,30,'male','L2Chest',40,954,365,5.53,1.53,40,43,30,21,20,10,1080,59,132,140,58,114,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18269,18269,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,33,'male','L2Chest',40,1109,413,7.11,1.84,40,43,30,21,20,10,1306,75,166,157,75,128,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18270,18270,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,36,'male','L2Chest',40,1279,463,7.11,1.84,40,43,30,21,20,10,1555,94,206,175,96,142,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18271,18271,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,39,'male','L2Chest',40,1462,514,7.11,1.84,40,43,30,21,20,10,1825,116,255,195,121,158,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18272,18272,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,42,'male','L2Chest',40,1660,589,8.69,2.14,40,43,30,21,20,10,2116,141,311,215,152,175,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18273,18273,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,45,'male','L2Chest',40,1870,677,8.69,2.14,40,43,30,21,20,10,2430,169,377,238,188,193,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18274,18274,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,48,'male','L2Chest',40,2091,768,8.69,2.14,40,43,30,21,20,10,2764,202,453,261,231,212,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18275,18275,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,51,'male','L2Chest',40,2323,861,10.27,2.45,40,43,30,21,20,10,3121,238,539,286,281,232,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18276,18276,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,54,'male','L2Chest',40,2562,955,10.27,2.45,40,43,30,21,20,10,3499,279,636,313,339,254,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18277,18277,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,57,'male','L2Chest',40,2806,1052,10.27,2.45,40,43,30,21,20,10,3898,324,743,340,405,276,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18278,18278,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,60,'male','L2Chest',40,3054,1150,10.27,2.45,40,43,30,21,20,10,4320,375,860,368,478,299,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18279,18279,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,63,'male','L2Chest',40,3302,1251,11.85,2.78,40,43,30,21,20,10,4762,430,987,398,560,323,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18280,18280,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,66,'male','L2Chest',40,3546,1353,11.85,2.78,40,43,30,21,20,10,5227,492,1123,428,649,348,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18281,18281,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,69,'male','L2Chest',40,3784,1458,11.85,2.78,40,43,30,21,20,10,5713,559,1265,460,746,373,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18282,18282,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,72,'male','L2Chest',40,4013,1565,13.43,3.09,40,43,30,21,20,10,6220,632,1413,491,849,399,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18283,18283,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,75,'male','L2Chest',40,4229,1673,13.43,3.09,40,43,30,21,20,10,6750,712,1563,523,957,425,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18284,18284,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,78,'male','L2Chest',40,4428,1784,13.43,3.09,40,43,30,21,20,10,7300,799,1715,555,1069,451,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18285,18285,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,81,'male','L2Chest',40,4608,1896,13.43,3.09,40,43,30,21,20,10,7873,894,1863,587,1182,477,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18286,18286,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,84,'male','L2Chest',40,4766,2011,13.43,3.09,40,43,30,21,20,10,8467,996,2006,619,1296,502,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18287,18287,'Otherworldly Invader Food',0,'',0,'Monster.mimic',8.5,8.5,33,'male','L2Chest',40,1109,413,7.11,1.84,40,43,30,21,20,10,0,0,166,157,75,128,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18288,18288,'Otherworldly Invader Food',0,'',0,'Monster.mimic',8.5,8.5,35,'male','L2Chest',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18289,18289,'Dimension Invader Food',0,'',0,'Monster.mimic',8.5,8.5,43,'male','L2Chest',40,1728,618,8.69,2.14,40,43,30,21,20,10,0,0,332,223,163,181,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18290,18290,'Dimension Invader Food',0,'',0,'Monster.mimic',8.5,8.5,45,'male','L2Chest',40,1870,677,8.69,2.14,40,43,30,21,20,10,0,0,377,238,188,193,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18291,18291,'Purgatory Invader Food',0,'',0,'Monster.mimic',8.5,8.5,53,'male','L2Chest',40,2481,923,10.27,2.45,40,43,30,21,20,10,0,0,602,304,319,247,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18292,18292,'Purgatory Invader Food',0,'',0,'Monster.mimic',8.5,8.5,55,'male','L2Chest',40,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,670,322,360,261,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18293,18293,'Forbidden Path Invader Food',0,'',0,'Monster.mimic',8.5,8.5,63,'male','L2Chest',40,3302,1251,11.85,2.78,40,43,30,21,20,10,0,0,987,398,560,323,278,0,333,0,0,0,80,165,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18294,18294,'Forbidden Path Invader Food',0,'',0,'Monster.mimic',8.5,8.5,65,'male','L2Chest',40,3465,1319,11.85,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18295,18295,'Dark Omen Invader Food',0,'',0,'Monster.mimic',8.5,8.5,73,'male','L2Chest',40,4086,1601,13.43,3.09,40,43,30,21,20,10,0,0,1463,502,885,407,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18296,18296,'Dark Omen Invader Food',0,'',0,'Monster.mimic',8.5,8.5,75,'male','L2Chest',40,4229,1673,13.43,3.09,40,43,30,21,20,10,0,0,1563,523,957,425,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18297,18297,'Messenger Invader Food',0,'',0,'Monster.mimic',8.5,8.5,83,'male','L2Chest',40,4716,1972,13.43,3.09,40,43,30,21,20,10,0,0,1959,608,1258,494,278,0,333,0,0,0,80,165,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18298,18298,'Messenger Invader Food',0,'',0,'Monster.mimic',8.5,8.5,85,'male','L2Chest',40,4813,2049,13.43,3.09,40,43,30,21,20,10,0,0,2052,629,1333,511,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18299,18299,'Flame of the Branded',0,'',0,'Monster.big_boom',6,13,35,'male','L2Npc',40,1220,446,21.33,1.84,40,43,30,21,20,10,1631,96,192,169,89,137,278,0,333,0,0,0,52,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18300,18300,'Offering of the Branded, Evoked Spirit',0,'',0,'Monster.orc',10,21,33,'male','L2Npc',40,1109,413,7.11,1.84,40,43,30,21,20,10,1751,100,166,157,75,128,278,0,333,158,0,0,49,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18301,18301,'Flame of Apostates',0,'',0,'Monster.big_boom',6,13,46,'male','L2Npc',40,1943,707,26.07,2.14,40,43,30,21,20,10,2817,199,401,245,202,199,278,0,333,0,0,0,52,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18302,18302,'Offering of Apostates, Evoked Spirit',0,'',0,'Monster.orc_fighter',12,22,44,'male','L2Npc',40,1799,648,8.69,2.14,40,43,30,21,20,10,3113,213,354,230,176,187,278,0,333,172,0,0,49,176,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18303,18303,'Flame of the Witch',0,'',0,'Monster.big_boom',6,13,57,'male','L2Npc',40,2806,1052,30.81,2.45,40,43,30,21,20,10,4326,359,743,340,405,276,278,0,333,0,0,0,52,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18304,18304,'Offering of the Witch, Evoked Spirit',0,'',0,'Monster.batur_orc',9,21.5,55,'male','L2Npc',40,2643,987,10.27,2.45,40,43,30,21,20,10,4864,393,670,322,360,261,278,0,333,91,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18305,18305,'Flame of Dark Omen',0,'',0,'Monster.big_boom',6,13,68,'male','L2Npc',40,3706,1423,35.55,2.78,40,43,30,21,20,10,6157,594,1217,449,713,365,278,0,333,0,0,0,52,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18306,18306,'Offering of Dark Omen, Evoked Spirit',0,'',0,'Monster.batur_orc',9,21.5,66,'male','L2Npc',40,3546,1353,11.85,2.78,40,43,30,21,20,10,7004,659,1123,428,649,348,278,0,333,2503,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18307,18307,'Flame of Forbidden Path',0,'',0,'Monster.big_boom',6,13,79,'male','L2Npc',40,4490,1821,40.29,3.09,40,43,30,21,20,10,8311,921,1765,566,1107,459,278,0,333,0,0,0,52,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18308,18308,'Offering of /Forbidden Path, Evoked Spirit',0,'',0,'Monster.batur_orc_warrior',10,20,77,'male','L2Npc',40,4364,1747,13.43,3.09,40,43,30,21,20,10,9533,1032,1664,544,1031,442,278,0,333,175,0,0,88,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18309,18309,'Flame of the Branded',0,'',0,'Monster.big_boom',6,13,35,'male','L2Npc',40,1220,446,21.33,1.84,40,43,30,21,20,10,1631,96,192,169,89,137,278,0,333,0,0,0,52,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18310,18310,'Offering of the Branded, Evoked Spirit',0,'',0,'Monster.orc',10,21,33,'male','L2Npc',40,1109,413,7.11,1.84,40,43,30,21,20,10,1751,100,166,157,75,128,278,0,333,158,0,0,49,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18311,18311,'Flame of Apostates',0,'',0,'Monster.big_boom',6,13,46,'male','L2Npc',40,1943,707,26.07,2.14,40,43,30,21,20,10,2817,199,401,245,202,199,278,0,333,0,0,0,52,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18312,18312,'Offering of Apostates, Evoked Spirit',0,'',0,'Monster.orc_fighter',12,22,44,'male','L2Npc',40,1799,648,8.69,2.14,40,43,30,21,20,10,3113,213,354,230,176,187,278,0,333,172,0,0,49,176,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18313,18313,'Flame of the Witch',0,'',0,'Monster.big_boom',6,13,57,'male','L2Npc',40,2806,1052,30.81,2.45,40,43,30,21,20,10,4326,359,743,340,405,276,278,0,333,0,0,0,52,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18314,18314,'Offering of the Witch, Evoked Spirit',0,'',0,'Monster.batur_orc',9,21.5,55,'male','L2Npc',40,2643,987,10.27,2.45,40,43,30,21,20,10,4864,393,670,322,360,261,278,0,333,91,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18315,18315,'Flame of Dark Omen',0,'',0,'Monster.big_boom',6,13,68,'male','L2Npc',40,3706,1423,35.55,2.78,40,43,30,21,20,10,6157,594,1217,449,713,365,278,0,333,0,0,0,52,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18316,18316,'Offering of Dark Omen, Evoked Spirit',0,'',0,'Monster.batur_orc',9,21.5,66,'male','L2Npc',40,3546,1353,11.85,2.78,40,43,30,21,20,10,7004,659,1123,428,649,348,278,0,333,2503,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18317,18317,'Flame of Forbidden Path',0,'',0,'Monster.big_boom',6,13,79,'male','L2Npc',40,4490,1821,40.29,3.09,40,43,30,21,20,10,8311,921,1765,566,1107,459,278,0,333,0,0,0,52,33,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18318,18318,'Offering of Forbidden Path, Evoked Spirit',0,'',0,'Monster.batur_orc_warrior',10,20,77,'male','L2Npc',40,4364,1747,13.43,3.09,40,43,30,21,20,10,9533,1032,1664,544,1031,442,278,0,333,175,0,0,88,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18319,18319,'Caught Frog',0,'',0,'Monster.poison_toad',20,10,10,'male','L2PenaltyMonster',40,257,120,3.16,0.91,40,43,30,21,20,10,421,14,22,52,8,49,278,0,333,0,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18320,18320,'Caught Undine',0,'',0,'Monster.undine',12,27,20,'female','L2PenaltyMonster',40,541,213,3.95,1.21,40,43,30,21,20,10,843,37,57,80,23,76,278,0,333,0,0,0,66,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18321,18321,'Caught Rakul',0,'',0,'Monster.rakul',30,39,30,'male','L2PenaltyMonster',40,954,365,5.53,1.53,40,43,30,21,20,10,1550,85,132,119,58,114,278,0,333,156,0,0,66,143,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(18322,18322,'Caught Sea Giant',0,'',0,'Monster.water_giant',13,44,40,'male','L2PenaltyMonster',40,1527,531,7.11,1.84,40,43,30,21,20,10,2755,178,273,171,131,164,278,0,333,131,0,0,38,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18323,18323,'Caught Sea Horse Soldier',0,'',0,'Monster.theeder',9,32,50,'male','L2PenaltyMonster',80,2245,830,8.69,2.14,40,43,30,21,20,10,4305,324,509,236,264,226,278,0,333,291,0,0,80,150,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18324,18324,'Caught Homunculus',0,'',0,'Monster2.homunculus',12,32.5,60,'male','L2PenaltyMonster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,6200,538,860,313,478,299,278,0,333,0,0,0,30,160,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18325,18325,'Caught Flava',0,'',0,'Monster2.flava',18,34,70,'male','L2PenaltyMonster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,8438,837,1314,399,780,382,278,0,333,0,0,0,30,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18326,18326,'Caught Gigantic Eye',0,'',0,'Monster2.hundred_eye',21,55,80,'male','L2PenaltyMonster',40,4550,1859,13.43,3.09,40,43,30,21,20,10,11022,1237,1814,490,1144,468,278,0,333,0,0,0,33,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18327,18327,'Freya\'s Servant',0,'',0,'Monster.gargoyle_02te',11,20,58,'male','L2Monster',80,400000,9999,13.43,3.09,40,43,30,21,20,10,440000,40000,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18328,18328,'Hall Alarm Device',0,'',0,'NPC.grave_keeper_key',11,20,80,'male','L2Monster',80,1264000,9999,13.43,3.09,40,43,30,21,20,10,440000,40000,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18329,18329,'Hall Keeper Captain',0,'',0,'Monster.death_lord',16,40,80,'male','L2Monster',40,12608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2255,724,1731,433,278,500,333,78,0,0,34,165,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18330,18330,'Hall Keeper Wizard',0,'',0,'Monster.vale_master',11,40,80,'male','L2Monster',40,12608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2055,704,1531,393,278,500,333,0,0,0,34,165,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'mage','false'),
(18331,18331,'Hall Keeper Guard',0,'',0,'Monster.death_knight',13,29,80,'male','L2Monster',40,12608,1896,80.58,3.09,40,43,30,21,20,10,0,0,1555,704,1931,393,278,500,333,6717,0,0,34,165,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18332,18332,'Hall Keeper Patrol',0,'',0,'Monster.headless_knight',20,30,80,'male','L2Monster',40,12608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2055,704,1531,393,278,500,333,6717,0,0,34,165,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18333,18333,'Hall Keeper Suicidal Soldier',0,'',0,'Monster3.self_blaster',11,20,80,'male','L2Monster',40,12608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2055,704,1531,393,278,500,333,0,0,0,34,165,'tomb2_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18334,18334,'Dark Choir Captain',0,'',0,'Monster2.erinyes_cmd',20,46,85,'male','L2Monster',40,12608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2455,734,1931,483,308,2000,333,0,0,0,34,165,'tomb3_clan',2000,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18335,18335,'Dark Choir Prima Donna',0,'',0,'Monster3.portrait_spirit',11,20,80,'male','L2Monster',80,400000,9999,13.43,3.09,40,43,30,21,20,10,440000,40000,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18336,18336,'Dark Choir Lancer',0,'',0,'Monster.death_blader',12,42,80,'male','L2Monster',40,12608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2255,734,1731,433,278,400,333,1472,1472,0,34,165,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18337,18337,'Dark Choir Archer',0,'',0,'Monster.skeleton_archer_20_bi',10,33,80,'male','L2Monster',120,12608,1896,80.58,3.09,40,43,30,21,20,10,0,0,2255,734,1731,433,278,400,333,4819,4819,0,34,165,'tomb3_clan',600,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18338,18338,'Dark Choir Witch Doctor',0,'',0,'Monster3.portrait_spirit_winged',11,20,80,'male','L2Monster',80,400000,9999,13.43,3.09,40,43,30,21,20,10,440000,40000,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18339,18339,'Dark Choir Player',0,'',0,'Monster.skeleton',11,20,80,'male','L2Monster',80,400000,9999,13.43,3.09,40,43,30,21,20,10,440000,40000,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18340,18340,'Hall Keeper Suicidal Soldier',0,'',0,'Monster3.self_blaster',11,20,80,'male','L2Monster',80,400000,9999,13.43,3.09,40,43,30,21,20,10,440000,40000,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18341,18341,'Hall Keeper Suicidal Soldier',0,'',0,'Monster3.self_blaster',11,20,80,'male','L2Monster',80,400000,9999,13.43,3.09,40,43,30,21,20,10,440000,40000,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18342,18342,'Gremlin',0,'',0,'Monster.gremlin',10,15,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,29,2,9,39,3,32,278,0,333,0,0,0,20,90,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18343,18343,'Gatekeeper Zombie',0,'',0,'LineageMonster3.zombie_gateguard',17,30.5,78,'male','L2Monster',80,400000,9999,13.43,3.09,40,43,30,21,20,10,440000,40000,9000,5000,6000,6000,278,500,333,8217,0,0,33,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18344,18344,'Ancient Egg',0,'',0,'NpcEV.dinosaur_nest',43,10,78,'male','L2Monster',0,3,3,4.74,3.09,40,43,30,21,20,10,0,0,1,606,1,1182,278,0,333,0,0,0,0,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18345,18345,'Sprigant',0,'',0,'Monster3.Arachnoid',45,67,78,'male','L2Monster',40,1179,2057,13.43,3.09,40,43,30,21,20,10,0,0,2129,615,2129,511,278,500,333,0,0,0,60,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18346,18346,'Sprigant',0,'',0,'Monster3.Arachnoid',45,67,78,'male','L2Monster',40,1179,2057,13.43,3.09,40,43,30,21,20,10,0,0,2129,615,2129,511,300,500,333,0,0,0,0,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18347,18347,'Garden Guard',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18348,18348,'Garden Guard',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18349,18349,'Garden Guard',0,'',0,'LineageMonster4.Mostro_Gunner',15,24.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18350,18350,'Garden Guard',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18351,18351,'Garden Guard',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18352,18352,'Kamael Guard',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18353,18353,'Guardian of Records',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18354,18354,'Guardian of Observation',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18355,18355,'Spicula\'s Guard',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18356,18356,'Harkilgamed\'s Gatekeeper',0,'',0,'LineageMonster4.Mostro_Gunner',15,24.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18357,18357,'Rodenpicula\'s Gatekeeper',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18358,18358,'Guardian of Secrets',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18359,18359,'Arviterre\'s Guardian',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18360,18360,'Katenar\'s Gatekeeper',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18361,18361,'Guardian of Prediction',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18362,18362,'Garden Guard',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18363,18363,'Garden Guard',0,'',0,'LineageMonster4.Mostro_Gunner',15,24.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18364,18364,'Witch Warder',0,'',0,'LineageMonster.onyx_beast',14,18.7,79,'male','L2Monster',40,22454,1821,26.86,3.09,40,43,30,21,20,10,0,0,1765,481,1107,459,278,0,333,0,0,0,11,165,'iop_clan',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18365,18365,'Witch Warder',0,'',0,'LineageMonster.onyx_beast',14,18.7,80,'male','L2Monster',40,22754,1859,26.86,3.09,40,43,30,21,20,10,0,0,1996,524,1144,468,278,0,333,0,0,0,39,192,'iop_clan',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18366,18366,'Witch Warder',0,'',0,'LineageMonster.onyx_beast',14,18.7,82,'male','L2Monster',40,23319,1934,26.86,3.09,40,43,30,21,20,10,0,0,1912,598,1220,485,278,0,333,0,0,0,49,192,'iop_clan',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18367,18367,'Prison Guard',0,'',0,'LineageMonster3.zombie_gateguard',17,30.5,80,'male','L2Monster',40,4550,1859,26.86,3.09,40,43,30,21,20,10,9304,1044,1996,524,1144,468,278,0,333,8217,0,0,39,192,'',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18368,18368,'Prison Guard',0,'',0,'LineageMonster3.zombie_gateguard',17,30.5,80,'male','L2Monster',40,4550,1859,26.86,3.09,40,43,30,21,20,10,9304,1044,1996,524,1144,468,278,500,333,8217,0,0,39,192,'',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(18369,18369,'Chromatic Crystalline Golem',0,'',0,'LineageMonster4.Crystal_Golem',40.00,47.00,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,9308,1017,1896,598,883,486,253,0,333,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18370,18370,'Chromatic Crystalline Golem',0,'',0,'LineageMonster4.Crystal_Golem',40.00,47.00,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,8545,934,1896,598,883,486,253,0,333,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18371,18371,'Beleth Sample',0,'',0,'LineageMonster3.zombie_gateguard',17.00,30.50,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,7697,841,1896,598,883,486,253,0,333,8217,0,0,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18372,18372,'Beleth Sample',0,'',0,'LineageMonster3.zombie_laborer',11.00,24.60,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,7697,841,1896,598,883,486,253,0,333,123,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18373,18373,'Beleth Sample',0,'',0,'LineageMonster3.zombie_enlisted_man',17.00,22.30,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,7697,841,1896,598,883,486,253,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18374,18374,'Beleth Sample',0,'',0,'LineageMonster3.zombie_em_knight',17.00,22.30,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,7697,841,1896,598,883,486,253,0,333,8215,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18375,18375,'Beleth Sample',0,'',0,'LineageMonster.skeleton_royal_guard',11.00,28.50,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,7697,841,1896,598,883,486,253,0,333,946,945,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18376,18376,'Beleth Sample',0,'',0,'LineageMonster.vale_master',16.00,47.00,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,7697,841,1896,598,883,486,253,0,333,205,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18377,18377,'Beleth Sample',0,'',0,'LineageMonster.skeleton_knight',10.00,25.00,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,7697,841,1896,598,883,486,253,0,333,150,103,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18378,18378,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_switch',20,13.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(18379,18379,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18380,18380,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18381,18381,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18382,18382,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18383,18383,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18384,18384,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18385,18385,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18386,18386,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18387,18387,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18388,18388,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18389,18389,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18390,18390,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18391,18391,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18392,18392,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18393,18393,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18394,18394,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18395,18395,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18396,18396,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18397,18397,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18398,18398,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18399,18399,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18400,18400,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18401,18401,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18402,18402,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18403,18403,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18404,18404,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18405,18405,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18406,18406,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18407,18407,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18408,18408,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18409,18409,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18410,18410,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18411,18411,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18412,18412,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18413,18413,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18414,18414,'Warrior\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18415,18415,'Midway Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18416,18416,'Doorman',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18417,18417,'Bridge Keeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18418,18418,'Bridge Keeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18419,18419,'Bridge Keeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18420,18420,'Trap',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18427,18427,'',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18428,18428,'',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18429,18429,'',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18430,18430,'',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18431,18431,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18432,18432,'Trap',0,'',0,'LineageNpcEV.Trap_device_wall_switch',13.6,38,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(18433,18433,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18434,18434,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18435,18435,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18436,18436,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18437,18437,'Trap',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18438,18438,'Trap',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18441,18441,'Kamael Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18442,18442,'Trap',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18443,18443,'Trap',0,'',0,'LineageNpcEV.Trap_device_bottom_staff',30,13,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18444,18444,'Garden Guard',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18445,18445,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18446,18446,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18447,18447,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18448,18448,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18449,18449,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18450,18450,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18451,18451,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18452,18452,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18453,18453,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18454,18454,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18455,18455,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18456,18456,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18457,18457,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18458,18458,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18459,18459,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18460,18460,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18461,18461,'Tully\'s Gatekeeper',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18463,18463,'Remnant Diabolist',0,'',0,'LineageNPC.e_traderB_Fdwarf_mon_120p',7.7,28.4,83,'male','L2Monster',40,103599,2444,56.86,3.09,40,43,30,21,20,10,198007,21380,23356,1220,6250,1034,253,400,253,0,0,NULL,80,170,'remnant_w_clan',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18464,18464,'Remnant Diviner',0,'',0,'LineageNPC.a_mageguild_teacher_Mhuman_mon',11,25.4,83,'male','L2Monster',40,2444,2444,56.86,3.09,40,43,30,21,20,10,103599,27522,23356,1220,6250,1034,253,400,253,0,0,NULL,80,170,'remnant_w_clan',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(18465,18465,'Derek',0,'First Generation Seer',0,'LineageNPC.a_mageguild_teacher_Mhuman_mon_120p',12.5,33.5,83,'male','L2Monster',40,1061952,2444,56.86,3.09,40,43,30,21,20,10,2837400,302710,20773,1620,10250,1434,253,0,253,0,0,NULL,80,170,'remnant_w_clan',800,0,0,'LAST_HIT',0,0,0,'mage','false'),
(18466,18466,'Outpost Captain',0,'',0,'LineageMonster3.benom',20,56,85,'male','L2Monster',40,176243,2444,56.86,3.09,40,43,30,21,20,10,283740,30271,20773,1620,10250,1434,253,300,253,0,0,NULL,80,170,'enceinte',1000,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18467,18467,'Wounded Land Guard',0,'',0,'LineageMonster4.eyeless',36,43.5,84,'male','L2Monster',40,530976,2444,56.86,3.09,40,43,30,21,20,10,1096172,116952,15773,1120,5250,934,278,0,333,0,0,NULL,60,210,'wounded',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18468,18468,'Doorman',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18469,18469,'Hall Guard',0,'',0,'LineageMonster.blade_stakato_120p',20,41,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18470,18470,'Hall Guard',0,'',0,'LineageMonster.blade_stakato_soldier_120p',20,41,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18471,18471,'Hall Guard',0,'',0,'LineageMonster4.Anthias',20,41,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18472,18472,'Hall Guard',0,'',0,'LineageMonster4.Anthias',20,41,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18473,18473,'Hall Captain',0,'',0,'LineageMonster3.cannibal_stakato_leader_120p',20,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18474,18474,'Alarm',0,'',0,'LineageNpcEV.trioll_altar',9,33.5,83,'male','L2Monster',40,4717,1973,0,0,40,43,30,21,20,20,0,0,1943,609,901,494,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18475,18475,'Hall Guard',0,'',0,'LineageMonster.undine',20,41,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18476,18476,'Hall Guard',0,'',0,'LineageMonster.lienrik_210p',20,41,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18477,18477,'Coral Treasure Chest',0,'',0,'LineageMonster.mimic_even',8.5,8.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18478,18478,'Herb Jar',0,'',0,'LineageNpcEV.herb_pot',8,21.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','true'),
(18479,18479,'Inner Castle Sentry',0,'',0,'LineageMonster.kel_mahum',36,43.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18480,18480,'Inner Castle Guard',0,'',0,'LineageMonster4.eyeless',36,43.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18481,18481,'Inner Castle Seer',0,'',0,'LineageMonster4.eyeless',36,43.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18482,18482,'Fafurion Kindred',0,'',0,'LineageMonster3.Water_Drake',35,58,82,'male','L2Monster',40,9327,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18483,18483,'Garden Guard',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18484,18484,'Naia Failan',0,'',0,'LineageNPC.heart_of_warding',17,75,83,'male','L2Npc',40,6060,1973,0,0,40,43,30,21,20,20,0,0,2250,609,1047,494,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18485,18485,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18486,18486,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18487,18487,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18488,18488,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18489,18489,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18490,18490,'Beleth\'s Slave',0,'',0,'LineageMonster4.devil_doll',8,17.5,86,'male','L2Monster',40,29293,2089,26.86,3.09,40,43,30,21,20,20,65975,6876,21589,1024,10032,1247,253,0,333,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18491,18491,'Lock',0,'Tower of Naia',0,'LineageNpcEV.soulprison',21,53,87,'male','L2Npc',40,944116,2128,0,0,40,43,30,21,20,20,0,0,2,2288,3,2837,253,0,333,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18492,18492,'Controller',0,'Tower of Naia',0,'LineageNpcEV.elobrate_machine',13,20,87,'male','L2Npc',40,7358,2128,0,0,40,43,30,21,20,20,0,0,2681,650,1244,528,253,0,333,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18493,18493,'Ward',0,'Tower of Naia',0,'LineageMonster2.hundred_eye',21,55,87,'male','L2Npc',40,16053769,2128,0,0,40,43,30,21,20,20,0,0,27369,1300,12723,2112,253,0,333,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18494,18494,'Ingenious Contraption',0,'',0,'NpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18495,18495,'Ingenious Contraption',0,'',0,'NpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18496,18496,'Ingenious Contraption',0,'',0,'NpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18497,18497,'Ingenious Contraption',0,'',0,'NpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18498,18498,'Ingenious Contraption',0,'',0,'NpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18499,18499,'Ingenious Contraption',0,'',0,'NpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18500,18500,'Ingenious Contraption',0,'',0,'NpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18501,18501,'Ingenious Contraption',0,'',0,'NpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18502,18502,'Ingenious Contraption',0,'',0,'NpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18503,18503,'Ingenious Contraption',0,'',0,'NpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18504,18504,'Ingenious Contraption',0,'',0,'NpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18505,18505,'Ingenious Contraption',0,'',0,'NpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18506,18506,'Soul Crystal Pillar',0,'',0,'NpcEV.soulprison',21,53,70,'male','L2Npc',40,7358,2128,0,0,40,43,30,21,20,20,0,0,2681,650,1244,528,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18507,18507,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18508,18508,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18509,18509,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18510,18510,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18511,18511,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18512,18512,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18513,18513,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18514,18514,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18515,18515,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18516,18516,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18517,18517,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18518,18518,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18519,18519,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18520,18520,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18521,18521,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18522,18522,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18523,18523,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18524,18524,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18525,18525,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18526,18526,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18527,18527,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18528,18528,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18529,18529,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18530,18530,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18531,18531,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18532,18532,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18533,18533,'',0,'',0,'LineageNpcEV.trap_ironcastle',12,20.4,78,'male','L2Npc',40,4699,1784,0,0,40,43,30,21,20,20,0,0,1770,556,820,451,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18534,18534,'Kertang\'s Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,45,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,20,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18535,18535,'Kertang\'s Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,55,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,20,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18536,18536,'Kertang\'s Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,65,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,20,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18537,18537,'Kertang\'s Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,75,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,20,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18538,18538,'Kertang\'s Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,85,'male','L2Npc',40,2444,2444,0,0,40,43,30,21,20,20,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18539,18539,'Resurrection Tower',0,'',0,'NpcEV.resurrection_tower',28,50,45,'male','L2Npc',40,38120,678,0,0,40,43,30,21,20,20,0,0,1538,381,713,464,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18540,18540,'Resurrection Tower',0,'',0,'NpcEV.resurrection_tower',28,50,55,'male','L2Npc',40,73028,988,0,0,40,43,30,21,20,20,0,0,3799,515,1767,628,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18541,18541,'Resurrection Tower',0,'',0,'NpcEV.resurrection_tower',28,50,65,'male','L2Npc',40,102244,1320,0,0,40,43,30,21,20,20,0,0,8234,670,3825,816,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18542,18542,'Resurrection Tower',0,'',0,'NpcEV.resurrection_tower',28,50,75,'male','L2Npc',40,117407,1674,0,0,40,43,30,21,20,20,0,0,12467,838,5792,1021,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18543,18543,'Resurrection Tower',0,'',0,'NpcEV.resurrection_tower',28,50,80,'male','L2Npc',40,178902,1859,0,0,40,43,30,21,20,20,0,0,18111,923,8416,1125,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18544,18544,'Cruma Border',0,'Event Monster',0,'LineageNpcEV.trap_ironcastle',12,20.4,45,'male','L2Monster',40,1870,678,17.38,2.14,40,43,30,21,20,10,0,0,375,238,172,194,253,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','true'),
(18545,18545,'Ancient Experiment',0,'Event Monster',0,'LineageMonster.marsh_stakato_soldier',10,25,45,'male','L2Monster',40,14963,2444,17.38,2.14,40,43,30,21,20,10,0,0,228,200,120,130,278,0,333,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18546,18546,'Ancient Experiment',0,'Event Monster',0,'LineageMonster.stone_golem',20,31,45,'male','L2Monster',40,19909,2444,17.38,2.14,40,43,30,21,20,10,0,0,228,200,120,130,278,0,333,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(18547,18547,'Ancient Experiment',0,'Event Monster',0,'LineageMonster.onyx_beast',14,14.5,45,'male','L2Monster',40,59729,2444,17.38,2.14,40,43,30,21,20,10,0,0,200,100,120,100,278,0,333,0,0,NULL,60,120,'cruma_event_clan',400,0,0,'LAST_HIT',0,0,0,'mage','false'),
(18548,18548,'Ancient Experiment',0,'',0,'LineageMonster.onyx_beast',14,14.5,45,'male','L2Monster',40,9954,2444,17.38,2.14,40,43,30,21,20,10,0,0,110,80,90,80,278,0,333,0,0,NULL,60,120,'cruma_event_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18549,18549,'Ancient Experiment',0,'',0,'LineageMonster.onyx_beast',14,14.5,45,'male','L2Monster',40,9954,2444,17.38,2.14,40,43,30,21,20,10,0,0,110,80,90,80,278,0,333,0,0,NULL,60,120,'cruma_event_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18550,18550,'Cruma Phantom',0,'Event Monster',0,'LineageMonster.death_blader',15,45,50,'male','L2Monster',40,55990,707,17.38,2.14,40,43,30,21,20,10,0,0,165,170,120,130,278,0,333,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18551,18551,'Cruma Phantom',0,'Event Monster',0,'LineageMonster.susceptor',20,35,50,'male','L2Monster',40,83985,707,17.38,2.14,40,43,30,21,20,10,0,0,165,130,120,120,278,0,333,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18552,18552,'Cruma Phantom',0,'',0,'LineageMonster.gamlin',11,32,50,'male','L2Monster',40,27995,707,17.38,2.14,40,43,30,21,20,10,0,0,165,170,120,100,278,0,333,0,0,NULL,40,90,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18553,18553,'Cruma Phantom',0,'',0,'LineageMonster.leogul',11,32,50,'male','L2Monster',40,27995,707,17.38,2.14,40,43,30,21,20,10,0,0,165,170,120,100,278,0,333,0,0,NULL,40,90,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18554,18554,'Tomlan Kamos',0,'Kaneus',0,'LineageMonster.bugbear_bi',25,53,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18555,18555,'Ol Ariosh',0,'Kaneus',0,'LineageMonster.ol_mahum_champion_05te_120p',16,33.2,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18556,18556,'Follower of Ariosh',0,'',0,'LineageMonster.ol_mahum_champion',14,27,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18557,18557,'Ranc Deumus',0,'Kaneus',0,'LineageMonster.virud_lizardman_warrior_bi',12,34.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18558,18558,'Crimson Hatu Otis',0,'Kaneus',0,'LineageMonster.crimson_bear',19,36,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18559,18559,'Seer Flouros',0,'Kaneus',0,'LineageMonster.monster_eye_05te_ef',21,43,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18560,18560,'Follower of Flouros',0,'',0,'LineageMonster.monster_eye',21,43,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18561,18561,'Granitick Duerga',0,'Kaneus',0,'LineageMonster.stone_golem',20,31,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18562,18562,'Blade Otis',0,'Kaneus',0,'LineageMonster.blade_stakato_drone_10_sm',14,35.09,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18563,18563,'Follower of Otis',0,'',0,'LineageMonster.marsh_stakato_drone',9,24,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18564,18564,'Weird Bunei',0,'Kaneus',0,'LineageMonster3.Water_Drake',55,80.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18565,18565,'Brave Martim',0,'Kaneus',0,'LineageMonster.ogre_50_bi',30,66,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18566,18566,'Kaim Abigore',0,'Kaneus',0,'LineageMonster.kaim_vanul_50_bi',36,60,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18567,18567,'Follower of Abigore',0,'',0,'LineageMonster.liviona',15,28,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18568,18568,'Knight Montagnar',0,'Kaneus',0,'LineageMonster.skeleton_royal_guard',11,28.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18569,18569,'Follower of Montagnar',0,'',0,'LineageMonster.dark_fencer',7,13,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18570,18570,'Summer Yaganitan',0,'Kaneus',0,'LineageMonster2.flava_15_bi',23,39,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18571,18571,'Venomous Storace',0,'Kaneus',0,'LineageMonster.serpent_slave_50_bi',25,72,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18572,18572,'Follower of Storace',0,'',0,'LineageMonster.cave_maiden_080p',21,54,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18573,18573,'Kel Bilette',0,'Kaneus',0,'LineageMonster.kel_mahum_champion_50_bi',19,48,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18574,18574,'Follower of Bilette',0,'',0,'LineageMonster.kel_mahum_witch_doctor',13,25,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18575,18575,'Warlord Tamuze',0,'Kaneus',0,'LineageMonster3.Vampire_Troop_Leader_120p',22,43,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18576,18576,'Follower of Tamuze',0,'',0,'LineageMonster3.self_blaster',9,25.8,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18577,18577,'White Allosce',0,'Kaneus',0,'LineageMonster2.hundred_eye',21,55,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18578,18578,'Follower of Allosce',0,'',0,'LineageMonster.monster_eye',21,43,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18579,18579,'Hunting Ground Keeper',0,'',0,'LineageMonster4.employee_of_baroness',15,28.7,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18580,18580,'Cursed Girl',0,'',0,'LineageMonster4.cursed_housemaid',8,17,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18581,18581,'Gardener',0,'',0,'LineageMonster4.gardener',17,26.8,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18582,18582,'Turned Girl',0,'Kratei\'s Fortune',0,'LineageMonster4.cursed_housemaid',8,17,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18583,18583,'Housekeeper',0,'',0,'LineageMonster4.mad_laundry_maid',9,21.6,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18584,18584,'Turned Boy',0,'',0,'LineageMonster4.cursed_errand_boy',8,12.8,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18585,18585,'Cursed Girl',0,'',0,'LineageMonster4.cursed_housemaid',8,17,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18586,18586,'Gardener',0,'',0,'LineageMonster4.gardener',17,26.8,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18587,18587,'Begrudged Maid',0,'',0,'LineageMonster4.head_parlour_maid',25,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18588,18588,'Hunting Ground Keeper',0,'',0,'LineageMonster4.employee_of_baroness',15,28.7,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18589,18589,'Cursed Gardener',0,'',0,'LineageMonster4.gardener',17,26.8,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18590,18590,'Baroness\' Employee',0,'',0,'LineageMonster4.employee_of_baroness',15,28.7,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18591,18591,'Begrudged Boy',0,'',0,'LineageMonster4.cursed_errand_boy',8,12.8,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18592,18592,'Kratei\'s Steward',0,'',0,'LineageMonster4.chief_steward',18,31,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18593,18593,'Housekeeper',0,'',0,'LineageMonster4.mad_laundry_maid',9,21.6,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18594,18594,'Mansion Guide',0,'',0,'LineageMonster4.mad_laundry_maid',9,21.6,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18595,18595,'Baroness\' Employee',0,'',0,'LineageMonster4.employee_of_baroness',15,28.7,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18596,18596,'Cursed Gardener',0,'',0,'LineageMonster4.gardener',17,26.8,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18597,18597,'Begrudged Maid',0,'',0,'LineageMonster4.head_parlour_maid',25,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18598,18598,'Cursed Head Maid',0,'',0,'LineageMonster4.head_parlour_maid',25,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18599,18599,'Mansion Manager',0,'',0,'LineageMonster4.steward',21,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18600,18600,'Kratei\'s Steward',0,'',0,'LineageMonster4.chief_steward',18,31,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18601,18601,'Kratei\'s Watcher',0,'',0,'LineageNpcEV.trap_ironcastle_150p_a',18,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18602,18602,'Kratei\'s Watcher',0,'',0,'LineageNpcEV.trap_ironcastle_150p',18,32,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18603,18603,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18604,18604,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18605,18605,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18606,18606,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18607,18607,'Gargos',0,'Spirit of Fire',0,'LineageMonster.vale_master',12,40,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18608,18608,'Kinsus',0,'Spirit of Fire',0,'LineageMonster4.Anthias',20,41,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18609,18609,'Papion',0,'Spirit of Water',0,'LineageMonster4.Anthias',20,41,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18610,18610,'Hillas',0,'Spirit of Water',0,'LineageMonster.sylph_100_bi',20,70,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18611,18611,'Spirit of Water',0,'',0,'LineageMonster.undine',12,27,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18612,18612,'Spirit of Water',0,'',0,'LineageMonster.sylph',11,35,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18613,18613,'Spirit of Water',0,'',0,'LineageMonster.sylph_110p',12,39.7,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18614,18614,'Spirit of Fire',0,'',0,'LineageMonster.skeleton_knight',10,25,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18615,18615,'Spirit of Fire',0,'',0,'LineageMonster.dre_vanul',14,36,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18616,18616,'Bloom',0,'',0,'LineageMonster.magical_weaver',11,20,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18617,18617,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18618,18618,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18619,18619,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18620,18620,'Adiantum',0,'',0,'LineageMonster.onyx_beast',14,14.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18621,18621,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18622,18622,'Powder Keg',0,'',0,'LineageNPCEV.gunpowder',80,60,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18623,18623,'Begrudged Archer',0,'',0,'LineageMonster.skeleton_archer_20_bi',13,32.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(18624,18624,'Deadman\'s Grudge',0,'',0,'LineageMonster.unpleasant_humming',12,26,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18625,18625,'Deadman\'s Grudge',0,'',0,'LineageMonster.skeleton_knight',10,25,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18626,18626,'Deadman\'s Grudge',0,'',0,'LineageMonster.skeleton_royal_guard',11,28.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18627,18627,'Deadman\'s Grudge',0,'',0,'LineageMonster.skeleton_royal_guard',11,28.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18628,18628,'Atan',0,'Lookout',0,'LineageMonster.pirates_zombie',10,23,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18629,18629,'Kams',0,'Panuka',0,'LineageMonster.skeleton_knight_50_bi',15,39,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18630,18630,'Hikoro',0,'Panuka',0,'LineageMonster.rakul',30,39,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18631,18631,'Alkaso',0,'Panuka',0,'LineageMonster.pirates_zombie_captain_20_bi',20,35.59,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18632,18632,'Gerbera',0,'Panuka',0,'LineageMonster2.imperial_warlord_zombie_20_bi',9,36,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18633,18633,'Lematan',0,'',0,'LineageMonster4.cursed_pirate',24,37,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18634,18634,'Lematan\'s Follower',0,'',0,'LineageMonster.pirates_zombie',10,23,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18635,18635,'Varka Silenos Recruit',0,'',0,'LineageMonster2.barka_silenos_hunter',16,38,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18636,18636,'Varka Silenos Footman',0,'',0,'LineageMonster2.barka_silenos_warrior',16,41,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18637,18637,'Grazing Antelope',0,'',0,'LineageMonster2.antelope',17,34,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18638,18638,'Varka Silenos Scout',0,'',0,'LineageMonster2.barka_silenos_hunter',16,38,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18639,18639,'Varka Silenos Hunter',0,'',0,'LineageMonster2.barka_silenos_archer',8,37.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18640,18640,'Varka Silenos Shaman',0,'',0,'LineageMonster2.barka_silenos_shaman',14,39.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18641,18641,'Varka Silenos Priest',0,'',0,'LineageMonster2.barka_silenos_priest',9,41.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18642,18642,'Varka Silenos Warrior',0,'',0,'LineageMonster2.barka_silenos_warrior',16,41,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18643,18643,'Grazing Antelope',0,'',0,'LineageMonster2.antelope',17,34,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18644,18644,'Varka Silenos Medium',0,'',0,'LineageMonster2.barka_silenos_shaman',14,39.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18645,18645,'Varka Silenos Magus',0,'',0,'LineageMonster2.barka_silenos_mage_20_bi',11,55.2,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18646,18646,'Varka Silenos Officer',0,'',0,'LineageMonster2.barka_silenos_chieftain',18,42.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18647,18647,'Grazing Flava',0,'',0,'LineageMonster2.flava',18,34,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18648,18648,'Varka Silenos Seer',0,'',0,'LineageMonster2.barka_silenos_shaman',14,39.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18649,18649,'Varka Silenos Great Magus',0,'',0,'LineageMonster2.barka_silenos_warrior_20_bi',20,49.2,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18650,18650,'Varka Silenos General',0,'',0,'LineageMonster2.barka_silenos_chieftain',18,42.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18651,18651,'Grazing Elder Antelope',0,'',0,'LineageMonster2.antelope',17,34,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18652,18652,'Varka Silenos Great Seer',0,'',0,'LineageMonster2.barka_silenos_shaman',14,39.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18653,18653,'Varka\'s Elite Guard',0,'',0,'LineageMonster2.barka_silenos_warrior',16,41,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18654,18654,'Varka\'s Commander',0,'',0,'LineageMonster2.barka_silenos_chieftain_20_bi',22,51,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18655,18655,'Varka\'s Head Guard',0,'',0,'LineageMonster2.barka_silenos_warrior',16,41,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18656,18656,'Varka\'s Head Magus',0,'',0,'LineageMonster2.barka_silenos_shaman',14,39.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18657,18657,'Prophet Guard',0,'',0,'LineageMonster2.barka_silenos_warrior',16,41,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18658,18658,'Disciple of Prophet',0,'',0,'LineageMonster2.barka_silenos_priest',9,41.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18659,18659,'Varka\'s Prophet',0,'',0,'LineageMonster2.barka_silenos_shaman_20_bi',17,47.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18660,18660,'Latana',0,'',0,'Monster4.wounded_dragon',60,60,85,'male','L2Monster',40,1785000,22197,285,26.32,60,57,73,76,70,80,2842864,27215,14375,2999,36620,1999,333,800,3819,0,0,0,0,0,'valakas_clan',800,0,14,'LAST_HIT',0,0,0,'fighter','false'),
(18661,18661,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18662,18662,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18663,18663,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18664,18664,'Fortune Bug',0,'',0,'LineageMonster4.jackpot_bug',16,22.5,52,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18665,18665,'Fortune Bug',0,'',0,'LineageMonster4.jackpot_bug',16,22.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18666,18666,'Fortune Bug',0,'',0,'LineageMonster4.jackpot_bug',16,22.5,75,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18667,18667,'Ward of Death',0,'',0,'LineageNpcEV.trap_immortality',24,48.5,83,'male','L2Monster',40,6060,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18668,18668,'Ward of Death',0,'',0,'LineageNpcEV.trap_immortality',8,48.5,83,'male','L2Monster',40,6060,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18669,18669,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18670,18670,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18671,18671,'Block',0,'',0,'LineageNPC2.block',16,17,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18672,18672,'Block',0,'',0,'LineageNPC2.block',16,17,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18673,18673,'Block',0,'',0,'LineageNPC2.block',16,17,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18674,18674,'Block',0,'',0,'LineageNPC2.block',16,17,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18675,18675,'Block',0,'',0,'LineageNPC2.block',16,17,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18676,18676,'Block-Carrying Girl',0,'',0,'LineageNPC2.block_mother',12,31,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18677,18677,'Dragon Steed Troop Messenger',0,'',0,'LineageMonster4.dragon_peltast',25,46.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18678,18678,'Energy Seed - Water',0,'',0,'LineageNPC.seed_click_dummy_water',10,10,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18679,18679,'Energy Seed - Fire',0,'',0,'LineageNPC.seed_click_dummy_fire',10,10,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18680,18680,'Energy Seed - Wind',0,'',0,'LineageNPC.seed_click_dummy_wind',10,10,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18681,18681,'Energy Seed - Earth',0,'',0,'LineageNPC.seed_click_dummy_earth',10,10,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18682,18682,'Energy Seed - Divinity',0,'',0,'LineageNPC.seed_click_dummy_holy',10,10,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18683,18683,'Energy Seed - Darkness',0,'',0,'LineageNPC.seed_click_dummy_dark',10,10,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18684,18684,'Red Star Stone',0,'',0,'LineageNpcEV.star_stone_a',54,61,70,'male','L2FlyNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18685,18685,'Red Star Stone',0,'',0,'LineageNpcEV.star_stone_b',38,43.5,70,'male','L2FlyNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18686,18686,'Red Star Stone',0,'',0,'LineageNpcEV.star_stone_c',38,30.5,70,'male','L2FlyNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18687,18687,'Blue Star Stone',0,'',0,'LineageNpcEV.star_stone_a',54,61,70,'male','L2FlyNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18688,18688,'Blue Star Stone',0,'',0,'LineageNpcEV.star_stone_b',38,43.5,70,'male','L2FlyNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18689,18689,'Blue Star Stone',0,'',0,'LineageNpcEV.star_stone_c',38,30.5,70,'male','L2FlyNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18690,18690,'Green Star Stone',0,'',0,'LineageNpcEV.star_stone_a',54,61,70,'male','L2FlyNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18691,18691,'Green Star Stone',0,'',0,'LineageNpcEV.star_stone_b',38,43.5,70,'male','L2FlyNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18692,18692,'Green Star Stone',0,'',0,'LineageNpcEV.star_stone_c',38,30.5,70,'male','L2FlyNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18693,18693,'Treasure Box of the Ancient Giants',0,'',0,'LineageMonster.mimic',8.5,8.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18694,18694,'Treasure Box Guard',0,'',0,'LineageMonster2.magmagoil_lad_20_sm',12,60,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18695,18695,'Treasure Box Guard',0,'',0,'LineageMonster2.magmagoil_20_sm',12,60,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18696,18696,'Dimension Moving Device',0,'',0,'LineageNpcEV.teleport_gate_of_legion',44.5,7,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18697,18697,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18698,18698,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18699,18699,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18700,18700,'',0,'',0,'LineageNpc2.trap_mark',8,24,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18701,18701,'',0,'',0,'LineageNpc2.trap_mark',8,24,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18702,18702,'Dimension Moving Device',0,'',0,'LineageNpcEV.teleport_gate_of_legion',44.5,7,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18703,18703,'Defeated Troops Controller',0,'',0,'LineageNpcEV.crystal_of_secret_door',57,74,85,'male','L2Monster',40,88121,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18704,18704,'Tumor of Death',0,'',0,'LineageNpcEV.tumor_immortality',42,55,80,'male','L2Monster',40,268352,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18705,18705,'Destroyed Tumor',0,'',0,'LineageNpcEV.tumor_immortality_a',42,55,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18706,18706,'Soul Coffin',0,'',0,'LineageNpcEV.vein_immortality',0.01,6,80,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18707,18707,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18708,18708,'Tumor of Death',0,'',0,'LineageNpcEV.tumor_immortality',42,55,85,'male','L2Monster',40,175243,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,0,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18709,18709,'Soul Coffin',0,'',0,'LineageNpcEV.vein_immortality_080p',0.1,6.1,80,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18710,18710,'Soul Coffin',0,'',0,'LineageNpcEV.vein_immortality',0.1,6,80,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18711,18711,'Soul Coffin',0,'',0,'LineageNpcEV.vein_immortality_120p',0.1,8.5,80,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18712,18712,'Soul Coffin',0,'',0,'LineageNpcEV.vein_immortality_080p',0.1,6.1,80,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18713,18713,'Soul Coffin',0,'',0,'LineageNpcEV.vein_immortality',0.1,6,80,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18714,18714,'Soul Coffin',0,'',0,'LineageNpcEV.vein_immortality_120p',0.1,8.5,80,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18715,18715,'Conquered Soul',0,'',0,'LineageMonster4.death_knight_n_104p',22.88,41.6,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18716,18716,'Conquered Soul',0,'',0,'LineageMonster4.Death_slayer_080p',16,27.2,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18717,18717,'Conquered Soul',0,'',0,'LineageMonster4.lich_b_088p',21.12,40.48,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18718,18718,'Sacrificed Fanatic',0,'',0,'LineageMonster4.ravager_silen_dead',27,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18719,18719,'Sacrificed Fanatic',0,'',0,'LineageMonster4.disciple_silen_dead',19,44,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18720,18720,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18721,18721,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18722,18722,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18723,18723,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18724,18724,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18725,18725,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18726,18726,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18727,18727,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18728,18728,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18729,18729,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18730,18730,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18731,18731,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18732,18732,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18733,18733,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18734,18734,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18735,18735,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18736,18736,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18737,18737,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18738,18738,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18739,18739,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18740,18740,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18741,18741,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18742,18742,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18743,18743,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18744,18744,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18745,18745,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18746,18746,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18747,18747,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18748,18748,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18749,18749,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18750,18750,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18751,18751,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18752,18752,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18753,18753,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18754,18754,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18755,18755,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18756,18756,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18757,18757,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18758,18758,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18759,18759,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18760,18760,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18761,18761,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18762,18762,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18763,18763,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18764,18764,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18765,18765,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18766,18766,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18767,18767,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18768,18768,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18769,18769,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18770,18770,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18771,18771,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18772,18772,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18773,18773,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18774,18774,'Trap',0,'',0,'LineageNpc2.trap_mark',5,10,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18775,18775,'Seed of Destruction Control Device',0,'',0,'LineageNpcEV.crystal_of_secret_door',57,74,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18776,18776,'Obelisk',0,'',0,'LineageNpcEV.obelisk_of_middle_square',229,177.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18777,18777,'Great Powerful Device',0,'',0,'LineageNpcEV.crystal_of_secret_door',57,74,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18778,18778,'Throne of Destruction Powerful Device',0,'',0,'LineageNpcEV.protector_of_seed',57,74,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18779,18779,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18780,18780,'Symbol of Cohemenes',0,'',0,'LineageNpcEV.trap_immortality',24,48.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18781,18781,'Young Drake Wing',0,'',0,'LineageMonster4.m_drake_wing_knave',153,63,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18782,18782,'Zealot of Shilen',0,'',0,'LineageMonster4.disciple_silen',19,44,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,73,170,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18783,18783,'Defeated Troops Commander',0,'',0,'LineageMonster4.Dragon_centurion_135p',28,46.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18784,18784,'Defeated Troops No 1 Battalion Commander',0,'',0,'LineageMonster4.Dragon_centurion_135p',28,46.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18785,18785,'Defeated Troops White Dragon Leader',0,'',0,'LineageMonster4.Dragon_centurion_120p',22,42,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18786,18786,'Defeated Troops Infantry',0,'',0,'LineageMonster4.Dragon_centurion_120p',22,42,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18787,18787,'Defeated Troops Magic Leader',0,'',0,'LineageMonster4.dragon_mage_075p',28,39.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18788,18788,'Defeated Troops Magician',0,'',0,'LineageMonster4.dragon_mage_075p',28,39.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18789,18789,'Defeated Troops Magic Soldier',0,'',0,'LineageMonster4.dragon_mage_065p',25,34.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18790,18790,'Defeated Troops Healer',0,'',0,'LineageMonster4.dragon_mage_065p',25,34.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18791,18791,'Defeated Troops Javelin Thrower',0,'',0,'LineageMonster4.dragon_peltast',25,46.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(18792,18792,'Defeated Troops Javelin Thrower',0,'',0,'LineageMonster4.dragon_peltast',25,46.5,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false');

INSERT INTO `npc` VALUES
(20001,20001,'Gremlin',0,'',0,'Monster.gremlin',10,15,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,29,2,9,39,3,32,278,0,333,0,0,0,22,90,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20002,20002,'Rabbit',0,'',0,'Monster.rabbit',5,4.5,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,29,2,9,39,3,32,278,0,333,0,0,0,55,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20003,20003,'Goblin',0,'',0,'Monster.goblin',10,16.5,5,'male','L2Monster',40,126,77,3.16,0.91,40,43,30,21,20,10,178,5,13,48,4,39,278,0,333,4,0,0,40,110,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20004,20004,'Imp',0,'',0,'Monster.imp',10,24,6,'male','L2Monster',40,147,85,3.16,0.91,40,43,30,21,20,10,213,6,15,50,5,41,278,0,333,0,0,0,60,80,'demonic_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20005,20005,'Imp Elder',0,'',0,'Monster.imp',10,24,7,'male','L2Monster',40,171,94,3.16,0.91,40,43,30,21,20,10,249,8,18,48,6,43,278,0,333,0,0,0,60,80,'demonic_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20006,20006,'Orc Archer',0,'',0,'Monster.orc_archer',14,25,8,'male','L2Monster',500,197,102,3.16,0.91,40,43,30,21,20,10,293,10,41,55,6,45,249,0,333,14,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'archer','true'),
(20007,20007,'Green Fungus',0,'',0,'Monster.walking_fungus',15,22.5,9,'male','L2Monster',40,226,111,3.16,0.91,40,43,30,21,20,10,321,11,22,53,7,47,278,0,333,0,0,0,70,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20008,20008,'Felim Lizardman',0,'',0,'Monster.virud_lizardman',10,23,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,498,19,30,80,12,59,278,0,333,1,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20009,20009,'Vuku Orc',0,'',0,'Monster.orc',10,21,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,498,19,33,73,12,59,278,0,333,156,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20010,20010,'Felim Lizardman Scout',0,'',0,'Monster.virud_lizardman',10,23,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,534,22,40,69,14,62,278,0,333,16,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20011,20011,'Vuku Orc Archer',0,'',0,'Monster.orc_archer',14,25,15,'male','L2Monster',500,390,165,3.95,1.21,40,43,30,21,20,10,550,22,82,76,14,62,249,0,333,14,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'archer','true'),
(20012,20012,'Gora Werewolf',0,'',0,'Monster.werewolf',10,26,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,582,23,44,72,15,64,278,500,333,0,0,0,55,132,'werewolf_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20013,20013,'Dryad',0,'',0,'Monster.dryad',9,20,13,'female','L2Monster',40,339,147,3.95,1.21,40,43,30,21,20,10,462,18,27,77,11,56,278,0,333,0,0,0,44,121,'elemental1_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20014,20014,'Felim Lizardman Warrior',0,'',0,'Monster.virud_lizardman_warrior',12,30,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,605,25,48,75,17,67,278,0,333,16,0,0,57,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20015,20015,'Marsh Zombie',0,'',0,'Monster.zombie',13,21,13,'male','L2Monster',40,339,147,3.95,1.21,40,43,30,21,20,10,654,26,33,63,11,56,278,0,333,0,0,0,15,15,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','true'),
(20016,20016,'Stone Golem',0,'',0,'Monster.stone_golem',20,31,13,'male','L2Monster',40,339,147,3.95,1.21,40,43,30,21,20,10,654,26,30,70,11,56,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20017,20017,'Vuku Orc Fighter',0,'',0,'Monster.orc_fighter',12,22,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,618,26,48,75,17,67,278,500,333,2,0,0,45,110,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20018,20018,'Carnivorous Fungus',0,'',0,'Monster.walking_fungus',15,22.5,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,424,16,37,66,12,59,278,500,333,0,0,0,77,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20019,20019,'Dryad Elder',0,'',0,'Monster.dryad',9,20,14,'female','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,498,19,30,80,12,59,278,0,333,0,0,0,44,121,'elemental1_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20020,20020,'Marsh Zombie Lord',0,'',0,'Monster.zombie',13,21,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,705,27,30,80,12,59,278,0,333,0,0,0,15,15,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','true'),
(20021,20021,'Red Bear',0,'',0,'Monster.grizzly',21,40,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,498,19,37,66,12,59,278,0,333,0,0,0,44,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20022,20022,'Misery Skeleton',0,'',0,'Monster.skeleton',11,25,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,424,16,32,66,12,59,317,500,333,946,945,0,60,140,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20023,20023,'Shadow Beast',0,'',0,'Monster.onyx_beast',14,14.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,534,22,40,69,14,62,278,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20024,20024,'Langk Lizardman Warrior',0,'',0,'Monster.virud_lizardman_warrior',12,30,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,618,26,48,75,17,67,278,500,333,16,0,0,57,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20025,20025,'Lesser Dark Horror',0,'',0,'Monster.dark_horror',20,35,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,545,22,36,76,14,62,278,500,333,0,0,0,100,100,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','true'),
(20026,20026,'Ruin Zombie',0,'',0,'Monster.zombie',13,21,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,755,31,40,69,14,62,278,0,333,0,0,0,16,16,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','true'),
(20027,20027,'Langk Lizardman Scout',0,'',0,'Monster.virud_lizardman',10,23,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,570,23,44,72,15,64,278,0,333,16,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20028,20028,'Pincher',0,'',0,'Monster.giant_spider',26,25.5,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,570,23,44,72,15,64,278,0,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20029,20029,'Ruin Zombie Leader',0,'',0,'Monster.zombie',13,21,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,807,33,36,87,15,64,278,0,333,0,0,0,15,15,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20030,20030,'Langk Lizardman',0,'',0,'Monster.virud_lizardman',10,23,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,534,22,36,76,14,62,278,0,333,1,0,0,43,130,'lizardman_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20031,20031,'Omen Beast',0,'',0,'Monster.onyx_beast',14,14.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,504,21,48,75,17,67,278,0,333,0,0,0,30,120,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20032,20032,'Pinrul',0,'',0,'Monster.giant_spider',26,25.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,605,25,48,75,17,67,278,0,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20033,20033,'Shade Horror',0,'',0,'Monster.dark_horror',20,35,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,504,21,48,75,17,67,278,0,333,0,0,0,110,110,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20034,20034,'Prowler',0,'',0,'Monster.giant_spider',26,25.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,618,26,48,75,17,67,278,500,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20035,20035,'Tracker Skeleton',0,'',0,'Monster.skeleton',11,25,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,605,25,42,75,17,67,317,0,333,946,945,0,60,140,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20036,20036,'Lirein',0,'',0,'Monster.sylph',11,35,18,'female','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,652,28,53,79,19,70,278,500,333,0,0,0,66,66,'elemental2_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20037,20037,'Mana Seeker',0,'',0,'Monster.mana_vampire',11,20,18,'male','L2Monster',40,476,193,7.9,1.21,40,43,30,21,20,10,496,21,44,95,19,70,278,0,333,0,0,0,99,99,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20038,20038,'Venomous Spider',0,'',0,'Monster.poison_spider',27,25.5,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,704,31,53,79,19,70,278,0,333,0,0,0,60,140,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20039,20039,'Scavenger Wererat',0,'',0,'Monster.wererat',14,25,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,640,28,46,79,19,70,317,0,333,12,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20040,20040,'Sukar Wererat',0,'',0,'Monster.wererat',14,25,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,533,23,46,79,19,70,317,0,333,216,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20041,20041,'Tainted Zombie',0,'',0,'Monster.zombie',13,21,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,754,33,44,95,19,70,278,0,333,0,0,0,15,15,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20042,20042,'Tracker Skeleton Leader',0,'',0,'Monster.skeleton',11,25,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,652,28,46,79,19,70,317,500,333,946,945,0,60,140,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20043,20043,'Arachnid Tracker',0,'',0,'Monster.poison_spider',27,25.5,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,760,34,48,99,21,73,278,500,333,0,0,0,60,140,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20044,20044,'Lirein Elder',0,'',0,'Monster.sylph',11,35,19,'female','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,691,31,58,82,21,73,278,500,333,0,0,0,66,66,'elemental1_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20045,20045,'Skeleton Scout',0,'',0,'Monster.skeleton_archer',11,27,19,'male','L2Monster',500,508,203,3.95,1.21,40,43,30,21,20,10,698,31,107,99,21,73,247,0,333,275,0,0,40,140,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'archer','true'),
(20046,20046,'Stink Zombie',0,'',0,'Monster.zombie',13,21,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,799,36,48,99,21,73,278,0,333,0,0,0,15,15,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20047,20047,'Sukar Wererat Leader',0,'',0,'Monster.wererat',14,25,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,576,26,42,99,21,73,317,500,333,216,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20048,20048,'Lesser Succubus',0,'',0,'Monster.succubus',10,36,20,'female','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,605,27,57,94,23,76,278,500,333,0,0,0,60,100,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20049,20049,'Lycanthrope',0,'',0,'Monster.werewolf',10,26,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,726,32,63,86,23,76,278,500,333,0,0,0,55,132,'werewolf_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20050,20050,'Arachnid Predator',0,'',0,'Monster.poison_spider',27,25.5,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,799,35,63,86,23,76,278,500,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20051,20051,'Skeleton Bowman',0,'',0,'Monster.skeleton_archer',11,27,20,'male','L2Monster',500,541,213,3.95,1.21,40,43,30,21,20,10,734,32,117,104,23,76,247,0,333,275,0,0,40,140,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'archer','true'),
(20052,20052,'Lesser Succubus Turen',0,'',0,'Monster.succubus',10,36,21,'female','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,649,30,69,89,25,80,278,500,333,0,0,0,60,100,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20053,20053,'Ol Mahum Patrol',0,'',0,'Monster.ol_mahum_archer',14,25,21,'male','L2Monster',500,575,227,5.53,1.53,40,43,30,21,20,10,787,36,140,98,25,80,247,0,333,14,0,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(20054,20054,'Ruin Spartoi',0,'',0,'Monster.spartoi',11,27,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,764,35,57,108,25,80,278,0,333,73,0,0,60,140,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20055,20055,'Wandering Eye',0,'',0,'Monster.monster_eye',21,43,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,764,35,57,108,25,80,278,0,333,0,0,0,90,159,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20056,20056,'Dre Vanul Disposer',0,'',0,'Monster.dre_vanul',14,36,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,767,36,75,93,28,83,278,500,333,0,0,0,88,88,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20057,20057,'Lesser Succubus Tilfo',0,'',0,'Monster.succubus',10,36,22,'female','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,698,33,75,93,28,83,278,500,333,0,0,0,66,110,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20058,20058,'Ol Mahum Guard',0,'',0,'Monster.ol_mahum',13.5,25,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,821,39,75,93,28,83,278,0,333,2,0,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20059,20059,'Hungry Eye',0,'',0,'Monster.monster_eye',21,43,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,821,39,75,93,28,83,278,0,333,0,0,0,90,159,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20060,20060,'Raging Spartoi',0,'',0,'Monster.spartoi',11,27,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,837,40,54,113,28,83,317,500,333,946,945,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20061,20061,'Ol Mahum Straggler',0,'',0,'Monster.ol_mahum',13.5,25,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,895,43,75,107,31,87,278,500,333,2,0,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20062,20062,'Tumran Bugbear',0,'',0,'Monster.bugbear',17,35,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,878,42,68,117,31,87,278,0,333,156,0,0,55,130,'bugbear_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20063,20063,'Ol Mahum Shooter',0,'',0,'Monster.ol_mahum_archer',14,25,24,'male','L2Monster',500,687,272,5.53,1.53,40,43,30,21,20,10,963,47,181,111,34,90,247,0,333,14,0,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(20064,20064,'Tumran Bugbear Warrior',0,'',0,'Monster.bugbear',17,35,24,'male','L2Monster',40,687,272,5.53,1.53,40,43,30,21,20,10,954,47,89,101,34,90,278,500,333,88,0,0,60,143,'bugbear_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20065,20065,'Ol Mahum Patrolman',0,'',0,'Monster.ol_mahum',13.5,25,25,'male','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,826,41,80,127,37,94,278,0,333,2,0,0,55,121,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20066,20066,'Ol Mahum Captain',0,'',0,'Monster.ol_mahum_champion',14,27,25,'male','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,1052,53,97,105,37,94,278,500,333,69,0,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20067,20067,'Monster Eye Watcher',0,'',0,'Monster.monster_eye',21,43,25,'male','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,992,50,80,127,37,94,278,0,333,0,0,0,90,159,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20068,20068,'Monster Eye Destroyer',0,'',0,'Monster.monster_eye',21,43,26,'male','L2Monster',40,770,303,5.53,1.53,40,43,30,21,20,10,1078,54,87,132,41,98,278,500,333,0,0,0,90,159,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20069,20069,'Selu Lizardman Scout',0,'',0,'Monster.virud_lizardman',10,23,26,'male','L2Monster',40,770,303,5.53,1.53,40,43,30,21,20,10,880,44,87,132,41,98,278,0,333,16,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20070,20070,'Lesser Basilisk',0,'',0,'Monster.lesser_basilisk',34,25,27,'male','L2Monster',40,813,318,5.53,1.53,40,43,30,21,20,10,1124,58,114,114,45,102,278,500,333,0,0,0,35,131,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20071,20071,'Selu Lizardman Warrior',0,'',0,'Monster.virud_lizardman_warrior',12,30,27,'male','L2Monster',40,813,318,5.53,1.53,40,43,30,21,20,10,946,48,114,114,45,102,278,500,333,16,0,0,57,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20072,20072,'Basilisk',0,'',0,'Monster.lesser_basilisk',34,25,28,'male','L2Monster',40,859,334,5.53,1.53,40,43,30,21,20,10,1189,62,102,143,49,106,278,500,333,0,0,0,35,131,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20073,20073,'Ol Mahum Legionnaire',0,'',0,'Monster.ol_mahum',13.5,25,28,'male','L2Monster',40,859,334,5.53,1.53,40,43,30,21,20,10,981,52,113,130,49,106,278,0,333,2,0,0,55,121,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20074,20074,'Androscorpio',0,'',0,'Monster.onyx_beast',14,14.5,29,'male','L2Monster',40,906,349,5.53,1.53,40,43,30,21,20,10,1243,67,122,135,53,110,278,0,333,0,0,0,33,132,'scropio_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20075,20075,'Ant Larva',0,'',0,'Monster.ant_larva',12,8,29,'male','L2Monster',40,906,349,5.53,1.53,40,43,30,21,20,10,1139,61,111,149,53,110,278,0,333,0,0,0,40,60,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20076,20076,'Ol Mahum Commander',0,'',0,'Monster.ol_mahum_champion',14,27,29,'male','L2Monster',40,906,349,5.53,1.53,40,43,30,21,20,10,1319,71,134,123,53,110,278,500,333,69,0,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20077,20077,'Androscorpio Hunter',0,'',0,'Monster.onyx_beast',14,14.5,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1308,72,145,128,58,114,278,0,333,0,0,0,33,132,'scropio_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20078,20078,'Whispering Wind',0,'',0,'Monster.sylph_100_bi',20,70,30,'female','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1308,72,120,155,58,114,278,0,333,0,0,0,66,66,'elemental2_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20079,20079,'Ant',0,'',0,'Monster.ant',26,15,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1308,72,145,128,58,114,278,0,333,0,0,0,40,130,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20080,20080,'Ant Captain',0,'',0,'Monster.ant',26,15,31,'male','L2Monster',40,1004,381,7.11,1.84,40,43,30,21,20,10,1425,79,157,133,64,118,278,500,333,0,0,0,40,130,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20081,20081,'Ant Overseer',0,'',0,'Monster.ant',26,15,32,'male','L2Monster',40,1056,397,14.22,1.84,40,43,30,21,20,10,1200,67,169,138,69,123,278,0,333,0,0,0,40,130,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20082,20082,'Ant Recruit',0,'',0,'Monster.ant_soldier',35,17,33,'male','L2Monster',40,1109,413,7.11,1.84,40,43,30,21,20,10,1451,83,151,173,75,128,278,0,333,0,0,0,80,130,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20083,20083,'Granite Golem',0,'',0,'Monster.stone_golem',20,31,33,'male','L2Monster',40,1109,413,7.11,1.84,40,43,30,21,20,10,2239,129,151,173,75,128,278,0,333,0,0,0,23,23,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20084,20084,'Ant Patrol',0,'',0,'Monster.ant_soldier',35,17,34,'male','L2Monster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1667,97,196,148,82,132,278,0,333,0,0,0,80,130,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20085,20085,'Puncher',0,'',0,'Monster.stone_golem',20,31,34,'male','L2Monster',40,1164,430,7.11,1.84,40,43,30,21,20,10,2424,142,196,148,82,132,278,500,333,0,0,0,23,23,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20086,20086,'Ant Guard',0,'',0,'Monster.ant_soldier',35,17,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,1484,88,192,169,89,137,278,0,333,0,0,0,80,174,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20087,20087,'Ant Soldier',0,'',0,'Monster.ant_soldier',35,17,35,'male','L2Monster',40,1220,446,14.22,1.84,40,43,30,21,20,10,1780,105,192,169,89,137,278,500,333,0,0,0,80,174,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20088,20088,'Ant Warrior Captain',0,'',0,'Monster.ant_soldier',35,17,36,'male','L2Monster',40,1279,463,14.22,1.84,40,43,30,21,20,10,1984,120,227,159,96,142,278,500,333,0,0,0,80,174,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20089,20089,'Noble Ant',0,'',0,'Monster.noble_ant',20,48,37,'male','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,1659,102,222,182,104,147,278,0,333,0,0,0,88,191,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20090,20090,'Noble Ant Leader',0,'',0,'Monster.noble_ant',20,48,38,'male','L2Monster',40,1400,497,14.22,1.84,40,43,30,21,20,10,1829,114,261,171,112,153,278,500,333,0,0,0,88,191,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20091,20091,'Young Fox',0,'',0,'Monster.fox',9.5,10,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,29,2,9,39,3,32,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20092,20092,'Monster Eye',0,'',0,'Monster.monster_eye',21,43,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,294,10,22,61,8,49,278,0,333,0,0,0,99,147,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20093,20093,'Orc Fighter',0,'',0,'Monster.orc_fighter',12,22,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,363,12,22,61,8,49,278,500,333,1,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20094,20094,'Orc Marksman',0,'',0,'Monster.orc_archer',14,25,10,'male','L2Monster',500,257,120,3.16,0.91,40,43,30,21,20,10,305,10,56,55,8,49,249,0,333,14,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'archer','false'),
(20095,20095,'Vampire Bat',0,'',0,'Monster.vampire_bat',10,33.5,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,296,10,22,61,8,49,278,0,333,0,0,0,66,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20096,20096,'Orc Lieutenant',0,'',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,391,15,23,70,9,52,278,0,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20097,20097,'Drill Bat',0,'',0,'Monster.vampire_bat',10,33.5,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,326,12,27,58,9,52,278,0,333,0,0,0,66,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20098,20098,'Orc Fighter Leader',0,'',0,'Monster.orc_fighter',12,22,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,447,17,30,60,10,54,278,500,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20099,20099,'Skeleton',0,'',0,'Monster.skeleton',11,25,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,363,13,26,60,10,54,317,500,333,946,945,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20100,20100,'Skeleton Archer',0,'',0,'Monster.skeleton_archer',11,27,13,'male','L2Monster',500,339,147,3.95,1.21,40,43,30,21,20,10,405,16,74,63,11,56,249,500,333,14,0,0,44,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'archer','false'),
(20101,20101,'Crasher',0,'',0,'Monster.stone_golem',20,31,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,705,27,30,80,12,59,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20102,20102,'Skeleton Marksman',0,'',0,'Monster.skeleton_archer',11,27,14,'male','L2Monster',500,364,156,3.95,1.21,40,43,30,21,20,10,428,17,82,66,12,59,249,0,333,14,0,0,44,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'archer','false'),
(20103,20103,'Giant Spider',0,'',0,'Monster.giant_spider',26,25.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,545,22,40,69,14,62,278,500,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20104,20104,'Skeleton Lord',0,'',0,'Monster.skeleton',11,25,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,445,18,29,84,14,62,317,0,333,946,945,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20105,20105,'Dark Horror',0,'',0,'Monster.dark_horror',20,35,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,576,23,44,72,15,64,278,500,333,0,0,0,100,100,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20106,20106,'Talon Spider',0,'',0,'Monster.giant_spider',26,25.5,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,570,23,44,72,15,64,278,0,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20107,20107,'Wererat',0,'',0,'Monster.wererat',14,25,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,475,19,40,79,15,64,278,0,333,0,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20108,20108,'Blade Spider',0,'',0,'Monster.giant_spider',26,25.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,618,26,48,75,17,67,278,500,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20109,20109,'Salamander',0,'',0,'Monster.salamander',16,6.8,17,'male','L2Monster',40,446,184,7.9,1.21,40,43,30,21,20,10,494,21,44,83,17,67,278,0,333,0,0,0,70,105,'elemental3_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20110,20110,'Undine',0,'',0,'Monster.undine',12,27,17,'female','L2Monster',40,446,184,7.9,1.21,40,43,30,21,20,10,479,20,44,83,17,67,278,500,333,0,0,0,66,66,'elemental4_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20111,20111,'Wererat Leader',0,'',0,'Monster.wererat',14,25,17,'male','L2Monster',40,446,184,7.9,1.21,40,43,30,21,20,10,479,20,40,91,17,67,278,500,333,1,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20112,20112,'Salamander Elder',0,'',0,'Monster.salamander',16,6.8,18,'male','L2Monster',40,476,193,7.9,1.21,40,43,30,21,20,10,496,21,53,79,19,70,278,0,333,0,0,0,70,105,'elemental3_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20113,20113,'Undine Elder',0,'',0,'Monster.undine',12,27,18,'female','L2Monster',40,476,193,7.9,1.21,40,43,30,21,20,10,505,22,44,95,19,70,278,500,333,0,0,0,66,66,'elemental4_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20114,20114,'Salamander Noble',0,'',0,'Monster.salamander',16,6.8,19,'male','L2Monster',40,508,203,7.9,1.21,40,43,30,21,20,10,525,23,58,82,21,73,278,0,333,0,0,0,70,105,'elemental3_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20115,20115,'Undine Noble',0,'',0,'Monster.undine',12,27,19,'female','L2Monster',40,508,203,7.9,1.21,40,43,30,21,20,10,536,24,58,82,21,73,278,500,333,0,0,0,66,66,'elemental4_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20116,20116,'Fox',0,'',0,'Monster.fox',9.5,10,2,'male','L2Monster',40,75,52,3.16,0.91,40,43,30,21,20,10,58,2,10,42,3,34,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20117,20117,'Dre Vanul',0,'',0,'Monster.dre_vanul',14,36,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,666,29,63,86,23,76,278,500,333,0,0,0,88,88,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20118,20118,'Dre Vanul Scout',0,'',0,'Monster.dre_vanul',14,36,21,'male','L2Minion',40,575,227,5.53,1.53,40,43,30,21,20,10,649,30,69,89,25,80,278,500,333,0,0,0,88,88,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20119,20119,'Elder Fox',0,'',0,'Monster.fox',9.5,10,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,88,2,12,40,3,35,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20120,20120,'Wolf',0,'',0,'Monster.wolf',13,9,4,'male','L2Monster',40,107,68,3.16,0.91,40,43,30,21,20,10,141,4,12,46,4,37,278,0,333,0,0,0,24,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20121,20121,'Giant Toad',0,'',0,'Monster.poison_toad',20,10,5,'male','L2Monster',40,126,77,3.16,0.91,40,43,30,21,20,10,178,5,13,48,4,39,278,0,333,0,0,0,50,100,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20130,20130,'Orc',0,'',0,'Monster.orc',10,21,6,'male','L2Monster',40,147,85,3.16,0.91,40,43,30,21,20,10,213,6,15,50,5,41,278,0,333,156,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20131,20131,'Orc Grunt',0,'',0,'Monster.orc',10,21,7,'male','L2Monster',40,171,94,3.16,0.91,40,43,30,21,20,10,249,8,17,53,6,43,278,0,333,4,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20132,20132,'Werewolf',0,'',0,'Monster.werewolf',10,26,9,'male','L2Monster',40,226,111,3.16,0.91,40,43,30,21,20,10,321,11,20,58,7,47,278,0,333,0,0,0,55,132,'werewolf_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20133,20133,'Bugbear',0,'',0,'Monster.bugbear',17,35,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,649,30,63,98,25,80,278,500,333,4,0,0,60,143,'bugbear_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20134,20134,'Cave Maiden',0,'',0,'Monster.cave_maiden',25,65,59,'female','L2Monster',40,2971,1117,10.27,2.45,40,43,30,21,20,10,5112,437,902,326,453,291,278,500,333,68,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20135,20135,'Alligator',0,'',0,'Monster.crocodile',28,11.5,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,2373,153,300,183,131,164,278,500,333,0,0,0,70,174,'croc_clan2',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20136,20136,'Death Knight',0,'',0,'Monster.death_knight',14.5,36,50,'male','L2Monster',40,2245,830,17.38,2.14,40,43,30,21,20,10,4651,350,616,230,264,226,278,500,333,75,0,0,27,174,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20137,20137,'Drake',0,'',0,'Monster.drake',30,100,57,'male','L2Monster',40,2806,1052,10.27,2.45,40,43,30,21,20,10,4819,401,817,309,405,276,278,500,333,0,0,0,77,191,'dragon_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20138,20138,'Gargoyle',0,'',0,'Monster.gargoyle',16,50,27,'male','L2Monster',40,813,318,5.53,1.53,40,43,30,21,20,10,946,48,104,125,45,102,278,500,333,0,0,0,154,154,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20139,20139,'Giant Bee',0,'',0,'Monster.giant_bee',8,24.5,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,471,19,40,79,15,64,278,0,333,0,0,0,99,99,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20140,20140,'Giant Leech',0,'',0,'Monster.giant_leech',70,29,24,'male','L2Monster',40,687,272,5.53,1.53,40,43,30,21,20,10,795,39,81,111,34,90,278,500,333,0,0,0,55,121,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20141,20141,'Giant Wild Hog',0,'',0,'Monster.giant_wild_hog',35,27,47,'male','L2Monster',40,2016,738,8.69,2.14,40,43,30,21,20,10,2730,196,427,253,216,206,278,500,333,0,0,0,38,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20142,20142,'Griffon',0,'',0,'Monster.griffin',20,44,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,593,26,57,94,23,76,278,0,333,0,0,0,99,99,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20143,20143,'Grizzly',0,'',0,'Monster.grizzly',21,40,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,436,16,27,66,10,54,278,500,333,0,0,0,40,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20144,20144,'Hangman Tree',0,'',0,'Monster.hanged_man_ripper',35,80,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,1817,108,192,169,89,137,278,500,333,0,0,0,55,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20145,20145,'Harpy',0,'',0,'Monster.harpy',10,42,32,'female','L2Monster',40,1056,397,7.11,1.84,40,43,30,21,20,10,1504,84,154,151,69,123,278,500,333,0,0,0,60,100,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20146,20146,'Headless Knight',0,'',0,'Monster.headless_knight',21,31,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,3708,279,463,306,264,226,278,500,333,124,0,0,77,191,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20147,20147,'Hobgoblin',0,'',0,'Monster.hobgoblin',12,24,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,764,35,63,98,25,80,278,0,333,4,0,0,45,110,'goblin_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20148,20148,'Hungry Spirit',0,'',0,'Monster.hungry_spirit',30,40,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,1958,126,300,183,131,164,278,500,333,0,0,0,16,132,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20149,20149,'Iron Golem',0,'',0,'Monster.iron_golem',18,34,38,'male','L2Monster',40,1400,497,7.11,1.84,40,43,30,21,20,10,2524,157,216,207,112,153,278,500,333,0,0,0,22,22,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20150,20150,'King Bugbear',0,'',0,'Monster.king_bugbear',15,40,32,'male','L2Monster',40,1056,397,7.11,1.84,40,43,30,21,20,10,1265,71,169,138,69,123,278,500,333,88,0,0,60,143,'bugbear_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20151,20151,'Kobold',0,'',0,'Monster.kobold',10,15,4,'male','L2Monster',40,107,68,3.16,0.91,40,43,30,21,20,10,118,3,12,46,4,37,278,0,333,4,0,0,51,121,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20152,20152,'Lizardman',0,'',0,'Monster.virud_lizardman',10,23,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,565,25,53,90,21,73,278,0,333,291,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20153,20153,'Magical Weaver',0,'',0,'Monster.magical_weaver',11,20,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,391,15,27,58,9,52,278,0,333,0,0,0,99,99,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20154,20154,'Mandragora Sprout',0,'',0,'Monster.manadragora',14,17.8,21,'female','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,764,35,63,98,25,80,278,0,333,0,0,0,80,80,'mandragora_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20155,20155,'Mandragora Sapling',0,'',0,'Monster.mandragora_a',15,26,23,'female','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,895,43,82,97,31,87,278,500,333,0,0,0,80,120,'mandragora_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20156,20156,'Mandragora Blossom',0,'',0,'Monster.mandragora_b',12,25.5,25,'female','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,1012,51,97,105,37,94,278,500,333,0,0,0,80,120,'mandragora_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20157,20157,'Marsh Stakato',0,'',0,'Monster.marsh_stakato',10,20,29,'male','L2Monster',40,906,349,5.53,1.53,40,43,30,21,20,10,1509,81,117,123,53,110,317,500,333,223,0,0,21,120,'stakato_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20158,20158,'Medusa',0,'',0,'Monster.medusa',10,25,34,'female','L2Monster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1714,100,178,163,82,132,278,500,333,0,0,0,50,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20159,20159,'Minotaur',0,'',0,'Monster.minotaur',21,45.5,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,2263,153,365,202,163,181,278,500,333,300,0,0,44,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20160,20160,'Neer Crawler',0,'',0,'Monster.neer_crawler',14,22,28,'male','L2Monster',40,859,334,5.53,1.53,40,43,30,21,20,10,1201,63,124,118,49,106,278,500,333,0,0,0,50,90,'neer_crawler_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20161,20161,'Oel Mahum',0,'',0,'Monster.oel_mahum',20,37,53,'male','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,4167,328,602,304,319,247,278,500,333,0,0,0,70,174,'oel_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20162,20162,'Ogre',0,'',0,'Monster.ogre',21,44,41,'male','L2Monster',40,1593,560,8.69,2.14,40,43,30,21,20,10,2057,135,446,189,141,169,200,500,333,98,0,0,24,88,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20163,20163,'Ol Mahum',0,'',0,'Monster.ol_mahum',13.5,25,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,731,35,82,97,31,87,278,0,333,2,0,0,55,121,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20164,20164,'Ol Mahum Archer',0,'',0,'Monster.ol_mahum_archer',14,25,25,'male','L2Monster',500,728,287,5.53,1.53,40,43,30,21,20,10,868,44,216,105,37,94,249,500,333,14,0,0,55,121,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'archer','false'),
(20165,20165,'Ol Mahum Champion',0,'',0,'Monster.ol_mahum_champion',14,27,29,'male','L2Monster',40,906,349,5.53,1.53,40,43,30,21,20,10,1257,67,134,123,53,110,278,500,333,69,0,0,55,121,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20166,20166,'Succubus',0,'',0,'Monster.succubus',10,36,32,'female','L2Monster',40,1056,397,7.11,1.84,40,43,30,21,20,10,1265,71,154,151,69,123,278,500,333,0,0,0,66,110,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20167,20167,'Serpent Slave',0,'',0,'Monster.serpent_slave',17,46,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,1977,128,273,201,131,164,278,500,333,73,0,0,77,121,'serpent_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20168,20168,'Silenos',0,'',0,'Monster.silenos',14,32.5,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1308,72,132,140,58,114,278,0,333,88,0,0,70,110,'silenos_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20169,20169,'Skeleton Royal Guard',0,'',0,'Monster.skeleton_royal_guard',11,28.5,26,'male','L2Monster',40,770,303,5.53,1.53,40,43,30,21,20,10,898,45,92,109,41,98,317,500,333,946,945,0,88,132,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20170,20170,'Spartoi',0,'',0,'Monster.spartoi',11,27,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,454,19,35,69,14,62,317,500,333,946,945,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20171,20171,'Specter',0,'',0,'Monster.dark_horror',20,35,26,'male','L2Monster',40,770,303,5.53,1.53,40,43,30,21,20,10,1078,54,96,120,41,98,278,500,333,0,0,0,110,110,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20172,20172,'Sylph',0,'',0,'Monster.sylph',11,35,10,'female','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,296,10,25,55,8,49,278,0,333,0,0,0,66,66,'elemental2_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20173,20173,'Troll',0,'',0,'Monster.troll',21,35,33,'male','L2Monster',40,1109,413,7.11,1.84,40,43,30,21,20,10,1332,76,182,143,75,128,278,500,333,0,0,0,60,121,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20174,20174,'Two-Headed Giant',0,'',0,'Monster.twin_headed_giant',17,39,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,1499,89,174,186,89,137,278,500,333,4,0,0,49,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20175,20175,'Walking Fungus',0,'',0,'Monster.walking_fungus',15,22.5,8,'male','L2Monster',40,197,102,3.16,0.91,40,43,30,21,20,10,237,8,18,55,6,45,278,0,333,0,0,0,77,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20176,20176,'Wyrm',0,'',0,'Monster.wyrm',29,72,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,1817,108,211,154,89,137,278,500,333,0,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20177,20177,'Zombie',0,'',0,'Monster.zombie',13,21,6,'male','L2Monster',40,147,85,3.16,0.91,40,43,30,21,20,10,178,5,15,50,5,41,278,0,333,0,0,0,16,16,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20189,20189,'Puma',0,'',0,'Monster.onyx_beast',14,14.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,441,18,40,69,14,62,278,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20190,20190,'Skeleton Marauder',0,'',0,'Monster.skeleton_archer',11,27,29,'male','L2Monster',500,906,349,5.53,1.53,40,43,30,21,20,10,1306,70,299,123,53,110,247,500,333,14,0,0,40,140,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'archer','true'),
(20191,20191,'Skeleton Raider',0,'',0,'Monster.skeleton',11,25,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1335,73,127,128,58,114,317,500,333,946,945,0,60,140,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20192,20192,'Tyrant',0,'',0,'Monster.grave',15,29,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,1781,105,211,154,89,137,278,0,333,0,0,0,70,174,'tyrant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20193,20193,'Tyrant Kingpin',0,'',0,'Monster.grave',15,29,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,1922,116,227,159,96,142,278,500,333,0,0,0,77,191,'tyrant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20194,20194,'Queen Undine',0,'',0,'Monster.undine',12,27,50,'female','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,3090,233,560,253,264,226,278,500,333,0,0,0,66,66,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20197,20197,'Sorrow Maiden',0,'',0,'Monster.sylph',11,35,27,'female','L2Monster',40,813,318,5.53,1.53,40,43,30,21,20,10,1102,56,104,125,45,102,278,0,333,0,0,0,66,66,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20198,20198,'Neer Ghoul Berserker',0,'',0,'Monster.neer_crawler',14,22,29,'male','L2Monster',40,906,349,5.53,1.53,40,43,30,21,20,10,1268,68,134,123,53,110,278,500,333,0,0,0,50,90,'neer_crawler_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20199,20199,'Amber Basilisk',0,'',0,'Monster.lesser_basilisk',34,25,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1557,85,120,155,58,114,278,0,333,0,0,0,35,131,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20200,20200,'Strain',0,'',0,'Monster.hungry_spirit',30,40,31,'male','L2Monster',40,1004,381,7.11,1.84,40,43,30,21,20,10,1383,77,157,133,64,118,278,0,333,0,0,0,15,120,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20201,20201,'Ghoul',0,'',0,'Monster.zombie',13,21,32,'male','L2Monster',40,1056,397,7.11,1.84,40,43,30,21,20,10,2085,117,169,138,69,123,278,0,333,0,0,0,15,15,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20202,20202,'Dead Seeker',0,'',0,'Monster.vampire_bat',10,33.5,34,'male','L2Monster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1664,97,178,163,82,132,278,0,333,0,0,0,60,80,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20203,20203,'Dion Grizzly',0,'',0,'Monster.grizzly',21,40,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,705,31,52,104,23,76,278,0,333,0,0,0,40,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20204,20204,'Bloody Bee',0,'',0,'Monster.giant_bee',8,24.5,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,956,46,82,97,31,87,278,0,333,0,0,0,90,90,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20205,20205,'Dire Wolf',0,'',0,'Monster.dire_wolf',13,11,24,'male','L2Monster',40,687,272,5.53,1.53,40,43,30,21,20,10,954,47,89,101,34,90,278,500,333,0,0,0,24,110,'wolf_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20206,20206,'Kadif Werewolf',0,'',0,'Monster.werewolf',10,26,25,'male','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,982,49,97,105,37,94,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20207,20207,'Ol Mahum Guerilla',0,'',0,'Monster.ol_mahum',13.5,25,26,'male','L2Monster',40,770,303,11.06,1.53,40,43,30,21,20,10,982,49,87,132,41,98,278,0,333,2,19,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20208,20208,'Ol Mahum Raider',0,'',0,'Monster.ol_mahum',13.5,25,27,'male','L2Monster',40,813,318,11.06,1.53,40,43,30,21,20,10,1035,53,83,138,45,102,317,0,333,10,0,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20209,20209,'Ol Mahum Marksman',0,'',0,'Monster.ol_mahum_archer',14,25,28,'male','L2Monster',500,859,334,11.06,1.53,40,43,30,21,20,10,1128,59,276,118,49,106,247,0,333,275,0,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(20210,20210,'Ol Mahum Sergeant',0,'',0,'Monster.ol_mahum',13.5,25,29,'male','L2Monster',40,906,349,11.06,1.53,40,43,30,21,20,10,1156,62,111,149,53,110,278,0,333,68,19,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20211,20211,'Ol Mahum Captain',0,'',0,'Monster.ol_mahum_champion',14,27,30,'male','L2Monster',40,954,365,11.06,1.53,40,43,30,21,20,10,1241,68,145,128,58,114,278,500,333,123,19,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20212,20212,'Bloody Axe Turmak',0,'Ol Mahum Lord',0,'Monster.ol_mahum_champion',14,27,34,'male','L2Monster',40,1164,430,14.22,1.84,40,43,30,21,20,10,1469,86,196,148,82,132,278,500,333,69,19,0,55,121,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20213,20213,'Porta',0,'',0,'Monster.stone_golem',20,31,40,'male','L2Monster',40,1527,531,14.22,1.84,40,43,30,21,20,10,1576,102,248,222,131,164,278,0,333,0,0,0,23,60,'porta_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20214,20214,'Excuro',0,'',0,'Monster.mana_vampire',11,20,41,'male','L2Monster',40,1593,560,17.38,2.14,40,43,30,21,20,10,2028,132,265,229,141,169,278,0,333,0,0,0,40,90,'porta_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20215,20215,'Mordeo',0,'',0,'Monster.onyx_beast',14,14.5,42,'male','L2Monster',40,1660,589,17.38,2.14,40,43,30,21,20,10,2625,175,342,196,152,175,278,500,333,0,0,0,30,120,'beast_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20216,20216,'Ricenseo',0,'',0,'Monster.monster_eye',21,43,43,'male','L2Monster',40,1728,618,17.38,2.14,40,43,30,21,20,10,2104,142,332,223,163,181,278,0,333,0,0,0,40,90,'porta_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20217,20217,'Krator',0,'',0,'Monster.stone_golem',20,31,44,'male','L2Monster',40,1799,648,17.38,2.14,40,43,30,21,20,10,2688,184,322,253,176,187,278,0,333,0,0,0,23,60,'porta_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20218,20218,'Premo',0,'',0,'Monster.troll',21,35,45,'male','L2Monster',40,1870,677,17.38,2.14,40,43,30,21,20,10,2812,195,415,216,188,193,278,0,333,0,0,0,55,90,'porta_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20219,20219,'Validus',0,'',0,'Monster.grave',15,29,46,'male','L2Monster',40,1943,707,17.38,2.14,40,43,30,21,20,10,2408,170,365,270,202,199,278,0,333,0,0,0,70,174,'torfe_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20220,20220,'Dicor',0,'',0,'Monster.mandragora_b',12,25.5,47,'female','L2Monster',40,2016,738,17.38,2.14,40,43,30,21,20,10,2867,205,469,230,216,206,278,500,333,0,0,0,80,174,'torfe_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20221,20221,'Perum',0,'',0,'Monster.iron_golem',18,34,48,'male','L2Monster',40,2091,768,17.38,2.14,40,43,30,21,20,10,3438,251,412,288,231,212,278,500,333,0,0,0,20,20,'torfe_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20222,20222,'Torfe',0,'',0,'Monster.grave',15,29,49,'male','L2Monster',40,2168,799,17.38,2.14,40,43,30,21,20,10,3025,223,529,245,247,219,278,0,333,0,0,0,70,174,'torfe_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20223,20223,'Mandragora Sprout',0,'',0,'Monster.manadragora',14,17.8,20,'female','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,783,35,63,86,23,76,278,0,333,0,0,0,80,80,'mandragora_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20224,20224,'Ol Mahum Ranger',0,'',0,'Monster.ol_mahum_archer',14,25,22,'male','L2Monster',500,611,242,5.53,1.53,40,43,30,21,20,10,1059,50,139,113,28,83,247,0,333,13,0,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(20225,20225,'Giant Mist Leech',0,'',0,'Monster.giant_leech',70,29,25,'male','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,992,50,88,116,37,94,278,0,333,0,0,0,50,110,'giant_leech_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20226,20226,'Gray Ant',0,'',0,'Monster.ant',26,15,26,'male','L2Monster',40,770,303,5.53,1.53,40,43,30,21,20,10,1056,53,87,132,41,98,278,0,333,0,0,0,40,130,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20227,20227,'Horror Mist Ripper',0,'',0,'Monster.dark_horror',20,35,27,'male','L2Monster',40,813,318,5.53,1.53,40,43,30,21,20,10,1124,58,114,114,45,102,278,500,333,0,0,0,100,100,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20228,20228,'Giant Crimson Ant',0,'',0,'Monster.ant_soldier',35,17,28,'male','L2Monster',40,859,334,5.53,1.53,40,43,30,21,20,10,1296,68,124,118,49,106,278,0,333,0,0,0,80,130,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20229,20229,'Stinger Wasp',0,'',0,'Monster.giant_bee',8,24.5,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1454,79,120,155,58,114,278,500,333,0,0,0,90,90,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20230,20230,'Marsh Stakato Worker',0,'',0,'Monster.marsh_stakato_worker',9,21,31,'male','L2Monster',40,1004,381,7.11,1.84,40,43,30,21,20,10,1663,92,142,146,64,118,278,0,333,153,0,0,20,140,'stakato_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20231,20231,'Toad Lord',0,'',0,'Monster.poison_toad',20,10,32,'male','L2Monster',40,1056,397,7.11,1.84,40,43,30,21,20,10,1622,91,140,167,69,123,278,0,333,0,0,0,50,100,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20232,20232,'Marsh Stakato Soldier',0,'',0,'Monster.marsh_stakato_soldier',10,25,33,'male','L2Monster',40,1109,413,7.11,1.84,40,43,30,21,20,10,1583,91,132,173,75,128,317,0,333,217,0,0,30,155,'stakato_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20233,20233,'Marsh Spider',0,'',0,'Monster.poison_spider',27,25.5,34,'male','L2Monster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1867,109,178,163,82,132,278,500,333,0,0,0,60,140,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20234,20234,'Marsh Stakato Drone',0,'',0,'Monster.marsh_stakato_drone',9,24,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,1889,112,185,154,89,137,317,500,333,219,0,0,80,174,'stakato_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20235,20235,'Shackle',0,'',0,'Monster.hungry_spirit',30,40,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,2974,207,343,262,188,193,278,500,333,0,0,0,15,174,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20236,20236,'Cave Servant',0,'',0,'Monster.skeleton',11,25,46,'male','L2Monster',40,1943,707,8.69,2.14,40,43,30,21,20,10,3077,218,365,270,202,199,278,0,333,79,945,0,66,191,'cave_servant_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20237,20237,'Cave Servant Archer',0,'',0,'Monster.skeleton_archer',11,27,47,'male','L2Monster',500,2016,738,8.69,2.14,40,43,30,21,20,10,4143,297,1043,230,216,206,249,0,333,14,0,0,44,191,'cave_servant_clan',300,1,0,'LAST_HIT',100,0,30,'archer','false'),
(20238,20238,'Cave Servant Warrior',0,'',0,'Monster.skeleton',11,25,48,'male','L2Monster',40,2091,768,8.69,2.14,40,43,30,21,20,10,3987,291,498,238,231,212,278,0,333,77,2495,0,66,191,'cave_servant_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20239,20239,'Cave Servant Captain',0,'',0,'Monster.spartoi',11,27,49,'male','L2Monster',40,2168,799,8.69,2.14,40,43,30,21,20,10,4238,313,437,297,247,219,278,500,333,73,2495,0,66,191,'cave_servant_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20240,20240,'Royal Cave Servant',0,'',0,'Monster.skeleton_royal_guard',11,28.5,51,'male','L2Monster',40,2323,861,10.27,2.45,40,43,30,21,20,10,4546,347,429,315,281,232,317,0,333,946,945,0,88,191,'cave_servant_clan',400,1,0,'LAST_HIT',100,0,30,'balanced','false'),
(20241,20241,'Hunter Gargoyle',0,'',0,'Monster.hunter_gargoyle',25,65,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,4633,358,627,268,300,239,278,0,333,0,0,0,100,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20242,20242,'Dustwind Gargoyle',0,'',0,'Monster.hunter_gargoyle',25,65,53,'male','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,4813,378,547,334,319,247,278,0,333,0,0,0,100,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20243,20243,'Thunder Wyrm',0,'',0,'Monster.wyrm',29,72,54,'male','L2Monster',40,2562,955,10.27,2.45,40,43,30,21,20,10,4283,341,699,284,339,254,278,500,333,0,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20244,20244,'Malruk Succubus',0,'',0,'Monster.succubus',10,36,55,'female','L2Monster',40,2643,987,10.27,2.45,40,43,30,21,20,10,4399,355,737,292,360,261,278,0,333,0,0,0,60,174,'succubus_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20245,20245,'Malruk Succubus Turen',0,'',0,'Monster.succubus',10,36,56,'female','L2Monster',40,2724,1019,10.27,2.45,40,43,30,21,20,10,4560,375,777,301,382,269,278,0,333,0,0,0,60,174,'succubus_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20246,20246,'Cave Keeper',0,'',0,'Monster.serpent_slave',17,46,58,'male','L2Monster',40,2889,1084,10.27,2.45,40,43,30,21,20,10,5822,492,751,318,428,284,317,0,333,223,0,0,70,174,'cave_servant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20248,20248,'Turak Bugbear',0,'',0,'Monster.bugbear',17,35,31,'male','L2Monster',40,1004,381,7.11,1.84,40,43,30,21,20,10,1397,78,129,161,64,118,278,0,333,88,0,0,55,130,'bugbear_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20249,20249,'Turak Bugbear Warrior',0,'',0,'Monster.bugbear',17,35,33,'male','L2Monster',40,1109,413,14.22,1.84,40,43,30,21,20,10,1502,86,151,173,75,128,278,500,333,73,0,0,55,130,'bugbear_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20250,20250,'Glass Jaguar',0,'',0,'Monster.onyx_beast',14,14.5,27,'male','L2Monster',40,813,318,5.53,1.53,40,43,30,21,20,10,1102,56,114,114,45,102,278,0,333,0,0,0,30,120,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20251,20251,'Delu Lizardman',0,'',0,'Monster.virud_lizardman',10,23,28,'male','L2Monster',40,859,334,5.53,1.53,40,43,30,21,20,10,1166,61,102,143,49,106,278,0,333,1,19,0,43,130,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20252,20252,'Delu Lizardman Scout',0,'',0,'Monster.virud_lizardman',10,23,29,'male','L2Monster',40,906,349,5.53,1.53,40,43,30,21,20,10,1231,66,134,123,53,110,278,0,333,123,0,0,43,130,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20253,20253,'Delu Lizardman Warrior',0,'',0,'Monster.virud_lizardman_warrior',12,30,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1321,72,120,155,58,114,278,500,333,16,0,0,52,130,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20254,20254,'Skeleton Axeman',0,'',0,'Monster.skeleton',11,25,28,'male','L2Monster',40,859,334,5.53,1.53,40,43,30,21,20,10,1201,63,113,130,49,106,278,500,333,86,0,0,60,140,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20255,20255,'Batur Orc',0,'',0,'Monster.batur_orc',9,21.5,31,'male','L2Monster',40,1004,381,7.11,1.84,40,43,30,21,20,10,1164,65,129,161,64,118,278,0,333,123,0,0,88,143,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20256,20256,'Batur Orc Archer',0,'',0,'Monster.batur_orc_archer',11,21.5,32,'male','L2Monster',500,1056,397,7.11,1.84,40,43,30,21,20,10,1600,90,311,167,69,123,249,0,333,13,0,0,49,143,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'archer','false'),
(20257,20257,'Batur Orc Warrior',0,'',0,'Monster.batur_orc_warrior',10,20,33,'male','L2Monster',40,1109,413,7.11,1.84,40,43,30,21,20,10,1602,92,182,143,75,128,278,500,333,123,19,0,88,132,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20258,20258,'Batur Orc Shaman',0,'',0,'Monster.batur_orc_shaman',11,16,34,'male','L2Monster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1401,82,196,148,82,132,278,0,333,7,0,0,55,132,'orc_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20259,20259,'Batur Orc Overlord',0,'',0,'Monster.batur_orc_overlord',12,24,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,1802,107,211,154,89,137,278,500,333,79,0,0,88,154,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20260,20260,'Orc Champion',0,'',0,'Monster.orc_champion',10,23,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,435,17,30,80,12,59,278,500,333,2,0,0,49,143,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20261,20261,'Orc Shaman',0,'',0,'Monster.orc_shaman',9,22,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,504,21,40,91,17,67,278,0,333,7,0,0,49,132,'orc_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20265,20265,'Monster Eye Searcher',0,'',0,'Monster.monster_eye',21,43,22,'male','L2Monster',40,611,242,11.06,1.53,40,43,30,21,20,10,763,36,75,93,28,83,278,0,333,0,0,0,90,159,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20266,20266,'Monster Eye Gazer',0,'',0,'Monster.monster_eye',21,43,25,'male','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,992,50,80,127,37,94,278,0,333,0,0,0,90,159,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20267,20267,'Breka Orc',0,'',0,'Monster.batur_orc',9,21.5,31,'male','L2Monster',40,1004,381,7.11,1.84,40,43,30,21,20,10,1397,78,113,161,64,118,317,0,333,215,0,0,80,130,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20268,20268,'Breka Orc Archer',0,'',0,'Monster.batur_orc_archer',11,21.5,32,'male','L2Monster',500,1056,397,7.11,1.84,40,43,30,21,20,10,1920,108,311,167,69,123,247,0,333,275,0,0,45,130,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(20269,20269,'Breka Orc Shaman',0,'',0,'Monster.batur_orc_shaman',11,16,34,'male','L2Monster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1681,98,162,179,82,132,278,0,333,7,0,0,55,132,'orc_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(20270,20270,'Breka Orc Overlord',0,'',0,'Monster.batur_orc_overlord',12,24,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,2380,141,211,154,89,137,278,500,333,79,0,0,88,191,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20271,20271,'Breka Orc Warrior',0,'',0,'Monster.batur_orc_warrior',10,20,33,'male','L2Monster',40,1109,413,7.11,1.84,40,43,30,21,20,10,1922,110,182,143,75,128,278,500,333,123,20,0,88,132,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20272,20272,'Cave Servant',0,'',0,'Monster.skeleton',11,25,46,'male','L2Monster',40,1943,707,8.69,2.14,40,43,30,21,20,10,2564,182,365,270,202,199,278,0,333,79,945,0,66,154,'cave_servant_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20273,20273,'Cave Servant Archer',0,'',0,'Monster.skeleton_archer',11,27,47,'male','L2Monster',500,2016,738,8.69,2.14,40,43,30,21,20,10,2757,198,1043,230,216,206,249,0,333,275,0,0,44,154,'cave_servant_clan',300,1,0,'LAST_HIT',100,0,30,'archer','false'),
(20274,20274,'Cave Servant Warrior',0,'',0,'Monster.skeleton',11,25,48,'male','L2Monster',40,2091,768,8.69,2.14,40,43,30,21,20,10,2792,204,498,238,231,212,278,0,333,77,0,0,66,154,'cave_servant_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20275,20275,'Cave Servant Captain',0,'',0,'Monster.spartoi',11,27,49,'male','L2Monster',40,2168,799,8.69,2.14,40,43,30,21,20,10,2968,219,437,297,247,219,278,500,333,73,0,0,66,154,'cave_servant_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20276,20276,'Royal Cave Servant',0,'',0,'Monster.skeleton_royal_guard',11,28.5,51,'male','L2Monster',40,2323,861,10.27,2.45,40,43,30,21,20,10,3152,240,429,315,281,232,317,0,333,946,945,0,88,132,'cave_servant_clan',300,1,0,'LAST_HIT',100,0,30,'balanced','false'),
(20277,20277,'Cave Keeper',0,'',0,'Monster.serpent_slave',17,46,58,'male','L2Monster',40,2889,1084,10.27,2.45,40,43,30,21,20,10,4077,344,751,318,428,284,317,0,333,223,0,0,77,121,'cave_servant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20279,20279,'Shackle',0,'',0,'Monster.hungry_spirit',30,40,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,2478,172,343,262,188,193,278,500,333,0,0,0,16,132,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20280,20280,'Headless Knight',0,'',0,'Monster.headless_knight',21,31,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,3090,233,463,306,264,226,278,500,333,124,0,0,77,121,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20281,20281,'Dustwind Gargoyle',0,'',0,'Monster.hunter_gargoyle',25,65,53,'male','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,3370,265,547,334,319,247,278,0,333,0,0,0,110,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20282,20282,'Thunder Wyrm',0,'',0,'Monster.wyrm',29,72,54,'male','L2Monster',40,2562,955,10.27,2.45,40,43,30,21,20,10,3569,285,699,284,339,254,278,500,333,0,0,0,77,77,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20283,20283,'Malruk Succubus',0,'',0,'Monster.succubus',10,36,55,'female','L2Monster',40,2643,987,10.27,2.45,40,43,30,21,20,10,3666,296,737,292,360,261,278,0,333,0,0,0,66,110,'succubus_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20284,20284,'Malruk Succubus Turen',0,'',0,'Monster.succubus',10,36,56,'female','L2Monster',40,2724,1019,10.27,2.45,40,43,30,21,20,10,3800,312,777,301,382,269,278,0,333,0,0,0,66,110,'succubus_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20285,20285,'Drake',0,'',0,'Monster.drake',30,100,57,'male','L2Monster',40,2806,1052,10.27,2.45,40,43,30,21,20,10,4016,334,817,309,405,276,278,500,333,0,0,0,77,77,'dragon_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20286,20286,'Hunter Gargoyle',0,'',0,'Monster.hunter_gargoyle',25,65,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,3244,251,627,268,300,239,278,0,333,0,0,0,110,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20287,20287,'Cave Maiden',0,'',0,'Monster.cave_maiden',25,65,59,'female','L2Monster',40,2971,1117,10.27,2.45,40,43,30,21,20,10,4260,364,902,326,453,291,278,500,333,68,0,0,77,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20291,20291,'Enku Orc Champion',0,'',0,'Monster.orc_champion',10,23,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,927,43,57,108,25,80,278,500,333,2,0,0,45,130,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20292,20292,'Enku Orc Shaman',0,'',0,'Monster.orc_shaman',9,22,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,813,36,52,104,23,76,278,0,333,7,0,0,45,120,'orc_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(20293,20293,'Virud Lizardman',0,'',0,'Monster.virud_lizardman',10,23,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,593,26,52,104,23,76,278,0,333,291,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20294,20294,'Virud Lizardman Matriarch',0,'',0,'Monster.virud_lizardman_matriarch',13,37,24,'male','L2Monster',40,687,272,5.53,1.53,40,43,30,21,20,10,951,47,89,101,34,90,278,500,333,2,19,0,61,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20295,20295,'Virud Lizardman Warrior',0,'',0,'Monster.virud_lizardman_warrior',12,30,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,698,33,75,93,28,83,278,500,333,16,0,0,57,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20296,20296,'Virud Lizardman Scout',0,'',0,'Monster.virud_lizardman_scout',10,22,21,'male','L2Monster',500,575,227,5.53,1.53,40,43,30,21,20,10,656,30,127,108,25,80,249,0,333,2507,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20297,20297,'Virud Lizardman Shaman',0,'',0,'Monster.virud_lizardman_shaman',10,29,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,731,35,68,117,31,87,278,0,333,7,0,0,47,132,'lizardman_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20298,20298,'Virud Lizardman Shaman',0,'',0,'Monster.virud_lizardman_shaman',10,29,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,731,35,68,117,31,87,278,0,333,7,0,0,47,132,'lizardman_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20299,20299,'Zenta Lizardman',0,'',0,'Monster.zenta_lizardman',11,32,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,1939,125,248,222,131,164,278,0,333,68,0,0,40,154,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20300,20300,'Zenta Lizardman Matriarch',0,'',0,'Monster.zenta_lizardman_matriarch',20,40,44,'male','L2Monster',40,1799,648,8.69,2.14,40,43,30,21,20,10,2848,195,341,209,176,187,317,500,333,221,0,0,58,154,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20301,20301,'Zenta Lizardman Scout',0,'',0,'Monster.zenta_lizardman_scout',11,30,41,'male','L2Monster',500,1593,560,8.69,2.14,40,43,30,21,20,10,2098,137,589,229,141,169,249,0,333,14,0,0,40,165,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20302,20302,'Zenta Lizardman Warrior',0,'',0,'Monster.zenta_lizardman_warrior',13,35,42,'male','L2Monster',40,1660,589,8.69,2.14,40,43,30,21,20,10,2180,145,342,196,152,175,278,500,333,16,0,0,44,154,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20303,20303,'Zenta Lizardman Shaman',0,'',0,'Monster.zenta_lizardman_shaman',13,35,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,2240,152,302,245,163,181,278,0,333,7,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20304,20304,'Marsh Stakato Queen',0,'',0,'Monster.marsh_stakato_queen',15,37,36,'female','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,1906,115,227,159,96,142,278,500,333,74,0,0,143,143,'stakato_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20305,20305,'Grave',0,'',0,'Monster.grave',15,29,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,1958,126,300,183,131,164,278,500,333,0,0,0,77,121,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20307,20307,'Garum Werewolf',0,'',0,'Monster.werewolf',10,26,9,'male','L2Monster',40,226,111,3.16,0.91,40,43,30,21,20,10,321,11,22,53,7,47,278,0,333,5,0,0,55,132,'werewolf_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20308,20308,'Hook Spider',0,'',0,'Monster.giant_spider',26,25.5,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,570,23,44,72,15,64,278,0,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20309,20309,'Brown Fox',0,'',0,'Monster.fox',9.5,10,2,'male','L2Monster',40,75,52,3.16,0.91,40,43,30,21,20,10,58,2,10,42,3,34,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20310,20310,'Brown Bear',0,'',0,'Monster.grizzly_bi',21,50,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,576,23,36,87,15,64,278,500,333,0,0,0,40,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20311,20311,'Rakeclaw Imp',0,'',0,'Monster.imp',10,24,6,'male','L2Monster',40,147,85,3.16,0.91,40,43,30,21,20,10,213,6,16,46,5,41,278,0,333,0,0,0,60,80,'demonic_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20312,20312,'Rakeclaw Imp Hunter',0,'',0,'Monster.imp',10,24,7,'male','L2Monster',40,171,94,3.16,0.91,40,43,30,21,20,10,249,8,18,48,6,43,278,0,333,0,0,0,60,80,'demonic_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20313,20313,'Rakeclaw Imp Chieftain',0,'',0,'Monster.imp_bi',10,30,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,363,12,25,55,8,49,278,500,333,0,0,0,66,88,'demonic_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20314,20314,'Great White Shark',0,'',0,'Monster.great_white_shark',20,7,42,'male','L2Monster',40,1660,589,8.69,2.14,40,43,30,21,20,10,2180,145,342,196,152,175,278,500,333,0,0,0,88,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20316,20316,'Darkwing Bat',0,'',0,'Monster.vampire_bat',10,33.5,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,391,15,27,58,9,52,278,0,333,0,0,0,60,80,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20317,20317,'Black Wolf',0,'',0,'Monster.wolf',13,9,4,'male','L2Monster',40,107,68,3.16,0.91,40,43,30,21,20,10,141,4,12,46,4,37,278,0,333,0,0,0,24,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20318,20318,'Black Timber Wolf',0,'',0,'Monster.wolf_bi',13,10.8,6,'male','L2Monster',40,147,85,3.16,0.91,40,43,30,21,20,10,211,6,15,50,5,41,278,0,333,0,0,0,26,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20319,20319,'Goblin Grave Robber',0,'',0,'Monster.goblin',10,16.5,5,'male','L2Monster',40,126,77,3.16,0.91,40,43,30,21,20,10,178,5,13,48,4,39,278,0,333,4,0,0,40,110,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20320,20320,'Goblin Tomb Raider Leader',0,'',0,'Monster.goblin_bi',10,21.4,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,427,16,24,66,10,54,317,0,333,12,0,0,40,110,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20321,20321,'Goblin Thief',0,'',0,'Monster.goblin_bi',10,21.4,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,356,12,20,61,8,49,317,0,333,217,0,0,40,110,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20322,20322,'Goblin Brigand',0,'',0,'Monster.goblin',10,16.5,8,'male','L2Monster',40,197,102,3.16,0.91,40,43,30,21,20,10,284,10,18,55,6,45,278,0,333,4,0,0,44,121,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20323,20323,'Goblin Brigand Leader',0,'',0,'Monster.goblin_bi',10,21.4,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,508,20,29,73,12,59,317,500,333,217,0,0,44,121,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20324,20324,'Goblin Brigand Lieutenant',0,'',0,'Monster.goblin',10,16.5,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,363,12,20,61,8,49,317,500,333,10,0,0,44,121,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20325,20325,'Goblin Raider',0,'',0,'Monster.goblin',10,16.5,5,'male','L2Monster',40,126,77,3.16,0.91,40,43,30,21,20,10,178,5,13,48,4,39,278,0,333,4,0,0,40,110,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20326,20326,'Goblin Scout',0,'',0,'Monster.goblin',10,16.5,8,'male','L2Monster',40,197,102,3.16,0.91,40,43,30,21,20,10,284,10,18,55,6,45,278,0,333,4,0,0,40,110,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20327,20327,'Goblin Snooper',0,'',0,'Monster.goblin',10,16.5,5,'male','L2Monster',40,126,77,3.16,0.91,40,43,30,21,20,10,178,5,13,48,4,39,278,0,333,4,0,0,44,121,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20328,20328,'Goblin Lookout',0,'',0,'Monster.goblin',10,16.5,8,'male','L2Monster',40,197,102,3.16,0.91,40,43,30,21,20,10,284,10,16,55,6,45,317,0,333,12,0,0,40,110,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20329,20329,'Ghost Guardian',0,'',0,'Monster.human_ghost',8,22,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,643,30,63,98,25,80,278,500,333,0,0,0,88,154,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20330,20330,'Mineshaft Bat',0,'',0,'Monster.vampire_bat',10,33.5,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,326,12,27,58,9,52,278,0,333,0,0,0,66,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20331,20331,'Monster Eye Tracker',0,'',0,'Monster.monster_eye',21,43,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,296,10,20,67,8,49,278,0,333,0,0,0,99,147,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20333,20333,'Greystone Golem',0,'',0,'Monster.stone_golem',20,31,13,'male','L2Monster',40,339,147,3.95,1.21,40,43,30,21,20,10,654,26,27,77,11,56,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20334,20334,'Gremlin Scavenger',0,'',0,'Monster.gremlin',10,15,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,29,2,9,39,3,32,278,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20335,20335,'Grizzly Bear',0,'',0,'Monster.grizzly_bi',21,50,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,599,25,40,91,17,67,278,0,333,0,0,0,44,121,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20336,20336,'Green Dryad',0,'',0,'Monster.dryad_sm',6,15,8,'female','L2Monster',40,197,102,3.16,0.91,40,43,30,21,20,10,284,10,18,55,6,45,278,0,333,0,0,0,44,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20337,20337,'Longtail Fox',0,'',0,'Monster.fox',9.5,10,2,'male','L2Monster',40,75,52,3.16,0.91,40,43,30,21,20,10,58,2,10,42,3,34,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20338,20338,'Nightmare Weaver',0,'',0,'Monster.magical_weaver',11,20,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,707,33,69,89,25,80,278,500,333,0,0,0,99,99,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20340,20340,'Slave Skeleton',0,'',0,'Monster.skeleton',11,25,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,363,13,26,60,10,54,317,500,333,946,0,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20341,20341,'Undead Slave',0,'',0,'Monster.zombie',13,21,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,799,36,58,82,21,73,278,0,333,0,0,0,16,16,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20342,20342,'Werewolf Chieftain',0,'',0,'Monster.werewolf_bi',11,29.7,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,436,16,30,60,10,54,278,500,333,5,0,0,55,132,'werewolf_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20343,20343,'Werewolf Hunter',0,'',0,'Monster.werewolf',10,26,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,363,12,25,55,8,49,278,500,333,5,0,0,55,132,'werewolf_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20345,20345,'Dark Terror',0,'',0,'Monster.dark_horror',20,35,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,533,22,44,72,15,64,278,500,333,0,0,0,110,110,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20346,20346,'Darkstone Golem',0,'',0,'Monster.stone_golem',20,31,13,'male','L2Monster',40,339,147,3.95,1.21,40,43,30,21,20,10,545,21,27,77,11,56,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20347,20347,'Doom Wraith',0,'',0,'Monster.death_blader',15,45,55,'male','L2Monster',40,2643,987,10.27,2.45,40,43,30,21,20,10,3739,302,737,292,360,261,278,500,333,1472,0,0,110,191,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20348,20348,'Cave Spider',0,'',0,'Monster.giant_spider',26,25.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,445,18,40,69,14,62,278,0,333,0,0,0,72,130,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20349,20349,'Cave Bat',0,'',0,'Monster.vampire_bat',10,33.5,13,'male','L2Monster',40,339,147,3.95,1.21,40,43,30,21,20,10,385,15,33,63,11,56,278,0,333,0,0,0,66,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20350,20350,'Cave Fang Spider',0,'',0,'Monster.giant_spider',26,25.5,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,485,20,44,72,15,64,278,500,333,0,0,0,72,130,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20351,20351,'Dre Vanul Tracker',0,'',0,'Monster.dre_vanul',14,36,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,605,27,63,86,23,76,278,500,333,0,0,0,88,88,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20352,20352,'Dre Vanul Slayer',0,'',0,'Monster.dre_vanul',14,36,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,767,36,75,93,28,83,278,500,333,0,0,0,88,88,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20353,20353,'Dre Vanul Beholder',0,'',0,'Monster.dre_vanul',14,36,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,649,30,69,89,25,80,278,500,333,0,0,0,88,88,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20354,20354,'Dwarf Ghost',0,'',0,'Monster.dwarf_ghost',9,16.5,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,605,27,63,86,23,76,278,500,333,0,0,0,88,154,'ghost_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20356,20356,'Langk Lizardman Leader',0,'',0,'Monster.virud_lizardman_warrior_bi',12,34.5,25,'male','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,1012,51,80,127,37,94,278,500,333,16,0,0,57,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20357,20357,'Langk Lizardman Lieutenant',0,'',0,'Monster.virud_lizardman_warrior',12,30,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,821,39,62,113,28,83,278,0,333,16,0,0,57,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20358,20358,'Ratman Hunter',0,'',0,'Monster.wererat',14,25,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,640,28,38,95,19,70,317,0,333,11,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20359,20359,'Ratman Warrior',0,'',0,'Monster.wererat',14,25,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,678,30,58,82,21,73,278,0,333,2,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20360,20360,'Ratman Spy',0,'',0,'Monster.wererat_sm',12,18.7,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,570,23,39,72,15,64,317,0,333,12,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20361,20361,'Tunath Orc Marksman',0,'',0,'Monster.orc_archer',14,25,10,'male','L2Monster',500,257,120,3.16,0.91,40,43,30,21,20,10,305,10,51,61,8,49,249,0,333,14,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'archer','false'),
(20362,20362,'Tunath Orc Warrior',0,'',0,'Monster.orc_fighter',12,22,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,363,13,25,73,10,54,278,500,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20363,20363,'Maraku Werewolf',0,'',0,'Monster.werewolf',10,26,9,'male','L2Monster',40,226,111,3.16,0.91,40,43,30,21,20,10,321,11,22,53,7,47,278,0,333,0,0,0,50,120,'werewolf_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20364,20364,'Maraku Werewolf Chieftain',0,'',0,'Monster.werewolf_bi',11,29.7,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,508,20,32,66,12,59,317,500,333,217,0,0,55,132,'werewolf_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20365,20365,'Mountain Fungus',0,'',0,'Monster.walking_fungus',15,22.5,8,'male','L2Monster',40,197,102,3.16,0.91,40,43,30,21,20,10,284,10,20,50,6,45,278,0,333,0,0,0,70,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20367,20367,'Merkenis Escort',0,'',0,'Monster.spartoi',11,27,20,'male','L2Minion',40,541,213,3.95,1.21,40,43,30,21,20,10,605,27,52,104,23,76,278,500,333,68,0,0,60,140,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20368,20368,'Grave Keeper',0,'',0,'Monster.stone_golem',20,31,13,'male','L2Monster',40,339,147,3.95,1.21,40,43,30,21,20,10,545,21,27,77,11,56,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20369,20369,'Moonstone Beast',0,'',0,'Monster.onyx_beast',14,14.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,599,25,48,75,17,67,278,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20370,20370,'Barbed Bat',0,'',0,'Monster.vampire_bat',10,33.5,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,427,16,30,60,10,54,278,0,333,0,0,0,66,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20371,20371,'Mist Terror',0,'',0,'Monster.dark_horror',20,35,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,454,19,40,69,14,62,278,500,333,0,0,0,110,110,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20372,20372,'Baraq Orc Fighter',0,'',0,'Monster.orc_fighter',12,22,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,302,10,25,55,8,49,278,500,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20373,20373,'Baraq Orc Warrior Leader',0,'',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,326,12,27,58,9,52,278,0,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20374,20374,'Baranka\'s Guard',0,'',0,'Monster.spartoi',11,27,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,910,43,62,113,28,83,278,500,333,68,0,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20375,20375,'Baranka\'s Escort',0,'',0,'Monster.spartoi',11,27,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,649,30,50,108,25,80,317,500,333,946,0,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20376,20376,'Varikan Brigand Leader',0,'',0,'Monster.goblin_bi',10,21.4,10,'male','L2Monster',40,257,120,6.32,0.91,40,43,30,21,20,10,503,17,22,61,8,49,278,500,333,12,0,0,44,121,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20377,20377,'Varika\'s Bandit',0,'',0,'Monster.goblin',10,16.5,7,'male','L2Minion',40,171,94,1.58,0.91,40,43,30,21,20,10,334,12,20,44,6,43,278,0,333,0,0,0,44,121,'goblin_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20378,20378,'Stone Giant',0,'',0,'Monster.stone_golem',20,31,13,'male','L2Monster',40,339,147,3.95,1.21,40,43,30,21,20,10,545,21,27,77,11,56,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20379,20379,'Stone Soldier',0,'',0,'Monster.stone_golem',20,31,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,705,27,30,80,12,59,278,0,333,0,0,0,23,23,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20380,20380,'Stone Guardian',0,'',0,'Monster.stone_golem',20,31,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,807,33,36,87,15,64,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20381,20381,'Vaiss Orc',0,'',0,'Monster.orc',10,21,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,296,10,22,61,8,49,278,0,333,156,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20382,20382,'Vaiss Orc Warrior Leader',0,'',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,326,12,27,58,9,52,278,0,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20383,20383,'Arachnid Hunter',0,'',0,'Monster.binding',12,21,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1223,67,120,155,58,114,278,500,333,0,0,0,11,154,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20385,20385,'Balor Orc Archer',0,'',0,'Monster.orc_archer',14,25,8,'male','L2Monster',500,197,102,3.16,0.91,40,43,30,21,20,10,293,10,41,55,6,45,247,0,333,14,0,0,45,110,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'archer','true'),
(20386,20386,'Balor Orc Fighter',0,'',0,'Monster.orc_fighter',12,22,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,363,12,25,55,8,49,278,500,333,2,0,0,45,110,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20387,20387,'Balor Orc Fighter Leader',0,'',0,'Monster.orc_fighter',12,22,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,436,16,30,60,10,54,278,500,333,2,0,0,45,110,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20388,20388,'Balor Orc Lieutenant',0,'',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,391,15,27,58,9,52,278,0,333,2,0,0,45,110,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20389,20389,'Boogle Ratman',0,'',0,'Monster.wererat',14,25,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,475,19,39,72,15,64,317,0,333,12,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20390,20390,'Boogle Ratman Leader',0,'',0,'Monster.wererat',14,25,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,533,23,46,79,19,70,317,0,333,12,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20391,20391,'Red Fox',0,'',0,'Monster.fox',9.5,10,2,'male','L2Monster',40,75,52,3.16,0.91,40,43,30,21,20,10,58,2,10,42,3,34,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20392,20392,'Redeye Bat',0,'',0,'Monster.vampire_bat_bi',10,42,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,534,22,40,69,14,62,278,0,333,0,0,0,66,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20393,20393,'Red Scavenger Spider',0,'',0,'Monster.giant_spider',26,25.5,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,570,23,44,72,15,64,278,0,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20394,20394,'Crimson Tarantula',0,'',0,'Monster.giant_spider',26,25.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,449,18,40,69,14,62,278,500,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20398,20398,'Vrykolakas',0,'',0,'Monster.werewolf_bi',11,29.7,15,'male','L2Monster',40,390,165,7.9,1.21,40,43,30,21,20,10,692,28,40,69,14,62,278,500,333,0,0,0,55,132,'werewolf_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20399,20399,'Vrykolakas Wolfkin',0,'',0,'Monster.wolf_bi',13,10.8,9,'male','L2Minion',40,226,111,1.58,0.91,40,43,30,21,20,10,354,12,25,48,7,47,278,0,333,0,0,0,26,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20400,20400,'Blood Fungus',0,'',0,'Monster.walking_fungus',15,22.5,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,427,16,30,60,10,54,278,0,333,0,0,0,70,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20401,20401,'Veelan Bugbear',0,'',0,'Monster.bugbear',17,35,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,878,42,68,117,31,87,278,0,333,156,0,0,60,143,'bugbear_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20402,20402,'Veelan Bugbear Warrior',0,'',0,'Monster.bugbear',17,35,24,'male','L2Monster',40,687,272,5.53,1.53,40,43,30,21,20,10,954,47,89,101,34,90,278,500,333,88,0,0,60,143,'bugbear_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20403,20403,'Hunter Tarantula',0,'',0,'Monster.giant_spider',26,25.5,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,570,23,44,72,15,64,278,0,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20404,20404,'Silent Horror',0,'',0,'Monster.dark_horror',20,35,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,485,20,44,72,15,64,278,500,333,0,0,0,110,110,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20405,20405,'Young Brown Fox',0,'',0,'Monster.fox',9.5,10,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,29,2,10,36,3,32,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20406,20406,'Young Red Fox',0,'',0,'Monster.fox',9.5,10,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,29,2,10,36,3,32,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20407,20407,'Young Crimson Fox',0,'',0,'Monster.fox',9.5,10,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,29,2,10,36,3,32,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20410,20410,'Scavenger Spider',0,'',0,'Monster.giant_spider',26,25.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,545,22,40,69,14,62,278,500,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20411,20411,'Scavenger Bat',0,'',0,'Monster.vampire_bat',10,33.5,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,640,28,53,79,19,70,278,0,333,0,0,0,66,88,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20412,20412,'Susceptor',0,'',0,'Monster.susceptor',20,35,49,'male','L2Monster',40,2168,799,8.69,2.14,40,43,30,21,20,10,2910,215,437,297,247,219,278,500,333,0,0,0,29,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20415,20415,'Scarlet Salamander',0,'',0,'Monster.salamander',16,6.8,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,555,23,48,75,17,67,278,0,333,0,0,0,70,105,'elemental3_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20416,20416,'Scarlet Salamander Elder',0,'',0,'Monster.salamander',16,6.8,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,586,26,53,79,19,70,278,0,333,0,0,0,70,105,'elemental3_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20418,20418,'Crystalline Beast',0,'',0,'Monster.onyx_beast',14,14.5,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,633,28,53,79,19,70,278,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20419,20419,'Akaste Succubus',0,'',0,'Monster.succubus',10,36,20,'female','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,605,27,63,86,23,76,278,500,333,0,0,0,66,110,'succubus_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20420,20420,'Akaste Succubus Turen',0,'',0,'Monster.succubus',10,36,21,'female','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,649,30,69,89,25,80,278,500,333,0,0,0,66,110,'succubus_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20421,20421,'Akaste Succubus Tilfo',0,'',0,'Monster.succubus_bi',10,43.2,22,'female','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,698,33,75,93,28,83,278,500,333,0,0,0,66,110,'succubus_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20422,20422,'Akaste Bone Warlord',0,'',0,'Monster.skeleton',11,25,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,612,26,48,75,17,67,278,500,333,2,18,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20423,20423,'Akaste Bone Archer',0,'',0,'Monster.skeleton_archer',11,27,14,'male','L2Monster',500,364,156,3.95,1.21,40,43,30,21,20,10,428,17,68,80,12,59,249,0,333,275,0,0,44,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'archer','false'),
(20424,20424,'Akaste Bone Lord',0,'',0,'Monster.skeleton',11,25,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,592,26,58,82,21,73,278,500,333,68,19,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20425,20425,'Akaste Bone Soldier',0,'',0,'Monster.skeleton',11,25,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,363,13,26,60,10,54,317,500,333,946,0,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20426,20426,'Evil Eye',0,'',0,'Monster.monster_eye',21,43,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,356,12,20,67,8,49,278,0,333,0,0,0,90,134,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20427,20427,'Evil Eye Watcher',0,'',0,'Monster.monster_eye',21,43,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,296,10,20,67,8,49,278,0,333,0,0,0,99,147,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20428,20428,'Evil Eye Patroller',0,'',0,'Monster.monster_eye',21,43,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,498,19,30,80,12,59,278,0,333,0,0,0,99,147,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20429,20429,'Evil Eye Lookout',0,'',0,'Monster.monster_eye',21,43,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,415,16,30,80,12,59,278,0,333,0,0,0,99,147,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20431,20431,'Elf Ghost',0,'',0,'Monster.elf_ghost',7,21,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,605,27,52,104,23,76,278,500,333,0,0,0,88,154,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20432,20432,'Elpy',0,'',0,'Monster.elpy',5,4,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,35,2,9,39,3,32,278,0,333,0,0,0,55,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20433,20433,'Festering Bat',0,'',0,'Monster.vampire_bat',10,33.5,13,'male','L2Monster',40,339,147,3.95,1.21,40,43,30,21,20,10,462,18,33,63,11,56,278,0,333,0,0,0,60,80,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20435,20435,'Opal Beast',0,'',0,'Monster.onyx_beast',14,14.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,449,18,40,69,14,62,278,500,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20436,20436,'Ol Mahum Supplier',0,'',0,'Monster.ol_mahum_bi',14,29.2,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,878,42,68,117,31,87,278,0,333,2,19,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20437,20437,'Ol Mahum Recruit',0,'',0,'Monster.ol_mahum',13.5,25,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,764,35,57,108,25,80,278,0,333,68,19,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20438,20438,'Ol Mahum General',0,'',0,'Monster.ol_mahum_champion',14,27,26,'male','L2Monster',40,770,303,5.53,1.53,40,43,30,21,20,10,1078,54,105,109,41,98,278,500,333,67,102,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20439,20439,'Ol Mahum Officer',0,'',0,'Monster.ol_mahum',13.5,25,24,'male','L2Monster',40,687,272,5.53,1.53,40,43,30,21,20,10,935,46,74,122,34,90,278,0,333,66,0,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20440,20440,'Elder Brown Fox',0,'',0,'Monster.fox',9.5,10,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,88,2,12,40,3,35,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20441,20441,'Elder Longtail Fox',0,'',0,'Monster.fox',9.5,10,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,88,2,12,40,3,35,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20442,20442,'Elder Wolf',0,'',0,'Monster.wolf',13,9,5,'male','L2Monster',40,126,77,3.16,0.91,40,43,30,21,20,10,176,5,13,48,4,39,278,0,333,0,0,0,24,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20443,20443,'Elder Red Fox',0,'',0,'Monster.fox',9.5,10,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,88,2,12,40,3,35,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20444,20444,'Elder Prairie Fox',0,'',0,'Monster.fox',9.5,10,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,88,2,12,40,3,35,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20445,20445,'Uthanka Pirate',0,'',0,'Monster.orc',10,21,7,'male','L2Minion',40,171,94,1.58,0.91,40,43,30,21,20,10,307,10,20,44,6,43,278,0,333,3,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20446,20446,'Utuku Orc',0,'',0,'Monster.orc',10,21,6,'male','L2Monster',40,147,85,3.16,0.91,40,43,30,21,20,10,213,6,15,50,5,41,278,0,333,156,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20447,20447,'Utuku Orc Archer',0,'',0,'Monster.orc_archer',14,25,8,'male','L2Monster',500,197,102,3.16,0.91,40,43,30,21,20,10,293,10,41,55,6,45,249,0,333,14,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'archer','true'),
(20448,20448,'Utuku Orc Grunt',0,'',0,'Monster.orc',10,21,7,'male','L2Monster',40,171,94,3.16,0.91,40,43,30,21,20,10,249,8,17,53,6,43,278,0,333,3,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20449,20449,'Will-O-Wisp',0,'',0,'Monster.will_o_wisp',13,22,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,533,22,40,69,14,62,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20450,20450,'Relic Werewolf',0,'',0,'Monster.werewolf',10,26,9,'male','L2Monster',40,226,111,3.16,0.91,40,43,30,21,20,10,267,9,22,53,7,47,278,0,333,0,0,0,55,132,'werewolf_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20451,20451,'Relic Spartoi',0,'',0,'Monster.spartoi',11,27,21,'male','L2Monster',40,575,227,11.06,1.53,40,43,30,21,20,10,592,27,57,108,25,80,278,0,333,68,0,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20453,20453,'Human Ghost',0,'',0,'Monster.human_ghost',8,22,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,605,27,52,104,23,76,278,500,333,0,0,0,88,154,'ghost_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20454,20454,'Oblivion Watcher',0,'',0,'Monster.monster_eye',21,43,17,'male','L2Minion',40,446,184,1.98,1.21,40,43,30,21,20,10,454,20,53,68,17,67,278,0,333,0,0,0,99,99,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20455,20455,'Doom Soldier',0,'',0,'Monster.skeleton',11,25,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,424,16,32,66,12,59,317,500,333,946,0,0,60,140,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20456,20456,'Ashen Wolf',0,'',0,'Monster.wolf',13,9,4,'male','L2Monster',40,107,68,3.16,0.91,40,43,30,21,20,10,141,4,12,46,4,37,278,0,333,0,0,0,24,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20457,20457,'Zombie Soldier',0,'',0,'Monster.zombie',13,21,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,958,43,58,82,21,73,278,0,333,0,0,0,16,16,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20458,20458,'Zombie Warrior',0,'',0,'Monster.zombie_bi',12,27.5,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,1184,56,75,93,28,83,278,500,333,0,0,0,16,16,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20460,20460,'Crimson Spider',0,'',0,'Monster.giant_spider',26,25.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,545,22,40,69,14,62,278,500,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20461,20461,'Dungeon Spider',0,'',0,'Monster.giant_spider',26,25.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,454,19,40,69,14,62,278,500,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20462,20462,'Cave Blade Spider',0,'',0,'Monster.giant_spider',26,25.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,515,22,48,75,17,67,278,500,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20463,20463,'Dungeon Skeleton Archer',0,'',0,'Monster.skeleton_archer',11,27,13,'male','L2Monster',500,339,147,3.95,1.21,40,43,30,21,20,10,397,16,61,77,11,56,249,0,333,275,0,0,44,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'archer','false'),
(20464,20464,'Dungeon Skeleton',0,'',0,'Monster.skeleton',11,25,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,363,13,26,60,10,54,317,500,333,946,0,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20465,20465,'Prairie Fox',0,'',0,'Monster.fox',9.5,10,2,'male','L2Monster',40,75,52,3.16,0.91,40,43,30,21,20,10,58,2,11,38,3,34,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20466,20466,'Pincer Spider',0,'',0,'Monster.giant_spider',26,25.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,618,26,48,75,17,67,278,500,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20468,20468,'Kaboo Orc',0,'',0,'Monster.orc',10,21,6,'male','L2Monster',40,147,85,3.16,0.91,40,43,30,21,20,10,213,6,15,50,5,41,278,0,333,156,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20469,20469,'Kaboo Orc Archer',0,'',0,'Monster.orc_archer',14,25,8,'male','L2Monster',500,197,102,3.16,0.91,40,43,30,21,20,10,293,10,41,55,6,45,247,0,333,14,0,0,45,110,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'archer','true'),
(20470,20470,'Kaboo Orc Grunt',0,'',0,'Monster.orc',10,21,7,'male','L2Monster',40,171,94,3.16,0.91,40,43,30,21,20,10,249,8,17,53,6,43,278,0,333,3,0,0,45,110,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20471,20471,'Kaboo Orc Fighter',0,'',0,'Monster.orc_fighter',12,22,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,363,12,20,67,8,49,278,500,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20472,20472,'Kaboo Orc Fighter Leader',0,'',0,'Monster.orc_fighter',12,22,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,436,16,25,73,10,54,278,500,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20473,20473,'Kaboo Orc Fighter Lieutenant',0,'',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,391,15,23,70,9,52,278,0,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20474,20474,'Kasha Spider',0,'',0,'Monster.giant_spider',26,25.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,534,22,40,69,14,62,278,0,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20475,20475,'Kasha Wolf',0,'',0,'Monster.wolf',13,9,4,'male','L2Monster',40,107,68,3.16,0.91,40,43,30,21,20,10,141,4,12,46,4,37,278,0,333,0,0,0,24,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20476,20476,'Kasha Fang Spider',0,'',0,'Monster.giant_spider',26,25.5,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,570,23,44,72,15,64,278,0,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20477,20477,'Kasha Timber Wolf',0,'',0,'Monster.wolf_bi',13,10.8,6,'male','L2Monster',40,147,85,3.16,0.91,40,43,30,21,20,10,211,6,15,50,5,41,278,0,333,0,0,0,24,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20478,20478,'Kasha Blade Spider',0,'',0,'Monster.giant_spider',26,25.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,666,28,48,75,17,67,278,0,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20479,20479,'Kasha Bear',0,'',0,'Monster.grizzly_bi',21,50,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,539,22,33,84,14,62,278,500,333,0,0,0,44,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20480,20480,'Blade Bat',0,'',0,'Monster.vampire_bat',10,33.5,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,356,12,25,55,8,49,278,0,333,0,0,0,66,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20481,20481,'Bearded Keltir',0,'',0,'Monster.keltir',9.5,10,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,35,2,9,39,3,32,278,0,333,0,0,0,23,60,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20483,20483,'Corpse Candle',0,'',0,'Monster.will_o_wisp',13,22,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,604,25,40,91,17,67,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20487,20487,'Kuruka Ratman',0,'',0,'Monster.wererat',14,25,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,475,19,32,87,15,64,317,0,333,216,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20488,20488,'Kuruka Ratman Hunter',0,'',0,'Monster.wererat',14,25,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,504,21,40,91,17,67,278,0,333,3,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20489,20489,'Quicksilver Beast',0,'',0,'Monster.onyx_beast',14,14.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,449,18,40,69,14,62,278,500,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20490,20490,'Death Doll',0,'',0,'Monster.crimson_doll',15,38,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,2175,141,300,183,131,164,278,500,333,0,0,0,66,165,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20491,20491,'Crypt Horror',0,'',0,'Monster.dark_horror',20,35,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,454,19,40,69,14,62,278,500,333,0,0,0,110,110,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20492,20492,'Kirunak\'s Guards',0,'',0,'Monster.spartoi',11,27,21,'male','L2Minion',40,575,227,5.53,1.53,40,43,30,21,20,10,636,29,57,108,25,80,278,0,333,68,0,0,66,154,'kirunak_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20494,20494,'Turek War Hound',0,'',0,'Monster.dire_wolf',13,11,24,'male','L2Monster',40,687,272,11.06,1.53,40,43,30,21,20,10,869,43,89,101,34,90,278,0,333,0,0,0,26,121,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20495,20495,'Turek Orc Warlord',0,'',0,'Monster.orc_champion',10,23,30,'male','L2Monster',40,954,365,11.06,1.53,40,43,30,21,20,10,1390,76,120,155,58,114,278,500,333,127,0,0,49,143,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20496,20496,'Turek Orc Archer',0,'',0,'Monster.orc_archer',14,25,27,'male','L2Monster',500,813,318,11.06,1.53,40,43,30,21,20,10,1076,55,231,125,45,102,249,0,333,14,0,0,49,121,'orc_clan',400,0,0,'LAST_HIT',100,0,30,'archer','false'),
(20497,20497,'Turek Orc Skirmisher',0,'',0,'Monster.orc_fighter',12,22,28,'male','L2Monster',40,859,334,11.06,1.53,40,43,30,21,20,10,1117,58,102,143,49,106,278,500,333,121,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20498,20498,'Turek Orc Supplier',0,'',0,'Monster.orc_fighter',12,22,27,'male','L2Monster',40,813,318,11.06,1.53,40,43,30,21,20,10,1035,53,83,138,45,102,317,0,333,11,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20499,20499,'Turek Orc Footman',0,'',0,'Monster.orc',10,21,26,'male','L2Monster',40,770,303,11.06,1.53,40,43,30,21,20,10,982,49,96,120,41,98,278,0,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20500,20500,'Turek Orc Sentinel',0,'',0,'Monster.orc',10,21,25,'male','L2Monster',40,728,287,11.06,1.53,40,43,30,21,20,10,922,46,88,116,37,94,278,0,333,3,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20501,20501,'Turek Orc Shaman',0,'',0,'Monster.orc_shaman',9,22,29,'male','L2Monster',40,906,349,11.06,1.53,40,43,30,21,20,10,1156,62,111,149,53,110,278,0,333,7,0,0,49,132,'orc_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20502,20502,'Twink Puma',0,'',0,'Monster.onyx_beast',14,14.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,539,22,40,69,14,62,278,500,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20504,20504,'Dread Soldier',0,'',0,'Monster.skeleton',11,25,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,424,16,32,66,12,59,317,500,333,946,0,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20505,20505,'Ruin Bat',0,'',0,'Monster.vampire_bat_bi',10,42,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,712,32,63,86,23,76,278,0,333,0,0,0,66,88,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20506,20506,'Ruin Imp',0,'',0,'Monster.imp_bi',10,30,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,605,25,48,75,17,67,278,0,333,0,0,0,66,88,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20507,20507,'Ruin Imp Elder',0,'',0,'Monster.imp_bi',10,30,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,779,36,69,89,25,80,278,500,333,0,0,0,66,88,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20508,20508,'Plunder Tarantula',0,'',0,'Monster.giant_spider',26,25.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,618,26,48,75,17,67,278,500,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20509,20509,'Spore Fungus',0,'',0,'Monster.walking_fungus',15,22.5,9,'male','L2Monster',40,226,111,3.16,0.91,40,43,30,21,20,10,321,11,22,53,7,47,278,0,333,0,0,0,77,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20510,20510,'Puma',0,'',0,'Monster.onyx_beast',14,14.5,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,423,16,30,60,10,54,278,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20511,20511,'Pitchstone Golem',0,'',0,'Monster.stone_golem',20,31,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,799,36,48,99,21,73,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20512,20512,'Field Stalker',0,'',0,'Monster.field_stalker',15,30,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,1812,107,211,154,89,137,278,500,333,0,0,0,77,121,'monster_eye_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20513,20513,'Skeleton Knight',0,'',0,'Monster.skeleton_knight',10,25,32,'male','L2Monster',40,1056,397,7.11,1.84,40,43,30,21,20,10,1265,71,140,167,69,123,278,500,333,150,0,0,44,176,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20514,20514,'Shield Skeleton',0,'',0,'Monster.skeleton',11,25,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,534,22,40,69,14,62,278,0,333,157,103,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','true'),
(20515,20515,'Skeleton Infantryman',0,'',0,'Monster.skeleton',11,25,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,570,23,44,72,15,64,278,0,333,157,18,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20516,20516,'Skeleton Sentinel',0,'',0,'Monster.skeleton_bi',11,31,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,424,16,32,66,12,59,317,500,333,946,0,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20517,20517,'Skeleton Hunter',0,'',0,'Monster.skeleton',11,25,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,363,13,26,60,10,54,317,500,333,946,0,0,66,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(20518,20518,'Skeleton Hunter Archer',0,'',0,'Monster.skeleton_archer',11,27,13,'male','L2Monster',500,339,147,3.95,1.21,40,43,30,21,20,10,397,16,61,77,11,56,249,0,333,275,0,0,44,154,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'archer','false'),
(20519,20519,'Skeleton Pikeman',0,'',0,'Monster.skeleton_pikeman',10,28,27,'male','L2Monster',40,813,318,5.53,1.53,40,43,30,21,20,10,946,48,114,114,45,102,278,500,333,299,0,0,55,170,'skeleton_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20520,20520,'Pirate Captain Uthanka',0,'',0,'Monster.orc_fighter_bi',12,26.4,10,'male','L2Monster',40,257,120,6.32,0.91,40,43,30,21,20,10,463,16,20,67,8,49,278,500,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20521,20521,'Whinstone Golem',0,'',0,'Monster.stone_golem',20,31,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,705,27,30,80,12,59,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20522,20522,'White Fang',0,'',0,'Monster.wolf_bi',13,10.8,10,'male','L2Monster',40,257,120,6.32,0.91,40,43,30,21,20,10,458,15,22,61,8,49,278,500,333,0,0,0,26,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20524,20524,'Grey Wolf Elder',0,'',0,'Monster.wolf',13,9,7,'male','L2Minion',40,171,94,1.58,0.91,40,43,30,21,20,10,304,10,20,44,6,43,278,0,333,0,0,0,26,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20525,20525,'Gray Wolf',0,'',0,'Monster.wolf',13,9,4,'male','L2Monster',40,107,68,3.16,0.91,40,43,30,21,20,10,141,4,12,46,4,37,278,0,333,0,0,0,26,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20526,20526,'Obsidian Golem',0,'',0,'Monster.stone_golem',20,31,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,755,31,33,84,14,62,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20527,20527,'Great Snow Wolf',0,'',0,'Monster.dire_wolf',13,11,4,'male','L2Monster',40,107,68,3.16,0.91,40,43,30,21,20,10,121,3,13,42,4,37,278,500,333,0,0,0,26,121,'wolf_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20528,20528,'Goblin Lord',0,'',0,'Monster.goblin',10,16.5,13,'male','L2Monster',40,339,147,3.95,1.21,40,43,30,21,20,10,458,18,29,63,11,56,317,0,333,217,0,0,44,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20529,20529,'Young Brown Keltir',0,'',0,'Monster.keltir',9.5,10,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,35,2,9,39,3,32,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20530,20530,'Young Red Keltir',0,'',0,'Monster.keltir',9.5,10,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,35,2,9,39,3,32,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20531,20531,'Young Prairie Keltir',0,'',0,'Monster.keltir',9.5,10,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,35,2,9,39,3,32,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20532,20532,'Brown Keltir',0,'',0,'Monster.keltir',9.5,10,2,'male','L2Monster',40,75,52,3.16,0.91,40,43,30,21,20,10,70,2,10,42,3,34,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20533,20533,'Longtail Keltir',0,'',0,'Monster.keltir',9.5,10,2,'male','L2Monster',40,75,52,3.16,0.91,40,43,30,21,20,10,70,2,10,42,3,34,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20534,20534,'Red Keltir',0,'',0,'Monster.keltir',9.5,10,2,'male','L2Monster',40,75,52,3.16,0.91,40,43,30,21,20,10,70,2,10,42,3,34,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20535,20535,'Prairie Keltir',0,'',0,'Monster.keltir',9.5,10,2,'male','L2Monster',40,75,52,3.16,0.91,40,43,30,21,20,10,70,2,10,42,3,34,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20536,20536,'Elder Brown Keltir',0,'',0,'Monster.keltir',9.5,10,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,105,2,11,44,3,35,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20537,20537,'Elder Red Keltir',0,'',0,'Monster.keltir',9.5,10,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,105,2,11,44,3,35,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20538,20538,'Elder Prairie Keltir',0,'',0,'Monster.keltir',9.5,10,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,105,2,11,44,3,35,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20539,20539,'Elder Longtail Keltir',0,'',0,'Monster.keltir',9.5,10,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,105,2,11,44,3,35,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20540,20540,'Gemstone Beast',0,'',0,'Monster.onyx_beast',14,14.5,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,352,13,25,73,10,54,278,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20541,20541,'Ore Bat',0,'',0,'Monster.vampire_bat',10,33.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,499,21,48,75,17,67,278,0,333,0,0,0,66,88,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20542,20542,'Skeleton Longbowman',0,'',0,'Monster.skeleton_archer',11,27,19,'male','L2Monster',500,508,203,3.95,1.21,40,43,30,21,20,10,587,26,129,82,21,73,249,500,333,275,0,0,44,154,'NULL',0,1,0,'LAST_HIT',100,0,30,'archer','false'),
(20543,20543,'Ghost',0,'',0,'Monster.human_ghost',8,22,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,599,27,63,86,23,76,278,500,333,0,0,0,88,154,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20544,20544,'Elder Keltir',0,'',0,'Monster.keltir',9.5,10,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,105,2,12,40,3,35,278,0,333,0,0,0,23,60,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20545,20545,'Young Keltir',0,'',0,'Monster.keltir',9.5,10,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,35,2,9,39,3,32,278,0,333,0,0,0,23,60,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20546,20546,'Turek Orc Elder',0,'',0,'Monster.orc_shaman',9,22,34,'male','L2Monster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1714,100,162,179,82,132,278,500,333,7,0,0,49,132,'orc_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20547,20547,'Ol Mahum Reserve',0,'',0,'Monster.ol_mahum_bi',14,29.2,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,878,42,68,117,31,87,278,0,333,2,19,0,55,121,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20548,20548,'Ol Mahum Deserter',0,'',0,'Monster.ol_mahum',13.5,25,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,895,43,75,107,31,87,278,500,333,2,0,0,55,121,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20549,20549,'Ol Mahum Lord',0,'',0,'Monster.ol_mahum_champion',14,27,34,'male','L2Monster',40,1164,430,14.22,1.84,40,43,30,21,20,10,1763,103,196,148,82,132,278,500,333,69,19,0,55,121,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20550,20550,'Guardian Basilisk',0,'',0,'Monster.lesser_basilisk',34,25,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,1960,118,206,175,96,142,278,0,333,0,0,0,35,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20551,20551,'Road Scavenger',0,'',0,'Monster.wererat',14,25,37,'male','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,1991,122,194,154,104,147,317,0,333,221,0,0,80,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20552,20552,'Fettered Soul',0,'',0,'Monster.binding',12,21,38,'male','L2Monster',40,1400,497,14.22,1.84,40,43,30,21,20,10,2146,134,238,188,112,153,278,0,333,0,0,0,11,191,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20553,20553,'Windsus',0,'',0,'Monster.giant_wild_hog',35,27,39,'male','L2Monster',40,1462,514,7.11,1.84,40,43,30,21,20,10,2212,141,255,195,121,158,278,0,333,0,0,0,38,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20554,20554,'Grandis',0,'',0,'Monster.twin_headed_giant',17,39,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,2585,167,273,201,131,164,278,500,333,0,0,0,49,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20555,20555,'Giant Fungus',0,'',0,'Monster.walking_fungus_bi',15,31.3,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,2327,150,273,201,131,164,278,0,333,0,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20556,20556,'Giant Monstereye',0,'',0,'Monster.monster_eye_bi',29,60,41,'male','L2Monster',40,1593,560,8.69,2.14,40,43,30,21,20,10,2444,160,321,189,141,169,278,0,333,0,0,0,90,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20557,20557,'Dire Wyrm',0,'',0,'Monster.wyrm',29,72,42,'male','L2Monster',40,1660,589,8.69,2.14,40,43,30,21,20,10,2590,173,283,237,152,175,278,500,333,0,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20558,20558,'Rotting tree',0,'',0,'Monster.hanged_man_ripper',35,80,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,2662,180,302,245,163,181,278,0,333,0,0,0,60,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20559,20559,'Rotting Golem',0,'',0,'Monster.stone_golem_bi_one',22,43.4,44,'male','L2Monster',40,1799,648,8.69,2.14,40,43,30,21,20,10,3942,270,322,253,176,187,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20560,20560,'Trisalim Spider',0,'',0,'Monster.giant_spider',26,25.5,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,2916,203,415,216,188,193,278,0,333,0,0,0,79,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20561,20561,'Trisalim Tarantula',0,'',0,'Monster.poison_spider',27,25.5,46,'male','L2Monster',40,1943,707,8.69,2.14,40,43,30,21,20,10,3452,245,365,270,202,199,278,500,333,0,0,0,66,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20562,20562,'Spore Zombie',0,'',0,'Monster.zombie_bi',12,27.5,47,'male','L2Monster',40,2016,738,8.69,2.14,40,43,30,21,20,10,3591,257,469,230,216,206,278,0,333,0,0,0,16,16,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20563,20563,'Manashen Gargoyle',0,'',0,'Monster.gargoyle',16,50,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,2769,179,300,183,131,164,278,0,333,0,0,0,140,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20564,20564,'Enchanted Monstereye',0,'',0,'Monster.monster_eye',21,43,41,'male','L2Monster',40,1593,560,8.69,2.14,40,43,30,21,20,10,2493,163,321,189,141,169,278,500,333,0,0,0,90,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20565,20565,'Enchanted Stone Golem',0,'',0,'Monster.stone_golem_bi',20,40.3,42,'male','L2Monster',40,1660,589,8.69,2.14,40,43,30,21,20,10,3627,242,342,196,152,175,278,0,333,0,0,0,23,23,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20566,20566,'Enchanted Iron Golem',0,'',0,'Monster.iron_golem',18,34,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,3802,257,302,245,163,181,278,0,333,0,0,0,20,20,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20567,20567,'Enchanted Gargoyle',0,'',0,'Monster.gargoyle',16,50,44,'male','L2Monster',40,1799,648,8.69,2.14,40,43,30,21,20,10,3350,229,390,209,176,187,278,0,333,0,0,0,140,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20568,20568,'Formor',0,'',0,'Monster.troll',21,35,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,2945,205,377,238,188,193,278,0,333,0,0,0,60,191,'beast_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20569,20569,'Formor Elder',0,'',0,'Monster.troll',21,35,46,'male','L2Monster',40,1943,707,8.69,2.14,40,43,30,21,20,10,3200,227,401,245,202,199,278,0,333,0,0,0,55,174,'beast_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20570,20570,'Tarlk Bugbear',0,'',0,'Monster.bugbear',17,35,47,'male','L2Monster',40,2016,738,8.69,2.14,40,43,30,21,20,10,3212,230,427,253,216,206,278,0,333,88,0,0,55,174,'bugbear_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20571,20571,'Tarlk Bugbear Warrior',0,'',0,'Monster.bugbear',17,35,48,'male','L2Monster',40,2091,768,8.69,2.14,40,43,30,21,20,10,3793,277,453,261,231,212,278,500,333,169,0,0,60,191,'bugbear_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20572,20572,'Tarlk Bugbear High Warrior',0,'',0,'Monster.king_bugbear',15,40,49,'male','L2Monster',40,2168,799,8.69,2.14,40,43,30,21,20,10,4155,307,529,245,247,219,278,0,333,160,0,0,55,174,'bugbear_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20573,20573,'Tarlk Basilisk',0,'',0,'Monster.lesser_basilisk',34,25,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,3600,271,463,306,264,226,278,0,333,0,0,0,35,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20574,20574,'Elder Tarlk Basilisk',0,'',0,'Monster.lesser_basilisk',34,25,51,'male','L2Monster',40,2323,861,10.27,2.45,40,43,30,21,20,10,3820,291,593,260,281,232,278,500,333,0,0,0,35,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20575,20575,'Oel Mahum Warrior',0,'',0,'Monster.oel_mahum_warrior',20,38,54,'male','L2Monster',40,2562,955,10.27,2.45,40,43,30,21,20,10,4241,338,699,284,339,254,278,0,333,72,0,0,70,174,'oel_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20576,20576,'Oel Mahum Witch Doctor',0,'',0,'Monster.oel_mahum_witch_doctor',15,34,55,'male','L2Monster',40,2643,987,20.54,2.45,40,43,30,21,20,10,4401,355,609,354,360,261,278,0,333,201,0,0,77,191,'oel_mahum_clan',300,0,0,'LAST_HIT',0,100,30,'mage','true'),
(20577,20577,'Leto Lizardman',0,'',0,'Monster.zenta_lizardman',11,32,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,1781,105,192,169,89,137,278,0,333,66,0,0,37,174,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20578,20578,'Leto Lizardman Archer',0,'',0,'Monster.zenta_lizardman_scout',11,30,36,'male','L2Monster',500,1279,463,7.11,1.84,40,43,30,21,20,10,1941,117,417,193,96,142,247,0,333,14,0,0,37,174,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(20579,20579,'Leto Lizardman Soldier',0,'',0,'Monster.zenta_lizardman',11,32,37,'male','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,2030,125,222,182,104,147,278,500,333,68,0,0,37,174,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20580,20580,'Leto Lizardman Warrior',0,'',0,'Monster.zenta_lizardman_warrior',13,35,38,'male','L2Monster',40,1400,497,14.22,1.84,40,43,30,21,20,10,1953,121,261,171,112,153,278,0,333,93,0,0,40,174,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20581,20581,'Leto Lizardman Shaman',0,'',0,'Monster.zenta_lizardman_shaman',13,35,39,'male','L2Monster',40,1462,514,7.11,1.84,40,43,30,21,20,10,2212,141,280,177,121,158,278,0,333,159,0,0,43,174,'lizardman_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(20582,20582,'Leto Lizardman Overlord',0,'',0,'Monster.zenta_lizardman_matriarch',20,40,40,'male','L2Monster',40,1527,531,14.22,1.84,40,43,30,21,20,10,2207,142,217,222,131,164,317,500,333,221,0,0,53,174,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20583,20583,'Timak Orc',0,'',0,'Monster.batur_orc',9,21.5,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,2327,150,300,183,131,164,278,0,333,2,0,0,88,191,'orc_clan',300,0,2,'LAST_HIT',100,0,30,'fighter','true'),
(20584,20584,'Timak Orc Archer',0,'',0,'Monster.batur_orc_archer',11,21.5,41,'male','L2Monster',500,1593,560,8.69,2.14,40,43,30,21,20,10,3152,206,589,229,141,169,249,0,333,14,0,0,49,191,'orc_clan',300,0,2,'LAST_HIT',100,0,30,'archer','true'),
(20585,20585,'Timak Orc Soldier',0,'',0,'Monster.batur_orc',9,21.5,42,'male','L2Monster',40,1660,589,8.69,2.14,40,43,30,21,20,10,3114,207,311,215,152,175,278,500,333,66,0,0,88,191,'orc_clan',300,0,2,'LAST_HIT',100,0,30,'fighter','true'),
(20586,20586,'Timak Orc Warrior',0,'',0,'Monster.batur_orc_warrior',10,20,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,2984,202,332,223,163,181,278,0,333,68,0,0,80,174,'orc_clan',300,0,2,'LAST_HIT',100,0,30,'fighter','true'),
(20587,20587,'Timak Orc Shaman',0,'',0,'Monster.batur_orc_shaman',11,16,44,'male','L2Monster',40,1799,648,8.69,2.14,40,43,30,21,20,10,2815,193,390,209,176,187,278,0,333,179,0,0,50,174,'orc_clan',300,0,3,'LAST_HIT',0,100,30,'balanced','true'),
(20588,20588,'Timak Orc Overlord',0,'',0,'Monster.batur_orc_overlord',14.5,28.8,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,3701,257,415,216,188,193,278,500,333,127,0,0,80,174,'orc_clan',300,0,3,'LAST_HIT',100,0,30,'fighter','true'),
(20589,20589,'Fline',0,'',0,'Monster.sylph',11,35,45,'female','L2Monster',40,1870,677,17.38,2.14,40,43,30,21,20,10,2766,192,343,262,188,193,278,0,333,0,0,0,60,174,'elemental_clan',400,0,0,'LAST_HIT',100,0,30,'balanced','false'),
(20590,20590,'Liele',0,'',0,'Monster.undine',12,27,46,'female','L2Monster',40,1943,707,17.38,2.14,40,43,30,21,20,10,2862,203,365,270,202,199,278,0,333,0,0,0,60,174,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','false'),
(20591,20591,'Valley Treant',0,'',0,'Monster.ti_mi_tran',23,90,47,'male','L2Monster',40,2016,738,17.38,2.14,40,43,30,21,20,10,4224,303,388,279,216,206,278,0,333,0,0,0,13,13,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20592,20592,'Satyr',0,'',0,'Monster.pan',14,35,48,'male','L2Monster',40,2091,768,26.07,2.14,40,43,30,21,20,10,3076,224,412,288,231,212,278,500,333,291,0,0,45,174,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20593,20593,'Unicorn',0,'',0,'Monster.unicorn',14,30,49,'male','L2Monster',40,2168,799,26.07,2.14,40,43,30,21,20,10,3299,244,437,297,247,219,278,0,333,0,0,0,46,174,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20594,20594,'Forest Runner',0,'',0,'Monster.mandragora_b',12,25.5,50,'female','L2Monster',40,2245,830,17.38,2.14,40,43,30,21,20,10,3381,254,463,306,264,226,278,0,333,0,0,0,80,174,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20595,20595,'Fline Elder',0,'',0,'Monster.sylph',11,35,51,'female','L2Monster',40,2323,861,20.54,2.45,40,43,30,21,20,10,3518,268,593,260,281,232,278,0,333,0,0,0,60,174,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','false'),
(20596,20596,'Liele Elder',0,'',0,'Monster.undine',12,27,52,'female','L2Monster',40,2402,892,20.54,2.45,40,43,30,21,20,10,3730,288,627,268,300,239,278,500,333,0,0,0,60,174,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','false'),
(20597,20597,'Valley Treant Elder',0,'',0,'Monster.ti_mi_tran',23,90,53,'male','L2Monster',40,2481,923,30.81,2.45,40,43,30,21,20,10,5199,408,662,276,319,247,278,0,333,0,0,0,12,12,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20598,20598,'Satyr Elder',0,'',0,'Monster.pan',14,35,54,'male','L2Monster',40,2562,955,30.81,2.45,40,43,30,21,20,10,3816,304,699,284,339,254,278,0,333,297,0,0,45,174,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20599,20599,'Unicorn Elder',0,'',0,'Monster.unicorn',14,30,55,'male','L2Monster',40,2643,987,30.81,2.45,40,43,30,21,20,10,3959,319,737,292,360,261,278,0,333,0,0,0,46,174,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20600,20600,'Karul Bugbear',0,'',0,'Monster.bugbear',17,35,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,2741,177,300,183,131,164,278,0,333,88,0,0,55,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20601,20601,'Tamlin Orc',0,'',0,'Monster.batur_orc',9,21.5,41,'male','L2Monster',40,1593,560,8.69,2.14,40,43,30,21,20,10,2444,160,291,208,141,169,278,0,333,2,0,0,80,174,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20602,20602,'Tamlin Orc Archer',0,'',0,'Monster.batur_orc_archer',11,21.5,42,'male','L2Monster',500,1660,589,8.69,2.14,40,43,30,21,20,10,3308,220,692,215,152,175,247,0,333,14,0,0,45,174,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(20603,20603,'Kronbe Spider',0,'',0,'Monster.giant_spider',26,25.5,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,2715,184,302,245,163,181,278,500,333,0,0,0,72,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20604,20604,'Lakin',0,'',0,'Monster.twin_headed_giant',17,39,44,'male','L2Monster',40,1799,648,8.69,2.14,40,43,30,21,20,10,3317,227,390,209,176,187,278,0,333,89,0,0,45,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20605,20605,'Weird Drake',0,'',0,'Monster.drake',30,100,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,3004,209,377,238,188,193,278,500,333,0,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20606,20606,'Kuran Kobold',0,'',0,'Monster.kobold',10,15,27,'male','L2Monster',40,813,318,11.06,1.53,40,43,30,21,20,10,950,48,94,138,45,102,278,0,333,0,0,0,51,121,'kobold_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20607,20607,'Kuran Kobold Warrior',0,'',0,'Monster.kobold',10,15,28,'male','L2Monster',40,859,334,11.06,1.53,40,43,30,21,20,10,1006,53,124,118,49,106,278,0,333,0,0,0,51,121,'kobold_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20608,20608,'Patin Archer',0,'',0,'Monster.skeleton_archer',11,27,29,'male','L2Monster',500,906,349,11.06,1.53,40,43,30,21,20,10,1022,55,271,135,53,110,249,500,333,14,0,0,44,154,'NULL',0,1,0,'LAST_HIT',100,0,30,'archer','false'),
(20609,20609,'Lakin Salamander',0,'',0,'Monster.salamander',16,6.8,30,'male','L2Monster',40,954,365,11.06,1.53,40,43,30,21,20,10,1068,58,120,155,58,114,278,0,333,0,0,0,70,105,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20610,20610,'Sentinel Of Water',0,'',0,'Monster.monster_eye',21,43,31,'male','L2Monster',40,1004,381,14.22,1.84,40,43,30,21,20,10,1083,60,157,133,64,118,278,0,333,0,0,0,99,99,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20611,20611,'Dre Vanul Warrior',0,'',0,'Monster.dre_vanul',14,36,32,'male','L2Monster',40,1056,397,14.22,1.84,40,43,30,21,20,10,1154,65,169,138,69,123,278,0,333,0,0,0,88,88,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20612,20612,'Salamander Rowin',0,'',0,'Monster.salamander',16,6.8,33,'male','L2Monster',40,1109,413,14.22,1.84,40,43,30,21,20,10,1319,75,151,173,75,128,278,500,333,0,0,0,70,105,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20613,20613,'Lafi Lizardman',0,'',0,'Monster.virud_lizardman',10,23,27,'male','L2Monster',40,813,318,11.06,1.53,40,43,30,21,20,10,950,48,104,125,45,102,278,0,333,291,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20614,20614,'Lafi Lizardman Scout',0,'',0,'Monster.virud_lizardman_scout',10,22,28,'male','L2Monster',500,859,334,11.06,1.53,40,43,30,21,20,10,940,49,228,143,49,106,249,0,333,2507,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20615,20615,'Ritmal Swordsman',0,'',0,'Monster.spartoi',11,27,29,'male','L2Monster',40,906,349,11.06,1.53,40,43,30,21,20,10,1094,58,122,135,53,110,278,500,333,73,0,0,66,154,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20616,20616,'Lakin Undine',0,'',0,'Monster.undine',12,27,30,'female','L2Monster',40,954,365,11.06,1.53,40,43,30,21,20,10,1434,78,145,128,58,114,278,0,333,0,0,0,66,66,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20617,20617,'Sentinel Of Water',0,'',0,'Monster.magical_weaver',11,20,31,'male','L2Monster',40,1004,381,14.22,1.84,40,43,30,21,20,10,1093,60,129,161,64,118,278,0,333,0,0,0,99,99,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20618,20618,'Kanil Succubus',0,'',0,'Monster.succubus',10,36,32,'female','L2Monster',40,1056,397,14.22,1.84,40,43,30,21,20,10,1216,68,169,138,69,123,278,0,333,0,0,0,66,110,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20619,20619,'Rowin Undine',0,'',0,'Monster.undine',12,27,33,'female','L2Monster',40,1109,413,14.22,1.84,40,43,30,21,20,10,1252,72,151,173,75,128,278,500,333,0,0,0,66,66,'elemental_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20620,20620,'Cave Beast',0,'',0,'Monster.troll',21,35,61,'male','L2Monster',40,3137,1184,35.55,2.78,40,43,30,21,20,10,4304,378,992,344,505,307,278,500,333,0,0,0,55,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20621,20621,'Death Wave',0,'',0,'Monster.will_o_wisp',13,22,62,'male','L2Monster',40,3219,1217,35.55,2.78,40,43,30,21,20,10,4639,413,1038,353,532,315,278,500,333,0,0,0,80,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20622,20622,'Malruk Soldier',0,'',0,'Monster.skeleton_royal_guard',11,28.5,63,'male','L2Monster',40,3302,1251,35.55,2.78,40,43,30,21,20,10,4953,447,950,362,560,323,317,500,333,221,0,0,88,191,'malruk_clan',500,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20623,20623,'Plando',0,'',0,'Monster.virud_lizardman_scout',10,22,64,'male','L2Monster',500,3384,1285,47.4,2.78,40,43,30,21,20,10,4953,453,2084,449,589,331,249,500,333,2507,0,0,47,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20624,20624,'Cave Howler',0,'',0,'Monster.twin_headed_giant',17,39,65,'male','L2Monster',40,3465,1319,47.4,2.78,40,43,30,21,20,10,5037,468,979,460,619,340,278,500,333,0,0,0,49,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20625,20625,'Malruk Knight',0,'',0,'Monster.skeleton_knight',10,25,66,'male','L2Monster',40,3546,1353,47.4,2.78,40,43,30,21,20,10,5030,473,1020,471,649,348,278,500,333,78,0,0,44,191,'malruk_clan',500,1,10,'LAST_HIT',100,0,30,'fighter','false'),
(20626,20626,'Malruk Berserker',0,'',0,'Monster.death_knight',12,31,67,'male','L2Monster',40,3626,1388,47.4,2.78,40,43,30,21,20,10,7220,687,1415,362,681,356,278,500,333,77,0,0,29,191,'malruk_clan',500,1,10,'LAST_HIT',100,0,30,'fighter','false'),
(20627,20627,'Malruk Lord',0,'',0,'Monster.death_blader',15,45,68,'male','L2Monster',40,3706,1423,59.25,2.78,40,43,30,21,20,10,4964,479,1217,449,713,365,278,500,333,1472,0,0,110,191,'malruk_clan',500,1,10,'LAST_HIT',100,0,30,'fighter','false'),
(20628,20628,'Limal Karinness',0,'',0,'Monster.bloody_queen',14,40,69,'female','L2Monster',40,3784,1458,59.25,2.78,40,43,30,21,20,10,5349,523,1392,418,746,373,278,500,333,0,0,0,88,191,'malruk_clan',500,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(20629,20629,'Karik',0,'',0,'Monster.karik',25,90,70,'male','L2Monster',40,3862,1493,59.25,2.78,40,43,30,21,20,10,6584,652,1445,427,780,382,278,500,333,0,0,0,40,191,'NULL',0,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(20630,20630,'Taik Orc',0,'',0,'Monster.ketra_orc',12,29,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,2327,150,273,201,131,164,278,0,333,127,0,0,49,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20631,20631,'Taik Orc Archer',0,'',0,'Monster.ketra_orc_archer',12,27,41,'male','L2Monster',500,1593,560,8.69,2.14,40,43,30,21,20,10,3152,206,589,195,141,169,247,0,333,14,0,0,45,174,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(20632,20632,'Taik Orc Warrior',0,'',0,'Monster.ketra_orc_warrior',12,24,42,'male','L2Monster',40,1660,589,8.69,2.14,40,43,30,21,20,10,3144,209,342,196,152,175,278,500,333,75,0,0,39,191,'orc_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20633,20633,'Taik Orc Shaman',0,'',0,'Monster.ketra_orc_shaman',10,23,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,3068,207,302,245,163,181,278,0,333,9,0,0,10,174,'orc_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(20634,20634,'Taik Orc Captain',0,'',0,'Monster.ketra_orc_warrior',12,24,44,'male','L2Monster',40,1799,648,17.38,2.14,40,43,30,21,20,10,2943,201,322,253,176,187,278,500,333,75,104,0,36,174,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20635,20635,'Carinkain',0,'',0,'Monster.mana_vampire',11,20,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,2974,207,415,216,188,193,278,500,333,0,0,0,90,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20636,20636,'Forest of Mirrors Ghost',0,'',0,'Monster.dwarf_ghost',9,16.5,46,'male','L2Monster',40,1943,707,8.69,2.14,40,43,30,21,20,10,3310,235,442,223,202,199,278,500,333,0,0,0,80,174,'mirrorforest_clan',200,1,3,'LAST_HIT',100,0,30,'fighter','true'),
(20637,20637,'Forest of Mirrors Ghost',0,'',0,'Monster.elf_ghost',7,21,47,'male','L2Monster',40,2016,738,8.69,2.14,40,43,30,21,20,10,3456,248,469,230,216,206,278,500,333,0,0,0,80,174,'mirrorforest_clan',200,1,4,'LAST_HIT',100,0,30,'fighter','true'),
(20638,20638,'Forest of Mirrors Ghost',0,'',0,'Monster.human_ghost',8,22,48,'male','L2Monster',40,2091,768,8.69,2.14,40,43,30,21,20,10,3605,263,498,238,231,212,278,500,333,0,0,0,80,174,'mirrorforest_clan',200,1,4,'LAST_HIT',100,0,30,'fighter','true'),
(20639,20639,'Mirror',0,'',0,'Monster.mirror',26,52,49,'male','L2Monster',40,2168,799,17.38,2.14,40,43,30,21,20,10,4254,314,437,297,247,219,278,0,333,0,0,0,80,174,'NULL',0,0,4,'LAST_HIT',100,0,30,'fighter','true'),
(20640,20640,'Harit Lizardman',0,'',0,'Monster.zenta_lizardman',11,32,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,3636,274,509,278,264,226,278,0,333,88,945,0,37,174,'lizardman_clan',300,0,5,'LAST_HIT',100,0,30,'fighter','true'),
(20641,20641,'Harit Lizardman Grunt',0,'',0,'Monster.zenta_lizardman',11,32,51,'male','L2Monster',40,2323,861,10.27,2.45,40,43,30,21,20,10,4501,343,539,286,281,232,278,0,333,70,0,0,37,174,'lizardman_clan',300,0,5,'LAST_HIT',100,0,30,'fighter','true'),
(20642,20642,'Harit Lizardman Archer',0,'',0,'Monster.zenta_lizardman_scout',11,30,52,'male','L2Monster',500,2402,892,10.27,2.45,40,43,30,21,20,10,4214,326,1152,324,300,239,247,500,333,14,0,0,37,174,'lizardman_clan',300,0,5,'LAST_HIT',100,0,30,'archer','true'),
(20643,20643,'Harit Lizardman Warrior',0,'',0,'Monster.zenta_lizardman_warrior',13,35,53,'male','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,4332,341,662,276,319,247,278,0,333,291,0,0,40,174,'lizardman_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20644,20644,'Harit Lizardman Shaman',0,'',0,'Monster.zenta_lizardman_shaman',13,35,54,'male','L2Monster',40,2562,955,10.27,2.45,40,43,30,21,20,10,4241,338,699,284,339,254,278,0,333,9,0,0,43,174,'lizardman_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(20645,20645,'Harit Lizardman Matriarch',0,'',0,'Monster.zenta_lizardman_matriarch',20,40,55,'male','L2Monster',40,2643,987,20.54,2.45,40,43,30,21,20,10,4768,385,609,354,360,261,278,500,333,221,0,0,53,174,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20646,20646,'Halingka',0,'',0,'Monster.saber_toothed_tiger',34,28,55,'male','L2Monster',40,2643,987,20.54,2.45,40,43,30,21,20,10,3592,290,737,292,360,261,278,0,333,0,0,0,66,187,'beast_clan',300,0,6,'LAST_HIT',100,0,30,'fighter','false'),
(20647,20647,'Yintzu',0,'',0,'Monster.field_stalker',15,30,56,'male','L2Monster',40,2724,1019,20.54,2.45,40,43,30,21,20,10,3605,296,777,301,382,269,278,500,333,0,0,0,77,121,'beast_clan',300,0,6,'LAST_HIT',100,0,30,'fighter','false'),
(20648,20648,'Paliote',0,'',0,'Monster.will_o_wisp',13,22,57,'male','L2Monster',40,2806,1052,20.54,2.45,40,43,30,21,20,10,4094,340,817,309,405,276,278,0,333,0,0,0,88,154,'beast_clan',300,0,7,'LAST_HIT',100,0,30,'fighter','false'),
(20649,20649,'Hamrut',0,'',0,'Monster.poison_spider',27,25.5,58,'male','L2Monster',40,2889,1084,20.54,2.45,40,43,30,21,20,10,4075,344,859,318,428,284,278,500,333,0,0,0,66,154,'beast_clan',300,0,7,'LAST_HIT',100,0,30,'fighter','false'),
(20650,20650,'Kranrot',0,'',0,'Monster.crimson_bear',19,36,59,'male','L2Monster',40,2971,1117,20.54,2.45,40,43,30,21,20,10,4410,377,902,326,453,291,278,500,333,0,0,0,40,187,'beast_clan',300,0,8,'LAST_HIT',100,0,30,'fighter','false'),
(20651,20651,'Gamlin',0,'',0,'Monster.gamlin',11,32,60,'male','L2Monster',40,3054,1150,20.54,2.45,40,43,30,21,20,10,4097,355,782,405,478,299,278,0,333,0,0,0,88,187,'giant_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20652,20652,'Leogul',0,'',0,'Monster.leogul',15,35,61,'male','L2Monster',40,3137,1184,23.7,2.78,40,43,30,21,20,10,4320,380,819,416,505,307,278,500,333,0,0,0,88,187,'giant_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20653,20653,'Lesser Giant',0,'',0,'Monster.lesser_giant',21,44,61,'male','L2Monster',40,3137,1184,35.55,2.78,40,43,30,21,20,10,4058,357,901,378,505,307,278,0,333,3937,0,0,16,198,'giant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20654,20654,'Lesser Giant Soldier',0,'',0,'Monster.lesser_giant',21,44,62,'male','L2Monster',40,3219,1217,35.55,2.78,40,43,30,21,20,10,6224,554,1142,321,532,315,278,0,333,3937,0,0,16,198,'giant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20655,20655,'Lesser Giant Shooter',0,'',0,'Monster.lesser_giant_shooter',21,44,63,'male','L2Monster',500,3302,1251,35.55,2.78,40,43,30,21,20,10,5085,459,2194,398,560,323,249,500,333,4028,0,0,88,198,'giant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20656,20656,'Lesser Giant Scout',0,'',0,'Monster.lesser_giant_shooter',21,44,63,'male','L2Monster',500,3302,1251,35.55,2.78,40,43,30,21,20,10,4639,419,2194,338,560,323,249,500,333,4028,0,0,88,198,'giant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20657,20657,'Lesser Giant Mage',0,'',0,'Monster.lesser_giant_mage',21,44,64,'male','L2Monster',40,3384,1285,23.7,2.78,40,43,30,21,20,10,5511,504,1135,371,589,331,278,0,333,3938,0,0,16,198,'giant_clan',300,0,0,'LAST_HIT',0,100,30,'mage','false'),
(20658,20658,'Lesser Giant Elder',0,'',0,'Monster.lesser_giant_mage',21,44,65,'male','L2Monster',40,3465,1319,23.7,2.78,40,43,30,21,20,10,5324,494,1184,380,619,340,278,0,333,3938,0,0,16,198,'giant_clan',300,0,0,'LAST_HIT',0,100,30,'mage','false'),
(20659,20659,'Grave Wanderer',0,'',0,'Monster.zombie',13,21,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,4123,287,377,238,188,193,278,0,333,0,0,0,16,16,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20660,20660,'Archer of Greed',0,'',0,'Monster.skeleton_archer',11,27,46,'male','L2Monster',500,1943,707,8.69,2.14,40,43,30,21,20,10,4048,287,982,190,202,199,249,500,333,14,0,0,44,191,'NULL',0,1,0,'LAST_HIT',100,0,30,'archer','true'),
(20661,20661,'Hatar Ratman Thief',0,'',0,'Monster.wererat',14,25,47,'male','L2Monster',40,2016,738,8.69,2.14,40,43,30,21,20,10,3823,274,373,253,216,206,317,0,333,946,0,0,88,191,'hatar_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20662,20662,'Hatar Ratman Boss',0,'',0,'Monster.wererat',14,25,48,'male','L2Monster',40,2091,768,8.69,2.14,40,43,30,21,20,10,3987,291,396,261,231,212,317,0,333,221,0,0,88,191,'hatar_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20663,20663,'Hatar Hanishee',0,'',0,'Monster.medusa',10,25,49,'female','L2Monster',40,2168,799,8.69,2.14,40,43,30,21,20,10,3492,258,529,245,247,219,278,0,333,0,0,0,55,191,'hatar_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20664,20664,'Deprive',0,'',0,'Monster.field_stalker',15,30,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,3672,277,560,253,264,226,278,500,333,0,0,0,77,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20665,20665,'Taik Orc Supply',0,'',0,'Monster.ketra_orc',12,29,51,'male','L2Monster',40,2323,861,10.27,2.45,40,43,30,21,20,10,4501,343,490,315,281,232,278,0,333,69,0,0,49,191,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20666,20666,'Taik Orc Seeker',0,'',0,'Monster.ketra_orc',12,29,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,4679,362,627,268,300,239,278,0,333,72,0,0,49,191,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20667,20667,'Farcran',0,'',0,'Monster.crimson_bear',19,36,53,'male','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,4813,378,602,304,319,247,278,0,333,0,0,0,40,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20668,20668,'Grave Guard',0,'',0,'Monster.gargoyle',16,50,54,'male','L2Monster',40,2562,955,10.27,2.45,40,43,30,21,20,10,4283,341,578,344,339,254,278,500,333,0,0,0,140,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20669,20669,'Taik Orc Supply Leader',0,'',0,'Monster.ketra_orc_warrior',12,24,55,'male','L2Monster',40,2643,987,10.27,2.45,40,43,30,21,20,10,5340,431,737,292,360,261,278,500,333,75,0,0,36,174,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20670,20670,'Crimson Drake',0,'',0,'Monster.drake',30,100,61,'male','L2Monster',40,3137,1184,11.85,2.78,40,43,30,21,20,10,5465,481,992,344,505,307,278,200,333,0,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20671,20671,'Kadios',0,'',0,'Monster.devastator',35,35,62,'male','L2Monster',40,3219,1217,11.85,2.78,40,43,30,21,20,10,5702,508,1038,353,532,315,278,200,333,0,0,0,25,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20672,20672,'Trives',0,'',0,'Monster.serpent_slave',17,46,63,'male','L2Monster',40,3302,1251,11.85,2.78,40,43,30,21,20,10,5772,521,897,438,560,323,278,0,333,127,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20673,20673,'Falibati',0,'',0,'Monster.cave_maiden',25,65,64,'female','L2Monster',40,3384,1285,11.85,2.78,40,43,30,21,20,10,6016,551,938,449,589,331,278,300,333,73,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20674,20674,'Doom Knight',0,'',0,'Monster.death_blader',15,45,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,8649,804,1184,380,619,340,278,300,333,1472,0,0,100,174,'doom_clan',300,1,10,'LAST_HIT',100,0,30,'fighter','false'),
(20675,20675,'Tairim',0,'',0,'Monster.will_o_wisp',13,22,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,3817,288,463,306,264,226,278,0,333,0,0,0,88,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20676,20676,'Judge of Marsh',0,'',0,'Monster.hanged_man_ripper',35,80,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,6205,577,1184,380,619,340,278,500,333,0,0,0,60,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20677,20677,'Tulben',0,'',0,'Monster.vampire_bat',10,33.5,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,6968,656,1123,428,649,348,278,0,333,0,0,0,66,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20678,20678,'Tortured Undead',0,'',0,'Monster.hungry_spirit',30,40,53,'male','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,4085,321,662,276,319,247,278,0,333,0,0,0,15,174,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20679,20679,'Marsh Stalker',0,'',0,'Monster.gargoyle',16,50,54,'male','L2Monster',40,2562,955,10.27,2.45,40,43,30,21,20,10,4199,335,636,313,339,254,278,0,333,0,0,0,140,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20680,20680,'Marsh Drake',0,'',0,'Monster.drake',30,100,55,'male','L2Monster',40,2643,987,10.27,2.45,40,43,30,21,20,10,4443,359,737,292,360,261,278,500,333,0,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20681,20681,'Vanor Silenos',0,'',0,'Monster.heltor_silenos',13,29,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,3092,215,377,238,188,193,278,0,333,88,0,0,37,191,'silenos_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20682,20682,'Vanor Silenos Grunt',0,'',0,'Monster.heltor_silenos',13,29,46,'male','L2Monster',40,1943,707,8.69,2.14,40,43,30,21,20,10,3077,218,401,245,202,199,278,0,333,158,18,0,37,191,'silenos_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20683,20683,'Vanor Silenos Scout',0,'',0,'Monster.heltor_silenos',13,29,47,'male','L2Monster',40,2016,738,8.69,2.14,40,43,30,21,20,10,4004,287,388,279,216,206,278,500,333,5,0,0,37,191,'silenos_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20684,20684,'Vanor Silenos Warrior',0,'',0,'Monster.heltor_silenos_warrior',13,31,48,'male','L2Monster',40,2091,768,8.69,2.14,40,43,30,21,20,10,4188,306,498,238,231,212,278,0,333,160,0,0,39,191,'silenos_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20685,20685,'Vanor Silenos Shaman',0,'',0,'Monster.heltor_silenos_shaman',13,32,49,'male','L2Monster',40,2168,799,8.69,2.14,40,43,30,21,20,10,3492,258,529,245,247,219,278,0,333,9,0,0,31,191,'silenos_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(20686,20686,'Vanor Silenos Chieftain',0,'',0,'Monster.heltor_silenos_chieftain',13,31.5,50,'male','L2Monster',40,2245,830,17.38,2.14,40,43,30,21,20,10,3637,274,463,306,264,226,278,0,333,75,0,0,29,191,'silenos_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20738,20738,'Kobold Looter Bepook',0,'',0,'Monster.kobold_bi',15,24,13,'male','L2Monster',40,339,147,7.9,1.21,40,43,30,21,20,10,663,26,33,63,11,56,278,500,333,4,0,0,51,121,'partisan_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20739,20739,'Bepook\'s Pet',0,'',0,'Monster.wolf',13,9,10,'male','L2Minion',40,257,120,1.58,0.91,40,43,30,21,20,10,439,14,27,50,8,49,278,0,333,0,0,0,26,121,'partisan_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20742,20742,'Mystical Weaver',0,'',0,'Monster.magical_weaver',11,20,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,684,32,62,113,28,83,278,0,333,0,0,0,99,99,'partisan_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20743,20743,'Howler',0,'',0,'Monster.werewolf',10,26,25,'male','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,843,42,80,127,37,94,278,500,333,0,0,0,55,132,'partisan_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20744,20744,'Red Eye Vampire Bat',0,'',0,'Monster.vampire_bat',10,33.5,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,684,32,75,93,28,83,278,0,333,0,0,0,66,88,'partisan_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20745,20745,'Gigantiops',0,'',0,'Monster.ant_soldier',35,17,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,2681,159,174,186,89,137,278,500,333,0,0,0,80,174,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20746,20746,'Young Gigantiops',0,'',0,'Monster.ant',26,15,31,'male','L2Minion',40,1004,381,7.11,1.84,40,43,30,21,20,10,2062,114,157,133,64,118,278,0,333,0,0,0,40,139,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20747,20747,'Roxide',0,'',0,'Monster.succubus',10,36,32,'female','L2Monster',40,1056,397,14.22,1.84,40,43,30,21,20,10,1459,82,169,138,69,123,278,500,333,0,0,0,66,174,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20748,20748,'Roxide Cohort',0,'',0,'Monster.spartoi',11,27,29,'male','L2Minion',40,906,349,11.06,1.53,40,43,30,21,20,10,1349,72,111,149,53,110,278,0,333,73,0,0,66,174,'demonic_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20749,20749,'Death Fire',0,'',0,'Monster.dre_vanul',14,36,32,'male','L2Monster',40,1056,397,14.22,1.84,40,43,30,21,20,10,1459,82,169,138,69,123,278,500,333,0,0,0,88,174,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20750,20750,'Fire Archer',0,'',0,'Monster.skeleton_archer',11,27,29,'male','L2Minion',500,906,349,11.06,1.53,40,43,30,21,20,10,1397,75,247,149,53,110,249,0,333,14,0,0,44,174,'demonic_clan',300,1,0,'LAST_HIT',100,0,30,'archer','false'),
(20751,20751,'Snipe',0,'',0,'Monster.onyx_beast',14,14.5,44,'male','L2Monster',40,1799,648,17.38,2.14,40,43,30,21,20,10,2259,155,390,209,176,187,278,0,333,0,0,0,30,120,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20752,20752,'Snipe Cohort',0,'',0,'Monster.onyx_beast',14,14.5,42,'male','L2Minion',40,1660,589,17.38,2.14,40,43,30,21,20,10,3290,219,283,237,152,175,278,0,333,0,0,0,30,120,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20753,20753,'Dark Lord',0,'',0,'Monster.death_blader',15,45,50,'male','L2Monster',40,2245,830,17.38,2.14,40,43,30,21,20,10,4282,322,463,306,264,226,278,500,333,1472,0,0,100,174,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20754,20754,'Dark Knight',0,'',0,'Monster.death_knight',12,31,48,'male','L2Monster',40,2091,768,17.38,2.14,40,43,30,21,20,10,4960,362,498,238,231,212,278,0,333,127,0,0,27,174,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20755,20755,'Talakin',0,'',0,'Monster.ol_mahum_champion',14,27,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1970,108,120,155,58,114,278,500,333,2,0,0,50,133,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20756,20756,'Talakin Archer',0,'',0,'Monster.ol_mahum_archer',14,25,28,'male','L2Minion',500,859,334,5.53,1.53,40,43,30,21,20,10,1884,99,228,143,49,106,247,0,333,14,0,0,50,133,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'archer','false'),
(20757,20757,'Talakin Raider',0,'',0,'Monster.ol_mahum',13.5,25,27,'male','L2Minion',40,813,318,5.53,1.53,40,43,30,21,20,10,1380,71,114,114,45,102,278,0,333,3,0,0,50,133,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20758,20758,'Dragon Bearer Chief',0,'',0,'Monster.spartoi',11,27,49,'male','L2Monster',40,2168,799,8.69,2.14,40,43,30,21,20,10,5255,389,437,297,247,219,278,500,333,123,945,0,60,174,'cave_servant_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20759,20759,'Dragon Bearer Warrior',0,'',0,'Monster.skeleton',11,25,48,'male','L2Minion',40,2091,768,8.69,2.14,40,43,30,21,20,10,4944,361,498,238,231,212,278,0,333,2,945,0,60,174,'cave_servant_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20760,20760,'Dragon Bearer Archer',0,'',0,'Monster.skeleton_archer',11,27,47,'male','L2Minion',500,2016,738,8.69,2.14,40,43,30,21,20,10,5137,368,862,279,216,206,247,0,333,14,0,0,40,174,'cave_servant_clan',300,1,0,'LAST_HIT',100,0,30,'archer','false'),
(20761,20761,'Pytan',0,'',0,'Monster.bloody_queen',14,40,69,'female','L2Monster',40,3784,1458,35.55,2.78,40,43,30,21,20,10,6633,649,1392,418,746,373,278,500,333,0,0,0,88,191,'malruk_clan',500,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(20762,20762,'Pytan Knight',0,'',0,'Monster.death_blader',15,45,68,'male','L2Minion',40,3706,1423,23.7,2.78,40,43,30,21,20,10,7021,678,1106,494,713,365,278,0,333,1472,0,0,110,191,'malruk_clan',500,1,10,'LAST_HIT',100,0,30,'fighter','false'),
(20763,20763,'Lord of the Plains',0,'',0,'Monster.zenta_lizardman_matriarch',20,40,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,3869,250,217,222,131,164,317,500,333,221,0,0,53,174,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20764,20764,'Shaman of the Plains',0,'',0,'Monster.zenta_lizardman_shaman',13,35,39,'male','L2Minion',40,1462,514,7.11,1.84,40,43,30,21,20,10,3457,220,231,214,121,158,278,0,333,179,0,0,43,174,'lizardman_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20765,20765,'Warrior of the Plains',0,'',0,'Monster.zenta_lizardman_warrior',13,35,38,'male','L2Minion',40,1400,497,7.11,1.84,40,43,30,21,20,10,2992,187,261,171,112,153,278,0,333,16,0,0,40,174,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20766,20766,'Scout of the Plains',0,'',0,'Monster.zenta_lizardman_scout',11,30,36,'male','L2Minion',500,1279,463,7.11,1.84,40,43,30,21,20,10,2659,161,417,193,96,142,247,0,333,14,0,0,37,174,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20767,20767,'Timak Orc Troop Leader',0,'',0,'Monster.batur_orc_overlord',12,24,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,4801,334,415,216,188,193,278,0,333,79,0,0,80,174,'orc_clan',300,0,3,'LAST_HIT',100,0,30,'fighter','false'),
(20768,20768,'Timak Orc Troop Shaman',0,'',0,'Monster.batur_orc_shaman',11,16,44,'male','L2Monster',40,1799,648,8.69,2.14,40,43,30,21,20,10,4632,317,390,209,176,187,278,0,333,7,0,0,50,174,'orc_clan',300,0,3,'LAST_HIT',0,100,30,'balanced','false'),
(20769,20769,'Timak Orc Troop Warrior',0,'',0,'Monster.batur_orc_warrior',10,20,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,3684,249,365,202,163,181,278,0,333,123,19,0,80,174,'orc_clan',300,0,2,'LAST_HIT',100,0,30,'fighter','false'),
(20770,20770,'Timak Orc Troop Archer',0,'',0,'Monster.batur_orc_archer',11,21.5,41,'male','L2Monster',500,1593,560,8.69,2.14,40,43,30,21,20,10,4319,283,713,189,141,169,247,0,333,13,0,0,45,174,'orc_clan',300,0,2,'LAST_HIT',100,0,30,'archer','false'),
(20771,20771,'Barif',0,'',0,'Monster.lesser_giant_mage',21,44,64,'male','L2Monster',40,3384,1285,23.7,2.78,40,43,30,21,20,10,6515,596,938,449,589,331,278,500,333,3938,0,0,16,198,'giant_clan',400,0,0,'LAST_HIT',0,100,30,'mage','false'),
(20772,20772,'Barif\'s Pet',0,'',0,'Monster.leogul',15,35,61,'male','L2Minion',40,3137,1184,23.7,2.78,40,43,30,21,20,10,6332,557,992,344,505,307,278,0,333,0,0,0,88,187,'giant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20773,20773,'Conjurer Bat Lord',0,'',0,'Monster.vampire_bat',10,33.5,72,'male','L2Monster',40,4013,1565,13.43,3.09,40,43,30,21,20,10,10535,1070,1284,540,849,399,278,500,333,0,0,0,60,174,'giant_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','false'),
(20774,20774,'Conjurer Bat',0,'',0,'Monster.vampire_bat',10,33.5,70,'male','L2Minion',40,3862,1493,11.85,2.78,40,43,30,21,20,10,11140,1105,1194,517,780,382,278,0,333,0,0,0,60,174,'giant_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','false'),
(20775,20775,'Bugbear Raider',0,'',0,'Monster.bugbear',17,35,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,599,25,48,75,17,67,278,0,333,0,0,0,60,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20776,20776,'Dark Succubus',0,'',0,'Monster.succubus',10,36,20,'female','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,783,35,57,94,23,76,278,0,333,0,0,0,66,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20777,20777,'Hunter Bear',0,'',0,'Monster.grizzly',21,40,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,498,19,37,66,12,59,278,0,333,0,0,0,44,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(20778,20778,'Ragna Orc Overlord',0,'',0,'Monster.orc_champion',10,23,39,'male','L2Monster',40,1462,514,7.11,1.84,40,43,30,21,20,10,2477,157,231,214,121,158,278,0,333,2,0,0,49,191,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20779,20779,'Ragna Orc Seer',0,'',0,'Monster.orc_shaman',9,22,39,'male','L2Monster',40,1462,514,7.11,1.84,40,43,30,21,20,10,2212,141,231,214,121,158,278,0,333,7,0,0,49,191,'orc_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20780,20780,'Bloody Axe Elite',0,'',0,'Monster.ol_mahum_champion',14,27,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,1799,106,174,186,89,137,278,500,333,2,0,0,50,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20781,20781,'Delu Lizardman Shaman',0,'',0,'Monster.virud_lizardman_shaman',10,29,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,1781,105,211,154,89,137,278,0,333,7,0,0,43,174,'lizardman_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(20782,20782,'Ol Mahum Novice',0,'',0,'Monster.ol_mahum',13.5,25,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,618,26,44,83,17,67,278,500,333,1,0,0,50,110,'ol_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20783,20783,'Dread Wolf',0,'',0,'Monster.dire_wolf',13,11,35,'male','L2Monster',40,1220,446,3.56,1.84,40,43,30,21,20,10,1635,96,256,127,89,137,278,500,333,0,0,0,24,140,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20784,20784,'Tasaba Lizardman',0,'',0,'Monster.virud_lizardman_scout',10,22,36,'male','L2Monster',500,1279,463,3.56,1.84,40,43,30,21,20,10,1852,112,505,159,96,142,247,0,333,2507,0,0,43,140,'lizardman_clan1',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20785,20785,'Tasaba Lizardman Shaman',0,'',0,'Monster.virud_lizardman_shaman',10,29,37,'male','L2Monster',40,1338,480,3.56,1.84,40,43,30,21,20,10,1791,110,244,140,104,147,278,0,333,7,0,0,43,140,'lizardman_clan1',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(20786,20786,'Lienrik',0,'',0,'Monster.lienrik',12,50,39,'male','L2Monster',40,1462,514,3.56,1.84,40,43,30,21,20,10,1990,126,297,146,121,158,317,0,333,0,0,0,100,150,'lienrik_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20787,20787,'Lienrik Lad',0,'',0,'Monster.lienrik',12,50,40,'male','L2Monster',40,1527,531,3.56,1.84,40,43,30,21,20,10,2421,156,317,151,131,164,317,500,333,0,0,0,110,191,'lienrik_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20788,20788,'Rakul',0,'',0,'Monster.rakul',30,39,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,2120,125,192,169,89,137,278,0,333,3,0,0,60,174,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(20789,20789,'Crokian',0,'',0,'Monster.crokian',18,29,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,1999,121,187,193,96,142,278,500,333,5128,0,0,18,174,'croc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20790,20790,'Dailaon',0,'',0,'Monster.dailaon',20,28,37,'male','L2Monster',500,1338,480,7.11,1.84,40,43,30,21,20,10,2567,158,448,200,104,147,247,0,333,5127,0,0,18,174,'croc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20791,20791,'Crokian Warrior',0,'',0,'Monster.crokian',18,29,38,'male','L2Monster',40,1400,497,14.22,1.84,40,43,30,21,20,10,2211,138,261,171,112,153,278,500,333,5128,0,0,18,174,'croc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20792,20792,'Farhite',0,'',0,'Monster.farhite',16,31,39,'male','L2Monster',40,1462,514,14.22,1.84,40,43,30,21,20,10,2057,131,280,150,121,158,278,0,333,5131,0,0,15,174,'croc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20793,20793,'Nos',0,'',0,'Monster.nos',26,42,40,'male','L2Monster',40,1527,531,14.22,1.84,40,43,30,21,20,10,2251,145,300,183,131,164,278,500,333,5130,0,0,18,174,'croc_clan',300,0,2,'LAST_HIT',100,0,30,'fighter','true'),
(20794,20794,'Blade Stakato',0,'',0,'Monster.blade_stakato',15,36,41,'male','L2Monster',40,1593,560,17.38,2.14,40,43,30,21,20,10,2103,137,265,229,141,169,278,0,333,223,0,0,27,191,'stakato_clan',300,0,2,'LAST_HIT',100,0,30,'fighter','false'),
(20795,20795,'Blade Stakato Worker',0,'',0,'Monster.blade_stakato_worker',13,40,42,'male','L2Monster',40,1660,589,17.38,2.14,40,43,30,21,20,10,1988,132,272,215,152,175,317,0,333,226,0,0,27,191,'stakato_clan',300,0,2,'LAST_HIT',100,0,30,'fighter','false'),
(20796,20796,'Blade Stakato Warrior',0,'',0,'Monster.blade_stakato_soldier',15,38,43,'male','L2Monster',40,1728,618,17.38,2.14,40,43,30,21,20,10,2125,143,365,202,163,181,278,500,333,232,0,0,27,191,'stakato_clan',300,0,2,'LAST_HIT',100,0,30,'fighter','false'),
(20797,20797,'Blade Stakato Drone',0,'',0,'Monster.blade_stakato_drone',15,39,44,'male','L2Monster',40,1799,648,26.07,2.14,40,43,30,21,20,10,2154,147,390,178,176,187,278,0,333,74,0,0,27,191,'stakato_clan',300,0,3,'LAST_HIT',100,0,30,'fighter','false'),
(20798,20798,'Water Giant',0,'',0,'Monster.water_giant',13,44,45,'male','L2Monster',40,1870,677,17.38,2.14,40,43,30,21,20,10,2612,181,343,262,188,193,278,500,333,5132,0,0,38,191,'NULL',0,0,3,'LAST_HIT',100,0,30,'fighter','false'),
(20799,20799,'Queen Undine Lad',0,'',0,'Monster.undine',12,27,46,'female','L2Monster',40,1943,707,17.38,2.14,40,43,30,21,20,10,2630,186,442,190,202,199,278,0,333,0,0,0,66,191,'NULL',0,0,3,'LAST_HIT',100,0,30,'fighter','false'),
(20800,20800,'Eva\'s Seeker',0,'',0,'Monster.field_stalker',15,30,47,'male','L2Monster',40,2016,738,17.38,2.14,40,43,30,21,20,10,2465,176,388,279,216,206,278,0,333,0,0,0,77,191,'NULL',0,0,4,'LAST_HIT',100,0,30,'fighter','false'),
(20801,20801,'Theeder Piker',0,'',0,'Monster.theeder',9,32,48,'male','L2Monster',80,2091,768,17.38,2.14,40,43,30,21,20,10,2972,217,481,288,231,212,237,500,333,302,0,0,88,191,'theeder_clan',300,0,4,'LAST_HIT',100,0,30,'fighter','false'),
(20802,20802,'Theeder Mage',0,'',0,'Monster.theeder',9,32,49,'male','L2Monster',40,2168,799,17.38,2.14,40,43,30,21,20,10,3025,223,529,208,247,219,278,0,333,192,0,0,88,191,'theeder_clan',300,0,4,'LAST_HIT',100,0,30,'fighter','false'),
(20803,20803,'Doll Master',0,'',0,'Monster.doll_master',20,42,50,'male','L2Monster',40,2245,830,26.07,2.14,40,43,30,21,20,10,3949,297,616,230,264,226,278,500,333,0,0,0,88,191,'NULL',0,1,5,'LAST_HIT',100,0,30,'fighter','false'),
(20804,20804,'Crokian Lad',0,'',0,'Monster.crokian_100_bi',36,61,41,'male','L2Monster',40,1593,560,17.38,2.14,40,43,30,21,20,10,2574,168,291,208,141,169,278,500,333,5128,0,0,18,174,'croc_clan2',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20805,20805,'Dailaon Lad',0,'',0,'Monster.dailaon_100_bi',40,58,42,'male','L2Monster',500,1660,589,17.38,2.14,40,43,30,21,20,10,2790,186,762,196,152,175,247,0,333,5127,0,0,18,174,'croc_clan2',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20806,20806,'Crokian Lad Warrior',0,'',0,'Monster.crokian_100_bi',36,61,43,'male','L2Monster',40,1728,618,17.38,2.14,40,43,30,21,20,10,2678,181,365,202,163,181,278,500,333,5128,0,0,18,174,'croc_clan2',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20807,20807,'Farhite Lad',0,'',0,'Monster.farhite_50_bi',24,48,44,'male','L2Monster',40,1799,648,17.38,2.14,40,43,30,21,20,10,2817,193,390,178,176,187,278,0,333,5131,0,0,15,174,'croc_clan2',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20808,20808,'Nos Lad',0,'',0,'Monster.nos_100_bi',52,86,45,'male','L2Monster',40,1870,677,17.38,2.14,40,43,30,21,20,10,3487,242,343,262,188,193,278,500,333,128,0,0,18,174,'croc_clan2',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20809,20809,'Ghost of the Tower',0,'',0,'Monster.human_ghost',8,22,60,'male','L2Monster',40,3054,1150,30.81,2.45,40,43,30,21,20,10,4045,351,860,368,478,299,278,500,333,0,0,0,80,143,'tower_ghost_clan',400,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20810,20810,'Seer of Hallate',0,'',0,'Monster.field_stalker',15,30,60,'male','L2Monster',40,3054,1150,30.81,2.45,40,43,30,21,20,10,4045,351,946,335,478,299,278,500,333,0,0,0,70,170,'hallate_clan',400,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20811,20811,'Ghastly Warrior',0,'',0,'Monster.unpleasant_humming',12,26,61,'male','L2Monster',40,3137,1184,35.55,2.78,40,43,30,21,20,10,4769,419,717,416,505,307,412,500,333,0,0,0,21,150,'tower_ghost_clan',400,1,0,'LAST_HIT',100,0,30,'balanced','false'),
(20812,20812,'Archer of Despair',0,'',0,'Monster.skeleton_archer',11,27,61,'male','L2Monster',500,3137,1184,35.55,2.78,40,43,30,21,20,10,4708,414,2204,292,505,307,247,500,333,284,0,0,40,160,'tower_ghost_clan',400,1,0,'LAST_HIT',100,0,30,'archer','false'),
(20813,20813,'Crendion',0,'',0,'Monster.liviona',15,28,62,'male','L2Monster',40,3219,1217,35.55,2.78,40,43,30,21,20,10,4276,381,944,388,532,315,278,500,333,0,0,0,80,160,'tower_ghost_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20814,20814,'Blader of Despair',0,'',0,'Monster.spartoi',11,27,62,'male','L2Monster',80,3219,1217,35.55,2.78,40,43,30,21,20,10,4938,440,1212,353,532,315,236,500,333,79,0,0,60,143,'tower_ghost_clan',400,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20815,20815,'Hound Dog of Hallate',0,'',0,'Monster.dire_wolf',13,11,63,'male','L2Monster',40,3302,1251,47.4,2.78,40,43,30,21,20,10,4583,413,897,438,560,323,278,500,333,0,0,0,24,165,'hallate_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20816,20816,'Hallate\'s Royal Guard',0,'',0,'Monster.skeleton_royal_guard',11,28.5,63,'male','L2Monster',40,3302,1251,35.55,2.78,40,43,30,21,20,10,5098,460,785,438,560,323,317,500,333,946,945,0,80,164,'hallate_clan',400,1,0,'LAST_HIT',100,0,30,'balanced','false'),
(20817,20817,'Corrupt Sage',0,'',0,'Monster.vale_master',12,40,64,'male','L2Monster',40,3384,1285,35.55,2.78,40,43,30,21,20,10,5315,486,1135,315,589,331,278,500,333,210,0,0,77,176,'tower_ghost_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20818,20818,'Hallate\'s Warrior',0,'',0,'Monster.skeleton_knight',10,25,64,'male','L2Monster',40,3384,1285,35.55,2.78,40,43,30,21,20,10,4926,451,1135,371,589,331,278,500,333,78,0,0,44,176,'hallate_clan',400,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20819,20819,'Archer of Abyss',0,'',0,'Monster.fiend_archer',17,55,65,'male','L2Monster',500,3465,1319,35.55,2.78,40,43,30,21,20,10,4889,454,2632,380,619,340,249,500,333,0,0,0,77,181,'tower_ghost_clan',400,0,0,'LAST_HIT',100,0,30,'archer','false'),
(20820,20820,'Hallate\'s Knight',0,'',0,'Monster.death_knight',12,31,65,'male','L2Monster',40,3465,1319,47.4,2.78,40,43,30,21,20,10,7310,679,979,460,619,340,278,500,333,80,0,0,29,176,'hallate_clan',400,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20821,20821,'Erin Ediunce',0,'',0,'Monster.banshee',9,23,66,'female','L2Monster',40,3546,1353,47.4,2.78,40,43,30,21,20,10,5335,502,1020,401,649,348,278,500,333,3939,0,0,88,181,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(20822,20822,'Hallate\'s Maid',0,'',0,'Monster.bloody_queen',14,40,66,'female','L2Monster',40,3546,1353,47.4,2.78,40,43,30,21,20,10,4964,467,893,471,649,348,317,500,333,0,0,0,88,176,'hallate_clan',400,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20823,20823,'Platinum Tribe Soldier',0,'',0,'Monster.kel_mahum',13,26,67,'male','L2Monster',40,3626,1388,47.4,2.78,40,43,30,21,20,10,5764,549,1126,399,681,356,317,500,333,242,0,0,55,176,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(20824,20824,'Hallate\'s Commander',0,'',0,'Monster.death_blader',15,45,67,'male','L2Monster',40,3626,1388,47.4,2.78,40,43,30,21,20,10,5184,493,1286,399,681,356,278,500,333,1472,0,0,110,187,'hallate_clan',400,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20825,20825,'Hallate\'s Inspector',0,'',0,'Monster.karik_25_bi',31,110,68,'male','L2Monster',40,3706,1423,47.4,2.78,40,43,30,21,20,10,5414,523,1339,408,713,365,278,500,333,0,0,0,40,187,'hallate_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20826,20826,'Platinum Tribe Archer',0,'',0,'Monster.kel_mahum_archer',13,27,68,'male','L2Monster',500,3706,1423,35.55,2.78,40,43,30,21,20,10,7650,739,2975,347,713,365,249,500,333,288,0,0,55,176,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'archer','false'),
(20827,20827,'Platinum Tribe Warrior',0,'',0,'Monster.kel_mahum_warrior',13,28,69,'male','L2Monster',40,3784,1458,47.4,2.78,40,43,30,21,20,10,5991,586,1150,506,746,373,278,500,333,148,0,0,55,176,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(20828,20828,'Platinum Tribe Shaman',0,'',0,'Monster.kel_mahum_witch_doctor',13,25,70,'male','L2Monster',40,3862,1493,59.25,2.78,40,43,30,21,20,10,5881,583,1445,427,780,382,278,500,333,202,0,0,55,176,'tower_guard_clan',400,0,10,'LAST_HIT',0,100,30,'mage','false'),
(20829,20829,'Platinum Tribe Overlord',0,'',0,'Monster.kel_mahum_champion',13,32,71,'male','L2Monster',40,3938,1529,67.15,3.09,40,43,30,21,20,10,8449,847,1239,529,814,390,278,500,333,147,0,0,55,187,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'balanced','false'),
(20830,20830,'Guardian Angel',0,'',0,'Monster.angel',13.5,36.5,72,'male','L2Monster',40,4013,1565,53.72,3.09,40,43,30,21,20,10,0,0,1710,406,849,399,278,500,333,148,0,0,33,187,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(20831,20831,'Seal Angel',0,'',0,'Monster.angel',13.5,36.5,73,'male','L2Monster',40,4086,1601,67.15,3.09,40,43,30,21,20,10,0,0,1770,415,885,407,278,500,333,148,0,0,30,170,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(20832,20832,'Zaken\'s Pikeman',0,'',0,'Monster.skeleton_pikeman',10,28,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,2720,184,249,252,163,181,278,500,333,292,0,0,50,174,'undead_clan1',300,1,0,'LAST_HIT',100,0,30,'balanced','false'),
(20833,20833,'Zaken\'s Archer',0,'',0,'Monster.skeleton_archer',11,27,44,'male','L2Monster',500,1799,648,8.69,2.14,40,43,30,21,20,10,3025,207,592,260,176,187,247,0,333,279,0,0,40,174,'undead_clan1',300,1,0,'LAST_HIT',100,0,30,'archer','false'),
(20834,20834,'Mardian',0,'',0,'Monster.giant_spider',26,25.5,42,'male','L2Monster',40,1660,589,17.38,2.14,40,43,30,21,20,10,2251,150,342,196,152,175,278,500,333,0,0,0,79,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20835,20835,'Zaken\'s Seer',0,'',0,'Monster.liviona',15,28,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,2478,172,283,269,188,193,278,500,333,0,0,0,80,174,'NULL',0,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20836,20836,'Pirate Zombie',0,'',0,'Monster.pirates_zombie',10,23,44,'male','L2Monster',40,1799,648,17.38,2.14,40,43,30,21,20,10,2832,194,341,209,176,187,317,0,333,225,0,0,11,174,'undead_clan1',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20837,20837,'Tainted Ogre',0,'',0,'Monster.ogre',21,44,45,'male','L2Monster',40,1870,677,17.38,2.14,40,43,30,21,20,10,2565,178,577,216,188,193,200,500,333,194,0,0,24,191,'undead_clan1',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20838,20838,'Bloody Bat',0,'',0,'Monster.vampire_bat',10,33.5,45,'male','L2Monster',40,1870,677,17.38,2.14,40,43,30,21,20,10,2405,167,300,262,188,193,317,0,333,0,0,0,66,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20839,20839,'Unpleasant Humming',0,'',0,'Monster.unpleasant_humming',12,26,46,'male','L2Monster',40,1943,707,8.69,2.14,40,43,30,21,20,10,2877,204,301,327,202,199,278,500,333,0,0,0,21,174,'undead_clan',300,1,3,'LAST_HIT',100,0,30,'balanced','false'),
(20840,20840,'Death Flyer',0,'',0,'Monster.dark_horror',20,35,47,'male','L2Monster',40,2016,738,8.69,2.14,40,43,30,21,20,10,2971,213,320,287,216,206,278,0,333,0,0,0,100,174,'undead_clan',300,1,4,'LAST_HIT',100,0,30,'balanced','false'),
(20841,20841,'Fiend Archer',0,'',0,'Monster.fiend_archer',17,55,48,'male','L2Monster',500,2091,768,8.69,2.14,40,43,30,21,20,10,3052,223,757,296,231,212,247,500,333,0,0,0,70,174,'demonic_clan',300,0,4,'LAST_HIT',100,0,30,'archer','false'),
(20842,20842,'Musveren',0,'',0,'Monster.field_stalker',15,30,49,'male','L2Monster',40,2168,799,8.69,2.14,40,43,30,21,20,10,2910,215,361,359,247,219,278,0,333,0,0,0,70,174,'undead_clan',300,0,4,'LAST_HIT',100,0,30,'balanced','false'),
(20843,20843,'Zaken\'s Royal Guard',0,'',0,'Monster.skeleton_royal_guard',11,28.5,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,3677,277,335,370,264,226,317,500,333,225,945,0,80,174,'undead_clan',300,1,5,'LAST_HIT',100,0,30,'balanced','false'),
(20844,20844,'Kaim Vanul',0,'',0,'Monster.kaim_vanul',24,40,51,'male','L2Monster',40,2323,861,10.27,2.45,40,43,30,21,20,10,3279,250,405,381,281,232,278,0,333,0,0,0,37,174,'demonic_clan',300,0,5,'LAST_HIT',100,0,30,'balanced','false'),
(20845,20845,'Pirate\'s Zombie Captain',0,'',0,'Monster.pirates_zombie_captain',17,28,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,4954,383,375,393,300,239,317,500,333,232,0,0,14,174,'zaken_clan',300,1,5,'LAST_HIT',100,0,30,'balanced','false'),
(20846,20846,'Doll Blader',0,'',0,'Monster.doll_blader',6,12,53,'male','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,3931,309,396,344,319,247,317,0,333,5129,5129,0,22,174,'zaken_clan',300,0,6,'LAST_HIT',100,0,30,'balanced','false'),
(20847,20847,'Vale Master',0,'',0,'Monster.vale_master',12,40,54,'male','L2Monster',40,2562,955,10.27,2.45,40,43,30,21,20,10,3750,299,477,354,339,254,278,500,333,0,0,0,70,174,'zaken_clan',300,0,6,'LAST_HIT',0,100,30,'balanced','false'),
(20848,20848,'Light Bringer',0,'',0,'Monster.light_bringer',10,23,46,'male','L2Monster',40,1943,707,17.38,2.14,40,43,30,21,20,10,2432,172,401,245,202,199,278,500,333,0,0,0,60,174,'NULL',0,0,3,'LAST_HIT',100,0,30,'fighter','false'),
(20849,20849,'Light Worm',0,'',0,'Monster.light_worm',5,16,41,'male','L2Monster',40,1593,560,17.38,2.14,40,43,30,21,20,10,1932,126,265,229,141,169,278,500,333,0,0,0,66,191,'NULL',0,0,2,'LAST_HIT',100,0,30,'fighter','false'),
(20850,20850,'Golden Stag Lord',0,'',0,'Monster.golden_stag_lord',25,30,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,3152,237,509,278,264,226,278,0,333,0,0,0,38,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20851,20851,'Theeder',0,'',0,'Monster.theeder',9,32,47,'male','L2Monster',40,2016,738,8.69,2.14,40,43,30,21,20,10,2841,204,498,253,216,206,237,500,333,0,0,0,88,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20852,20852,'Banshee',0,'',0,'Monster.banshee',9,23,60,'female','L2Monster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,4450,386,828,335,478,299,317,500,333,3939,0,0,88,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20853,20853,'Kel Mahum',0,'',0,'Monster.kel_mahum',13,26,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,7824,727,942,418,619,340,317,500,333,242,0,0,55,191,'kel_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','false'),
(20854,20854,'Kel Mahum Warrior',0,'',0,'Monster.kel_mahum_warrior',13,28,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,7686,723,1235,389,649,348,278,500,333,148,0,0,55,191,'kel_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20855,20855,'Kel Mahum Archer',0,'',0,'Monster.kel_mahum_archer',13,27,67,'male','L2Monster',500,3626,1388,11.85,2.78,40,43,30,21,20,10,8900,848,2859,339,681,356,249,0,333,288,0,0,55,191,'kel_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'archer','false'),
(20856,20856,'Kel Mahum Shaman',0,'',0,'Monster.kel_mahum_witch_doctor',13,25,68,'male','L2Monster',40,3706,1423,11.85,2.78,40,43,30,21,20,10,6390,617,1339,347,713,365,278,500,333,202,0,0,55,191,'kel_mahum_clan',300,0,0,'LAST_HIT',0,100,30,'mage','false'),
(20857,20857,'Kel Mahum Champion',0,'',0,'Monster.kel_mahum_champion',13,32,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,8149,808,1445,427,780,382,278,500,333,147,0,0,55,191,'kel_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20858,20858,'Angel',0,'',0,'Monster.angel',13.5,36.5,72,'male','L2Monster',40,4013,1565,13.43,3.09,40,43,30,21,20,10,9102,925,1554,446,849,399,278,500,333,148,0,0,33,191,'tower_guard_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20859,20859,'Guardian Angel',0,'',0,'Monster.angel',13.5,36.5,72,'male','L2Monster',40,4013,1565,53.72,3.09,40,43,30,21,20,10,12443,1264,1554,446,849,399,278,500,333,148,0,0,33,187,'tower_guard_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20860,20860,'Seal Angel',0,'',0,'Monster.angel',13.5,36.5,73,'male','L2Monster',40,4086,1601,67.15,3.09,40,43,30,21,20,10,13949,1435,1330,552,885,407,278,500,333,148,0,0,33,187,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'balanced','false'),
(20861,20861,'Oel Mahum Champion',0,'',0,'Monster.oel_mahum_champion',23,61,56,'male','L2Monster',40,2724,1019,10.27,2.45,40,43,30,21,20,10,5533,454,777,301,382,269,278,500,333,127,0,0,73,191,'oel_mahum_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20862,20862,'Death Lord',0,'',0,'Monster.death_lord',21,40,75,'male','L2Monster',40,4229,1673,13.43,3.09,40,43,30,21,20,10,7774,820,1720,475,957,425,278,0,333,78,0,0,44,191,'demonic_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20919,20919,'Maille Lizardman',0,'',0,'Monster.virud_lizardman',10,23,20,'male','L2Monster',40,541,213,1.98,1.21,40,43,30,21,20,10,641,28,57,94,23,76,278,0,333,291,0,0,43,130,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20920,20920,'Maille Lizardman Scout',0,'',0,'Monster.virud_lizardman_scout',10,22,22,'male','L2Monster',500,611,242,2.77,1.53,40,43,30,21,20,10,1187,56,153,102,28,83,247,0,333,2507,0,0,43,130,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20921,20921,'Maille Lizardman Guard',0,'',0,'Monster.virud_lizardman',10,23,24,'male','L2Monster',40,687,272,2.77,1.53,40,43,30,21,20,10,858,42,81,111,34,90,278,500,333,291,0,0,43,130,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20922,20922,'Maille Lizardman Warrior',0,'',0,'Monster.virud_lizardman_warrior',12,30,26,'male','L2Monster',40,770,303,2.77,1.53,40,43,30,21,20,10,951,48,96,120,41,98,278,0,333,16,0,0,52,130,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20923,20923,'Maille Lizardman Shaman',0,'',0,'Monster.virud_lizardman_shaman',10,29,28,'male','L2Monster',40,859,334,2.77,1.53,40,43,30,21,20,10,1392,74,113,130,49,106,278,0,333,7,0,0,47,132,'lizardman_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(20924,20924,'Maille Lizardman Matriarch',0,'',0,'Monster.virud_lizardman_matriarch',13,37,30,'male','L2Monster',40,954,365,2.77,1.53,40,43,30,21,20,10,1708,94,132,140,58,114,278,500,333,69,627,0,61,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20925,20925,'Giant Araneid',0,'',0,'Monster.giant_spider',26,25.5,24,'male','L2Monster',40,687,272,2.77,1.53,40,43,30,21,20,10,875,44,81,94,34,90,278,0,333,0,0,0,72,130,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20926,20926,'Poison Araneid',0,'',0,'Monster.poison_spider',27,25.5,25,'male','L2Monster',40,728,287,2.77,1.53,40,43,30,21,20,10,1012,50,88,98,37,94,278,0,333,0,0,0,60,140,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20927,20927,'King of the Araneid',0,'',0,'Monster.giant_spider_50_bi',39,38,27,'male','L2Monster',40,813,318,2.77,1.53,40,43,30,21,20,10,1453,74,104,106,45,102,278,500,333,0,0,0,72,130,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20928,20928,'Hatu Weird Bee',0,'',0,'Monster.giant_bee',8,24.5,30,'male','L2Monster',40,954,365,2.77,1.53,40,43,30,21,20,10,1468,80,132,140,58,114,278,500,333,0,0,0,99,132,'hatu_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20929,20929,'Hatu Dire Wolf',0,'',0,'Monster.dire_wolf',13,11,32,'male','L2Monster',40,1056,397,3.56,1.84,40,43,30,21,20,10,1393,78,154,151,69,123,278,0,333,0,0,0,26,121,'hatu_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20930,20930,'Hatu Brown Bear',0,'',0,'Monster.grizzly',21,40,34,'male','L2Monster',40,1164,430,3.56,1.84,40,43,30,21,20,10,2195,128,178,163,82,132,278,300,333,0,0,0,44,157,'hatu_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20931,20931,'Hatu Onyx Beast',0,'',0,'Monster.onyx_beast',14,14.5,36,'male','L2Monster',40,1279,463,3.56,1.84,40,43,30,21,20,10,2035,124,206,175,96,142,278,0,333,0,0,0,30,174,'hatu_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20932,20932,'Hatu Crimson Bear',0,'',0,'Monster.crimson_bear',19,36,38,'male','L2Monster',40,1400,497,3.56,1.84,40,43,30,21,20,10,2688,168,238,188,112,153,278,0,333,0,0,0,37,174,'hatu_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20933,20933,'Hatu Windsus',0,'',0,'Monster.giant_wild_hog',35,27,40,'male','L2Monster',40,1527,531,3.56,1.84,40,43,30,21,20,10,3080,198,273,201,131,164,278,500,333,0,0,0,35,174,'hatu_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20934,20934,'Wasp Worker',0,'',0,'Monster.giant_bee_bi',8,32,35,'male','L2Monster',40,1220,446,3.56,1.84,40,43,30,21,20,10,1651,98,192,144,89,137,278,0,333,0,0,0,99,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20935,20935,'Wasp Leader',0,'',0,'Monster.giant_bee_100_bi',16,49,37,'male','L2Monster',40,1338,480,3.56,1.84,40,43,30,21,20,10,1809,112,222,154,104,147,278,300,333,0,0,0,90,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(20936,20936,'Tanor Silenos',0,'',0,'Monster.heltor_silenos',13,29,40,'male','L2Monster',40,1527,531,3.56,1.84,40,43,30,21,20,10,3443,222,273,201,131,164,278,0,333,88,0,0,34,174,'silenos_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20937,20937,'Tanor Silenos Grunt',0,'',0,'Monster.heltor_silenos',13,29,42,'male','L2Minion',40,1660,589,4.35,2.14,40,43,30,21,20,10,4498,300,311,215,152,175,278,0,333,158,18,0,34,174,'silenos_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20938,20938,'Tanor Silenos Scout',0,'',0,'Monster.heltor_silenos',13,29,44,'male','L2Minion',40,1799,648,4.35,2.14,40,43,30,21,20,10,4937,338,354,230,176,187,278,0,333,5,0,0,34,174,'silenos_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20939,20939,'Tanor Silenos Warrior',0,'',0,'Monster.heltor_silenos_warrior',13,31,46,'male','L2Minion',40,1943,707,4.35,2.14,40,43,30,21,20,10,5504,390,401,245,202,199,278,500,333,160,0,0,36,174,'silenos_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20940,20940,'Tanor Silenos Shaman',0,'',0,'Monster.heltor_silenos_shaman',13,32,48,'male','L2Minion',40,2091,768,4.35,2.14,40,43,30,21,20,10,6707,490,453,261,231,212,278,0,333,9,0,0,29,174,'silenos_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20941,20941,'Tanor Silenos Chieftain',0,'',0,'Monster.heltor_silenos_chieftain',13,31.5,50,'male','L2Monster',40,2245,830,4.35,2.14,40,43,30,21,20,10,6503,490,509,278,264,226,278,500,333,75,0,0,27,174,'silenos_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20942,20942,'Nightmare Guide',0,'',0,'Monster.harpy',10,42,43,'female','L2Minion',40,1728,618,4.35,2.14,40,43,30,21,20,10,3282,222,332,189,163,181,278,0,333,0,0,0,60,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20943,20943,'Nightmare Keeper',0,'',0,'Monster.harpy',10,42,45,'female','L2Minion',40,1870,677,4.35,2.14,40,43,30,21,20,10,4721,328,377,202,188,193,278,0,333,0,0,0,60,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20944,20944,'Nightmare Lord',0,'',0,'Monster.succubus_100_bi',20,75,47,'female','L2Monster',40,2016,738,4.35,2.14,40,43,30,21,20,10,4000,286,427,215,216,206,300,500,359,0,0,0,60,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20945,20945,'Cadeine',0,'',0,'Monster.hobgoblin',12,24,50,'male','L2Minion',40,2245,830,4.35,2.14,40,43,30,21,20,10,4483,338,509,278,264,226,278,0,333,127,625,0,45,174,'green_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20946,20946,'Sanhidro',0,'',0,'Monster.troll',21,35,52,'male','L2Minion',40,2402,892,5.14,2.45,40,43,30,21,20,10,6896,534,570,295,300,239,278,0,333,0,0,0,55,174,'green_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20947,20947,'Connabi',0,'',0,'Monster.bugbear',17,35,54,'male','L2Monster',40,2562,955,5.14,2.45,40,43,30,21,20,10,7437,592,636,313,339,254,300,0,359,88,0,0,55,174,'green_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20948,20948,'Bartal',0,'',0,'Monster.liviona',15,28,56,'male','L2Minion',40,2724,1019,5.14,2.45,40,43,30,21,20,10,7385,606,706,331,382,269,278,0,333,0,0,0,88,191,'green_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20949,20949,'Luminun',0,'',0,'Monster.twin_headed_giant',17,39,58,'male','L2Minion',40,2889,1084,5.14,2.45,40,43,30,21,20,10,8700,734,781,349,428,284,278,0,333,157,0,0,49,191,'green_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20950,20950,'Innersen',0,'',0,'Monster.king_bugbear',15,40,60,'male','L2Monster',40,3054,1150,5.14,2.45,40,43,30,21,20,10,9365,812,860,368,478,299,278,500,333,160,0,0,60,191,'green_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20951,20951,'Pobby\'s Maid',0,'',0,'Monster.manadragora',14,17.8,53,'female','L2Minion',40,2481,923,5.14,2.45,40,43,30,21,20,10,5037,396,602,258,319,247,278,0,333,0,0,0,80,174,'green_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20952,20952,'Pobby Escort',0,'',0,'Monster.mandragora_b',12,25.5,55,'female','L2Minion',40,2643,987,5.14,2.45,40,43,30,21,20,10,9101,734,670,273,360,261,278,0,333,0,0,0,80,174,'green_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20953,20953,'Pobby',0,'',0,'Monster.mandragora_a',15,26,57,'female','L2Monster',40,2806,1052,5.14,2.45,40,43,30,21,20,10,8452,702,743,289,405,276,278,500,333,0,0,0,80,174,'green_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20954,20954,'Hungered Corpse',0,'',0,'Monster.skeleton',11,25,60,'male','L2Minion',40,3054,1150,5.14,2.45,40,43,30,21,20,10,9985,866,860,368,478,299,278,0,333,123,945,0,60,180,'bloody_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20955,20955,'Ghostly Warrior',0,'',0,'Monster.skeleton_pikeman',10,28,62,'male','L2Minion',40,3219,1217,5.93,2.78,40,43,30,21,20,10,10662,950,944,388,532,315,278,0,333,299,0,0,50,180,'bloody_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20956,20956,'Past Knight',0,'',0,'Monster.skeleton_knight',10,25,64,'male','L2Monster',40,3384,1285,5.93,2.78,40,43,30,21,20,10,11588,1060,1031,408,589,331,278,500,333,150,103,0,40,174,'bloody_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20957,20957,'Nihil Invader',0,'',0,'Monster.skeleton_royal_guard',11,28.5,66,'male','L2Minion',40,3546,1353,5.93,2.78,40,43,30,21,20,10,12082,1138,1123,428,649,348,278,0,333,946,945,0,88,203,'bloody_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20958,20958,'Death Agent',0,'',0,'Monster.death_blader',15,45,68,'male','L2Minion',40,3706,1423,5.93,2.78,40,43,30,21,20,10,9018,872,1217,449,713,365,278,0,333,1472,0,0,110,214,'bloody_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20959,20959,'Dark Guard',0,'',0,'Monster.headless_knight',21,31,70,'male','L2Monster',40,3862,1493,5.93,2.78,40,43,30,21,20,10,13863,1374,1314,470,780,382,278,500,333,124,0,0,77,187,'bloody_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20960,20960,'Bloody Ghost',0,'',0,'Monster.succubus',10,36,64,'female','L2Minion',40,3384,1285,5.93,2.78,40,43,30,21,20,10,7988,732,1031,347,589,331,278,0,333,0,0,0,66,192,'bloody_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20961,20961,'Bloody Knight',0,'',0,'Monster.doll_blader',6,12,65,'male','L2Minion',40,3465,1319,5.93,2.78,40,43,30,21,20,10,11719,1088,1077,355,619,340,278,0,333,5129,5129,0,24,192,'bloody_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20962,20962,'Bloody Priest',0,'',0,'Monster.bloody_queen',14,40,66,'female','L2Minion',40,3546,1353,5.93,2.78,40,43,30,21,20,10,13045,1228,1123,364,649,348,278,0,333,0,0,0,88,203,'bloody_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(20963,20963,'Bloody Lord',0,'',0,'Monster.banshee',9,23,68,'female','L2Monster',40,3706,1423,5.93,2.78,40,43,30,21,20,10,9382,906,1217,382,713,365,278,500,333,3939,0,0,88,198,'bloody_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20964,20964,'Huge Footmark',0,'',0,'Monster.stone_golem',20,31,70,'male','L2Monster',40,3862,1493,5.93,2.78,40,43,30,21,20,10,13513,1340,1314,470,780,382,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20965,20965,'Chimera Piece',0,'',0,'LineageMonster.will_o_wisp',34,28,72,'male','L2Monster',40,4013,1565,6.72,3.09,40,43,30,21,20,10,14379,1460,1413,491,849,399,278,0,333,0,0,0,66,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20966,20966,'Changed Creation',0,'',0,'LineageMonster.leogul',30,100,74,'male','L2Monster',40,4158,1637,6.72,3.09,40,43,30,21,20,10,15493,1616,1513,512,921,416,278,0,333,0,0,0,77,203,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20967,20967,'Past Creature',0,'',0,'Monster.gamlin',11,32,76,'male','L2Monster',40,4297,1710,6.72,3.09,40,43,30,21,20,10,16021,1712,1614,534,994,433,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20968,20968,'Nonexistent Man',0,'',0,'Monster.susceptor',20,35,78,'male','L2Monster',40,4428,1784,6.72,3.09,40,43,30,21,20,10,15583,1706,1715,555,1069,451,278,0,333,0,0,0,29,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20969,20969,'Giant\'s Shadow',0,'',0,'Monster.lesser_giant_shooter',21,44,79,'male','L2Monster',500,4490,1821,6.72,3.09,40,43,30,21,20,10,13043,1446,3921,566,1107,459,249,0,333,4028,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(20970,20970,'Soldier of Ancient Times',0,'',0,'Monster.lesser_giant',21,44,73,'male','L2Monster',40,4086,1601,6.72,3.09,40,43,30,21,20,10,10913,1122,1463,426,885,407,278,0,333,3937,0,0,16,209,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20971,20971,'Warrior of Ancient Times',0,'',0,'Monster.lesser_giant',21,44,75,'male','L2Monster',40,4229,1673,6.72,3.09,40,43,30,21,20,10,15602,1646,1563,445,957,425,278,0,333,3937,0,0,16,203,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20972,20972,'Shaman of Ancient Times',0,'',0,'Monster.lesser_giant_mage',21,44,75,'male','L2Monster',40,4229,1673,6.72,3.09,40,43,30,21,20,10,10970,1158,1563,445,957,425,278,0,333,3938,0,0,16,214,'NULL',0,0,0,'LAST_HIT',0,100,30,'mage','false'),
(20973,20973,'Forgotten Ancient People',0,'',0,'Monster.lesser_giant_mage',21,44,77,'male','L2Monster',40,4364,1747,6.72,3.09,40,43,30,21,20,10,16958,1836,1664,463,1031,442,278,0,333,3938,0,0,16,203,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(20974,20974,'Spiteful Soul Leader',0,'',0,'Monster.skeleton_royal_guard_bi',16,44,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,11772,1094,1077,418,619,340,278,0,333,946,945,0,88,191,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20975,20975,'Spiteful Soul Wizard',0,'',0,'Monster.elf_ghost_50_bi',10,32,63,'male','L2Minion',40,3302,1251,11.85,2.78,40,43,30,21,20,10,10499,948,987,398,560,323,278,0,333,0,0,0,88,191,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20976,20976,'Spiteful Soul Fighter',0,'',0,'Monster.human_ghost_50_bi',12,33,62,'male','L2Minion',40,3219,1217,11.85,2.78,40,43,30,21,20,10,8911,794,944,388,532,315,278,0,333,0,0,0,88,191,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20977,20977,'Elmoradan\'s Lady',0,'',0,'Monster.banshee_50_bi',13.5,38,65,'female','L2Monster',40,3465,1319,23.7,2.78,40,43,30,21,20,10,7513,698,979,460,619,340,278,500,333,3939,0,0,88,176,'tower_ghost_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20978,20978,'Elmoradan\'s Archer Escort',0,'',0,'Monster.skeleton_archer',11,27,64,'male','L2Minion',500,3384,1285,23.7,2.78,40,43,30,21,20,10,7470,684,2522,315,589,331,249,0,333,284,0,0,44,154,'tower_ghost_clan',400,1,0,'LAST_HIT',100,0,30,'archer','false'),
(20979,20979,'Elmoradan\'s Maid',0,'',0,'Monster.doll_blader',6,12,64,'male','L2Minion',40,3384,1285,23.7,2.78,40,43,30,21,20,10,7141,654,1135,371,589,331,278,0,333,5129,5129,0,24,187,'tower_ghost_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20980,20980,'Hallate\'s Follower Mul',0,'',0,'Monster.vale_master',12,40,68,'male','L2Monster',40,3706,1423,23.7,2.78,40,43,30,21,20,10,7606,735,1339,408,713,365,278,500,333,210,0,0,77,187,'hallate_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20981,20981,'Mul\'s Wizard',0,'',0,'Monster.kaim_vanul_50_bi',36,60,67,'male','L2Minion',40,3626,1388,23.7,2.78,40,43,30,21,20,10,7564,720,1063,483,681,356,278,0,333,0,0,0,40,176,'hallate_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20982,20982,'Mul\'s Knight',0,'',0,'Monster.dre_vanul_100_bi',28,75,67,'male','L2Minion',40,3626,1388,23.7,2.78,40,43,30,21,20,10,6676,636,1126,399,681,356,317,0,333,0,0,0,88,157,'hallate_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20983,20983,'Binder',0,'',0,'Monster.kel_mahum_champion_50_bi',19,48,73,'male','L2Monster',40,4086,1601,26.86,3.09,40,43,30,21,20,10,10342,1064,1609,456,885,407,278,500,333,147,0,0,55,187,'tower_guard_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20984,20984,'Bound Warrior',0,'',0,'Monster.kel_mahum_warrior',13,28,72,'male','L2Monster',40,4013,1565,26.86,3.09,40,43,30,21,20,10,9719,987,1554,446,849,399,278,0,333,148,0,0,55,176,'tower_guard_clan',50,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20985,20985,'Bound Archer',0,'',0,'Monster.kel_mahum_archer',13,27,72,'male','L2Monster',500,4013,1565,26.86,3.09,40,43,30,21,20,10,9647,980,3454,379,849,399,249,0,333,288,0,0,55,187,'tower_guard_clan',50,0,0,'LAST_HIT',100,0,30,'archer','false'),
(20986,20986,'Sairon',0,'',0,'Monster.doll_blader_50_bi',9,20.5,54,'male','L2Monster',40,2562,955,20.54,2.45,40,43,30,21,20,10,5524,440,636,313,339,254,278,500,333,5129,5129,0,22,174,'demonic_clan',300,0,6,'LAST_HIT',100,0,30,'fighter','false'),
(20987,20987,'Sairon\'s Doll',0,'',0,'Monster.doll_blader',6,12,53,'male','L2Minion',40,2481,923,20.54,2.45,40,43,30,21,20,10,5025,395,602,304,319,247,278,0,333,5129,5129,0,22,174,'NULL',0,0,6,'LAST_HIT',100,0,30,'fighter','false'),
(20988,20988,'Sairon\'s Puppet',0,'',0,'Monster.doll_blader',6,12,53,'male','L2Minion',40,2481,923,20.54,2.45,40,43,30,21,20,10,5527,434,602,304,319,247,278,0,333,5129,5129,0,22,174,'NULL',0,0,6,'LAST_HIT',100,0,30,'fighter','false'),
(20989,20989,'Lageos',0,'',0,'Monster.marsh_stakato_drone_50_bi',13,37,38,'male','L2Monster',40,1400,497,7.11,1.84,40,43,30,21,20,10,2749,171,238,188,112,153,278,0,333,182,0,0,80,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20990,20990,'Pageos',0,'',0,'Monster.marsh_stakato_soldier',10,25,38,'male','L2Minion',40,1400,497,7.11,1.84,40,43,30,21,20,10,2609,163,238,188,112,153,278,0,333,128,0,0,30,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20991,20991,'Swamp Tribe',0,'',0,'Monster.farhite_50_bi',24,48,45,'male','L2Monster',40,1870,677,17.38,2.14,40,43,30,21,20,10,5139,357,377,238,188,193,278,500,333,5131,0,0,15,174,'croc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20992,20992,'Swamp Alligator',0,'',0,'Monster.crokian',18,29,44,'male','L2Minion',40,1799,648,17.38,2.14,40,43,30,21,20,10,4600,315,354,230,176,187,278,0,333,5128,0,0,18,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20993,20993,'Swamp Warrior',0,'',0,'Monster.dailaon',20,28,44,'male','L2Minion',500,1799,648,17.38,2.14,40,43,30,21,20,10,4881,334,788,230,176,187,247,0,333,5127,0,0,18,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(20994,20994,'Garden Guard Leader',0,'',0,'Monster.doll_master_50_bi',30,63,50,'male','L2Monster',40,2245,830,17.38,2.14,40,43,30,21,20,10,6194,466,560,253,264,226,278,500,333,0,0,0,88,191,'theeder_clan',300,1,5,'LAST_HIT',100,0,30,'fighter','false'),
(20995,20995,'Garden Guard',0,'',0,'Monster.theeder',9,32,48,'male','L2Minion',40,2091,768,17.38,2.14,40,43,30,21,20,10,4222,308,453,261,231,212,278,0,333,94,0,0,88,191,'NULL',0,0,4,'LAST_HIT',100,0,30,'fighter','false'),
(20996,20996,'Spiteful Ghost of Ruins',0,'',0,'Monster.zombie',13,21,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,5349,403,560,253,264,226,278,500,333,0,0,0,16,16,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20997,20997,'Soldier of Grief',0,'',0,'Monster.unpleasant_humming',12,26,51,'male','L2Monster',40,2323,861,10.27,2.45,40,43,30,21,20,10,3782,288,593,260,281,232,278,0,333,0,0,0,23,165,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20998,20998,'Cruel Punisher',0,'',0,'Monster.hungry_spirit',30,40,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,4168,322,518,324,300,239,278,0,333,0,0,0,16,132,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(20999,20999,'Roving Soul',0,'',0,'Monster.skeleton',11,25,53,'male','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,4943,389,527,304,319,247,317,0,333,75,0,0,66,176,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false');

INSERT INTO `npc` VALUES
(21000,21000,'Soul of Ruins',0,'',0,'Monster.human_ghost',8,22,54,'male','L2Monster',40,2562,955,10.27,2.45,40,43,30,21,20,10,4325,345,578,344,339,254,278,500,333,0,0,0,80,174,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21001,21001,'Wretched Archer',0,'',0,'Monster.skeleton_archer',11,27,55,'male','L2Monster',500,2643,987,10.27,2.45,40,43,30,21,20,10,5856,473,1639,292,360,261,247,0,333,282,0,0,40,174,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'archer','true'),
(21002,21002,'Doom Scout',0,'',0,'Monster.skeleton_royal_guard',11,28.5,56,'male','L2Monster',40,2724,1019,10.27,2.45,40,43,30,21,20,10,5163,424,679,301,382,269,317,500,333,242,2496,0,80,174,'doom_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21003,21003,'Grave Lich',0,'',0,'Monster.liviona',15,28,57,'male','L2Monster',40,2806,1052,10.27,2.45,40,43,30,21,20,10,4725,393,675,374,405,276,278,0,333,0,0,0,80,174,'undead_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21004,21004,'Dismal Pole',0,'',0,'Monster.hanged_man_ripper',35,80,58,'male','L2Monster',80,2889,1084,10.27,2.45,40,43,30,21,20,10,5239,443,828,384,428,284,236,500,333,0,0,0,55,174,'undead_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21005,21005,'Grave Predator',0,'',0,'Monster.devastator',35,35,59,'male','L2Monster',40,2971,1117,10.27,2.45,40,43,30,21,20,10,5732,490,902,326,453,291,278,500,333,0,0,0,25,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21006,21006,'Doom Servant',0,'',0,'Monster.hungry_spirit',30,40,60,'male','L2Monster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,5447,473,946,335,478,299,278,500,333,0,0,0,16,191,'doom_clan',300,1,8,'LAST_HIT',100,0,30,'fighter','false'),
(21007,21007,'Doom Guard',0,'',0,'Monster.hungry_spirit',30,40,61,'male','L2Monster',40,3137,1184,11.85,2.78,40,43,30,21,20,10,5844,514,992,344,505,307,278,0,333,0,0,0,16,191,'doom_clan',300,1,9,'LAST_HIT',100,0,30,'fighter','false'),
(21008,21008,'Doom Archer',0,'',0,'Monster.skeleton_archer',11,27,62,'male','L2Monster',500,3219,1217,11.85,2.78,40,43,30,21,20,10,7471,666,2308,353,532,315,249,500,333,286,0,0,44,191,'doom_clan',300,1,9,'LAST_HIT',100,0,30,'archer','false'),
(21009,21009,'Doom Trooper',0,'',0,'Monster.skeleton_pikeman',12,33,63,'male','L2Monster',80,3302,1251,11.85,2.78,40,43,30,21,20,10,7966,719,1267,362,560,323,236,0,333,301,0,0,50,174,'doom_clan',300,1,10,'LAST_HIT',100,0,30,'fighter','false'),
(21010,21010,'Doom Warrior',0,'',0,'Monster.skeleton_knight',10,25,64,'male','L2Monster',40,3384,1285,11.85,2.78,40,43,30,21,20,10,6380,584,993,371,589,331,317,0,333,71,0,0,40,174,'doom_clan',300,1,10,'LAST_HIT',100,0,30,'fighter','false'),
(21011,21011,'Ol Mahum Van Grunt',0,'',0,'Monster.ol_mahum',13.5,25,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1308,72,132,140,58,114,278,0,333,5,0,0,55,165,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21012,21012,'Magical Eye',0,'',0,'Monster.magical_weaver',11,20,31,'male','L2Monster',40,1004,381,7.11,1.84,40,43,30,21,20,10,1736,96,129,161,64,118,278,500,333,0,0,0,99,165,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21013,21013,'Ol Mahum Van Archer',0,'',0,'Monster.ol_mahum_archer',14,25,32,'male','L2Monster',500,1056,397,7.11,1.84,40,43,30,21,20,10,1920,108,376,138,69,123,249,0,333,273,0,0,55,165,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(21014,21014,'Lesser Warlike Tyrant',0,'',0,'Monster.grave',15,29,33,'male','L2Monster',40,1109,413,7.11,1.84,40,43,30,21,20,10,1987,114,151,173,75,128,278,500,333,0,0,0,77,165,'kinpin_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21015,21015,'Ol Mahum Van Leader',0,'',0,'Monster.ol_mahum_champion',14,27,34,'male','L2Monster',40,1164,430,7.11,1.84,40,43,30,21,20,10,2040,119,196,148,82,132,278,500,333,67,0,0,55,165,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21016,21016,'Warlike Tyrant',0,'',0,'Monster.grave',15,29,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,2192,130,211,154,89,137,278,0,333,0,0,0,77,191,'kinpin_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21017,21017,'Fallen Orc',0,'',0,'Monster.ketra_orc',12,29,55,'male','L2Monster',40,2643,987,10.27,2.45,40,43,30,21,20,10,4399,355,737,292,360,261,278,0,333,127,0,0,45,174,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21018,21018,'Ancient Gargoyle',0,'',0,'Monster.hunter_gargoyle',25,65,56,'male','L2Monster',40,2724,1019,10.27,2.45,40,43,30,21,20,10,5536,455,642,364,382,269,278,500,333,0,0,0,100,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21019,21019,'Fallen Orc Archer',0,'',0,'Monster.ketra_orc_archer',12,27,57,'male','L2Monster',500,2806,1052,10.27,2.45,40,43,30,21,20,10,6093,506,1501,374,405,276,247,0,333,279,0,0,45,174,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(21020,21020,'Fallen Orc Shaman',0,'',0,'Monster.ketra_orc_shaman',10,23,58,'male','L2Monster',40,2889,1084,10.27,2.45,40,43,30,21,20,10,6898,583,710,384,428,284,278,0,333,9,0,0,10,174,'orc_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21021,21021,'Sharp Talon Tiger',0,'',0,'Monster.saber_toothed_tiger',34,28,59,'male','L2Monster',40,2971,1117,10.27,2.45,40,43,30,21,20,10,6353,543,902,277,453,291,278,500,333,0,0,0,60,174,'beast_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21022,21022,'Fallen Orc Captain',0,'',0,'Monster.ketra_orc_warrior',12,24,60,'male','L2Monster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,6462,561,946,285,478,299,278,500,333,160,0,0,36,174,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21023,21023,'Sobbing Wind',0,'',0,'Monster.sylph',11,35,26,'female','L2Monster',40,770,303,5.53,1.53,40,43,30,21,20,10,1056,53,87,132,41,98,278,0,333,0,0,0,66,165,'elemental2_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21024,21024,'Babbling Wind',0,'',0,'Monster.sylph',11,35,27,'female','L2Monster',40,813,318,5.53,1.53,40,43,30,21,20,10,1113,57,94,138,45,102,278,0,333,0,0,0,66,165,'elemental2_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21025,21025,'Giggling Wind',0,'',0,'Monster.sylph',11,35,28,'female','L2Monster',40,859,334,5.53,1.53,40,43,30,21,20,10,1178,62,102,143,49,106,278,0,333,0,0,0,66,165,'elemental2_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21026,21026,'Singing Wind',0,'',0,'Monster.sylph',11,35,29,'female','L2Monster',40,906,349,5.53,1.53,40,43,30,21,20,10,1268,68,111,149,53,110,278,500,333,0,0,0,66,165,'elemental2_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21034,21034,'Ogre',0,'',0,'Monster.ogre',25,52.5,38,'male','L2Monster',40,1400,497,3.56,1.84,40,43,30,21,20,10,3594,224,440,141,112,153,197,500,333,98,0,0,22,174,'lizardman_clan1',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21035,21035,'Catherok',0,'',0,'Monster.marsh_stakato_soldier',10,25,42,'male','L2Monster',40,1660,589,17.38,2.14,40,43,30,21,20,10,2275,151,342,196,152,175,278,500,333,127,0,0,30,60,'beast_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21036,21036,'Shindebarn',0,'',0,'Monster.magical_weaver',11,20,44,'male','L2Monster',40,1799,648,17.38,2.14,40,43,30,21,20,10,2869,196,390,209,176,187,278,0,333,0,0,0,40,90,'porta_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21037,21037,'Ossiud',0,'',0,'Monster.field_stalker',15,30,47,'male','L2Monster',40,2016,738,17.38,2.14,40,43,30,21,20,10,3326,238,469,230,216,206,278,500,333,0,0,0,70,174,'torfe_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21038,21038,'Liangma',0,'',0,'Monster.will_o_wisp',13,22,49,'male','L2Monster',40,2168,799,17.38,2.14,40,43,30,21,20,10,2926,216,529,245,247,219,278,500,333,0,0,0,80,174,'undead_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21039,21039,'Snipe Cohort',0,'',0,'Monster.onyx_beast',14,14.5,43,'male','L2Monster',40,1728,618,17.38,2.14,40,43,30,21,20,10,3041,205,302,245,163,181,278,0,333,0,0,0,30,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21040,21040,'Soldier of Darkness',0,'',0,'Monster.death_knight',12,31,49,'male','L2Minion',40,2168,799,17.38,2.14,40,43,30,21,20,10,5077,375,581,223,247,219,278,0,333,127,0,0,27,174,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21058,21058,'Beast Lord',0,'',0,'Monster.saber_toothed_tiger',34,28,60,'male','L2Monster',40,3054,1150,20.54,2.45,40,43,30,21,20,10,7880,684,946,335,478,299,278,500,333,0,0,0,66,191,'beast_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21059,21059,'Beast Guardian',0,'',0,'Monster.onyx_beast',14,14.5,59,'male','L2Minion',40,2971,1117,20.54,2.45,40,43,30,21,20,10,6289,537,902,326,453,291,278,0,333,0,0,0,33,191,'beast_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21060,21060,'Beast Seer',0,'',0,'Monster.field_stalker',15,30,59,'male','L2Minion',40,2971,1117,20.54,2.45,40,43,30,21,20,10,6289,537,745,395,453,291,278,0,333,0,0,0,77,191,'beast_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21061,21061,'Hallate\'s Guardian',0,'',0,'Monster.kaim_vanul',24,40,69,'male','L2Monster',40,3784,1458,47.4,2.78,40,43,30,21,20,10,6396,625,1392,418,746,373,278,500,333,0,0,0,37,174,'hallate_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21062,21062,'Messenger Angel',0,'',0,'Monster.angel',13.5,36.5,70,'male','L2Monster',40,3862,1493,47.4,2.78,40,43,30,21,20,10,0,0,1590,388,780,382,278,500,333,148,0,0,33,191,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(21063,21063,'Messenger Angel',0,'',0,'Monster.angel',13.5,36.5,70,'male','L2Monster',40,3862,1493,47.4,2.78,40,43,30,21,20,10,13079,1297,1194,517,780,382,278,500,333,148,0,0,33,191,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'balanced','false'),
(21064,21064,'Platinum Guardian Archer',0,'',0,'Monster.kel_mahum_archer',13,27,71,'male','L2Monster',500,3938,1529,53.72,3.09,40,43,30,21,20,10,8009,803,3332,371,814,390,249,500,333,288,0,0,55,191,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'archer','false'),
(21065,21065,'Platinum Guardian Warrior',0,'',0,'Monster.kel_mahum_warrior',13,28,72,'male','L2Monster',40,4013,1565,67.15,3.09,40,43,30,21,20,10,6036,613,1284,540,849,399,278,500,333,148,0,0,55,191,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'balanced','false'),
(21066,21066,'Platinum Guardian Shaman',0,'',0,'Monster.kel_mahum_witch_doctor',13,25,73,'male','L2Monster',40,4086,1601,67.15,3.09,40,43,30,21,20,10,6529,672,1609,456,885,407,278,500,333,202,0,0,55,191,'tower_guard_clan',400,0,10,'LAST_HIT',0,100,30,'mage','false'),
(21067,21067,'Guardian Archangel',0,'',0,'Monster.angel',13.5,36.5,74,'male','L2Monster',40,4158,1637,67.15,3.09,40,43,30,21,20,10,0,0,1831,423,921,416,278,500,333,148,0,0,30,174,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(21068,21068,'Guardian Archangel',0,'',0,'Monster.angel',13.5,36.5,74,'male','L2Monster',40,4158,1637,67.15,3.09,40,43,30,21,20,10,14206,1481,1664,466,921,416,278,500,333,148,0,0,33,191,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(21069,21069,'Platinum Guardian Prefect',0,'',0,'Monster.kel_mahum_champion',13,32,74,'male','L2Monster',40,4158,1637,67.15,3.09,40,43,30,21,20,10,8909,928,1831,423,921,416,278,500,333,147,0,0,50,174,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(21070,21070,'Seal Archangel',0,'',0,'Monster.angel',13.5,36.5,75,'male','L2Monster',40,4229,1673,67.15,3.09,40,43,30,21,20,10,0,0,1892,432,957,425,278,500,333,148,0,0,33,191,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'fighter','false'),
(21071,21071,'Seal Archangel',0,'',0,'Monster.angel',13.5,36.5,75,'male','L2Monster',40,4229,1673,67.15,3.09,40,43,30,21,20,10,14733,1554,1421,575,957,425,278,500,333,148,0,0,33,191,'tower_guard_clan',400,0,10,'LAST_HIT',100,0,30,'balanced','false'),
(21072,21072,'Platinum Guardian Chief',0,'',0,'Monster.kel_mahum_witch_doctor',13,25,75,'male','L2Monster',40,4229,1673,67.15,3.09,40,43,30,21,20,10,6752,712,1720,475,957,425,278,500,333,202,0,0,55,191,'tower_guard_clan',400,0,10,'LAST_HIT',0,100,30,'mage','false'),
(21073,21073,'Guardian Warrior of Elmoreden',0,'',0,'Monster.skeleton_knight',10,25,64,'male','L2Monster',40,3384,1285,23.7,2.78,40,43,30,21,20,10,7040,644,1135,371,589,331,278,0,333,84,0,0,44,191,'tower_ghost_clan',400,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21074,21074,'Bound Shaman',0,'',0,'Monster.kel_mahum_witch_doctor',13,25,72,'male','L2Monster',40,4013,1565,26.86,3.09,40,43,30,21,20,10,9651,980,1284,540,849,399,278,0,333,202,0,0,55,191,'tower_guard_clan',400,0,0,'LAST_HIT',0,100,30,'mage','false'),
(21075,21075,'Slaughter Bathin',0,'',0,'Monster.death_knight',12,31,63,'male','L2Monster',40,3302,1251,23.7,2.78,40,43,30,21,20,10,6995,631,1086,362,560,323,278,500,333,84,0,0,29,191,'hallate_clan',200,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21076,21076,'Bathin\'s Knight',0,'',0,'Monster.skeleton_knight',10,25,62,'male','L2Minion',40,3219,1217,23.7,2.78,40,43,30,21,20,10,6881,613,1038,353,532,315,278,0,333,78,0,0,44,191,'hallate_clan',200,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21077,21077,'Bathin\'s Wizard',0,'',0,'Monster.banshee',9,23,62,'female','L2Minion',40,3219,1217,23.7,2.78,40,43,30,21,20,10,6669,594,1038,353,532,315,278,0,333,3939,0,0,88,191,'hallate_clan',200,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21078,21078,'Magus Valac',0,'',0,'Monster.vale_master',12,40,70,'male','L2Monster',40,3862,1493,23.7,2.78,40,43,30,21,20,10,8481,841,1445,427,780,382,278,500,333,198,0,0,77,191,'hallate_clan',200,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21079,21079,'Valac\'s Creature',0,'',0,'Monster.serpent_slave',17,46,69,'male','L2Minion',40,3784,1458,23.7,2.78,40,43,30,21,20,10,7707,754,1392,418,746,373,278,0,333,150,0,0,77,191,'hallate_clan',200,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21080,21080,'Valac\'s Guardian Spirit',0,'',0,'Monster.shadow',10,30,69,'male','L2Minion',40,3784,1458,23.7,2.78,40,43,30,21,20,10,7123,697,1006,506,746,373,317,0,333,0,0,0,88,191,'hallate_clan',200,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21081,21081,'Power Angel Amon',0,'',0,'Monster.angel',13.5,36.5,75,'male','L2Monster',40,4229,1673,26.86,3.09,40,43,30,21,20,10,8887,937,1720,475,957,425,278,500,333,4700,0,0,33,191,'tower_guard_clan',200,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21082,21082,'Amon\'s Captain of the Guards',0,'',0,'Monster.kel_mahum_champion',13,32,74,'male','L2Minion',40,4158,1637,26.86,3.09,40,43,30,21,20,10,8546,891,1664,466,921,416,278,0,333,150,0,0,55,191,'tower_guard_clan',200,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21083,21083,'Amon\'s Spirits',0,'',0,'Monster.pixy',5,25,74,'female','L2Minion',40,4158,1637,26.86,3.09,40,43,30,21,20,10,10096,1052,1664,466,921,416,278,0,333,0,0,0,88,191,'tower_guard_clan',200,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21084,21084,'Bloody Lady',0,'',0,'Monster.bloody_queen',14,40,60,'female','L2Monster',40,3054,1150,30.81,2.45,40,43,30,21,20,10,4536,394,860,368,478,299,278,500,333,0,0,0,80,174,'cave_servant_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21085,21085,'Bloody Sniper',0,'',0,'Monster.fiend_archer',17,55,71,'male','L2Monster',500,3938,1529,67.15,3.09,40,43,30,21,20,10,5574,559,3332,437,814,390,249,500,333,0,0,0,77,191,'bloody_clan',400,0,0,'LAST_HIT',100,0,30,'archer','false'),
(21086,21086,'Bloody Liviona',0,'',0,'Monster.liviona',15,28,72,'male','L2Monster',40,4013,1565,67.15,3.09,40,43,30,21,20,10,5566,565,1413,491,849,399,278,500,333,0,0,0,88,191,'bloody_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21087,21087,'Bloody Knight',0,'',0,'Monster.death_knight',12,31,73,'male','L2Monster',40,4086,1601,67.15,3.09,40,43,30,21,20,10,8932,919,1770,415,885,407,278,500,333,137,0,0,29,191,'bloody_clan',400,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21088,21088,'Bloody Banshee',0,'',0,'Monster.banshee',9,23,74,'female','L2Monster',40,4158,1637,67.15,3.09,40,43,30,21,20,10,5879,612,1513,512,921,416,278,500,333,3939,0,0,88,191,'bloody_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21089,21089,'Bloody Lord',0,'',0,'Monster.karik',25,90,75,'male','L2Monster',40,4229,1673,67.15,3.09,40,43,30,21,20,10,6817,719,1720,475,957,425,278,500,333,0,0,0,40,191,'bloody_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21090,21090,'Bloody Guardian',0,'',0,'Monster.death_blader',15,45,75,'male','L2Monster',40,4229,1673,40.29,3.09,40,43,30,21,20,10,8734,921,1720,475,957,425,278,500,333,1472,0,0,110,191,'bloody_clan',400,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21091,21091,'Bloody Keeper',0,'',0,'Monster.kaim_vanul',24,40,74,'male','L2Monster',40,4158,1637,26.86,3.09,40,43,30,21,20,10,8831,920,1513,512,921,416,278,0,333,0,0,0,40,191,'bloody_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21092,21092,'Bloody Mystic',0,'',0,'Monster.banshee',9,23,74,'female','L2Monster',40,4158,1637,26.86,3.09,40,43,30,21,20,10,8627,899,1513,512,921,416,278,0,333,3939,0,0,88,191,'bloody_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21093,21093,'Ratman Sub Chieftain',0,'',0,'Monster.wererat',14,25,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,691,31,58,70,21,73,278,400,333,216,0,0,88,165,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21094,21094,'Ratman Chieftain',0,'',0,'Monster.wererat',14,25,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,712,32,52,104,23,76,278,0,333,3,0,0,88,170,'wererat_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21095,21095,'Giant Poison Bee',0,'',0,'Monster.giant_bee',8,24.5,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,840,39,55,83,25,80,317,0,333,0,0,0,99,99,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21096,21096,'Cloudy Beast',0,'',0,'Monster.onyx_beast',14,14.5,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,837,40,68,87,28,83,278,400,333,0,0,0,33,154,'beast_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21097,21097,'Young Araneid',0,'',0,'Monster.poison_spider',27,25.5,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,985,48,75,107,31,87,278,400,333,0,0,0,66,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21098,21098,'Plain Grizzly',0,'',0,'Monster.grizzly',21,40,24,'male','L2Monster',40,687,272,5.53,1.53,40,43,30,21,20,10,935,46,81,111,34,90,278,0,333,0,0,0,44,126,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21099,21099,'Cloudy Beast Turen',0,'',0,'Monster.onyx_beast',14,14.5,25,'male','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,1012,51,88,98,37,94,278,400,333,0,0,0,33,159,'beast_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21100,21100,'Langk Lizardman Sentinel',0,'',0,'Monster.virud_lizardman',10,23,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,691,31,53,90,21,73,278,500,333,2,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21101,21101,'Langk Lizardman Shaman',0,'',0,'Monster.virud_lizardman_shaman',10,29,24,'male','L2Monster',40,687,272,5.53,1.53,40,43,30,21,20,10,935,46,81,94,34,90,278,0,333,6,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21102,21102,'Watchman of the Plains',0,'',0,'Monster.magical_weaver',11,20,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1335,73,132,119,58,114,278,500,333,0,0,0,90,160,'monster_eye_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21103,21103,'Roughly Hewn Rock Golem',0,'',0,'Monster.stone_golem_bi',20,40.3,31,'male','L2Monster',40,1004,381,7.11,1.84,40,43,30,21,20,10,1397,78,142,146,64,118,278,0,333,0,0,0,23,23,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21104,21104,'Delu Lizardman Supplier',0,'',0,'Monster.virud_lizardman',10,23,32,'male','L2Monster',40,1056,397,7.11,1.84,40,43,30,21,20,10,1754,99,134,151,69,123,317,0,333,223,0,0,43,135,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21105,21105,'Delu Lizardman Special Agent',0,'',0,'Monster.virud_lizardman_scout',10,22,33,'male','L2Monster',500,1109,413,7.11,1.84,40,43,30,21,20,10,2022,116,406,143,75,128,247,0,333,2507,0,0,43,135,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21106,21106,'Cursed Seer',0,'',0,'Monster.magical_weaver',11,20,34,'male','L2Monster',40,1164,430,7.11,1.84,40,43,30,21,20,10,1714,100,178,138,82,132,278,500,333,0,0,0,90,160,'monster_eye_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21107,21107,'Delu Lizardman Commander',0,'',0,'Monster.virud_lizardman_warrior',12,30,35,'male','L2Monster',40,1220,446,14.22,1.84,40,43,30,21,20,10,1814,107,192,169,89,137,278,0,333,93,0,0,52,135,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21108,21108,'Glow Wisp',0,'',0,'Monster.will_o_wisp',13,22,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,6528,622,1169,439,681,356,278,0,333,0,0,0,88,176,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21109,21109,'Hames Orc Scout',0,'',0,'Monster.ketra_orc',12,29,68,'male','L2Monster',40,3706,1423,11.85,2.78,40,43,30,21,20,10,8082,781,1065,382,713,365,317,0,333,229,0,0,49,203,'orc_clan',400,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21110,21110,'Marsh Predator',0,'',0,'Monster.devastator',35,35,69,'male','L2Monster',40,3784,1458,11.85,2.78,40,43,30,21,20,10,6890,674,1265,460,746,373,278,0,333,0,0,0,27,192,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21111,21111,'Lava Wyrm',0,'',0,'Monster.wyrm',29,72,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,7197,714,1314,470,780,382,278,500,333,0,0,0,70,175,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21112,21112,'Hames Orc Footman',0,'',0,'Monster.ketra_orc',12,29,71,'male','L2Monster',40,3938,1529,13.43,3.09,40,43,30,21,20,10,8724,875,1363,481,814,390,278,0,333,233,110,0,45,180,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21113,21113,'Hames Orc Sniper',0,'',0,'Monster.ketra_orc_archer',12,27,72,'male','L2Monster',500,4013,1565,13.43,3.09,40,43,30,21,20,10,9722,988,3140,417,849,399,247,0,333,287,0,0,45,160,'orc_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(21114,21114,'Cursed Guardian',0,'',0,'Monster.death_blader',15,45,73,'male','L2Monster',40,4086,1601,13.43,3.09,40,43,30,21,20,10,9231,950,1463,426,885,407,278,0,333,1472,0,0,110,192,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21115,21115,'Hames Orc Shaman',0,'',0,'Monster.ketra_orc_shaman',10,23,74,'male','L2Monster',40,4158,1637,13.43,3.09,40,43,30,21,20,10,8043,838,1513,435,921,416,278,0,333,186,0,0,10,145,'orc_clan',400,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21116,21116,'Hames Orc Overlord',0,'',0,'Monster.ketra_orc_warrior',14,28.8,75,'male','L2Monster',40,4229,1673,13.43,3.09,40,43,30,21,20,10,12699,1340,1720,475,957,425,278,500,333,75,103,0,36,175,'orc_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21117,21117,'Kasha Imp',0,'',0,'Monster.imp_bi',10,30,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,678,30,53,77,21,73,278,0,333,0,0,0,66,93,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21118,21118,'Baar Dre Vanul',0,'',0,'Monster.dre_vanul',14,36,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,726,32,57,94,23,76,278,400,333,0,0,0,88,93,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21119,21119,'Hobgoblin',0,'',0,'Monster.hobgoblin',12,24,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,764,35,63,98,25,80,278,0,333,4,0,0,49,121,'goblin_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21120,21120,'Kasha Imp Turen',0,'',0,'Monster.imp_bi',10,30,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,996,47,75,79,28,83,278,400,333,0,0,0,66,93,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21121,21121,'Kasha Dire Wolf',0,'',0,'Monster.dire_wolf',13,11,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,895,43,75,91,31,87,278,400,333,0,0,0,26,148,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21122,21122,'Kasha Bugbear',0,'',0,'Monster.bugbear',17,35,24,'male','L2Monster',40,687,272,5.53,1.53,40,43,30,21,20,10,954,47,81,111,34,90,278,400,333,169,0,0,60,143,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21123,21123,'Baar Dre Vanul Destroyer',0,'',0,'Monster.dre_vanul',14,36,25,'male','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,1267,63,97,105,37,94,278,400,333,0,0,0,88,93,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21124,21124,'Red Eye Barbed Bat',0,'',0,'Monster.vampire_bat',10,33.5,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,640,28,48,73,19,70,278,0,333,0,0,0,66,99,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21125,21125,'Northern Trimden',0,'',0,'Monster.poison_spider',27,25.5,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,684,31,53,90,21,73,278,400,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21126,21126,'Kerope Werewolf',0,'',0,'Monster.werewolf_bi',11,29.7,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,712,32,57,80,23,76,278,0,333,0,0,0,55,137,'werewolf_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21127,21127,'Northern Goblin',0,'',0,'Monster2.northern_goblin',4,15,21,'male','L2Monster',40,575,227,5.53,1.53,40,43,30,21,20,10,764,35,63,98,25,80,278,0,333,152,0,0,33,132,'goblin_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21128,21128,'Spine Golem',0,'',0,'Monster.stone_golem_bi',20,40.3,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,821,39,68,102,28,83,278,0,333,0,0,0,25,25,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21129,21129,'Kerope Werewolf Chief',0,'',0,'Monster.werewolf_bi',11,29.7,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,895,43,82,82,31,87,278,400,333,0,0,0,55,154,'werewolf_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21130,21130,'Northern Goblin Leader',0,'',0,'Monster2.northern_goblin',4,15,24,'male','L2Monster',40,687,272,5.53,1.53,40,43,30,21,20,10,954,47,81,111,34,90,278,400,333,66,102,0,33,137,'goblin_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21131,21131,'Enchanted Spine Golem',0,'',0,'Monster.stone_golem_bi',20,40.3,25,'male','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,992,50,97,105,37,94,278,0,333,0,0,0,25,31,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21132,21132,'Underground Kobold',0,'',0,'Monster.kobold',10,15,24,'male','L2Monster',40,687,272,5.53,1.53,40,43,30,21,20,10,779,38,81,94,34,90,278,0,333,0,0,0,51,121,'kobold_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21133,21133,'Dead Pit Skeleton Archer',0,'',0,'Monster.skeleton_archer',11,27,25,'male','L2Monster',500,728,287,5.53,1.53,40,43,30,21,20,10,851,43,197,98,37,94,249,0,333,274,0,0,44,143,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'archer','false'),
(21134,21134,'Dead Pit Spartoi',0,'',0,'Monster.spartoi',11,27,26,'male','L2Monster',40,770,303,5.53,1.53,40,43,30,21,20,10,898,45,96,102,41,98,278,400,333,219,0,0,66,159,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21135,21135,'Underground Kobold Warrior',0,'',0,'Monster.kobold',10,15,27,'male','L2Monster',40,813,318,5.53,1.53,40,43,30,21,20,10,1103,56,114,114,45,102,278,0,333,0,0,0,51,126,'kobold_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21136,21136,'Dead Pit Horror',0,'',0,'Monster.dark_horror',20,35,28,'male','L2Monster',40,859,334,5.53,1.53,40,43,30,21,20,10,981,52,113,110,49,106,278,0,333,0,0,0,110,110,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21137,21137,'Iron Ore Golem',0,'',0,'Monster.iron_golem',18,34,29,'male','L2Monster',40,906,349,5.53,1.53,40,43,30,21,20,10,1057,57,111,149,53,110,278,400,333,0,0,0,22,23,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21138,21138,'Greedy Geist',0,'',0,'Monster.hungry_spirit',30,40,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,1134,62,132,119,58,114,278,0,333,0,0,0,16,165,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21139,21139,'Catacomb Barbed Bat',0,'',0,'Monster.vampire_bat',10,33.5,23,'male','L2Monster',40,648,257,22.12,1.53,40,43,30,21,20,10,655,31,75,91,31,87,278,500,333,0,0,0,66,143,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21140,21140,'Catacomb Wisp',0,'',0,'Monster.will_o_wisp',13,22,26,'male','L2Monster',40,770,303,22.12,1.53,40,43,30,21,20,10,788,39,96,102,41,98,278,500,333,0,0,0,88,132,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21141,21141,'Catacomb Serpent',0,'',0,'Monster.serpent_slave',17,46,28,'male','L2Monster',40,859,334,22.12,1.53,40,43,30,21,20,10,926,48,113,110,49,106,278,500,333,73,0,0,77,143,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21142,21142,'Grave Keeper Spartoi',0,'',0,'Monster.spartoi',11,27,29,'male','L2Monster',40,906,349,22.12,1.53,40,43,30,21,20,10,927,49,111,149,53,110,278,500,333,221,0,0,66,154,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21143,21143,'Catacomb Scavenger Bat',0,'',0,'Monster.vampire_bat',10,33.5,31,'male','L2Monster',40,1004,381,28.44,1.84,40,43,30,21,20,10,1042,57,142,124,64,118,278,500,333,0,0,0,60,140,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21144,21144,'Catacomb Shadow',0,'',0,'Monster.shadow',10,30,34,'male','L2Monster',40,1164,430,28.44,1.84,40,43,30,21,20,10,1254,73,178,138,82,132,278,500,333,0,0,0,80,130,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21145,21145,'Catacomb Stakato Soldier',0,'',0,'Monster.blade_stakato_soldier',15,38,38,'male','L2Monster',40,1400,497,28.44,1.84,40,43,30,21,20,10,1611,100,238,160,112,153,278,500,333,232,0,0,25,150,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21146,21146,'Grave Keeper Dark Horror',0,'',0,'Monster.dark_horror',20,35,40,'male','L2Monster',40,1527,531,28.44,1.84,40,43,30,21,20,10,1735,112,248,222,131,164,278,500,333,0,0,0,100,160,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21147,21147,'Catacomb Gargoyle',0,'',0,'Monster.gargoyle',16,50,43,'male','L2Monster',40,1728,618,34.76,2.14,40,43,30,21,20,10,2114,143,332,223,163,181,278,500,333,0,0,0,140,170,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21148,21148,'Catacomb Liviona',0,'',0,'Monster.liviona',15,28,44,'male','L2Monster',40,1799,648,34.76,2.14,40,43,30,21,20,10,2100,143,354,196,176,187,278,500,333,0,0,0,80,140,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21149,21149,'Decayed Ancient Pikeman',0,'',0,'Monster.skeleton_pikeman',10,28,46,'male','L2Monster',40,1943,707,34.76,2.14,40,43,30,21,20,10,2419,171,401,245,202,199,278,500,333,96,0,0,50,170,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21150,21150,'Decayed Ancient Soldier',0,'',0,'Monster.skeleton_knight',10,25,49,'male','L2Monster',40,2168,799,34.76,2.14,40,43,30,21,20,10,2745,203,480,270,247,219,278,500,333,125,0,0,44,176,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21151,21151,'Decayed Ancient Knight',0,'',0,'Monster.skeleton_royal_guard',11,28.5,50,'male','L2Monster',40,2245,830,34.76,2.14,40,43,30,21,20,10,2858,215,509,278,264,226,278,500,333,227,0,0,88,187,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21152,21152,'Purgatory Wisp',0,'',0,'Monster.will_o_wisp',13,22,53,'male','L2Monster',40,2481,923,41.08,2.45,40,43,30,21,20,10,3047,239,602,258,319,247,278,500,333,0,0,0,88,165,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21153,21153,'Purgatory Serpent',0,'',0,'Monster.serpent_slave',17,46,56,'male','L2Monster',40,2724,1019,41.08,2.45,40,43,30,21,20,10,3586,294,706,281,382,269,278,500,333,73,0,0,77,192,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21154,21154,'Hell Keeper Medusa',0,'',0,'Monster.medusa',10,25,58,'female','L2Monster',40,2889,1084,41.08,2.45,40,43,30,21,20,10,3753,317,710,384,428,284,278,500,333,0,0,0,55,181,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21155,21155,'Purgatory Conjurer',0,'',0,'Monster.vampire_bat',10,33.5,59,'male','L2Monster',40,2971,1117,41.08,2.45,40,43,30,21,20,10,3776,322,820,305,453,291,278,500,333,0,0,0,66,192,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21156,21156,'Purgatory Shadow',0,'',0,'Monster.shadow',10,30,61,'male','L2Monster',40,3137,1184,47.4,2.78,40,43,30,21,20,10,4036,355,901,321,505,307,278,500,333,0,0,0,80,155,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21157,21157,'Purgatory Tarantula',0,'',0,'Monster.poison_spider',27,25.5,64,'male','L2Monster',40,3384,1285,47.4,2.78,40,43,30,21,20,10,4569,418,1031,347,589,331,278,500,333,0,0,0,60,175,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21158,21158,'Hell Keeper Crimson Doll',0,'',0,'Monster.crimson_doll',15,38,67,'male','L2Monster',40,3626,1388,47.4,2.78,40,43,30,21,20,10,5133,488,1063,483,681,356,278,500,333,0,0,0,60,180,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21159,21159,'Purgatory Gargoyle',0,'',0,'Monster.gargoyle',16,50,68,'male','L2Monster',40,3706,1423,47.4,2.78,40,43,30,21,20,10,5287,510,1217,449,713,365,278,500,333,0,0,0,140,175,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21160,21160,'Purgatory Liviona',0,'',0,'Monster.liviona',15,28,71,'male','L2Monster',40,3938,1529,53.72,3.09,40,43,30,21,20,10,5468,548,1363,408,814,390,278,500,333,0,0,0,88,176,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21161,21161,'Lesser Ancient Soldier',0,'',0,'Monster.medusa',10,25,73,'female','L2Monster',40,4086,1601,53.72,3.09,40,43,30,21,20,10,5945,611,1463,502,885,407,278,500,333,0,0,0,50,180,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21162,21162,'Lesser Ancient Scout',0,'',0,'Monster.blade_stakato_drone',15,39,74,'male','L2Monster',40,4158,1637,53.72,3.09,40,43,30,21,20,10,5940,619,1513,512,921,416,278,500,333,135,0,0,25,160,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21163,21163,'Lesser Ancient Shaman',0,'',0,'Monster.silhouette',8,23,76,'female','L2Monster',40,4297,1710,53.72,3.09,40,43,30,21,20,10,6265,669,1614,454,994,433,278,500,333,0,0,0,80,200,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21164,21164,'Guardian Spirit of Ancient Holy Ground',0,'',0,'Monster.death_lord',21,40,78,'male','L2Monster',40,4490,1821,53.72,3.09,40,43,30,21,20,10,7136,791,1765,566,1107,459,278,500,333,78,0,0,44,209,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21165,21165,'Lesser Ancient Warrior',0,'',0,'Monster.shadeless',7,28,78,'male','L2Monster',40,4550,1859,53.72,3.09,40,43,30,21,20,10,7761,871,2195,476,1144,468,278,500,333,0,0,0,48,200,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21166,21166,'Lith Scout',0,'',0,'Monster2.temple_guard_a_20_sm',12,33.6,21,'male','L2Monster',40,575,227,22.12,1.53,40,43,30,21,20,10,594,27,66,69,25,80,317,0,333,5795,0,0,58,143,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21167,21167,'Lith Witch',0,'',0,'Monster2.temple_savant_a_20_sm',8,32,24,'male','L2Monster',40,687,272,22.12,1.53,40,43,30,21,20,10,690,34,98,92,34,90,278,0,333,5797,0,0,27,121,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21168,21168,'Lith Warrior',0,'',0,'Monster2.temple_guard_b_20_sm',12,33.6,27,'male','L2Monster',40,813,318,22.12,1.53,40,43,30,21,20,10,855,43,126,103,45,102,278,0,333,5796,0,0,58,143,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21169,21169,'Lith Guard',0,'',0,'Monster2.temple_guard_a',15,42,30,'male','L2Monster',40,954,365,22.12,1.53,40,43,30,21,20,10,1133,62,140,99,58,114,317,0,333,5795,0,0,53,140,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21170,21170,'Lith Medium',0,'',0,'Monster2.temple_savant_a',10,40,33,'male','L2Monster',40,1109,413,28.44,1.84,40,43,30,21,20,10,1307,75,201,130,75,128,278,0,333,5797,0,0,25,120,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21171,21171,'Lith Overlord',0,'',0,'Monster2.temple_guard_b',15,42,36,'male','L2Monster',40,1279,463,28.44,1.84,40,43,30,21,20,10,1669,101,250,145,96,142,278,0,333,5796,0,0,53,140,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21172,21172,'Lith Patrolman',0,'',0,'Monster2.temple_guard_a',15,42,39,'male','L2Monster',40,1462,514,28.44,1.84,40,43,30,21,20,10,1972,125,270,137,121,158,317,0,333,5795,0,0,53,150,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21173,21173,'Lith Shaman',0,'',0,'Monster2.temple_savant_a',10,40,42,'male','L2Monster',40,1660,589,34.76,2.14,40,43,30,21,20,10,2118,141,377,178,152,175,278,0,333,5798,0,0,27,143,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21174,21174,'Lith Commander',0,'',0,'Monster2.temple_guard_b',15,42,45,'male','L2Monster',40,1870,677,34.76,2.14,40,43,30,21,20,10,2731,190,457,196,188,193,278,0,333,5796,0,0,53,150,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21175,21175,'Lilim Butcher',0,'',0,'Monster2.lilim_assassin_10_sm',11,36,48,'male','L2Monster',40,2091,768,34.76,2.14,40,43,30,21,20,10,3093,226,480,183,231,212,317,0,333,232,232,0,36,170,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21176,21176,'Lilim Magus',0,'',0,'Monster2.lilim_wizard_10_sm',8,30.6,51,'female','L2Monster',40,2323,861,41.08,2.45,40,43,30,21,20,10,3123,238,652,237,281,232,278,0,333,0,0,0,50,140,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'mage','false'),
(21177,21177,'Lilim Knight Errant',0,'',0,'Monster2.lilim_knight_10_sm',11,45,54,'male','L2Monster',40,2562,955,41.08,2.45,40,43,30,21,20,10,4385,349,769,258,339,254,278,0,333,5800,5799,0,61,187,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21178,21178,'Lilim Marauder',0,'',0,'Monster2.lilim_assassin_10_sm',11,36,57,'male','L2Monster',40,2806,1052,41.08,2.45,40,43,30,21,20,10,4697,390,786,239,405,276,317,0,333,229,229,0,39,198,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21179,21179,'Lilim Priest',0,'',0,'Monster2.lilim_wizard_10_sm',8,30.6,60,'female','L2Monster',40,3054,1150,41.08,2.45,40,43,30,21,20,10,4322,375,1041,304,478,299,278,0,333,0,0,0,50,160,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(21180,21180,'Lilim Knight',0,'',0,'Monster2.lilim_knight_10_sm',11,45,63,'male','L2Monster',40,3302,1251,47.4,2.78,40,43,30,21,20,10,6489,586,1194,329,560,323,361,0,333,5800,5799,0,56,180,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21181,21181,'Lilim Assassin',0,'',0,'Monster2.lilim_assassin_10_bi',13,44,66,'male','L2Monster',40,3546,1353,47.4,2.78,40,43,30,21,20,10,6868,646,1189,301,649,348,317,0,333,234,234,0,36,190,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21182,21182,'Lilim Soldier',0,'',0,'Monster2.lilim_wizard_10_bi',10,37.5,69,'female','L2Monster',40,3784,1458,47.4,2.78,40,43,30,21,20,10,5717,559,1531,380,746,373,278,0,333,0,0,0,50,170,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(21183,21183,'Lilim Knight Commander',0,'',0,'Monster2.lilim_knight_10_bi',13,55,72,'male','L2Monster',40,4013,1565,53.72,3.09,40,43,30,21,20,10,8475,861,1710,406,849,399,361,0,333,5800,5799,0,56,190,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21184,21184,'Lilim Slayer',0,'',0,'Monster2.lilim_assassin_10_bi',13,44,75,'male','L2Monster',40,4229,1673,53.72,3.09,40,43,30,21,20,10,8869,935,1655,367,957,425,317,0,333,236,236,0,36,200,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21185,21185,'Lilim Great Mystic',0,'',0,'Monster2.lilim_wizard_10_bi',10,37.5,78,'female','L2Monster',40,4428,1784,53.72,3.09,40,43,30,21,20,10,7305,799,2075,459,1069,451,278,0,333,0,0,0,50,180,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'mage','false'),
(21186,21186,'Lilim Court Knight',0,'',0,'Monster2.lilim_knight_10_bi',13,55,78,'male','L2Monster',40,4550,1859,53.72,3.09,40,43,30,21,20,10,10464,1174,2195,476,1144,468,361,0,333,5800,5799,0,56,200,'c_dungeon_lilim',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21187,21187,'Gigant Slave',0,'',0,'Monster2.tomb_guard_a_20_sm',8,32,21,'male','L2Monster',40,575,227,22.12,1.53,40,43,30,21,20,10,594,27,76,69,25,80,278,0,333,5791,0,0,53,143,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21188,21188,'Gigant Acolyte',0,'',0,'Monster2.tomb_savant_a_20_sm',8,32,24,'male','L2Monster',40,687,272,22.12,1.53,40,43,30,21,20,10,690,34,98,92,34,90,278,0,333,5793,0,0,53,121,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21189,21189,'Gigant Overseer',0,'',0,'Monster2.tomb_guard_b_20_sm',12,34,27,'male','L2Monster',40,813,318,22.12,1.53,40,43,30,21,20,10,855,43,126,103,45,102,278,0,333,5792,0,0,53,143,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21190,21190,'Gigant Footman',0,'',0,'Monster2.tomb_guard_a',10,40,30,'male','L2Monster',40,954,365,22.12,1.53,40,43,30,21,20,10,1133,62,160,99,58,114,278,0,333,5791,0,0,49,140,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21191,21191,'Gigant Cleric',0,'',0,'Monster2.tomb_savant_a',10,40,33,'male','L2Monster',40,1109,413,28.44,1.84,40,43,30,21,20,10,1307,75,201,130,75,128,278,0,333,5793,0,0,49,120,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21192,21192,'Gigant Officer',0,'',0,'Monster2.tomb_guard_b',15,42.5,36,'male','L2Monster',40,1279,463,28.44,1.84,40,43,30,21,20,10,1669,101,250,145,96,142,278,0,333,5792,0,0,49,140,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21193,21193,'Gigant Raider',0,'',0,'Monster2.tomb_guard_a',10,40,39,'male','L2Monster',40,1462,514,28.44,1.84,40,43,30,21,20,10,1972,125,308,137,121,158,278,0,333,5791,0,0,49,150,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21194,21194,'Gigant Confessor',0,'',0,'Monster2.tomb_savant_a',10,40,42,'male','L2Monster',40,1660,589,34.76,2.14,40,43,30,21,20,10,2118,141,377,178,152,175,278,0,333,5794,0,0,53,143,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21195,21195,'Gigant Commander',0,'',0,'Monster2.tomb_guard_b',15,42.5,45,'male','L2Monster',40,1870,677,34.76,2.14,40,43,30,21,20,10,2731,190,457,196,188,193,278,0,333,5792,0,0,49,150,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21196,21196,'Nephilim Sentinel',0,'',0,'Monster2.nephilim_slayer_10_sm',11,32.4,48,'male','L2Monster',40,2091,768,34.76,2.14,40,43,30,21,20,10,3093,226,548,183,231,212,278,0,333,0,0,0,65,170,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21197,21197,'Nephilim Priest',0,'',0,'Monster2.nephilim_priest_10_sm',21,36.5,51,'male','L2Monster',40,2323,861,41.08,2.45,40,43,30,21,20,10,3391,258,652,237,281,232,278,0,333,0,0,0,50,140,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21198,21198,'Nephilim Swordsman',0,'',0,'Monster2.nephilim_lord_10_sm',9,37.4,54,'male','L2Monster',40,2562,955,41.08,2.45,40,43,30,21,20,10,4385,349,769,258,339,254,278,0,333,0,0,0,71,187,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21199,21199,'Nephilim Guard',0,'',0,'Monster2.nephilim_slayer_10_sm',11,32.4,57,'male','L2Monster',40,2806,1052,41.08,2.45,40,43,30,21,20,10,4697,390,899,239,405,276,278,0,333,0,0,0,71,198,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21200,21200,'Nephilim Bishop',0,'',0,'Monster2.nephilim_priest_10_sm',21,36.5,60,'male','L2Monster',40,3054,1150,41.08,2.45,40,43,30,21,20,10,4694,407,1041,304,478,299,278,0,333,0,0,0,55,176,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21201,21201,'Nephilim Centurion',0,'',0,'Monster2.nephilim_lord_10_sm',9,37.4,63,'male','L2Monster',40,3302,1251,47.4,2.78,40,43,30,21,20,10,6489,586,1194,329,560,323,278,0,333,0,0,0,71,198,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21202,21202,'Nephilim Scout',0,'',0,'Monster2.nephilim_slayer_10_bi',13,39.6,66,'male','L2Monster',40,3546,1353,47.4,2.78,40,43,30,21,20,10,6868,646,1358,301,649,348,278,0,333,0,0,0,65,190,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21203,21203,'Nephilim Archbishop',0,'',0,'Monster2.nephilim_priest_10_bi',21,44,69,'male','L2Monster',40,3784,1458,47.4,2.78,40,43,30,21,20,10,6208,607,1531,380,746,373,278,0,333,0,0,0,55,187,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21204,21204,'Nephilim Praetorian',0,'',0,'Monster2.nephilim_lord_10_bi',13,48,72,'male','L2Monster',40,4013,1565,53.72,3.09,40,43,30,21,20,10,8475,861,1710,406,849,399,278,0,333,0,0,0,65,190,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21205,21205,'Nephilim Royal Guard',0,'',0,'Monster2.nephilim_slayer_10_bi',13,39.6,75,'male','L2Monster',40,4229,1673,53.72,3.09,40,43,30,21,20,10,8869,935,1892,367,957,425,278,0,333,0,0,0,65,200,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21206,21206,'Nephilim Cardinal',0,'',0,'Monster2.nephilim_priest_10_bi',21,44,78,'male','L2Monster',40,4428,1784,53.72,3.09,40,43,30,21,20,10,7933,868,2075,459,1069,451,278,0,333,0,0,0,50,180,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21207,21207,'Nephilim Commander',0,'',0,'Monster2.nephilim_lord_10_bi',11,45.3,78,'male','L2Monster',40,4550,1859,53.72,3.09,40,43,30,21,20,10,10464,1174,2195,476,1144,468,278,0,333,0,0,0,71,220,'c_dungeon_nephi',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21208,21208,'Hallowed Watchman',0,'',0,'Monster.skeleton',11,25,20,'male','L2Monster',40,541,213,15.8,1.21,40,43,30,21,20,10,521,23,57,94,23,76,278,0,333,216,111,0,66,143,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21209,21209,'Hallowed Seer',0,'',0,'Monster.binding',12,21,22,'male','L2Monster',40,611,242,22.12,1.53,40,43,30,21,20,10,612,29,68,87,28,83,278,500,333,0,0,0,11,121,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21210,21210,'Vault Guardian',0,'',0,'Monster.imp',10,24,25,'male','L2Monster',40,728,287,22.12,1.53,40,43,30,21,20,10,780,39,88,116,37,94,278,500,333,0,0,0,66,143,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21211,21211,'Vault Seer',0,'',0,'Monster.succubus',10,36,27,'female','L2Monster',40,813,318,22.12,1.53,40,43,30,21,20,10,830,42,104,106,45,102,278,500,333,0,0,0,66,121,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21212,21212,'Hallowed Sentinel',0,'',0,'Monster.skeleton_bi',11,31,30,'male','L2Monster',40,954,365,22.12,1.53,40,43,30,21,20,10,957,52,132,140,58,114,278,0,333,69,646,0,66,154,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21213,21213,'Hallowed Monk',0,'',0,'Monster.binding_20_bi',14,25.3,32,'male','L2Monster',40,1056,397,28.44,1.84,40,43,30,21,20,10,1110,62,154,129,69,123,278,500,333,0,0,0,11,121,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21214,21214,'Vault Sentinel',0,'',0,'Monster.imp_bi',10,30,35,'male','L2Monster',40,1220,446,28.44,1.84,40,43,30,21,20,10,1400,83,192,169,89,137,278,500,333,0,0,0,66,154,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21215,21215,'Vault Monk',0,'',0,'Monster.succubus_bi',10,43.2,37,'female','L2Monster',40,1338,480,28.44,1.84,40,43,30,21,20,10,1485,91,222,154,104,147,278,500,333,0,0,0,66,132,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21216,21216,'Overlord of the Holy Lands',0,'',0,'Monster.skeleton_knight_20_bi',12,30.5,40,'male','L2Monster',40,1527,531,28.44,1.84,40,43,30,21,20,10,1701,110,300,183,131,164,278,0,333,129,646,0,44,176,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21217,21217,'Hallowed Priest',0,'',0,'Monster.banshee_20_bi',10,27.5,42,'female','L2Monster',40,1660,589,34.76,2.14,40,43,30,21,20,10,1913,127,311,183,152,175,278,500,333,0,0,0,80,135,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21218,21218,'Vault Overlord',0,'',0,'Monster.death_blader_10_sm',14,40.5,45,'male','L2Monster',40,1870,677,34.76,2.14,40,43,30,21,20,10,2315,161,415,216,188,193,278,500,333,297,0,0,100,160,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21219,21219,'Vault Priest',0,'',0,'Monster.bloody_queen_10_sm',13,38,47,'female','L2Monster',40,2016,738,34.76,2.14,40,43,30,21,20,10,2396,171,427,215,216,206,278,500,333,0,0,0,80,135,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21220,21220,'Sepulcher Archon',0,'',0,'Monster.skeleton_knight_30_bi',13,33,50,'male','L2Monster',40,2245,830,34.76,2.14,40,43,30,21,20,10,2658,200,560,253,264,226,278,0,333,131,107,0,44,187,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21221,21221,'Sepulcher Inquisitor',0,'',0,'Monster.banshee_30_bi',11,30,52,'female','L2Monster',40,2402,892,41.08,2.45,40,43,30,21,20,10,2933,227,570,251,300,239,278,500,333,0,0,0,88,159,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21222,21222,'Sepulcher Archon',0,'',0,'Monster.death_blader_10_bi',16,49.5,55,'male','L2Monster',40,2643,987,41.08,2.45,40,43,30,21,20,10,3459,279,737,292,360,261,278,500,333,298,0,0,110,187,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21223,21223,'Sepulcher Inquisitor',0,'',0,'Monster.bloody_queen_10_bi',15,46,57,'female','L2Monster',40,2806,1052,41.08,2.45,40,43,30,21,20,10,3524,293,743,289,405,276,278,500,333,0,0,0,88,159,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21224,21224,'Sepulcher Guardian',0,'',0,'Monster.skeleton_royal_guard_20_bi',13,34.5,60,'male','L2Monster',40,3054,1150,41.08,2.45,40,43,30,21,20,10,3828,332,828,335,478,299,317,0,333,233,0,0,88,209,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21225,21225,'Sepulcher Sage',0,'',0,'Monster.vale_master_10_bi',13,44,62,'male','L2Monster',40,3219,1217,47.4,2.78,40,43,30,21,20,10,4169,371,944,330,532,315,278,500,333,311,0,0,77,176,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21226,21226,'Sepulcher Guardian',0,'',0,'Monster.death_knight',12,31,65,'male','L2Monster',40,3465,1319,47.4,2.78,40,43,30,21,20,10,4831,448,1184,380,619,340,278,500,333,0,0,0,27,190,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21227,21227,'Sepulcher Sage',0,'',0,'Monster.doll_master',20,42,67,'male','L2Monster',40,3626,1388,47.4,2.78,40,43,30,21,20,10,5444,518,1169,373,681,356,278,500,333,0,0,0,88,176,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21228,21228,'Sepulcher Guard',0,'',0,'Monster.skeleton_royal_guard_30_bi',14,37.5,70,'male','L2Monster',40,3862,1493,47.4,2.78,40,43,30,21,20,10,5211,516,1265,427,780,382,317,0,333,236,0,0,80,200,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21229,21229,'Sepulcher Preacher',0,'',0,'Monster.vale_master_30_bi',15,52,72,'male','L2Monster',40,4013,1565,53.72,3.09,40,43,30,21,20,10,5623,571,1413,417,849,399,278,500,333,326,0,0,70,165,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21230,21230,'Sepulcher Guard',0,'',0,'Monster.death_knight',12,31,75,'male','L2Monster',40,4229,1673,53.72,3.09,40,43,30,21,20,10,6432,678,1720,475,957,425,278,500,333,0,0,0,27,200,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21231,21231,'Sepulcher Preacher',0,'',0,'Monster.doll_master_20_bi',24,50.4,77,'male','L2Monster',40,4364,1747,53.72,3.09,40,43,30,21,20,10,6431,696,1664,463,1031,442,278,500,333,0,0,0,80,165,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21232,21232,'Barrow Guardian',0,'',0,'Monster.skeleton',11,25,20,'male','L2Monster',40,541,213,15.8,1.21,40,43,30,21,20,10,521,23,57,94,23,76,278,0,333,216,0,0,66,143,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21233,21233,'Barrow Seer',0,'',0,'Monster.binding',12,21,22,'male','L2Monster',40,611,242,22.12,1.53,40,43,30,21,20,10,612,29,68,87,28,83,278,500,333,0,0,0,11,121,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21234,21234,'Grave Guardian',0,'',0,'Monster.imp',10,24,25,'male','L2Monster',40,728,287,22.12,1.53,40,43,30,21,20,10,780,39,88,116,37,94,278,500,333,0,0,0,66,143,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21235,21235,'Grave Seer',0,'',0,'Monster.succubus',10,36,27,'female','L2Monster',40,813,318,22.12,1.53,40,43,30,21,20,10,830,42,104,106,45,102,278,500,333,0,0,0,66,121,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21236,21236,'Barrow Sentinel',0,'',0,'Monster.skeleton_bi',11,31,30,'male','L2Monster',40,954,365,22.12,1.53,40,43,30,21,20,10,957,52,132,140,58,114,278,0,333,69,0,0,60,140,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21237,21237,'Barrow Monk',0,'',0,'Monster.binding_20_bi',14,25.3,32,'male','L2Monster',40,1056,397,28.44,1.84,40,43,30,21,20,10,1110,62,154,129,69,123,278,500,333,0,0,0,10,110,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21238,21238,'Grave Sentinel',0,'',0,'Monster.imp_bi',10,30,35,'male','L2Monster',40,1220,446,28.44,1.84,40,43,30,21,20,10,1400,83,192,169,89,137,278,500,333,0,0,0,60,140,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21239,21239,'Grave Monk',0,'',0,'Monster.succubus_bi',10,43.2,37,'female','L2Monster',40,1338,480,28.44,1.84,40,43,30,21,20,10,1485,91,222,154,104,147,278,500,333,0,0,0,60,120,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21240,21240,'Barrow Overlord',0,'',0,'Monster.skeleton_knight_20_bi',12,30.5,40,'male','L2Monster',40,1527,531,28.44,1.84,40,43,30,21,20,10,1701,110,300,183,131,164,278,0,333,129,0,0,44,176,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21241,21241,'Barrow Priest',0,'',0,'Monster.banshee_20_bi',10,27.5,42,'female','L2Monster',40,1660,589,34.76,2.14,40,43,30,21,20,10,1913,127,311,183,152,175,278,500,333,0,0,0,88,148,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21242,21242,'Grave Overlord',0,'',0,'Monster.death_blader_10_sm',14,40.5,45,'male','L2Monster',40,1870,677,34.76,2.14,40,43,30,21,20,10,2315,161,415,216,188,193,278,500,333,297,0,0,100,160,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21243,21243,'Grave Priest',0,'',0,'Monster.bloody_queen_10_sm',13,38,47,'female','L2Monster',40,2016,738,34.76,2.14,40,43,30,21,20,10,2396,171,427,215,216,206,278,500,333,0,0,0,80,135,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21244,21244,'Crypt Archon',0,'',0,'Monster.skeleton_knight_30_bi',13,33,50,'male','L2Monster',40,2245,830,34.76,2.14,40,43,30,21,20,10,2658,200,560,253,264,226,278,0,333,131,0,0,44,187,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21245,21245,'Crypt Inquisitor',0,'',0,'Monster.banshee_30_bi',11,30,52,'female','L2Monster',40,2402,892,41.08,2.45,40,43,30,21,20,10,2933,227,570,251,300,239,278,500,333,0,0,0,88,159,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21246,21246,'Tomb Archon',0,'',0,'Monster.death_blader_10_bi',16,49.5,55,'male','L2Monster',40,2643,987,41.08,2.45,40,43,30,21,20,10,3459,279,737,292,360,261,278,500,333,298,0,0,110,187,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21247,21247,'Tomb Inquisitor',0,'',0,'Monster.bloody_queen_10_bi',15,46,57,'female','L2Monster',40,2806,1052,41.08,2.45,40,43,30,21,20,10,3524,293,743,289,405,276,278,500,333,0,0,0,88,159,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21248,21248,'Crypt Guardian',0,'',0,'Monster.skeleton_royal_guard_20_bi',13,34.5,60,'male','L2Monster',40,3054,1150,41.08,2.45,40,43,30,21,20,10,3828,332,828,335,478,299,317,0,333,233,0,0,80,190,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21249,21249,'Crypt Sage',0,'',0,'Monster.vale_master_10_bi',13,44,62,'male','L2Monster',40,3219,1217,47.4,2.78,40,43,30,21,20,10,4169,371,944,330,532,315,278,500,333,311,0,0,70,160,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21250,21250,'Tomb Guardian',0,'',0,'Monster.death_knight',12,31,65,'male','L2Monster',40,3465,1319,47.4,2.78,40,43,30,21,20,10,4831,448,1184,380,619,340,278,500,333,0,0,0,27,190,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21251,21251,'Tomb Sage',0,'',0,'Monster.doll_master',20,42,67,'male','L2Monster',40,3626,1388,47.4,2.78,40,43,30,21,20,10,5444,518,1169,373,681,356,278,500,333,0,0,0,80,160,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21252,21252,'Crypt Guard',0,'',0,'Monster.skeleton_royal_guard_30_bi',14,37.5,70,'male','L2Monster',40,3862,1493,47.4,2.78,40,43,30,21,20,10,5211,516,1265,427,780,382,317,0,333,236,0,0,88,220,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21253,21253,'Crypt Preacher',0,'',0,'Monster.vale_master_30_bi',15,52,72,'male','L2Monster',40,4013,1565,53.72,3.09,40,43,30,21,20,10,5623,571,1413,417,849,399,278,500,333,326,0,0,77,181,'c_dungeon_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21254,21254,'Tomb Guard',0,'',0,'Monster.death_knight',12,31,75,'male','L2Monster',40,4229,1673,53.72,3.09,40,43,30,21,20,10,6432,678,1720,475,957,425,278,500,333,78,0,0,29,220,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21255,21255,'Tomb Preacher',0,'',0,'Monster.doll_master_20_bi',24,50.4,77,'male','L2Monster',40,4364,1747,53.72,3.09,40,43,30,21,20,10,7190,778,1664,463,1031,442,278,500,333,0,0,0,80,165,'c_dungeon_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21256,21256,'Underground Werewolf',0,'',0,'Monster.werewolf_bi',11,29.7,23,'male','L2Monster',40,648,257,5.53,1.53,40,43,30,21,20,10,754,36,75,91,31,87,278,400,333,0,0,0,55,148,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21257,21257,'Evil Eye Seer',0,'',0,'Monster.monster_eye',21,43,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,646,28,48,73,19,70,278,0,333,0,0,0,99,170,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21258,21258,'Fallen Orc Shaman',0,'',0,'Monster.ketra_orc_shaman',10,23,58,'male','L2Monster',40,2889,1084,10.27,2.45,40,43,30,21,20,10,0,0,781,297,428,284,278,0,333,9,0,0,10,130,'NULL',0,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21259,21259,'Fallen Orc Shaman',0,'',0,'Monster.saber_toothed_tiger',34,28,59,'male','L2Monster',40,2971,1117,10.27,2.45,40,43,30,21,20,10,12983,1110,820,305,453,291,278,500,333,0,0,0,60,180,'beast_clan',1000,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21260,21260,'Betrayer Orc Hero',0,'',0,'Monster.ketra_orc_warrior',12,24,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,3691,278,509,278,264,226,278,0,333,74,0,0,39,187,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21261,21261,'Ol Mahum Transcender',0,'',0,'Monster.ol_mahum',13.5,25,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,4284,323,509,236,264,226,278,0,333,127,0,0,50,130,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21262,21262,'Ol Mahum Transcender',0,'',0,'Monster.ol_mahum_champion',14,27,53,'male','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,7732,608,602,304,319,247,278,500,333,127,0,0,55,154,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21263,21263,'Ol Mahum Transcender',0,'',0,'Monster.oel_mahum',20,37,55,'male','L2Monster',40,2643,987,10.27,2.45,40,43,30,21,20,10,11790,952,670,322,360,261,278,500,333,127,0,0,77,165,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21264,21264,'Ol Mahum Transcender',0,'',0,'Monster.kel_mahum',13,26,58,'male','L2Monster',40,2889,1084,10.27,2.45,40,43,30,21,20,10,19082,1612,781,349,428,284,278,500,333,127,0,0,55,176,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21265,21265,'Cave Ant Larva',0,'',0,'Monster.ant_larva',12,8,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,1586,96,206,175,96,142,278,0,333,0,0,0,44,66,'ant_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21266,21266,'Cave Ant Larva',0,'',0,'Monster.ant_larva',12,8,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,206,175,96,142,278,0,333,0,0,0,44,66,'ant_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21267,21267,'Cave Ant Larva',0,'',0,'Monster.ant_larva',12,8,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,206,175,96,142,278,0,333,0,0,0,44,66,'ant_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21268,21268,'Cave Ant Larva',0,'',0,'Monster.ant_larva',12,8,36,'male','L2Monster',40,1279,463,14.22,1.84,40,43,30,21,20,10,1475,89,187,193,96,142,278,0,333,0,0,0,44,66,'ant_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21269,21269,'Cave Ant',0,'',0,'Monster.ant',26,15,37,'male','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,3368,207,222,154,104,147,278,500,333,0,0,0,44,143,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21270,21270,'Cave Ant Soldier',0,'',0,'Monster.ant_soldier',35,17,38,'male','L2Monster',40,1400,497,7.11,1.84,40,43,30,21,20,10,3891,243,238,188,112,153,278,500,333,0,0,0,88,143,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21271,21271,'Cave Ant',0,'',0,'Monster.ant',26,15,37,'male','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,2298,141,222,154,104,147,278,500,333,0,0,0,44,143,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21272,21272,'Cave Ant Soldier',0,'',0,'Monster.ant_soldier',35,17,38,'male','L2Monster',40,1400,497,7.11,1.84,40,43,30,21,20,10,4085,255,238,188,112,153,278,500,333,0,0,0,88,143,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21273,21273,'Cave Noble Ant',0,'',0,'Monster.noble_ant',20,48,39,'male','L2Monster',40,1462,514,14.22,1.84,40,43,30,21,20,10,5918,376,280,177,121,158,278,500,333,0,0,0,88,191,'ant_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21274,21274,'Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,67,'male','L2Monster',40,3626,1388,5.93,2.78,40,43,30,21,20,10,8356,796,1169,373,681,356,278,0,333,0,0,0,25,209,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21275,21275,'Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,67,'male','L2Monster',40,3626,1388,5.93,2.78,40,43,30,21,20,10,8356,796,1415,308,681,356,278,0,333,0,0,0,25,209,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21276,21276,'Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,67,'male','L2Monster',40,3626,1388,5.93,2.78,40,43,30,21,20,10,8356,796,1063,410,681,356,278,0,333,0,0,0,25,209,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21278,21278,'Antelope',0,'',0,'Monster2.antelope',17,34,68,'male','L2Monster',40,3706,1423,5.93,2.78,40,43,30,21,20,10,8608,832,1217,449,713,365,278,0,333,0,0,0,49,203,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21279,21279,'Antelope',0,'',0,'Monster2.antelope',17,34,68,'male','L2Monster',40,3706,1423,5.93,2.78,40,43,30,21,20,10,8608,832,1106,494,713,365,278,0,333,0,0,0,49,181,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21280,21280,'Antelope',0,'',0,'Monster2.antelope',17,34,68,'male','L2Monster',40,3706,1423,5.93,2.78,40,43,30,21,20,10,8608,832,1473,371,713,365,278,0,333,0,0,0,49,181,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21282,21282,'Bandersnatch',0,'',0,'Monster2.bandersnatch',18,25,69,'male','L2Monster',40,3784,1458,5.93,2.78,40,43,30,21,20,10,9040,884,1757,460,746,373,200,150,333,0,0,0,33,187,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21283,21283,'Bandersnatch',0,'',0,'Monster2.bandersnatch',18,25,69,'male','L2Monster',40,3784,1458,5.93,2.78,40,43,30,21,20,10,9040,884,2127,380,746,373,200,150,333,0,0,0,33,187,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21284,21284,'Bandersnatch',0,'',0,'Monster2.bandersnatch',18,25,69,'male','L2Monster',40,3784,1458,5.93,2.78,40,43,30,21,20,10,9040,884,1598,506,746,373,197,150,333,0,0,0,30,170,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21286,21286,'Buffalo',0,'',0,'Monster2.buffalo',22,31,70,'male','L2Monster',40,3862,1493,5.93,2.78,40,43,30,21,20,10,9121,904,1825,470,780,382,200,0,333,0,0,0,22,187,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21287,21287,'Buffalo',0,'',0,'Monster2.buffalo',22,31,70,'male','L2Monster',40,3862,1493,5.93,2.78,40,43,30,21,20,10,9121,904,1659,517,780,382,200,0,333,0,0,0,22,187,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21288,21288,'Buffalo',0,'',0,'Monster2.buffalo',22,31,70,'male','L2Monster',40,3862,1493,5.93,2.78,40,43,30,21,20,10,9121,904,2209,388,780,382,200,0,333,0,0,0,22,187,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21290,21290,'Grendel',0,'',0,'Monster2.bionic_bear',15,39,71,'male','L2Monster',40,3938,1529,6.72,3.09,40,43,30,21,20,10,9572,960,1894,481,814,390,200,150,333,0,0,0,39,176,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21291,21291,'Grendel',0,'',0,'Monster2.bionic_bear',15,39,71,'male','L2Monster',40,3938,1529,6.72,3.09,40,43,30,21,20,10,9572,960,1721,529,814,390,200,150,333,0,0,0,39,176,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21292,21292,'Grendel',0,'',0,'Monster2.bionic_bear',15,39,71,'male','L2Monster',40,3938,1529,6.72,3.09,40,43,30,21,20,10,9572,960,2291,397,814,390,200,150,333,0,0,0,39,176,'animal_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21294,21294,'Canyon Antelope',0,'',0,'Monster2.antelope',17,34,68,'male','L2Monster',40,3706,1423,23.7,2.78,40,43,30,21,20,10,6893,666,1217,449,713,365,278,0,333,0,0,0,45,200,'eye_clan',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21295,21295,'Canyon Antelope Slave',0,'',0,'Monster2.antelope',17,34,69,'male','L2Monster',40,3784,1458,23.7,2.78,40,43,30,21,20,10,7311,715,1265,460,746,373,361,300,333,0,0,0,45,200,'eye_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21296,21296,'Canyon Bandersnatch',0,'',0,'Monster2.bandersnatch',18,25,70,'male','L2Monster',40,3862,1493,35.55,2.78,40,43,30,21,20,10,7244,718,2429,353,780,382,200,300,333,0,0,0,33,198,'eye_clan',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21297,21297,'Canyon Bandersnatch Slave',0,'',0,'Monster2.bandersnatch',18,25,71,'male','L2Monster',40,3938,1529,40.29,3.09,40,43,30,21,20,10,7275,730,1721,529,814,390,200,200,333,0,0,0,99,180,'eye_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21298,21298,'Eye of Restrainer',0,'',0,'Monster.monster_eye',21,43,71,'male','L2Monster',40,3938,1529,26.86,3.09,40,43,30,21,20,10,7023,705,1239,449,814,390,278,150,333,0,0,0,99,154,'eye_clan',400,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21299,21299,'Buffalo Slave',0,'',0,'Monster2.buffalo_ec',22,31,72,'male','L2Monster',40,4013,1565,40.29,3.09,40,43,30,21,20,10,7481,760,2159,446,849,399,200,300,333,0,0,0,22,176,'eye_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21300,21300,'Eye of Guide',0,'',0,'Monster2.parasitic_eye_20_sm',20,50.5,72,'male','L2Monster',40,4013,1565,40.29,3.09,40,43,30,21,20,10,7360,747,1168,505,849,399,278,0,333,0,0,0,33,170,'eye_clan',400,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21301,21301,'Gaze of Nightmare',0,'',0,'Monster.field_stalker',15,30,72,'male','L2Monster',40,4013,1565,53.72,3.09,40,43,30,21,20,10,6624,673,1061,654,849,399,278,0,333,0,0,0,77,214,'eye_clan',400,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21302,21302,'Eye of Watchman',0,'',0,'Monster2.parasitic_eye',25,63,73,'male','L2Monster',40,4086,1601,40.29,3.09,40,43,30,21,20,10,7105,731,1770,352,885,407,278,300,333,0,0,0,33,200,'eye_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21303,21303,'Homunculus',0,'',0,'Monster2.homunculus_20_sm',10,26,73,'male','L2Monster',40,4086,1601,40.29,3.09,40,43,30,21,20,10,7185,739,1947,320,885,407,278,150,333,0,0,0,33,203,'eye_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21304,21304,'Grendel Slave',0,'',0,'Monster2.bionic_bear',15,39,74,'male','L2Monster',40,4158,1637,53.72,3.09,40,43,30,21,20,10,7918,825,2312,466,921,416,200,200,333,0,0,0,39,180,'eye_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21305,21305,'Eye of Pilgrim',0,'',0,'Monster2.parasitic_eye_20_sm',20,50.5,74,'male','L2Monster',40,4158,1637,40.29,3.09,40,43,30,21,20,10,7775,810,1375,479,921,416,278,0,333,0,0,0,33,181,'eye_clan',400,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21306,21306,'Disciples of Protection',0,'',0,'Monster2.apostle_warrior',8,30,74,'female','L2Monster',40,4158,1637,67.15,3.09,40,43,30,21,20,10,8441,880,1579,682,921,416,200,150,333,6717,0,0,55,176,'divine_clan',600,0,0,'LAST_HIT',200,0,30,'fighter','false'),
(21307,21307,'Elder Homunculus',0,'',0,'Monster2.homunculus',12,32.5,75,'male','L2Monster',40,4229,1673,53.72,3.09,40,43,30,21,20,10,7394,780,1892,367,957,425,278,150,333,0,0,0,33,220,'eye_clan',400,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21308,21308,'Disciples of Punishment',0,'',0,'Monster2.apostle_warrior',8,30,75,'female','L2Monster',40,4229,1673,67.15,3.09,40,43,30,21,20,10,7860,829,2389,475,957,425,200,150,333,6717,0,0,55,209,'divine_clan',600,0,0,'LAST_HIT',200,0,30,'fighter','false'),
(21309,21309,'Disciples of Punishment',0,'',0,'Monster2.apostle_warrior',8,30,75,'female','L2Monster',40,4229,1673,67.15,3.09,40,43,30,21,20,10,8192,864,1795,633,957,425,200,150,333,6717,0,0,55,209,'divine_clan',600,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21310,21310,'Disciples of Authority',0,'',0,'Monster2.apostle_mage',11,38.5,76,'male','L2Monster',40,4297,1710,67.15,3.09,40,43,30,21,20,10,8071,863,1775,412,994,433,278,150,333,6718,0,0,55,170,'divine_clan',600,0,0,'LAST_HIT',0,100,30,'mage','false'),
(21311,21311,'Disciples of Authority',0,'',0,'Monster2.apostle_mage',11,38.5,76,'male','L2Monster',40,4297,1710,67.15,3.09,40,43,30,21,20,10,7441,795,1334,549,994,433,278,150,333,6718,0,0,55,170,'divine_clan',600,0,0,'LAST_HIT',0,100,30,'mage','false'),
(21312,21312,'Eye of Ruler',0,'',0,'Monster2.parasitic_eye',25,63,74,'male','L2Monster',40,4158,1637,40.29,3.09,40,43,30,21,20,10,10752,1121,1375,479,921,416,278,300,333,0,0,0,33,200,'eye_clan',400,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21313,21313,'Sly Hound Dog',0,'',0,'Monster2.bandersnatch',18,25,72,'male','L2Monster',40,4013,1565,40.29,3.09,40,43,30,21,20,10,10294,1046,2375,406,849,399,200,0,333,0,0,0,33,203,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21314,21314,'Hot Springs Bandersnatchling',0,'',0,'Monster2.bandersnatch',18,25,73,'male','L2Monster',40,4086,1601,26.86,3.09,40,43,30,21,20,10,8609,886,2032,502,885,407,197,400,333,0,0,0,30,195,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21315,21315,'Hot Springs Buffalo',0,'',0,'Monster2.buffalo',22,31,73,'male','L2Monster',40,4086,1601,26.86,3.09,40,43,30,21,20,10,8971,923,2032,502,885,407,200,0,333,0,0,0,22,187,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21316,21316,'Hot Springs Flava',0,'',0,'Monster2.flava',18,34,74,'male','L2Monster',40,4158,1637,26.86,3.09,40,43,30,21,20,10,10556,1100,1513,512,921,416,278,450,333,0,0,0,30,180,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21317,21317,'Hot Springs Atroxspawn',0,'',0,'Monster2.kailiharim',45,39,74,'male','L2Monster',40,4158,1637,26.86,3.09,40,43,30,21,20,10,8846,922,2102,512,921,416,197,500,333,0,0,0,105,190,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21318,21318,'Hot Springs Antelope',0,'',0,'Monster2.antelope',17,34,74,'male','L2Monster',40,4158,1637,26.86,3.09,40,43,30,21,20,10,9247,964,1513,512,921,416,278,0,333,0,0,0,49,203,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21319,21319,'Hot Springs Nepenthes',0,'',0,'Monster2.nephenthes',28,43.5,75,'male','L2Monster',40,4229,1673,26.86,3.09,40,43,30,21,20,10,11636,1227,2172,523,957,425,197,350,333,0,0,0,48,190,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21320,21320,'Hot Springs Yeti',0,'',0,'Monster.yeti_20_bi',18,32,75,'male','L2Monster',40,4229,1673,26.86,3.09,40,43,30,21,20,10,9470,999,1563,523,957,425,278,0,333,0,0,0,17,187,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21321,21321,'Hot Springs Atrox',0,'',0,'Monster2.kailiharim',45,39,76,'male','L2Monster',40,4297,1710,26.86,3.09,40,43,30,21,20,10,11135,1190,2242,534,994,433,200,500,333,0,0,0,115,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(21322,21322,'Hot Springs Bandersnatch',0,'',0,'Monster2.bandersnatch',18,25,76,'male','L2Monster',40,4297,1710,26.86,3.09,40,43,30,21,20,10,11135,1190,2242,534,994,433,197,400,333,0,0,0,30,195,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(21323,21323,'Hot Springs Grendel',0,'',0,'Monster2.bionic_bear',15,39,76,'male','L2Monster',40,4297,1710,26.86,3.09,40,43,30,21,20,10,9753,1042,2242,534,994,433,256,0,333,0,0,0,36,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(21324,21324,'Ketra Orc Footman',0,'',0,'Monster.ketra_orc',12,29,77,'male','L2Monster',40,4364,1747,26.86,3.09,40,43,30,21,20,10,9323,1009,1664,544,1031,442,278,150,333,79,0,0,49,192,'ketra',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21325,21325,'Ketra\'s War Hound',0,'',0,'Monster2.bandersnatch',18,25,77,'male','L2Monster',40,4364,1747,26.86,3.09,40,43,30,21,20,10,9015,975,2543,495,1031,442,200,150,333,0,0,0,33,203,'ketra',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(21326,21326,'Grazing Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,77,'male','L2Monster',40,4364,1747,26.86,3.09,40,43,30,21,20,10,9015,975,1375,560,1031,442,278,150,333,0,0,0,25,209,'ketra',0,0,0,'LAST_HIT',0,0,0,'balanced','true'),
(21327,21327,'Ketra Orc Raider',0,'',0,'Monster.ketra_orc_warrior',12,24,78,'male','L2Monster',40,4428,1784,26.86,3.09,40,43,30,21,20,10,10240,1120,2075,459,1069,451,278,150,333,79,6919,0,39,192,'ketra',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21328,21328,'Ketra Orc Scout',0,'',0,'Monster.ketra_orc_archer',12,27,78,'male','L2Monster',500,4428,1784,26.86,3.09,40,43,30,21,20,10,9816,1074,3464,611,1069,451,249,150,333,288,0,0,49,192,'ketra',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(21329,21329,'Ketra Orc Shaman',0,'',0,'Monster.ketra_orc_shaman',10,23,78,'male','L2Monster',40,4490,1821,26.86,3.09,40,43,30,21,20,10,9955,1103,1765,481,1107,459,278,150,333,92,0,0,11,165,'ketra',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21330,21330,'Grazing Buffalo',0,'',0,'Monster2.buffalo',22,31,78,'male','L2Monster',40,4490,1821,26.86,3.09,40,43,30,21,20,10,9489,1051,2026,685,1107,459,200,150,333,0,0,0,22,181,'ketra',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(21331,21331,'Ketra Orc Warrior',0,'',0,'Monster.ketra_orc_warrior',12,24,78,'male','L2Monster',40,4550,1859,26.86,3.09,40,43,30,21,20,10,9304,1044,1996,524,1144,468,278,150,333,79,6919,0,39,192,'ketra',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21332,21332,'Ketra Orc Lieutenant',0,'',0,'Monster2.ketra_orc_chieftain',11,38.5,78,'male','L2Monster',40,4550,1859,26.86,3.09,40,43,30,21,20,10,10420,1169,2291,634,1144,468,200,400,333,6719,0,0,26,192,'ketra',300,0,0,'LAST_HIT',100,0,50,'fighter','true'),
(21333,21333,'Grazing Windsus',0,'',0,'Monster.giant_wild_hog',35,27,78,'male','L2Monster',40,4608,1896,26.86,3.09,40,43,30,21,20,10,9976,1133,1540,710,1182,477,278,150,333,0,0,0,38,187,'ketra',0,0,0,'LAST_HIT',0,0,0,'balanced','true'),
(21334,21334,'Ketra Orc Medium',0,'',0,'Monster.ketra_orc_shaman',10,23,78,'male','L2Monster',40,4608,1896,26.86,3.09,40,43,30,21,20,10,14933,1695,1863,499,1182,477,278,400,333,92,0,0,11,165,'ketra',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21335,21335,'Ketra Orc Elite Soldier',0,'',0,'Monster.ketra_orc',12,29,78,'male','L2Monster',40,4663,1934,26.86,3.09,40,43,30,21,20,10,9625,1106,1912,598,1220,485,278,300,333,79,0,0,49,192,'ketra',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21336,21336,'Ketra Orc White Captain',0,'',0,'Monster.ketra_orc_overload_20_bi',14,28.8,78,'male','L2Monster',40,4663,1934,26.86,3.09,40,43,30,21,20,10,11317,1300,1738,657,1220,485,278,300,333,80,0,0,36,192,'ketra',300,0,0,'LAST_HIT',100,0,50,'balanced','true'),
(21337,21337,'Grazing Elder Buffalo',0,'',0,'Monster2.buffalo',22,31,78,'male','L2Monster',40,4716,1972,26.86,3.09,40,43,30,21,20,10,10475,1217,2249,736,1258,494,200,150,333,0,0,0,22,181,'ketra',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(21338,21338,'Ketra Orc Seer',0,'',0,'Monster.ketra_orc_shaman',10,23,78,'male','L2Monster',40,4716,1972,26.86,3.09,40,43,30,21,20,10,13783,1602,2155,470,1258,494,278,350,333,213,0,0,11,176,'ketra',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21339,21339,'Ketra Orc General',0,'',0,'Monster2.ketra_orc_chieftain_20_bi',17,46.2,78,'male','L2Monster',40,4766,2011,26.86,3.09,40,43,30,21,20,10,10494,1234,3372,511,1296,502,200,150,333,6719,0,0,26,192,'ketra',300,0,0,'LAST_HIT',100,0,50,'fighter','true'),
(21340,21340,'Ketra Orc Battalion Commander',0,'',0,'Monster2.ketra_orc_warlord',12,30,78,'male','L2Monster',40,4766,2011,26.86,3.09,40,43,30,21,20,10,10494,1234,2006,619,1296,502,278,150,333,80,6919,0,29,192,'ketra',300,0,0,'LAST_HIT',100,0,60,'fighter','true'),
(21341,21341,'Grazing Elder Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,78,'male','L2Monster',40,4813,2049,26.86,3.09,40,43,30,21,20,10,10986,1307,1696,647,1333,511,278,150,333,0,0,0,25,209,'ketra',0,0,0,'LAST_HIT',0,0,0,'balanced','true'),
(21342,21342,'Ketra Orc Grand Seer',0,'',0,'Monster.ketra_orc_shaman',10,23,78,'male','L2Monster',40,4813,2049,26.86,3.09,40,43,30,21,20,10,14456,1720,2052,629,1333,511,278,150,333,213,0,0,11,176,'ketra',300,0,0,'LAST_HIT',0,100,50,'balanced','true'),
(21343,21343,'Ketra Commander',0,'',0,'Monster2.ketra_orc_warlord_20_bi',15,36,78,'male','L2Monster',40,4608,1896,26.86,3.09,40,43,30,21,20,10,16400,1862,1630,587,1182,477,317,150,333,80,6919,0,29,192,'ketra',300,0,0,'LAST_HIT',100,0,50,'balanced','false'),
(21344,21344,'Ketra Elite Guard',0,'',0,'Monster.ketra_orc_overload',12,24,78,'male','L2Minion',40,4550,1859,26.86,3.09,40,43,30,21,20,10,11138,1250,2195,476,1144,468,278,0,333,80,0,0,36,198,'ketra',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21345,21345,'Ketra\'s Head Shaman',0,'',0,'Monster.ketra_orc_shaman',10,23,78,'male','L2Monster',40,4813,2049,26.86,3.09,40,43,30,21,20,10,12360,1471,2257,572,1333,511,278,150,333,210,0,0,11,192,'ketra',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21346,21346,'Ketra\'s Head Guard',0,'',0,'Monster2.ketra_orc_chieftain',11,38.5,78,'male','L2Minion',40,4766,2011,26.86,3.09,40,43,30,21,20,10,12279,1444,2303,749,1296,502,200,0,333,6719,0,0,26,192,'ketra',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21347,21347,'Ketra Prophet',0,'',0,'Monster.ketra_orc_shaman',10,23,78,'male','L2Monster',40,4899,2127,26.86,3.09,40,43,30,21,20,10,18779,2289,2141,650,1406,528,278,150,333,213,0,0,11,192,'ketra',300,0,0,'LAST_HIT',0,100,50,'balanced','false'),
(21348,21348,'Prophet\'s Guard',0,'',0,'Monster2.ketra_orc_chieftain',11,38.5,78,'male','L2Minion',40,4858,2088,26.86,3.09,40,43,30,21,20,10,12871,1550,2913,639,1370,519,200,0,333,6719,0,0,26,198,'ketra',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21349,21349,'Prophet\'s Aide',0,'',0,'Monster.ketra_orc_shaman',10,23,78,'male','L2Minion',40,4858,2088,26.86,3.09,40,43,30,21,20,10,13071,1574,2097,639,1370,519,278,0,333,210,0,0,11,198,'ketra',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21350,21350,'Varka Silenos Recruit',0,'',0,'Monster2.barka_silenos_hunter',16,38,77,'male','L2Monster',40,4364,1747,26.86,3.09,40,43,30,21,20,10,9851,1066,1664,544,1031,442,361,150,333,2504,0,0,44,175,'varka',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21351,21351,'Varka Silenos Footman',0,'',0,'Monster2.barka_silenos_warrior',16,41,77,'male','L2Monster',40,4364,1747,26.86,3.09,40,43,30,21,20,10,8487,918,1831,495,1031,442,278,400,333,2504,0,0,34,185,'varka',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21352,21352,'Grazing Antelope',0,'',0,'Monster2.antelope',17,34,77,'male','L2Monster',40,4364,1747,26.86,3.09,40,43,30,21,20,10,9015,975,1375,560,1031,442,278,150,333,0,0,0,45,185,'varka',0,0,0,'LAST_HIT',0,0,0,'balanced','true'),
(21353,21353,'Varka Silenos Scout',0,'',0,'Monster2.barka_silenos_hunter',16,38,78,'male','L2Monster',40,4428,1784,26.86,3.09,40,43,30,21,20,10,9906,1084,2075,459,1069,451,278,350,333,142,6918,0,48,192,'varka',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21354,21354,'Varka Silenos Hunter',0,'',0,'Monster2.barka_silenos_archer',8,37.5,78,'male','L2Monster',500,4428,1784,26.86,3.09,40,43,30,21,20,10,9816,1074,3464,611,1069,451,247,300,333,6917,0,0,30,175,'varka',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(21355,21355,'Varka Silenos Shaman',0,'',0,'Monster2.barka_silenos_shaman',14,39.5,78,'male','L2Monster',40,4490,1821,26.86,3.09,40,43,30,21,20,10,9492,1052,2451,481,1107,459,200,300,333,6716,0,0,39,165,'varka',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21356,21356,'Grazing Nepenthes',0,'',0,'Monster2.nephenthes',28,43.5,78,'male','L2Monster',40,4490,1821,26.86,3.09,40,43,30,21,20,10,9489,1051,2026,685,1107,459,200,150,333,0,0,0,52,187,'varka',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(21357,21357,'Varka Silenos Priest',0,'',0,'Monster2.barka_silenos_priest',9,41.5,78,'male','L2Monster',40,4550,1859,26.86,3.09,40,43,30,21,20,10,10277,1153,1996,524,1144,468,278,450,333,6716,0,0,39,192,'varka',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21358,21358,'Varka Silenos Warrior',0,'',0,'Monster2.barka_silenos_warrior',16,41,78,'male','L2Monster',40,4550,1859,26.86,3.09,40,43,30,21,20,10,10771,1209,1649,634,1144,468,278,150,333,142,6918,0,37,192,'varka',300,0,0,'LAST_HIT',100,0,50,'balanced','true'),
(21359,21359,'Grazing Bandersnatch',0,'',0,'Monster2.bandersnatch',18,25,78,'male','L2Monster',40,4608,1896,26.86,3.09,40,43,30,21,20,10,9976,1133,2139,710,1182,477,200,150,333,0,0,0,33,192,'varka',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(21360,21360,'Varka Silenos Medium',0,'',0,'Monster2.barka_silenos_shaman',14,39.5,78,'male','L2Monster',40,4608,1896,26.86,3.09,40,43,30,21,20,10,15892,1804,2588,499,1182,477,200,150,333,6716,0,0,39,165,'varka',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21361,21361,'Varka Silenos Magus',0,'',0,'Monster2.barka_silenos_mage_20_bi',11,55.2,78,'male','L2Monster',40,4663,1934,26.86,3.09,40,43,30,21,20,10,9625,1106,1912,598,1220,485,278,150,333,6716,0,0,39,192,'varka',300,0,0,'LAST_HIT',0,100,30,'mage','true'),
(21362,21362,'Varka Silenos Officer',0,'',0,'Monster2.barka_silenos_chieftain',18,42.5,78,'male','L2Monster',40,4663,1934,26.86,3.09,40,43,30,21,20,10,11317,1300,2414,657,1220,485,200,150,333,2504,0,0,27,192,'varka',300,0,0,'LAST_HIT',100,0,50,'fighter','true'),
(21363,21363,'Grazing Flava',0,'',0,'Monster2.flava',18,34,78,'male','L2Monster',40,4716,1972,26.86,3.09,40,43,30,21,20,10,10475,1217,1619,736,1258,494,278,150,333,0,0,0,33,181,'varka',0,0,0,'LAST_HIT',0,0,0,'balanced','true'),
(21364,21364,'Varka Silenos Seer',0,'',0,'Monster2.barka_silenos_shaman',14,39.5,78,'male','L2Monster',40,4716,1972,26.86,3.09,40,43,30,21,20,10,13272,1543,2994,470,1258,494,200,150,333,6716,0,0,39,176,'varka',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21365,21365,'Varka Silenos Great Magus',0,'',0,'Monster2.barka_silenos_warrior_20_bi',20,49.2,78,'male','L2Monster',40,4766,2011,26.86,3.09,40,43,30,21,20,10,11525,1355,2428,511,1296,502,278,150,333,2500,0,0,37,192,'varka',300,0,0,'LAST_HIT',0,100,50,'balanced','true'),
(21366,21366,'Varka Silenos General',0,'',0,'Monster2.barka_silenos_chieftain',18,42.5,78,'male','L2Monster',40,4766,2011,26.86,3.09,40,43,30,21,20,10,12718,1496,2787,619,1296,502,200,150,333,2500,0,0,27,192,'varka',300,0,0,'LAST_HIT',100,0,60,'fighter','true'),
(21367,21367,'Grazing Elder Antelope',0,'',0,'Monster2.antelope',17,34,78,'male','L2Monster',40,4813,2049,26.86,3.09,40,43,30,21,20,10,10986,1307,1696,647,1333,511,278,150,333,0,0,0,49,203,'varka',0,0,0,'LAST_HIT',0,0,0,'balanced','true'),
(21368,21368,'Varka Silenos Great Seer',0,'',0,'Monster2.barka_silenos_shaman',14,39.5,78,'male','L2Monster',40,4813,2049,26.86,3.09,40,43,30,21,20,10,16964,2019,2851,629,1333,511,200,150,333,6716,0,0,39,176,'varka',300,0,0,'LAST_HIT',0,100,50,'balanced','true'),
(21369,21369,'Varka\'s Commander',0,'',0,'Monster2.barka_silenos_chieftain_20_bi',22,51,78,'male','L2Monster',40,4608,1896,26.86,3.09,40,43,30,21,20,10,15953,1811,2588,587,1182,477,197,150,333,2500,0,0,25,175,'varka',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21370,21370,'Varka\'s Elite Guard',0,'',0,'Monster2.barka_silenos_warrior',16,41,78,'male','L2Minion',40,4550,1859,26.86,3.09,40,43,30,21,20,10,11565,1298,2195,476,1144,468,278,0,333,2500,0,0,34,180,'varka',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21371,21371,'Varka\'s Head Magus',0,'',0,'Monster2.barka_silenos_shaman',14,39.5,78,'male','L2Monster',40,4813,2049,26.86,3.09,40,43,30,21,20,10,12360,1471,3136,572,1333,511,200,150,333,6716,0,0,39,192,'varka',300,0,0,'LAST_HIT',0,100,50,'balanced','false'),
(21372,21372,'Varka\'s Head Guard',0,'',0,'Monster2.barka_silenos_hunter',16,38,78,'male','L2Minion',40,4766,2011,26.86,3.09,40,43,30,21,20,10,12279,1444,1658,749,1296,502,278,0,333,2500,6918,0,48,192,'varka',300,0,0,'LAST_HIT',100,0,30,'balanced','false'),
(21373,21373,'Varka\'s Prophet',0,'',0,'Monster2.barka_silenos_shaman_20_bi',17,47.5,78,'male','L2Monster',40,4899,2127,26.86,3.09,40,43,30,21,20,10,18082,2204,2973,650,1406,528,200,150,333,6716,0,0,39,192,'varka',300,0,0,'LAST_HIT',0,100,50,'balanced','false'),
(21374,21374,'Prophet Guard',0,'',0,'Monster2.barka_silenos_warrior',16,41,78,'male','L2Minion',40,4858,2088,26.86,3.09,40,43,30,21,20,10,12871,1550,2097,639,1370,519,278,0,333,2500,6918,0,37,198,'varka',300,0,0,'LAST_HIT',100,0,30,'balanced','false'),
(21375,21375,'Disciple of Prophet',0,'',0,'Monster2.barka_silenos_priest',9,41.5,78,'male','L2Minion',40,4858,2088,26.86,3.09,40,43,30,21,20,10,12404,1494,2097,639,1370,519,278,0,333,6716,0,0,39,198,'varka',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21376,21376,'Scarlet Stakato Worker',0,'',0,'Monster.blade_stakato_worker',13,40,78,'male','L2Monster',40,4428,1784,67.15,3.09,40,43,30,21,20,10,7054,772,1886,505,1069,451,278,150,333,235,0,0,27,143,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21377,21377,'Scarlet Stakato Soldier',0,'',0,'Monster.blade_stakato_soldier',15,38,78,'male','L2Monster',40,4428,1784,67.15,3.09,40,43,30,21,20,10,6904,755,1886,429,1069,451,278,400,333,180,0,0,27,200,'fire_clan',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21378,21378,'Scarlet Stakato Noble',0,'',0,'Monster.blade_stakato_drone',15,39,78,'male','L2Monster',40,4490,1821,67.15,3.09,40,43,30,21,20,10,9829,1089,1941,514,1107,459,278,450,333,235,0,0,27,200,'fire_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21379,21379,'Tepra Scorpion',0,'',0,'Monster2.scorpion_20_sm',24,52.8,78,'male','L2Monster',40,4490,1821,67.15,3.09,40,43,30,21,20,10,7098,786,1698,514,1107,459,317,150,333,0,0,0,40,137,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(21380,21380,'Tepra Scarab',0,'',0,'Monster2.scarab',14,22,78,'male','L2Monster',40,4490,1821,67.15,3.09,40,43,30,21,20,10,7237,802,1941,514,1107,459,278,150,333,0,0,0,49,192,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21381,21381,'Assassin Beetle',0,'',0,'Monster2.tera_beetle',19,54.5,78,'male','L2Monster',40,4550,1859,67.15,3.09,40,43,30,21,20,10,8414,944,1996,524,1144,468,278,500,333,0,0,0,49,159,'fire_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21382,21382,'Mercenary of Destruction',0,'',0,'Monster.skeleton_knight',10,25,78,'male','L2Monster',40,4550,1859,67.15,3.09,40,43,30,21,20,10,10380,1165,1996,524,1144,468,278,150,333,150,103,0,44,181,'fire_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21383,21383,'Knight of Destruction',0,'',0,'Monster.skeleton_royal_guard',11,28.5,78,'male','L2Monster',40,4550,1859,67.15,3.09,40,43,30,21,20,10,10396,1167,1996,524,1144,468,278,150,333,946,945,0,88,203,'fire_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21384,21384,'Necromancer of Destruction',0,'',0,'Monster.vale_master_20_bi',14.5,48,78,'male','L2Monster',40,4608,1896,67.15,3.09,40,43,30,21,20,10,8915,1012,2050,454,1182,477,278,150,333,0,0,0,77,159,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21385,21385,'Lavastone Golem',0,'',0,'Monster.stone_golem',20,31,78,'male','L2Monster',40,4608,1896,67.15,3.09,40,43,30,21,20,10,8585,975,2050,534,1182,477,278,150,333,0,0,0,25,44,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21386,21386,'Magma Golem',0,'',0,'Monster2.lava_golem',22,45,78,'male','L2Monster',40,4608,1896,67.15,3.09,40,43,30,21,20,10,9174,1041,2847,534,1182,477,200,150,333,0,0,0,14,66,'fire_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21387,21387,'Arimanes of Destruction',0,'',0,'Monster2.ahrimanes',14,57.75,78,'male','L2Monster',40,4663,1934,67.15,3.09,40,43,30,21,20,10,7314,840,2921,543,1220,485,200,150,333,6722,0,0,38,203,'fire_clan',300,0,0,'LAST_HIT',100,0,40,'fighter','false'),
(21388,21388,'Iblis of Destruction',0,'',0,'Monster.fiend_archer',17,55,78,'male','L2Monster',40,4663,1934,80.58,3.09,40,43,30,21,20,10,9221,1059,2103,543,1220,485,278,150,333,0,0,0,77,165,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'archer','false'),
(21389,21389,'Balrog of Destruction',0,'',0,'Monster.kaim_vanul',24,40,78,'male','L2Monster',40,4716,1972,80.58,3.09,40,43,30,21,20,10,9888,1149,2155,553,1258,494,278,150,333,0,0,0,40,170,'fire_clan',300,0,0,'LAST_HIT',100,0,20,'fighter','false'),
(21390,21390,'Ashuras of Destruction',0,'',0,'Monster2.ashuras_30_bi',17,49,78,'male','L2Monster',40,4766,2011,80.58,3.09,40,43,30,21,20,10,11408,1342,2207,562,1296,502,278,150,333,0,0,0,45,209,'fire_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21391,21391,'Lavasillisk',0,'',0,'Monster.lesser_basilisk',34,25,78,'male','L2Monster',40,4716,1972,80.58,3.09,40,43,30,21,20,10,7886,916,2155,553,1258,494,278,150,333,0,0,0,38,154,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21392,21392,'Blazing Ifrit',0,'',0,'Monster2.ifrit_30_bi',13,55,78,'male','L2Monster',40,4766,2011,80.58,3.09,40,43,30,21,20,10,11251,1323,2207,562,1296,502,278,150,333,0,0,0,41,165,'fire_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21393,21393,'Magma Drake',0,'',0,'Monster2.inferno_drake_20_bi',29,42,78,'male','L2Monster',40,4813,2049,80.58,3.09,40,43,30,21,20,10,9494,1130,2257,572,1333,511,278,150,333,0,0,0,62,214,'fire_clan',500,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21394,21394,'Lavasaurus',0,'',0,'Monster2.magmagoil',15,75,78,'male','L2Monster',500,4490,1821,67.15,3.09,40,43,30,21,20,10,8988,996,5991,437,1107,459,179,400,333,0,0,0,1,1,'fire_clan',500,0,0,'LAST_HIT',100,0,20,'balanced','false'),
(21395,21395,'Elder Lavasaurus',0,'',0,'Monster2.magmagoil_lad',15,75,78,'male','L2Monster',500,4716,1972,80.58,3.09,40,43,30,21,20,10,9760,1134,6652,470,1258,494,179,150,333,0,0,0,1,1,'fire_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21396,21396,'Carrion Scarab',0,'',0,'Monster2.scarab',14,22,78,'male','L2Monster',40,4428,1784,40.29,3.09,40,43,30,21,20,10,8182,895,1417,672,1069,451,278,0,333,0,0,0,49,143,'tomb_clan',300,0,0,'LAST_HIT',100,0,20,'balanced','false'),
(21397,21397,'Carrion Scarab',0,'',0,'Monster2.scarab',14,22,78,'male','L2Monster',40,4428,1784,40.29,3.09,40,43,30,21,20,10,7103,777,2282,417,1069,451,278,0,333,0,0,0,49,143,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21398,21398,'Soldier Scarab',0,'',0,'Monster2.scarab',14,22,78,'male','L2Monster',40,4428,1784,80.58,3.09,40,43,30,21,20,10,6744,738,1715,555,1069,451,278,350,333,0,0,0,49,198,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21399,21399,'Soldier Scarab',0,'',0,'Monster2.scarab',14,22,78,'male','L2Monster',40,4428,1784,67.15,3.09,40,43,30,21,20,10,7736,846,1715,555,1069,451,278,350,333,0,0,0,49,198,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(21400,21400,'Hexa Beetle',0,'',0,'Monster2.tera_beetle',25,54.5,78,'male','L2Monster',40,4490,1821,67.15,3.09,40,43,30,21,20,10,6611,732,1765,566,1107,459,278,350,333,0,0,0,49,159,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21401,21401,'Hexa Beetle',0,'',0,'Monster2.tera_beetle',25,54.5,78,'male','L2Monster',40,4490,1821,53.72,3.09,40,43,30,21,20,10,7271,806,1941,514,1107,459,278,350,333,0,0,0,45,145,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21402,21402,'Katraxis',0,'',0,'Monster2.scorpion_20_sm',24,52.8,78,'male','L2Monster',40,4490,1821,53.72,3.09,40,43,30,21,20,10,7503,831,1544,566,1107,459,317,300,333,0,0,0,37,165,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(21403,21403,'Katraxis',0,'',0,'Monster2.scorpion_20_sm',24,52.8,78,'male','L2Monster',40,4490,1821,67.15,3.09,40,43,30,21,20,10,6928,767,1544,566,1107,459,317,300,333,0,0,0,40,181,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(21404,21404,'Tera Beetle',0,'',0,'Monster2.tera_beetle',25,54.5,78,'male','L2Monster',40,4550,1859,53.72,3.09,40,43,30,21,20,10,14906,1673,1649,634,1144,468,278,0,333,0,0,0,49,203,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(21405,21405,'Tera Beetle',0,'',0,'Monster2.tera_beetle',25,54.5,78,'male','L2Monster',40,4550,1859,53.72,3.09,40,43,30,21,20,10,7146,802,1814,576,1144,468,278,0,333,0,0,0,45,185,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(21406,21406,'Knight of Empire',0,'',0,'Monster.skeleton_knight',10,25,78,'male','L2Monster',40,4550,1859,67.15,3.09,40,43,30,21,20,10,8454,949,1814,576,1144,468,278,300,333,150,103,0,40,145,'tomb_clan',300,1,0,'LAST_HIT',0,100,30,'mage','false'),
(21407,21407,'Knight of Empire',0,'',0,'Monster.skeleton_knight',10,25,78,'male','L2Monster',40,4550,1859,40.29,3.09,40,43,30,21,20,10,9017,1012,1814,576,1144,468,278,300,333,150,103,0,40,145,'tomb_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21408,21408,'Royal Guard of Empire',0,'',0,'Monster.skeleton_pikeman',10,28,78,'male','L2Monster',40,4550,1859,67.15,3.09,40,43,30,21,20,10,7358,825,1996,524,1144,468,278,0,333,304,0,0,55,209,'tomb_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21409,21409,'Royal Guard of Empire',0,'',0,'Monster.skeleton_pikeman',10,28,78,'male','L2Monster',40,4550,1859,80.58,3.09,40,43,30,21,20,10,6857,769,1499,698,1144,468,278,0,333,304,0,0,55,209,'tomb_clan',300,1,0,'LAST_HIT',0,100,30,'balanced','false'),
(21410,21410,'Guardian Scarab',0,'',0,'Monster2.scarab_20_bi',17,26.5,78,'male','L2Monster',40,4608,1896,67.15,3.09,40,43,30,21,20,10,7602,863,1863,587,1182,477,278,0,333,0,0,0,45,195,'tomb_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21411,21411,'Guardian Scarab',0,'',0,'Monster2.scarab_20_bi',17,26.5,78,'male','L2Monster',40,4608,1896,53.72,3.09,40,43,30,21,20,10,7584,861,1863,587,1182,477,278,0,333,0,0,0,45,195,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21412,21412,'Ustralith',0,'',0,'Monster2.scorpion',28,66,78,'male','L2Monster',40,4608,1896,67.15,3.09,40,43,30,21,20,10,9682,1099,1347,710,1182,477,317,150,333,0,0,0,37,130,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(21413,21413,'Ustralith',0,'',0,'Monster2.scorpion',28,66,78,'male','L2Monster',40,4608,1896,67.15,3.09,40,43,30,21,20,10,7445,845,1793,534,1182,477,317,150,333,0,0,0,40,143,'tomb_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','false'),
(21414,21414,'Assassin of Empire',0,'',0,'Monster.skeleton_royal_guard',11,28.5,78,'male','L2Monster',40,4608,1896,67.15,3.09,40,43,30,21,20,10,7236,821,1973,485,1182,477,317,0,333,946,945,0,88,192,'tomb_clan',300,1,0,'LAST_HIT',0,0,0,'mage','false'),
(21415,21415,'Assassin of Empire',0,'',0,'Monster.skeleton_royal_guard',11,28.5,78,'male','L2Monster',40,4608,1896,67.15,3.09,40,43,30,21,20,10,7299,828,1482,646,1182,477,317,0,333,946,945,0,88,192,'tomb_clan',300,1,0,'LAST_HIT',0,100,30,'balanced','false'),
(21416,21416,'Imperial Commander',0,'',0,'Monster2.imperial_warlord_zombie',7,30,78,'male','L2Monster',40,4608,1896,67.15,3.09,40,43,30,21,20,10,8637,980,1863,587,1182,477,278,350,333,134,6721,0,39,140,'tomb_clan',300,1,0,'LAST_HIT',0,0,0,'mage','false'),
(21417,21417,'Imperial Commander',0,'',0,'Monster2.imperial_warlord_zombie',7,30,78,'male','L2Monster',40,4608,1896,80.58,3.09,40,43,30,21,20,10,12557,1425,2255,485,1182,477,278,350,333,134,6721,0,39,140,'tomb_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21418,21418,'Imperial Royal Guard',0,'',0,'Monster.death_knight',12,31,78,'male','L2Monster',40,4663,1934,53.72,3.09,40,43,30,21,20,10,8030,922,1912,598,1220,485,278,0,333,142,0,0,29,176,'tomb_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21419,21419,'Imperial Royal Guard',0,'',0,'Monster.death_knight',12,31,78,'male','L2Monster',40,4663,1934,53.72,3.09,40,43,30,21,20,10,8173,939,1912,598,1220,485,278,0,333,142,0,0,29,176,'tomb_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21420,21420,'Ashuras',0,'',0,'Monster2.ashuras',13,37.5,78,'male','L2Monster',40,4663,1934,67.15,3.09,40,43,30,21,20,10,7704,885,1912,598,1220,485,278,150,333,0,0,0,45,220,'tomb_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21421,21421,'Ashuras',0,'',0,'Monster2.ashuras',13,37.5,78,'male','L2Monster',40,4663,1934,67.15,3.09,40,43,30,21,20,10,7231,830,1912,598,1220,485,278,150,333,0,0,0,45,220,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21422,21422,'Dancer of Empire',0,'',0,'Monster.banshee',9,23,78,'female','L2Monster',40,4663,1934,80.58,3.09,40,43,30,21,20,10,6913,794,2103,543,1220,485,278,0,333,0,0,0,88,132,'tomb_clan',300,0,0,'LAST_HIT',100,0,30,'mage','false'),
(21423,21423,'Dancer of Empire',0,'',0,'Monster.banshee',9,23,78,'female','L2Monster',40,4663,1934,80.58,3.09,40,43,30,21,20,10,7328,842,2103,543,1220,485,278,150,333,0,0,0,88,132,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(21424,21424,'Ashkenas',0,'',0,'Monster2.ashuras',13,37.5,78,'male','L2Monster',40,4663,1934,80.58,3.09,40,43,30,21,20,10,9288,1067,2544,449,1220,485,278,350,333,0,0,0,45,209,'tomb_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21425,21425,'Ashkenas',0,'',0,'Monster2.ashuras',13,37.5,78,'male','L2Monster',40,4663,1934,80.58,3.09,40,43,30,21,20,10,9444,1085,2544,449,1220,485,278,350,333,0,0,0,45,209,'tomb_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21426,21426,'Abraxion',0,'',0,'Monster2.erinyes',21,50,78,'male','L2Monster',40,4716,1972,53.72,3.09,40,43,30,21,20,10,16312,1896,2722,608,1258,494,200,350,333,0,0,0,34,143,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21427,21427,'Abraxion',0,'',0,'Monster2.erinyes',21,50,78,'male','L2Monster',40,4716,1972,53.72,3.09,40,43,30,21,20,10,9587,1114,2722,608,1258,494,200,350,333,0,0,0,34,143,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21428,21428,'Hasturan',0,'',0,'Monster2.erinyes',21,50,78,'male','L2Monster',40,4716,1972,67.15,3.09,40,43,30,21,20,10,7324,851,2994,553,1258,494,200,150,333,0,0,0,34,165,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(21429,21429,'Hasturan',0,'',0,'Monster2.erinyes',21,50,78,'male','L2Monster',40,4716,1972,67.15,3.09,40,43,30,21,20,10,7647,889,2474,669,1258,494,200,150,333,0,0,0,34,165,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(21430,21430,'Arimanes',0,'',0,'Monster2.ahrimanes',14,57.75,78,'male','L2Monster',40,4716,1972,80.58,3.09,40,43,30,21,20,10,8801,1023,3293,503,1258,494,200,0,333,6722,0,0,38,231,'tomb_clan',300,0,0,'LAST_HIT',0,100,30,'mage','false'),
(21431,21431,'Arimanes',0,'',0,'Monster2.ahrimanes',14,57.75,78,'male','L2Monster',40,4716,1972,80.58,3.09,40,43,30,21,20,10,7507,872,2249,736,1258,494,200,0,333,6722,0,0,38,231,'tomb_clan',300,0,0,'LAST_HIT',0,100,30,'fighter','false'),
(21432,21432,'Chakram Beetle',0,'',0,'Monster2.tera_beetle',19,54.5,78,'male','L2Monster',40,4550,1859,80.58,3.09,40,43,30,21,20,10,12155,1364,1814,576,1144,468,278,0,333,0,0,0,49,187,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21433,21433,'Jamadar Beetle',0,'',0,'Monster2.tera_beetle_20_sm',20,43.6,78,'male','L2Monster',40,4490,1821,80.58,3.09,40,43,30,21,20,10,11788,1306,1765,566,1107,459,278,0,333,0,0,0,49,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21434,21434,'Seer of Blood',0,'',0,'Monster2.erinyes',21,50,78,'male','L2Monster',40,4663,1934,80.58,3.09,40,43,30,21,20,10,23561,2707,2655,598,1220,485,200,0,333,0,0,0,34,165,'tomb_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21435,21435,'Guide of Offering',0,'',0,'Monster2.imperial_warlord_zombie',7,30,78,'male','L2Minion',40,4550,1859,80.58,3.09,40,43,30,21,20,10,11922,1338,1814,576,1144,468,278,0,333,134,6721,0,42,165,'tomb_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21436,21436,'Leader of Offering',0,'',0,'Monster2.imperial_warlord_zombie',7,30,78,'male','L2Minion',40,4550,1859,80.58,3.09,40,43,30,21,20,10,12367,1388,1814,576,1144,468,278,0,333,134,6721,0,42,165,'tomb_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21437,21437,'Offering Bug',0,'',0,'Monster2.scarab',14,22,78,'male','L2Monster',40,4490,1821,53.72,3.09,40,43,30,21,20,10,7489,830,1765,566,1107,459,278,0,333,0,0,0,49,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21438,21438,'Heathen Warrior',0,'',0,'Monster.skeleton_royal_guard',11,28.5,65,'male','L2Monster',40,3465,1319,2.96,2.78,40,43,30,21,20,10,5966,556,1140,346,619,340,317,150,333,946,945,0,88,192,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21439,21439,'Heathen Executed',0,'',0,'Monster.hungry_spirit',30,40,66,'male','L2Monster',40,3546,1353,2.96,2.78,40,43,30,21,20,10,6151,580,1358,301,649,348,278,150,333,0,0,0,16,192,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21440,21440,'Heathen Archer',0,'',0,'Monster.skeleton_archer',11,27,67,'male','L2Monster',500,3626,1388,2.96,2.78,40,43,30,21,20,10,6735,640,3145,308,681,356,249,0,333,284,0,0,44,170,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'archer','false'),
(21441,21441,'Heathen Grunt',0,'',0,'Monster.skeleton_pikeman',10,28,68,'male','L2Monster',40,3706,1423,2.96,2.78,40,43,30,21,20,10,6530,632,1473,371,713,365,278,150,333,96,0,0,55,187,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21442,21442,'Heathen Knight',0,'',0,'Monster.skeleton_knight',10,25,69,'male','L2Monster',40,3784,1458,2.96,2.78,40,43,30,21,20,10,6723,656,1531,380,746,373,278,150,333,150,103,0,44,181,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21443,21443,'Raider of Pastureland',0,'',0,'Monster.dark_mahum',13,26,63,'male','L2Monster',40,3302,1251,11.85,2.78,40,43,30,21,20,10,7006,633,649,530,560,323,317,150,333,153,0,0,55,181,'nonpet_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21444,21444,'Raider of Pastureland',0,'',0,'Monster.dark_mahum',13,26,63,'male','L2Monster',40,3302,1251,11.85,2.78,40,43,30,21,20,10,5887,532,741,530,560,323,278,150,333,153,0,0,55,181,'nonpet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21445,21445,'Alpen Bandersnatch',0,'',0,'Monster2.bandersnatch',18,25,64,'male','L2Monster',40,3384,1285,11.85,2.78,40,43,30,21,20,10,6076,556,1302,449,589,331,200,150,333,0,0,0,33,187,'nonpet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21446,21446,'Raider of Pastureland',0,'',0,'Monster.dark_mahum',13,26,64,'male','L2Monster',40,3384,1285,11.85,2.78,40,43,30,21,20,10,7476,684,678,543,589,331,317,150,333,160,0,0,55,181,'nonpet_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21447,21447,'Raider of Pastureland',0,'',0,'Monster.dark_mahum',13,26,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,7689,724,738,570,649,348,317,150,333,229,0,0,55,181,'nonpet_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21448,21448,'Raider of Pastureland',0,'',0,'Monster.dark_mahum',13,26,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,6462,608,843,570,649,348,278,150,333,229,0,0,55,181,'nonpet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21449,21449,'Raider of Pastureland',0,'',0,'Monster.dark_mahum',13,26,68,'male','L2Monster',40,3706,1423,11.85,2.78,40,43,30,21,20,10,8440,815,800,598,713,365,317,150,333,234,0,0,55,181,'nonpet_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21450,21450,'Alpen Grendel',0,'',0,'Monster2.bionic_bear',15,39,68,'male','L2Monster',40,3706,1423,11.85,2.78,40,43,30,21,20,10,8162,789,1690,449,713,365,200,150,333,0,0,0,39,170,'nonpet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21451,21451,'Alpen Kookaburra',0,'',0,'Monster2.baby_ostrich',7,15,65,'male','L2FeedableBeast',40,3465,1319,5.93,2.78,40,43,30,21,20,10,5530,514,1077,418,619,340,278,0,333,0,0,0,14,121,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21452,21452,'Alpen Kookaburra',0,'',0,'Monster2.baby_ostrich',7,15,65,'male','L2FeedableBeast',40,3465,1319,11.85,2.78,40,43,30,21,20,10,7312,679,890,506,619,340,278,0,333,0,0,0,14,154,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21453,21453,'Alpen Kookaburra',0,'',0,'Monster2.baby_ostrich',7,15,65,'male','L2FeedableBeast',40,3465,1319,11.85,2.78,40,43,30,21,20,10,6144,571,890,506,619,340,278,0,333,0,0,0,14,154,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21454,21454,'Alpen Kookaburra',0,'',0,'Monster2.baby_ostrich',7,15,65,'male','L2FeedableBeast',40,3465,1319,11.85,2.78,40,43,30,21,20,10,7312,679,890,506,619,340,278,0,333,0,0,0,14,154,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21455,21455,'Alpen Kookaburra',0,'',0,'Monster2.baby_ostrich',7,15,65,'male','L2FeedableBeast',40,3465,1319,11.85,2.78,40,43,30,21,20,10,6144,571,890,506,619,340,278,0,333,0,0,0,14,154,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21456,21456,'Alpen Kookaburra',0,'',0,'Monster2.baby_ostrich',7,15,65,'male','L2FeedableBeast',40,3465,1319,11.85,2.78,40,43,30,21,20,10,7312,679,890,506,619,340,278,0,333,0,0,0,14,154,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21457,21457,'Alpen Kookaburra',0,'',0,'Monster2.baby_ostrich',7,15,65,'male','L2FeedableBeast',40,3465,1319,11.85,2.78,40,43,30,21,20,10,6144,571,890,506,619,340,278,0,333,0,0,0,14,154,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21458,21458,'Alpen Kookaburra',0,'',0,'Monster2.baby_ostrich',7,15,65,'male','L2FeedableBeast',40,3465,1319,11.85,2.78,40,43,30,21,20,10,7312,679,890,506,619,340,278,0,333,0,0,0,14,154,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21459,21459,'Alpen Kookaburra',0,'',0,'Monster2.baby_ostrich',7,15,65,'male','L2FeedableBeast',40,3465,1319,11.85,2.78,40,43,30,21,20,10,6144,571,890,506,619,340,278,0,333,0,0,0,14,154,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21460,21460,'Alpen Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,65,'male','L2FeedableBeast',40,3465,1319,23.7,2.78,40,43,30,21,20,10,7661,711,1077,418,619,340,278,150,333,0,0,0,25,209,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21461,21461,'Alpen Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,65,'male','L2FeedableBeast',40,3465,1319,23.7,2.78,40,43,30,21,20,10,7963,740,1077,418,619,340,278,150,333,0,0,0,25,209,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21462,21462,'Alpen Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,65,'male','L2FeedableBeast',40,3465,1319,23.7,2.78,40,43,30,21,20,10,7661,711,1077,418,619,340,278,150,333,0,0,0,25,209,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21463,21463,'Alpen Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,65,'male','L2FeedableBeast',40,3465,1319,23.7,2.78,40,43,30,21,20,10,7367,684,1077,418,619,340,278,150,333,0,0,0,25,209,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21464,21464,'Alpen Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,65,'male','L2FeedableBeast',40,3465,1319,23.7,2.78,40,43,30,21,20,10,7661,711,1077,418,619,340,278,150,333,0,0,0,25,209,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21465,21465,'Alpen Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,65,'male','L2FeedableBeast',40,3465,1319,23.7,2.78,40,43,30,21,20,10,7963,740,1077,418,619,340,278,150,333,0,0,0,25,209,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21466,21466,'Alpen Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,65,'male','L2FeedableBeast',40,3465,1319,23.7,2.78,40,43,30,21,20,10,7661,711,1077,418,619,340,278,150,333,0,0,0,25,209,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21467,21467,'Alpen Kookaburra',0,'',0,'Monster2.youth_ostrich',8,26.4,65,'male','L2FeedableBeast',40,3465,1319,23.7,2.78,40,43,30,21,20,10,7367,684,1077,418,619,340,278,150,333,0,0,0,25,209,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21468,21468,'Alpen Kookaburra',0,'',0,'Monster2.rough_ostrich',10,33,65,'male','L2FeedableBeast',40,3465,1319,47.4,2.78,40,43,30,21,20,10,6457,600,1433,314,619,340,278,150,333,0,0,0,25,231,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21469,21469,'Alpen Kookaburra',0,'',0,'Monster2.rough_ostrich',10,33,65,'male','L2FeedableBeast',40,3465,1319,47.4,2.78,40,43,30,21,20,10,6159,572,1433,314,619,340,278,150,333,0,0,0,25,231,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21470,21470,'Alpen Buffalo',0,'',0,'Monster2.baby_buffalo',12,15,67,'male','L2FeedableBeast',40,3626,1388,5.93,2.78,40,43,30,21,20,10,5875,560,1169,439,681,356,278,0,333,0,0,0,33,121,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21471,21471,'Alpen Buffalo',0,'',0,'Monster2.baby_buffalo',12,15,67,'male','L2FeedableBeast',40,3626,1388,11.85,2.78,40,43,30,21,20,10,7769,740,966,531,681,356,278,0,333,0,0,0,33,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21472,21472,'Alpen Buffalo',0,'',0,'Monster2.baby_buffalo',12,15,67,'male','L2FeedableBeast',40,3626,1388,11.85,2.78,40,43,30,21,20,10,6528,622,966,531,681,356,278,0,333,0,0,0,33,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21473,21473,'Alpen Buffalo',0,'',0,'Monster2.baby_buffalo',12,15,67,'male','L2FeedableBeast',40,3626,1388,11.85,2.78,40,43,30,21,20,10,7769,740,966,531,681,356,278,0,333,0,0,0,33,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21474,21474,'Alpen Buffalo',0,'',0,'Monster2.baby_buffalo',12,15,67,'male','L2FeedableBeast',40,3626,1388,11.85,2.78,40,43,30,21,20,10,6528,622,966,531,681,356,278,0,333,0,0,0,33,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21475,21475,'Alpen Buffalo',0,'',0,'Monster2.baby_buffalo',12,15,67,'male','L2FeedableBeast',40,3626,1388,11.85,2.78,40,43,30,21,20,10,7769,740,966,531,681,356,278,0,333,0,0,0,33,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21476,21476,'Alpen Buffalo',0,'',0,'Monster2.baby_buffalo',12,15,67,'male','L2FeedableBeast',40,3626,1388,11.85,2.78,40,43,30,21,20,10,6528,622,966,531,681,356,278,0,333,0,0,0,33,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21477,21477,'Alpen Buffalo',0,'',0,'Monster2.baby_buffalo',12,15,67,'male','L2FeedableBeast',40,3626,1388,11.85,2.78,40,43,30,21,20,10,7769,740,966,531,681,356,278,0,333,0,0,0,33,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21478,21478,'Alpen Buffalo',0,'',0,'Monster2.baby_buffalo',12,15,67,'male','L2FeedableBeast',40,3626,1388,11.85,2.78,40,43,30,21,20,10,6528,622,966,531,681,356,278,0,333,0,0,0,33,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21479,21479,'Alpen Buffalo',0,'',0,'Monster2.youth_buffalo',16,25.2,67,'male','L2FeedableBeast',40,3626,1388,23.7,2.78,40,43,30,21,20,10,8139,775,1624,439,681,356,200,150,333,0,0,0,22,187,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21480,21480,'Alpen Buffalo',0,'',0,'Monster2.youth_buffalo',16,25.2,67,'male','L2FeedableBeast',40,3626,1388,23.7,2.78,40,43,30,21,20,10,8460,806,1624,439,681,356,200,150,333,0,0,0,22,187,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21481,21481,'Alpen Buffalo',0,'',0,'Monster2.youth_buffalo',16,25.2,67,'male','L2FeedableBeast',40,3626,1388,23.7,2.78,40,43,30,21,20,10,8139,775,1624,439,681,356,200,150,333,0,0,0,22,187,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21482,21482,'Alpen Buffalo',0,'',0,'Monster2.youth_buffalo',16,25.2,67,'male','L2FeedableBeast',40,3626,1388,23.7,2.78,40,43,30,21,20,10,7828,745,1624,439,681,356,200,150,333,0,0,0,22,187,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21483,21483,'Alpen Buffalo',0,'',0,'Monster2.youth_buffalo',16,25.2,67,'male','L2FeedableBeast',40,3626,1388,23.7,2.78,40,43,30,21,20,10,8139,775,1624,439,681,356,200,150,333,0,0,0,22,187,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21484,21484,'Alpen Buffalo',0,'',0,'Monster2.youth_buffalo',16,25.2,67,'male','L2FeedableBeast',40,3626,1388,23.7,2.78,40,43,30,21,20,10,8460,806,1624,439,681,356,200,150,333,0,0,0,22,187,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21485,21485,'Alpen Buffalo',0,'',0,'Monster2.youth_buffalo',16,25.2,67,'male','L2FeedableBeast',40,3626,1388,23.7,2.78,40,43,30,21,20,10,8139,775,1624,439,681,356,200,150,333,0,0,0,22,187,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21486,21486,'Alpen Buffalo',0,'',0,'Monster2.youth_buffalo',16,25.2,67,'male','L2FeedableBeast',40,3626,1388,23.7,2.78,40,43,30,21,20,10,7828,745,1624,439,681,356,200,150,333,0,0,0,22,187,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21487,21487,'Alpen Buffalo',0,'',0,'Monster2.buffalo',22,31,67,'male','L2FeedableBeast',40,3626,1388,47.4,2.78,40,43,30,21,20,10,6861,653,2162,329,681,356,200,150,333,0,0,0,22,187,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21488,21488,'Alpen Buffalo',0,'',0,'Monster2.buffalo',22,31,67,'male','L2FeedableBeast',40,3626,1388,47.4,2.78,40,43,30,21,20,10,6544,623,2162,329,681,356,200,150,333,0,0,0,22,187,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21489,21489,'Alpen Cougar',0,'',0,'Monster2.baby_tiger',11,15.7,69,'male','L2FeedableBeast',40,3784,1458,5.93,2.78,40,43,30,21,20,10,6231,610,1265,460,746,373,278,0,333,0,0,0,30,121,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21490,21490,'Alpen Cougar',0,'',0,'Monster2.baby_tiger',11,15.7,69,'male','L2FeedableBeast',40,3784,1458,11.85,2.78,40,43,30,21,20,10,8240,806,1045,556,746,373,278,0,333,0,0,0,30,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21491,21491,'Alpen Cougar',0,'',0,'Monster2.baby_tiger',11,15.7,69,'male','L2FeedableBeast',40,3784,1458,11.85,2.78,40,43,30,21,20,10,6924,678,1045,556,746,373,278,0,333,0,0,0,30,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21492,21492,'Alpen Cougar',0,'',0,'Monster2.baby_tiger',11,15.7,69,'male','L2FeedableBeast',40,3784,1458,11.85,2.78,40,43,30,21,20,10,8240,806,1045,556,746,373,278,0,333,0,0,0,30,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21493,21493,'Alpen Cougar',0,'',0,'Monster2.baby_tiger',11,15.7,69,'male','L2FeedableBeast',40,3784,1458,11.85,2.78,40,43,30,21,20,10,6924,678,1045,556,746,373,278,0,333,0,0,0,30,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21494,21494,'Alpen Cougar',0,'',0,'Monster2.baby_tiger',11,15.7,69,'male','L2FeedableBeast',40,3784,1458,11.85,2.78,40,43,30,21,20,10,8240,806,1045,556,746,373,278,0,333,0,0,0,30,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21495,21495,'Alpen Cougar',0,'',0,'Monster2.baby_tiger',11,15.7,69,'male','L2FeedableBeast',40,3784,1458,11.85,2.78,40,43,30,21,20,10,6924,678,1045,556,746,373,278,0,333,0,0,0,30,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21496,21496,'Alpen Cougar',0,'',0,'Monster2.baby_tiger',11,15.7,69,'male','L2FeedableBeast',40,3784,1458,11.85,2.78,40,43,30,21,20,10,8240,806,1045,556,746,373,278,0,333,0,0,0,30,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21497,21497,'Alpen Cougar',0,'',0,'Monster2.baby_tiger',11,15.7,69,'male','L2FeedableBeast',40,3784,1458,11.85,2.78,40,43,30,21,20,10,6924,678,1045,556,746,373,278,0,333,0,0,0,30,143,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','true'),
(21498,21498,'Alpen Cougar',0,'',0,'Monster2.youth_tiger',16,17.2,69,'male','L2FeedableBeast',40,3784,1458,23.7,2.78,40,43,30,21,20,10,8632,844,1265,460,746,373,278,150,333,0,0,0,66,192,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21499,21499,'Alpen Cougar',0,'',0,'Monster2.youth_tiger',16,17.2,69,'male','L2FeedableBeast',40,3784,1458,23.7,2.78,40,43,30,21,20,10,8973,878,1265,460,746,373,278,150,333,0,0,0,66,192,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21500,21500,'Alpen Cougar',0,'',0,'Monster2.youth_tiger',16,17.2,69,'male','L2FeedableBeast',40,3784,1458,23.7,2.78,40,43,30,21,20,10,8632,844,1265,460,746,373,278,150,333,0,0,0,66,192,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21501,21501,'Alpen Cougar',0,'',0,'Monster2.youth_tiger',16,17.2,69,'male','L2FeedableBeast',40,3784,1458,23.7,2.78,40,43,30,21,20,10,8302,812,1265,460,746,373,278,150,333,0,0,0,66,192,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21502,21502,'Alpen Cougar',0,'',0,'Monster2.youth_tiger',16,17.2,69,'male','L2FeedableBeast',40,3784,1458,23.7,2.78,40,43,30,21,20,10,8632,844,1265,460,746,373,278,150,333,0,0,0,66,192,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21503,21503,'Alpen Cougar',0,'',0,'Monster2.youth_tiger',16,17.2,69,'male','L2FeedableBeast',40,3784,1458,23.7,2.78,40,43,30,21,20,10,8973,878,1265,460,746,373,278,150,333,0,0,0,66,192,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21504,21504,'Alpen Cougar',0,'',0,'Monster2.youth_tiger',16,17.2,69,'male','L2FeedableBeast',40,3784,1458,23.7,2.78,40,43,30,21,20,10,8632,844,1265,460,746,373,278,150,333,0,0,0,66,192,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21505,21505,'Alpen Cougar',0,'',0,'Monster2.youth_tiger',16,17.2,69,'male','L2FeedableBeast',40,3784,1458,23.7,2.78,40,43,30,21,20,10,8302,812,1265,460,746,373,278,150,333,0,0,0,66,192,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21506,21506,'Alpen Cougar',0,'',0,'Monster.saber_toothed_tiger',34,28,69,'male','L2FeedableBeast',40,3784,1458,47.4,2.78,40,43,30,21,20,10,7276,712,1684,345,746,373,278,150,333,0,0,0,66,220,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21507,21507,'Alpen Cougar',0,'',0,'Monster.saber_toothed_tiger',34,28,69,'male','L2FeedableBeast',40,3784,1458,47.4,2.78,40,43,30,21,20,10,6941,679,1684,345,746,373,278,150,333,0,0,0,66,220,'pet_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21508,21508,'Splinter Stakato',0,'',0,'Monster.blade_stakato',15,36,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,8452,796,1123,364,649,348,278,150,333,235,0,0,27,192,'stakato_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21509,21509,'Splinter Stakato Worker',0,'',0,'Monster.blade_stakato_worker',13,40,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,7445,709,1286,339,681,356,278,150,333,0,0,0,27,198,'stakato_clan',300,0,0,'LAST_HIT',100,0,20,'fighter','false'),
(21510,21510,'Splinter Stakato Soldier',0,'',0,'Monster.blade_stakato_soldier',15,38,68,'male','L2Monster',40,3706,1423,11.85,2.78,40,43,30,21,20,10,8972,867,1473,371,713,365,278,150,333,148,0,0,27,198,'stakato_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21511,21511,'Splinter Stakato Drone',0,'',0,'Monster.blade_stakato_drone',15,39,69,'male','L2Monster',40,3784,1458,11.85,2.78,40,43,30,21,20,10,9944,973,1265,460,746,373,278,150,333,132,0,0,27,203,'stakato_clan',300,0,0,'LAST_HIT',300,0,30,'fighter','false'),
(21512,21512,'Splinter Stakato Drone',0,'',0,'Monster.blade_stakato_drone',15,39,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,12636,1253,1086,569,780,382,278,0,333,132,0,0,27,203,'stakato_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','false'),
(21513,21513,'Needle Stakato',0,'',0,'Monster.blade_stakato',15,36,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,9507,943,1314,399,780,382,278,150,333,235,0,0,27,203,'stakato_clan',300,0,0,'LAST_HIT',200,0,30,'fighter','false'),
(21514,21514,'Needle Stakato Worker',0,'',0,'Monster.blade_stakato_worker',13,40,71,'male','L2Monster',40,3938,1529,13.43,3.09,40,43,30,21,20,10,8360,839,1499,371,814,390,278,150,333,0,0,0,27,209,'stakato_clan',300,0,0,'LAST_HIT',200,0,30,'fighter','false'),
(21515,21515,'Needle Stakato Soldier',0,'',0,'Monster.blade_stakato_soldier',15,38,72,'male','L2Monster',40,4013,1565,13.43,3.09,40,43,30,21,20,10,10059,1022,1710,406,849,399,278,150,333,148,0,0,27,209,'stakato_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21516,21516,'Needle Stakato Drone',0,'',0,'Monster.blade_stakato_drone',15,39,73,'male','L2Monster',40,4086,1601,13.43,3.09,40,43,30,21,20,10,10340,1064,1463,502,885,407,278,150,333,132,0,0,27,214,'stakato_clan',300,0,0,'LAST_HIT',300,0,30,'fighter','false'),
(21517,21517,'Needle Stakato Drone',0,'',0,'Monster.blade_stakato_drone',15,39,74,'male','L2Monster',40,4158,1637,13.43,3.09,40,43,30,21,20,10,14121,1472,1250,620,921,416,278,0,333,132,0,0,27,214,'stakato_clan',300,0,0,'LAST_HIT',100,0,30,'balanced','false'),
(21518,21518,'Frenzy Stakato Soldier',0,'',0,'Monster.blade_stakato_soldier',15,38,68,'male','L2Monster',40,3706,1423,11.85,2.78,40,43,30,21,20,10,8002,773,1417,337,713,365,317,0,333,235,0,0,27,203,'stakato_clan',300,0,0,'LAST_HIT',200,0,30,'fighter','false'),
(21519,21519,'Frenzy Stakato Drone',0,'',0,'Monster.blade_stakato_drone',15,39,72,'male','L2Monster',40,4013,1565,13.43,3.09,40,43,30,21,20,10,8972,912,1645,369,849,399,317,0,333,235,0,0,27,214,'stakato_clan',300,0,0,'LAST_HIT',200,0,30,'fighter','false'),
(21520,21520,'Eye of Splendor',0,'',0,'Monster.kel_mahum',13,26,60,'male','L2Monster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,7466,648,860,368,478,299,278,0,366,326,0,0,50,160,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21521,21521,'Claws of Splendor',0,'',0,'Monster.kel_mahum_warrior',13,28,60,'male','L2Monster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,7340,637,711,446,478,299,278,0,366,326,0,0,50,160,'saint_clan',500,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21522,21522,'Claws of Splendor',0,'',0,'Monster.dark_fencer',7,13,60,'male','L2Monster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,8748,759,1041,259,478,299,278,0,333,0,0,0,27,170,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21523,21523,'Flash of Splendor',0,'',0,'Monster.kel_mahum_witch_doctor',13,25,61,'male','L2Monster',40,3137,1184,11.85,2.78,40,43,30,21,20,10,7529,663,901,378,505,307,278,150,366,326,0,0,50,150,'saint_clan',500,0,0,'LAST_HIT',0,100,30,'mage','true'),
(21524,21524,'Blade of Splendor',0,'',0,'Monster.kel_mahum',13,26,61,'male','L2Monster',40,3137,1184,11.85,2.78,40,43,30,21,20,10,8028,707,1200,284,505,307,278,0,333,242,0,0,50,165,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21525,21525,'Blade of Splendor',0,'',0,'Monster.kel_mahum',13,26,61,'male','L2Monster',40,3137,1184,11.85,2.78,40,43,30,21,20,10,8028,707,901,378,505,307,278,0,333,242,0,0,50,165,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21526,21526,'Wisdom of Splendor',0,'',0,'Monster.kel_mahum_warrior',13,28,62,'male','L2Monster',40,3219,1217,11.85,2.78,40,43,30,21,20,10,9220,822,944,388,532,315,278,150,366,193,0,0,50,160,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21527,21527,'Anger of Splendor',0,'',0,'Monster.kel_mahum_champion',13,32,63,'male','L2Monster',40,3302,1251,11.85,2.78,40,43,30,21,20,10,8132,734,987,398,560,323,278,0,476,193,0,0,50,150,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21528,21528,'Anger of Splendor',0,'',0,'Monster.dark_fencer',7,13,63,'male','L2Monster',40,3302,1251,11.85,2.78,40,43,30,21,20,10,9645,871,987,398,560,323,278,0,333,0,0,0,27,170,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21529,21529,'Soul of Splendor',0,'',0,'Monster.kel_mahum_witch_doctor',13,25,63,'male','L2Monster',40,3302,1251,11.85,2.78,40,43,30,21,20,10,7377,666,987,398,560,323,278,150,366,193,0,0,50,160,'saint_clan',500,0,0,'LAST_HIT',0,100,30,'mage','true'),
(21530,21530,'Victory of Splendor',0,'',0,'Monster.kel_mahum',13,26,64,'male','L2Monster',40,3384,1285,11.85,2.78,40,43,30,21,20,10,8006,733,1031,408,589,331,278,0,366,196,0,0,50,160,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21531,21531,'Punishment of Splendor',0,'',0,'Monster.kel_mahum_warrior',13,28,64,'male','L2Monster',40,3384,1285,11.85,2.78,40,43,30,21,20,10,8837,809,1373,306,589,331,278,0,333,242,0,0,50,165,'saint_clan',500,0,0,'LAST_HIT',0,100,30,'mage','true'),
(21532,21532,'Shout of Splendor',0,'',0,'Monster.kel_mahum_champion',13,32,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,9456,879,1077,418,619,340,278,150,476,196,0,0,50,150,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21533,21533,'Alliance of Splendor',0,'',0,'Monster.kel_mahum_witch_doctor',13,25,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,7767,722,890,430,619,340,278,0,366,196,0,0,50,160,'saint_clan',500,0,0,'LAST_HIT',0,100,30,'mage','true'),
(21534,21534,'Alliance of Splendor',0,'',0,'Monster.dark_fencer',7,13,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,10267,954,1303,346,619,340,278,0,333,0,0,0,25,155,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21535,21535,'Signet of Splendor',0,'',0,'Monster.kel_mahum_warrior',13,28,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,9331,878,1123,428,649,348,278,150,333,189,0,0,55,176,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21536,21536,'Crown of Splendor',0,'',0,'Monster.kel_mahum_champion',13,32,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,9487,893,1123,428,649,348,278,0,333,189,0,0,55,181,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21537,21537,'Fang of Splendor',0,'',0,'Monster.kel_mahum_witch_doctor',13,25,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,8905,848,966,451,681,356,278,0,333,189,0,0,55,170,'saint_clan',500,0,0,'LAST_HIT',0,100,30,'mage','true'),
(21538,21538,'Fang of Splendor',0,'',0,'Monster.dark_fencer',7,13,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,10908,1039,1415,362,681,356,278,0,333,0,0,0,27,170,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21539,21539,'Wailing of Splendor',0,'',0,'Monster.kel_mahum',13,26,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,9685,922,1557,329,681,356,278,0,333,242,0,0,55,187,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21540,21540,'Wailing of Splendor',0,'',0,'Monster.kel_mahum',13,26,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,9685,922,1169,439,681,356,278,0,333,242,0,0,55,187,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21541,21541,'Pilgrim of Splendor',0,'',0,'Monster.kel_mahum_witch_doctor',13,25,63,'male','L2Monster',40,3302,1251,11.85,2.78,40,43,30,21,20,10,9944,898,987,338,560,323,278,150,476,315,0,0,50,165,'saint_clan',500,0,0,'LAST_HIT',0,100,30,'mage','false'),
(21542,21542,'Disciple of Pilgrim',0,'',0,'Monster.kel_mahum_warrior',13,28,62,'male','L2Monster',40,3219,1217,11.85,2.78,40,43,30,21,20,10,6932,618,1038,353,532,315,278,0,476,193,0,0,50,165,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21543,21543,'Page of Pilgrim',0,'',0,'Monster.kel_mahum',13,26,62,'male','L2Monster',40,3219,1217,11.85,2.78,40,43,30,21,20,10,7909,705,858,427,532,315,278,0,476,326,0,0,50,165,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21544,21544,'Judge of Splendor',0,'',0,'Monster.kel_mahum_champion',13,32,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,11331,1079,1169,439,681,356,300,150,512,150,0,0,50,160,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21545,21545,'Judge of Fire',0,'',0,'Monster.kel_mahum_witch_doctor',13,25,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,7855,739,1235,331,649,348,278,0,476,189,0,0,50,165,'saint_clan',500,0,0,'LAST_HIT',0,100,30,'mage','false'),
(21546,21546,'Judge of Light',0,'',0,'Monster.kel_mahum',13,26,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,8963,844,1020,471,649,348,278,0,476,196,0,0,50,165,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21547,21547,'Corrupted Knight',0,'',0,'Monster.skeleton_knight',10,25,63,'male','L2Monster',40,3302,1251,11.85,2.78,40,43,30,21,20,10,8116,733,987,398,560,323,278,0,333,150,103,0,40,165,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21548,21548,'Resurrected Knight',0,'',0,'Monster.skeleton_knight',10,25,63,'male','L2Monster',40,3302,1251,11.85,2.78,40,43,30,21,20,10,7019,634,987,398,560,323,278,0,333,150,103,0,40,165,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21549,21549,'Corrupted Guard',0,'',0,'Monster.skeleton_royal_guard',11,28.5,64,'male','L2Monster',40,3384,1285,11.85,2.78,40,43,30,21,20,10,8375,767,902,408,589,331,317,0,333,946,0,0,80,175,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'balanced','true'),
(21550,21550,'Corrupted Guard',0,'',0,'Monster.skeleton_royal_guard',11,28.5,64,'male','L2Monster',40,3384,1285,11.85,2.78,40,43,30,21,20,10,8543,782,1201,306,589,331,317,150,333,946,945,0,80,175,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21551,21551,'Resurrected Guard',0,'',0,'Monster.skeleton_royal_guard',11,28.5,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,9541,898,982,428,649,348,317,0,333,221,0,0,80,175,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'balanced','true'),
(21552,21552,'Resurrected Guard',0,'',0,'Monster.skeleton_royal_guard',11,28.5,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,9085,855,1307,322,649,348,317,150,333,221,945,0,80,175,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21553,21553,'Trampled Man',0,'',0,'Monster.zombie',13,21,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,6267,582,1077,355,619,340,278,0,333,0,0,0,15,40,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21554,21554,'Trampled Man',0,'',0,'Monster.zombie',13,21,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,6267,582,1303,294,619,340,278,0,333,0,0,0,15,40,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21555,21555,'Slaughter Executioner',0,'',0,'Monster.dark_horror',20,42,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,7619,708,979,391,619,340,278,0,333,0,0,0,100,160,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21556,21556,'Slaughter Executioner',0,'',0,'Monster.dark_horror',20,35,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,7435,691,1077,355,619,340,278,0,333,0,0,0,110,176,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21557,21557,'Bone Snatcher',0,'',0,'Monster2.black_magician',8,30,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,8774,826,1123,428,649,348,278,0,333,178,0,0,19,180,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21558,21558,'Bone Snatcher',0,'',0,'Monster2.black_magician',8,30,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,8774,826,1123,428,649,348,278,0,333,178,0,0,19,180,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21559,21559,'Bone Maker',0,'',0,'Monster2.black_magician',8,30,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,9596,903,1020,471,649,348,278,150,333,178,0,0,19,180,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21560,21560,'Bone Shaper',0,'',0,'Monster2.black_magician',8,30,66,'male','L2Monster',40,3546,1353,11.85,2.78,40,43,30,21,20,10,9596,903,1020,471,649,348,278,150,333,178,0,0,19,180,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21561,21561,'Sacrificed Man',0,'',0,'Monster.zombie',13,21,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,8057,767,1063,410,681,356,278,150,333,0,0,0,15,40,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21562,21562,'Guillotine\'s Ghost',0,'',0,'Monster.liviona',15,28,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,8344,795,1169,373,681,356,278,150,333,0,0,0,88,165,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21563,21563,'Bone Collector',0,'',0,'Monster2.black_magician',8,30,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,9695,923,1286,399,681,356,278,0,333,178,0,0,19,180,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21564,21564,'Skull Collector',0,'',0,'Monster2.black_magician',8,30,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,9223,878,1286,399,681,356,278,150,333,178,0,0,19,180,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21565,21565,'Bone Animator',0,'',0,'Monster2.black_magician',8,30,68,'male','L2Monster',40,3706,1423,11.85,2.78,40,43,30,21,20,10,9314,900,1339,408,713,365,278,0,333,178,0,0,19,180,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21566,21566,'Skull Animator',0,'',0,'Monster2.black_magician',8,30,68,'male','L2Monster',40,3706,1423,11.85,2.78,40,43,30,21,20,10,10186,984,1339,408,713,365,278,150,333,178,0,0,19,180,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21567,21567,'Bone Slayer',0,'',0,'Monster2.black_magician',8,30,68,'male','L2Monster',40,3706,1423,11.85,2.78,40,43,30,21,20,10,12175,1176,1106,494,713,365,278,150,333,178,0,0,19,180,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21568,21568,'Devil Bat',0,'',0,'Monster.vampire_bat',10,33.5,68,'male','L2Monster',40,3706,1423,11.85,2.78,40,43,30,21,20,10,10440,1009,1473,315,713,365,278,150,333,0,0,0,60,170,'vampire_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21569,21569,'Devil Bat',0,'',0,'Monster.vampire_bat',10,33.5,68,'male','L2Monster',40,3706,1423,11.85,2.78,40,43,30,21,20,10,8108,783,1217,382,713,365,278,150,333,0,0,0,60,170,'vampire_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21570,21570,'Ghost of Betrayer',0,'',0,'Monster.binding',12,21,69,'male','L2Monster',40,3784,1458,11.85,2.78,40,43,30,21,20,10,7557,739,1150,506,746,373,278,150,333,0,0,0,10,174,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21571,21571,'Ghost of Rebellion Soldier',0,'',0,'Monster.skeleton_knight',10,25,69,'male','L2Monster',40,3784,1458,11.85,2.78,40,43,30,21,20,10,10718,1049,1265,460,746,373,278,150,333,150,103,0,40,165,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21572,21572,'Bone Sweeper',0,'',0,'Monster2.black_magician',8,30,69,'male','L2Monster',40,3784,1458,11.85,2.78,40,43,30,21,20,10,10282,1006,1392,418,746,373,278,0,333,178,0,0,19,185,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21573,21573,'Atrox',0,'',0,'Monster2.kailiharim',45,39,69,'male','L2Monster',40,3784,1458,11.85,2.78,40,43,30,21,20,10,11456,1121,2127,380,746,373,197,150,333,0,0,0,105,185,'vampire_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21574,21574,'Bone Grinder',0,'',0,'Monster2.black_magician',8,30,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,12902,1279,1194,517,780,382,278,150,333,178,0,0,19,185,'necro_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21575,21575,'Bone Grinder',0,'',0,'Monster2.black_magician',8,30,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,7269,721,1314,470,780,382,278,150,333,178,0,0,19,185,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21576,21576,'Ghost of Guillotine',0,'',0,'Monster.liviona',15,28,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,9350,927,1590,330,780,382,278,0,333,0,0,0,80,150,'vampire_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21577,21577,'Ghost of Guillotine',0,'',0,'Monster.liviona',15,28,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,8195,813,1314,399,780,382,278,0,333,0,0,0,80,150,'vampire_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21578,21578,'Behemoth Zombie',0,'',0,'Monster2.giant_zombie',13,40,71,'male','L2Monster',40,3938,1529,13.43,3.09,40,43,30,21,20,10,10308,1034,1239,529,814,390,278,0,333,0,0,0,20,90,'necro_clan',300,1,0,'LAST_HIT',0,100,30,'balanced','true'),
(21579,21579,'Ghost of Rebellion Leader',0,'',0,'Monster.skeleton_royal_guard',11,28.5,71,'male','L2Monster',40,3938,1529,13.43,3.09,40,43,30,21,20,10,10843,1088,1193,481,814,390,317,0,333,221,945,0,80,175,'necro_clan',300,1,0,'LAST_HIT',0,100,30,'balanced','true'),
(21580,21580,'Bone Caster',0,'',0,'Monster2.black_magician',8,30,71,'male','L2Monster',40,3938,1529,13.43,3.09,40,43,30,21,20,10,10154,1019,1499,437,814,390,278,0,333,178,0,0,19,185,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21581,21581,'Bone Puppeteer',0,'',0,'Monster2.black_magician',8,30,71,'male','L2Monster',40,3938,1529,13.43,3.09,40,43,30,21,20,10,11105,1114,1499,437,814,390,278,150,333,178,0,0,19,185,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21582,21582,'Vampire Soldier',0,'',0,'Monster2.vampire_soldier',8,23.5,71,'male','L2Monster',40,3938,1529,13.43,3.09,40,43,30,21,20,10,11891,1193,1649,397,814,390,278,0,333,234,0,0,60,190,'vampire_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21583,21583,'Bone Scavenger',0,'',0,'Monster2.black_magician',8,30,72,'male','L2Monster',40,4013,1565,13.43,3.09,40,43,30,21,20,10,11196,1137,1554,446,849,399,278,0,333,178,0,0,19,185,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21584,21584,'Bone Scavenger',0,'',0,'Monster2.black_magician',8,30,72,'male','L2Monster',40,4013,1565,13.43,3.09,40,43,30,21,20,10,10442,1061,1284,540,849,399,278,0,333,178,0,0,19,185,'necro_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21585,21585,'Vampire Magician',0,'',0,'Monster2.vampire_witch',6,21.5,72,'female','L2Monster',40,4013,1565,13.43,3.09,40,43,30,21,20,10,9628,978,1710,406,849,399,278,150,333,946,0,0,64,180,'vampire_clan',300,0,0,'LAST_HIT',0,100,30,'mage','true'),
(21586,21586,'Vampire Adept',0,'',0,'Monster2.vampire_wizard',5.5,28,72,'female','L2Monster',40,4013,1565,13.43,3.09,40,43,30,21,20,10,11374,1156,1710,406,849,399,278,150,333,99,0,0,46,180,'vampire_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21587,21587,'Vampire Warrior',0,'',0,'Monster2.vampire_soldier_20_bi',10,29,72,'male','L2Monster',40,4013,1565,13.43,3.09,40,43,30,21,20,10,11852,1204,1710,406,849,399,278,0,333,234,0,0,60,190,'vampire_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21588,21588,'Vampire Wizard',0,'',0,'Monster2.vampire_witch',6,21.5,73,'female','L2Monster',40,4086,1601,13.43,3.09,40,43,30,21,20,10,9936,1022,1947,377,885,407,278,0,333,946,0,0,64,180,'vampire_clan',300,0,0,'LAST_HIT',0,100,30,'mage','true'),
(21589,21589,'Vampire Wizard',0,'',0,'Monster2.vampire_witch',6,21.5,73,'female','L2Monster',40,4086,1601,13.43,3.09,40,43,30,21,20,10,10168,1046,1099,668,885,407,278,0,333,946,0,0,64,180,'vampire_clan',300,0,0,'LAST_HIT',0,100,30,'mage','true'),
(21590,21590,'Vampire Magister',0,'',0,'Monster2.vampire_wizard',5.5,28,73,'female','L2Monster',40,4086,1601,13.43,3.09,40,43,30,21,20,10,9936,1022,1770,415,885,407,278,0,333,99,0,0,46,180,'vampire_clan',300,0,0,'LAST_HIT',0,100,30,'mage','true'),
(21591,21591,'Vampire Magister',0,'',0,'Monster2.vampire_wizard',5.5,28,73,'female','L2Monster',40,4086,1601,13.43,3.09,40,43,30,21,20,10,11462,1179,1770,415,885,407,278,0,333,99,0,0,46,180,'vampire_clan',300,0,0,'LAST_HIT',0,100,30,'mage','true'),
(21592,21592,'Vampire Magister',0,'',0,'Monster2.vampire_wizard',5.5,28,73,'female','L2Monster',40,4086,1601,13.43,3.09,40,43,30,21,20,10,7750,797,1330,552,885,407,278,0,333,99,0,0,46,180,'vampire_clan',300,0,0,'LAST_HIT',0,100,30,'mage','true'),
(21593,21593,'Vampire Warlord',0,'',0,'Monster2.vampire_warrior',9,31.5,73,'male','L2Monster',40,4086,1601,13.43,3.09,40,43,30,21,20,10,13346,1373,2459,415,885,407,197,0,333,6723,0,0,43,190,'vampire_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21594,21594,'Vampire Warlord',0,'',0,'Monster2.vampire_warrior',9,31.5,73,'male','L2Monster',40,4086,1601,13.43,3.09,40,43,30,21,20,10,12571,1294,2459,415,885,407,197,0,333,6723,0,0,43,190,'vampire_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21595,21595,'Vampire Warlord',0,'',0,'Monster2.vampire_warrior',9,31.5,73,'male','L2Monster',40,4086,1601,13.43,3.09,40,43,30,21,20,10,9161,943,1847,552,885,407,197,0,333,6723,0,0,43,190,'vampire_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21596,21596,'Requiem Lord',0,'',0,'Monster2.black_magician',8,30,68,'male','L2Monster',40,3706,1423,11.85,2.78,40,43,30,21,20,10,12038,1163,1106,494,713,365,278,150,333,178,0,0,19,185,'necro_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21597,21597,'Requiem Behemoth',0,'',0,'Monster2.giant_zombie',13,40,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,8265,787,1286,399,681,356,278,0,333,0,0,0,20,100,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21598,21598,'Requiem Behemoth',0,'',0,'Monster2.giant_zombie',13,40,67,'male','L2Monster',40,3626,1388,11.85,2.78,40,43,30,21,20,10,9179,874,1286,399,681,356,278,0,333,0,0,0,20,100,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21599,21599,'Requiem Priest',0,'',0,'Monster2.black_magician',8,30,71,'male','L2Monster',40,3938,1529,13.43,3.09,40,43,30,21,20,10,12750,1279,1239,529,814,390,278,150,333,178,0,0,19,185,'necro_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(21600,21600,'Requiem Behemoth',0,'',0,'Monster2.giant_zombie',13,40,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,9022,895,1445,427,780,382,278,0,333,0,0,0,20,100,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21601,21601,'Requiem Behemoth',0,'',0,'Monster2.giant_zombie',13,40,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,10732,1064,1445,427,780,382,278,0,333,0,0,0,20,100,'necro_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21602,21602,'Zaken\'s Pikeman',0,'',0,'Monster.skeleton_pikeman',10,28,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,3693,250,332,223,163,181,278,150,333,292,0,0,50,174,'undead_clan1',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21603,21603,'Zaken\'s Pikeman',0,'',0,'Monster.skeleton_pikeman',10,28,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,5230,354,442,167,163,181,278,150,333,292,0,0,50,174,'undead_clan1',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21604,21604,'Zaken\'s Elite Pikeman',0,'',0,'Monster.skeleton_pikeman_20_bi',12,33.6,43,'male','L2Monster',40,1728,618,34.76,2.14,40,43,30,21,20,10,2114,143,332,223,163,181,278,150,333,292,0,0,50,174,'undead_clan1',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21605,21605,'Zaken\'s Archer',0,'',0,'Monster.skeleton_archer',11,27,44,'male','L2Monster',500,1799,648,8.69,2.14,40,43,30,21,20,10,4109,281,788,230,176,187,249,0,333,279,0,0,44,191,'undead_clan1',300,1,0,'LAST_HIT',100,0,30,'archer','false'),
(21606,21606,'Zaken\'s Archer',0,'',0,'Monster.skeleton_archer',11,27,44,'male','L2Monster',500,1799,648,8.69,2.14,40,43,30,21,20,10,5818,398,1048,173,176,187,249,0,333,279,0,0,44,191,'undead_clan1',300,1,0,'LAST_HIT',100,0,30,'archer','false'),
(21607,21607,'Zaken\'s Elite Archer',0,'',0,'Monster.skeleton_archer_20_bi',13,32.5,44,'male','L2Monster',500,1799,648,34.76,2.14,40,43,30,21,20,10,2273,155,788,230,176,187,247,0,333,279,0,0,40,174,'undead_clan1',300,1,0,'LAST_HIT',100,0,30,'archer','false'),
(21608,21608,'Zaken\'s Watchman',0,'',0,'Monster.liviona',15,28,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,3365,234,377,202,188,193,278,150,333,0,0,0,88,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21609,21609,'Zaken\'s Watchman',0,'',0,'Monster.liviona',15,28,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,4766,331,502,152,188,193,278,150,333,0,0,0,88,191,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21610,21610,'Zaken\'s High Grade Watchman',0,'',0,'Monster.liviona_20_bi',18,33.6,45,'male','L2Monster',40,1870,677,34.76,2.14,40,43,30,21,20,10,2174,151,377,202,188,193,278,150,333,0,0,0,80,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21611,21611,'Unpleasant Humming',0,'',0,'Monster.unpleasant_humming',12,26,46,'male','L2Monster',40,1943,707,8.69,2.14,40,43,30,21,20,10,3907,277,401,245,202,199,278,150,333,0,0,0,23,191,'undead_clan',300,1,3,'LAST_HIT',100,0,30,'fighter','false'),
(21612,21612,'Unpleasant Humming',0,'',0,'Monster.unpleasant_humming',12,26,46,'male','L2Monster',40,1943,707,8.69,2.14,40,43,30,21,20,10,5533,392,534,184,202,199,278,150,333,0,0,0,23,191,'undead_clan',300,1,3,'LAST_HIT',100,0,30,'fighter','false'),
(21613,21613,'Unpleasant Shout',0,'',0,'Monster.unpleasant_humming_20_bi',13.5,31.2,46,'male','L2Monster',40,1943,707,34.76,2.14,40,43,30,21,20,10,2360,167,401,245,202,199,278,150,333,0,0,0,21,174,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21614,21614,'Death Flyer',0,'',0,'Monster.dark_horror',20,35,47,'male','L2Monster',40,2016,738,8.69,2.14,40,43,30,21,20,10,4035,289,427,253,216,206,278,0,333,0,0,0,110,191,'undead_clan',300,1,4,'LAST_HIT',100,0,30,'fighter','false'),
(21615,21615,'Death Flyer',0,'',0,'Monster.dark_horror',20,35,47,'male','L2Monster',40,2016,738,8.69,2.14,40,43,30,21,20,10,5714,410,568,190,216,206,278,0,333,0,0,0,110,191,'undead_clan',300,1,4,'LAST_HIT',100,0,30,'fighter','false'),
(21616,21616,'Gigantic Flyer',0,'',0,'Monster.dark_horror_bi',20,42,47,'male','L2Monster',40,2016,738,34.76,2.14,40,43,30,21,20,10,2607,187,427,253,216,206,278,0,333,0,0,0,100,174,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21617,21617,'Fiend Archer',0,'',0,'Monster.fiend_archer',17,55,48,'male','L2Monster',500,2091,768,8.69,2.14,40,43,30,21,20,10,4103,300,1007,222,231,212,247,150,333,0,0,0,70,174,'NULL',0,0,4,'LAST_HIT',100,0,30,'archer','false'),
(21618,21618,'Fiend Archer',0,'',0,'Monster.fiend_archer',17,55,48,'male','L2Monster',500,2091,768,8.69,2.14,40,43,30,21,20,10,5811,425,1341,167,231,212,247,150,333,0,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'archer','false'),
(21619,21619,'Pit Archer',0,'',0,'Monster.fiend_archer_20_bi',20,66,48,'male','L2Monster',500,2091,768,34.76,2.14,40,43,30,21,20,10,2651,193,1007,222,231,212,247,150,333,0,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'archer','false'),
(21620,21620,'Musveren',0,'',0,'Monster.field_stalker',15,30,49,'male','L2Monster',40,2168,799,8.69,2.14,40,43,30,21,20,10,3951,292,480,270,247,219,278,0,333,0,0,0,77,191,'NULL',0,0,4,'LAST_HIT',100,0,30,'fighter','false'),
(21621,21621,'Musveren',0,'',0,'Monster.field_stalker',15,30,49,'male','L2Monster',40,2168,799,8.69,2.14,40,43,30,21,20,10,5595,414,640,202,247,219,278,0,333,0,0,0,77,191,'NULL',0,0,4,'LAST_HIT',100,0,30,'fighter','false'),
(21622,21622,'Greater Musveren',0,'',0,'Monster.field_stalker_20_bi',18,36,49,'male','L2Monster',40,2168,799,34.76,2.14,40,43,30,21,20,10,2553,188,480,270,247,219,278,0,333,0,0,0,70,174,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21623,21623,'Zaken\'s Guard',0,'',0,'Monster.skeleton_royal_guard',11,28.5,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,4994,376,445,278,264,226,317,150,333,225,945,0,80,174,'undead_clan',300,1,5,'LAST_HIT',100,0,30,'fighter','false'),
(21624,21624,'Zaken\'s Guard',0,'',0,'Monster.skeleton_royal_guard',11,28.5,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,7072,533,593,209,264,226,317,150,333,225,945,0,88,191,'undead_clan',300,1,5,'LAST_HIT',100,0,30,'fighter','false'),
(21625,21625,'Zaken\'s Elite Guard',0,'',0,'Monster.skeleton_royal_guard_20_bi',13,34.5,50,'male','L2Monster',40,2245,830,34.76,2.14,40,43,30,21,20,10,2858,215,445,278,264,226,317,150,333,225,945,0,80,174,'undead_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21626,21626,'Kaim Vanul',0,'',0,'Monster.kaim_vanul',24,40,51,'male','L2Monster',40,2323,861,10.27,2.45,40,43,30,21,20,10,4453,340,539,286,281,232,278,0,333,0,0,0,37,174,'demonic_clan',300,0,5,'LAST_HIT',100,0,30,'fighter','false'),
(21627,21627,'Kaim Vanul',0,'',0,'Monster.kaim_vanul',24,40,51,'male','L2Monster',40,2323,861,10.27,2.45,40,43,30,21,20,10,6306,481,718,215,281,232,278,0,333,0,0,0,40,191,'demonic_clan',300,0,5,'LAST_HIT',100,0,30,'fighter','false'),
(21628,21628,'Kaim Vanul Lad',0,'',0,'Monster.kaim_vanul_20_bi',28,48,51,'male','L2Monster',40,2323,861,41.08,2.45,40,43,30,21,20,10,2877,219,539,286,281,232,278,0,333,0,0,0,37,174,'demonic_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21629,21629,'Pirate Zombie Captain',0,'',0,'Monster.pirates_zombie_captain',17,28,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,6727,520,499,295,300,239,317,150,333,232,0,0,14,174,'zaken_clan',300,1,5,'LAST_HIT',100,0,30,'fighter','false'),
(21630,21630,'Pirate Zombie Captain',0,'',0,'Monster.pirates_zombie_captain',17,28,52,'male','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,9526,737,664,221,300,239,317,150,333,232,0,0,14,174,'zaken_clan',300,1,5,'LAST_HIT',100,0,30,'fighter','false'),
(21631,21631,'Zombie Captain\'s Spiritual Body',0,'',0,'Monster.pirates_zombie_captain_20_bi',20,33.6,52,'male','L2Monster',40,2402,892,41.08,2.45,40,43,30,21,20,10,3948,305,499,295,300,239,317,150,333,232,0,0,14,174,'zaken_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21632,21632,'Doll Blader',0,'',0,'Monster.doll_blader',6,12,53,'male','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,5339,420,527,258,319,247,317,0,333,5129,5129,0,24,191,'zaken_clan',300,0,6,'LAST_HIT',100,0,30,'fighter','false'),
(21633,21633,'Doll Blader',0,'',0,'Monster.doll_blader',6,12,53,'male','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,7560,594,701,194,319,247,317,0,333,5129,5129,0,24,191,'zaken_clan',300,0,6,'LAST_HIT',100,0,30,'fighter','false'),
(21634,21634,'Crimson Doll Blader',0,'',0,'Monster.doll_blader_20_bi',7,15,53,'male','L2Monster',40,2481,923,41.08,2.45,40,43,30,21,20,10,3450,271,527,258,319,247,317,0,333,5129,5129,0,22,174,'zaken_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21635,21635,'Vale Master',0,'',0,'Monster.vale_master',12,40,54,'male','L2Monster',40,2562,955,10.27,2.45,40,43,30,21,20,10,5093,406,636,266,339,254,278,150,333,0,0,0,70,174,'zaken_clan',300,0,6,'LAST_HIT',100,0,30,'fighter','false'),
(21636,21636,'Vale Master',0,'',0,'Monster.vale_master',12,40,54,'male','L2Monster',40,2562,955,10.27,2.45,40,43,30,21,20,10,7212,575,846,199,339,254,278,150,333,0,0,0,77,191,'zaken_clan',300,0,6,'LAST_HIT',100,0,30,'fighter','false'),
(21637,21637,'Crimson Vale Master',0,'',0,'Monster.vale_master_20_bi',14.5,48,54,'male','L2Monster',40,2562,955,41.08,2.45,40,43,30,21,20,10,3291,262,636,266,339,254,278,150,333,0,0,0,70,174,'zaken_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21638,21638,'Dread Wolf',0,'',0,'Monster.dire_wolf',13,11,35,'male','L2Monster',40,1220,446,3.56,1.84,40,43,30,21,20,10,2303,136,211,154,89,137,278,150,333,0,0,0,24,140,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21639,21639,'Tasaba Lizardman',0,'',0,'Monster.virud_lizardman_scout',10,22,36,'male','L2Monster',500,1279,463,3.56,1.84,40,43,30,21,20,10,2725,164,417,193,96,142,247,0,333,2507,0,0,43,140,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21640,21640,'Tasaba Lizardman Shaman',0,'',0,'Monster.virud_lizardman_shaman',10,29,37,'male','L2Monster',40,1338,480,3.56,1.84,40,43,30,21,20,10,2003,124,295,116,104,147,278,0,333,7,0,0,43,140,'lizardman_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(21641,21641,'Ogre',0,'',0,'Monster.ogre',21,44,38,'male','L2Monster',40,1400,497,3.56,1.84,40,43,30,21,20,10,3555,222,300,207,112,153,256,150,333,98,0,0,22,174,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21642,21642,'Tasaba Lizardman Sniper',0,'',0,'Monster.virud_lizardman_scout',10,22,39,'male','L2Monster',500,1462,514,3.56,1.84,40,43,30,21,20,10,3263,208,566,165,121,158,247,150,333,2507,0,0,43,140,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21643,21643,'Tasaba Lizardman Sniper',0,'',0,'Monster.virud_lizardman_scout',10,22,39,'male','L2Monster',500,1462,514,3.56,1.84,40,43,30,21,20,10,4146,264,685,137,121,158,247,150,333,2507,0,0,43,140,'lizardman_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21644,21644,'Lienrik',0,'',0,'Monster.lienrik',12,50,39,'male','L2Monster',40,1462,514,3.56,1.84,40,43,30,21,20,10,1990,126,297,146,121,158,317,0,333,0,0,0,100,150,'lienrik_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21645,21645,'Lienrik Lad',0,'',0,'Monster.lienrik',12,50,40,'male','L2Monster',40,1527,531,3.56,1.84,40,43,30,21,20,10,3836,248,317,151,131,164,317,150,333,0,0,0,110,191,'lienrik_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21646,21646,'Grave Scarab',0,'',0,'Monster2.scarab',14,22,73,'male','L2Monster',40,4086,1601,13.43,3.09,40,43,30,21,20,10,10206,1050,1463,502,885,407,278,0,333,0,0,0,49,198,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21647,21647,'Scavenger Scarab',0,'',0,'Monster2.scarab',14,22,73,'male','L2Monster',40,4086,1601,13.43,3.09,40,43,30,21,20,10,8609,886,1463,502,885,407,278,150,333,0,0,0,49,198,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21648,21648,'Grave Ant',0,'',0,'Monster.ant_soldier',35,17,74,'male','L2Monster',40,4158,1637,13.43,3.09,40,43,30,21,20,10,9383,978,1513,512,921,416,278,0,333,0,0,0,88,165,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21649,21649,'Scavenger Ant',0,'',0,'Monster.ant_soldier',35,17,74,'male','L2Monster',40,4158,1637,13.43,3.09,40,43,30,21,20,10,11099,1157,1513,512,921,416,278,150,333,0,0,0,88,165,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21650,21650,'Shrine Knight',0,'',0,'Monster.skeleton_knight',10,25,75,'male','L2Monster',40,4229,1673,13.43,3.09,40,43,30,21,20,10,10149,1071,1563,523,957,425,278,0,333,150,103,0,44,181,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21651,21651,'Shrine Guard',0,'',0,'Monster.skeleton_pikeman',10,28,75,'male','L2Monster',40,4229,1673,13.43,3.09,40,43,30,21,20,10,9695,1023,1563,523,957,425,278,0,333,98,0,0,55,187,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(21652,21652,'Scarlet Stakato Noble',0,'',0,'Monster.blade_stakato_drone',15,39,78,'male','L2Monster',40,4490,1821,67.15,3.09,40,43,30,21,20,10,9382,1039,1544,566,1107,459,317,450,333,235,0,0,27,181,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(21653,21653,'Assassin Beetle',0,'',0,'Monster2.tera_beetle',19,54.5,78,'male','L2Monster',40,4550,1859,67.15,3.09,40,43,30,21,20,10,6804,763,1814,576,1144,468,278,150,333,0,0,0,49,181,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21654,21654,'Necromancer of Destruction',0,'',0,'Monster.vale_master_20_bi',14.5,48,78,'male','L2Monster',40,4608,1896,67.15,3.09,40,43,30,21,20,10,8042,913,1863,587,1182,477,278,150,333,0,0,0,77,154,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21655,21655,'Arimanes of Destruction',0,'',0,'Monster2.ahrimanes',14,57.75,78,'male','L2Monster',40,4663,1934,67.15,3.09,40,43,30,21,20,10,7148,821,2655,598,1220,485,200,150,333,6722,0,0,38,203,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21656,21656,'Ashuras of Destruction',0,'',0,'Monster2.ashuras_30_bi',17,49,78,'male','L2Monster',40,4766,2011,80.58,3.09,40,43,30,21,20,10,10463,1230,2006,619,1296,502,278,150,333,0,0,0,45,209,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21657,21657,'Magma Drake',0,'',0,'Monster2.inferno_drake_20_bi',29,42,78,'male','L2Monster',40,4813,2049,80.58,3.09,40,43,30,21,20,10,9062,1078,2052,629,1333,511,278,150,333,0,0,0,62,203,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21658,21658,'Punishment of Splendor',0,'',0,'Monster.kel_mahum_warrior',13,28,64,'male','L2Monster',40,3384,1285,11.85,2.78,40,43,30,21,20,10,8837,809,1031,408,589,331,278,0,333,242,0,0,50,165,'saint_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(21659,21659,'Otherworldly Invader Soldier',0,'',0,'Monster.neer_crawler',14,22,30,'male','L2RiftInvader',40,954,365,16.59,1.53,40,43,30,21,20,10,1457,79,115,119,58,114,317,0,333,0,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21660,21660,'Otherworldly Invader Soldier',0,'',0,'Monster.neer_crawler',14,22,35,'male','L2RiftInvader',40,1220,446,21.33,1.84,40,43,30,21,20,10,2073,122,126,191,89,137,317,150,333,0,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21661,21661,'Otherworldly Invader Archer',0,'',0,'Monster.skeleton_archer',11,27,33,'male','L2RiftInvader',500,1109,413,21.33,1.84,40,43,30,21,20,10,1492,85,491,100,75,128,249,150,333,275,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,30,'archer','false'),
(21662,21662,'Otherworldly Invader Elite Soldier',0,'',0,'Monster.dark_horror',20,35,35,'male','L2RiftInvader',40,1220,446,21.33,1.84,40,43,30,21,20,10,1726,102,192,144,89,137,278,150,333,0,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21663,21663,'Otherworldly Invader Shaman',0,'',0,'Monster.dark_horror',20,35,33,'male','L2RiftInvader',40,1109,413,21.33,1.84,40,43,30,21,20,10,1884,108,166,134,75,128,278,150,333,0,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21664,21664,'Otherworldly Invader Priest',0,'',0,'Monster.dark_horror',20,35,30,'male','L2RiftInvader',40,954,365,11.06,1.53,40,43,30,21,20,10,1511,82,132,119,58,114,278,0,333,0,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21665,21665,'Otherworldly Invader Magus',0,'',0,'Monster.dark_horror',20,35,35,'male','L2RiftInvader',40,1220,446,21.33,1.84,40,43,30,21,20,10,1362,80,256,108,89,137,278,150,333,0,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21666,21666,'Otherworldly Invader Martyrs',0,'',0,'Monster.dark_horror',20,35,30,'male','L2RiftInvader',40,954,365,16.59,1.53,40,43,30,21,20,10,1018,55,132,119,58,114,278,0,333,0,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21667,21667,'Otherworldly Invader Warrior',0,'',0,'Monster.skeleton',11,25,33,'male','L2RiftInvader',40,1109,413,21.33,1.84,40,43,30,21,20,10,1211,69,145,157,75,128,317,150,333,220,0,0,66,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21668,21668,'Otherworldly Invader Soldier',0,'',0,'Monster.neer_crawler',14,22,30,'male','L2RiftInvader',40,954,365,16.59,1.53,40,43,30,21,20,10,1071,58,115,119,58,114,317,150,333,0,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21669,21669,'Otherworldly Invader Discipline',0,'',0,'Monster.skeleton',11,25,33,'male','L2RiftInvader',40,1109,413,21.33,1.84,40,43,30,21,20,10,1275,73,145,157,75,128,317,0,333,220,0,0,66,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21670,21670,'Otherworldly Invader Berserker',0,'',0,'Monster.skeleton',11,25,35,'male','L2RiftInvader',40,1220,446,21.33,1.84,40,43,30,21,20,10,1785,105,139,205,89,137,317,150,333,220,0,0,66,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21671,21671,'Otherworldly Invader Food',0,'',0,'Monster.mimic',8.5,8.5,30,'male','L2Chest',40,954,365,5.53,1.53,40,43,30,21,20,10,1308,72,132,140,58,114,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21672,21672,'Otherworldly Invader Elite Soldier',0,'',0,'Monster.skeleton_pikeman',10,28,35,'male','L2RiftInvader',40,1220,446,42.66,1.84,40,43,30,21,20,10,1599,94,192,169,89,137,278,150,333,96,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21673,21673,'Otherworldly Invader Elite Soldier',0,'',0,'Monster.skeleton_pikeman',10,28,35,'male','L2RiftInvader',40,1220,446,42.66,1.84,40,43,30,21,20,10,1629,96,192,169,89,137,278,150,333,96,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21674,21674,'Otherworldly Invader Elite Soldier',0,'',0,'Monster.skeleton_pikeman',10,28,35,'male','L2RiftInvader',40,1220,446,1.78,1.84,40,43,30,21,20,10,1525,92,192,169,89,137,278,0,333,96,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21675,21675,'Otherworldly Invader Elite Soldier',0,'',0,'Monster.skeleton_pikeman',10,28,30,'male','L2RiftInvader',40,954,365,2.77,1.53,40,43,30,21,20,10,1555,84,132,140,58,114,278,0,333,96,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21676,21676,'Otherworldly Invader Warrior',0,'',0,'Monster.skeleton',11,25,33,'male','L2RiftInvader',40,1109,413,42.66,1.84,40,43,30,21,20,10,1452,83,145,157,75,128,317,150,333,220,0,0,66,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21677,21677,'Otherworldly Invader Elite Soldier',0,'',0,'Monster.skeleton_pikeman',10,28,30,'male','L2RiftInvader',40,954,365,33.18,1.53,40,43,30,21,20,10,1164,63,109,170,58,114,278,150,333,96,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21678,21678,'Otherworldly Invader Elite Soldier',0,'',0,'Monster.skeleton_pikeman',10,28,33,'male','L2RiftInvader',40,1109,413,42.66,1.84,40,43,30,21,20,10,1409,80,201,130,75,128,278,150,333,96,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21679,21679,'Otherworldly Invader Elite Soldier',0,'',0,'Monster.skeleton_pikeman',10,28,30,'male','L2RiftInvader',40,954,365,33.18,1.53,40,43,30,21,20,10,1148,62,109,170,58,114,278,150,333,96,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21680,21680,'Otherworldly Invader Elite Soldier',0,'',0,'Monster.skeleton_pikeman',10,28,35,'male','L2RiftInvader',40,1220,446,42.66,1.84,40,43,30,21,20,10,1562,92,232,140,89,137,278,150,333,96,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21681,21681,'Otherworldly Invader Magus',0,'',0,'Monster.dark_horror',20,35,33,'male','L2RiftInvader',40,1109,413,42.66,1.84,40,43,30,21,20,10,1343,77,166,157,75,128,278,0,333,0,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21682,21682,'Dimension Invader Soldier',0,'',0,'Monster.neer_crawler',14,22,40,'male','L2RiftInvader',40,1527,531,21.33,1.84,40,43,30,21,20,10,2590,167,238,171,131,164,317,0,333,0,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21683,21683,'Dimension Invader Soldier',0,'',0,'Monster.neer_crawler',14,22,45,'male','L2RiftInvader',40,1870,677,26.07,2.14,40,43,30,21,20,10,3427,238,248,269,188,193,317,150,333,0,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21684,21684,'Dimension Invader Archer',0,'',0,'Monster.skeleton_archer',11,27,43,'male','L2RiftInvader',500,1728,618,26.07,2.14,40,43,30,21,20,10,2534,171,984,142,163,181,249,150,333,279,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'archer','false'),
(21685,21685,'Dimension Invader Elite Soldier',0,'',0,'Monster.crimson_doll',15,38,45,'male','L2RiftInvader',40,1870,677,26.07,2.14,40,43,30,21,20,10,2853,198,377,202,188,193,278,150,333,0,0,0,66,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21686,21686,'Dimension Invader Shaman',0,'',0,'Monster.crimson_doll',15,38,43,'male','L2RiftInvader',40,1728,618,26.07,2.14,40,43,30,21,20,10,3199,216,332,189,163,181,278,150,333,0,0,0,66,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21687,21687,'Dimension Invader Priest',0,'',0,'Monster.crimson_doll',15,38,40,'male','L2RiftInvader',40,1527,531,14.22,1.84,40,43,30,21,20,10,2686,173,273,171,131,164,278,0,333,0,0,0,66,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21688,21688,'Dimension Invader Magus',0,'',0,'Monster.crimson_doll',15,38,45,'male','L2RiftInvader',40,1870,677,26.07,2.14,40,43,30,21,20,10,2253,156,502,152,188,193,278,150,333,0,0,0,66,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21689,21689,'Dimension Invader Martyrs',0,'',0,'Monster.crimson_doll',15,38,40,'male','L2RiftInvader',40,1527,531,21.33,1.84,40,43,30,21,20,10,1809,117,273,171,131,164,278,0,333,0,0,0,66,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21690,21690,'Dimension Invader Warrior',0,'',0,'Monster.skeleton_knight',10,25,43,'male','L2RiftInvader',40,1728,618,26.07,2.14,40,43,30,21,20,10,2057,139,332,223,163,181,278,150,333,70,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21691,21691,'Dimension Invader Soldier',0,'',0,'Monster.neer_crawler',14,22,40,'male','L2RiftInvader',40,1527,531,21.33,1.84,40,43,30,21,20,10,1905,123,238,171,131,164,317,150,333,0,0,0,55,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21692,21692,'Dimension Invader Discipline',0,'',0,'Monster.skeleton_knight',10,25,43,'male','L2RiftInvader',40,1728,618,26.07,2.14,40,43,30,21,20,10,2166,146,332,223,163,181,278,0,333,70,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21693,21693,'Dimension Invader Berserker',0,'',0,'Monster.skeleton_knight',10,25,45,'male','L2RiftInvader',40,1870,677,26.07,2.14,40,43,30,21,20,10,2951,205,312,288,188,193,278,150,333,70,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21694,21694,'Dimension Invader Food',0,'',0,'Monster.mimic',8.5,8.5,40,'male','L2Chest',40,1527,531,7.11,1.84,40,43,30,21,20,10,2327,150,273,201,131,164,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21695,21695,'Dimension Invader Elite Soldier',0,'',0,'Monster.headless_knight',21,31,45,'male','L2RiftInvader',40,1870,677,52.14,2.14,40,43,30,21,20,10,2643,183,377,238,188,193,278,150,333,135,0,0,77,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21696,21696,'Dimension Invader Elite Soldier',0,'',0,'Monster.headless_knight',21,31,45,'male','L2RiftInvader',40,1870,677,52.14,2.14,40,43,30,21,20,10,2693,187,377,238,188,193,278,150,333,135,0,0,77,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21697,21697,'Dimension Invader Elite Soldier',0,'',0,'Monster.headless_knight',21,31,45,'male','L2RiftInvader',40,1870,677,2.17,2.14,40,43,30,21,20,10,2521,176,377,238,188,193,278,0,333,135,0,0,77,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21698,21698,'Dimension Invader Elite Soldier',0,'',0,'Monster.headless_knight',21,31,40,'male','L2RiftInvader',40,1527,531,3.56,1.84,40,43,30,21,20,10,2764,178,273,201,131,164,278,0,333,135,0,0,77,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21699,21699,'Dimension Invader Warrior',0,'',0,'Monster.skeleton_knight',10,25,43,'male','L2RiftInvader',40,1728,618,52.14,2.14,40,43,30,21,20,10,2466,166,332,223,163,181,278,150,333,70,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21700,21700,'Dimension Invader Elite Soldier',0,'',0,'Monster.headless_knight',21,31,40,'male','L2RiftInvader',40,1527,531,42.66,1.84,40,43,30,21,20,10,2070,133,225,244,131,164,278,150,333,135,0,0,77,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21701,21701,'Dimension Invader Elite Soldier',0,'',0,'Monster.headless_knight',21,31,43,'male','L2RiftInvader',40,1728,618,52.14,2.14,40,43,30,21,20,10,2392,161,402,184,163,181,278,150,333,135,0,0,77,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21702,21702,'Dimension Invader Elite Soldier',0,'',0,'Monster.headless_knight',21,31,40,'male','L2RiftInvader',40,1527,531,42.66,1.84,40,43,30,21,20,10,2041,131,225,244,131,164,278,150,333,135,0,0,77,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21703,21703,'Dimension Invader Elite Soldier',0,'',0,'Monster.headless_knight',21,31,45,'male','L2RiftInvader',40,1870,677,52.14,2.14,40,43,30,21,20,10,2583,179,457,196,188,193,278,150,333,135,0,0,77,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21704,21704,'Dimension Invader Magus',0,'',0,'Monster.crimson_doll',15,38,43,'male','L2RiftInvader',40,1728,618,52.14,2.14,40,43,30,21,20,10,2281,154,332,223,163,181,278,0,333,0,0,0,66,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21705,21705,'Purgatory Invader Soldier',0,'',0,'Monster.doll_blader',6,12,50,'male','L2RiftInvader',40,2245,830,26.07,2.14,40,43,30,21,20,10,4047,305,445,236,264,226,317,0,333,5129,5129,0,24,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21706,21706,'Purgatory Invader Soldier',0,'',0,'Monster.doll_blader',6,12,55,'male','L2RiftInvader',40,2643,987,30.81,2.45,40,43,30,21,20,10,5120,413,440,364,360,261,317,150,333,5129,5129,0,24,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(21707,21707,'Purgatory Invader Archer',0,'',0,'Monster.skeleton_archer',11,27,53,'male','L2RiftInvader',500,2481,923,30.81,2.45,40,43,30,21,20,10,3850,302,1782,194,319,247,249,150,333,282,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'archer','false'),
(21708,21708,'Purgatory Invader Elite Soldier',0,'',0,'Monster.banshee',9,23,55,'female','L2RiftInvader',40,2643,987,30.81,2.45,40,43,30,21,20,10,4262,344,670,273,360,261,278,150,333,3939,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21709,21709,'Purgatory Invader Shaman',0,'',0,'Monster.banshee',9,23,53,'female','L2RiftInvader',40,2481,923,30.81,2.45,40,43,30,21,20,10,4861,382,602,258,319,247,278,150,333,3939,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21710,21710,'Purgatory Invader Priest',0,'',0,'Monster.banshee',9,23,50,'female','L2RiftInvader',40,2245,830,17.38,2.14,40,43,30,21,20,10,4198,316,509,236,264,226,278,0,333,3939,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21711,21711,'Purgatory Invader Magus',0,'',0,'Monster.banshee',9,23,55,'female','L2RiftInvader',40,2643,987,30.81,2.45,40,43,30,21,20,10,3365,271,892,205,360,261,278,150,333,3939,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(21712,21712,'Purgatory Invader Martyrs',0,'',0,'Monster.banshee',9,23,50,'female','L2RiftInvader',40,2245,830,26.07,2.14,40,43,30,21,20,10,2828,213,509,236,264,226,278,0,333,3939,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21713,21713,'Purgatory Invader Warrior',0,'',0,'Monster.skeleton_royal_guard',11,28.5,53,'male','L2RiftInvader',40,2481,923,30.81,2.45,40,43,30,21,20,10,3125,245,527,304,319,247,317,150,333,946,946,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21714,21714,'Purgatory Invader Soldier',0,'',0,'Monster.doll_blader',6,12,50,'male','L2RiftInvader',40,2245,830,26.07,2.14,40,43,30,21,20,10,2977,224,445,236,264,226,317,150,333,5129,5129,0,24,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21715,21715,'Purgatory Invader Disciples',0,'',0,'Monster.skeleton_royal_guard',11,28.5,53,'male','L2RiftInvader',40,2481,923,30.81,2.45,40,43,30,21,20,10,3291,258,527,304,319,247,317,0,333,946,946,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21716,21716,'Purgatory Invader Berserker',0,'',0,'Monster.skeleton_royal_guard',11,28.5,55,'male','L2RiftInvader',40,2643,987,30.81,2.45,40,43,30,21,20,10,4409,356,484,389,360,261,317,150,333,946,946,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'balanced','false'),
(21717,21717,'Purgatory Invader Food',0,'',0,'Monster.mimic',8.5,8.5,50,'male','L2Chest',40,2245,830,8.69,2.14,40,43,30,21,20,10,3636,274,509,278,264,226,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21718,21718,'Purgatory Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,55,'female','L2RiftInvader',40,2643,987,61.62,2.45,40,43,30,21,20,10,3949,318,670,322,360,261,278,150,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21719,21719,'Purgatory Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,55,'female','L2RiftInvader',40,2643,987,61.62,2.45,40,43,30,21,20,10,4023,324,670,322,360,261,278,150,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21720,21720,'Purgatory Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,55,'female','L2RiftInvader',40,2643,987,2.57,2.45,40,43,30,21,20,10,3766,304,670,322,360,261,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21721,21721,'Purgatory Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,50,'female','L2RiftInvader',40,2245,830,4.35,2.14,40,43,30,21,20,10,4319,326,509,278,264,226,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21722,21722,'Purgatory Invader Warrior',0,'',0,'Monster.skeleton_royal_guard',11,28.5,53,'male','L2RiftInvader',40,2481,923,61.62,2.45,40,43,30,21,20,10,3746,294,527,304,319,247,317,150,333,946,946,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21723,21723,'Purgatory Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,50,'female','L2RiftInvader',40,2245,830,52.14,2.14,40,43,30,21,20,10,3235,243,421,336,264,226,278,150,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21724,21724,'Purgatory Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,53,'female','L2RiftInvader',40,2481,923,61.62,2.45,40,43,30,21,20,10,3635,285,729,251,319,247,278,150,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21725,21725,'Purgatory Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,50,'female','L2RiftInvader',40,2245,830,52.14,2.14,40,43,30,21,20,10,3189,240,421,336,264,226,278,150,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21726,21726,'Purgatory Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,55,'female','L2RiftInvader',40,2643,987,61.62,2.45,40,43,30,21,20,10,3859,311,811,266,360,261,278,150,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21727,21727,'Purgatory Invader Magus',0,'',0,'Monster.banshee',9,23,53,'female','L2RiftInvader',40,2481,923,61.62,2.45,40,43,30,21,20,10,3465,272,602,258,319,247,278,0,333,3939,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(21728,21728,'Forbidden Path Invader Elite Soldier',0,'',0,'Monster.doll_blader',6,12,60,'male','L2RiftInvader',40,3054,1150,30.81,2.45,40,43,30,21,20,10,5828,506,753,313,478,299,317,0,333,5129,5129,0,24,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21729,21729,'Forbidden Path Invader Elite Soldier',0,'',0,'Monster.doll_blader',6,12,65,'male','L2RiftInvader',40,3465,1319,35.55,2.78,40,43,30,21,20,10,7151,664,708,473,619,340,317,150,333,5129,5129,0,24,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(21730,21730,'Forbidden Path Invader Archer',0,'',0,'Monster.skeleton_archer',11,27,63,'male','L2RiftInvader',500,3302,1251,35.55,2.78,40,43,30,21,20,10,5439,491,2920,254,560,323,249,150,333,284,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'archer','false'),
(21731,21731,'Forbidden Path Invader Elite Soldier',0,'',0,'Monster.banshee',9,23,65,'female','L2RiftInvader',40,3465,1319,35.55,2.78,40,43,30,21,20,10,5952,553,1077,355,619,340,278,150,333,3939,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21732,21732,'Forbidden Path Invader Shaman',0,'',0,'Monster.banshee',9,23,63,'female','L2RiftInvader',40,3302,1251,35.55,2.78,40,43,30,21,20,10,6868,620,987,338,560,323,278,150,333,3939,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21733,21733,'Forbidden Path Invader Priest',0,'',0,'Monster.banshee',9,23,60,'female','L2RiftInvader',40,3054,1150,20.54,2.45,40,43,30,21,20,10,6045,525,860,313,478,299,278,0,333,3939,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21734,21734,'Forbidden Path Invader Magus',0,'',0,'Monster.banshee',9,23,65,'female','L2RiftInvader',40,3465,1319,35.55,2.78,40,43,30,21,20,10,4700,436,1433,267,619,340,278,150,333,3939,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(21735,21735,'Forbidden Path Invader Martyrs',0,'',0,'Monster.banshee',9,23,60,'female','L2RiftInvader',40,3054,1150,30.81,2.45,40,43,30,21,20,10,4072,353,860,313,478,299,278,0,333,3939,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21736,21736,'Forbidden Path Invader Warrior',0,'',0,'Monster.skeleton_royal_guard',11,28.5,63,'male','L2RiftInvader',40,3302,1251,35.55,2.78,40,43,30,21,20,10,4415,398,864,398,560,323,317,150,333,946,946,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21737,21737,'Forbidden Path Invader Soldier',0,'',0,'Monster.doll_blader',6,12,60,'male','L2RiftInvader',40,3054,1150,30.81,2.45,40,43,30,21,20,10,4287,372,753,313,478,299,317,150,333,5129,5129,0,24,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21738,21738,'Forbidden Path Invader Disciple',0,'',0,'Monster.skeleton_royal_guard',11,28.5,63,'male','L2RiftInvader',40,3302,1251,35.55,2.78,40,43,30,21,20,10,4650,419,864,398,560,323,317,0,333,946,946,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21739,21739,'Forbidden Path Invader Berserker',0,'',0,'Monster.skeleton_royal_guard',11,28.5,65,'male','L2RiftInvader',40,3465,1319,35.55,2.78,40,43,30,21,20,10,6158,572,778,506,619,340,317,150,333,946,946,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'balanced','false'),
(21740,21740,'Forbidden Path Invader Food',0,'',0,'Monster.mimic',8.5,8.5,60,'male','L2Chest',40,3054,1150,10.27,2.45,40,43,30,21,20,10,5235,454,860,368,478,299,278,0,333,0,0,0,80,165,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21741,21741,'Forbidden Path Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,65,'female','L2RiftInvader',40,3465,1319,71.1,2.78,40,43,30,21,20,10,5515,512,1077,418,619,340,278,150,333,0,0,0,80,165,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21742,21742,'Forbidden Path Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,65,'female','L2RiftInvader',40,3465,1319,71.1,2.78,40,43,30,21,20,10,5620,522,1077,418,619,340,278,150,333,0,0,0,80,165,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21743,21743,'Forbidden Path Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,65,'female','L2RiftInvader',40,3465,1319,2.96,2.78,40,43,30,21,20,10,5259,488,1077,418,619,340,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21744,21744,'Forbidden Path Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,60,'female','L2RiftInvader',40,3054,1150,5.14,2.45,40,43,30,21,20,10,6220,540,860,368,478,299,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21745,21745,'Forbidden Path Invader Warrior',0,'',0,'Monster.skeleton_royal_guard',11,28.5,63,'male','L2RiftInvader',40,3302,1251,71.1,2.78,40,43,30,21,20,10,5294,478,864,398,560,323,317,150,333,946,946,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21746,21746,'Forbidden Path Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,60,'female','L2RiftInvader',40,3054,1150,61.62,2.45,40,43,30,21,20,10,4658,404,711,446,478,299,278,150,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'balanced','false'),
(21747,21747,'Forbidden Path Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,63,'female','L2RiftInvader',40,3302,1251,71.1,2.78,40,43,30,21,20,10,5136,463,1194,329,560,323,278,150,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21748,21748,'Forbidden Path Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,60,'female','L2RiftInvader',40,3054,1150,61.62,2.45,40,43,30,21,20,10,4592,398,711,446,478,299,278,150,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'balanced','false'),
(21749,21749,'Forbidden Path Invader Elite Soldier',0,'',0,'Monster.bloody_queen',14,40,65,'female','L2RiftInvader',40,3465,1319,71.1,2.78,40,43,30,21,20,10,5390,500,1303,346,619,340,278,150,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',100,0,50,'fighter','false'),
(21750,21750,'Forbidden Path Invader Magus',0,'',0,'Monster.banshee',9,23,63,'female','L2RiftInvader',40,3302,1251,71.1,2.78,40,43,30,21,20,10,4897,442,987,338,560,323,278,0,333,3939,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(21751,21751,'Dark Omen Invader Soldier',0,'',0,'Monster2.giant_zombie',13,40,70,'male','L2RiftInvader',40,3862,1493,35.55,2.78,40,43,30,21,20,10,7933,786,1314,470,780,382,278,0,333,0,0,0,22,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21752,21752,'Dark Omen Invader Soldier',0,'',0,'Monster2.giant_zombie',13,40,75,'male','L2RiftInvader',40,4229,1673,40.29,3.09,40,43,30,21,20,10,9521,1004,1175,696,957,425,278,150,333,0,0,0,22,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21753,21753,'Dark Omen Invader Archer',0,'',0,'Monster.skeleton_archer',11,27,73,'male','L2RiftInvader',500,4086,1601,40.29,3.09,40,43,30,21,20,10,7303,751,4327,320,885,407,249,150,333,288,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'archer','false'),
(21754,21754,'Dark Omen Invader Elite Soldier',0,'',0,'Monster.doll_master',20,42,75,'male','L2RiftInvader',40,4229,1673,40.29,3.09,40,43,30,21,20,10,7925,836,1368,445,957,425,317,150,333,0,0,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21755,21755,'Dark Omen Invader Shaman',0,'',0,'Monster.doll_master',20,42,73,'male','L2RiftInvader',40,4086,1601,40.29,3.09,40,43,30,21,20,10,9222,949,1280,426,885,407,317,150,333,0,0,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21756,21756,'Dark Omen Invader Priest',0,'',0,'Monster.doll_master',20,42,70,'male','L2RiftInvader',40,3862,1493,23.7,2.78,40,43,30,21,20,10,8228,816,1150,399,780,382,317,0,333,0,0,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21757,21757,'Dark Omen Invader Magus',0,'',0,'Monster.doll_master',20,42,75,'male','L2RiftInvader',40,4229,1673,40.29,3.09,40,43,30,21,20,10,6258,660,1821,334,957,425,317,150,333,0,0,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21758,21758,'Dark Omen Invader Martyrs',0,'',0,'Monster.doll_master',20,42,70,'male','L2RiftInvader',40,3862,1493,35.55,2.78,40,43,30,21,20,10,5542,549,1150,399,780,382,317,0,333,0,0,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21759,21759,'Dark Omen Invader Warrior',0,'',0,'Monster2.imperial_warlord_zombie',7,30,73,'male','L2RiftInvader',40,4086,1601,40.29,3.09,40,43,30,21,20,10,5929,610,1463,502,885,407,278,150,333,134,6721,0,42,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21760,21760,'Dark Omen Invader Soldier',0,'',0,'Monster2.giant_zombie',13,40,70,'male','L2RiftInvader',40,3862,1493,35.55,2.78,40,43,30,21,20,10,5835,578,1314,470,780,382,278,150,333,0,0,0,22,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21761,21761,'Dark Omen Invader Disciple',0,'',0,'Monster2.imperial_warlord_zombie',7,30,73,'male','L2RiftInvader',40,4086,1601,40.29,3.09,40,43,30,21,20,10,6243,642,1463,502,885,407,278,0,333,134,6721,0,42,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21762,21762,'Dark Omen Invader Berserker',0,'',0,'Monster2.imperial_warlord_zombie',7,30,75,'male','L2RiftInvader',40,4229,1673,40.29,3.09,40,43,30,21,20,10,8198,864,1292,633,957,425,278,150,333,134,6721,0,42,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'balanced','false'),
(21763,21763,'Dark Omen Invader Food',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2Chest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,7126,707,1314,470,780,382,278,0,333,0,0,0,88,181,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21764,21764,'Dark Omen Invader Elite Soldier',0,'',0,'Monster.death_blader',15,45,75,'male','L2RiftInvader',40,4229,1673,80.58,3.09,40,43,30,21,20,10,7343,774,1563,523,957,425,278,150,333,1472,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21765,21765,'Dark Omen Invader Elite Soldier',0,'',0,'Monster.death_blader',15,45,75,'male','L2RiftInvader',40,4229,1673,80.58,3.09,40,43,30,21,20,10,7482,789,1563,523,957,425,278,150,333,1472,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21766,21766,'Dark Omen Invader Elite Soldier',0,'',0,'Monster.death_blader',15,45,75,'male','L2RiftInvader',40,4229,1673,3.36,3.09,40,43,30,21,20,10,7002,740,1563,523,957,425,278,0,333,1472,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21767,21767,'Dark Omen Invader Elite Soldier',0,'',0,'Monster.death_blader',15,45,70,'male','L2RiftInvader',40,3862,1493,5.93,2.78,40,43,30,21,20,10,8466,840,1314,470,780,382,278,0,333,1472,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21768,21768,'Dark Omen Invader Warrior',0,'',0,'Monster2.imperial_warlord_zombie',7,30,73,'male','L2RiftInvader',40,4086,1601,80.58,3.09,40,43,30,21,20,10,7108,731,1463,502,885,407,278,150,333,134,6721,0,42,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21769,21769,'Dark Omen Invader Elite Soldier',0,'',0,'Monster.death_blader',15,45,70,'male','L2RiftInvader',40,3862,1493,71.1,2.78,40,43,30,21,20,10,6341,628,1086,569,780,382,278,150,333,1472,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'balanced','false'),
(21770,21770,'Dark Omen Invader Elite Soldier',0,'',0,'Monster.death_blader',15,45,73,'male','L2RiftInvader',40,4086,1601,80.58,3.09,40,43,30,21,20,10,6896,709,1770,415,885,407,278,150,333,1472,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21771,21771,'Dark Omen Invader Elite Soldier',0,'',0,'Monster.death_blader',15,45,70,'male','L2RiftInvader',40,3862,1493,71.1,2.78,40,43,30,21,20,10,6251,619,1086,569,780,382,278,150,333,1472,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'balanced','false'),
(21772,21772,'Dark Omen Invader Elite Soldier',0,'',0,'Monster.death_blader',15,45,75,'male','L2RiftInvader',40,4229,1673,80.58,3.09,40,43,30,21,20,10,7176,757,1892,432,957,425,278,150,333,1472,0,0,110,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21773,21773,'Dark Omen Invader Magus',0,'',0,'Monster.doll_master',20,42,73,'male','L2RiftInvader',40,4086,1601,80.58,3.09,40,43,30,21,20,10,6575,676,1280,426,885,407,317,0,333,0,0,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21774,21774,'Messenger Invader Soldier',0,'',0,'Monster2.giant_zombie',13,40,78,'male','L2RiftInvader',40,4550,1859,40.29,3.09,40,43,30,21,20,10,10362,1163,1814,576,1144,468,278,0,333,0,0,0,22,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21775,21775,'Messenger Invader Soldier',0,'',0,'Monster2.giant_zombie',13,40,78,'male','L2RiftInvader',40,4813,2049,40.29,3.09,40,43,30,21,20,10,12230,1455,1542,837,1333,511,278,150,333,0,0,0,22,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21776,21776,'Messenger Invader Archer',0,'',0,'Monster.skeleton_archer',11,27,78,'male','L2RiftInvader',500,4716,1972,40.29,3.09,40,43,30,21,20,10,9442,1097,5796,388,1258,494,249,150,333,289,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'archer','false'),
(21777,21777,'Messenger Invader Elite Soldier',0,'',0,'Monster.doll_master',20,42,78,'male','L2RiftInvader',40,4813,2049,40.29,3.09,40,43,30,21,20,10,10179,1211,1796,535,1333,511,317,150,333,0,0,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21778,21778,'Messenger Invader Shaman',0,'',0,'Monster.doll_master',20,42,78,'male','L2RiftInvader',40,4716,1972,40.29,3.09,40,43,30,21,20,10,11921,1386,1714,517,1258,494,317,150,333,0,0,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21779,21779,'Messenger Invader Priest',0,'',0,'Monster.doll_master',20,42,78,'male','L2RiftInvader',40,4550,1859,26.86,3.09,40,43,30,21,20,10,10747,1206,1587,490,1144,468,317,0,333,0,0,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21780,21780,'Messenger Invader Magus',0,'',0,'Monster.doll_master',20,42,78,'male','L2RiftInvader',40,4813,2049,40.29,3.09,40,43,30,21,20,10,8038,957,2390,402,1333,511,317,150,333,0,0,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21781,21781,'Messenger Invader Martyrs',0,'',0,'Monster.doll_master',20,42,78,'male','L2RiftInvader',40,4550,1859,40.29,3.09,40,43,30,21,20,10,7239,812,1587,490,1144,468,317,0,333,0,0,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(21782,21782,'Messenger Invader Warrior',0,'',0,'Monster2.imperial_warlord_zombie',7,30,78,'male','L2RiftInvader',40,4716,1972,40.29,3.09,40,43,30,21,20,10,7664,891,1959,608,1258,494,278,150,333,134,6721,0,42,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21783,21783,'Messenger Invader Soldier',0,'',0,'Monster2.giant_zombie',13,40,78,'male','L2RiftInvader',40,4550,1859,40.29,3.09,40,43,30,21,20,10,7621,855,1814,576,1144,468,278,150,333,0,0,0,22,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21784,21784,'Messenger Invader Disciple',0,'',0,'Monster2.imperial_warlord_zombie',7,30,78,'male','L2RiftInvader',40,4716,1972,40.29,3.09,40,43,30,21,20,10,8071,938,1959,608,1258,494,278,0,333,134,6721,0,42,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21785,21785,'Messenger Invader Berserker',0,'',0,'Monster2.imperial_warlord_zombie',7,30,78,'male','L2RiftInvader',40,4813,2049,40.29,3.09,40,43,30,21,20,10,10530,1253,1696,761,1333,511,278,150,333,134,6721,0,42,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'balanced','false'),
(21786,21786,'Messenger Invader Food',0,'',0,'Monster.mimic',8.5,8.5,78,'male','L2Chest',40,4550,1859,13.43,3.09,40,43,30,21,20,10,9308,1045,1814,576,1144,468,278,0,333,0,0,0,80,165,'ssq_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21787,21787,'Messenger Invader Elite Soldier',0,'',0,'Monster.death_lord',21,40,78,'male','L2RiftInvader',40,4813,2049,80.58,3.09,40,43,30,21,20,10,9432,1122,2052,629,1333,511,278,150,333,78,0,0,40,165,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21788,21788,'Messenger Invader Elite Soldier',0,'',0,'Monster.death_lord',21,40,78,'male','L2RiftInvader',40,4813,2049,80.58,3.09,40,43,30,21,20,10,9610,1144,2052,629,1333,511,278,150,333,78,0,0,40,165,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21789,21789,'Messenger Invader Elite Soldier',0,'',0,'Monster.death_lord',21,40,78,'male','L2RiftInvader',40,4813,2049,3.36,3.09,40,43,30,21,20,10,8994,1072,2052,629,1333,511,278,0,333,78,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21790,21790,'Messenger Invader Elite Soldier',0,'',0,'Monster.death_lord',21,40,78,'male','L2RiftInvader',40,4550,1859,6.72,3.09,40,43,30,21,20,10,11058,1242,1814,576,1144,468,278,0,333,78,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21791,21791,'Messenger Invader Warrior',0,'',0,'Monster2.imperial_warlord_zombie',7,30,78,'male','L2RiftInvader',40,4716,1972,80.58,3.09,40,43,30,21,20,10,9189,1068,1959,608,1258,494,278,150,333,134,6721,0,42,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21792,21792,'Messenger Invader Elite Soldier',0,'',0,'Monster.death_lord',21,40,78,'male','L2RiftInvader',40,4550,1859,80.58,3.09,40,43,30,21,20,10,8282,929,1499,698,1144,468,278,150,333,78,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'balanced','false'),
(21793,21793,'Messenger Invader Elite Soldier',0,'',0,'Monster.death_lord',21,40,78,'male','L2RiftInvader',40,4716,1972,80.58,3.09,40,43,30,21,20,10,8915,1036,2371,503,1258,494,278,150,333,78,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21794,21794,'Messenger Invader Elite Soldier',0,'',0,'Monster.death_lord',21,40,78,'male','L2RiftInvader',40,4550,1859,80.58,3.09,40,43,30,21,20,10,8165,916,1499,698,1144,468,278,150,333,78,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'balanced','false'),
(21795,21795,'Messenger Invader Elite Soldier',0,'',0,'Monster.death_lord',21,40,78,'male','L2RiftInvader',40,4813,2049,80.58,3.09,40,43,30,21,20,10,9217,1097,2483,520,1333,511,278,150,333,78,0,0,44,181,'ssq_clan',300,1,0,'LAST_HIT',100,0,50,'fighter','false'),
(21796,21796,'Messenger Invader Magus',0,'',0,'Monster.doll_master',20,42,78,'male','L2RiftInvader',40,4716,1972,80.58,3.09,40,43,30,21,20,10,8499,988,1714,517,1258,494,317,0,333,0,0,0,88,181,'ssq_clan',300,1,0,'LAST_HIT',0,0,0,'mage','false'),
(21797,21797,'Spirit of Timiniel',0,'',0,'Monster.pixy',5,25,55,'female','L2Monster',40,2643,987,5.14,2.45,40,43,30,21,20,10,3959,320,554,331,360,261,278,0,333,0,0,0,88,181,'timiniel__mob_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21798,21798,'Ghost of a Gatekeeper',0,'',0,'Monster.skeleton_knight',10,25,76,'male','L2Monster',40,4297,1710,26.86,3.09,40,43,30,21,20,10,7104,759,1614,534,994,433,278,0,333,150,103,0,40,165,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21799,21799,'Ghost of a Gatekeeper',0,'',0,'Monster.skeleton_knight',10,25,76,'male','L2Monster',40,4297,1710,40.29,3.09,40,43,30,21,20,10,8710,931,1614,534,994,433,278,0,432,150,103,0,40,165,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21800,21800,'Vassal Ghost',0,'',0,'Monster.zombie',13,21,77,'male','L2Monster',40,4364,1747,26.86,3.09,40,43,30,21,20,10,6616,716,1664,544,1031,442,278,0,333,0,0,0,15,15,'NULL',0,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(21801,21801,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,21,'male','L2Chest',40,575,227,5.53,1.53,40,43,30,21,20,10,630,29,63,98,25,80,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21802,21802,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,24,'male','L2Chest',40,687,272,5.53,1.53,40,43,30,21,20,10,771,38,81,111,34,90,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21803,21803,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,27,'male','L2Chest',40,813,318,5.53,1.53,40,43,30,21,20,10,918,47,104,125,45,102,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21804,21804,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,30,'male','L2Chest',40,954,365,5.53,1.53,40,43,30,21,20,10,1080,59,132,140,58,114,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21805,21805,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,33,'male','L2Chest',40,1109,413,7.11,1.84,40,43,30,21,20,10,1306,75,166,157,75,128,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21806,21806,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,36,'male','L2Chest',40,1279,463,7.11,1.84,40,43,30,21,20,10,1555,94,206,175,96,142,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21807,21807,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,39,'male','L2Chest',40,1462,514,7.11,1.84,40,43,30,21,20,10,1825,116,255,195,121,158,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21808,21808,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,42,'male','L2Chest',40,1660,589,8.69,2.14,40,43,30,21,20,10,2116,141,311,215,152,175,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21809,21809,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,45,'male','L2Chest',40,1870,677,8.69,2.14,40,43,30,21,20,10,2430,169,377,238,188,193,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21810,21810,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,48,'male','L2Chest',40,2091,768,8.69,2.14,40,43,30,21,20,10,2764,202,453,261,231,212,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21811,21811,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,51,'male','L2Chest',40,2323,861,10.27,2.45,40,43,30,21,20,10,3121,238,539,286,281,232,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21812,21812,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,54,'male','L2Chest',40,2562,955,10.27,2.45,40,43,30,21,20,10,3499,279,636,313,339,254,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21813,21813,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,57,'male','L2Chest',40,2806,1052,10.27,2.45,40,43,30,21,20,10,3898,324,743,340,405,276,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21814,21814,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,60,'male','L2Chest',40,3054,1150,10.27,2.45,40,43,30,21,20,10,4320,375,860,368,478,299,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21815,21815,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,63,'male','L2Chest',40,3302,1251,11.85,2.78,40,43,30,21,20,10,4762,430,987,398,560,323,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21816,21816,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,66,'male','L2Chest',40,3546,1353,11.85,2.78,40,43,30,21,20,10,5227,492,1123,428,649,348,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21817,21817,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,69,'male','L2Chest',40,3784,1458,11.85,2.78,40,43,30,21,20,10,5713,559,1265,460,746,373,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21818,21818,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,72,'male','L2Chest',40,4013,1565,13.43,3.09,40,43,30,21,20,10,6220,632,1413,491,849,399,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21819,21819,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,75,'male','L2Chest',40,4229,1673,13.43,3.09,40,43,30,21,20,10,6750,712,1563,523,957,425,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21820,21820,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,78,'male','L2Chest',40,4428,1784,13.43,3.09,40,43,30,21,20,10,7300,799,1715,555,1069,451,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21821,21821,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,81,'male','L2Chest',40,4608,1896,13.43,3.09,40,43,30,21,20,10,7873,894,1863,587,1182,477,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21822,21822,'Treasure Chest',0,'',0,'Monster.mimic',8.5,8.5,84,'male','L2Chest',40,4766,2011,13.43,3.09,40,43,30,21,20,10,8467,996,2006,619,1296,502,278,0,333,0,0,0,80,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(21823,21823,'Executor of Sacrificial Offerings',0,'',0,'Monster2.imperial_warlord_zombie',7,30,78,'male','L2Minion',40,4550,1859,80.58,3.09,40,43,30,21,20,10,12042,1351,1814,576,1144,468,278,0,333,134,6721,0,42,209,'tomb_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(21824,21824,'Alpen Kookaburra',0,'',0,'Monster2.rough_ostrich',20,31,65,'male','L2FeedableBeast',80,13862,9999,13.43,3.09,40,43,30,21,20,10,0,0,1392,5000,746,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21825,21825,'Alpen Kookaburra',0,'',0,'Monster2.rough_ostrich',20,31,65,'male','L2FeedableBeast',80,13862,9999,13.43,3.09,40,43,30,21,20,10,0,0,1392,5000,746,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21826,21826,'Alpen Buffalo',0,'',0,'Monster2.buffalo',20,31,67,'male','L2FeedableBeast',80,14507,9999,13.43,3.09,40,43,30,21,20,10,0,0,1392,5000,746,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21827,21827,'Alpen Buffalo',0,'',0,'Monster2.buffalo',20,31,67,'male','L2FeedableBeast',80,14507,9999,13.43,3.09,40,43,30,21,20,10,0,0,1392,5000,746,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21828,21828,'Alpen Cougar',0,'',0,'Monster.saber_toothed_tiger',20,31,69,'male','L2FeedableBeast',80,15139,9999,13.43,3.09,40,43,30,21,20,10,0,0,1392,5000,746,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(21829,21829,'Alpen Cougar',0,'',0,'Monster.saber_toothed_tiger',20,31,69,'male','L2FeedableBeast',80,15139,9999,13.43,3.09,40,43,30,21,20,10,0,0,1392,5000,746,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false');

INSERT INTO `npc` VALUES
(22001,22001,'Grim Wolf',0,'',0,'Monster.dire_wolf',13,11,25,'male','L2Monster',80,728,316,5.53,1.53,40,43,30,21,20,10,876,43,99,112,37,94,278,0,333,0,0,0,24,130,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22002,22002,'Grim Grizzly',0,'',0,'Monster.grizzly',21,40,26,'male','L2Monster',80,770,333,5.53,1.53,40,43,30,21,20,10,933,47,115,114,41,98,278,0,333,0,0,0,40,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22003,22003,'Grave Robber Scout',0,'',0,'NPC.e_traderB_Fdwarf_mon',7,18,27,'female','L2Monster',80,813,350,5.53,1.53,40,43,30,21,20,10,1162,59,113,119,45,102,247,0,333,8527,0,0,49,110,'grave_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(22004,22004,'Grave Robber Lookout',0,'',0,'Monster.dwarf_ghost',9,16.5,27,'male','L2Monster',80,813,350,5.53,1.53,40,43,30,21,20,10,1382,69,113,119,45,102,278,0,333,0,0,0,80,120,'grave_clan',300,1,0,'LAST_HIT',100,0,30,'balanced','true'),
(22005,22005,'Grave Robber Ranger',0,'',0,'NPC.e_collector_teacher_Fdwarf_mon',8,17.5,28,'male','L2Monster',80,859,367,5.53,1.53,40,43,30,21,20,10,1230,63,133,130,49,106,317,0,333,8529,0,0,45,110,'grave_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(22006,22006,'Grave Robber Guard',0,'',0,'NPC.e_collector_teacher_Mdwarf_mon',8,17.5,29,'male','L2Monster',80,906,384,5.53,1.53,40,43,30,21,20,10,1298,68,146,137,53,110,278,0,333,8528,0,0,36,110,'grave_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(22007,22007,'Ghost of a Soldier',0,'',0,'Monster.orc',10,21,29,'male','L2Monster',80,906,384,5.53,1.53,40,43,30,21,20,10,1415,75,146,137,53,110,278,0,333,8530,0,0,45,120,'grave_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(22008,22008,'Grave Robber Fighter',0,'',0,'NPC.e_collector_teacher_Mdwarf_mon',8,17.5,30,'male','L2Monster',80,954,402,5.53,1.53,40,43,30,21,20,10,1367,74,130,137,58,114,278,0,333,8528,0,0,36,110,'grave_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(22009,22009,'Ghost of a Loyal Vassal',0,'',0,'Monster.orc_shaman',9,22,31,'male','L2Monster',80,1004,419,7.11,1.84,40,43,30,21,20,10,1591,88,140,146,64,118,278,0,333,8532,0,0,45,120,'ghost_clan',300,1,0,'LAST_HIT',100,0,30,'balanced','false'),
(22010,22010,'Ghost of a General',0,'',0,'Monster.orc_fighter',12,22,32,'male','L2Monster',80,1056,437,7.11,1.84,40,43,30,21,20,10,1695,95,185,147,69,123,278,500,333,8532,0,0,45,120,'ghost_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(22011,22011,'Ghost of a Batur Chief',0,'',0,'Monster.orc_champion',10,23,33,'male','L2Monster',80,1109,455,7.11,1.84,40,43,30,21,20,10,1947,111,191,149,75,128,278,500,333,8533,0,0,45,130,'ghost_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(22012,22012,'Ghost of a Batur Chief',0,'',0,'Monster.orc_champion',10,23,33,'male','L2Monster',80,1109,455,7.11,1.84,40,43,30,21,20,10,1515,87,191,149,75,128,278,500,333,8533,0,0,45,130,'ghost_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(22013,22013,'Ghost of a Morek Chief',0,'',0,'Monster.orc_champion',10,23,33,'male','L2Monster',80,1109,455,7.11,1.84,40,43,30,21,20,10,1515,87,191,149,75,128,278,500,333,8533,0,0,45,130,'ghost_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(22014,22014,'Ghost of a Morek Chief',0,'',0,'Monster.orc_champion',10,23,33,'male','L2Monster',80,1109,455,7.11,1.84,40,43,30,21,20,10,1515,87,191,149,75,128,278,500,333,8533,0,0,45,130,'ghost_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(22015,22015,'Ghost of a Turka Chief',0,'',0,'Monster.orc_champion',10,23,33,'male','L2Monster',80,1109,455,7.11,1.84,40,43,30,21,20,10,1515,87,191,149,75,128,278,500,333,8533,0,0,45,130,'ghost_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(22016,22016,'Ghost of a Turka Chief',0,'',0,'Monster.orc_champion',10,23,33,'male','L2Monster',80,1109,455,7.11,1.84,40,43,30,21,20,10,1515,87,191,149,75,128,278,500,333,8533,0,0,45,130,'ghost_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','false'),
(22017,22017,'Bandit Sweeper',0,'',0,'Monster2.northern_goblin',4,15,30,'male','L2Monster',80,954,402,5.53,1.53,40,43,30,21,20,10,1281,70,130,137,58,114,278,500,333,0,0,0,88,132,'bandit_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22018,22018,'Bandit Hound',0,'',0,'Monster.dire_wolf',13,11,31,'male','L2Monster',80,1005,419,7.11,1.84,40,43,30,21,20,10,1404,78,140,146,64,118,278,500,333,0,0,0,88,132,'bandit_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22019,22019,'Bandit Watchman',0,'',0,'Monster.ol_mahum_archer_04te',20,23,32,'male','L2Monster',80,1056,437,7.11,1.84,40,43,30,21,20,10,1449,81,185,147,69,123,278,0,333,0,0,0,88,132,'bandit_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(22020,22020,'Snow Lynx',0,'',0,'Monster.onyx_beast',14,14.5,33,'male','L2Monster',80,1109,455,7.11,1.84,40,43,30,21,20,10,1515,87,191,149,75,128,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22021,22021,'Bandit Undertaker',0,'',0,'Monster2.northern_goblin_110p',20,23,34,'male','L2Monster',80,1164,473,7.11,1.84,40,43,30,21,20,10,1593,93,203,150,82,132,278,0,333,0,0,0,88,132,'bandit_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22022,22022,'Bandit Assassin',0,'',0,'Monster.wererat_01te',20,23,35,'male','L2Monster',80,1221,491,7.11,1.84,40,43,30,21,20,10,1735,103,199,161,89,137,278,500,333,0,0,0,88,132,'bandit_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22023,22023,'Bandit Warrior',0,'',0,'Monster.ol_mahum_04te',20,23,36,'male','L2Monster',80,1279,509,7.11,1.84,40,43,30,21,20,10,1899,115,262,172,96,142,278,500,333,0,0,0,88,132,'bandit_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22024,22024,'Bandit Inspector',0,'',0,'Monster2.northern_goblin_120p',4,15,37,'male','L2Monster',80,1339,528,7.11,1.84,40,43,30,21,20,10,1855,114,251,158,104,147,278,500,333,0,0,0,88,132,'bandit_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22025,22025,'Frozen Wasteland Werewolf',0,'',0,'Monster.werewolf',10,26,38,'male','L2Monster',80,1400,547,7.11,1.84,40,43,30,21,20,10,3048,190,258,177,112,153,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22026,22026,'Bandit Captain',0,'',0,'Monster.ol_mahum_champion_04te',20,23,40,'male','L2Monster',80,1527,584,7.11,1.84,40,43,30,21,20,10,2537,164,273,195,131,164,278,500,333,69,19,0,88,132,'bandit_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22027,22027,'Forgotten Crewman',0,'',0,'Monster.dwarf_ghost',9,16.5,39,'male','L2Minion',80,1463,565,7.11,1.84,40,43,30,21,20,10,2639,168,313,175,121,158,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22028,22028,'Vagabond of the Ruins',0,'',0,'NPC.a_mageguild_teacher_Mhuman_mon',20,23,40,'male','L2Monster',80,1527,584,7.11,1.84,40,43,30,21,20,10,2537,164,273,195,131,164,278,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,100,30,'mage','false'),
(22029,22029,'Ragna Orc',0,'',0,'Monster.batur_orc_03te',9,21.5,40,'male','L2Monster',80,1527,584,7.11,1.84,40,43,30,21,20,10,2537,164,273,195,131,164,278,0,333,2,0,0,80,140,'ragna_clan',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22030,22030,'Ragna Orc Shaman',0,'',0,'Monster.batur_orc_shaman_a_03te',11,16,42,'male','L2Monster',80,1660,648,8.69,2.14,40,43,30,21,20,10,3151,209,367,202,152,175,278,0,333,159,0,0,50,140,'ragna_clan',300,0,0,'LAST_HIT',0,100,30,'mage','false'),
(22031,22031,'Ragna Orc Archer',0,'',0,'Monster.batur_orc_archer_03te',11,21.5,43,'male','L2Monster',80,1728,680,8.69,2.14,40,43,30,21,20,10,2915,197,363,214,163,181,247,0,333,13,0,0,45,130,'ragna_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(22032,22032,'Ragna Orc Warrior',0,'',0,'Monster.batur_orc_warrior_03te',10,20,44,'male','L2Monster',40,1799,712,8.69,2.14,40,43,30,21,20,10,3649,249,465,217,176,187,278,500,333,68,0,0,80,140,'ragna_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22033,22033,'Ragna Orc Mage',0,'',0,'Monster.batur_orc_shaman_a_01te',11,16,45,'male','L2Monster',80,1870,745,8.69,2.14,40,43,30,21,20,10,4687,325,391,227,188,193,278,0,333,179,0,0,50,140,'ragna_clan',300,0,0,'LAST_HIT',0,100,30,'mage','true'),
(22034,22034,'Ragna Orc Mage',0,'',0,'Monster.batur_orc_shaman_a_01te',17,17,45,'male','L2Monster',80,1870,745,8.69,2.14,40,43,30,21,20,10,4687,325,391,227,188,193,278,0,333,0,0,0,88,132,'ragna_clan',300,0,0,'LAST_HIT',0,100,30,'mage','true'),
(22035,22035,'Ragna Orc Mage',0,'',0,'Monster.batur_orc_shaman_a_01te',17,17,45,'male','L2Monster',80,1870,745,8.69,2.14,40,43,30,21,20,10,4687,325,391,227,188,193,278,0,333,0,0,0,88,132,'ragna_clan',300,0,0,'LAST_HIT',0,100,30,'mage','true'),
(22036,22036,'Ragna Orc Mage',0,'',0,'Monster.batur_orc_shaman_a_01te',17,17,45,'male','L2Monster',80,1870,745,8.69,2.14,40,43,30,21,20,10,4687,325,391,227,188,193,278,0,333,0,0,0,88,132,'ragna_clan',300,0,0,'LAST_HIT',0,100,30,'mage','true'),
(22037,22037,'Ragna Orc Healer',0,'',0,'Monster.batur_orc_shaman_a_03te',20,23,45,'male','L2Monster',80,1870,745,8.69,2.14,40,43,30,21,20,10,2943,205,391,227,188,193,278,0,333,0,0,0,88,132,'ragna_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','false'),
(22038,22038,'Ragna Orc Hero',0,'',0,'Monster.batur_orc_overlord_03te',12,24,48,'male','L2Monster',80,2091,845,8.69,2.14,40,43,30,21,20,10,4343,317,575,238,231,212,278,500,333,74,0,0,80,140,'ragna_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22039,22039,'Ragna Orc Commander',0,'',0,'Monster.batur_orc_overlord_01te',12,24,49,'male','L2Monster',80,2168,878,8.69,2.14,40,43,30,21,20,10,3659,270,490,267,247,219,278,500,333,135,0,0,80,140,'ragna_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22040,22040,'Ragna Orc Sniper',0,'',0,'Monster.batur_orc_archer_01te',11,21.5,47,'male','L2Monster',500,2016,811,8.69,2.14,40,43,30,21,20,10,3311,237,512,241,216,206,247,0,333,275,0,0,45,140,'ragna_clan',300,0,0,'LAST_HIT',100,0,30,'archer','true'),
(22041,22041,'Ragna Orc Sorcerer',0,'',0,'Monster.batur_orc_shaman_a_01te',11,16,50,'male','L2Monster',80,2245,912,8.69,2.14,40,43,30,21,20,10,3629,273,509,273,264,226,278,0,333,7,0,0,50,140,'ragna_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(22042,22042,'Ragna Orc Sorcerer',0,'',0,'Monster.batur_orc_shaman_a_01te',11,16,50,'male','L2Monster',80,2245,912,8.69,2.14,40,43,30,21,20,10,3629,273,509,273,264,226,278,0,333,7,0,0,50,140,'ragna_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(22043,22043,'Ragna Orc Sorcerer',0,'',0,'Monster.batur_orc_shaman_a_01te',11,16,50,'male','L2Monster',80,2245,912,8.69,2.14,40,43,30,21,20,10,3629,273,509,273,264,226,278,0,333,7,0,0,50,140,'ragna_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(22044,22044,'Ragna Orc Sorcerer',0,'',0,'Monster.batur_orc_shaman_a_01te',11,16,50,'male','L2Monster',80,2245,912,8.69,2.14,40,43,30,21,20,10,3629,273,509,273,264,226,278,0,333,7,0,0,50,140,'ragna_clan',300,0,0,'LAST_HIT',0,100,30,'balanced','true'),
(22045,22045,'Dark Corpse',0,'',0,'Monster.zombie_02te',20,22,40,'male','L2Monster',80,1526,584,7.11,1.84,40,43,30,21,20,10,2592,160,273,195,131,164,278,0,333,0,0,0,40,40,'ragna_clan',300,1,0,'LAST_HIT',100,0,30,'fighter','true'),
(22046,22046,'Varangka\'s Dre Vanul',0,'',0,'Monster.dre_vanul',14,36,46,'male','L2Monster',80,1942,778,8.69,2.14,40,43,30,21,20,10,2864,194,431,246,202,199,317,0,333,0,0,0,80,100,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22047,22047,'Guardian of the Ghost Town',0,'',0,'Monster.monster_eye_05te',21,43,44,'male','L2Monster',80,1798,712,8.69,2.14,40,43,30,21,20,10,2496,164,465,217,176,187,278,0,333,0,0,0,90,100,'NULL',0,0,0,'LAST_HIT',0,100,30,'mage','true'),
(22048,22048,'Dark Spider',0,'',0,'Monster.giant_spider_04te',26,25.5,42,'male','L2Monster',80,1660,648,8.69,2.14,40,43,30,21,20,10,2388,152,367,202,152,175,317,0,333,0,0,0,72,150,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22049,22049,'Varangka\'s Succubus',0,'',0,'Monster.succubus_05te',10,36,49,'male','L2Monster',80,2168,878,8.69,2.14,40,43,30,21,20,10,3250,330,490,267,247,219,317,0,333,0,0,0,60,120,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22050,22050,'Probe Golem Prodigy IV',0,'',0,'Monster3.golem_microscout',12,43.5,46,'male','L2Monster',80,1943,778,8.69,2.14,40,43,30,21,20,10,3274,232,431,246,202,199,197,500,333,0,0,0,30,190,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22051,22051,'Spelunking Spider',0,'',0,'Monster.giant_spider_05te',26,25.5,47,'male','L2Monster',80,2017,811,8.69,2.14,40,43,30,21,20,10,3311,237,512,241,216,206,278,0,333,0,0,0,72,150,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22052,22052,'Menacing Jackhammer Golem',0,'',0,'Monster3.golem_prop',23,32.8,47,'male','L2Monster',80,2017,811,8.69,2.14,40,43,30,21,20,10,3311,237,512,241,216,206,197,500,333,0,0,0,72,180,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22053,22053,'Horrifying Cannon Golem I',0,'',0,'Monster3.golem_cannon_catapult',23.5,34.7,48,'male','L2Monster',80,2092,845,8.69,2.14,40,43,30,21,20,10,3423,250,575,238,231,212,197,500,333,0,0,0,130,180,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22054,22054,'Horrifying Cannon Golem IV',0,'',0,'Monster3.golem_cannon_catapult',23.5,34.7,48,'male','L2Monster',80,2092,845,8.69,2.14,40,43,30,21,20,10,3423,250,575,238,231,212,197,500,333,0,0,0,130,180,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22055,22055,'Cruel Vice Golem',0,'',0,'Monster3.golem_repair',23,32.8,49,'male','L2Monster',80,2168,878,8.69,2.14,40,43,30,21,20,10,3659,270,490,267,247,219,197,500,333,0,0,0,72,140,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22056,22056,'Probe Golem Champion I',0,'',0,'Monster3.golem_microscout',12,43.5,49,'male','L2Monster',80,2168,878,8.69,2.14,40,43,30,21,20,10,3659,270,490,267,247,219,197,500,333,0,0,0,30,140,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22057,22057,'Spelunking Ant',0,'',0,'Monster.ant_soldier',35,17,50,'male','L2Monster',80,2245,912,8.69,2.14,40,43,30,21,20,10,3629,273,509,273,264,226,278,500,333,0,0,0,80,150,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22058,22058,'Horrifying Excavator Golem III',0,'',0,'Monster3.golem_carrier',23,32.8,51,'male','L2Monster',80,2323,946,10.27,2.45,40,43,30,21,20,10,3841,293,602,280,281,232,197,500,333,0,0,0,72,150,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22059,22059,'Bloodthirsty Ginzu Golem VII',0,'',0,'Monster3.golem_guardian_090p',16,37.2,51,'male','L2Monster',80,2323,946,10.27,2.45,40,43,30,21,20,10,3841,293,602,280,281,232,197,500,333,0,0,0,50,150,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22060,22060,'Horrifying Cannon Golem',0,'',0,'Monster3.golem_cannon_catapult_a',23.5,34.7,52,'male','L2Monster',80,2402,981,10.27,2.45,40,43,30,21,20,10,2198,170,561,306,300,239,197,500,333,0,0,0,130,180,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22061,22061,'Horrifying Cannon Golem III',0,'',0,'Monster3.golem_microscout_a',20,40,51,'male','L2Monster',80,2323,946,10.27,2.45,40,43,30,21,20,10,3841,293,602,280,281,232,278,0,333,0,0,0,88,132,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22062,22062,'Horrifying Jackhammer Golem',0,'',0,'Monster3.golem_prop',23,32.8,52,'male','L2Monster',80,2402,981,10.27,2.45,40,43,30,21,20,10,2198,170,561,306,300,239,197,500,333,0,0,0,72,140,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22063,22063,'Ginzu Golem Prodigy X',0,'',0,'Monster3.golem_guardian_090p',16,37.2,52,'male','L2Monster',80,2402,981,10.27,2.45,40,43,30,21,20,10,2198,170,561,306,300,239,197,500,333,0,0,0,50,150,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22064,22064,'Bloodthirsty Ginzu Golem II',0,'',0,'Monster3.golem_guardian_a_090p',16,37.2,52,'male','L2Monster',80,2402,981,10.27,2.45,40,43,30,21,20,10,2198,170,561,306,300,239,197,500,333,0,0,0,50,150,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22065,22065,'Horrifying Ginzu Golem V',0,'',0,'Monster3.golem_guardian',18,41.5,53,'male','L2Monster',80,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,197,500,333,0,0,0,53,150,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22066,22066,'Horrifying Cannon Golem VI',0,'',0,'Monster3.golem_cannon_catapult_a_090p',21,30,53,'male','L2Monster',80,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,197,0,333,0,0,0,130,180,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22067,22067,'Horrifying Cannon Golem VI',0,'',0,'Monster3.golem_cannon_catapult_a_090p',21,30,53,'male','L2Monster',80,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,197,0,333,0,0,0,130,180,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22068,22068,'Horrifying Cannon Golem VI',0,'',0,'Monster3.golem_cannon_catapult_a_090p',21,30,53,'male','L2Monster',80,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,197,0,333,0,0,0,130,180,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22069,22069,'Horrifying Cannon Golem VI',0,'',0,'Monster3.golem_cannon_catapult_a_090p',21,30,53,'male','L2Monster',80,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,197,0,333,0,0,0,130,180,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22070,22070,'Horrifying Cannon Golem VI',0,'',0,'Monster3.golem_cannon_catapult_a_090p',21,30,53,'male','L2Monster',80,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,197,0,333,0,0,0,130,180,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22071,22071,'Horrifying Cannon Golem VI',0,'',0,'Monster3.golem_cannon_catapult_a_090p',21,30,53,'male','L2Monster',80,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,197,0,333,0,0,0,130,180,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22072,22072,'Horrifying Cannon Golem VI',0,'',0,'Monster3.golem_cannon_catapult_a_090p',21,30,53,'male','L2Monster',80,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,197,0,333,0,0,0,130,180,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22073,22073,'Horrifying Cannon Golem VI',0,'',0,'Monster3.golem_cannon_catapult_a_090p',20,40,53,'male','L2Monster',80,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,278,0,333,0,0,0,88,132,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22074,22074,'Epic Cannon Golem',0,'',0,'Monster3.golem_cannon_catapult_a_090p',21,30,53,'male','L2Monster',80,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,197,500,333,0,0,0,130,180,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22075,22075,'Epic Cannon Golem Adjunct',0,'',0,'Monster3.golem_microscout_a',12,43.5,52,'male','L2Monster',80,2402,981,10.27,2.45,40,43,30,21,20,10,2198,170,561,306,300,239,197,0,333,0,0,0,30,200,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22076,22076,'Deadly Ginzu Golem V',0,'',0,'Monster3.golem_guardian',18,41.5,53,'male','L2Monster',80,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,197,500,333,0,0,0,53,150,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22077,22077,'Horrifying Ginzu Golem VIII',0,'',0,'Monster3.golem_guardian_a',18,41.5,54,'male','L2Monster',80,2562,1050,10.27,2.45,40,43,30,21,20,10,4370,348,667,293,339,254,197,500,333,0,0,0,53,150,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22078,22078,'Deadly Ginzu Golem VIII',0,'',0,'Monster3.golem_guardian_a',18,41.5,54,'male','L2Monster',80,2562,1050,10.27,2.45,40,43,30,21,20,10,4370,348,667,293,339,254,197,500,333,0,0,0,53,150,'golem_clan',300,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22079,22079,'Lost Bandersnatch',0,'',0,'Monster2.bandersnatch_c',18,25,53,'male','L2Minion',40,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,278,0,333,0,0,0,30,170,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22080,22080,'Massive Maze Bandersnatch',0,'',0,'Monster2.bandersnatch',18,25,54,'male','L2Monster',40,2562,1050,10.27,2.45,40,43,30,21,20,10,4370,348,667,293,339,254,278,0,333,0,0,0,30,170,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22081,22081,'Lost Watcher',0,'',0,'Monster.field_stalker',15,30,53,'male','L2Monster',40,2482,1016,10.27,2.45,40,43,30,21,20,10,4398,346,636,283,319,247,278,0,333,0,0,0,70,130,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22082,22082,'Elder Lost Watcher',0,'',0,'Monster.field_stalker_110p',16,36,54,'male','L2Monster',40,2562,1050,10.27,2.45,40,43,30,21,20,10,4370,348,667,293,339,254,278,0,333,0,0,0,70,170,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22083,22083,'Baby Panthera',0,'',0,'Monster.saber_toothed_tiger_080p',29,22.7,55,'male','L2Minion',40,2644,1086,10.27,2.45,40,43,30,21,20,10,4519,365,733,302,360,261,278,0,333,0,0,0,60,170,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22084,22084,'Panthera',0,'',0,'Monster.saber_toothed_tiger',34,28,56,'male','L2Monster',40,2724,1121,10.27,2.45,40,43,30,21,20,10,4896,402,730,310,382,269,278,300,333,0,0,0,60,170,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22085,22085,'Lost Gargoyle',0,'',0,'Monster.gargoyle_02te',16,50,55,'male','L2Monster',40,2643,1086,10.27,2.45,40,43,30,21,20,10,4519,365,733,302,360,261,278,0,333,0,0,0,140,140,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22086,22086,'Lost Gargoyle Youngling',0,'',0,'Monster.gargoyle_02te_110p',17.5,56,56,'male','L2Monster',40,2725,1121,10.27,2.45,40,43,30,21,20,10,4896,402,730,310,382,269,278,500,333,0,0,0,140,140,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22087,22087,'Pronghorn Spirit',0,'',0,'Monster2.antelope',17,34,56,'male','L2Monster',40,2725,1121,10.27,2.45,40,43,30,21,20,10,4896,402,730,310,382,269,278,0,333,0,0,0,45,185,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22088,22088,'Pronghorn',0,'',0,'Monster2.antelope_110p',19,37.8,57,'male','L2Monster',40,2807,1157,10.27,2.45,40,43,30,21,20,10,4087,340,861,298,405,276,278,0,333,0,0,0,45,185,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22089,22089,'Ice Tarantula',0,'',0,'Monster.giant_spider',26,25.5,57,'male','L2Monster',40,2807,1157,10.27,2.45,40,43,30,21,20,10,4087,340,861,298,405,276,278,0,333,0,0,0,72,120,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22090,22090,'Frost Tarantula',0,'',0,'Monster.giant_spider_110p',32,28,58,'male','L2Monster',40,2889,1192,10.27,2.45,40,43,30,21,20,10,5053,427,834,325,428,284,278,0,333,0,0,0,72,120,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22091,22091,'Lost Iron Golem',0,'',0,'Monster.iron_golem_120p',22,42.5,58,'male','L2Minion',40,2890,1192,10.27,2.45,40,43,30,21,20,10,5053,427,834,325,428,284,278,0,333,0,0,0,20,20,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22092,22092,'Frost Iron Golem',0,'',0,'Monster.iron_golem_130p',24,46.4,59,'male','L2Monster',40,2972,1229,10.27,2.45,40,43,30,21,20,10,6134,524,866,324,453,291,278,300,333,0,0,0,20,20,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22093,22093,'Lost Buffalo',0,'',0,'Monster2.buffalo',22,31,60,'male','L2Monster',40,3055,1265,10.27,2.45,40,43,30,21,20,10,5522,479,868,349,478,299,278,0,333,0,0,0,20,170,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22094,22094,'Frost Buffalo',0,'',0,'Monster2.buffalo_a_110p',24,34.7,61,'male','L2Monster',40,3137,1301,11.85,2.78,40,43,30,21,20,10,5254,462,1050,348,505,307,278,300,333,0,0,0,20,170,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22095,22095,'Ursus Cub',0,'',0,'Monster.grizzly',21,40,61,'male','L2Minion',40,3138,1301,11.85,2.78,40,43,30,21,20,10,5254,462,1050,348,505,307,278,0,333,0,0,0,40,120,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22096,22096,'Ursus',0,'',0,'Monster.grizzly_120p',21,40,62,'male','L2Monster',40,3220,1338,11.85,2.78,40,43,30,21,20,10,6303,562,1095,360,532,315,278,0,333,0,0,0,40,120,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22097,22097,'Lost Yeti',0,'',0,'Monster.yeti',15,27.5,62,'male','L2Monster',40,3220,1338,11.85,2.78,40,43,30,21,20,10,6303,562,1095,360,532,315,278,0,333,0,0,0,16,170,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22098,22098,'Frost Yeti',0,'',0,'Monster.yeti_110p',20,29.8,63,'male','L2Monster',40,3302,1375,11.85,2.78,40,43,30,21,20,10,6277,567,1136,384,560,323,278,0,333,0,0,0,16,170,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22099,22099,'Freya\'s Buffalo',0,'',0,'Monster2.buffalo',22,31,57,'male','L2Minion',80,2807,1157,10.27,2.45,40,43,30,21,20,10,4087,340,861,298,405,276,278,500,333,0,0,0,20,170,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22100,22100,'Freya\'s Gardener',0,'',0,'Monster.field_stalker',15,30,58,'male','L2Monster',80,2889,1192,10.27,2.45,40,43,30,21,20,10,5053,427,834,325,428,284,278,500,333,0,0,0,70,130,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22101,22101,'Freya\'s Servant',0,'',0,'Monster.gargoyle_02te',16,50,58,'male','L2Minion',80,2889,1192,10.27,2.45,40,43,30,21,20,10,5053,427,834,325,428,284,317,500,333,0,0,0,140,168,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22102,22102,'Freya\'s Servant',0,'',0,'Monster.gargoyle_02te',16,50,58,'male','L2Monster',80,2889,1192,10.27,2.45,40,43,30,21,20,10,5053,427,834,325,428,284,197,500,333,0,0,0,140,140,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22103,22103,'Freya\'s White Bear',0,'',0,'Monster.grizzly',21,40,57,'male','L2Minion',80,2807,1157,10.27,2.45,40,43,30,21,20,10,4087,340,861,298,405,276,278,500,333,0,0,0,40,165,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22104,22104,'Freya\'s Dog',0,'',0,'Monster2.bandersnatch',18,25,58,'male','L2Monster',80,2889,1192,10.27,2.45,40,43,30,21,20,10,5053,427,834,325,428,284,278,500,333,0,0,0,30,170,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22105,22105,'Spiked Stakato',0,'',0,'Monster.blade_stakato_120p',20,44,72,'male','L2Monster',80,4014,1720,13.43,3.09,40,43,30,21,20,10,7758,751,1681,454,849,399,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22106,22106,'Spiked Stakato Worker',0,'',0,'Monster.blade_stakato_worker_120p',20,48,73,'male','L2Monster',80,4087,1760,13.43,3.09,40,43,30,21,20,10,7975,782,1747,456,885,407,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22107,22107,'Spiked Stakato Guard',0,'',0,'Monster.spike_stakato',20,26,74,'male','L2Monster',80,4159,1800,13.43,3.09,40,43,30,21,20,10,8196,814,1608,501,921,416,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22108,22108,'Female Spiked Stakato',0,'',0,'Monster.spike_stakato_soldier',20,29,74,'male','L2Monster',80,4159,1800,13.43,3.09,40,43,30,21,20,10,11367,1140,1608,501,921,416,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22109,22109,'Male Spiked Stakato',0,'',0,'Monster.marsh_stakato_soldier_120p',20,31,74,'male','L2Monster',80,4159,1800,13.43,3.09,40,43,30,21,20,10,11215,1124,1608,501,921,416,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22110,22110,'Male Spiked Stakato',0,'',0,'Monster3.marsh_stakato_soldier_tran',20,28,74,'male','L2Monster',80,4159,1800,13.43,3.09,40,43,30,21,20,10,8533,849,1608,501,921,416,278,0,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22111,22111,'Spiked Stakato Sorcerer',0,'',0,'Monster.blade_stakato_queen_120p',20,44,75,'male','L2Monster',80,4229,1840,13.43,3.09,40,43,30,21,20,10,6804,683,1683,488,957,425,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22112,22112,'Cannibalistic Stakato Follower',0,'',0,'Monster.spike_stakato_worker',20,24,74,'male','L2Monster',80,4159,1800,13.43,3.09,40,43,30,21,20,10,9177,956,1608,501,921,416,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22113,22113,'Cannibalistic Stakato Leader',0,'',0,'Monster3.cannibal_stakato_leader_120p',20,48,75,'male','L2Monster',80,4229,1840,13.43,3.09,40,43,30,21,20,10,10777,1092,1683,488,957,425,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22114,22114,'Cannibalistic Stakato Leader',0,'',0,'Monster3.cannibal_stakato_leader_tran',20,48,75,'male','L2Monster',80,4229,1840,13.43,3.09,40,43,30,21,20,10,8765,883,1683,488,957,425,278,0,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22115,22115,'Spiked Stakato Soldier',0,'',0,'Monster.blade_stakato_120p',20,44,76,'male','L2Monster',80,4298,1880,13.43,3.09,40,43,30,21,20,10,7162,730,1824,506,994,433,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22116,22116,'Spiked Stakato Drone',0,'',0,'Monster.blade_stakato_drone_120p',20,47,77,'male','L2Monster',80,4364,1920,13.43,3.09,40,43,30,21,20,10,7352,758,1711,513,1031,442,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22117,22117,'Spiked Stakato Captain',0,'',0,'Monster.marsh_stakato_drone_120p',20,29,78,'male','L2Monster',80,4429,1961,13.43,3.09,40,43,30,21,20,10,7544,787,2111,522,1069,451,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22118,22118,'Spiked Stakato Nurse',0,'',0,'Monster.marsh_stakato_queen_120p',20,44,79,'male','L2Monster',80,4491,2002,13.43,3.09,40,43,30,21,20,10,10473,1116,2200,550,1107,459,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22119,22119,'Spiked Stakato Nurse',0,'',0,'Monster3.marsh_stakato_queen_tran',20,36,79,'male','L2Monster',80,4491,2002,13.43,3.09,40,43,30,21,20,10,7789,823,2200,550,1107,459,278,0,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22120,22120,'Spiked Stakato Baby',0,'',0,'Monster.spike_stakato_drone',20,29,79,'male','L2Monster',80,4491,2002,13.43,3.09,40,43,30,21,20,10,9929,1060,2200,550,1107,459,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22121,22121,'Spiked Stakato Shaman',0,'',0,'Monster.blade_stakato_queen_120p',20,44,80,'male','L2Monster',80,4551,2043,13.43,3.09,40,43,30,21,20,10,7742,827,1890,556,1144,468,278,500,333,0,0,0,88,132,'stakato_clan',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22122,22122,'Monastic Pilgrim',0,'',0,'Monster.angel_080p',13,28,78,'male','L2Minion',80,4551,2043,13.43,3.09,40,43,30,21,20,10,10320,1116,1890,556,1144,468,278,0,333,148,0,0,40,120,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22123,22123,'Monastic Crusader',0,'',0,'Monster.archangel_050p',20,40,78,'male','L2Monster',80,4609,2085,13.43,3.09,40,43,30,21,20,10,10422,1139,1972,574,1182,477,278,200,333,1303,0,0,40,120,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22124,22124,'Solina Brother',0,'',0,'Monster3.solina_brother',20,25,78,'male','L2Monster',80,4609,2085,13.43,3.09,40,43,30,21,20,10,8316,900,1972,574,1182,477,278,500,333,8212,0,0,88,180,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22125,22125,'Solina Lay Brother',0,'',0,'Monster3.solina_brother',20,25,78,'male','L2Monster',80,4664,2126,13.43,3.09,40,43,30,21,20,10,8326,911,2203,573,1220,485,278,500,333,8212,0,0,88,180,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22126,22126,'Silent Seeker',0,'',0,'Monster3.solina_father',20,25,78,'male','L2Monster',80,4664,2126,13.43,3.09,40,43,30,21,20,10,8523,933,2203,573,1220,485,278,500,333,8213,0,0,88,180,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22127,22127,'Silent Brother',0,'',0,'Monster3.solina_father',20,25,78,'male','L2Monster',80,4717,2168,13.43,3.09,40,43,30,21,20,10,8530,944,2695,571,1258,494,278,500,333,8212,0,0,88,180,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22128,22128,'Monastery Guardian',0,'',0,'Monster3.grail_protection',20,15,78,'male','L2Monster',80,4717,2168,13.43,3.09,40,43,30,21,20,10,9740,1131,2695,571,1258,494,278,500,333,0,0,0,80,160,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22129,22129,'Warrior Monk',0,'',0,'Monster3.monk_warrior',20,28,78,'male','L2Monster',80,4767,2211,13.43,3.09,40,43,30,21,20,10,8944,1003,2298,612,1296,502,278,500,333,8211,8210,0,40,132,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22130,22130,'Divine Advocate',0,'',0,'Monster2.apostle_warrior',8,30,78,'male','L2Minion',80,4814,2253,13.43,3.09,40,43,30,21,20,10,13056,1497,2129,615,1333,511,278,0,333,6717,0,0,40,80,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22131,22131,'Pilgrim of Light',0,'',0,'Monster2.apostle_mage',11,38.5,78,'male','L2Minion',80,4814,2253,13.43,3.09,40,43,30,21,20,10,11319,1297,2129,615,1333,511,278,0,333,6718,0,0,50,165,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22132,22132,'Judge of Light',0,'',0,'Monster3.apostle_grail_a',20,43,78,'male','L2Monster',80,4858,2296,13.43,3.09,40,43,30,21,20,10,7432,851,2199,625,1373,521,278,200,333,8220,0,0,40,80,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22133,22133,'Guardian of the Grail',0,'',0,'Monster.will_o_wisp',13,22,78,'male','L2Monster',80,4858,2296,13.43,3.09,40,43,30,21,20,10,13888,1670,2199,625,1373,521,278,500,333,0,0,0,40,120,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22134,22134,'Guardian of the Holy Land',0,'',0,'Monster3.solina_priest',20,35,78,'male','L2Monster',80,4900,2339,13.43,3.09,40,43,30,21,20,10,9372,1088,2269,635,1413,531,278,0,333,8214,0,0,40,120,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22135,22135,'Beholder of Light',0,'',0,'Monster3.apostle_grail',20,43,78,'male','L2Monster',80,4900,2339,13.43,3.09,40,43,30,21,20,10,10160,1192,2269,635,1413,531,278,500,333,8221,0,0,40,120,'monastery_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22136,22136,'Gatekeeper Zombie',0,'',0,'LineageMonster3.zombie_gateguard',17,30.5,78,'male','L2Monster',80,4717,2168,13.43,3.09,40,43,30,21,20,10,250,25,1719,4500,2288,780,300,300,555,8217,0,0,0,0,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(22137,22137,'Penance Guard',0,'',0,'LineageMonster3.zombie_gateguard_brd',17,30.5,78,'male','L2Monster',80,4608,1567,13.43,3.09,40,43,30,21,20,10,7360,792,2475,1127,1544,780,278,300,333,8217,0,0,0,0,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(22138,22138,'Chapel Guard',0,'',0,'LineageMonster3.zombie_gateguard_brd',17,30.5,78,'male','L2Monster',80,4812,2439,13.43,3.09,40,43,30,21,20,10,8104,912,2475,793,1144,780,278,300,333,8217,0,0,0,0,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(22139,22139,'Old Aristocrat\'s Soldier',0,'',0,'Monster3.zombie_enlisted_man',17,22.3,78,'male','L2Monster',80,4609,2439,13.43,3.09,40,43,26,21,20,10,8283,893,1719,1108,1144,780,278,300,333,0,0,0,38,200,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(22140,22140,'Zombie Worker',0,'',0,'Monster3.zombie_laborer',11,24.6,78,'male','L2Monster',80,4551,2439,13.43,3.09,40,43,25,21,20,10,8080,861,1886,1108,1144,780,278,300,333,123,0,0,36,120,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(22141,22141,'Forgotten Victim',0,'',0,'Monster3.zombie_laborer',11,24.6,78,'male','L2Monster',80,4551,2439,13.43,3.09,40,43,25,21,20,10,8348,891,1886,1108,1144,780,278,300,333,123,0,0,36,120,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(22142,22142,'Triol\'s Layperson',0,'',0,'Monster3.heretic_privates_a',7.7,28.4,78,'male','L2Monster',80,4609,3566,13.43,3.09,40,43,30,21,20,10,6771,730,1652,793,1144,780,278,300,333,8207,8207,0,58,200,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22143,22143,'Triol\'s Believer',0,'',0,'Monster3.heretic_privates',20,28,78,'male','L2Monster',80,3731,2439,13.43,3.09,40,43,30,21,20,10,7827,859,1652,793,1211,780,300,300,555,8208,0,0,61,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22144,22144,'Resurrected Temple Knight',0,'',0,'Monster3.zombie_enlisted_man',20,23,78,'male','L2Monster',80,4664,4599,13.43,3.09,40,43,26,21,20,10,8489,926,1698,1108,1144,780,550,300,555,0,0,0,61,180,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(22145,22145,'Ritual Sacrifice',0,'',0,'Monster3.self_blaster',20,23,78,'male','L2Monster',80,4609,2499,13.43,3.09,40,43,30,21,20,10,8159,880,1719,793,1144,780,300,300,555,0,0,0,61,180,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(22146,22146,'Triol\'s Priest',0,'',0,'Monster3.heretic_privates',7.7,28.4,78,'male','L2Monster',80,4766,4599,13.43,3.09,40,43,30,21,20,10,7282,813,1719,793,1211,780,278,300,333,8205,0,0,60,200,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22147,22147,'Ritual Offering',0,'',0,'Monster3.zombie_enlisted_man',17,22.3,78,'male','L2Monster',80,4717,4599,13.43,3.09,40,43,30,21,20,10,8986,994,1517,793,1144,780,278,300,333,0,0,0,38,180,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(22148,22148,'Triol\'s Believer',0,'',0,'Monster3.heretic_privates',7.7,28.4,78,'male','L2Monster',80,5830,4599,13.43,3.09,40,43,30,21,20,10,7080,773,1719,793,1144,780,278,300,333,8205,0,0,60,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22149,22149,'Ritual Offering',0,'',0,'Monster3.zombie_enlisted_man',17,22.3,78,'male','L2Monster',80,4664,4599,13.43,3.09,40,43,30,21,20,10,8489,926,1517,793,1144,780,278,300,333,0,0,0,38,180,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(22150,22150,'Triol\'s Believer',0,'',0,'Monster3.heretic_privates',7.7,28.4,78,'male','L2Monster',80,4717,4599,13.43,3.09,40,43,30,21,20,10,7440,822,1719,793,1144,780,278,300,333,8205,0,0,60,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22151,22151,'Triol\'s Priest',0,'',0,'Monster3.heretic_privates',7.7,28.4,78,'male','L2Monster',80,4814,4599,13.43,3.09,40,43,30,21,20,10,8410,956,1719,793,1144,780,278,300,333,8205,0,0,60,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22152,22152,'Temple Guard',0,'',0,'Monster3.zombie_em_knight',17,22.3,78,'male','L2Monster',80,4767,2699,13.43,3.09,40,43,30,21,20,10,9204,1030,1869,793,1144,780,236,300,333,8215,0,0,38,180,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(22153,22153,'Temple Guard Captain',0,'',0,'Monster3.zombie_em_knight',17,22.3,78,'male','L2Monster',80,4767,3201,13.43,3.09,40,43,30,21,20,10,8908,995,1899,793,1144,780,236,300,333,8215,0,0,38,180,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(22154,22154,'Ritual Sacrifice',0,'',0,'Monster3.self_blaster',9,25.8,78,'male','L2Monster',80,4814,3201,13.43,3.09,40,43,31,21,20,10,8984,1016,1719,677,1144,780,278,300,333,0,0,0,30,200,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(22155,22155,'Triol\'s High Priest',0,'',0,'Monster3.heretic_priest_a',8,19.1,78,'male','L2Monster',80,4814,5505,13.43,3.09,40,43,30,21,20,10,10248,1175,1883,793,1244,780,278,300,333,8206,8206,0,30,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22156,22156,'Triol\'s Priest',0,'',0,'Monster3.heretic_privates',7.7,28.4,78,'male','L2Monster',80,4858,4599,13.43,3.09,40,43,30,21,20,10,11582,1348,1719,793,1144,780,278,300,333,8205,0,0,60,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22157,22157,'Triol\'s Priest',0,'',0,'Monster3.heretic_privates',7.7,28.4,78,'male','L2Monster',80,4814,4599,13.43,3.09,40,43,30,21,20,10,11097,1275,1719,793,1144,780,278,300,333,8205,0,0,60,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22158,22158,'Triol\'s Believer',0,'',0,'Monster3.heretic_privates_a',7.7,28.4,78,'male','L2Monster',80,4814,4599,13.43,3.09,40,43,30,21,20,10,11314,1301,1650,793,1214,780,278,300,333,8207,8207,0,58,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22159,22159,'Triol\'s High Priest',0,'',0,'Monster3.heretic_priest_a',8,19.1,78,'male','L2Monster',80,4858,5505,13.43,3.09,40,43,30,21,20,10,10490,1217,1883,793,1144,780,278,300,333,8206,8206,0,30,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22160,22160,'Triol\'s Priest',0,'',0,'Monster3.heretic_privates',7.7,28.4,78,'male','L2Monster',80,4858,4599,13.43,3.09,40,43,30,21,20,10,11582,1347,1719,793,1144,780,278,300,333,8205,0,0,60,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22161,22161,'Ritual Sacrifice',0,'',0,'Monster3.self_blaster',9,25.8,78,'male','L2Monster',80,4814,2439,13.43,3.09,40,43,30,21,20,10,13124,1508,1719,793,1144,780,278,300,333,0,0,0,30,200,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(22162,22162,'Triol\'s Believer',0,'',0,'Monster3.heretic_privates_a',7.7,28.4,78,'male','L2Monster',80,4814,4599,13.43,3.09,40,43,30,21,20,10,11380,1301,1883,793,1214,780,278,300,333,8207,8207,0,58,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22163,22163,'Triol\'s High Priest',0,'',0,'Monster3.heretic_priest',8,19.1,78,'male','L2Monster',80,4858,5605,13.43,3.09,40,43,30,21,20,10,12170,1417,1719,793,1144,780,278,300,333,8206,0,0,30,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22164,22164,'Triol\'s Believer',0,'',0,'Monster3.heretic_privates_a',7.7,28.4,78,'male','L2Monster',80,4858,4599,13.43,3.09,40,43,30,21,20,10,11582,1347,1916,793,1301,780,278,300,333,8207,8207,0,58,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22165,22165,'Triol\'s Priest',0,'',0,'Monster3.heretic_privates',7.7,28.4,78,'male','L2Monster',80,4814,4599,13.43,3.09,40,43,30,21,20,10,11097,1275,1719,793,1144,780,278,300,333,8205,0,0,60,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22166,22166,'Triol\'s Believer',0,'',0,'Monster3.heretic_privates',7.7,28.4,78,'male','L2Monster',80,4814,4599,13.43,3.09,40,43,30,21,20,10,11098,1275,1916,793,1301,780,278,300,333,8205,0,0,60,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22167,22167,'Triol\'s High Priest',0,'',0,'Monster3.heretic_priest_a',8,19.1,78,'male','L2Monster',80,4900,6505,13.43,3.09,40,43,30,21,20,10,10735,1260,1883,793,1144,780,278,300,333,8206,8206,0,30,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22168,22168,'Triol\'s Priest',0,'',0,'Monster3.heretic_privates',7.7,28.4,78,'male','L2Monster',80,4900,4599,13.43,3.09,40,43,30,21,20,10,11626,1368,1719,793,1144,780,278,300,333,8205,0,0,60,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22169,22169,'Ritual Sacrifice',0,'',0,'Monster3.self_blaster',9,25.8,78,'male','L2Monster',80,4858,2439,13.43,3.09,40,43,30,21,20,10,13434,1562,1719,793,1144,780,278,300,333,0,0,0,30,200,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(22170,22170,'Triol\'s Believer',0,'',0,'Monster3.heretic_privates_a',7.7,28.4,78,'male','L2Monster',80,4858,4599,13.43,3.09,40,43,30,21,20,10,11582,1347,2033,793,1301,780,278,300,333,8207,8207,0,58,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22171,22171,'Triol\'s High Priest',0,'',0,'Monster3.heretic_priest',8,19.1,78,'male','L2Monster',80,4900,5605,13.43,3.09,40,43,30,21,20,10,12454,1460,1719,793,1144,780,278,300,333,8206,0,0,30,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22172,22172,'Ritual Sacrifice',0,'',0,'Monster3.self_blaster',9,25.8,78,'male','L2Monster',80,4858,2439,13.43,3.09,40,43,30,21,20,10,13435,1563,1719,793,1144,780,278,300,333,0,0,0,30,200,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(22173,22173,'Triol\'s Priest',0,'',0,'Monster3.heretic_privates',7.7,28.4,78,'male','L2Monster',80,4858,4599,13.43,3.09,40,43,30,21,20,10,11360,1321,1719,793,1144,780,278,300,333,8205,0,0,60,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22174,22174,'Triol\'s Priest',0,'',0,'Monster3.heretic_privates',7.7,28.4,78,'male','L2Monster',80,4814,4325,13.43,3.09,40,43,30,21,20,10,11314,1301,1719,793,1144,780,278,300,333,8205,0,0,60,180,'pagan_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22175,22175,'Andreas\' Captain of the Royal Guard',0,'',0,'Monster3.zombie_em_knight',20,22,78,'male','L2Monster',80,4812,430,13.43,3.09,40,43,30,21,20,10,14436,688,1719,793,1144,780,500,500,555,8218,0,0,61,180,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(22176,22176,'Andreas\' Royal Guards',0,'',0,'Monster3.zombie_em_knight',20,23,78,'male','L2Monster',80,4812,430,13.43,3.09,40,43,25,21,20,10,14436,688,2475,1108,1144,780,300,500,555,8207,0,0,61,180,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(22188,22188,'Andreas\' Captain of the Royal Guard',0,'',0,'Monster3.heretic_priest_120p',20,23,78,'male','L2Monster',80,4899,4599,13.43,3.09,40,43,31,21,20,10,14698,700,2682,960,1566,780,300,500,555,8206,0,0,61,180,'pagan_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22189,22189,'Andreas\' Royal Guards',0,'',0,'Monster3.heretic_privates_120p',22,34,78,'male','L2Monster',80,4858,2439,13.43,3.09,40,43,32,21,20,10,14574,694,2682,960,1566,780,460,500,555,8208,0,0,61,180,'pagan_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22190,22190,'Ritual Sacrifice',0,'',0,'Monster3.self_blaster',20,23,78,'male','L2Monster',80,4858,2439,13.43,3.09,40,43,30,21,20,10,14574,694,1883,793,1144,780,300,0,555,0,0,0,61,180,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(22191,22191,'Andreas\' Captain of the Royal Guard',0,'',0,'Monster3.heretic_priest_120p',20,23,78,'male','L2Monster',80,7350,4560,13.43,3.09,40,43,30,21,20,10,22049,1050,1719,793,1144,780,300,300,555,8206,0,0,61,180,'pagan_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22192,22192,'Andreas\' Royal Guards',0,'',0,'Monster3.heretic_privates_120p',20,23,78,'male','L2Monster',80,9716,2439,13.43,3.09,40,43,30,21,20,10,29148,1388,1719,793,1144,780,300,500,555,8206,0,0,61,180,'pagan_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22193,22193,'Andreas\' Royal Guards',0,'',0,'Monster3.heretic_privates_120p',20,23,78,'male','L2Monster',80,9716,2439,13.43,3.09,40,43,30,21,20,10,29148,1388,1719,793,1144,780,600,500,555,8206,0,0,61,180,'pagan_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22194,22194,'Penance Guard',0,'',0,'LineageMonster3.zombie_gateguard_slp',17,30.5,78,'male','L2Monster',80,4608,1566,13.43,3.09,40,43,30,21,20,10,13824,658,2475,1108,1544,780,278,300,333,8217,0,0,0,0,'pagan_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(22195,22195,'Ritual Sacrifice',0,'',0,'Monster3.self_blaster',20,31,78,'male','L2Monster',80,100000,9999,13.43,3.09,40,43,30,21,20,10,3083,500,3109,755,1893,651,278,0,333,0,0,0,88,132,'pagan_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22196,22196,'Velociraptor',0,'',0,'Monster3.velociraptor',20,47.2,80,'male','L2Monster',80,26612,2296,13.43,3.09,40,43,30,21,20,10,11031,1351,2199,625,1373,521,278,1000,333,0,0,0,33,180,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22197,22197,'Velociraptor',0,'',0,'Monster3.velociraptor',20,47.2,80,'male','L2Monster',80,14019,2296,13.43,3.09,40,43,30,21,20,10,35331,3824,2199,625,1373,521,278,1000,333,0,0,0,33,210,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22198,22198,'Velociraptor',0,'',0,'Monster3.velociraptor',20,47.2,80,'male','L2Monster',80,28039,2296,13.43,3.09,40,43,30,21,20,10,77389,8410,2199,625,1373,521,278,1000,333,0,0,0,33,170,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22199,22199,'Pterosaur',0,'',0,'Monster3.rhamphorhynchus',36,43.7,80,'male','L2Monster',80,112798,2339,13.43,3.09,40,43,30,21,20,10,11131,1401,2269,635,1413,531,278,1000,333,0,0,0,88,188,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22200,22200,'Ornithomimus',0,'',0,'Monster3.ornithomimus',15,37.2,80,'male','L2Monster',80,13858,2211,13.43,3.09,40,43,30,21,20,10,35183,3716,2298,612,1296,502,278,1000,333,0,0,0,36,170,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22201,22201,'Ornithomimus',0,'',0,'Monster3.ornithomimus',15,37.2,80,'male','L2Monster',80,13858,2211,13.43,3.09,40,43,30,21,20,10,35183,3698,2298,612,1296,502,278,1000,333,0,0,0,36,200,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22202,22202,'Ornithomimus',0,'',0,'Monster3.ornithomimus',15,37.2,80,'male','L2Monster',80,13858,2211,13.43,3.09,40,43,30,21,20,10,35183,3716,2298,612,1296,502,278,1000,333,0,0,0,36,160,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22203,22203,'Deinonychus',0,'',0,'Monster3.deinonychus',14,14.3,80,'male','L2Monster',80,13763,2168,13.43,3.09,40,43,30,21,20,10,33592,3508,2695,571,1258,494,278,1000,333,0,0,0,24,160,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22204,22204,'Deinonychus',0,'',0,'Monster3.deinonychus',14,14.3,80,'male','L2Monster',80,13763,2168,13.43,3.09,40,43,30,21,20,10,32759,3422,2695,571,1258,494,278,1000,333,0,0,0,24,190,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22205,22205,'Deinonychus',0,'',0,'Monster3.deinonychus',14,14.3,80,'male','L2Monster',80,13763,2168,13.43,3.09,40,43,30,21,20,10,33591,3508,2695,571,1258,494,278,1000,333,0,0,0,24,160,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22208,22208,'Pachycephalosaurus',0,'',0,'Monster3.pachycephalosaurus',22,40,80,'male','L2Monster',80,13953,2253,13.43,3.09,40,43,30,21,20,10,39261,4198,2129,615,1333,511,278,1000,333,0,0,0,33,150,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22209,22209,'Pachycephalosaurus',0,'',0,'Monster3.pachycephalosaurus',22,40,80,'male','L2Monster',80,13953,2253,13.43,3.09,40,43,30,21,20,10,35898,3839,2129,615,1333,511,278,1000,333,0,0,0,33,170,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22210,22210,'Pachycephalosaurus',0,'',0,'Monster3.pachycephalosaurus',22,40,80,'male','L2Monster',80,13953,2253,13.43,3.09,40,43,30,21,20,10,39031,4176,2129,615,1333,511,278,1000,333,0,0,0,33,150,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22211,22211,'Wild Strider',0,'',0,'Monster3.wild_giant_strider',32,44.2,80,'male','L2Monster',80,13953,2253,13.43,3.09,40,43,30,21,20,10,36753,3952,2129,615,1333,511,278,1000,333,0,0,0,50,150,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22212,22212,'Wild Strider',0,'',0,'Monster3.wild_giant_strider',32,44.2,80,'male','L2Monster',80,13953,2253,13.43,3.09,40,43,30,21,20,10,35263,3771,2129,615,1333,511,278,1000,333,0,0,0,50,170,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22213,22213,'Wild Strider',0,'',0,'Monster3.wild_giant_strider',32,44.2,80,'male','L2Monster',80,13953,2253,13.43,3.09,40,43,30,21,20,10,36753,3952,2129,615,1333,511,278,1000,333,0,0,0,50,150,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22214,22214,'Elroki',0,'',0,'Monster3.Crokian_Officer',25,33,80,'male','L2Monster',80,27907,2253,13.43,3.09,40,43,30,21,20,10,34669,3723,2129,615,1333,511,278,1000,333,0,0,0,60,180,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22215,22215,'Tyrannosaurus',0,'',0,'Monster3.tyranosaurus',60,89.70,80,'male','L2Monster',40,340753,2277,97.43,23.09,40,43,30,21,20,20,634684,69817,17528,1336,7406,543,253,1000,333,0,0,0,88,188,'dino',500,0,12,'LAST_HIT',0,0,0,'balanced','false'),
(22216,22216,'Tyrannosaurus',0,'',0,'Monster3.tyranosaurus',60,89.70,80,'male','L2Monster',40,340753,2277,97.43,23.09,40,43,30,21,20,20,634684,69817,17528,1336,7406,543,253,1000,333,0,0,0,88,188,'dino',500,0,12,'LAST_HIT',0,0,0,'balanced','false'),
(22217,22217,'Tyrannosaurus',0,'',0,'Monster3.tyranosaurus',60,89.70,80,'male','L2Monster',40,340753,2277,97.43,23.09,40,43,30,21,20,20,634684,69817,17528,1336,7406,543,253,1000,333,0,0,0,88,188,'dino',500,0,12,'LAST_HIT',0,0,0,'balanced','false'),
(22218,22218,'Velociraptor',0,'',0,'Monster3.velociraptor',20,47.2,80,'male','L2Monster',80,14019,2296,13.43,3.09,40,43,30,21,20,10,33439,3595,2199,625,1373,521,278,1000,333,0,0,0,33,200,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22219,22219,'Ornithomimus',0,'',0,'Monster3.ornithomimus',15,37.2,80,'male','L2Monster',80,13858,2211,13.43,3.09,40,43,30,21,20,10,31854,3365,2298,612,1296,502,278,1000,333,0,0,0,36,190,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22220,22220,'Deinonychus',0,'',0,'Monster3.deinonychus',14,14.3,80,'male','L2Monster',80,13763,2168,13.43,3.09,40,43,30,21,20,10,27724,2891,2695,571,1258,494,278,1000,333,0,0,0,24,180,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22221,22221,'Pachycephalosaurus',0,'',0,'Monster3.pachycephalosaurus',22,40,80,'male','L2Monster',80,13953,2211,13.43,3.09,40,43,30,21,20,10,30806,3254,2298,612,1296,502,278,1000,333,0,0,0,33,150,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22222,22222,'Wild Strider',0,'',0,'Monster3.wild_giant_strider',32,44.2,80,'male','L2Monster',80,13953,2253,13.43,3.09,40,43,30,21,20,10,30637,3274,2129,615,1333,511,278,1000,333,0,0,0,50,150,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22223,22223,'Velociraptor',0,'',0,'Monster3.velociraptor',19,47.2,80,'male','L2Monster',80,14019,2296,13.43,3.09,40,43,30,21,20,10,34684,3755,2199,625,1373,521,278,1000,333,0,0,0,88,188,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22224,22224,'Ornithomimus',0,'',0,'Monster3.ornithomimus',15,37.2,80,'male','L2Monster',80,13858,2211,13.43,3.09,40,43,30,21,20,10,32698,3456,2298,612,1296,502,278,1000,333,0,0,0,36,170,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22225,22225,'Deinonychus',0,'',0,'Monster3.deinonychus',14,14.3,80,'male','L2Monster',80,13763,2168,13.43,3.09,40,43,30,21,20,10,30343,3187,2695,571,1258,494,278,1000,333,0,0,0,24,160,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22226,22226,'Pachycephalosaurus',0,'',0,'Monster3.pachycephalosaurus',22,40,80,'male','L2Monster',80,13953,2253,13.43,3.09,40,43,30,21,20,10,35125,3733,2129,615,1333,511,278,1000,333,0,0,0,33,140,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22227,22227,'Wild Strider',0,'',0,'Monster3.wild_giant_strider',32,44.2,80,'male','L2Monster',80,13953,2253,13.43,3.09,40,43,30,21,20,10,34440,3682,2129,615,1333,511,278,1000,333,0,0,0,50,140,'dino',500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22228,22228,'Grey Elpy',0,'',0,'LineageMonster.elpy',5,4.5,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,35,2,9,39,3,32,278,0,333,0,0,0,50,80,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22229,22229,'Young Grey Keltir',0,'',0,'LineageMonster.keltir',9.5,10,1,'male','L2Monster',40,62,44,3.16,0.91,40,43,30,21,20,10,29,2,4,39,3,32,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','true'),
(22230,22230,'Grey Keltir',0,'',0,'LineageMonster.keltir',9.5,10,2,'male','L2Monster',40,75,52,3.16,0.91,40,43,30,21,20,10,70,2,10,42,3,34,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22231,22231,'Dominant Grey Keltir',0,'',0,'LineageMonster.keltir',9.5,10,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,105,2,11,44,3,35,278,0,333,0,0,0,23,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22232,22232,'Black Wolf',0,'',0,'LineageMonster.wolf',13,9,4,'male','L2Monster',40,107,68,3.16,0.91,40,43,30,21,20,10,121,3,13,42,4,37,278,0,333,0,0,0,24,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22233,22233,'Dominant Black Wolf',0,'',0,'LineageMonster.wolf_bi',13,10.8,5,'male','L2Monster',40,126,77,3.16,0.91,40,43,30,21,20,10,178,5,13,48,4,39,278,0,333,0,0,0,24,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22234,22234,'Green Goblin',0,'',0,'LineageMonster.goblin',10,16.5,6,'male','L2Monster',40,147,85,3.16,0.91,40,43,30,21,20,10,211,6,15,50,5,41,278,0,333,4,0,0,40,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22235,22235,'Mountain Werewolf',0,'',0,'LineageMonster.werewolf',10,26,7,'male','L2Monster',40,171,94,1.58,0.91,40,43,30,21,20,10,334,12,20,44,6,43,278,0,333,5,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22236,22236,'Muertos Archer',0,'',0,'LineageMonster4.Mostro_Gunner',15,24.5,8,'male','L2Monster',40,197,102,3.16,0.91,40,43,30,21,20,10,293,10,41,55,6,45,278,0,333,10128,0,0,36,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','true'),
(22237,22237,'Mountain Fungus',0,'',0,'LineageMonster.walking_fungus',15,22.5,9,'male','L2Monster',40,226,111,3.16,0.91,40,43,30,21,20,10,321,11,22,53,7,47,278,0,333,0,0,0,70,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22238,22238,'Mountain Werewolf Chief',0,'',0,'LineageMonster.werewolf_bi',11,29.7,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,356,12,20,67,8,49,278,0,333,5,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22239,22239,'Muertos Guard',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,391,15,27,58,9,52,278,0,333,0,0,0,36,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22240,22240,'Muertos Scout',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,436,16,27,66,10,54,278,0,333,0,0,0,36,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22241,22241,'Colossus',0,'',0,'LineageMonster.stone_golem',20,31,13,'male','L2Monster',40,339,147,3.95,1.21,40,43,30,21,20,10,458,18,29,63,11,56,278,0,333,0,0,0,23,23,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22242,22242,'Muertos Warrior',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,424,16,32,66,12,59,278,500,333,0,0,0,36,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22243,22243,'Muertos Captain',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,449,18,40,69,14,62,278,0,333,0,0,0,36,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22244,22244,'Crimson Spider',0,'',0,'LineageMonster.giant_spider_05te',26,25.5,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,570,23,44,72,15,64,278,0,333,0,0,0,72,130,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22245,22245,'Muertos Lieutenant',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,612,26,48,75,17,67,278,0,333,0,0,0,36,120,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22246,22246,'Muertos Commander',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,633,28,53,79,19,70,278,500,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22247,22247,'Grotto Golem',0,'',0,'LineageMonster.stone_golem',20,31,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,449,18,40,69,14,62,278,500,333,0,0,0,23,23,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22248,22248,'Shady Muertos',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,555,23,48,75,17,67,278,0,333,0,0,0,70,105,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','false'),
(22249,22249,'Shady Muertos Guard',0,'',0,'LineageMonster4.Mostro_Gunner',15,24.5,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,570,23,44,72,15,64,278,0,333,10128,0,0,36,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22250,22250,'Grotto Leopard',0,'',0,'LineageMonster.onyx_beast',14,14.5,16,'male','L2Monster',40,417,174,3.95,1.21,40,43,30,21,20,10,570,23,44,72,15,64,278,0,333,0,0,0,30,120,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22251,22251,'Shady Muertos Captain',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,555,23,48,75,17,67,278,0,333,0,0,0,36,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22252,22252,'Grotto Grizzly',0,'',0,'LineageMonster.grizzly',21,40,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,555,23,48,75,17,67,278,0,333,0,0,0,40,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22253,22253,'Shady Muertos Warrior',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,633,28,53,79,19,70,278,0,333,0,0,0,36,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22254,22254,'Shady Muertos Archer',0,'',0,'LineageMonster4.Mostro_Gunner',15,24.5,18,'male','L2Monster',500,476,193,3.95,1.21,40,43,30,21,20,10,633,28,53,79,19,70,278,0,333,10128,0,0,36,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'archer','true'),
(22255,22255,'Shady Muertos Commander',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,592,26,58,82,21,73,278,0,333,0,0,0,36,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22256,22256,'Shady Muertos Wizard',0,'',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,592,26,58,82,21,73,278,0,333,0,0,0,36,110,'NULL',0,0,0,'LAST_HIT',100,0,30,'fighter','true'),
(22257,22257,'Island Guardian',0,'',0,'LineageMonster.light_worm_250p',40,47,78,'male','L2Monster',40,4428,1784,26.86,3.09,40,43,30,21,20,10,12615,1380,2205,525,1069,451,278,0,333,0,0,0,39,192,'iop_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22258,22258,'White Sand Mirage',0,'',0,'LineageMonster.undine',40,28,79,'male','L2Monster',40,4490,1821,26.86,3.09,40,43,30,21,20,10,9829,612,1941,525,1107,459,278,300,333,0,0,0,50,165,'iop_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22259,22259,'Muddy Coral',0,'',0,'LineageMonster.theeder_120p',40,39,80,'female','L2Monster',40,4550,1859,26.86,3.09,40,43,30,21,20,10,14100,1581,1894,834,1144,468,278,0,333,192,0,0,39,192,'iop_clan',300,0,0,'LAST_HIT',0,0,0,'mage','true'),
(22260,22260,'Kleopora',0,'',0,'LineageMonster.gargoyle_02te',35,50,80,'female','L2Monster',40,4550,1859,26.86,3.09,40,43,30,21,20,10,11681,1311,1185,413,1144,468,278,0,333,0,0,0,39,192,'iop_clan',300,0,0,'LAST_HIT',0,0,0,'mage','true'),
(22261,22261,'Seychelles',0,'',0,'LineageMonster.water_giant_120p',40,52,81,'male','L2Monster',40,4608,1896,26.86,3.09,40,43,30,21,20,10,12332,1365,1863,499,1182,477,278,0,333,5132,0,0,50,165,'iop_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22262,22262,'Naiad',0,'',0,'LineageMonster4.tears',20,28,81,'female','L2Monster',40,4608,1896,26.86,3.09,40,43,30,21,20,10,12486,1382,1863,499,1182,477,278,300,333,9638,0,0,50,165,'iop_clan',300,0,0,'LAST_HIT',0,0,0,'mage','true'),
(22263,22263,'Sonneratia',0,'',0,'LineageMonster.onyx_beast_bi',14,18.7,82,'female','L2Monster',40,4663,1934,26.86,3.09,40,43,30,21,20,10,14724,1609,1912,598,1220,485,278,0,333,0,0,0,30,180,'iop_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22264,22264,'Castalia',0,'',0,'LineageMonster4.tears_d',20,27.5,82,'female','L2Monster',40,4663,1934,26.86,3.09,40,43,30,21,20,10,13088,1430,1912,598,1220,485,278,300,333,9638,9638,0,60,180,'iop_clan',300,0,0,'LAST_HIT',0,0,0,'mage','true'),
(22265,22265,'Chrysocolla',0,'',0,'LineageMonster4.Crystal_Golem',34,47,83,'male','L2Monster',40,4716,1972,26.86,3.09,40,43,30,21,20,10,15491,1672,2249,736,1258,494,278,250,333,0,0,0,54,170,'iop_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(22266,22266,'Pythia',0,'',0,'LineageMonster4.tears',20,27.5,83,'female','L2Monster',40,4716,1972,26.86,3.09,40,43,30,21,20,10,13801,1489,1155,460,1258,494,278,0,333,9638,9638,0,60,180,'iop_clan',300,0,0,'LAST_HIT',0,0,0,'mage','true'),
(22267,22267,'Dark Water Dragon',0,'',0,'LineageMonster3.antaras_ex_b',42,34.5,83,'male','L2Monster',40,103599,1972,26.86,3.09,40,43,30,21,20,10,158534,17119,3690,703,1258,494,278,300,333,0,0,0,200,200,'dwd_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22268,22268,'Shade',0,'',0,'LineageMonster4.eyeless',36,43.5,82,'male','L2Monster',40,4663,1934,26.86,3.09,40,43,30,21,20,10,0,0,1912,598,1220,485,278,420,333,0,0,0,49,192,'dwd_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22269,22269,'Shade',0,'',0,'LineageMonster4.eyeless',36,43.5,82,'male','L2Monster',40,4663,1934,26.86,3.09,40,43,30,21,20,10,10350,1130,1912,598,1220,485,278,420,333,0,0,0,49,192,'dwd_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22270,22270,'Water Dragon Detractor',0,'',0,'LineageMonster4.eyeless',36,43.5,82,'male','L2Monster',40,4663,1934,26.86,3.09,40,43,30,21,20,10,9625,1106,1912,598,1220,485,278,300,333,0,0,0,49,192,'dwd_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22271,22271,'Water Dragon Detractor',0,'',0,'LineageMonster4.eyeless',36,43.5,82,'male','L2Monster',40,4663,1934,26.86,3.09,40,43,30,21,20,10,9625,1106,1912,598,1220,485,278,300,333,0,0,0,49,192,'dwd_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22272,22272,'Beleth''s Minion',0,'',0,'LineageMonster.vale_master',32.00,35.00,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,16531,1728,1896,598,883,486,253,400,333,210,0,0,49,192,'BELETH_MINION_CLAN',550,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(22273,22273,'Beleth''s Minion',0,'',0,'LineageMonster.silhouette',28.00,23.00,82,'female','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,15997,1670,1896,598,883,486,253,400,333,0,0,0,49,192,'BELETH_MINION_CLAN',550,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(22274,22274,'Beleth''s Minion',0,'',0,'LineageMonster.shadeless',25.00,28.00,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,16319,1705,1896,598,883,486,253,400,325,0,0,0,49,192,'BELETH_MINION_CLAN',550,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(22275,22275,'Gatekeeper Lohan',0,'',0,'LineageMonster3.Jungle_Bleeze',40,47,81,'female','L2Monster',40,52146,1897,26.86,3.09,40,43,30,21,20,20,96272,10663,11673,940,5427,1145,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22276,22276,'Gatekeeper of the Square',0,'',0,'LineageMonster4.Crystal_Golem',40,47,81,'male','L2Monster',40,4609,1897,26.86,3.09,40,43,30,21,20,20,28314,2999,1848,588,857,477,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22277,22277,'Gatekeeper Provo',0,'',0,'LineageMonster2.lava_golem',40,47,81,'male','L2Monster',40,52146,1897,26.86,3.09,40,43,30,21,20,20,96272,10663,11673,940,5427,1145,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22278,22278,'Gatekeeper of Fire',0,'',0,'LineageMonster4.Crystal_Golem',40,47,81,'male','L2Monster',40,4609,1897,26.86,3.09,40,43,30,21,20,20,28314,2999,1848,588,857,477,253,0,333,0,0,0,50,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22279,22279,'Chromatic Detainee',0,'',0,'LineageMonster3.Crokian_Officer',32,35,81,'male','L2Monster',40,4609,1897,26.86,3.09,40,43,30,21,20,20,27781,2932,1848,588,857,477,253,0,333,0,0,0,50,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22280,22280,'Rodo Knight',0,'',0,'LineageMonster4.Crystal_Golem',40,47,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,15937,1663,1896,598,883,486,253,0,333,0,0,0,49,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22281,22281,'Plaza Caiman',0,'',0,'LineageMonster3.Crokian_Officer',40,37,82,'male','L2Monster',40,17352,1935,26.86,3.09,40,43,30,21,20,20,13121,1370,13704,957,6371,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22282,22282,'Chromatic Detainee',0,'',0,'LineageMonster3.Crokian_Officer',32,35,81,'male','L2Monster',40,4609,1897,26.86,3.09,40,43,30,21,20,20,27781,2932,1848,588,857,477,253,0,333,0,0,0,50,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22283,22283,'Emerald Alligar',0,'',0,'LineageMonster3.Crokian_Officer',40,35,82,'male','L2Monster',40,17352,1935,26.86,3.09,40,43,30,21,20,20,13121,1370,13704,957,6371,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22284,22284,'Chromatic Detainee',0,'',0,'LineageMonster.blade_stakato',32,35,81,'male','L2Monster',40,4609,1897,26.86,3.09,40,43,30,21,20,20,26651,2807,1848,588,857,477,253,0,333,0,0,0,50,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22285,22285,'Chromatic Detainee',0,'',0,'LineageMonster.blade_stakato',32,35,81,'male','L2Monster',40,4609,1897,26.86,3.09,40,43,30,21,20,20,28709,3035,1848,588,857,477,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22286,22286,'Plaza Gaviel',0,'',0,'LineageMonster3.Crokian_Officer',40,35,82,'male','L2Monster',40,17352,1935,26.86,3.09,40,43,30,21,20,20,13121,1370,13704,957,6371,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22287,22287,'Crystalline Unicorn',0,'',0,'LineageMonster.unicorn',40,43,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,34503,3583,1896,598,883,486,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22288,22288,'Emerald Boar',0,'',0,'LineageMonster.giant_wild_hog',40,23.82,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,37724,3936,1896,598,883,486,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22289,22289,'Plaza Helm',0,'',0,'LineageMonster2.ketra_warbeast',40,41,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,36334,3792,1896,598,883,486,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22290,22290,'Terod''s Minion',0,'',0,'LineageMonster4.eyeless_080p',20,27.50,82,'male','L2Minion',40,17352,1935,26.86,3.09,40,43,30,21,20,20,101261,11072,13704,957,6371,1166,253,0,333,0,0,0,49,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22291,22291,'Weylin''s Minion',0,'',0,'LineageMonster4.eyeless_080p',20,32.50,82,'male','L2Monster',40,17352,1935,26.86,3.09,40,43,30,21,20,20,95185,10408,13704,957,6371,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22292,22292,'Tourmaline',0,'',0,'LineageMonster4.Crystal_Golem',40,47,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,34122,3731,1896,598,883,486,253,0,333,0,0,0,49,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22293,22293,'Spinel',0,'',0,'LineageMonster.stone_golem',18,34,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,30840,3224,1896,598,883,486,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22294,22294,'Fire Opal',0,'',0,'LineageMonster4.Crystal_Golem',40,47,82,'male','L2Monster',40,4664,1935,26.86,3.09,40,43,30,21,20,20,34122,3731,1896,598,883,486,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22295,22295,'Reef Golem',0,'',0,'LineageMonster4.Crystal_Golem',40,47,82,'male','L2Monster',40,17352,1935,26.86,3.09,40,43,30,21,20,20,99513,10881,13704,957,6371,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22296,22296,'Reef Golem',0,'',0,'LineageMonster4.Crystal_Golem',40,47,82,'male','L2Monster',40,17352,1935,26.86,3.09,40,43,30,21,20,20,104675,11446,13704,957,6371,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22297,22297,'Reef Golem',0,'',0,'LineageMonster4.Crystal_Golem',40,47,82,'male','L2Monster',40,17352,1935,26.86,3.09,40,43,30,21,20,20,103023,11265,13704,957,6371,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22298,22298,'Weylin',0,'',0,'LineageMonster.banshee_30_bi',20,27.50,82,'female','L2Monster',40,52055,1935,26.86,3.09,40,43,30,21,20,20,164166,17951,11789,957,5477,1166,253,400,333,3939,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22299,22299,'Dolph',0,'',0,'LineageMonster.pan_100_bi',20,70,82,'male','L2Monster',80,103968,1935,26.86,3.09,40,43,30,21,20,20,189054,20673,11338,957,5268,1166,253,400,333,213,0,0,70,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22300,22300,'Dolph''s Minion',0,'',0,'LineageMonster4.eyeless_080p',20,27.50,82,'male','L2Minion',40,4664,1935,26.86,3.09,40,43,30,21,20,20,34451,3767,1896,598,883,486,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22301,22301,'Terod',0,'',0,'LineageMonster.doll_master_20_bi',20,27.50,82,'male','L2Monster',40,52055,1935,26.86,3.09,40,43,30,21,20,20,190311,20810,11789,957,5477,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22302,22302,'Darnel''s Guardian',0,'',0,'LineageMonster.pixy_bi',20,27,82,'female','L2Monster',40,52055,1935,26.86,3.09,40,43,30,21,20,20,182298,19934,11789,957,5477,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22303,22303,'Guardian of the Square',0,'',0,'LineageMonster3.ice_fairy',20,27,82,'female','L2Monster',40,52055,1935,26.86,3.09,40,43,30,21,20,20,190116,20789,11789,957,5477,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22304,22304,'Guardian of the Emerald',0,'',0,'LineageMonster.blue_eye_150p',20,27,82,'male','L2Monster',40,52055,1935,26.86,3.09,40,43,30,21,20,20,190922,20877,11789,957,5477,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22305,22305,'Kechi''s Captain',0,'',0,'LineageMonster.field_stalker_110p',36,43.50,82,'male','L2Monster',40,17352,1935,26.86,3.09,40,43,30,21,20,20,34650,3789,13704,957,6371,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22306,22306,'Kechi''s Captain',0,'',0,'LineageMonster2.lava_golem',36,43.50,82,'male','L2Monster',40,17352,1935,26.86,3.09,40,43,30,21,20,20,88071,9156,13704,957,6371,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22307,22307,'Kechi''s Captain',0,'',0,'LineageMonster3.Steel_Trapper',36,43.50,82,'male','L2Monster',40,52055,1935,26.86,3.09,40,43,30,21,20,20,190926,19906,11789,957,5477,1166,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22308,22308,'Kechi''s Guard',0,'',0,'LineageMonster.mana_vampire_120p',32,35,82,'male','L2Minion',40,4664,1935,26.86,3.09,40,43,30,21,20,20,30391,3173,1896,598,883,486,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22309,22309,'Kechi''s Guard',0,'',0,'LineageMonster.blade_stakato_soldier',32,35,82,'male','L2Minion',40,4664,1935,26.86,3.09,40,43,30,21,20,20,42319,4434,1896,598,883,486,253,400,333,148,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22310,22310,'Kechi''s Guard',0,'',0,'LineageMonster3.portrait_spirit_150p',32,35,82,'male','L2Minion',40,4664,1935,26.86,3.09,40,43,30,21,20,20,39903,4170,1896,598,883,486,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22311,22311,'Parme''s Guardian',0,'',0,'LineageMonster.riba',37,64,83,'female','L2Monster',40,51870,1973,26.86,3.09,40,43,30,21,20,20,180237,18511,11903,974,5534,1186,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22312,22312,'Fafurion''s Henchman',0,'',0,'LineageMonster.raikel',25,72,83,'male','L2Monster',40,51870,1973,26.86,3.09,40,43,30,21,20,20,190928,20619,11903,974,5534,1186,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22313,22313,'Garden Stakato',0,'',0,'LineageMonster.blade_stakato_drone',32,35,83,'male','L2Monster',40,17290,1973,26.86,3.09,40,43,30,21,20,20,60929,6262,13866,974,6447,1186,253,400,333,134,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22314,22314,'Garden Poison Moth',0,'',0,'LineageMonster4.Anthias',30,47,83,'male','L2Monster',40,17290,1973,26.86,3.09,40,43,30,21,20,20,59615,6120,13866,974,6447,1186,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22315,22315,'Garden Guard',0,'',0,'LineageMonster.water_giant',40,42,83,'male','L2Monster',80,17290,1973,26.86,3.09,40,43,30,21,20,20,34896,3768,13866,974,6447,1186,253,400,333,5132,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22316,22316,'Garden Guardian Tree',0,'',0,'LineageMonster3.Jungle_Bleeze',40,47,83,'female','L2Monster',40,17290,1973,26.86,3.09,40,43,30,21,20,20,100984,10905,13866,974,6447,1186,253,400,333,0,0,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22317,22317,'Garden Castalia',0,'',0,'LineageMonster4.tears_d',20,27,83,'female','L2Monster',40,17290,1973,26.86,3.09,40,43,30,21,20,20,14993,1556,13866,974,6447,1186,253,400,333,9639,9639,0,50,170,'Crystal',550,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22320,22320,'Junior Watchman',0,'',0,'LineageMonster4.eyeless',36,43.5,83,'male','L2Monster',40,51870,2444,56.86,3.09,40,43,30,21,20,10,163195,17623,12532,1055,4855,954,278,300,333,0,0,NULL,60,180,'hell_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22321,22321,'Junior Summoner',0,'',0,'LineageMonster2.vampire_witch',6,21.5,83,'female','L2Monster',40,51870,2444,56.86,3.09,40,43,30,21,20,10,155629,16805,12532,1055,4855,954,278,300,333,946,0,NULL,64,180,'hell_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22322,22322,'Subjugated Native',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',10,24,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,8219,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22323,22323,'Charmed Native',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',10,24,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,8528,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22324,22324,'Blind Huntsman',0,'',0,'LineageMonster4.eyeless_080p',34,35,83,'male','L2Monster',40,12120,2011,56.86,3.09,40,43,30,21,20,10,28643,2982,9532,1455,3955,1154,278,300,333,0,0,0,60,200,'hell_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22325,22325,'Blind Watchman',0,'',0,'LineageMonster4.eyeless_080p',34,35,83,'male','L2Monster',40,12120,2011,56.86,3.09,40,43,30,21,20,10,25715,2666,9532,1455,3955,1154,278,300,333,0,0,0,60,200,'hell_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22326,22326,'Hellinark',0,'Naia\'s Guardian',0,'LineageMonster.karik',19,35,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22327,22327,'Arcane Scout',0,'',0,'LineageMonster.dark_mahum',13,26,83,'male','L2Monster',40,103599,2444,56.86,3.09,40,43,30,21,20,10,320391,34598,23356,1220,6250,1034,278,300,333,234,0,NULL,50,160,'hell_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22328,22328,'Arcane Guardian',0,'',0,'LineageMonster3.Succubus_Raid',12,30.7,83,'male','L2Monster',40,51799,2444,56.86,3.09,40,43,30,21,20,10,135761,14070,12532,1055,4855,954,278,420,333,0,0,NULL,60,170,'hell_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22329,22329,'Arcane Watchman',0,'',0,'LineageMonster3.Death_Blader_Raid',15,32.5,83,'male','L2Monster',40,103599,2444,56.86,3.09,40,43,30,21,20,10,330999,35954,23356,1220,6250,1034,278,500,333,0,0,NULL,60,170,'hell_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22330,22330,'Remnant Wraith',0,'',0,'LineageMonster3.zombie_laborer',11,28.5,83,'male','L2Monster',40,6060,2444,56.86,3.09,40,43,30,21,20,10,17814,1922,2933,717,1755,654,253,420,253,123,0,NULL,80,120,'remnant_w_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(22334,22334,'Sand Scorpion',0,'',0,'LineageMonster2.sandScorpion',28,66,84,'male','L2Monster',40,51736,2444,56.86,3.09,40,43,30,21,20,10,147900,15779,12532,1855,4855,1154,278,300,333,0,0,NULL,37,170,'desert_clan',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22335,22335,'Desert Scorpion',0,'',0,'LineageMonster2.sandScorpion',28,66,84,'male','L2Monster',40,51736,2444,56.86,3.09,40,43,30,21,20,10,151636,16036,12532,1855,4855,1154,278,300,333,0,0,NULL,37,170,'desert_clan',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22336,22336,'Sand Devil',0,'',0,'LineageMonster2.imperial_warlord_zombie_sand',7,30,84,'male','L2Monster',40,17245,2444,56.86,3.09,40,43,30,21,20,10,49859,5317,4532,1055,1955,854,278,300,333,0,0,NULL,39,150,'desert_clan',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22337,22337,'Desiccator',0,'',0,'LineageMonster.skeleton_knight_sand',10,25,84,'male','L2Monster',40,17245,2444,56.86,3.09,40,43,30,21,20,10,47145,5029,4533,1055,1955,854,278,300,333,0,0,NULL,40,160,'desert_clan',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22339,22339,'Wandering Caravan',0,'',0,'LineageMonster4.Caravan',33,58.5,84,'male','L2Monster',40,6381,2444,56.86,3.09,40,43,30,21,20,10,18810,2005,2933,717,1755,654,278,300,333,0,0,NULL,56,160,'',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22340,22340,'Sandstorm',0,'',0,'LineageMonster4.SandTourbillon',10,28,84,'male','L2Monster',40,51736,2444,56.86,3.09,40,43,30,21,20,10,146852,15665,12532,1055,4855,954,278,420,333,0,0,NULL,180,250,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22341,22341,'Keltas',0,'',0,'LineageMonster3.Vampire_Troop_Leader',19,35,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22342,22342,'Darion\'s Enforcer',0,'',0,'LineageMonster.silhouette',32,35,84,'female','L2Monster',40,6381,2444,56.86,3.09,40,43,30,21,20,10,12424,1325,2943,717,1500,634,253,420,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22343,22343,'Darion\'s Executioner',0,'',0,'LineageMonster.shadeless',32,35,84,'male','L2Monster',40,6381,2444,56.86,3.09,40,43,30,21,20,10,9996,1065,2943,717,1500,634,253,420,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22344,22344,'Quarry Supervisor',0,'',0,'LineageMonster2.vampire_warrior',9,31.5,84,'male','L2Monster',40,25868,2444,56.86,3.09,40,43,30,21,20,10,70967,7313,2455,608,1382,514,253,420,333,6723,0,NULL,43,165,'quarry_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22345,22345,'Quarry Bowman',0,'',0,'LineageMonster2.vampire_wizard',5.5,28,84,'female','L2Monster',40,8622,2444,56.86,3.09,40,43,30,21,20,10,22388,2302,500,500,500,500,278,0,333,99,0,NULL,46,165,'quarry_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22346,22346,'Quarry Foreman',0,'',0,'LineageMonster3.Vampire_Troop_Leader_120p',22,43,84,'male','L2Monster',40,103332,2444,56.86,3.09,40,43,30,21,20,10,274809,29317,4255,900,1834,720,278,420,333,8686,0,NULL,60,165,'quarry_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22347,22347,'Quarry Patrolman',0,'',0,'LineageMonster4.eyeless_080p',34,35,84,'male','L2Monster',40,51736,2444,56.86,3.09,40,43,30,21,20,10,150396,16043,2455,900,1382,514,278,420,333,0,0,NULL,60,210,'quarry_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22349,22349,'Chimera of Earth',0,'',0,'LineageMonster4.Chimera',35,36,84,'female','L2Monster',40,103332,2444,56.86,3.09,40,43,30,21,20,10,283740,30271,15773,1120,5250,934,253,300,253,0,0,NULL,80,120,'chimera_clan',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22350,22350,'Chimera of Darkness',0,'',0,'LineageMonster4.Chimera',35,36,84,'female','L2Monster',40,103332,2444,56.86,3.09,40,43,30,21,20,10,294726,31444,15773,1120,5250,934,253,300,253,0,0,NULL,80,120,'chimera_clan',400,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22351,22351,'Chimera of Wind',0,'',0,'LineageMonster4.Chimera',35,36,84,'female','L2Monster',40,103332,2444,56.86,3.09,40,43,30,21,20,10,294726,31444,15773,1120,5250,934,253,300,253,0,0,NULL,80,120,'chimera_clan',400,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22352,22352,'Chimera of Fire',0,'',0,'LineageMonster4.Chimera',35,36,84,'female','L2Monster',40,103332,2444,56.86,3.09,40,43,30,21,20,10,284782,30380,15773,1120,5250,934,253,300,253,0,0,NULL,80,120,'chimera_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22353,22353,'Celtus',0,'Chimera',0,'LineageMonster4.Chimera',35,36,84,'male','L2Monster',40,530976,2444,56.86,3.09,40,43,30,21,20,10,1096172,116952,15773,1120,5250,934,253,0,253,0,0,NULL,80,180,'chimera_clan',400,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22355,22355,'Enceinte Defender',0,'',0,'LineageMonster4.eyeless',36,43.5,85,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,210,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22356,22356,'Enceinte Defender',0,'',0,'LineageMonster4.eyeless',36,43.5,85,'male','L2Monster',40,176243,2444,56.86,3.09,40,43,30,21,20,10,0,0,15773,1120,5250,934,253,300,253,0,0,NULL,80,210,'enceinte_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22357,22357,'Enceinte Defender',0,'',0,'LineageMonster4.eyeless',36,43.5,85,'male','L2Monster',40,102863,2444,56.86,3.09,40,43,30,21,20,10,0,0,15773,1120,5250,934,253,300,253,0,0,NULL,80,210,'enceinte_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22358,22358,'Enceinte Defender',0,'',0,'LineageMonster4.eyeless',36,43.5,85,'male','L2Monster',40,88192,2444,56.86,3.09,40,43,30,21,20,10,247472,26088,12773,1020,4950,834,253,300,253,0,0,NULL,80,210,'enceinte_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22359,22359,'Town Guard',0,'',0,'LineageMonster4.eyeless',36,43.5,85,'male','L2Monster',40,17167,2444,80.58,3.09,40,43,30,21,20,10,49496,5218,3890,803,1458,594,253,400,253,0,0,NULL,80,120,'town_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22360,22360,'Town Patrolman',0,'',0,'LineageMonster.kel_mahum',13,26,85,'male','L2Monster',40,51502,2444,56.86,3.09,40,43,30,21,20,10,144799,15264,10773,1020,4950,834,253,420,253,0,0,NULL,40,60,'town_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22361,22361,'Steel Citadel Keymaster',0,'',0,'LineageMonster4.eyeless',36,43.5,85,'male','L2Monster',40,176243,2444,56.86,3.09,40,43,30,21,20,10,555758,58596,15773,1520,5250,934,253,420,253,0,0,NULL,80,210,'town_clan',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22362,22362,'Guzen',0,'',0,'LineageMonster4.rahuu',33,49,85,'male','L2Monster',40,528731,2444,56.86,3.09,40,43,30,21,20,10,1092430,115182,15773,1120,5250,934,253,420,253,0,0,NULL,105,210,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22363,22363,'Body Destroyer',0,'',0,'LineageMonster4.finished_malignant',14,31.5,85,'male','L2Monster',40,88192,2444,56.86,3.09,40,43,30,21,20,10,27729,2919,10773,920,4250,834,253,420,253,0,0,NULL,40,160,'base_t_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22364,22364,'Soul Dominator',0,'',0,'LineageMonster.death_blader',15,45,85,'male','L2Monster',40,29397,2444,56.86,3.09,40,43,30,21,20,10,90391,9528,10773,920,4250,1234,253,420,253,0,0,NULL,40,60,'base_t_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22365,22365,'Labyrinth Watchman',0,'',0,'LineageMonster4.eyeless_080p',34,35,85,'male','L2Monster',40,88192,2444,56.86,3.09,40,43,30,21,20,10,258121,27372,10773,920,4250,1234,253,300,253,0,0,NULL,80,210,'labyrinth_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22366,22366,'Labyrinth Watchman',0,'',0,'LineageMonster4.eyeless_080p',34,35,85,'male','L2Monster',40,88192,2444,56.86,3.09,40,43,30,21,20,10,0,0,10773,920,4250,1234,253,300,253,0,0,NULL,80,210,'labyrinth_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22367,22367,'Labyrinth Mystic',0,'',0,'LineageMonster.vale_master',12,40,85,'male','L2Monster',40,29397,2444,56.86,3.09,40,43,30,21,20,10,88204,9295,10773,920,4250,2334,253,300,253,0,0,NULL,40,60,'labyrinth_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22368,22368,'Labyrinth Captain',0,'',0,'LineageMonster.death_lord',21,40,85,'male','L2Monster',40,176244,2444,56.86,3.09,40,43,30,21,20,10,984405,98718,14773,2320,6250,1834,253,420,253,0,0,NULL,40,60,'labyrinth_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22369,22369,'Labyrinth Seer',0,'',0,'LineageMonster2.vampire_wizard',5.5,28,85,'male','L2Monster',40,88192,2444,56.86,3.09,40,43,30,21,20,10,102724,10315,10773,920,6250,1234,253,300,253,0,0,NULL,40,60,'labyrinth_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22370,22370,'Passageway Captain',0,'',0,'LineageMonster.shadow_50_bi',15,45,85,'male','L2Monster',40,88192,2444,56.86,3.09,40,43,30,21,20,10,272725,28753,10773,920,4250,1234,253,420,253,0,0,NULL,40,60,'passageway_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22371,22371,'Passageway Guards',0,'',0,'LineageMonster2.vampire_soldier_20_bi',10,29,85,'male','L2Monster',40,29397,2444,56.86,3.09,40,43,30,21,20,10,88733,9353,6773,1120,3250,934,253,300,253,0,0,NULL,40,60,'passageway_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22372,22372,'Passageway Mystic',0,'',0,'LineageMonster2.vampire_wizard',5.5,28,85,'male','L2Monster',40,88192,2444,56.86,3.09,40,43,30,21,20,10,259294,27337,10773,920,4250,1234,253,420,253,0,0,NULL,40,60,'passageway_clan',300,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22373,22373,'Cosmic Scout',0,'',0,'LineageMonster.crimson_doll',15,38,85,'male','L2Monster',40,29397,2444,56.86,3.09,40,43,30,21,20,10,92475,9746,6773,720,2250,934,253,300,253,0,0,NULL,40,60,'cosmic_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22374,22374,'Cosmic Watcher',0,'',0,'LineageMonster3.zombie_enlisted_man',17,22.29,85,'male','L2Monster',40,88192,2444,56.86,3.09,40,43,30,21,20,10,256947,27090,10773,920,4250,1234,253,300,253,0,0,NULL,40,60,'cosmic_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22375,22375,'Cosmic Priest',0,'',0,'LineageMonster2.vampire_wizard',5.5,28,85,'male','L2Monster',40,176243,2444,56.86,3.09,40,43,30,21,20,10,537069,56626,10773,920,4250,1234,253,420,253,0,0,NULL,40,60,'cosmic_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22376,22376,'Cosmic Lord',0,'',0,'LineageMonster4.rahuu',33,49,85,'male','L2Monster',40,528731,2444,56.86,3.09,40,43,30,21,20,10,1092428,115184,10773,920,4250,1234,253,420,253,0,0,NULL,80,210,'cosmic_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22377,22377,'Master Zelos',0,'',0,'LineageMonster4.rahuu',33,49,85,'male','L2Monster',40,526860,2444,56.86,3.09,40,43,30,21,20,10,2838302,147052,15773,1620,5250,1634,253,600,253,0,0,NULL,80,210,'',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22378,22378,'Master\'s Minion',0,'',0,'LineageMonster3.Vampire_Troop_Leader',19,35,86,'male','L2Monster',40,102527,2444,56.86,3.09,40,43,30,21,20,10,629209,32597,7773,1820,4250,1234,253,420,253,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22379,22379,'Master\'s Minion',0,'',0,'LineageMonster2.vampire_witch',6,21.5,86,'male','L2Monster',40,51333,2444,56.86,3.09,40,43,30,21,20,10,329531,34340,10773,620,4250,1234,253,300,253,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22380,22380,'Master Festina',0,'',0,'LineageMonster4.rah',20,40.59,86,'male','L2Monster',40,526860,2444,56.86,3.09,40,43,30,21,20,10,1325183,138115,15773,1120,6250,1234,253,420,253,0,0,NULL,80,210,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22381,22381,'Master\'s Guard',0,'',0,'LineageMonster3.portrait_spirit',23,40,1,'male','L2Monster',40,87880,2444,56.86,3.09,40,43,30,21,20,10,299123,31174,10773,920,4250,1234,253,300,253,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22382,22382,'Master\'s Guard',0,'',0,'LineageMonster3.portrait_spirit_winged',23,40,86,'male','L2Monster',40,87880,2444,56.86,3.09,40,43,30,21,20,10,294231,30666,10773,620,4250,1234,253,420,253,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22383,22383,'Tully\'s Toy',0,'',0,'LineageMonster3.golem_repair',23,32.79,86,'male','L2Monster',40,87880,2444,56.86,3.09,40,43,30,21,20,10,0,0,5773,720,3250,1834,253,300,253,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22384,22384,'Mystic\'s Toy',0,'',0,'LineageMonster3.golem_microscout',12,43.5,1,'male','L2Monster',40,2444,2444,56.86,3.09,40,43,30,21,20,10,0,0,500,500,500,500,253,0,253,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22385,22385,'Tully\'s Golem Guard',0,'',0,'LineageMonster3.golem_guardian_a',18,41.5,86,'male','L2Monster',40,175620,2444,56.86,3.09,40,43,30,21,20,10,476707,49976,10773,1720,4250,1234,253,300,253,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22386,22386,'Foundry Mystic',0,'',0,'LineageMonster.doll_master',20,42,86,'male','L2Monster',40,87880,2444,56.86,3.09,40,43,30,21,20,10,286890,30351,10773,920,4250,1234,253,300,253,0,0,NULL,40,60,'foundry_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22387,22387,'Foundry Mystic',0,'',0,'LineageMonster.doll_master',20,42,86,'male','L2Monster',40,87880,2444,56.86,3.09,40,43,30,21,20,10,292925,30349,10773,620,4250,1234,253,300,253,0,0,NULL,40,60,'foundry_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22388,22388,'Foundry Spirit Guard',0,'',0,'LineageMonster4.finished_malignant',14,31.5,86,'male','L2Monster',40,175620,2444,56.86,3.09,40,43,30,21,20,10,643753,67092,10773,920,4250,1234,253,300,253,0,0,NULL,80,160,'foundry_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22389,22389,'Foundry Spirit Guard',0,'',0,'LineageMonster4.finished_malignant',33,49,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22390,22390,'Foundry Foreman',0,'',0,'LineageMonster2.ahrimanes_20_sm',13,47.2,86,'male','L2Monster',40,526860,2444,56.86,3.09,40,43,30,21,20,10,1306411,136159,10773,920,4250,1234,253,300,253,0,0,NULL,40,60,'foundry_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22391,22391,'Foundry Assistant Overseer',0,'',0,'LineageMonster2.ashuras',13,37.5,86,'male','L2Monster',40,17111,2444,56.86,3.09,40,43,30,21,20,10,101028,10005,4773,820,4250,1234,253,300,253,0,0,NULL,40,60,'foundry_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22392,22392,'Failed Experimental Timetwister Golem',0,'',0,'LineageMonster3.golem_microscout_a',12,43.5,86,'male','L2Monster',40,7015,2444,56.86,3.09,40,43,30,21,20,10,91897,4553,40773,820,4250,1134,253,0,253,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22393,22393,'Beleth\'s Follower',0,'',0,'LineageMonster3.zombie_gateguard',17,30.5,86,'male','L2Monster',40,102527,2444,56.86,3.09,40,43,30,21,20,10,716188,74637,10773,920,4250,1234,253,300,253,8217,0,0,80,155,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22394,22394,'Beleth\'s Devotee',0,'',0,'LineageMonster3.portrait_spirit_winged',23,40,86,'male','L2Monster',40,307582,2444,56.86,3.09,40,43,30,21,20,10,306230,60918,10773,620,6250,1234,253,300,253,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22395,22395,'Beleth\'s Projection',0,'',0,'LineageMonster4.behamah',25,37.5,86,'male','L2Monster',40,87880,2444,56.86,3.09,40,43,30,21,20,10,0,0,10773,1120,4250,1234,253,420,253,0,0,NULL,80,160,'',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(22396,22396,'Foundry Laborer',0,'',0,'LineageMonster4.Caravan_Slave',35,47.5,86,'male','L2Monster',40,7014,2444,56.86,3.09,40,43,30,21,20,10,0,0,1773,620,1250,534,253,0,253,0,0,NULL,90,180,'foundry_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22397,22397,'Foundry Foreman',0,'',0,'LineageMonster4.rahuu',33,51.5,86,'male','L2Monster',40,51333,2444,56.86,3.09,40,43,30,21,20,10,146516,15177,8773,920,4250,1234,253,300,253,0,0,NULL,80,210,'foundry_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22398,22398,'Lesser Evil',0,'',0,'LineageMonster3.zombie_gateguard',17,30.5,86,'male','L2Monster',40,102667,2444,54,0,40,43,30,30,20,20,0,0,14577,1923,4334,1955,253,0,253,8217,0,0,80,120,'evil_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22399,22399,'Greater Evil',0,'',0,'LineageMonster3.zombie_gateguard_120p',17,30.5,86,'male','L2Monster',40,154001,2444,59,0,43,40,30,32,30,30,0,0,18655,3143,6559,2655,253,0,253,8217,0,0,80,120,'evil_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22400,22400,'Parme\'s Healer',0,'',0,'LineageMonster4.tears_d',20,27,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'parme_clan',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22401,22401,'Parme\'s Healer',0,'',0,'LineageMonster4.tears_d',20,27,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'parme_clan',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(22402,22402,'Shadow Column',0,'',0,'LineageNpcEV.dark_clouds_chessman',60,79,82,'male','L2Monster',40,2332,1884,67.15,3.09,65,65,65,45,45,45,4232,465,0,735,1220,765,355,0,355,0,0,0,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22403,22403,'Foundry Foreman',0,'',0,'LineageMonster4.rah',33,40,86,'female','L2Monster',40,51333,2444,0,0,10,10,10,10,10,10,146516,15177,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22404,22404,'Arcane Captain',0,'',0,'LineageMonster.kaim_vanul',24,41,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22405,22405,'Darion\'s Faithful Servant',0,'',0,'LineageMonster4.demon_darion_fgt',36,53,86,'male','L2Monster',40,34222,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22406,22406,'Darion\'s Faithful Servant',0,'',0,'LineageMonster4.demon_darion_fgt',36,53,86,'male','L2Monster',40,51333,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22407,22407,'Darion\'s Faithful Servant',0,'',0,'LineageMonster4.demon_darion_fgt',36,53,86,'male','L2Monster',40,102667,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22408,22408,'Darion\'s Faithful Servant',0,'',0,'LineageMonster4.demon_darion_fgt',36,53,86,'male','L2Monster',40,87437,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22409,22409,'Darion\'s Faithful Servant',0,'',0,'LineageMonster4.demon_darion_fgt',36,53,86,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22410,22410,'Darion\'s Faithful Servant',0,'',0,'LineageMonster4.demon_darion_fgt',36,53,86,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22411,22411,'Beleth\'s Retainer',0,'',0,'LineageMonster4.demon_darion_fgt',36,53,86,'male','L2Monster',40,146466,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22412,22412,'Beleth\'s Fighter',0,'',0,'LineageMonster4.behamah_120p',36,47,86,'male','L2Monster',40,351240,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,10278,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22413,22413,'Beleth\'s Low Servant',0,'',0,'LineageMonster3.spectral_knight',36,43.5,86,'male','L2Monster',40,154001,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22414,22414,'Beleth\'s Follower',0,'',0,'LineageMonster3.zombie_gateguard',17,30.5,86,'male','L2Monster',40,2444,2444,56.86,3.09,40,43,30,21,20,10,0,0,10773,1120,3250,1234,253,0,253,8217,0,0,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22415,22415,'Beleth\'s Devotee',0,'',0,'LineageMonster3.portrait_spirit_winged',23,40,86,'male','L2Monster',40,153791,2444,0,0,10,10,10,10,10,10,306230,60918,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22416,22416,'Kechi\'s Captain',0,'',0,'LineageMonster2.ifrit_30_bi',13,55,82,'male','L2Monster',40,52054,2444,0,0,10,10,10,10,10,10,200880,21963,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22417,22417,'Kechi\'s Guard',0,'',0,'LineageMonster3.portrait_spirit_winged_150p',23,52,82,'male','L2Minion',40,27983,2444,0,0,10,10,10,10,10,10,41503,4368,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22418,22418,'Burning Iris',0,'',0,'LineageMonster4.eyeless_080p',34,35,82,'male','L2Monster',40,18655,2444,0,0,10,10,10,10,10,10,28161,2936,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22419,22419,'Flame Iris',0,'',0,'LineageMonster4.eyeless_080p',34,35,82,'male','L2Monster',40,18655,2444,0,0,10,10,10,10,10,10,26474,2753,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22420,22420,'Brimstone Iris',0,'',0,'LineageMonster4.eyeless_080p',34,35,82,'male','L2Monster',40,18655,2444,0,0,10,10,10,10,10,10,28869,3011,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22422,22422,'Failan\'s Guard',0,'',0,'LineageMonster3.Death_Blader_Raid',15,32.5,83,'male','L2Monster',40,17290,2444,0,0,10,10,10,10,10,10,63855,6895,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22423,22423,'Original Sin Warden',0,'',0,'LineageMonster4.behamah',25,37.5,86,'male','L2Monster',40,25631,2444,13.55,3.09,40,43,30,21,20,20,69803,6996,11746,1024,5457,1247,253,0,253,10278,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22424,22424,'Slave of Greed',0,'',0,'LineageMonster2.ashuras',13,37.5,86,'male','L2Monster',40,21044,2089,13.55,3.09,40,43,30,21,20,20,60503,6075,2570,640,1192,520,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22425,22425,'Slave of Lust',0,'',0,'LineageMonster3.Succubus_Raid',12,30.7,86,'male','L2Monster',40,21044,2089,13.55,3.09,40,43,30,21,20,20,60503,6075,2570,640,1192,520,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22426,22426,'Slave of Wrath',0,'',0,'LineageMonster.vale_master_10_bi',13,44,86,'male','L2Monster',40,21044,2089,13.55,3.09,40,43,30,21,20,20,60503,6075,2570,640,1192,520,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22427,22427,'Slave of Sloth',0,'',0,'LineageMonster2.giant_zombie',13,40,86,'male','L2Monster',40,21044,2089,13.55,3.09,40,43,30,21,20,20,60503,6075,2570,640,1192,520,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22428,22428,'Slave of Envy',0,'',0,'LineageMonster3.Bloody_Queen_Raid',11,34,86,'male','L2Monster',40,21044,2089,13.55,3.09,40,43,30,21,20,20,60503,6075,2570,640,1192,520,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22429,22429,'Slave of Pride',0,'',0,'LineageMonster2.knight_of_shadow',10,35.5,86,'male','L2Monster',40,21044,2089,13.55,3.09,40,43,30,21,20,20,60503,6075,2570,640,1192,520,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22430,22430,'Slave of Gluttony',0,'',0,'LineageMonster3.Death_Blader_Raid',15,32.5,86,'male','L2Monster',40,21044,2089,13.55,3.09,40,43,30,21,20,20,60503,6075,2570,640,1192,520,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22431,22431,'Original Sin Warden',0,'',0,'LineageMonster4.behamah',25,37.5,86,'male','L2Monster',40,43905,2444,13.55,3.09,40,43,30,21,20,20,139297,13961,18981,1024,8820,1247,253,0,253,10278,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22432,22432,'Slave of Greed',0,'',0,'LineageMonster2.ashuras',13,37.5,86,'male','L2Monster',40,17111,2089,13.55,3.09,40,43,30,21,20,20,35640,3714,14355,1024,6674,1247,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22433,22433,'Slave of Lust',0,'',0,'LineageMonster3.Succubus_Raid',12,30.7,86,'male','L2Monster',40,17111,2089,13.55,3.09,40,43,30,21,20,20,35640,3714,14355,1024,6674,1247,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22434,22434,'Slave of Wrath',0,'',0,'LineageMonster.vale_master_10_bi',13,44,86,'male','L2Monster',40,17111,2089,13.55,3.09,40,43,30,21,20,20,35640,3714,14355,1024,6674,1247,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22435,22435,'Slave of Sloth',0,'',0,'LineageMonster2.giant_zombie',13,40,86,'male','L2Monster',40,17111,2089,13.55,3.09,40,43,30,21,20,20,35640,3714,14355,1024,6674,1247,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22436,22436,'Slave of Envy',0,'',0,'LineageMonster3.Bloody_Queen_Raid',11,34,86,'male','L2Monster',40,17111,2089,13.55,3.09,40,43,30,21,20,20,35640,3714,14355,1024,6674,1247,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22437,22437,'Slave of Pride',0,'',0,'LineageMonster2.knight_of_shadow',10,35.5,86,'male','L2Monster',40,17111,2089,13.55,3.09,40,43,30,21,20,20,35640,3714,14355,1024,6674,1247,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22438,22438,'Slave of Gluttony',0,'',0,'LineageMonster3.Death_Blader_Raid',15,32.5,86,'male','L2Monster',40,17111,2089,13.55,3.09,40,43,30,21,20,20,35640,3714,14355,1024,6674,1247,253,0,253,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22439,22439,'Beleth\'s Assassin',0,'',0,'LineageMonster.dark_mahum',8,25,86,'male','L2Monster',40,175620,2444,13.55,3.09,40,40,40,40,40,40,733677,76468,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22440,22440,'Beleth\'s Assassin',0,'',0,'LineageMonster.dark_mahum',8,25,86,'male','L2Monster',40,175620,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22441,22441,'Beleth\'s Minion',0,'',0,'LineageMonster3.Vampire_Troop_Leader_120p',16,43,86,'male','L2Monster',40,175760,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,8686,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22442,22442,'Beleth\'s Minion',0,'',0,'LineageMonster3.Vampire_Troop_Leader_120p',16,43,86,'male','L2Monster',40,102667,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,8686,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22443,22443,'Kertang\'s Messenger',0,'',0,'LineageMonster4.snake_head_man',10,37,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22444,22444,'Kertang\'s Messenger',0,'',0,'LineageMonster4.snake_head_man',10,37,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22445,22445,'Kertang\'s Messenger',0,'',0,'LineageMonster4.snake_head_man',10,37,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22446,22446,'Kertang\'s Messenger',0,'',0,'LineageMonster4.snake_head_man_a',10,37,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22447,22447,'Kertang\'s Messenger',0,'',0,'LineageMonster4.snake_head_man_a',10,37,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22448,22448,'Leodas',0,'Resistance Commander',0,'LineageNPC.a_fighterguild_master_Mhuman_old',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22449,22449,'Amaskari',0,'Torture Expert',0,'LineageMonster2.ahrimanes',12,55,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22450,22450,'Tortured Native',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22451,22451,'Native Elite Soldier',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22452,22452,'White Skull Kanabion',0,'',0,'LineageMonster.skeleton_pikeman',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22453,22453,'White Skull Kanabion',0,'Doppler',0,'LineageMonster.skeleton_knight_20_bi',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22454,22454,'White Skull Kanabion',0,'Void',0,'LineageMonster.skeleton_royal_guard_30_bi',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22455,22455,'Begrudged Kanabion',0,'',0,'LineageMonster.orc',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22456,22456,'Begrudged Kanabion',0,'Doppler',0,'LineageMonster.orc_fighter',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22457,22457,'Begrudged Kanabion',0,'Void',0,'LineageMonster.orc_champion',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22458,22458,'Rotten Kanabion',0,'',0,'LineageMonster.zombie_bi_one',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22459,22459,'Rotten Kanabion',0,'Doppler',0,'LineageMonster.neer_crawler',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22460,22460,'Rotten Kanabion',0,'Void',0,'LineageMonster3.Zombie_Raid',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22461,22461,'Gluttonous Kanabion',0,'',0,'LineageMonster.crokian',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22462,22462,'Gluttonous Kanabion',0,'Doppler',0,'LineageMonster3.Crokian_Officer',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22463,22463,'Gluttonous Kanabion',0,'Void',0,'LineageMonster.nos',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22464,22464,'Callous Kanabion',0,'',0,'LineageMonster.zenta_lizardman',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22465,22465,'Callous Kanabion',0,'Doppler',0,'LineageMonster.zenta_lizardman_warrior',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22466,22466,'Callous Kanabion',0,'Void',0,'LineageMonster.zenta_lizardman_matriarch',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22467,22467,'Savage Kanabion',0,'',0,'LineageMonster.heltor_silenos',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22468,22468,'Savage Kanabion',0,'Doppler',0,'LineageMonster.heltor_silenos_warrior',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22469,22469,'Savage Kanabion',0,'Void',0,'LineageMonster.heltor_silenos_chieftain',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22470,22470,'Peerless Kanabion',0,'',0,'LineageMonster.batur_orc_20_bi',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22471,22471,'Peerless Kanabion',0,'Doppler',0,'LineageMonster.batur_orc_warrior_20_bi',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22472,22472,'Peerless Kanabion',0,'Void',0,'LineageMonster.batur_orc_overlord_20_bi',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22473,22473,'Massive Kanabion',0,'',0,'LineageMonster.kel_mahum',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22474,22474,'Massive Kanabion',0,'Doppler',0,'LineageMonster.kel_mahum_warrior',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22475,22475,'Massive Kanabion',0,'Void',0,'LineageMonster.kel_mahum_champion',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22476,22476,'Fervent Kanabion',0,'',0,'LineageMonster2.vampire_soldier',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22477,22477,'Fervent Kanabion',0,'Doppler',0,'LineageMonster2.vampire_warrior',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22478,22478,'Fervent Kanabion',0,'Void',0,'LineageMonster3.Vampire_Troop_Leader',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22479,22479,'Ruptured Kanabion',0,'',0,'LineageMonster4.eyeless_080p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22480,22480,'Ruptured Kanabion',0,'Doppler',0,'LineageMonster4.eyeless',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22481,22481,'Ruptured Kanabion',0,'Void',0,'LineageMonster4.eyeless_120p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22482,22482,'Sword Kanabion',0,'',0,'LineageMonster4.rah',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22483,22483,'Sword Kanabion',0,'Doppler',0,'LineageMonster4.rahuu',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22484,22484,'Sword Kanabion',0,'Void',0,'LineageMonster4.rahuu',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22485,22485,'Lost Watcher',0,'',0,'LineageMonster.oel_mahum',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22486,22486,'Lost Watcher',0,'',0,'LineageMonster.oel_mahum',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22487,22487,'Lost Beholder',0,'',0,'LineageMonster.oel_mahum_warrior',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22488,22488,'Lost Watcher',0,'',0,'LineageMonster.zenta_lizardman',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22489,22489,'Lost Watcher',0,'',0,'LineageMonster.zenta_lizardman',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22490,22490,'Lost Beholder',0,'',0,'LineageMonster.zenta_lizardman_warrior',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22491,22491,'Lost Watcher',0,'',0,'LineageMonster.stone_golem',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22492,22492,'Lost Watcher',0,'',0,'LineageMonster.stone_golem',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22493,22493,'Lost Beholder',0,'',0,'LineageMonster.iron_golem_bi',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22494,22494,'Lost Watcher',0,'',0,'LineageMonster.skeleton_royal_guard',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22495,22495,'Lost Watcher',0,'',0,'LineageMonster.skeleton_royal_guard',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22496,22496,'Lost Beholder',0,'',0,'LineageMonster.doll_master',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22497,22497,'Lost Watcher',0,'',0,'LineageMonster2.bandersnatch',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22498,22498,'Lost Watcher',0,'',0,'LineageMonster2.bandersnatch',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22499,22499,'Lost Beholder',0,'',0,'LineageMonster.onyx_beast_150p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22500,22500,'Lost Watcher',0,'',0,'LineageMonster.angel',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22501,22501,'Lost Watcher',0,'',0,'LineageMonster.angel',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22502,22502,'Lost Beholder',0,'',0,'LineageMonster2.apostle_warrior',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22503,22503,'Lost Watcher',0,'',0,'LineageMonster4.behamah',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22504,22504,'Lost Watcher',0,'',0,'LineageMonster4.behamah',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22505,22505,'Lost Beholder',0,'',0,'LineageMonster2.hundred_eye',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22506,22506,'Boom - Child',0,'',0,'LineageMonster4.boom_eye',33,13.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,250,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22507,22507,'Boom - Child',0,'',0,'LineageMonster4.boom_eye',36,43.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22508,22508,'Boom - Child',0,'',0,'LineageMonster4.boom_eye',36,43.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22509,22509,'Fanatic of Infinity',0,'',0,'LineageMonster4.ravager_silen',36,48.5,76,'male','L2Monster',40,34861,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22510,22510,'Rotten Messenger',0,'',0,'LineageMonster4.death_scout_088p',36,21,77,'male','L2Monster',40,36109,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22511,22511,'Zealot of Infinity',0,'',0,'LineageMonster4.disciple_silen',36,43.5,77,'male','L2Monster',40,36109,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22512,22512,'Body Severer',0,'',0,'LineageMonster4.bonecreeper',36,47,78,'male','L2Monster',40,37595,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22513,22513,'Body Harvester',0,'',0,'LineageMonster4.corpseshambler',36,34.5,79,'male','L2Monster',40,29651,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22514,22514,'Soul Exploiter',0,'',0,'LineageMonster4.soul_harvester',17,30.5,80,'male','L2Monster',40,41587,2444,56.86,3.09,40,43,30,21,20,10,0,0,10773,1120,3250,1234,253,0,253,0,0,0,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22515,22515,'Soul Devourer',0,'',0,'LineageMonster4.soul_wagon_104p',36,35.5,81,'male','L2Monster',40,43756,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22516,22516,'Butcher of Infinity',0,'',0,'LineageMonster4.ravager_silen',36,48,81,'male','L2Monster',40,21878,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22517,22517,'Disciple of Infinity',0,'',0,'LineageMonster4.disciple_silen',36,43.5,81,'male','L2Monster',40,21878,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22518,22518,'Rotten Messenger',0,'',0,'LineageMonster4.death_scout_088p',32,21,83,'male','L2Monster',40,23026,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22519,22519,'Body Harvester',0,'',0,'LineageMonster4.corpseshambler',32,34,84,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22520,22520,'Body Severer',0,'',0,'LineageMonster4.bonecreeper',32,47,83,'male','L2Monster',40,24240,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22521,22521,'Soul Exploiter',0,'',0,'LineageMonster4.soul_harvester',32,30.5,83,'male','L2Monster',40,24240,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22522,22522,'Soul Devourer',0,'',0,'LineageMonster4.soul_wagon_104p',8,35,82,'male','L2Monster',40,23026,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22523,22523,'Soul Devourer',0,'Food of Ekimus',0,'LineageMonster4.soul_wagon_130p',8,45,83,'male','L2Monster',40,2444,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22524,22524,'Emissary of Death',0,'',0,'LineageMonster4.Death_slayer_080p',8,27,83,'male','L2Monster',40,24240,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22525,22525,'Emissary of Death',0,'',0,'LineageMonster4.Death_slayer',8,35,84,'male','L2Monster',40,25526,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22526,22526,'Emissary of Death',0,'',0,'LineageMonster4.Death_slayer_080p',8,27,83,'male','L2Monster',40,24240,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22527,22527,'Emissary of Death',0,'',0,'LineageMonster4.Death_slayer',8,34,84,'male','L2Monster',40,25526,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22528,22528,'Cursed Prefect',0,'',0,'LineageMonster4.death_knight_n_104p',8,42,83,'male','L2Monster',40,24240,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,13982,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22529,22529,'Cursed Prefect',0,'',0,'LineageMonster4.death_knight_n_130p',8,53,84,'male','L2Monster',40,25526,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,13982,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22530,22530,'Cursed Prefect',0,'',0,'LineageMonster4.death_knight_n_104p',8,42,83,'male','L2Monster',40,24240,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,13983,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22531,22531,'Cursed Prefect',0,'',0,'LineageMonster4.death_knight_n_130p',8,53,84,'male','L2Monster',40,25526,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,13983,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22532,22532,'Law Scholar of Conclusions',0,'',0,'LineageMonster4.lich_A_088p',8,40,83,'male','L2Monster',40,24240,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22533,22533,'Law Scholar of Conclusions',0,'',0,'LineageMonster4.lich_A_110p',8,51,84,'male','L2Monster',40,25526,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22534,22534,'Law Scholar of Conclusions',0,'',0,'LineageMonster4.lich_b_088p',8,40,83,'male','L2Monster',40,24240,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22535,22535,'Law Scholar of Conclusions',0,'',0,'LineageMonster4.lich_b_110p',8,51,84,'male','L2Monster',40,25526,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22536,22536,'Royal Guard Captain',0,'',0,'LineageMonster4.Dragon_eliteguard_075p',8,56,84,'male','L2Monster',40,103473,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22537,22537,'Dragon Steed Troop Grand Magician',0,'',0,'LineageMonster4.Dragon_archmage_135p',8,40,70,'male','L2Monster',40,2444,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22538,22538,'Dragon Steed Troop Commander',0,'',0,'LineageMonster4.Dragon_centurion_135p',8,32,70,'male','L2Monster',40,2444,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22539,22539,'Dragon Steed Troops No 1 Battalion Commander',0,'',0,'LineageMonster4.Dragon_centurion_135p',8,25,70,'male','L2Monster',40,2444,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22540,22540,'White Dragon Leader',0,'',0,'LineageMonster4.Dragon_centurion_120p',8,25,87,'male','L2Monster',40,2444,2444,13.55,3.09,40,40,40,40,40,40,0,0,500,500,500,500,500,0,500,0,0,0,80,132,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22541,22541,'Dragon Steed Troop Infantry',0,'',0,'LineageMonster4.Dragon_centurion_120p',16,43,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22542,22542,'Dragon Steed Troop Magic Leader',0,'',0,'LineageMonster4.dragon_mage_075p',16,43,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22543,22543,'Dragon Steed Troop Magician',0,'',0,'LineageMonster4.dragon_mage_075p',10,37,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22544,22544,'Dragon Steed Troop Magic Soldier',0,'',0,'LineageMonster4.dragon_mage_065p',10,37,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22545,22545,'Wife of the Dragon of Darkness',0,'',0,'LineageMonster4.dragon_shadow_110p',10,37,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22546,22546,'Warrior of Light',0,'',0,'LineageMonster4.dragon_berserker_090p',10,37,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22547,22547,'Dragon Steed Troop Healer',0,'',0,'LineageMonster4.dragon_mage_065p',10,37,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22548,22548,'Dragon Steed Troop Javelin Thrower',0,'',0,'LineageMonster4.dragon_peltast',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22549,22549,'Dragon Steed Troop Javelin Thrower',0,'',0,'LineageMonster4.dragon_peltast',12,55,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22550,22550,'Savage Warrior',0,'',0,'LineageMonster4.ravager_silen',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22551,22551,'Priest of Darkness',0,'',0,'LineageMonster4.disciple_silen',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22552,22552,'Mutation Drake',0,'',0,'LineageMonster4.Mutant_drake',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22553,22553,'Large Crystal Core',0,'',0,'LineageNpcEV.source_facility',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22554,22554,'Small Crystal Core',0,'',0,'LineageNpcEV.source_facility',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22555,22555,'Small Crystal Core',0,'',0,'LineageNpcEV.source_facility',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22556,22556,'Small Crystal Core',0,'',0,'LineageNpcEV.source_facility',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22557,22557,'Defense Mechanism',0,'',0,'LineageMonster4.defence_mech',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22558,22558,'Defense Battery',0,'',0,'LineageMonster4.defence_mech',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22559,22559,'Defeated Troops Commander',0,'',0,'LineageMonster4.Dragon_centurion_135p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22560,22560,'Defeated Troops No 1 Battalion Commander',0,'',0,'LineageMonster4.Dragon_centurion_135p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22561,22561,'Defeated Troops White Dragon Leader',0,'',0,'LineageMonster4.Dragon_centurion_120p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22562,22562,'Defeated Troops Infantry',0,'',0,'LineageMonster4.Dragon_centurion_120p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22563,22563,'Defeated Troops Magic Leader',0,'',0,'LineageMonster4.dragon_mage_075p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22564,22564,'Defeated Troops Magician',0,'',0,'LineageMonster4.dragon_mage_075p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22565,22565,'Defeated Troops Magic Soldier',0,'',0,'LineageMonster4.dragon_mage_065p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22566,22566,'Defeated Troops Healer',0,'',0,'LineageMonster4.dragon_mage_065p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22567,22567,'Defeated Troops Javelin Thrower',0,'',0,'LineageMonster4.dragon_peltast',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22568,22568,'Defeated Troops Javelin Thrower',0,'',0,'LineageMonster4.dragon_peltast',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22569,22569,'Soldiers of Bravery',0,'Tiat\'s Bodyguard',0,'LineageMonster4.dragon_rider',8,51,85,'male','L2Monster',40,528731,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22570,22570,'Royal Guard Captain',0,'',0,'LineageMonster4.Dragon_eliteguard_075p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22571,22571,'Dragon Steed Troop Grand Magician',0,'',0,'LineageMonster4.Dragon_archmage_135p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22572,22572,'Dragon Steed Troop Commander',0,'',0,'LineageMonster4.Dragon_centurion_135p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22573,22573,'Dragon Steed Troops No 1 Battalion Commander',0,'',0,'LineageMonster4.Dragon_centurion_135p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22574,22574,'White Dragon Leader',0,'',0,'LineageMonster4.Dragon_centurion_120p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,13979,13980,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22575,22575,'Dragon Steed Troop Infantry',0,'',0,'LineageMonster4.Dragon_centurion_120p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22576,22576,'Dragon Steed Troop Magic Leader',0,'',0,'LineageMonster4.dragon_mage_075p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22577,22577,'Dragon Steed Troop Magician',0,'',0,'LineageMonster4.dragon_mage_075p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22578,22578,'Dragon Steed Troop Magic Soldier',0,'',0,'LineageMonster4.dragon_mage_065p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22579,22579,'Warrior of Light',0,'',0,'LineageMonster4.dragon_berserker_090p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22580,22580,'Dragon Steed Troop Healer',0,'',0,'LineageMonster4.dragon_mage_065p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22581,22581,'Dragon Steed Troop Javelin Thrower',0,'',0,'LineageMonster4.dragon_peltast',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22582,22582,'Dragon Steed Troop Javelin Thrower',0,'',0,'LineageMonster4.dragon_peltast',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22583,22583,'Dragon Steed Troop Magic Leader',0,'',0,'LineageMonster4.dragon_mage_075p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22584,22584,'Dragon Steed Troop Magician',0,'',0,'LineageMonster4.dragon_mage_075p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22585,22585,'Dragon Steed Troop Magic Soldier',0,'',0,'LineageMonster4.dragon_mage_065p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22586,22586,'Dragon Steed Troop Commander',0,'',0,'LineageMonster4.Dragon_centurion_135p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22587,22587,'Dragon Steed Troop Captain #1',0,'',0,'LineageMonster4.Dragon_centurion_135p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22588,22588,'White Dragon Leader',0,'',0,'LineageMonster4.Dragon_centurion_120p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22589,22589,'Dragon Steed Troop Infantry',0,'',0,'LineageMonster4.Dragon_centurion_120p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22590,22590,'',0,'',0,'LineageNPC.clear_npc',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22591,22591,'Dragon Steed Troop Magic Leader',0,'',0,'LineageMonster4.dragon_mage_075p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22592,22592,'Dragon Steed Troop Magician',0,'',0,'LineageMonster4.dragon_mage_075p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22593,22593,'Dragon Steed Troop Magic Soldier',0,'',0,'LineageMonster4.dragon_mage_065p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22594,22594,'Dragon Steed Troop Commander',0,'',0,'LineageMonster4.Dragon_centurion_135p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22595,22595,'Dragon Steed Troops No 1 Battalion Commander',0,'',0,'LineageMonster4.Dragon_centurion_135p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22596,22596,'White Dragon Leader',0,'',0,'LineageMonster4.Dragon_centurion_120p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22597,22597,'Dragon Steed Troop Infantry',0,'',0,'LineageMonster4.Dragon_centurion_120p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22598,22598,'Obelisk',0,'',0,'LineageNpcEV.obelisk_of_middle_square',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22599,22599,'Great Powerful Device',0,'',0,'LineageNpcEV.crystal_of_secret_door',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22600,22600,'Throne of Destruction Powerful Device',0,'',0,'LineageNpcEV.protector_of_seed',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22601,22601,'Heart Protection Device',0,'',0,'LineageNpcEV.crystal_of_secret_door',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22602,22602,'Mutant - Bird',0,'',0,'LineageMonster4.mutant_hawk',100,85,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22603,22603,'Mutant - Bird',0,'',0,'LineageMonster4.mutant_hawk',100,85,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22604,22604,'Dra Hawk',0,'',0,'LineageMonster4.drahawk',110,35,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22605,22605,'Dra Hawk',0,'',0,'LineageMonster4.drahawk',110,35,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22606,22606,'Floating Skull',0,'',0,'LineageMonster4.floating_skeleton',28,39,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,45,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22607,22607,'Floating Skull',0,'',0,'LineageMonster4.floating_skeleton',28,39,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,45,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22608,22608,'Floating Zombie',0,'',0,'LineageMonster4.floating_zombie',70,50,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22609,22609,'Floating Zombie',0,'',0,'LineageMonster4.floating_zombie',70,50,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22610,22610,'Mutated Drake Wing',0,'',0,'LineageMonster4.m_drake_wing_knave',153,63,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22611,22611,'Mutated Drake Wing',0,'',0,'LineageMonster4.m_drake_wing_knave',153,63,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22612,22612,'Drak',0,'',0,'LineageMonster4.drac',100,40,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22613,22613,'Drak',0,'',0,'LineageMonster4.drac',100,40,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22614,22614,'Vulture Rider',0,'',0,'LineageMonster4.master_rider',123,90,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22615,22615,'Vulture Rider',0,'',0,'LineageMonster4.master_rider',123,90,1,'male','L2FlyMonster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(22616,22616,'Seed of Pain',0,'',0,'LineageMonster4.death_claw_054p',8,23.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false');

INSERT INTO `npc` VALUES
(25001,25001,'Greyclaw Kutus',0,'Raid Boss',0,'Monster.ol_mahum_champion_50_bi',21,43.5,23,'male','L2RaidBoss',40,95986,545,117.62,4.73,60,57,73,76,70,80,714843,67170,84,321,1,174,409,0,3819,67,633,0,50,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25002,25002,'Guard of Kutus',0,'Raid Fighter',0,'Monster.ol_mahum',13.5,25,22,'male','L2Minion',40,6613,257,29.94,4.73,40,43,30,41,20,10,0,0,204,154,21,167,278,0,333,7,0,0,50,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25003,25003,'Pawn of Kutus',0,'Raid Fighter',0,'Monster.ol_mahum',13.5,25,22,'male','L2Minion',40,9870,257,29.94,4.73,40,43,30,41,20,10,0,0,305,154,164,167,278,0,333,123,0,0,50,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25004,25004,'Turek Mercenary Captain',0,'Raid Boss',0,'Monster.orc_champion_50_bi',15,35,30,'male','L2RaidBoss',40,168366,763,310.14,5.72,60,57,73,76,70,80,1424160,129276,295,423,26,229,278,0,3819,124,0,0,72,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25005,25005,'Turek Mercenary Archer',0,'Raid Fighter',0,'Monster.orc_archer',14,25,29,'male','L2Minion',500,11414,365,79.32,4.73,40,43,30,41,20,10,0,0,539,204,84,220,249,0,333,271,0,0,49,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25006,25006,'Turek Mercenary Warrior',0,'Raid Fighter',0,'Monster.orc_fighter',12,22,29,'male','L2Minion',40,8518,365,79.32,4.73,40,43,30,41,20,10,0,0,539,204,84,220,278,0,333,2,0,0,49,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25007,25007,'Retreat Spider Cletu',0,'Raid Boss',0,'Monster.poison_spider',27,25.5,42,'male','L2RaidBoss',40,331522,1062,428.19,5.72,60,57,73,76,70,80,2299956,251972,793,648,97,351,409,0,3819,0,0,0,60,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25008,25008,'Cletu\'s Retainer',0,'Raid Fighter',0,'Monster.giant_spider',26,25.5,41,'male','L2Minion',40,33216,514,110.41,5.72,40,43,30,41,20,10,0,0,1467,313,353,339,278,0,333,0,0,0,72,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25009,25009,'Cletu\'s Pawn',0,'Raid Fighter',0,'Monster.giant_spider',26,25.5,41,'male','L2Minion',40,16608,514,110.41,5.72,40,43,30,41,20,10,0,0,1467,313,353,339,278,0,333,0,0,0,72,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25010,25010,'Furious Thieles',0,'Raid Boss',0,'Monster.ti_mi_tran',23,90,55,'male','L2RaidBoss',40,624464,2039,592.29,7.7,60,57,73,76,70,80,2988757,448385,1958,966,376,523,278,0,3819,0,0,0,19,81,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25011,25011,'Guard of Thieles',0,'Raid Fighter',0,'Monster.zenta_lizardman_scout',11,30,54,'male','L2Minion',500,42806,987,153.99,7.7,40,43,30,41,20,10,0,0,3683,470,1402,508,249,0,333,279,0,0,40,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25012,25012,'Follower of Thieles',0,'Raid Fighter',0,'Monster.dryad',9,20,54,'female','L2Minion',40,31945,987,153.99,7.7,40,43,30,41,20,10,0,0,3683,470,1402,508,278,0,333,0,0,0,44,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25013,25013,'Ghost of Peasant Leader',0,'Raid Boss',0,'Monster.skeleton_knight_50_bi',15,39,50,'male','L2RaidBoss',40,507285,1722,529.53,7.7,60,57,73,76,70,80,2494222,346727,1419,835,222,452,278,0,3819,145,0,0,64,275,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25014,25014,'Ghost of Peasant',0,'Raid Fighter',0,'Monster.skeleton',11,25,49,'male','L2Minion',40,51380,830,137.24,6.74,40,43,30,41,20,10,0,0,5299,405,3222,438,278,0,333,68,0,0,66,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25015,25015,'Ghost of Peasant',0,'Raid Fighter',0,'Monster.skeleton_archer',11,27,49,'male','L2Minion',500,25690,830,137.24,6.74,40,43,30,41,20,10,0,0,2650,405,807,438,278,0,333,14,0,0,44,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'archer','false'),
(25016,25016,'The 3rd Underwater Guardian',0,'Raid Boss',0,'Monster.susceptor_100_bi',40,73,60,'male','L2RaidBoss',40,188376,2368,702.39,8.75,60,57,73,76,70,80,3346092,522780,2604,1107,556,599,278,0,3819,0,0,0,43,243,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25017,25017,'Escort of the 3rd Guardian',0,'Raid Fighter',0,'Monster.will_o_wisp',13,22,59,'male','L2Minion',40,24399,1150,183.19,7.7,40,43,30,41,20,10,0,0,4935,539,2037,583,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25018,25018,'Support of the 3rd Guardian',0,'Raid Fighter',0,'Monster.will_o_wisp',13,22,59,'male','L2Minion',40,12199,1150,183.19,7.7,40,43,30,41,20,10,0,0,4935,539,2037,583,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25019,25019,'Pan Dryad',0,'Raid Boss',0,'Monster.pan_100_bi',42,73,25,'male','L2RaidBoss',40,206185,606,127.71,4.73,60,57,73,76,70,80,730469,69595,201,348,19,189,614,0,3819,291,0,0,45,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25020,25020,'Breka Warlock Pastu',0,'Raid Boss',0,'Monster.batur_orc_shaman_100_bi',22,35,34,'male','L2RaidBoss',40,156584,893,178.88,5.72,60,57,73,76,70,80,1174184,135023,222,491,9,266,278,0,3819,8,0,0,81,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25021,25021,'Pastu\'s Silhouette',0,'Raid Fighter',0,'Monster.silhouette',8,23,33,'female','L2Minion',40,15774,430,45.88,5.72,40,43,30,41,20,10,0,0,408,236,46,256,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25022,25022,'Pastu\'s Shadow',0,'Raid Fighter',0,'Monster.shadow',10,30,33,'male','L2Minion',40,7887,430,45.88,5.72,40,43,30,41,20,10,0,0,408,236,46,256,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25023,25023,'Stakato Queen Zyrnna',0,'Raid Boss',0,'Monster.marsh_stakato_queen_100_bi',30,76,34,'female','L2RaidBoss',40,208019,1415,332.2,6.74,60,57,73,76,70,80,1753455,156895,416,491,43,266,278,0,3819,150,0,0,81,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25024,25024,'Jeruna\'s Guard Captain',0,'Raid Fighter',0,'Monster.marsh_stakato_drone',9,24,33,'male','L2Minion',40,20909,677,85.21,6.74,40,43,30,41,20,10,0,0,1528,236,612,256,278,0,333,238,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25025,25025,'Jeruna\'s Guard',0,'Raid Fighter',0,'Monster.marsh_stakato_soldier',10,25,33,'male','L2Minion',40,10454,677,85.21,6.74,40,43,30,41,20,10,0,0,764,236,155,256,278,0,333,257,0,0,33,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25026,25026,'Katu Van Leader Atui',0,'Raid Boss',0,'Monster.ketra_orc_overload',12,24,49,'male','L2RaidBoss',40,352421,1660,278.27,6.74,60,57,73,76,70,80,1655129,248433,708,810,56,439,278,0,3819,84,0,0,53,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25027,25027,'Katu Van Marksman',0,'Raid Fighter',0,'Monster.ketra_orc_archer',12,27,48,'male','L2Minion',500,23911,799,72.08,6.74,40,43,30,41,20,10,0,0,1321,393,214,425,249,0,333,279,0,0,49,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25028,25028,'Katu Van Raider',0,'Raid Fighter',0,'Monster.ketra_orc_warrior',12,24,48,'male','L2Minion',40,17844,799,72.08,6.74,40,43,30,41,20,10,0,0,1321,393,214,425,278,0,333,128,0,0,39,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25029,25029,'Atraiban',0,'Raid Boss',0,'Monster.field_stalker_200_bi',45,96,53,'male','L2RaidBoss',40,156190,1911,611.07,7.7,60,57,73,76,70,80,3145490,461913,1729,912,323,494,278,0,3819,0,0,0,113,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25030,25030,'Atraiban\'s Top Disciple',0,'Raid Fighter',0,'Monster.will_o_wisp',13,22,52,'male','L2Minion',40,20135,923,158.68,7.7,40,43,30,41,20,10,0,0,32424,443,1163,479,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25031,25031,'Atraiban\'s Disciple',0,'Raid Fighter',0,'Monster.liviona',15,28,52,'male','L2Minion',40,10067,923,158.68,7.7,40,43,30,41,20,10,0,0,3242,443,1163,479,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25032,25032,'Eva\'s Guardian Millenu',0,'Raid Boss',0,'Monster.banshee_50_bi',13.5,38,58,'female','L2RaidBoss',40,229722,2707,828.24,8.75,60,57,73,76,70,80,1820975,806823,2334,1050,473,568,278,0,3819,3939,0,0,129,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25033,25033,'Millenu Guard Shaman',0,'Raid Fighter',0,'Monster.heltor_silenos_shaman',13,32,57,'male','L2Minion',40,20074,1319,218.67,8.75,40,43,30,41,20,10,0,0,5879,511,3126,553,278,0,333,5131,0,0,31,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25034,25034,'Mellenu Guard Warrior',0,'Raid Fighter',0,'Monster.skeleton_royal_guard',11,28.5,57,'male','L2Minion',40,30142,1319,218.67,8.75,40,43,30,41,20,10,0,0,8819,511,7028,553,278,0,333,946,945,0,88,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25035,25035,'Shilen\'s Messenger Cabrio',0,'Raid Boss',0,'Monster.vale_master_50_bi',18,63,70,'male','L2RaidBoss',40,888658,3058,844.9,9.81,60,57,73,76,70,80,1915900,918808,4077,1412,921,764,278,0,3819,189,0,0,113,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25036,25036,'Cabrio Captor',0,'Raid Fighter',0,'Monster.skeleton_archer',11,27,69,'male','L2Minion',500,62338,1493,223.73,8.75,40,43,30,41,20,10,0,0,7856,690,3551,747,249,0,333,279,0,0,44,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'archer','false'),
(25037,25037,'Cabrio Blader',0,'Raid Fighter',0,'Monster.doll_blader',6,12,69,'male','L2Minion',40,46520,1493,223.73,8.75,40,43,30,41,20,10,0,0,7856,690,3551,747,278,0,333,5129,5129,0,24,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25038,25038,'Tirak',0,'Raid Boss',0,'Monster.dre_vanul_100_bi',28,75,28,'male','L2RaidBoss',40,116581,699,143.8,4.73,60,57,73,76,70,80,750326,74683,132,392,7,212,278,0,3819,0,0,0,129,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25039,25039,'Tirak\'s Guard',0,'Raid Fighter',0,'Monster.spartoi',11,27,27,'male','L2Minion',40,11861,334,36.74,4.73,40,43,30,41,20,10,0,0,483,188,86,204,278,0,333,68,0,0,66,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25040,25040,'Tirak\'s Knight',0,'Raid Fighter',0,'Monster.skeleton',11,25,27,'male','L2Minion',40,5930,334,36.74,4.73,40,43,30,41,20,10,0,0,241,188,23,204,278,0,333,2,945,0,66,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25041,25041,'Remmel',0,'Raid Boss',0,'Monster.marsh_stakato_queen_100_bi',30,76,35,'female','L2RaidBoss',40,165289,927,185.07,5.72,60,57,73,76,70,80,1018607,103175,242,509,14,275,467,0,3819,221,109,0,50,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25042,25042,'Remmel\'s Archer',0,'Raid Fighter',0,'Monster.batur_orc_archer',11,21.5,34,'male','L2Minion',500,11143,446,47.49,5.72,40,43,30,41,20,10,0,0,444,245,45,266,247,0,333,275,0,0,45,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25043,25043,'Remmel\'s Guard',0,'Raid Fighter',0,'Monster.marsh_stakato',10,20,34,'male','L2Minion',40,8316,446,47.49,5.72,40,43,30,41,20,10,0,0,444,245,45,266,278,0,333,127,0,0,21,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25044,25044,'Barion',0,'Raid Boss',0,'Monster.skeleton_knight_50_bi',15,39,47,'male','L2RaidBoss',40,319791,1296,264.56,6.74,60,57,73,76,70,80,1624139,238098,615,761,45,412,278,0,3819,70,0,0,64,275,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25045,25045,'Dark Mage\'s of Barion',0,'Raid Fighter',0,'Monster.batur_orc_shaman',11,16,46,'male','L2Minion',40,32280,618,68.43,6.74,40,43,30,41,20,10,0,0,1145,369,168,399,278,0,333,159,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25046,25046,'Barion\'s Grunt',0,'Raid Fighter',0,'Monster.spartoi',11,27,46,'male','L2Minion',40,16140,618,68.43,6.74,40,43,30,41,20,10,0,0,1145,369,168,399,278,0,333,129,0,0,66,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25047,25047,'Karte',0,'Raid Boss',0,'Monster.death_knight_50_bi',18,47.5,49,'male','L2RaidBoss',40,352421,1660,278.27,6.74,60,57,73,76,70,80,1412364,185123,708,810,56,439,278,0,3819,131,0,0,43,275,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25048,25048,'Karte\'s Chief Knight',0,'Raid Fighter',0,'Monster.skeleton_knight',10,25,48,'male','L2Minion',40,35688,799,72.08,6.74,40,43,30,41,20,10,0,0,2642,393,851,425,278,0,333,71,0,0,44,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25049,25049,'Karte\'s Royal Guard',0,'Raid Fighter',0,'Monster.spartoi',11,27,48,'male','L2Minion',40,17844,799,72.08,6.74,40,43,30,41,20,10,0,0,1321,393,214,425,278,0,333,74,0,0,66,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25050,25050,'Verfa',0,'Raid Boss',0,'Monster.death_blader_200_bi',45,141,51,'male','L2RaidBoss',40,771340,2039,250.26,7.7,60,57,73,76,70,80,1381165,185853,1622,860,310,466,278,0,3819,1472,0,0,162,275,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25051,25051,'Rahha',0,'Raid Boss',0,'Monster3.Bloody_Queen_Raid',28,36,65,'female','L2RaidBoss',40,818959,2707,673.33,8.75,60,57,73,76,70,80,3674504,679343,3327,1256,758,680,278,0,3819,0,0,0,129,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25052,25052,'Priestess of Rahha',0,'Raid Fighter',0,'Monster.medusa',10,25,64,'female','L2Minion',40,85286,1319,177.86,8.75,40,43,30,41,20,10,0,0,6357,613,2912,663,278,0,333,0,0,0,55,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25053,25053,'Fanatics of Rahha',0,'Raid Fighter',0,'Monster.harpy',10,42,64,'female','L2Minion',40,42643,1319,177.86,8.75,40,43,30,41,20,10,0,0,6357,613,2912,663,278,0,333,0,0,0,66,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25054,25054,'Kernon',0,'Raid Boss',0,'Monster.kaim_vanul',24,40,75,'male','L2RaidBoss',40,945900,3420,849.66,9.81,60,57,73,76,70,80,2238750,1054472,4784,1571,1152,851,278,0,3819,0,0,0,59,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25055,25055,'Taliadon',0,'Raid Fighter',0,'Monster.death_blader',15,45,74,'male','L2Minion',40,99324,1673,225.62,9.81,40,43,30,41,20,10,0,0,18598,769,17998,833,278,0,333,1472,0,0,110,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25056,25056,'Vemsk',0,'Raid Fighter',0,'Monster.death_knight',12,31,74,'male','L2Minion',40,49662,1673,225.62,9.81,40,43,30,41,20,10,0,0,9299,769,4497,833,278,0,333,142,0,0,29,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25057,25057,'Biconne of Blue Sky',0,'Raid Boss',0,'Monster.lienrik',12,50,45,'male','L2RaidBoss',40,288415,2235,250.9,7.7,60,57,73,76,70,80,1358394,171282,532,715,36,387,278,0,3819,0,0,0,162,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25058,25058,'Biconne\'s Shooter',0,'Raid Fighter',0,'Monster.skeleton_archer',11,27,44,'male','L2Minion',500,19455,1084,64.81,7.7,40,43,30,41,20,10,0,0,988,346,142,374,249,0,333,279,0,0,44,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'archer','false'),
(25059,25059,'Biconne\'s Warrior',0,'Raid Fighter',0,'Monster.skeleton_knight',10,25,44,'male','L2Minion',40,14518,1084,64.81,7.7,40,43,30,41,20,10,0,0,988,346,142,374,278,0,333,150,0,0,44,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25060,25060,'Unrequited Kael',0,'Raid Boss',0,'Monster.succubus_100_bi',20,75,24,'female','L2RaidBoss',40,99367,575,105.08,4.73,60,57,73,76,70,80,606920,51383,92,335,1,181,278,0,3819,0,0,0,97,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25061,25061,'Kael\'s Bead',0,'Raid Fighter',0,'Monster.will_o_wisp',13,22,23,'male','L2Minion',40,6830,272,26.77,4.73,40,43,30,41,20,10,0,0,223,161,27,174,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25062,25062,'Kael\'s Escort',0,'Raid Fighter',0,'Monster.harpy',10,42,23,'female','L2Minion',40,10195,272,26.77,4.73,40,43,30,41,20,10,0,0,335,161,59,174,278,0,333,0,0,0,66,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25063,25063,'Chertuba of Great Soul',0,'Raid Boss',0,'Monster.ketra_orc_warrior_100_bi',24,51,35,'male','L2RaidBoss',40,330579,927,185.07,5.72,60,57,73,76,70,80,1018607,103175,483,509,49,275,278,0,3819,78,0,0,58,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25064,25064,'Wizard of Storm Teruk',0,'Raid Boss',0,'Monster.zenta_lizardman_shaman_50_bi',19,55,40,'male','L2RaidBoss',40,218810,1120,217.25,6.74,60,57,73,76,70,80,1091654,139773,287,606,42,328,409,0,3819,90,0,0,43,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25065,25065,'Teruk\'s Escort',0,'Raid Fighter',0,'Monster.zenta_lizardman',11,32,39,'male','L2Minion',40,21961,531,55.95,5.72,40,43,30,41,20,10,0,0,1340,293,284,317,278,0,333,123,0,0,37,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25066,25066,'Teruk\'s Knight',0,'Raid Fighter',0,'Monster.zenta_lizardman_warrior',13,35,39,'male','L2Minion',40,10980,531,55.95,5.72,40,43,30,41,20,10,0,0,670,293,69,317,278,0,333,291,0,0,40,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25067,25067,'Captain of Red Flag Shaka',0,'Raid Boss',0,'Monster.oel_mahum_warrior_50_bi',30,60,52,'male','L2RaidBoss',40,554640,1598,554.85,6.74,60,57,73,76,70,80,2909180,424683,1621,886,288,480,278,0,3819,71,0,0,113,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25068,25068,'Shaka\'s Shooter',0,'Raid Fighter',0,'Monster.ol_mahum_archer',14,25,51,'male','L2Minion',500,37786,768,143.99,6.74,40,43,30,41,20,10,0,0,3035,430,1071,465,249,0,333,277,0,0,55,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25069,25069,'Shaka\'s Follower',0,'Raid Fighter',0,'Monster.oel_mahum_champion',23,61,51,'male','L2Minion',40,28199,768,143.99,6.74,40,43,30,41,20,10,0,0,3035,430,1071,465,278,0,333,128,633,0,73,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25070,25070,'Enchanted Forest Watcher Ruell',0,'Raid Boss',0,'Monster.ti_mi_tran',23,90,55,'male','L2RaidBoss',40,451391,2039,318.92,7.7,60,57,73,76,70,80,1707842,285150,1046,966,111,523,278,0,3819,0,0,0,19,81,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25071,25071,'Ruell\'s Wind',0,'Raid Fighter',0,'Monster.sylph',11,35,54,'female','L2Minion',40,30975,987,82.92,7.7,40,43,30,41,20,10,0,0,2623,470,719,508,278,0,333,0,0,0,66,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25072,25072,'Ruell\'s Unicorn',0,'Raid Fighter',0,'Monster.unicorn',14,30,54,'male','L2Minion',40,46232,987,82.92,7.7,40,43,30,41,20,10,0,0,3934,470,1612,508,278,0,333,0,0,0,50,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25073,25073,'Bloody Priest Rudelto',0,'Raid Boss',0,'Monster.karik_100_bi',50,180,69,'male','L2RaidBoss',40,875948,2987,842.52,8.75,60,57,73,76,70,80,1894878,895518,6751,1380,8676,747,278,0,3819,0,0,0,59,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25074,25074,'Rudelto\'s Banshee',0,'Raid Fighter',0,'Monster.banshee',9,23,68,'female','L2Minion',40,91632,1458,223.1,8.75,40,43,30,41,20,10,0,0,7556,674,3382,730,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25075,25075,'Rudelto\'s Dre Vanul',0,'Raid Fighter',0,'Monster.dre_vanul',14,36,68,'male','L2Minion',40,45816,1458,223.1,8.75,40,43,30,41,20,10,0,0,7556,674,3382,730,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25076,25076,'Princess Molrang',0,'Raid Boss',0,'Monster.poison_toad_100_bi',40,20,25,'male','L2RaidBoss',40,103092,606,127.71,4.73,60,57,73,76,70,80,730469,69595,101,348,6,189,278,0,3819,0,0,0,81,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25077,25077,'Captain Dogun',0,'Raid Fighter',0,'Monster.grizzly',21,40,24,'male','L2Minion',40,10554,287,32.55,4.73,40,43,30,41,20,10,0,0,367,167,160,181,278,0,333,0,0,0,44,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25078,25078,'Princess\' Guard',0,'Raid Fighter',0,'Monster.grizzly',21,40,24,'male','L2Minion',40,5277,287,32.55,4.73,40,43,30,41,20,10,0,0,184,167,13,181,278,0,333,0,0,0,44,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25079,25079,'Cat\'s Eye Bandit',0,'Raid Boss',0,'Monster3.Ol_Mahum_Raid',21,27.5,30,'male','L2RaidBoss',40,168366,763,288,5.72,60,57,73,76,70,80,1329219,122342,295,423,26,229,278,0,3819,0,0,0,81,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25080,25080,'Mercenary',0,'Raid Fighter',0,'Monster.orc_shaman',9,22,29,'male','L2Minion',40,17036,365,73.66,4.73,40,43,30,41,20,10,0,0,539,2042,84,220,278,0,333,179,0,0,49,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25081,25081,'Cat\'s Eye Bandit',0,'Raid Fighter',0,'Monster.ol_mahum',13.5,25,29,'male','L2Minion',40,8518,365,73.66,4.73,40,43,30,41,20,10,0,0,539,204,84,220,278,0,333,218,0,0,55,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25082,25082,'Leader of Cat Gang',0,'Raid Boss',0,'Monster.cat_the_cat_50_bi',13.5,26,39,'male','L2RaidBoss',40,206753,1062,210.68,5.72,60,57,73,76,70,80,1078255,134578,335,585,19,317,409,0,3819,0,0,0,80,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25083,25083,'Cat Gang',0,'Raid Fighter',0,'Monster.cutie_cat',8,15,38,'female','L2Minion',40,13903,514,54.21,5.72,40,43,30,41,20,10,0,0,824,283,116,306,278,0,333,0,0,0,48,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25084,25084,'Cat Gang',0,'Raid Fighter',0,'Monster.cat_the_cat',9,16,38,'male','L2Minion',40,20752,514,54.21,5.72,40,43,30,41,20,10,0,0,1237,283,267,306,278,0,333,0,0,0,80,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25085,25085,'Timak Orc Chief Ranger',0,'Raid Boss',0,'Monster.ketra_orc_warrior_100_bi',24,51,44,'male','L2RaidBoss',40,371721,1355,453.27,6.74,60,57,73,76,70,80,2352182,262175,923,692,123,375,278,0,3819,157,0,0,58,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25086,25086,'Timak Orc Ranger',0,'Raid Fighter',0,'Monster.ketra_orc_archer',12,27,43,'male','L2Minion',500,24994,648,117.03,6.74,40,43,30,41,20,10,0,0,1712,335,443,363,249,0,333,14,0,0,49,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25087,25087,'Timak Orc Ranger',0,'Raid Fighter',0,'Monster.ketra_orc',12,29,43,'male','L2Minion',40,18652,648,117.03,6.74,40,43,30,41,20,10,0,0,1712,335,443,363,278,0,333,68,0,0,49,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25088,25088,'Crazy Mechanic Golem',0,'Raid Boss',0,'Monster.mechanic_golem_200_bi',15,63,43,'male','L2RaidBoss',40,702418,2039,474.62,7.7,60,57,73,76,70,80,2492637,273103,1712,670,443,363,278,0,3819,0,0,0,48,243,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25089,25089,'Soulless Wild Boar',0,'Raid Boss',0,'Monster.giant_wild_hog',35,27,59,'male','L2RaidBoss',40,512194,2301,344.91,7.7,60,57,73,76,70,80,2072981,415763,1319,1078,145,584,409,0,3819,0,0,0,35,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25090,25090,'Soulless Wolf',0,'Raid Fighter',0,'Monster.dire_wolf',13,11,58,'male','L2Minion',40,35416,1117,89.9,7.7,40,43,30,41,20,10,0,0,3326,525,975,568,278,0,333,0,0,0,24,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25091,25091,'Soulless Bear',0,'Raid Fighter',0,'Monster.crimson_bear',19,36,58,'male','L2Minion',40,52860,1117,89.9,7.7,40,43,30,41,20,10,0,0,4989,525,2188,568,278,0,333,0,0,0,37,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25092,25092,'Korim',0,'Raid Boss',0,'Monster.heltor_silenos_shaman_50_bi',19.5,51,70,'male','L2RaidBoss',40,888658,3058,685.96,9.81,60,57,73,76,70,80,3859833,738431,4077,1412,921,764,278,0,3819,201,0,0,46,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25093,25093,'Korim Chief Guard Kaywon',0,'Raid Fighter',0,'Monster.heltor_silenos_warrior',13,31,69,'male','L2Minion',40,93041,1493,181.67,8.75,40,43,30,41,20,10,0,0,15713,690,14196,747,278,0,333,162,0,0,39,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25094,25094,'Korim Guards',0,'Raid Fighter',0,'Monster.heltor_silenos',13,29,69,'male','L2Minion',40,46520,1493,181.67,8.75,40,43,30,41,20,10,0,0,7856,690,3551,747,278,0,333,86,0,0,37,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25095,25095,'Elf Renoa',0,'Raid Boss',0,'Monster.elf_ghost',7,21,29,'male','L2RaidBoss',40,121941,731,149.37,4.73,60,57,73,76,70,80,755659,76955,144,407,4,220,278,0,3819,0,0,0,129,275,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25096,25096,'Renoa\'s Elpy',0,'Raid Fighter',0,'Monster.elpy',5,4.5,28,'male','L2Minion',40,8296,349,38.19,4.73,40,43,30,41,20,10,0,0,352,196,42,212,278,0,333,0,0,0,55,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25097,25097,'Renoa\'s Hog',0,'Raid Fighter',0,'Monster.giant_wild_hog',35,27,28,'male','L2Minion',40,12383,349,38.19,4.73,40,43,30,41,20,10,0,0,528,196,89,212,278,0,333,0,0,0,38,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25098,25098,'Sejarr\'s Servitor',0,'Raid Boss',0,'Monster.dark_fencer_200_bi',30,43,35,'male','L2RaidBoss',40,330579,927,185.07,5.72,60,57,73,76,70,80,1018607,103175,483,509,49,275,278,0,3819,0,0,0,40,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25099,25099,'Rotten Tree Repiro',0,'Raid Boss',0,'Monster.hanged_man_ripper',35,80,44,'male','L2RaidBoss',40,273375,1355,244.07,6.74,60,57,73,76,70,80,1344111,167614,494,692,33,375,278,0,3819,0,0,0,89,89,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25100,25100,'Spirit of Sea of Spores',0,'Raid Fighter',0,'Monster.pixy',5,25,43,'female','L2Minion',40,27494,648,63.01,6.74,40,43,30,41,20,10,0,0,916,335,125,362,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25101,25101,'Fighter of Sea of Spores',0,'Raid Fighter',0,'Monster.troll',21,35,43,'male','L2Minion',40,13747,648,63.01,6.74,40,43,30,41,20,10,0,0,916,335,125,362,278,0,333,0,0,0,60,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25102,25102,'Shacram',0,'Raid Boss',0,'Monster.minotaur_100_bi',42,94,45,'male','L2RaidBoss',40,576831,1722,250.9,7.7,60,57,73,76,70,80,1591877,230991,1064,715,153,387,278,0,3819,300,0,0,64,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25103,25103,'Sorcerer Isirr',0,'Raid Boss',0,'Monster.zenta_lizardman_matriarch_50_bi',30,63,55,'male','L2RaidBoss',40,451391,2039,318.92,7.7,60,57,73,76,70,80,1707842,285150,1046,966,111,523,278,0,3819,195,0,0,85,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25104,25104,'Isirr\'s Guard',0,'Raid Fighter',0,'Monster.zenta_lizardman_warrior',13,35,54,'male','L2Minion',40,46232,987,82.92,7.7,40,43,30,41,20,10,0,0,3934,470,1612,508,278,0,333,221,0,0,44,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25105,25105,'Isirr\'s Guards',0,'Raid Fighter',0,'Monster.zenta_lizardman',11,32,54,'male','L2Minion',40,23116,987,82.92,7.7,40,43,30,41,20,10,0,0,1967,470,401,508,278,0,333,16,0,0,40,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25106,25106,'Ghost of the Well Lidia',0,'Raid Boss',0,'Monster.bloody_queen_100_bi',28,85,60,'female','L2RaidBoss',40,526218,2570,358.55,8.75,60,57,73,76,70,80,2414839,561233,1392,1107,163,599,278,0,3819,0,0,0,129,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25107,25107,'Lidia\'s Archer',0,'Raid Fighter',0,'Monster.skeleton_archer',11,27,59,'male','L2Minion',500,36451,1251,94.61,8.75,40,43,30,41,20,10,0,0,2637,539,590,584,249,0,333,279,0,0,44,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'archer','false'),
(25108,25108,'Lidia\'s Fighter',0,'Raid Fighter',0,'Monster.death_blader',15,45,59,'male','L2Minion',40,27202,1251,94.61,8.75,40,43,30,41,20,10,0,0,2637,539,590,584,278,0,333,1472,0,0,110,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25109,25109,'Antharas Priest Cloe',0,'Raid Boss',0,'Monster.succubus_100_bi',20,75,74,'female','L2RaidBoss',40,935092,3347,849.66,9.81,60,57,73,76,70,80,2212304,1028870,4649,1539,1126,833,278,0,3819,0,0,0,97,275,'NULL',0,0,12,'PARTY_ONE_RANDOM',0,0,0,'balanced','false'),
(25110,25110,'Cloe\'s Servitor',0,'Raid Fighter',0,'Monster.silhouette',8,23,73,'female','L2Minion',40,65759,1637,224.99,9.81,40,43,30,41,20,10,0,0,12029,753,7784,815,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25111,25111,'Cloe\'s Servitor',0,'Raid Fighter',0,'Monster.shadow',10,30,73,'male','L2Minion',40,98148,1637,224.99,9.81,40,43,30,41,20,10,0,0,18045,753,17523,815,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25112,25112,'Agent of Beres, Meana',0,'Raid Boss',0,'Monster.medusa_100_bi',20,53,30,'female','L2RaidBoss',40,127782,763,155.08,5.72,60,57,73,76,70,80,890100,105037,157,423,4,229,409,0,3819,0,0,0,50,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25113,25113,'Meana\'s Maid',0,'Raid Fighter',0,'Monster.succubus',10,36,29,'female','L2Minion',40,8678,365,39.66,4.73,40,43,30,41,20,10,0,0,385,204,46,220,278,0,333,0,0,0,60,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25114,25114,'Meana\'s Guard Doll',0,'Raid Fighter',0,'Monster.crimson_doll',15,38,29,'male','L2Minion',40,12952,365,39.66,4.73,40,43,30,41,20,10,0,0,577,204,102,220,278,0,333,0,0,0,60,170,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25115,25115,'Icarus Sample 1',0,'Raid Boss',0,'Monster3.Kernon_Raid',33,51,40,'male','L2RaidBoss',40,294846,1120,403.46,6.74,60,57,73,76,70,80,1910416,217891,678,606,65,328,278,0,3819,0,0,0,145,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25116,25116,'Icarus Sample 2',0,'Raid Fighter',0,'Monster.skeleton_archer',11,27,39,'male','L2Minion',500,19779,531,103.89,5.72,40,43,30,41,20,10,0,0,1253,293,250,317,249,0,333,273,0,0,44,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'archer','false'),
(25117,25117,'Icarus Sample 3',0,'Raid Fighter',0,'Monster.magical_weaver',11,20,39,'male','L2Minion',40,14760,531,103.89,5.72,40,43,30,41,20,10,0,0,1253,293,250,317,278,0,333,0,0,0,99,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25118,25118,'Guilotine, Warden of the Execution Grounds',0,'Raid Boss',0,'Monster.skeleton_pikeman_100_bi',20,58,35,'male','L2RaidBoss',40,330579,1415,185.07,6.74,60,57,73,76,70,80,1193687,138419,483,509,49,275,278,0,3819,96,0,0,81,275,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25119,25119,'Messenger of Fairy Queen Berun',0,'Raid Boss',0,'Monster.pan_100_bi',42,73,50,'male','L2RaidBoss',40,507285,1722,652.12,7.7,60,57,73,76,70,80,1237500,455390,1419,835,222,452,409,0,3819,213,0,0,45,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25120,25120,'Berun\'s Officer',0,'Raid Fighter',0,'Monster.pan',14,35,49,'male','L2Minion',40,34424,830,168.74,6.74,40,43,30,41,20,10,0,0,3533,405,1429,438,278,0,333,90,0,0,45,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25121,25121,'Berun\'s Prattler',0,'Raid Fighter',0,'Monster.pixy',5,25,49,'female','L2Minion',40,51380,830,168.74,6.74,40,43,30,41,20,10,0,0,5299,405,3222,438,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25122,25122,'Refugee Hopeful Leo',0,'Raid Boss',0,'Monster.oel_mahum_witch_doctor_50_bi',22.5,54,56,'male','L2RaidBoss',40,467209,2235,325.56,7.7,60,57,73,76,70,80,1722981,291015,1111,994,119,538,409,0,3819,201,0,0,70,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25123,25123,'Leo\'s Servant',0,'Raid Fighter',0,'Monster.lesser_giant',21,44,55,'male','L2Minion',40,47946,1084,84.69,7.7,40,43,30,41,20,10,0,0,4184,483,1747,523,278,0,333,3937,0,0,15,180,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25124,25124,'Leo\'s Steward',0,'Raid Fighter',0,'Monster.lesser_giant_mage',21,44,55,'male','L2Minion',40,23973,1084,84.69,7.7,40,43,30,41,20,10,0,0,2092,483,438,523,278,0,333,3938,0,0,15,180,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25125,25125,'Fierce Tiger King Angel',0,'Raid Boss',0,'Monster.saber_toothed_tiger_200_bi',72,87,65,'male','L2RaidBoss',40,1637918,2707,828.24,8.75,60,57,73,76,70,80,1820975,806823,6654,1256,3027,680,278,0,3819,0,0,0,97,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25126,25126,'Longhorn Golkonda',0,'Raid Boss',0,'Monster.minotaur_100_bi',42,94,79,'male','L2RaidBoss',40,1974940,3718,844.9,9.81,60,57,73,76,70,80,2346616,1166150,10530,1699,5159,920,278,0,3819,91,0,0,64,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25127,25127,'Langk Matriarch Rashkos',0,'Raid Boss',0,'Monster.virud_lizardman_matriarch_50_bi',19,57,24,'male','L2RaidBoss',40,198734,763,122.59,5.72,60,57,73,76,70,80,723779,67853,184,335,13,181,278,0,3819,124,0,0,90,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25128,25128,'Vuku Grand Seer Gharmash',0,'Raid Boss',0,'Monster.batur_orc_shaman_100_bi',22,35,33,'male','L2RaidBoss',40,148507,860,172.79,5.72,60,57,73,76,70,80,984556,97626,204,473,9,256,278,0,3819,195,0,0,81,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25129,25129,'Vuku Shaman',0,'Raid Fighter',0,'Monster.orc_shaman',9,22,32,'male','L2Minion',40,10036,414,44.29,5.72,40,43,30,41,20,10,0,0,500,228,74,247,278,0,333,7,0,0,49,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25130,25130,'Gharmash\'s Pet Trimden',0,'Raid Fighter',0,'Monster.poison_spider',27,25.5,32,'male','L2Minion',40,14980,414,44.29,5.72,40,43,30,41,20,10,0,0,749,228,161,247,278,0,333,0,0,0,66,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25131,25131,'Carnage Lord Gato',0,'Raid Boss',0,'Monster.oel_mahum_50_bi',30,57,50,'male','L2RaidBoss',40,369009,1415,285.12,6.74,60,57,73,76,70,80,1670250,297042,758,835,61,452,278,0,3819,71,0,0,113,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25132,25132,'Gato\'s Marksman',0,'Raid Fighter',0,'Monster.ol_mahum_archer',14,25,49,'male','L2Minion',500,25080,677,73.9,6.74,40,43,30,41,20,10,0,0,1417,405,234,438,249,0,333,273,0,0,55,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25133,25133,'Gato\'s Troop Leader',0,'Raid Fighter',0,'Monster.ol_mahum_champion',14,27,49,'male','L2Minion',40,18716,677,73.9,6.74,40,43,30,41,20,10,0,0,1417,405,234,438,278,0,333,69,0,0,55,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25134,25134,'Leto Chief Talkin',0,'Raid Boss',0,'Monster3.Zenta_Lizardman_Raid',37.5,30,40,'male','L2RaidBoss',40,218810,1722,217.25,7.7,60,57,73,76,70,80,1279280,187517,363,606,17,328,409,0,3819,0,0,0,60,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25135,25135,'Talkin\'s Seer',0,'Raid Fighter',0,'Monster.virud_lizardman_shaman',10,29,39,'male','L2Minion',40,21961,830,55.95,6.74,40,43,30,41,20,10,0,0,670,293,69,317,278,0,333,7,0,0,43,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25136,25136,'Talkin\'s Bodyguard',0,'Raid Fighter',0,'Monster.zenta_lizardman_warrior',13,35,39,'male','L2Minion',40,10980,830,55.95,6.74,40,43,30,41,20,10,0,0,670,293,69,317,278,0,333,16,0,0,40,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25137,25137,'Beleth\'s Seer Sephia',0,'Raid Boss',0,'Monster.bloody_queen_100_bi',28,85,55,'female','L2RaidBoss',40,451391,2039,318.92,7.7,60,57,73,76,70,80,2001376,387789,1046,966,111,523,278,0,3819,0,0,0,129,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25138,25138,'Soul Drinker',0,'Raid Fighter',0,'Monster.mana_vampire',11,20,54,'male','L2Minion',40,30975,987,82.92,7.7,40,43,30,41,20,10,0,0,2623,470,719,508,278,0,333,0,0,0,99,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25139,25139,'Sephia\'s Salve',0,'Raid Fighter',0,'Monster.kaim_vanul',24,40,54,'male','L2Minion',40,46232,987,82.92,7.7,40,43,30,41,20,10,0,0,3934,470,1612,508,278,0,333,0,0,0,40,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25140,25140,'Hekaton Prime',0,'Raid Boss',0,'Monster.susceptor',20,35,65,'male','L2RaidBoss',40,818959,2707,673.33,8.75,60,57,73,76,70,80,3674504,679343,3327,1256,758,680,278,0,3819,0,0,0,43,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25141,25141,'Hekaton Cottus',0,'Raid Fighter',0,'Monster.gamlin',11,32,64,'male','L2Minion',40,85286,1319,177.86,8.75,40,43,30,41,20,10,0,0,12713,613,11658,663,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25142,25142,'Hekaton Chires',0,'Raid Fighter',0,'Monster.lesser_giant',21,44,64,'male','L2Minion',40,42643,1319,177.86,8.75,40,43,30,41,20,10,0,0,6357,613,2912,663,278,0,333,3937,0,0,16,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25143,25143,'Fire of Wrath Shuriel',0,'Raid Boss',0,'Monster.angel',13.5,36.5,78,'male','L2RaidBoss',40,977229,3718,844.9,9.81,60,57,73,76,70,80,2287584,1166150,5153,1667,1259,903,278,0,3819,2500,0,0,48,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25144,25144,'Shuriel\'s Oracle',0,'Raid Fighter',0,'Monster.oel_mahum_witch_doctor',15,34,78,'male','L2Minion',40,103799,1859,224.36,9.81,40,43,30,41,20,10,0,0,10305,833,5031,902,278,0,333,201,0,0,77,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25145,25145,'Shuriel\'s Paladin',0,'Raid Fighter',0,'Monster.kel_mahum_champion',13,32,78,'male','L2Minion',40,51899,1859,224.36,9.81,40,43,30,41,20,10,0,0,10305,833,5031,902,278,0,333,147,0,0,55,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25146,25146,'Serpent Demon Bifrons',0,'Raid Boss',0,'Monster.serpent_slave_50_bi',25,72,21,'male','L2RaidBoss',40,90169,485,92.58,4.73,60,57,73,76,70,80,578451,45688,70,296,1,160,278,0,3819,73,0,0,113,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25147,25147,'Assassin of Bifrons',0,'Raid Fighter',0,'Monster.virud_lizardman_scout',10,22,20,'male','L2Minion',500,6241,227,23.53,4.73,40,43,30,41,20,10,0,0,127,142,10,154,249,0,333,2507,0,0,47,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25148,25148,'Butcher of Bifrons',0,'Raid Fighter',0,'Monster.virud_lizardman_warrior',12,30,20,'male','L2Minion',40,4657,227,23.53,4.73,40,43,30,41,20,10,0,0,127,142,10,154,278,0,333,16,0,0,57,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25149,25149,'Zombie Lord Crowl',0,'Raid Boss',0,'Monster3.Zombie_Raid',26,22,25,'male','L2RaidBoss',40,103092,606,127.71,4.73,60,57,73,76,70,80,856025,92883,101,348,6,189,278,0,3819,0,0,0,24,24,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25150,25150,'Evil Spirit Archer',0,'Raid Fighter',0,'Monster.skeleton_archer',11,27,24,'male','L2Minion',500,7071,287,32.55,4.73,40,43,30,41,20,10,0,0,184,167,13,181,249,0,333,14,0,0,44,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'archer','false'),
(25151,25151,'Evil Spirit Warrior',0,'Raid Fighter',0,'Monster.skeleton',11,25,24,'male','L2Minion',40,5277,287,32.55,4.73,40,43,30,41,20,10,0,0,184,167,13,181,278,0,333,946,0,0,66,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25152,25152,'Flame Lord Shadar',0,'Raid Boss',0,'Monster.dre_vanul_100_bi',28,75,35,'male','L2RaidBoss',40,165289,927,185.07,5.72,60,57,73,76,70,80,1193687,138419,242,509,14,275,278,0,3819,0,0,0,129,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25153,25153,'Claws of Shadar',0,'Raid Fighter',0,'Monster.imp',10,24,34,'male','L2Minion',40,16632,446,47.49,5.72,40,43,30,41,20,10,0,0,888,245,189,266,278,0,333,0,0,0,66,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25154,25154,'Whip of Shadar',0,'Raid Fighter',0,'Monster.succubus',10,36,34,'female','L2Minion',40,8316,446,47.49,5.72,40,43,30,41,20,10,0,0,444,245,45,266,278,0,333,0,0,0,66,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25155,25155,'Shaman King Selu',0,'Raid Boss',0,'Monster.batur_orc_overlord_100_bi',24,52,40,'male','L2RaidBoss',40,294846,1120,434.49,6.74,60,57,73,76,70,80,2046864,230791,678,606,65,328,278,0,3819,79,0,0,129,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25156,25156,'Fanatic Shaman',0,'Raid Fighter',0,'Monster.batur_orc_shaman',11,16,39,'male','L2Minion',40,19779,531,111.88,5.72,40,43,30,41,20,10,0,0,1671,293,440,317,278,0,333,123,19,0,55,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25157,25157,'Fanatic Soldier',0,'Raid Fighter',0,'Monster.batur_orc_warrior',10,20,39,'male','L2Minion',40,29521,531,111.88,5.72,40,43,30,41,20,10,0,0,2506,293,992,317,278,0,333,7,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25158,25158,'King Tarlk',0,'Raid Boss',0,'Monster.king_bugbear_200_bi',45,126,48,'male','L2RaidBoss',40,920790,1722,504.06,7.7,60,57,73,76,70,80,2448691,283783,2471,786,735,425,278,0,3819,160,0,0,89,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25159,25159,'Paniel the Unicorn',0,'Raid Boss',0,'Monster.unicorn',14,30,54,'male','L2RaidBoss',40,435256,1975,312.26,7.7,60,57,73,76,70,80,1983647,381736,984,939,109,509,278,0,3819,0,0,0,74,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25160,25160,'Rapini the Unicorn',0,'Raid Fighter',0,'Monster.unicorn_boxer',11,18,53,'male','L2Minion',40,44492,955,81.13,7.7,40,43,30,41,20,10,0,0,1847,456,368,494,278,0,333,0,0,0,29,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25161,25161,'Ririf the Unicorn',0,'Raid Fighter',0,'Monster.unicorn_mirage',13,17,53,'male','L2Minion',40,22246,955,81.13,7.7,40,43,30,41,20,10,0,0,1847,456,368,494,278,0,333,0,0,0,29,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25162,25162,'Giant Marpanak',0,'Raid Boss',0,'Monster.lesser_giant_100_bi',42,91,60,'male','L2RaidBoss',40,1461912,2368,652.22,8.75,60,57,73,76,70,80,3123036,491139,5208,1107,2232,599,278,0,3819,3937,0,0,24,291,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25163,25163,'Roaring Skylancer',0,'Raid Boss',0,'Monster3.Drake_Raid',30,50,70,'male','L2RaidBoss',40,888658,3058,844.9,9.81,60,57,73,76,70,80,1915900,918808,8155,1412,3693,764,278,0,3819,0,0,0,113,275,'NULL',0,0,12,'LAST_HIT',0,0,0,'balanced','false'),
(25166,25166,'Ikuntai',0,'Raid Boss',0,'Monster.skeleton_knight_50_bi',15,39,25,'male','L2RaidBoss',40,134813,606,237.19,4.73,60,57,73,76,70,80,1278325,108133,187,348,12,189,278,0,3819,150,0,0,64,275,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25167,25167,'Ikuntai\'s Servitor',0,'Raid Fighter',0,'Monster.silhouette',8,23,24,'female','L2Minion',40,13786,287,60.47,4.73,40,43,30,41,20,10,0,0,341,167,52,181,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25168,25168,'Pawn of Ikuntai',0,'Raid Fighter',0,'Monster.skeleton_pikeman',10,28,24,'male','L2Minion',40,6893,287,60.47,4.73,40,43,30,41,20,10,0,0,341,167,52,181,278,0,333,299,0,0,55,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25169,25169,'Ragraman',0,'Raid Boss',0,'Monster.batur_orc_overlord_100_bi',24,52,30,'male','L2RaidBoss',40,336732,763,288,5.72,60,57,73,76,70,80,1329219,122342,589,423,98,229,278,0,3819,72,0,0,129,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25170,25170,'Lizardmen Leader Hellion',0,'Raid Boss',0,'Monster.zenta_lizardman_matriarch_50_bi',30,63,38,'male','L2RaidBoss',40,195371,1028,204.16,5.72,60,57,73,76,70,80,1064286,131051,309,566,18,306,278,0,3819,223,0,0,85,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25171,25171,'Hellion\'s Archers',0,'Raid Fighter',0,'Monster.zenta_lizardman_scout',11,30,37,'male','L2Minion',500,13142,497,52.5,5.72,40,43,30,41,20,10,0,0,570,273,63,296,249,0,333,278,0,0,40,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25172,25172,'Hellion\'s Guards',0,'Raid Fighter',0,'Monster.zenta_lizardman_warrior',13,35,37,'male','L2Minion',40,9807,497,52.5,5.72,40,43,30,41,20,10,0,0,570,273,63,296,278,0,333,291,0,0,44,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25173,25173,'Tiger King Karuta',0,'Raid Boss',0,'Monster.saber_toothed_tiger_200_bi',72,87,45,'male','L2RaidBoss',40,288415,1415,250.9,6.74,60,57,73,76,70,80,1591877,230991,532,715,36,387,278,0,3819,0,0,0,97,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25174,25174,'Karuta\'s Follower',0,'Raid Fighter',0,'Monster.heltor_silenos_chieftain',13,31.5,44,'male','L2Minion',40,29037,677,64.81,6.74,40,43,30,41,20,10,0,0,988,346,142,374,278,0,333,127,0,0,29,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25175,25175,'Karuta\'s Inferiors',0,'Raid Fighter',0,'Monster.crimson_bear',19,36,44,'male','L2Minion',40,14518,677,64.81,6.74,40,43,30,41,20,10,0,0,988,346,142,374,278,0,333,0,0,0,40,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25176,25176,'Black Lily',0,'Raid Boss',0,'Monster3.Succubus_Raid',28,34,55,'female','L2RaidBoss',40,451391,2039,318.92,7.7,60,57,73,76,70,80,1707842,285150,1046,966,111,523,278,0,3819,0,0,0,129,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25177,25177,'Guardian Knight of Black Lily',0,'Raid Fighter',0,'Monster.death_knight',12,31,54,'male','L2Minion',40,46232,987,82.92,7.7,40,43,30,41,20,10,0,0,3934,470,1612,508,278,0,333,75,0,0,29,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25178,25178,'Servitor of Black Lily',0,'Raid Fighter',0,'Monster.silhouette',8,23,54,'female','L2Minion',40,23116,987,82.92,7.7,40,43,30,41,20,10,0,0,1967,470,401,508,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25179,25179,'Guardian of the Statue of Giant Karum',0,'Raid Boss',0,'Monster.lesser_giant_shooter_50_bi',31.5,69,60,'male','L2RaidBoss',40,526218,2368,351.19,8.75,60,57,73,76,70,80,2091330,424759,1392,1107,163,599,278,0,3819,3937,0,0,24,291,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25180,25180,'Karum\'s Guard',0,'Raid Fighter',0,'Monster.lesser_giant_mage',21,44,59,'male','L2Minion',40,36451,1150,91.59,7.7,40,43,30,41,20,10,0,0,3517,539,1047,583,278,0,333,3938,0,0,16,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25181,25181,'Karum\'s Warrior',0,'Raid Fighter',0,'Monster.susceptor',20,35,59,'male','L2Minion',40,54404,1150,91.59,7.7,40,43,30,41,20,10,0,0,5275,539,2354,583,278,0,333,0,0,0,29,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25182,25182,'Demon Kurikups',0,'Raid Boss',0,'Monster.karik_100_bi',50,180,59,'male','L2RaidBoss',40,512194,2707,362.57,8.75,60,57,73,76,70,80,2460640,581209,1319,1078,145,584,278,0,3819,0,0,0,59,324,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25183,25183,'Kurikups\' Wife',0,'Raid Fighter',0,'Monster.bloody_queen',14,40,58,'female','L2Minion',40,13187,1319,95.76,8.75,40,43,30,41,20,10,0,0,2495,525,545,568,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25184,25184,'Devil Blader of Chaos',0,'Raid Fighter',0,'Monster.death_blader',15,45,58,'male','L2Minion',40,6593,1319,95.76,8.75,40,43,30,41,20,10,0,0,2495,525,545,568,278,0,333,1472,0,0,110,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25185,25185,'Tasaba Patriarch Hellena',0,'Raid Boss',0,'Monster.zenta_lizardman_matriarch',20,40,35,'male','L2RaidBoss',40,165289,927,185.07,5.72,60,57,73,76,70,80,1193687,138419,242,509,14,275,278,0,3819,225,0,0,85,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25186,25186,'Hellena\'s Marksman',0,'Raid Fighter',0,'Monster.zenta_lizardman_scout',11,30,34,'male','L2Minion',500,11143,446,47.49,5.72,40,43,30,41,20,10,0,0,444,245,45,266,249,0,333,272,0,0,40,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25187,25187,'Helena\'s Soldier',0,'Raid Fighter',0,'Monster.zenta_lizardman_warrior',13,35,34,'male','L2Minion',40,8316,446,47.49,5.72,40,43,30,41,20,10,0,0,444,245,45,266,278,0,333,16,0,0,44,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25188,25188,'Apepi',0,'Raid Boss',0,'Monster.lienrik',12,50,30,'male','L2RaidBoss',40,255564,763,155.08,5.72,60,57,73,76,70,80,759553,78807,315,423,25,229,278,0,3819,0,0,0,162,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25189,25189,'Cronos\'s Servitor Mumu',0,'Raid Boss',0,'Monster.cutie_cat',8,15,34,'female','L2RaidBoss',40,156584,893,178.88,5.72,60,57,73,76,70,80,1001975,100648,222,491,9,266,278,0,3819,0,0,0,77,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25190,25190,'Mumu\'s Wizard',0,'Raid Fighter',0,'Monster.cutie_cat',8,15,33,'female','L2Minion',40,10568,430,45.88,5.72,40,43,30,41,20,10,0,0,544,236,76,256,278,0,333,0,0,0,52,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25191,25191,'Mumu\'s Warrior',0,'Raid Fighter',0,'Monster.cat_the_cat',9,16,33,'male','L2Minion',40,15774,430,45.88,5.72,40,43,30,41,20,10,0,0,816,236,178,256,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25192,25192,'Earth Protector Panathen',0,'Raid Boss',0,'Monster.farhite',16,31,43,'male','L2RaidBoss',40,258849,1296,237.31,6.74,60,57,73,76,70,80,1557899,221896,458,670,29,363,278,0,3819,183,0,0,24,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25193,25193,'Panathen\'s Knight',0,'Raid Fighter',0,'Monster.nos',26,42,42,'male','L2Minion',40,26011,618,61.23,6.74,40,43,30,41,20,10,0,0,1697,324,457,351,278,0,333,5130,0,0,19,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25194,25194,'Panathen\'s Protectors',0,'Raid Fighter',0,'Monster.dailaon',20,28,42,'male','L2Minion',500,13005,618,61.23,6.74,40,43,30,41,20,10,0,0,848,324,112,351,278,0,333,5127,0,0,19,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25198,25198,'Fafurion\'s Herald Lokness',0,'Raid Boss',0,'Monster3.Water_Drake',45,150,70,'male','L2RaidBoss',40,1777317,2639,844.9,8.75,60,57,73,76,70,80,1915900,918808,8155,1412,3693,764,278,0,3819,0,0,0,113,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25199,25199,'Water Dragon Seer Sheshark',0,'Raid Boss',0,'Monster.virud_lizardman_shaman',10,29,72,'male','L2RaidBoss',40,912634,2707,741.47,8.75,60,57,73,76,70,80,4674309,805512,4369,1475,1063,799,278,0,3819,181,0,0,69,324,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25200,25200,'Family of Sheshark',0,'Raid Fighter',0,'Monster.lienrik',12,50,71,'male','L2Minion',40,64111,1319,196.58,8.75,40,43,30,41,20,10,0,0,11265,722,7328,781,278,0,333,0,0,0,110,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25201,25201,'Guard of Sheshark',0,'Raid Fighter',0,'Monster.virud_lizardman_warrior',12,30,71,'male','L2Minion',40,95688,1319,196.58,8.75,40,43,30,41,20,10,0,0,16898,722,16495,781,278,0,333,6370,0,0,57,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25202,25202,'Krokian Padisha Sobekk',0,'Raid Boss',0,'Monster.nos_100_bi',52,86,74,'male','L2RaidBoss',40,935092,2777,849.66,8.75,60,57,73,76,70,80,2212304,1028870,4649,1539,1126,833,278,0,3819,5130,0,0,29,275,'NULL',0,0,12,'PARTY_ONE_RANDOM',0,0,0,'balanced','false'),
(25203,25203,'Parhit Padisha Sobekk',0,'Raid Fighter',0,'Monster.farhite_100_bi',32,65,73,'male','L2Minion',40,98148,1353,224.99,8.75,40,43,30,41,20,10,0,0,9022,753,4382,815,278,0,333,5131,0,0,16,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25204,25204,'Krokian Padisha Sobekk',0,'Raid Fighter',0,'Monster.crokian_100_bi',36,61,73,'male','L2Minion',40,49074,1353,224.99,8.75,40,43,30,41,20,10,0,0,9022,753,4382,815,278,0,333,5128,0,0,19,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25205,25205,'Ocean Flame Ashakiel',0,'Raid Boss',0,'Monster.archangel_50_bi',22,120,76,'male','L2RaidBoss',40,956490,3274,742.11,9.81,60,57,73,76,70,80,4888056,961047,4912,1603,1184,868,278,0,3819,98,0,0,81,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25206,25206,'Ashakiel\'s Blade',0,'Raid Fighter',0,'Monster2.apostle_warrior',8,30,75,'female','L2Minion',40,100472,1601,197.17,9.81,40,43,30,41,20,10,0,0,19135,785,18465,850,278,0,333,6717,0,0,55,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25207,25207,'Ashakiel\'s Rod',0,'Raid Fighter',0,'Monster2.apostle_mage',11,38.5,75,'male','L2Minion',40,50236,1601,197.17,9.81,40,43,30,41,20,10,0,0,9568,785,4618,850,278,0,333,6718,0,0,55,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25208,25208,'Water Couatle Ateka',0,'Raid Boss',0,'Monster.lienrik',12,50,40,'male','L2RaidBoss',40,218810,1722,217.25,7.7,60,57,73,76,70,80,1279280,187517,363,606,17,328,278,0,3819,0,0,0,162,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25209,25209,'Ateka\'s Shaman',0,'Raid Fighter',0,'Monster.lienrik',12,50,39,'male','L2Minion',40,14713,830,55.95,6.74,40,43,30,41,20,10,0,0,893,293,125,317,278,0,333,0,0,0,110,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25210,25210,'Ateka\'s Grunt',0,'Raid Fighter',0,'Monster.lienrik',12,50,39,'male','L2Minion',40,21961,830,55.95,6.74,40,43,30,41,20,10,0,0,1340,293,284,317,278,0,333,0,0,0,110,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25211,25211,'Sebek',0,'Raid Boss',0,'Monster.nos',26,42,36,'male','L2RaidBoss',40,174646,1975,191.35,7.7,60,57,73,76,70,80,1212311,142855,262,527,12,285,278,0,3819,5130,0,0,29,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25212,25212,'Sebek\'s Priest',0,'Raid Fighter',0,'Monster.zenta_lizardman_scout',11,30,35,'male','L2Minion',500,11763,955,49.14,7.7,40,43,30,41,20,10,0,0,483,254,49,275,249,0,333,279,0,0,40,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25213,25213,'Sebek\'s Fanatic',0,'Raid Fighter',0,'Monster.dailaon',20,28,35,'male','L2Minion',500,8778,955,49.14,7.7,40,43,30,41,20,10,0,0,483,254,49,275,278,0,333,5127,0,0,19,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25214,25214,'Fafurion\'s Page Sika',0,'Raid Boss',0,'Monster.water_giant',13,44,40,'male','L2RaidBoss',80,218810,2368,217.25,8.75,60,57,73,76,70,80,1091654,139773,363,606,17,328,278,0,3819,5132,0,0,56,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25215,25215,'Sika\'s Wizard',0,'Raid Fighter',0,'Monster.undine',12,27,39,'female','L2Minion',40,14713,1150,55.95,7.7,40,43,30,41,20,10,0,0,893,293,125,317,278,0,333,0,0,0,66,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25216,25216,'Sika\'s Fighter',0,'Raid Fighter',0,'Monster.undine',12,27,39,'female','L2Minion',40,21961,1150,55.95,7.7,40,43,30,41,20,10,0,0,1340,293,284,317,278,0,333,0,0,0,66,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25217,25217,'Cursed Clara',0,'Raid Boss',0,'Monster.medusa',10,25,50,'female','L2RaidBoss',40,369009,1722,285.12,7.7,60,57,73,76,70,80,1425270,224177,758,835,61,452,278,0,3819,0,0,0,81,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25218,25218,'Clara\'s Marksman',0,'Raid Fighter',0,'Monster.virud_lizardman_scout',10,22,49,'male','L2Minion',500,25080,830,73.9,6.74,40,43,30,41,20,10,0,0,1417,405,234,438,249,0,333,2507,0,0,47,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25219,25219,'Clara\'s Pawn',0,'Raid Fighter',0,'Monster.virud_lizardman_warrior',12,30,49,'male','L2Minion',40,18716,830,73.9,6.74,40,43,30,41,20,10,0,0,1417,405,234,438,278,0,333,94,0,0,57,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25220,25220,'Death Lord Hallate',0,'Raid Boss',0,'Monster.death_lord',21,40,73,'male','L2RaidBoss',40,924022,3274,847.28,9.81,60,57,73,76,70,80,2190219,1002134,4511,1507,1093,816,278,0,3819,78,0,0,64,275,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25221,25221,'Death Mage Krician',0,'Raid Fighter',0,'Monster.death_blader',15,45,72,'male','L2Minion',40,64948,1601,224.99,9.81,40,43,30,41,20,10,0,0,11651,737,7547,798,278,0,333,1472,0,0,110,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25222,25222,'Death Fighter Harik',0,'Raid Fighter',0,'Monster.death_knight',12,31,72,'male','L2Minion',40,96938,1601,224.99,9.81,40,43,30,41,20,10,0,0,17477,737,16979,798,278,0,333,75,0,0,29,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25223,25223,'Soul Collector Acheron',0,'Raid Boss',0,'Monster.vale_master_50_bi',18,63,35,'male','L2RaidBoss',40,165289,1237,185.07,6.74,60,57,73,76,70,80,1018607,103175,242,509,14,275,409,0,3819,192,0,0,70,160,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25224,25224,'Soul Slasher',0,'Raid Fighter',0,'Monster.dark_horror',20,35,34,'male','L2Minion',40,11143,589,47.49,6.74,40,43,30,41,20,10,0,0,592,245,87,266,278,0,333,0,0,0,100,140,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25225,25225,'Soul Strainer',0,'Raid Fighter',0,'Monster.hungry_spirit',30,40,34,'male','L2Minion',40,16632,531,47.49,5.72,40,43,30,41,20,10,0,0,888,245,189,266,278,0,333,0,0,0,15,155,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25226,25226,'Roaring Lord Kastor',0,'Raid Boss',0,'Monster.oel_mahum_witch_doctor_50_bi',22.5,54,62,'male','L2RaidBoss',40,768537,2502,712.52,8.75,60,57,73,76,70,80,3828086,679088,2886,1166,656,631,409,0,3819,186,0,0,70,180,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25227,25227,'Kastor\'s Seer',0,'Raid Fighter',0,'Monster.oel_mahum_witch_doctor',15,34,61,'male','L2Minion',40,79678,1217,187.91,8.75,40,43,30,41,20,10,0,0,5487,568,2528,615,278,0,333,9,0,0,70,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25228,25228,'Kastor\'s Prefect',0,'Raid Fighter',0,'Monster.oel_mahum_warrior',20,38,61,'male','L2Minion',40,39839,1217,187.91,8.75,40,43,30,41,20,10,0,0,5487,568,2528,615,278,0,333,79,0,0,70,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25229,25229,'Storm Winged Naga',0,'Raid Boss',0,'Monster.wyrm_50_bi',58,108,75,'male','L2RaidBoss',40,1891801,3420,849.66,9.81,60,57,73,76,70,80,2238750,1054472,9568,1571,4618,851,278,0,3819,0,0,0,113,324,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25230,25230,'Timak Seer Ragoth',0,'Raid Boss',0,'Monster.batur_orc_shaman_50_bi',15,25,57,'male','L2RaidBoss',40,482650,2169,332.08,7.7,60,57,73,76,70,80,2036961,401639,1178,1021,124,553,278,0,3819,201,0,0,81,259,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25231,25231,'Ragoth\'s Guard',0,'Raid Fighter',0,'Monster.batur_orc_warrior',10,20,56,'male','L2Minion',40,49626,1052,86.44,7.7,40,43,30,41,20,10,0,0,4443,497,1880,537,278,0,333,74,657,0,88,192,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25232,25232,'Ragoth\'s Herald',0,'Raid Fighter',0,'Monster.batur_orc',9,21.5,56,'male','L2Minion',40,24813,1052,86.44,7.7,40,43,30,41,20,10,0,0,2222,497,468,537,278,0,333,74,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25233,25233,'Spirit of Andras, the Betrayer',0,'Raid Boss',0,'Monster.headless_knight_50_bi',30,46.5,69,'male','L2RaidBoss',40,1256671,3643,368.4,9.81,60,57,73,76,70,80,2558623,621496,4225,1380,1031,747,278,0,3819,2500,0,0,113,307,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25234,25234,'Ancient Weird Drake',0,'Raid Boss',0,'Monster.drake_50_bi',45,150,60,'male','L2RaidBoss',40,1052436,2707,362.57,8.75,60,57,73,76,70,80,2460640,581209,2784,1107,646,599,278,0,3819,0,0,0,113,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25235,25235,'Vanor Chief Kandra',0,'Raid Boss',0,'Monster.heltor_silenos_50_bi',19,43.5,72,'male','L2RaidBoss',40,912634,3202,847.28,9.81,60,57,73,76,70,80,2161728,977072,4369,1475,1063,799,278,0,3819,135,0,0,55,291,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25236,25236,'Kandra\'s Healer',0,'Raid Fighter',0,'Monster.heltor_silenos_shaman',13,32,71,'male','L2Minion',40,95688,1565,224.36,9.81,40,43,30,41,20,10,0,0,8449,722,4121,781,278,0,333,200,0,0,31,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25237,25237,'Kandra\'s Guard',0,'Raid Fighter',0,'Monster.heltor_silenos_warrior',13,31,71,'male','L2Minion',40,47844,1565,224.36,9.81,40,43,30,41,20,10,0,0,8449,722,4121,781,278,0,333,228,0,0,39,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25238,25238,'Abyss Brukunt',0,'Raid Boss',0,'Monster.drake_50_bi',45,150,59,'male','L2RaidBoss',40,512194,2846,365.85,8.75,60,57,73,76,70,80,2508399,600107,4130,1078,145,584,278,0,3819,0,0,0,113,299,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25239,25239,'Monstrous Beast of Abyss Brukunt',0,'Raid Fighter',0,'Monster.hunter_gargoyle',10,56,58,'male','L2Minion',40,52860,1388,96.74,8.75,40,43,30,41,20,10,0,0,2495,525,545,568,278,0,333,0,0,0,11,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25240,25240,'Wild Beast of Abyss Brukunt',0,'Raid Fighter',0,'Monster.saber_toothed_tiger',34,28,58,'male','L2Minion',40,26430,1388,96.74,8.75,40,43,30,41,20,10,0,0,2495,525,545,568,278,0,333,0,0,0,66,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25241,25241,'Harit Hero Tamash',0,'Raid Boss',0,'Monster.zenta_lizardman_warrior_50_bi',18,53,55,'male','L2RaidBoss',40,624464,2639,592.29,8.75,60,57,73,76,70,80,2988757,448385,1958,966,376,523,278,0,3819,298,0,0,64,283,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25242,25242,'Tamash\'s Advisor',0,'Raid Fighter',0,'Monster.zenta_lizardman_shaman',13,35,54,'male','L2Minion',40,42806,1285,153.99,8.75,40,43,30,41,20,10,0,0,4910,470,2944,508,278,0,333,193,0,0,43,155,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25243,25243,'Tamash\'s Servant',0,'Raid Fighter',0,'Monster.zenta_lizardman',11,32,54,'male','L2Minion',40,63890,1285,153.99,8.75,40,43,30,41,20,10,0,0,7365,470,5600,508,317,0,333,234,0,0,37,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25244,25244,'Last Lesser Giant Olkuth',0,'Raid Boss',0,'Monster.lesser_giant_50_bi',31.5,69,75,'male','L2RaidBoss',40,1891801,3420,742.51,9.81,60,57,73,76,70,80,4832156,847950,9568,1571,4618,851,278,0,3819,78,0,0,24,226,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25245,25245,'Last Lesser Giant Glaki',0,'Raid Boss',0,'Monster.lesser_giant_mage_50_bi',30,66,78,'male','L2RaidBoss',40,977229,3643,687.11,9.81,60,57,73,76,70,80,4671563,943547,5153,1667,1259,903,278,0,3819,179,0,0,24,153,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25246,25246,'Glaki\'s Henchman',0,'Raid Fighter',0,'Monster.lesser_giant',21,44,77,'male','L2Minion',40,102704,1784,182.77,9.81,40,43,30,41,20,10,0,0,20140,817,19692,885,278,0,333,169,0,0,16,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25247,25247,'Glaki\'s Servant',0,'Raid Fighter',0,'Monster.lesser_giant',21,44,77,'male','L2Minion',40,51352,1784,182.77,9.81,40,43,30,41,20,10,0,0,10070,817,4921,885,278,0,333,166,0,0,16,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25248,25248,'Doom Blade Tanatos',0,'Raid Boss',0,'Monster3.Death_Blader_Raid',15,32.5,72,'male','L2RaidBoss',40,1825269,3274,688.51,9.81,60,57,73,76,70,80,4362668,764172,8739,1475,4246,799,278,0,3819,0,0,0,162,291,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25249,25249,'Palatanos of Horrific Power',0,'Raid Boss',0,'Monster3.Jungle_Bleeze',50,50,75,'male','L2RaidBoss',40,945900,3420,742.51,9.81,60,57,73,76,70,80,4832156,847950,4784,1571,1152,851,278,0,3819,0,0,0,89,267,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25250,25250,'Man-Eating Plant of Palatanos',0,'Raid Fighter',0,'Monster.mandragora_a',11,20,74,'male','L2Minion',40,66547,1673,197.18,9.81,40,43,30,41,20,10,0,0,12398,769,7999,833,278,0,333,0,0,0,99,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25251,25251,'Sapling of Palatanos',0,'Raid Fighter',0,'Monster.mandragora_a',10,25,74,'male','L2Minion',40,99324,1673,197.18,9.81,40,43,30,41,20,10,0,0,18598,769,17998,833,278,0,333,0,0,0,44,192,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25252,25252,'Palibati Queen Themis',0,'Raid Boss',0,'Monster.cave_maiden_50_bi',37,98,70,'female','L2RaidBoss',40,888658,3058,738.73,9.81,60,57,73,76,70,80,4135551,777993,4077,1412,921,764,278,0,3819,234,0,0,113,259,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25253,25253,'Handmaiden of Themis',0,'Raid Fighter',0,'Monster.succubus',10,36,69,'female','L2Minion',40,62338,1493,195.65,8.75,40,43,30,41,20,10,0,0,10475,690,6308,747,278,0,333,0,0,0,66,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25254,25254,'Themis\'s Sentinel',0,'Raid Fighter',0,'Monster.death_blader',15,45,69,'male','L2Minion',40,93041,1493,195.65,8.75,40,43,30,41,20,10,0,0,15713,690,14196,747,278,0,333,1472,0,0,110,187,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25255,25255,'Gargoyle Lord Tiphon',0,'Raid Boss',0,'Monster.hunter_gargoyle_50_bi',37,98,65,'male','L2RaidBoss',40,1637918,2707,673.33,8.75,60,57,73,76,70,80,3674504,679343,6654,1256,3027,680,278,0,3819,0,0,0,162,291,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25256,25256,'Taik High Prefect Arak',0,'Raid Boss',0,'Monster.ketra_orc_warrior_50_bi',18,37,60,'male','L2RaidBoss',40,526218,2368,351.19,8.75,60,57,73,76,70,80,2091330,424759,1392,1107,163,599,409,0,3819,71,0,0,36,175,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25257,25257,'Arak\'s Archer',0,'Raid Fighter',0,'Monster.ketra_orc_archer',12,27,59,'male','L2Minion',500,36451,1150,91.59,7.7,40,43,30,41,20,10,0,0,2637,539,590,583,247,0,333,283,0,0,45,160,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25258,25258,'Arak\'s Footman',0,'Raid Fighter',0,'Monster.ketra_orc',12,29,59,'male','L2Minion',40,27202,1150,91.59,7.7,40,43,30,41,20,10,0,0,2637,539,590,583,278,0,333,127,0,0,45,175,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25259,25259,'Zaken\'s Butcher Krantz',0,'Raid Boss',0,'Monster.ogre_50_bi',30,66,55,'male','L2RaidBoss',40,1248928,2039,592.29,7.7,60,57,73,76,70,80,2988757,448385,3916,966,1512,523,278,0,3819,297,0,0,35,259,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25260,25260,'Iron Giant Totem',0,'Raid Boss',0,'Monster3.Steel_Trapper',27,52,45,'male','L2RaidBoss',40,392985,1722,465.93,7.7,60,57,73,76,70,80,2377188,267898,995,715,132,378,278,0,3819,0,0,0,32,81,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25261,25261,'Totem Guard Archer',0,'Raid Fighter',0,'Monster.batur_orc_archer',11,21.5,44,'male','L2Minion',500,26454,830,120.36,6.74,40,43,30,41,20,10,0,0,1846,346,485,374,249,0,333,282,0,0,49,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25262,25262,'Totem Guard',0,'Raid Fighter',0,'Monster.batur_orc',9,21.5,44,'male','L2Minion',40,19741,830,120.36,6.74,40,43,30,41,20,10,0,0,1846,346,485,374,278,0,333,215,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25263,25263,'Kernon\'s Faithful Servant Kelone',0,'Raid Boss',0,'Monster.medusa_100_bi',37,52,67,'female','L2RaidBoss',40,848789,2846,679.47,8.75,60,57,73,76,70,80,3745918,701317,3628,1318,818,714,278,0,3819,0,0,0,113,267,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25264,25264,'Kelone\'s Assassin',0,'Raid Fighter',0,'Monster.skeleton_royal_guard',11,28.5,66,'male','L2Minion',40,59369,1388,179.66,8.75,40,43,30,41,20,10,0,0,9272,643,5576,696,278,0,333,229,0,0,88,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25265,25265,'Kelone\'s Secret Knight',0,'Raid Fighter',0,'Monster.skeleton_royal_guard',11,28,66,'male','L2Minion',40,88610,1388,179.66,8.75,40,43,30,41,20,10,0,0,13908,643,12554,696,278,0,333,0,0,0,77,198,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25266,25266,'Bloody Empress Decarbia',0,'Raid Boss',0,'Monster3.lidia_von_helmann_120p',21,26,75,'female','L2RaidBoss',40,945900,3420,849.66,9.81,60,57,73,76,70,80,2238750,1054472,4784,1571,1152,851,278,0,1972,8209,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25267,25267,'Decarbia\'s Royal Guard',0,'Raid Fighter',0,'Monster.death_knight',12,31,74,'male','L2Minion',40,49662,1673,225.62,9.81,40,43,30,41,20,10,0,0,9299,769,4497,833,278,0,333,5286,0,0,29,220,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25268,25268,'Decarbia\'s Escort',0,'Raid Fighter',0,'Monster.skeleton_royal_guard',11,28.5,74,'male','L2Minion',40,99324,1673,225.62,9.81,40,43,30,41,20,10,0,0,18598,769,17998,833,278,0,333,234,0,0,88,231,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25269,25269,'Beast Lord Behemoth',0,'Raid Boss',0,'Monster3.Elder_Troll',30,72.5,70,'male','L2RaidBoss',40,888658,3058,738.73,9.81,60,57,73,76,70,80,4135551,777993,4077,1412,921,764,278,0,3819,0,0,0,89,291,'NULL',0,0,12,'LAST_HIT',0,0,0,'balanced','false'),
(25270,25270,'Behemoth Javeliner',0,'Raid Fighter',0,'Monster.virud_lizardman_scout',10,22,69,'male','L2Minion',500,62338,1493,195.65,8.75,40,43,30,41,20,10,0,0,7856,690,3551,747,249,0,333,2507,0,0,47,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25271,25271,'Behemoth Flare',0,'Raid Fighter',0,'Monster.will_o_wisp',13,22,69,'male','L2Minion',40,46520,1493,195.65,8.75,40,43,30,41,20,10,0,0,7856,690,3551,747,278,0,333,0,0,0,88,181,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25272,25272,'Partisan Leader Talakin',0,'Raid Boss',0,'Monster.ol_mahum_champion_50_bi',21,43.5,28,'male','L2RaidBoss',40,233163,1415,143.8,6.74,60,57,73,76,70,80,879287,99579,264,392,20,212,278,0,3819,77,0,0,81,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25273,25273,'Carnamakos',0,'Raid Boss',0,'Monster3.Steel_Trapper',27,52,50,'male','L2RaidBoss',40,507285,2104,651.1,7.7,60,57,73,76,70,80,3230613,486967,1419,835,222,452,278,0,3819,0,0,0,32,81,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25274,25274,'Carnabarun',0,'Raid Fighter',0,'Monster.magical_weaver',11,20,49,'male','L2Minion',40,34424,1019,169.38,7.7,40,43,30,41,20,10,0,0,3533,405,1429,439,278,0,333,0,0,0,99,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25275,25275,'Carnassiud',0,'Raid Fighter',0,'Monster.field_stalker',15,30,49,'male','L2Minion',40,51380,1019,169.38,7.7,40,43,30,41,20,10,0,0,5299,405,3222,439,278,0,333,0,0,0,77,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25276,25276,'Death Lord Ipos',0,'Raid Boss',0,'Monster.death_lord_50_bi',31,61.5,75,'male','L2RaidBoss',40,1891801,3420,849.66,9.81,60,57,73,76,70,80,2238750,1054472,9568,1571,4618,851,409,0,3819,78,0,0,40,190,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25277,25277,'Lilith\'s Witch Marilion',0,'Raid Boss',0,'Monster.bloody_queen_50_bi',21,64,50,'female','L2RaidBoss',40,507285,1722,570.25,7.7,60,57,73,76,70,80,2672375,365590,1419,835,222,452,278,0,3819,0,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25278,25278,'Dead Soul of Stigma',0,'Raid Fighter',0,'Monster.mana_vampire',11,20,49,'male','L2Minion',40,51380,830,147.79,6.74,40,43,30,41,20,10,0,0,2650,405,807,438,278,0,333,0,0,0,99,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25279,25279,'Evil Spirit of Stigma',0,'Raid Fighter',0,'Monster.magical_weaver',11,20,49,'male','L2Minion',40,25690,830,147.79,6.74,40,43,30,41,20,10,0,0,2650,405,807,438,278,0,333,0,0,0,99,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25280,25280,'Pagan Watcher Cerberon',0,'Raid Boss',0,'Monster.kel_mahum_champion_50_bi',19,48,55,'male','L2RaidBoss',40,1248928,2039,637.86,7.7,60,57,73,76,70,80,3202235,477279,3916,966,1512,523,278,0,3819,75,0,0,81,340,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25281,25281,'Anakim\'s Nemesis Zakaron',0,'Raid Boss',0,'Monster.karik_50_bi',37,136.5,70,'male','L2RaidBoss',40,1777317,3058,738.73,9.81,60,57,73,76,70,80,4135551,777993,8155,1412,3693,764,278,0,3819,0,0,0,59,348,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25282,25282,'Death Lord Shax',0,'Raid Boss',0,'Monster.death_lord_50_bi',31,61.5,75,'male','L2RaidBoss',40,1891801,3420,849.66,9.81,60,57,73,76,70,80,2238750,1054472,9568,1571,4618,851,409,0,3819,2500,0,0,40,210,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25283,25283,'Lilith',0,'Raid Boss',0,'Monster2.lilith',42.5,55,80,'female','L2RaidBoss',40,1639146,3793,842.52,9.81,60,57,73,76,70,80,2374400,1196456,7831,1731,861,937,278,0,3819,0,0,0,72,324,'NULL',0,0,12,'FULL_PARTY',0,0,0,'balanced','false'),
(25284,25284,'Lilith\'s Agent',0,'Raid Fighter',0,'Monster2.lilim_wizard',9,34,79,'female','L2Minion',40,115440,1859,224.36,9.81,40,43,30,41,20,10,0,0,20456,849,6064,919,278,0,333,0,0,0,55,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25285,25285,'Lilith\'s Escort',0,'Raid Fighter',0,'Monster2.lilim_knight',12,50,79,'male','L2Minion',40,172299,1859,224.36,9.81,40,43,30,41,20,10,0,0,30685,849,13651,919,278,0,333,5800,5799,0,61,242,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25286,25286,'Anakim',0,'Raid Boss',0,'Monster2.anakim',15.5,29,80,'female','L2RaidBoss',40,1639146,3793,842.52,9.81,60,57,73,76,70,80,2374400,1196456,7830,1731,861,937,278,0,3819,0,0,0,72,324,'NULL',0,0,12,'FULL_PARTY',0,0,0,'balanced','false'),
(25287,25287,'Anakim\'s Guardian',0,'Raid Fighter',0,'Monster2.nephilim_priest',23,40.5,79,'male','L2Minion',40,172299,1859,224.36,9.81,40,43,30,41,20,10,0,0,15343,849,3414,919,278,0,333,0,0,0,55,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25288,25288,'Anakim\'s Royal Guard',0,'Raid Fighter',0,'Monster2.nephilim_lord',10,41.5,79,'male','L2Minion',40,86149,1859,224.36,9.81,40,43,30,41,20,10,0,0,15343,849,3414,919,278,0,333,0,0,0,71,242,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25289,25289,'Anakim\'s Executor',0,'',0,'Monster2.nephilim_slayer',12,36,79,'male','L2Minion',40,86149,1859,224.36,9.81,40,43,30,41,20,10,0,0,15343,849,3414,919,278,0,333,0,0,0,71,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25290,25290,'Daimon the White-Eyed',0,'Raid Boss',0,'Monster2.hundred_eye',21,55,78,'male','L2RaidBoss',40,977229,3718,844.9,9.81,60,57,73,76,70,80,2318004,1136977,5153,1667,1259,903,409,0,3819,0,0,0,48,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25291,25291,'Family of Daimon',0,'Raid Fighter',0,'Monster.field_stalker',15,30,77,'male','L2Minion',40,68811,1859,224.99,9.81,40,43,30,41,20,10,0,0,13427,817,8754,885,278,0,333,0,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25292,25292,'Family of Daimon',0,'Raid Fighter',0,'Monster2.parasitic_eye',25,63,77,'male','L2Minion',40,102704,1859,224.99,9.81,40,43,30,41,20,10,0,0,10070,817,4921,885,278,0,333,0,0,0,33,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25293,25293,'Hestia, Guardian Deity of the Hot Springs',0,'Raid Boss',0,'Monster.pixy_bi',10,54,78,'female','L2RaidBoss',40,977229,3718,687.11,9.81,60,57,73,76,70,80,4671563,943547,5153,1667,1259,903,409,0,3819,0,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25294,25294,'Fighter of Hestia',0,'Raid Fighter',0,'Monster.yeti',15,27.5,77,'male','L2Minion',40,102704,1859,182.77,9.81,40,43,30,41,20,10,0,0,20140,817,19692,885,278,0,333,0,0,0,17,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25295,25295,'Follower of Hestia',0,'Raid Fighter',0,'Monster.yeti',15,27.5,77,'male','L2Minion',40,51352,1859,182.77,9.81,40,43,30,41,20,10,0,0,10070,817,4921,885,278,0,333,0,0,0,17,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25296,25296,'Icicle Emperor Bumbalump',0,'Raid Boss',0,'Monster.yeti_20_bi',18,32,74,'male','L2RaidBoss',40,935092,3718,849.66,9.81,60,57,73,76,70,80,2212304,1028870,4649,1539,1126,833,409,0,3819,0,0,0,25,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25297,25297,'Icicle Giant',0,'Raid Fighter',0,'Monster.stone_golem',20,31,73,'male','L2Minion',40,65759,1859,224.99,9.81,40,43,30,41,20,10,0,0,12029,753,7784,815,278,0,333,0,0,0,25,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25298,25298,'Icicle Giant',0,'Raid Fighter',0,'Monster.stone_golem',20,31,73,'male','L2Minion',40,98148,1859,224.99,9.81,40,43,30,41,20,10,0,0,18045,753,17523,815,278,0,333,0,0,0,25,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25299,25299,'Ketra\'s Hero Hekaton',0,'Raid Boss',0,'Monster2.ketra_orc_chieftain_20_bi',17,46.2,80,'male','L2RaidBoss',40,714778,3718,368.11,9.81,60,57,73,76,70,80,3206477,835990,2907,1731,386,937,409,0,3819,6719,0,0,38,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25300,25300,'Scout of Hekaton',0,'Raid Fighter',0,'Monster.ketra_orc_archer',12,27,79,'male','L2Minion',500,50349,1859,98.02,9.81,40,43,30,41,20,10,0,0,5695,849,1506,919,278,0,333,288,0,0,49,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25301,25301,'Servant of Hekaton',0,'Raid Fighter',0,'Monster.ketra_orc',12,29,79,'male','L2Minion',40,37574,1859,98.02,9.81,40,43,30,41,20,10,0,0,5695,849,1506,919,278,0,333,79,0,0,49,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25302,25302,'Ketra\'s Commander Tayr',0,'Raid Boss',0,'Monster2.ketra_orc_warlord_20_bi',15,36,80,'male','L2RaidBoss',40,743801,3718,362.02,9.81,60,57,73,76,70,80,3379556,898478,3025,1887,443,1022,409,0,3819,80,0,0,43,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25303,25303,'Tayr\'s Aide',0,'Raid Fighter',0,'Monster.ketra_orc_shaman',10,23,80,'male','L2Minion',40,52409,1859,96.62,9.81,40,43,30,41,20,10,0,0,7986,924,3040,1001,278,0,333,213,0,0,11,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25304,25304,'Tayr\'s Guard',0,'Raid Fighter',0,'Monster.ketra_orc',12,29,80,'male','L2Minion',40,78223,1859,96.62,9.81,40,43,30,41,20,10,0,0,11979,924,6844,1001,278,0,333,79,6919,0,49,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25305,25305,'Ketra\'s Chief Brakki',0,'Raid Boss',0,'Monster2.ketra_warbeast',20,33.5,80,'male','L2RaidBoss',40,1532678,3718,355.43,9.81,60,57,73,76,70,80,3526019,952059,6233,2004,1954,1085,409,0,3819,0,0,0,42,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25306,25306,'Soul of Fire Nastron',0,'Raid Boss',0,'Monster2.ifrit',10,42,80,'male','L2RaidBoss',40,534922,3718,355.43,9.81,60,57,73,76,70,80,3526018,952059,1850,2004,426,1085,409,0,3819,0,0,0,61,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25307,25307,'Family of Nastron',0,'Raid Fighter',0,'Monster.mana_vampire',11,20,80,'male','L2Minion',40,56256,1859,95.02,9.81,40,43,30,41,20,10,0,0,7326,982,6568,1064,278,0,333,0,0,0,99,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25308,25308,'Family of Nastron',0,'Raid Fighter',0,'Monster.mana_vampire',11,20,80,'male','L2Minion',40,28128,1859,95.02,9.81,40,43,30,41,20,10,0,0,3663,982,1640,1064,278,0,333,0,0,0,99,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25309,25309,'Varka\'s Hero Shadith',0,'Raid Boss',0,'Monster2.barka_silenos_shaman_20_bi',17,47.5,80,'male','L2RaidBoss',40,714778,3718,368.11,9.81,60,57,73,76,70,80,3206477,835990,2907,1731,386,937,409,0,3819,6716,0,0,58,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25310,25310,'Shadith\'s Royal Guard Captain',0,'Raid Fighter',0,'Monster2.barka_silenos_warrior',16,41,79,'male','L2Minion',40,75148,1859,98.02,9.81,40,43,30,41,20,10,0,0,11391,849,6017,919,278,0,333,142,6918,0,37,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25311,25311,'Shadith\'s Sentinel',0,'Raid Fighter',0,'Monster2.barka_silenos_hunter',16,38,79,'male','L2Minion',40,37574,1859,98.02,9.81,40,43,30,41,20,10,0,0,5695,849,1506,919,278,0,333,2504,0,0,48,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25312,25312,'Varka\'s Commander Mos',0,'Raid Boss',0,'Monster2.barka_silenos_chieftain_20_bi',22,51,80,'male','L2RaidBoss',40,743801,3718,362.02,9.81,60,57,73,76,70,80,3379556,898478,3025,1887,443,1022,409,0,3819,2500,0,0,40,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25313,25313,'Mos\' Aide',0,'Raid Fighter',0,'Monster2.barka_silenos_priest',9,41.5,80,'male','L2Minion',40,78223,1859,96.62,9.81,40,43,30,41,20,10,0,0,5990,924,1709,1001,278,0,333,6716,0,0,39,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25314,25314,'Mos\' Guard',0,'Raid Fighter',0,'Monster2.barka_silenos_hunter',16,38,80,'male','L2Minion',40,39111,1859,96.62,9.81,40,43,30,41,20,10,0,0,5990,924,1709,1001,278,0,333,142,0,0,48,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25315,25315,'Varka\'s Chief Horus',0,'Raid Boss',0,'Monster2.barka_silenos_chieftain_20_bi',22,51,80,'male','L2RaidBoss',40,1532678,3718,355.43,9.81,60,57,73,76,70,80,3526019,952059,6233,2004,1954,1085,409,0,3819,2500,0,0,40,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25316,25316,'Soul of Water Ashutar',0,'Raid Boss',0,'Monster.undine',12,27,80,'female','L2RaidBoss',40,534922,3718,355.43,9.81,60,57,73,76,70,80,3526018,952059,1850,2004,426,1085,409,0,3819,0,0,0,97,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25317,25317,'Family of Ashutar',0,'Raid Fighter',0,'Monster.magical_weaver',11,20,80,'male','L2Minion',40,56256,1859,95.02,9.81,40,43,30,41,20,10,0,0,7326,982,6568,1064,278,0,333,0,0,0,99,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25318,25318,'Family of Ashutar',0,'Raid Fighter',0,'Monster.magical_weaver',11,20,80,'male','L2Minion',40,28128,1859,95.02,9.81,40,43,30,41,20,10,0,0,3663,982,1640,1064,278,0,333,0,0,0,99,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25319,25319,'Ember',0,'Raid Boss',0,'Monster2.inferno_drake_100_bi',48,73,80,'male','L2RaidBoss',40,1048567,3718,823.48,9.81,60,57,73,76,70,80,2535975,1356048,5647,1926,1565,1043,409,0,3819,0,0,0,92,307,'NULL',0,0,13,'FULL_PARTY',0,0,0,'balanced','false'),
(25320,25320,'Sentinel of Ember',0,'Raid Fighter',0,'Monster2.lava_golem',22,45,80,'male','L2Minion',40,73883,1859,219.94,9.81,40,43,30,41,20,10,0,0,14909,943,10756,1022,278,0,333,0,0,0,14,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25321,25321,'Messenger of Ember',0,'Raid Fighter',0,'Monster2.ifrit',10,42,80,'male','L2Minion',40,110274,1859,219.94,9.81,40,43,30,41,20,10,0,0,11182,943,6049,1022,278,0,333,0,0,0,41,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25322,25322,'Demon\'s Agent Falston',0,'Raid Boss',0,'Monster2.vampire_warrior',9,31.5,66,'male','L2RaidBoss',40,834231,3718,833,9.81,60,57,73,76,70,80,1838232,828036,3477,1287,786,697,291,0,3819,6723,0,0,43,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25323,25323,'Falston\'s Disciple',0,'Raid Fighter',0,'Monster2.vampire_wizard',5.5,28,65,'female','L2Minion',40,58282,1859,219.94,9.81,40,43,30,41,20,10,0,0,8872,628,5379,680,278,0,333,99,0,0,46,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25324,25324,'Servant of Falston',0,'Raid Fighter',0,'Monster2.black_magician',8,30,65,'male','L2Minion',40,86988,1859,219.94,9.81,40,43,30,41,20,10,0,0,13308,628,12102,680,278,0,333,178,0,0,19,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25325,25325,'Flame of Splendor Barakiel',0,'Raid Boss',0,'Monster2.apostle_warrior',8,30,70,'female','L2RaidBoss',40,888658,3718,738.73,9.81,60,57,73,76,70,80,4135551,777993,4077,1412,921,764,409,0,3819,6717,0,0,81,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25326,25326,'Barakiel\'s Disciple',0,'Raid Fighter',0,'Monster2.apostle_mage',11,38.5,69,'male','L2Minion',40,93041,1859,195.65,9.81,40,43,30,41,20,10,0,0,15713,690,14196,747,278,0,333,6718,0,0,55,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25327,25327,'Barakiel\'s Acolyte',0,'Raid Fighter',0,'Monster2.apostle_mage',11,38.5,69,'male','L2Minion',40,46520,1859,195.65,9.81,40,43,30,41,20,10,0,0,7856,690,3551,747,278,0,333,6718,0,0,55,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25328,25328,'Eilhalder von Hellmann',0,'Raid Boss',0,'Monster2.vampire_lord',7.5,25.8,71,'male','L2RaidBoss',40,900867,3718,844.9,9.81,60,57,73,76,70,80,2142425,952990,4225,1443,1028,781,409,0,3819,0,0,0,15,190,'NULL',0,0,12,'PARTY_ONE_RANDOM',0,0,0,'balanced','false'),
(25329,25329,'Violet',0,'Raid Fighter',0,'Monster2.vampire_witch',6,21.5,70,'female','L2Minion',40,63242,1859,224.36,9.81,40,43,30,41,20,10,0,0,10872,706,6571,764,317,0,333,946,0,0,64,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25330,25330,'Kurstin',0,'Raid Fighter',0,'Monster2.vampire_witch',6,21.5,70,'female','L2Minion',40,63242,1859,224.36,9.81,40,43,30,41,20,10,0,0,10872,706,6571,764,317,0,333,946,0,0,64,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25331,25331,'Mina',0,'Raid Fighter',0,'Monster2.vampire_witch',6,21.5,70,'female','L2Minion',40,63242,1859,224.36,9.81,40,43,30,41,20,10,0,0,10872,706,6571,764,317,0,333,946,0,0,64,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25332,25332,'Dorian',0,'Raid Fighter',0,'Monster2.vampire_soldier',8,23.5,70,'male','L2Minion',40,94391,1859,224.36,9.81,40,43,30,41,20,10,0,0,16309,706,14781,764,278,500,333,234,0,0,60,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25333,25333,'Anakazel',0,'Invaders\' Leader',0,'Monster.dre_vanul_bi_one',21,54,28,'male','L2GrandBoss',40,193763,3718,123.26,9.81,60,57,73,76,70,80,629182,56542,132,392,15,212,409,0,3819,0,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25334,25334,'Anakazel',0,'Invaders\' Leader',0,'Monster.dre_vanul_bi_one',21,54,38,'male','L2GrandBoss',40,306698,3718,175,9.81,60,57,73,76,70,80,892440,99116,342,566,48,306,409,0,3819,0,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25335,25335,'Anakazel',0,'Invaders\' Leader',0,'Monster.kaim_vanul_20_bi',28,48,48,'male','L2GrandBoss',40,494363,3718,232.65,9.81,60,57,73,76,70,80,1173349,137957,757,786,173,425,409,0,3819,0,0,0,59,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25336,25336,'Anakazel',0,'Invaders\' Leader',0,'Monster.kaim_vanul_20_bi',28,48,58,'male','L2GrandBoss',40,705074,3718,290.19,9.81,60,57,73,76,70,80,1470377,229005,1438,1050,460,568,409,0,3819,0,0,0,59,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25337,25337,'Anakazel',0,'Invaders\' Leader',0,'Monster.karik',25,90,68,'male','L2GrandBoss',40,865808,3718,314.76,9.81,60,57,73,76,70,80,1812663,349493,2373,1349,837,730,409,0,3819,0,0,0,59,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25338,25338,'Anakazel',0,'Invaders\' Leader',0,'Monster.karik',25,90,78,'male','L2GrandBoss',40,977523,3718,317.14,9.81,60,57,73,76,70,80,2238492,462266,3303,1667,1275,903,409,0,3819,0,0,0,59,307,'NULL',0,0,13,'FULL_PARTY',0,0,0,'balanced','false'),
(25339,25339,'Shadow of Halisha',0,'Ruler of Sepulcher',0,'Monster2.halisha_a',23,60,81,'female','L2SepulcherMonster',500,503921,3718,308.57,9.81,60,57,73,76,70,80,2226652,523301,1743,1770,341,958,409,0,3819,6720,0,0,69,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25340,25340,'Knight of Shadow',0,'',0,'Monster.vale_master',12,40,80,'male','L2Minion',40,52995,1859,82.4,9.81,40,43,30,41,20,10,0,0,3451,865,1332,937,278,0,333,0,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25341,25341,'Knight of Shadow',0,'',0,'Monster2.eligor',21,35,80,'male','L2Minion',40,26497,1859,82.4,9.81,40,43,30,41,20,10,0,0,3451,865,1332,937,278,0,333,0,0,0,38,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25342,25342,'Shadow of Halisha',0,'Ruler of Sepulcher',0,'Monster2.halisha_b',23,60,81,'female','L2SepulcherMonster',500,503921,3718,308.57,9.81,60,57,73,76,70,80,2226652,523301,1743,1770,341,958,409,0,3819,6720,0,0,69,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25343,25343,'Knight of Shadow',0,'',0,'Monster.vale_master',12,40,80,'male','L2Minion',40,52995,1859,82.4,9.81,40,43,30,41,20,10,0,0,3451,865,1332,937,278,0,333,0,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25344,25344,'Knight of Shadow',0,'',0,'Monster.fiend_archer',17,55,80,'male','L2Minion',500,35507,1859,82.4,9.81,40,43,30,41,20,10,0,0,4601,865,2374,937,278,0,333,0,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25345,25345,'Knight of shadow',0,'',0,'Monster2.lilim_wizard',9,34,80,'female','L2Minion',40,35507,1859,82.4,9.81,40,43,30,41,20,10,0,0,3451,865,1332,937,278,0,333,0,0,0,55,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25346,25346,'Shadow of Halisha',0,'Ruler of Sepulcher',0,'Monster2.halisha_c',23,60,81,'female','L2SepulcherMonster',500,503921,3718,308.57,9.81,60,57,73,76,70,80,2226652,523301,1743,1770,341,958,409,0,3819,6720,0,0,69,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25347,25347,'Knight of Shadow',0,'',0,'Monster2.lilim_wizard',9,34,80,'female','L2Minion',40,35507,1859,82.4,9.81,40,43,30,41,20,10,0,0,4601,865,2374,937,278,0,333,0,0,0,55,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25348,25348,'Knight of Shadow',0,'',0,'Monster.death_lord',21,40,80,'male','L2Minion',40,52995,1859,82.4,9.81,40,43,30,41,20,10,0,0,6901,865,5339,937,278,0,333,78,0,0,44,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25349,25349,'Shadow of Halisha',0,'Ruler of Sepulcher',0,'Monster2.halisha_d',23,60,81,'female','L2SepulcherMonster',500,503921,3718,308.57,9.81,60,57,73,76,70,80,2226652,523301,1743,1770,341,958,409,0,3819,6720,0,0,69,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25350,25350,'Knight of Shadow',0,'',0,'Monster2.lilim_wizard',9,34,80,'female','L2Minion',40,35507,1859,82.4,9.81,40,43,30,41,20,10,0,0,4601,865,2374,937,278,0,333,0,0,0,55,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25351,25351,'Knight of Shadow',0,'',0,'Monster.vale_master',12,40,80,'male','L2Minion',40,52995,1859,82.4,9.81,40,43,30,41,20,10,0,0,3451,865,1332,937,278,0,333,0,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25352,25352,'Giant Wasteland Basilisk',0,'Raid Boss',0,'Monster.lesser_basilisk',34,25,30,'male','L2RaidBoss',40,127782,3718,132.92,9.81,60,57,73,76,70,80,636918,59660,157,423,4,229,409,0,3819,0,0,0,56,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25353,25353,'Giant Wasteland Basilisk',0,'Raid Fighter',0,'Monster.lesser_basilisk_sm',32,22,29,'male','L2Minion',40,12952,1859,34,9.81,40,43,30,41,20,10,0,0,577,204,102,220,278,0,333,0,0,0,38,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25354,25354,'Gargoyle Lord Sirocco',0,'Raid Boss',0,'Monster.gargoyle_bi',16,65,35,'male','L2RaidBoss',40,165289,3718,185.07,9.81,60,57,73,76,70,80,1193687,138419,242,509,14,275,409,0,3819,0,0,0,226,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25355,25355,'Sirocco\'s Gargoyle',0,'Raid Fighter',0,'Monster.gargoyle',16,50,34,'male','L2Minion',40,8316,1859,47.49,9.81,40,43,30,41,20,10,0,0,444,245,45,266,278,0,333,0,0,0,140,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25356,25356,'Sirocco\'s Guards',0,'Raid Fighter',0,'Monster.gargoyle',16,50,34,'male','L2Minion',40,16632,1859,47.49,9.81,40,43,30,41,20,10,0,0,888,245,189,266,278,0,333,0,0,0,154,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25357,25357,'Sukar Wererat Chief',0,'Raid Boss',0,'Monster.wererat',14,25,21,'male','L2RaidBoss',40,90169,3718,92.58,9.81,60,57,73,76,70,80,578451,45688,70,296,1,160,409,0,3819,216,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25358,25358,'Sukar Wererat Guard',0,'Raid Fighter',0,'Monster.wererat_sm',12,18.7,20,'male','L2Minion',40,9314,1859,23.53,9.81,40,43,30,41,20,10,0,0,253,142,35,154,278,0,333,216,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25359,25359,'Sukar Wererat Priest',0,'Raid Fighter',0,'Monster.wererat_sm',12,18.7,20,'male','L2Minion',40,9314,1859,23.53,9.81,40,43,30,41,20,10,0,0,127,142,10,154,278,0,333,179,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25360,25360,'Tiger Hornet',0,'Raid Boss',0,'Monster.giant_bee_bi',8,32,26,'male','L2RaidBoss',40,107186,3718,113.98,9.81,60,57,73,76,70,80,621174,53601,110,362,6,196,409,0,3819,0,0,0,145,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25361,25361,'Yellow Hornet',0,'Raid Fighter',0,'Monster.giant_bee',8,24.5,25,'male','L2Minion',40,10950,1859,29.07,9.81,40,43,30,41,20,10,0,0,403,174,71,189,278,0,333,0,0,0,99,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25362,25362,'Tracker Leader Sharuk',0,'Raid Boss',0,'Monster.virud_lizardman_warrior',12,30,23,'male','L2RaidBoss',40,95986,3718,100.82,9.81,60,57,73,76,70,80,599426,50860,84,321,1,174,409,0,3819,291,0,0,84,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25363,25363,'Sharuk\'s Tracker',0,'Raid Fighter',0,'Monster.virud_lizardman',10,23,22,'male','L2Minion',40,4935,1859,25.66,9.81,40,43,30,41,20,10,0,0,153,154,15,167,278,0,333,2,0,0,47,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25364,25364,'Sharuk\'s Marksman',0,'Raid Fighter',0,'Monster.virud_lizardman_scout',10,22,22,'male','L2Minion',500,6613,1859,25.66,9.81,40,43,30,41,20,10,0,0,153,154,15,167,278,0,333,2507,0,0,47,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25365,25365,'Patriarch Kuroboros',0,'Raid Boss',0,'Monster.virud_lizardman_warrior_bi',12,34.5,26,'male','L2RaidBoss',40,214372,3718,113.98,9.81,60,57,73,76,70,80,621174,53601,221,362,16,196,409,0,3819,93,0,0,84,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25366,25366,'Kuroboros\' Priest',0,'Raid Boss',0,'Monster.virud_lizardman_matriarch',13,37,23,'male','L2RaidBoss',40,95986,3718,100.82,9.81,60,57,73,76,70,80,599426,50860,84,321,1,174,409,0,3819,2,0,0,90,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25367,25367,'Kuroboros\' Follower',0,'Raid Fighter',0,'Monster.virud_lizardman',10,23,22,'male','L2Minion',40,9870,1859,25.66,9.81,40,43,30,41,20,10,0,0,305,154,54,167,278,0,333,1,102,0,47,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25368,25368,'Kuroboros\' Discipline',0,'Raid Fighter',0,'Monster.virud_lizardman_shaman',10,29,22,'male','L2Minion',40,9870,1859,25.66,9.81,40,43,30,41,20,10,0,0,153,154,15,167,278,0,333,179,0,0,47,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25369,25369,'Soul Scavenger',0,'Raid Boss',0,'Monster.dark_horror_bi',20,42,25,'male','L2RaidBoss',40,103092,3718,109.48,9.81,60,57,73,76,70,80,612533,52699,101,348,6,189,409,0,3819,0,0,0,162,307,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25370,25370,'Corpse Scavenger',0,'Raid Fighter',0,'Monster.skeleton_bi',11,31,24,'male','L2Minion',40,10554,1859,27.9,9.81,40,43,30,41,20,10,0,0,367,167,60,181,278,0,333,946,0,0,66,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25371,25371,'Anima Scavenger',0,'Raid Fighter',0,'Monster.spartoi',11,27,24,'male','L2Minion',40,5277,1859,27.9,9.81,40,43,30,41,20,10,0,0,184,167,13,181,278,0,333,946,0,0,66,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25372,25372,'Discarded Guardian',0,'Raid Boss',0,'Monster.stone_golem_bi',20,40.3,20,'male','L2RaidBoss',40,175392,3718,88.61,9.81,60,57,73,76,70,80,436632,37265,127,284,10,154,409,0,3819,0,0,0,37,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25373,25373,'Malex Herald of Dagoniel',0,'Raid Boss',0,'Monster.dre_vanul_bi_one',21,54,21,'male','L2RaidBoss',40,90169,3718,92.58,9.81,60,57,73,76,70,80,578451,45688,70,296,1,160,409,0,3819,0,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25374,25374,'Abyss Flyer',0,'Raid Fighter',0,'Monster.vampire_bat',10,33.5,20,'male','L2Minion',40,9314,1859,23.53,9.81,40,43,30,41,20,10,0,0,253,142,35,154,278,0,333,0,0,0,66,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25375,25375,'Zombie Lord Farakelsus',0,'Raid Boss',0,'Monster.zombie_bi',12,27.5,20,'male','L2RaidBoss',40,87696,3718,88.61,9.81,60,57,73,76,70,80,436632,37265,63,284,1,154,409,0,3819,0,0,0,24,307,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25376,25376,'Warrior Zombie of Farakelsus',0,'Raid Fighter',0,'Monster.zombie',13,21,19,'male','L2Minion',40,9080,1859,22.5,9.81,40,43,30,41,20,10,0,0,231,136,31,148,278,0,333,0,0,0,16,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25377,25377,'Priest Zombie of Farakelsus',0,'Raid Fighter',0,'Monster.zombie',13,21,19,'male','L2Minion',40,9080,1859,22.5,9.81,40,43,30,41,20,10,0,0,115,136,5,148,278,0,333,0,0,0,16,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25378,25378,'Madness Beast',0,'Raid Boss',0,'Monster.onyx_beast_bi',14,18.7,20,'male','L2RaidBoss',40,87696,3718,88.61,9.81,60,57,73,76,70,80,436632,37265,63,284,2,154,409,0,3819,0,0,0,48,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25379,25379,'Dementia Beast',0,'Raid Fighter',0,'Monster.onyx_beast',14,14.5,19,'male','L2Minion',40,9080,1859,22.5,9.81,40,43,30,41,20,10,0,0,231,136,31,148,278,0,333,0,0,0,33,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25380,25380,'Kaysha Herald of Icarus',0,'Raid Boss',0,'Monster.succubus_bi',10,43.2,21,'female','L2RaidBoss',40,90169,3718,92.58,9.81,60,57,73,76,70,80,578451,45688,70,296,1,160,409,0,3819,0,0,0,97,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25381,25381,'Nightmare Flyer',0,'Raid Fighter',0,'Monster.vampire_bat_bi',10,42,19,'male','L2Minion',40,9080,1859,22.5,9.81,40,43,30,41,20,10,0,0,231,136,31,148,278,0,333,0,0,0,66,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25382,25382,'Hostile Flyer',0,'Raid Fighter',0,'Monster.vampire_bat',10,33.5,19,'male','L2Minion',40,4540,1859,22.5,9.81,40,43,30,41,20,10,0,0,115,136,5,148,278,0,333,0,0,0,66,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25383,25383,'Revenant of Sir Calibus',0,'Raid Boss',0,'Monster.death_knight_bi',24,29,34,'male','L2RaidBoss',40,156584,3718,153.32,9.81,60,57,73,76,70,80,840195,76283,222,491,9,266,409,0,3819,75,0,0,43,307,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25384,25384,'Servant of Calibus',0,'Raid Fighter',0,'Monster.spartoi',11,27,33,'male','L2Minion',40,15774,1859,39.33,9.81,40,43,30,41,20,10,0,0,816,236,178,256,278,0,333,946,0,0,66,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25385,25385,'Evil Spirit Tempest',0,'Raid Boss',0,'Monster.dre_vanul_bi_one',21,54,36,'male','L2RaidBoss',40,174646,3718,164.01,9.81,60,57,73,76,70,80,867472,80701,262,527,12,285,409,0,3819,0,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25386,25386,'Ghost of the Execution Grounds',0,'Raid Fighter',0,'Monster.skeleton_bi',11,31,35,'male','L2Minion',40,17556,1859,42.12,9.81,40,43,30,41,20,10,0,0,966,254,205,275,278,0,333,128,0,0,66,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25387,25387,'Malignant Spirit of the Execution Grounds',0,'Raid Fighter',0,'Monster.skeleton',11,25,35,'male','L2Minion',40,8778,1859,42.12,9.81,40,43,30,41,20,10,0,0,483,254,49,275,278,0,333,946,0,0,66,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25388,25388,'Red Eye Captain Trakia',0,'Raid Boss',0,'Monster.oel_mahum_bi',30,55,35,'male','L2RaidBoss',40,165289,3718,158.63,9.81,60,57,73,76,70,80,854153,78199,242,509,14,275,409,0,3819,70,0,0,113,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25389,25389,'Red Eye Archer',0,'Raid Fighter',0,'Monster.ol_mahum_archer',14,25,34,'male','L2Minion',500,11143,1859,40.72,9.81,40,43,30,41,20,10,0,0,444,245,45,266,278,0,333,279,0,0,55,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25390,25390,'Red Eye Guards',0,'Raid Fighter',0,'Monster.ol_mahum_champion',14,27,34,'male','L2Minion',40,8316,1859,40.72,9.81,40,43,30,41,20,10,0,0,444,245,45,266,278,0,333,128,0,0,55,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25391,25391,'Nurka\'s Messenger',0,'Raid Boss',0,'Monster.ol_mahum_champion_bi',21,40.5,33,'male','L2RaidBoss',40,297015,3718,148.11,9.81,60,57,73,76,70,80,825587,73993,408,473,46,256,409,0,3819,127,0,0,81,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25392,25392,'Captain of Queen\'s Royal Guards',0,'Raid Boss',0,'Monster.marsh_stakato_queen',15,37,32,'female','L2RaidBoss',40,141034,3718,142.94,9.81,60,57,73,76,70,80,810271,71493,187,456,8,247,409,0,3819,129,0,0,210,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25393,25393,'Marsh Stakato Noble',0,'Raid Fighter',0,'Monster.marsh_stakato_drone',9,24,31,'male','L2Minion',40,14247,1859,36.61,9.81,40,43,30,41,20,10,0,0,687,220,146,238,278,0,333,223,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25394,25394,'Premo Prime',0,'Raid Boss',0,'Monster.twin_headed_giant',17,39,38,'male','L2RaidBoss',40,390743,3718,175,9.81,60,57,73,76,70,80,892440,99116,618,566,64,306,409,0,3819,88,0,0,72,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25395,25395,'Archon Suscepter',0,'Raid Boss',0,'Monster.susceptor_prime',45,72,45,'male','L2RaidBoss',40,288415,3718,215.06,9.81,60,57,73,76,70,80,1139085,129941,532,715,36,387,409,0,3819,0,0,0,78,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25396,25396,'Kusion Suscepter',0,'Raid Fighter',0,'Monster.susceptor',20,35,44,'male','L2Minion',40,29037,1859,55.55,9.81,40,43,30,41,20,10,0,0,988,346,142,374,278,0,333,0,0,0,27,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25397,25397,'Gustos Suscepter',0,'Raid Fighter',0,'Monster.susceptor',20,35,44,'male','L2Minion',40,29037,1859,55.55,9.81,40,43,30,41,20,10,0,0,1976,346,560,374,278,0,333,0,0,0,27,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25398,25398,'Eye of Beleth',0,'Raid Boss',0,'Monster.monster_eye',21,43,35,'male','L2RaidBoss',40,165289,3718,158.63,9.81,60,57,73,76,70,80,854153,78199,242,509,14,275,409,0,3819,0,0,0,145,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25399,25399,'Apprentice of Watchman',0,'Raid Fighter',0,'Monster.mana_vampire',11,20,34,'male','L2Minion',40,11143,1859,40.72,9.81,40,43,30,41,20,10,0,0,592,245,87,266,278,0,333,0,0,0,99,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25400,25400,'Page of Watchman',0,'Raid Fighter',0,'Monster.magical_weaver',11,20,34,'male','L2Minion',40,16632,1859,40.72,9.81,40,43,30,41,20,10,0,0,444,245,45,266,278,0,333,0,0,0,99,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25401,25401,'Skyla',0,'Raid Boss',0,'Monster.zenta_lizardman_matriarch_bi',30,63,32,'male','L2RaidBoss',40,141034,3718,142.94,9.81,60,57,73,76,70,80,810271,71493,187,456,8,247,409,0,3819,215,0,0,85,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25402,25402,'Retainer of Skyla',0,'Raid Fighter',0,'Monster.zenta_lizardman',11,32,31,'male','L2Minion',40,14247,1859,36.61,9.81,40,43,30,41,20,10,0,0,687,220,146,238,278,0,333,221,0,0,40,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25403,25403,'Follower of Skyla',0,'Raid Fighter',0,'Monster.zenta_lizardman_shaman',13,35,31,'male','L2Minion',40,9545,1859,36.61,9.81,40,43,30,41,20,10,0,0,458,220,66,238,278,0,333,180,0,0,47,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25404,25404,'Corsair Captain Kylon',0,'Raid Boss',0,'Monster.pirates_zombie_captain',17,28,33,'male','L2RaidBoss',40,148507,3718,148.11,9.81,60,57,73,76,70,80,825587,73993,204,473,9,256,409,0,3819,231,0,0,22,307,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25405,25405,'Kylon\'s Pirate',0,'Raid Fighter',0,'Monster.skeleton_bi_one',16,40,32,'male','L2Minion',40,14980,1859,37.97,9.81,40,43,30,41,20,10,0,0,749,228,161,247,278,0,333,946,945,0,66,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25406,25406,'Kylon\'s Mate',0,'Raid Fighter',0,'Monster.skeleton_knight_50_bi',15,39,32,'male','L2Minion',40,14980,1859,37.97,9.81,40,43,30,41,20,10,0,0,746,228,161,247,278,0,333,130,103,0,44,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25407,25407,'Lord Ishka',0,'Raid Boss',0,'Monster.death_blader_bi',22,67,60,'male','L2RaidBoss',40,526218,3718,301.02,9.81,60,57,73,76,70,80,1496444,237315,1392,1107,163,599,409,0,3819,1472,0,0,162,307,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25408,25408,'Ishka\'s Elite Officer',0,'Raid Fighter',0,'Monster.skeleton_royal_guard',11,28.5,59,'male','L2Minion',40,54404,1859,78.51,9.81,40,43,30,41,20,10,0,0,5275,539,2354,583,278,0,333,946,945,0,88,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25409,25409,'Ishka\'s Elite Soldier',0,'Raid Fighter',0,'Monster.skeleton_knight_20_bi',12,30.5,59,'male','L2Minion',40,54404,1859,78.51,9.81,40,43,30,41,20,10,0,0,5275,539,2354,583,278,0,333,150,103,0,44,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25410,25410,'Road Scavenger Leader',0,'Raid Boss',0,'Monster.wererat_bi',21,38,40,'male','L2RaidBoss',40,218810,3718,217.25,9.81,60,57,73,76,70,80,1279280,187517,363,606,17,328,409,0,3819,88,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25411,25411,'Road Scavenger Henchman',0,'Raid Fighter',0,'Monster.kobold_bi',15,24,39,'male','L2Minion',40,21961,1859,55.95,9.81,40,43,30,41,20,10,0,0,1340,293,284,317,278,0,333,0,0,0,51,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25412,25412,'Necrosentinel Royal Guard',0,'Raid Boss',0,'Monster.skeleton_royal_guard',11,28.5,47,'male','L2RaidBoss',40,319791,3718,226.77,9.81,60,57,73,76,70,80,1162159,134535,615,761,45,412,409,0,3819,946,946,0,129,307,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25413,25413,'Necrosentinel Archer',0,'Raid Fighter',0,'Monster.skeleton_archer',11,27,46,'male','L2Minion',500,21628,1859,58.67,9.81,40,43,30,41,20,10,0,0,1145,369,168,399,278,0,333,279,0,0,44,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'archer','false'),
(25414,25414,'Necrosentinel Soldier',0,'Raid Fighter',0,'Monster.skeleton_knight',10,25,46,'male','L2Minion',40,16140,1859,58.67,9.81,40,43,30,41,20,10,0,0,1145,369,168,399,278,0,333,150,103,0,44,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25415,25415,'Nakondas',0,'Raid Boss',0,'Monster.drake_bi',37,125,40,'male','L2RaidBoss',40,218810,3718,158.63,9.81,60,57,73,76,70,80,854153,78199,363,606,17,328,409,0,3819,0,0,0,113,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25416,25416,'Nakondas\' Slave',0,'Raid Fighter',0,'Monster.wyrm',29,72,39,'male','L2Minion',40,14713,1859,40.72,9.81,40,43,30,41,20,10,0,0,893,293,125,317,278,0,333,0,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25417,25417,'Nakondas\' Chain',0,'Raid Fighter',0,'Monster.succubus',10,36,39,'female','L2Minion',40,21961,1859,40.72,9.81,40,43,30,41,20,10,0,0,670,293,69,317,278,0,333,0,0,0,66,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25418,25418,'Dread Avenger Kraven',0,'Raid Boss',0,'Monster.death_knight_bi',24,29,44,'male','L2RaidBoss',40,273375,3718,209.2,9.81,60,57,73,76,70,80,1127093,127160,494,692,33,375,409,0,3819,75,0,0,43,307,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25419,25419,'Dread Panther',0,'Raid Fighter',0,'Monster.onyx_beast',14,14.5,43,'male','L2Minion',40,27494,1859,54.02,9.81,40,43,30,41,20,10,0,0,1832,335,511,362,278,0,333,0,0,0,33,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25420,25420,'Orfen\'s Handmaiden',0,'Raid Boss',0,'Monster.riba',25,72,48,'female','L2RaidBoss',40,335987,3718,271.42,9.81,60,57,73,76,70,80,1639757,244248,1060,661,55,425,409,0,3819,0,0,0,97,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25421,25421,'Trisalim Escort',0,'Raid Fighter',0,'Monster.poison_spider_bi',40,38,47,'male','L2Minion',40,22758,1859,70.25,9.81,40,43,30,41,20,10,0,0,1641,381,338,412,278,0,333,0,0,0,66,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25422,25422,'Page of Rotting Tree',0,'Raid Fighter',0,'Monster.hanged_man_ripper',35,80,47,'male','L2Minion',40,33967,1859,70.25,9.81,40,43,30,41,20,10,0,0,1231,381,191,412,278,0,333,0,0,0,60,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25423,25423,'Fairy Queen Timiniel',0,'Raid Boss',0,'Monster.pixy_bi',10,54,61,'female','L2RaidBoss',40,539706,3718,325.56,9.81,60,57,73,76,70,80,1722981,291015,1468,1136,180,615,409,0,3819,0,0,0,129,307,'timiniel_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25424,25424,'Timiniel\'s Royal Guards',0,'Raid Fighter',0,'Monster.pixy',5,25,60,'female','L2Minion',40,27947,1859,84.69,9.81,40,43,30,41,20,10,0,0,2787,553,646,599,278,0,333,0,0,0,88,209,'timiniel_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25425,25425,'Timiniel\'s Royal Guard Captain',0,'Raid Fighter',0,'Monster.pixy',5,25,60,'female','L2Minion',40,55894,1859,84.69,9.81,40,43,30,41,20,10,0,0,5569,553,2576,599,278,0,333,0,0,0,88,209,'timiniel_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25426,25426,'Betrayer of Urutu Freki',0,'Raid Boss',0,'Monster.werewolf_bi',11,29.7,25,'male','L2RaidBoss',40,103092,3718,109.48,9.81,60,57,73,76,70,80,612533,52699,101,348,6,189,409,0,3819,0,0,0,81,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25427,25427,'Freki\'s Vampire Bat',0,'Raid Fighter',0,'Monster.vampire_bat',10,33.5,24,'male','L2Minion',40,10554,1859,27.9,9.81,40,43,30,41,20,10,0,0,367,167,60,181,278,0,333,0,0,0,66,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25428,25428,'Freki\'s Wild Bear',0,'Raid Fighter',0,'Monster.grizzly',21,40,24,'male','L2Minion',40,10554,1859,27.9,9.81,40,43,30,41,20,10,0,0,367,167,60,181,278,0,333,0,0,0,44,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25429,25429,'Mammon Collector Talos',0,'Raid Boss',0,'Monster2.ashuras',13,37.5,25,'male','L2RaidBoss',40,103092,3718,109.48,9.81,60,57,73,76,70,80,612533,52699,101,348,6,189,409,0,3819,0,0,0,66,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25430,25430,'Talos\' Cohort',0,'Raid Fighter',0,'Monster.dre_vanul',14,36,22,'male','L2Minion',40,9870,1859,25.66,9.81,40,43,30,41,20,10,0,0,305,154,54,167,278,0,333,0,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25431,25431,'Flamestone Golem',0,'Raid Boss',0,'Monster2.lava_golem',22,45,44,'male','L2RaidBoss',40,273375,3718,209.2,9.81,60,57,73,76,70,80,1127093,127160,494,692,33,375,409,0,3819,0,0,0,21,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25432,25432,'Elemental of Flame',0,'Raid Fighter',0,'Monster.mana_vampire',11,20,43,'male','L2Minion',40,27494,1859,54.02,9.81,40,43,30,41,20,10,0,0,916,335,125,362,278,0,333,0,0,0,99,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25433,25433,'Elemental of Spark',0,'Raid Fighter',0,'Monster.magical_weaver',11,20,43,'male','L2Minion',40,13747,1859,54.02,9.81,40,43,30,41,20,10,0,0,916,335,125,362,278,0,333,0,0,0,99,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25434,25434,'Bandit Leader Barda',0,'Raid Boss',0,'Monster.oel_mahum_warrior_50_bi',30,60,55,'male','L2RaidBoss',40,451391,3718,273.37,9.81,60,57,73,76,70,80,1432099,216652,1046,966,111,523,409,0,3819,121,0,0,113,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25435,25435,'Barda\'s Bandit',0,'Raid Fighter',0,'Monster.oel_mahum',20,37,54,'male','L2Minion',40,46232,1859,71.07,9.81,40,43,30,41,20,10,0,0,3934,470,1612,508,278,0,333,145,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25436,25436,'Barda\'s Shaman',0,'Raid Fighter',0,'Monster.oel_mahum_witch_doctor',15,34,54,'male','L2Minion',40,30975,1859,71.07,9.81,40,43,30,41,20,10,0,0,2623,470,719,508,278,0,333,201,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25437,25437,'Timak Orc Gosmos',0,'Raid Boss',0,'Monster.batur_orc_overlord_100_bi',24,52,45,'male','L2RaidBoss',40,576831,3718,215.06,9.81,60,57,73,76,70,80,1139085,129941,1064,715,153,387,409,0,3819,145,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25438,25438,'Thief Kelbar',0,'Raid Boss',0,'Monster.wererat_100_bi',25,50,44,'male','L2RaidBoss',40,273375,3718,209.2,9.81,60,57,73,76,70,80,1127093,127160,494,692,33,375,409,0,3819,239,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25439,25439,'Kelbar\'s Inferior',0,'Raid Fighter',0,'Monster.wererat_bi',21,38,43,'male','L2Minion',40,27494,1859,54.02,9.81,40,43,30,41,20,10,0,0,1832,335,511,362,278,0,333,130,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25440,25440,'Kelbar\'s Wizard',0,'Raid Fighter',0,'Monster.wererat',14,25,43,'male','L2Minion',40,18421,1859,54.02,9.81,40,43,30,41,20,10,0,0,1221,335,224,362,278,0,333,99,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25441,25441,'Evil Spirit Cyrion',0,'Raid Boss',0,'Monster.drake_50_bi',45,150,45,'male','L2RaidBoss',40,288415,3718,215.06,9.81,60,57,73,76,70,80,1139085,129941,456,715,86,387,409,0,3819,0,0,0,113,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25442,25442,'Evil Creature of Forest',0,'Raid Fighter',0,'Monster.crimson_bear',19,36,44,'male','L2Minion',40,14518,1859,55.55,9.81,40,43,30,41,20,10,0,0,988,346,142,374,278,0,333,0,0,0,40,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25443,25443,'Anger of Forest',0,'Raid Fighter',0,'Monster.giant_wild_hog',35,27,44,'male','L2Minion',40,29037,1859,55.55,9.81,40,43,30,41,20,10,0,0,1976,346,560,374,278,0,333,0,0,0,38,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25444,25444,'Enmity Ghost Ramdal',0,'Raid Boss',0,'Monster.dark_horror_100_bi',40,70,65,'male','L2RaidBoss',40,588136,3718,310.78,9.81,60,57,73,76,70,80,1760714,332726,2176,1256,794,680,409,0,3819,0,0,0,162,307,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25445,25445,'Enmity Ghosts',0,'Raid Fighter',0,'Monster.crimson_doll',15,38,64,'male','L2Minion',40,30636,1859,82.08,9.81,40,43,30,41,20,10,0,0,3406,613,840,663,278,0,333,0,0,0,66,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25446,25446,'Shooter of Enmity',0,'Raid Fighter',0,'Monster.skeleton_archer',11,27,64,'male','L2Minion',500,41052,1859,82.08,9.81,40,43,30,41,20,10,0,0,3406,613,840,663,278,0,333,279,0,0,44,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'archer','false'),
(25447,25447,'Immortal Savior Mardil',0,'Raid Boss',0,'Monster.banshee_50_bi',13.5,38,71,'female','L2RaidBoss',40,645953,3718,317.28,9.81,60,57,73,76,70,80,2068252,367642,2275,1443,297,781,409,0,3819,3939,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25448,25448,'Immortal Savior',0,'Raid Fighter',0,'Monster.binding',12,21,70,'male','L2Minion',40,33847,1859,84.07,9.81,40,43,30,41,20,10,0,0,4388,706,1074,764,278,0,333,0,0,0,11,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25449,25449,'Immortal Guide',0,'Raid Fighter',0,'Monster.liviona',15,28,70,'male','L2Minion',40,67694,1859,84.07,9.81,40,43,30,41,20,10,0,0,4388,706,1074,764,278,0,333,0,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25450,25450,'Cherub Galaxia',0,'Raid Boss',0,'Monster.archangel_50_bi',22,120,79,'male','L2RaidBoss',40,987470,3718,844.9,9.81,60,57,73,76,70,80,2377821,1136977,5265,1699,1291,920,409,0,3819,97,0,0,81,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25451,25451,'Galaxia\'s Guards',0,'Raid Fighter',0,'Monster.angel',13.5,36.5,78,'male','L2Minion',40,69545,1859,224.99,9.81,40,43,30,41,20,10,0,0,13740,833,8943,903,278,0,333,148,0,0,33,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25452,25452,'Messenger of Angel',0,'Raid Fighter',0,'Monster.angel',13.5,36.5,79,'male','L2Minion',40,104887,1859,224.99,9.81,40,43,30,41,20,10,0,0,10530,849,5159,920,278,0,333,148,0,0,33,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25453,25453,'Meanas Anor',0,'Raid Boss',0,'Monster.wyrm_50_bi',58,108,70,'male','L2RaidBoss',40,888658,3718,685.96,9.81,60,57,73,76,70,80,3859833,738431,4077,1412,921,764,409,0,3819,0,0,0,113,307,'NULL',0,0,12,'PARTY_ONE_RANDOM',0,0,0,'balanced','false'),
(25454,25454,'Wyvern of Marsh',0,'Raid Fighter',0,'Monster.wyrm',29,72,69,'male','L2Minion',40,62338,1859,181.67,9.81,40,43,30,41,20,10,0,0,10475,690,6308,747,278,0,333,0,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25455,25455,'Succubus of Marsh',0,'Raid Fighter',0,'Monster.succubus',10,36,69,'female','L2Minion',40,93041,1859,181.67,9.81,40,43,30,41,20,10,0,0,7856,690,3551,747,278,0,333,0,0,0,66,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25456,25456,'Mirror of Oblivion',0,'Raid Boss',0,'Monster.mirror_50_bi',45,78,49,'male','L2RaidBoss',40,352421,3718,238.52,9.81,60,57,73,76,70,80,1184339,140317,708,810,56,439,409,0,3819,0,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25457,25457,'Shards of Oblivion',0,'Raid Fighter',0,'Monster.human_ghost',8,22,48,'male','L2Minion',40,17844,1859,61.78,9.81,40,43,30,41,20,10,0,0,1321,393,214,425,278,0,333,0,0,0,88,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25458,25458,'Shadow of Oblivion',0,'Raid Fighter',0,'Monster.elf_ghost',7,21,48,'male','L2Minion',40,35688,1859,61.78,9.81,40,43,30,41,20,10,0,0,1321,393,214,425,278,0,333,0,0,0,88,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25459,25459,'Shards of Oblivion',0,'Raid Fighter',0,'Monster.dwarf_ghost',9,16.5,48,'male','L2Minion',40,17844,1859,61.78,9.81,40,43,30,41,20,10,0,0,1321,393,214,425,278,0,333,0,0,0,88,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25460,25460,'Deadman Ereve',0,'Raid Boss',0,'Monster.death_blader_200_bi',45,141,51,'male','L2RaidBoss',40,385670,3718,250.26,9.81,60,57,73,76,70,80,1381165,185853,811,860,79,466,409,0,3819,194,0,0,162,307,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25461,25461,'Ereve\'s Knight',0,'Raid Fighter',0,'Monster.skeleton_knight',10,25,50,'male','L2Minion',40,39195,1859,64.91,9.81,40,43,30,41,20,10,0,0,3033,417,1016,452,278,0,333,70,0,0,44,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25462,25462,'Ereve\'s Squire',0,'Raid Fighter',0,'Monster.skeleton_pikeman',10,28,50,'male','L2Minion',40,39195,1859,64.91,9.81,40,43,30,41,20,10,0,0,3033,417,1016,452,278,0,333,98,0,0,55,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25463,25463,'Harit Guardian Garangky',0,'Raid Boss',0,'Monster.saber_toothed_tiger',34,28,56,'male','L2RaidBoss',40,467209,3718,279.06,9.81,60,57,73,76,70,80,1444796,221098,1111,994,119,538,409,0,3819,0,0,0,97,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25464,25464,'Garangky Guard Captain',0,'Raid Fighter',0,'Monster.zenta_lizardman_warrior',13,35,55,'male','L2Minion',40,47946,1859,72.59,9.81,40,43,30,41,20,10,0,0,4184,483,1747,523,278,0,333,303,0,0,44,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25465,25465,'Garangky Guard Shaman',0,'Raid Fighter',0,'Monster.zenta_lizardman_shaman',13,35,55,'male','L2Minion',40,47946,1859,72.59,9.81,40,43,30,41,20,10,0,0,2092,483,438,523,278,0,333,206,0,0,47,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25466,25466,'Garangky Guard',0,'Raid Fighter',0,'Monster.zenta_lizardman',11,32,55,'male','L2Minion',40,47946,1859,72.59,9.81,40,43,30,41,20,10,0,0,4184,483,1747,523,278,0,333,77,0,0,40,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25467,25467,'Gorgolos',0,'Raid Boss',0,'Monster.field_stalker_200_bi',45,96,64,'male','L2RaidBoss',40,576851,3718,309.11,9.81,60,57,73,76,70,80,1744167,326947,1703,1226,208,664,409,0,3819,0,0,0,113,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25468,25468,'Cursed Life',0,'Raid Fighter',0,'Monster.field_stalker',15,30,63,'male','L2Minion',40,30008,1859,81.61,9.81,40,43,30,41,20,10,0,0,3246,598,808,647,278,0,333,0,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25469,25469,'Cursed Soul',0,'Raid Fighter',0,'Monster.field_stalker',15,30,63,'male','L2Minion',40,60016,1859,81.61,9.81,40,43,30,41,20,10,0,0,6492,598,3242,647,278,0,333,0,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25470,25470,'Last Titan Utenus',0,'Raid Boss',0,'Monster.lesser_giant_mage',21,44,66,'male','L2RaidBoss',40,598898,3718,312.26,9.81,60,57,73,76,70,80,1777636,338244,1865,1287,225,697,409,0,3819,3938,0,0,24,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25471,25471,'Utenus\'s Wizard',0,'Raid Fighter',0,'Monster.lesser_giant',21,44,65,'male','L2Minion',40,41855,1859,82.52,9.81,40,43,30,41,20,10,0,0,4757,628,1553,680,278,0,333,0,0,0,16,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25472,25472,'Utenus\'s Guard',0,'Raid Fighter',0,'Monster.leogul',15,35,65,'male','L2Minion',40,62470,1859,82.52,9.81,40,43,30,41,20,10,0,0,7135,628,3497,680,278,0,333,0,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25473,25473,'Grave Robber Kim',0,'Raid Boss',0,'Monster.batur_orc_warrior_100_bi',20,42,52,'male','L2RaidBoss',40,402319,3718,256.09,9.81,60,57,73,76,70,80,1393971,205212,866,886,81,480,409,0,3819,160,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25474,25474,'Kim\'s Gang',0,'Raid Fighter',0,'Monster.batur_orc',9,21.5,51,'male','L2Minion',40,40965,1859,66.45,9.81,40,43,30,41,20,10,0,0,3244,430,1234,465,278,0,333,89,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25475,25475,'Ghost Knight Kabed',0,'Raid Boss',0,'Monster.headless_knight_50_bi',30,46.5,55,'male','L2RaidBoss',40,451391,3718,273.37,9.81,60,57,73,76,70,80,1393657,221098,1046,966,111,423,409,0,3819,145,0,0,113,307,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25476,25476,'Kabed\'s Soldier',0,'Raid Fighter',0,'Monster.skeleton_knight',10,25,54,'male','L2Minion',40,23116,1859,71.07,9.81,40,43,30,41,20,10,0,0,1967,470,401,508,278,0,333,125,0,0,44,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25477,25477,'Kabed\'s Archer',0,'Raid Fighter',0,'Monster.skeleton_archer',11,27,54,'male','L2Minion',500,30975,1859,71.07,9.81,40,43,30,41,20,10,0,0,1967,470,401,508,278,0,333,279,0,0,44,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'archer','false'),
(25478,25478,'Shilen\'s Priest Hisilrome',0,'Raid Boss',0,'Monster.cave_maiden',25,65,65,'female','L2RaidBoss',40,588136,3718,310.78,9.81,60,57,73,76,70,80,1760714,332726,1784,1256,216,680,409,0,3819,230,0,0,113,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25479,25479,'Hisilrome\'s Servitor',0,'Raid Fighter',0,'Monster.serpent_slave',17,46,64,'male','L2Minion',40,41052,1859,82.08,9.81,40,43,30,41,20,10,0,0,4541,613,1499,663,278,0,333,68,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25480,25480,'Hisilrome\'s Page',0,'Raid Fighter',0,'Monster.lienrik',12,50,64,'male','L2Minion',40,61272,1859,82.08,9.81,40,43,30,41,20,10,0,0,3406,613,840,663,278,0,333,0,0,0,110,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25481,25481,'Magus Kenishee',0,'Raid Boss',0,'Monster.banshee_50_bi',13.5,38,53,'female','L2RaidBoss',40,66938,3718,261.9,9.81,60,57,73,76,70,80,1406722,209570,924,912,94,494,409,0,3819,3939,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25482,25482,'Shadow of Kenishee',0,'Raid Fighter',0,'Monster.shadow',10,30,52,'male','L2Minion',40,8629,1859,68,9.81,40,43,30,41,20,10,0,0,3464,443,1336,479,278,0,333,0,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25483,25483,'Phantom of Kenishee',0,'Raid Fighter',0,'Monster.silhouette',8,23,52,'female','L2Minion',40,8629,1859,68,9.81,40,43,30,41,20,10,0,0,1732,443,332,479,278,0,333,0,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25484,25484,'Zaken\'s Chief Mate Tillion',0,'Raid Boss',0,'Monster.skeleton_knight_50_bi',15,39,50,'male','L2RaidBoss',40,369009,3718,244.4,9.81,60,57,73,76,70,80,1195137,169534,758,835,61,452,409,0,3819,160,0,0,40,190,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(25485,25485,'Tillion\'s Inferior',0,'Raid Fighter',0,'Monster.skeleton_bi',11,31,49,'male','L2Minion',40,7866,1859,63.34,9.81,40,43,30,41,20,10,0,0,2833,405,930,438,278,0,333,131,0,0,66,209,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(25486,25486,'Tillion\'s Bat',0,'Raid Fighter',0,'Monster.vampire_bat',10,33.5,49,'male','L2Minion',40,37433,1859,63.34,9.81,40,43,30,41,20,10,0,0,2833,405,930,438,278,0,333,0,0,0,66,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25487,25487,'Water Spirit Lian',0,'Raid Boss',0,'Monster.pixy_bi',10,54,40,'female','L2RaidBoss',40,218810,3718,186.21,9.81,60,57,73,76,70,80,915400,105938,363,606,17,328,409,0,3819,0,0,0,80,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25488,25488,'Spirit of Gildor',0,'Raid Fighter',0,'Monster.pixy',5,25,39,'female','L2Minion',40,14713,1859,47.95,9.81,40,43,30,41,20,10,0,0,893,293,125,317,278,0,333,0,0,0,80,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25489,25489,'Guardian of Gildor',0,'Raid Fighter',0,'Monster.pixy',5,25,39,'female','L2Minion',40,21961,1859,47.95,9.81,40,43,30,41,20,10,0,0,1340,293,284,317,278,0,333,0,0,0,80,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25490,25490,'Gwindorr',0,'Raid Boss',0,'Monster.serpent_slave',17,46,40,'male','L2RaidBoss',40,218810,3718,186.21,9.81,60,57,73,76,70,80,915400,105938,363,606,17,238,409,0,3819,129,0,0,70,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25491,25491,'Guard of Gwindorr',0,'Raid Fighter',0,'Monster.virud_lizardman_scout',10,22,39,'male','L2Minion',500,14713,1859,47.95,9.81,40,43,30,41,20,10,0,0,670,293,69,317,247,0,333,2507,0,0,43,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25492,25492,'Follower of Gwindorr',0,'Raid Fighter',0,'Monster.virud_lizardman',10,23,39,'male','L2Minion',40,10980,1859,47.95,9.81,40,43,30,41,20,10,0,0,670,293,69,317,278,0,333,2,0,0,43,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25493,25493,'Eva\'s Spirit Niniel',0,'Raid Boss',0,'Monster.cutie_cat',8,15,55,'female','L2RaidBoss',40,451391,3718,273.37,9.81,60,57,73,76,70,80,1432097,216652,1046,966,111,523,409,0,3819,0,0,0,77,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25494,25494,'Spirit of Niniel',0,'Raid Fighter',0,'Monster.pixy',5,25,54,'female','L2Minion',40,46232,1859,71.07,9.81,40,43,30,41,20,10,0,0,3934,470,1612,508,278,0,333,0,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25495,25495,'Spirit of Niniel',0,'Raid Fighter',0,'Monster.pixy',5,25,54,'female','L2Minion',40,23116,1859,71.07,9.81,40,43,30,41,20,10,0,0,1967,470,401,508,278,0,333,0,0,0,88,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25496,25496,'Fafurion\'s Envoy Pingolpin',0,'Raid Boss',0,'Monster.riba',25,72,52,'female','L2RaidBoss',40,402319,3718,256.09,9.81,60,57,73,76,70,80,1393971,205212,866,886,81,480,409,0,3819,0,0,0,97,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25497,25497,'Fafurion\'s Envoy',0,'Raid Fighter',0,'Monster.marsh_stakato_soldier',10,25,51,'male','L2Minion',40,8373,1859,66.45,9.81,40,43,30,41,20,10,0,0,3244,430,1234,465,278,0,333,76,0,0,33,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25498,25498,'Fafurion\'s Henchman Istary',0,'Raid Boss',0,'Monster.farhite_50_bi',24,48,45,'male','L2RaidBoss',40,288415,3718,215.06,9.81,60,57,73,76,70,80,1139085,129941,532,715,36,387,409,0,3819,5131,0,0,24,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25499,25499,'Alligator of Istary',0,'Raid Fighter',0,'Monster.crocodile',28,11.5,44,'male','L2Minion',40,29037,1859,55.55,9.81,40,43,30,41,20,10,0,0,1976,346,560,374,278,0,333,0,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25500,25500,'Alligator of Istary',0,'Raid Fighter',0,'Monster.crocodile',28,11.5,44,'male','L2Minion',40,14518,1859,55.55,9.81,40,43,30,41,20,10,0,0,988,346,142,374,278,0,333,0,0,0,77,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25501,25501,'Boss Akata',0,'Raid Boss',0,'NPC.e_collector_teacher_Mdwarf_mon_130p',11,23.6,30,'male','L2RaidBoss',40,127782,9999,13.43,3.09,60,57,73,76,70,80,440000,40000,9000,5000,6000,6000,409,500,3819,8528,0,0,36,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25502,25502,'Akata\'s Thug',0,'Raid Fighter',0,'NPC.e_traderB_Fdwarf_mon_120p',8,22,30,'male','L2Minion',40,9093,4000,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,247,500,333,8527,0,0,49,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25503,25503,'Akata\'s Lackey',0,'Raid Fighter',0,'NPC.e_collector_teacher_Fdwarf_mon_120p',9,21.4,30,'male','L2Minion',40,6786,4000,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,278,500,333,8529,0,0,45,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25504,25504,'Nellis\' Vengeful Spirit',0,'Raid Boss',0,'NPC.a_mageguild_teacher_Mhuman_mon_120p',14,28,39,'male','L2RaidBoss',40,206753,9999,13.43,3.09,60,57,73,76,70,80,440000,40000,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25505,25505,'Nellis\' Follower',0,'Raid Fighter',0,'Monster.dwarf_ghost',20,16,38,'male','L2Minion',40,20752,4000,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25506,25506,'Rayito the Looter',0,'Raid Boss',0,'Monster.ol_mahum_champion_05te_120p',16,33,37,'male','L2RaidBoss',40,184670,9999,13.43,3.09,60,57,73,76,70,80,440000,40000,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25507,25507,'Rayito\'s Henchman',0,'Raid Fighter',0,'Monster.ol_mahum_05te_110p',20,25,36,'male','L2Minion',40,18550,4000,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,500,333,134,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25508,25508,'Rayito\'s Henchman',0,'Raid Fighter',0,'Monster2.northern_goblin_110p',20,25,36,'male','L2Minion',40,12428,4000,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,500,333,135,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25509,25509,'Dark Shaman Varangka',0,'Raid Boss',0,'Monster.batur_orc_shaman_a_01te_120p',10,20,53,'male','L2RaidBoss',40,418874,9999,13.43,3.09,60,57,73,76,70,80,440000,40000,8000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25510,25510,'Varangka\'s Descendant',0,'Raid Fighter',0,'Monster.batur_orc_overlord_01te_110p',20,25,52,'male','L2Minion',40,42733,4000,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25511,25511,'Varangka\'s Page',0,'Raid Fighter',0,'Monster.batur_orc_shaman_a_01te_110p',20,40,52,'male','L2Minion',40,21366,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25512,25512,'Gigantic Chaos Golem',0,'Raid Boss',0,'Monster3.chaos_golem',25,51,52,'male','L2RaidBoss',40,804638,3718,256.09,9.81,60,57,73,76,70,80,1393971,205212,1732,886,332,480,409,500,3819,0,0,0,129,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25514,25514,'Queen Shyeed',0,'Raid Boss',0,'Monster3.cannibal_stakato_leader_tran_120p',52,50,80,'male','L2RaidBoss',40,714778,3718,368.11,9.81,60,57,73,76,70,80,3206477,835990,2907,1731,386,937,409,0,3819,0,0,0,58,307,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25515,25515,'Spiked Stakato',0,'Raid Fighter',0,'Monster.spike_stakato_110p',20,25,79,'male','L2Minion',40,50349,1859,96.62,9.81,40,43,30,41,20,10,0,0,11391,849,6017,920,278,0,333,0,0,0,40,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25516,25516,'Spiked Stakato',0,'Raid Fighter',0,'Monster.spike_stakato_worker_110p',20,25,79,'male','L2Minion',40,75148,1859,98.02,9.81,40,43,30,41,20,10,0,0,7594,849,2673,920,278,0,333,0,0,0,37,209,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25523,25523,'Plague Golem',0,'Raid Boss',0,'Monster3.Steel_Trapper',20,48,73,'male','L2RaidBoss',40,1848045,9999,13.43,3.09,60,57,73,76,70,80,440000,40000,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25524,25524,'Flamestone Giant',0,'Raid Boss',0,'Monster2.lava_golem',20,23,76,'male','L2RaidBoss',40,956490,3247,742.11,9.81,60,57,73,76,70,80,4888056,961047,4912,1603,1184,868,278,0,3819,0,0,0,81,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25525,25525,'Flame Spirit',0,'Raid Fighter',0,'Monster.mana_vampire',20,23,75,'male','L2Minion',40,100472,1601,197.17,9.81,40,43,30,21,20,10,0,0,9568,785,4618,850,278,0,333,0,0,0,55,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25526,25526,'Charged Spirit',0,'Raid Fighter',0,'Monster.magical_weaver',20,23,75,'male','L2Minion',40,50236,1601,197.17,9.81,40,43,30,21,20,10,0,0,9568,785,4618,850,278,0,333,0,0,0,55,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25527,25527,'Uruka',0,'Raid Boss',0,'Monster3.Crokian_Elder',30,42.51,80,'male','L2RaidBoss',40,1608553,3718,355.43,9.81,60,57,73,76,70,80,3526019,952059,6171,1965,1888,1064,409,0,3819,0,0,0,60,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25528,25528,'Tiberias',0,'Prime Inspector',0,'LineageMonster4.K_Examiner',12,24,1,'male','L2RaidBoss',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25529,25529,'Garden Guard',0,'Vice Inspector',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25530,25530,'Garden Guard',0,'Vice Inspector',0,'LineageMonster4.Mostro_Fighter',15.5,22.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25531,25531,'Darnel',0,'Torture Maiden',0,'LineageMonster4.rah',20,40.60,81,'female','L2RaidBoss',40,2140552,1897,83.48,9.81,40,43,30,21,20,80,1713495,1026728,10545,1058,4903,630,253,0,3819,0,0,0,92,207,'NULL',0,0,13,'FULL_PARTY',0,0,0,'balanced','false'),
(25532,25532,'Kechi',0,'Fire',0,'LineageMonster4.Keyache',12,29,82,'male','L2RaidBoss',40,534278,1935,83.48,9.81,40,43,30,21,20,80,2586436,1438503,9203,1077,4279,642,253,0,3819,0,0,0,92,207,'Kechi',1000,0,13,'FULL_PARTY',0,0,0,'balanced','false'),
(25533,25533,'Kechi''s Henchman',0,'',0,'LineageMonster3.Death_Blader_Raid',15,32.50,82,'male','L2Monster',40,29706,1935,13.43,3.09,40,43,30,21,20,20,0,0,4351,1077,2020,1166,253,200,333,0,0,0,50,170,'Kechi',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25534,25534,'Tears',0,'Ice',0,'LineageMonster4.tears',20,27.50,83,'female','L2RaidBoss',40,2129067,1973,83.48,9.81,40,43,30,21,20,80,2010425,1208631,10904,1096,5070,653,253,0,3819,9638,9638,0,92,207,'Tears',1000,0,13,'FULL_PARTY',0,0,0,'balanced','false'),
(25535,25535,'Tears',0,'Ice',0,'LineageMonster4.tears',20,27.50,83,'female','L2Monster',40,2129067,1973,13.43,3.09,40,43,30,21,20,80,0,0,436,1096,200,653,253,200,333,9638,9638,0,50,170,'Tears',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(25536,25536,'Hannibal',0,'Raid Boss',0,'LineageMonster4.rah',20,40,83,'male','L2RaidBoss',40,1027906,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,409,0,3819,0,0,NULL,60,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25537,25537,'Enmity',0,'Raid Fighter',0,'LineageMonster4.eyeless',36,43.5,83,'male','L2Minion',40,54591,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25538,25538,'Vengeance',0,'Raid Fighter',0,'LineageMonster4.eyeless',36,43.5,83,'male','L2Minion',40,109182,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25539,25539,'Typhoon',0,'Raid Boss',0,'LineageMonster3.Death_Blader_Raid_sand',8,32,84,'male','L2RaidBoss',40,2076371,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25540,25540,'Demon Prince',0,'Raid Boss',0,'LineageMonster4.rahuu',25,51.5,85,'male','L2RaidBoss',40,3524173,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25541,25541,'Fiend',0,'Raid Fighter',0,'LineageMonster3.self_blaster',9,25.8,85,'male','L2Minion',40,88192,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25542,25542,'Ranku',0,'Raid Boss',0,'LineageMonster4.LaneCoo',14,29,85,'male','L2RaidBoss',40,3524173,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25543,25543,'Eidolon',0,'Raid Fighter',0,'LineageMonster4.eyeless_080p',32,35,85,'male','L2Minion',40,88192,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25544,25544,'Tully',0,'Steel Citadel',0,'LineageMonster4.Tollese',19,41,86,'male','L2RaidBoss',40,2682423,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25545,25545,'Tully\'s Banshee',0,'Raid Fighter',0,'LineageMonster4.giga_whirligig',33,47.5,86,'male','L2Minion',40,6848739,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25546,25546,'Rhianna the Traitor',0,'Forsaken Prisoner',0,'LineageMonster.banshee_50_bi',13.5,38,71,'female','L2Monster',40,451267,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25547,25547,'Rhianna\'s Escort',0,'',0,'LineageMonster.binding',12,21,70,'male','L2Minion',40,23653,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25548,25548,'Rhianna\'s Healer',0,'',0,'LineageMonster.liviona',15,28,70,'male','L2Minion',40,47306,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25549,25549,'Tesla the Deceiver',0,'Forsaken Prisoner',0,'LineageMonster.virud_lizardman_shaman',10,29,72,'male','L2Monster',40,456122,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25550,25550,'Tesla\'s Apprentice',0,'',0,'LineageMonster.zenta_lizardman_warrior',13,35,71,'male','L2Minion',40,32115,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25551,25551,'Tesla\'s Herald',0,'',0,'LineageMonster.virud_lizardman_warrior',12,30,71,'male','L2Minion',40,47932,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25552,25552,'Soul Hunter Chakundel',0,'Forsaken Prisoner',0,'LineageMonster3.Death_Blader_Raid',15,32.5,73,'male','L2Monster',40,925069,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25553,25553,'Durango the Crusher',0,'Forsaken Prisoner',0,'LineageMonster3.Steel_Trapper',35,48,74,'male','L2Monster',40,935910,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25554,25554,'Brutus the Obstinate',0,'Forsaken Prisoner',0,'LineageMonster.kaim_vanul',24,40,75,'male','L2Monster',40,473267,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25555,25555,'Brutus\' Right Hand',0,'',0,'LineageMonster.death_blader',15,45,74,'male','L2Minion',40,49705,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,1472,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25556,25556,'Brutus\' Left Hand',0,'',0,'LineageMonster.death_knight',24,29,74,'male','L2Minion',40,24852,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25557,25557,'Ranger Karankawa',0,'Forsaken Prisoner',0,'LineageMonster3.Jungle_Bleeze',60,47,76,'male','L2Monster',40,478490,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25558,25558,'Karankawa\'s Root',0,'',0,'LineageMonster.mandragora_a',15,26,75,'male','L2Minion',40,33680,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25559,25559,'Karankawa\'s Blossom',0,'',0,'LineageMonster.mandragora_b',12,25.5,75,'male','L2Minion',40,50269,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25560,25560,'Sargon the Mad',0,'Forsaken Prisoner',0,'LineageMonster.heltor_silenos_50_bi',19,43.5,77,'male','L2Monster',40,483647,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25561,25561,'Sargon Attendant',0,'',0,'LineageMonster.heltor_silenos_shaman',13,32,76,'male','L2Minion',40,50824,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25562,25562,'Sargon\'s Squire',0,'',0,'LineageMonster.heltor_silenos_warrior',13,31,76,'male','L2Minion',40,25412,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25563,25563,'Beautiful Atrielle',0,'Forsaken Prisoner',0,'LineageMonster.succubus_100_bi',20,75,78,'male','L2Monster',40,488761,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25564,25564,'Atrielle\'s Follower',0,'',0,'LineageMonster.bloody_queen',8,40,77,'male','L2Minion',40,51372,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25565,25565,'Atrielle\'s Minion',0,'',0,'LineageMonster.silhouette',8,23,77,'male','L2Minion',40,25686,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25566,25566,'Nagen the Tomboy',0,'Forsaken Prisoner',0,'LineageMonster.pixy_bi',10,54,79,'male','L2Monster',40,493851,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25567,25567,'Nagen\'s Cohort',0,'',0,'LineageMonster.dryad',9,20,78,'male','L2Minion',40,34783,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25568,25568,'Nagen\'s Friend',0,'',0,'LineageMonster.dryad',9,20,78,'male','L2Minion',40,51915,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25569,25569,'Jax the Destroyer',0,'Forsaken Prisoner',0,'LineageMonster2.ketra_orc_chieftain_20_bi',17,46,80,'male','L2Monster',40,498931,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25570,25570,'Jax\'s Vanguard',0,'',0,'LineageMonster.ketra_orc_archer',12,27,79,'male','L2Minion',40,35145,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(25571,25571,'Jax\'s Raider',0,'',0,'LineageMonster.ketra_orc',12,29,79,'male','L2Minion',40,26228,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25572,25572,'Hager the Outlaw',0,'Forsaken Inmate',0,'LineageMonster.oel_mahum_witch_doctor_50_bi',22.5,54,61,'male','L2Monster',40,380102,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25573,25573,'Hager\'s Henchman',0,'',0,'LineageMonster.oel_mahum_witch_doctor',20,38,60,'male','L2Minion',40,39432,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25574,25574,'Hager\'s Bodyguard',0,'',0,'LineageMonster.oel_mahum_warrior',15,34,60,'male','L2Minion',40,19716,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25575,25575,'All-Seeing Rango',0,'Forsaken Inmate',0,'LineageMonster3.Kernon_Raid',33,51,62,'male','L2Monster',40,388632,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25576,25576,'Rango\'s Iris',0,'',0,'LineageMonster.monster_eye',21,43,61,'male','L2Minion',40,20186,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25577,25577,'Rango\'s Lens',0,'',0,'LineageMonster.field_stalker',15,30,61,'male','L2Minion',40,40373,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25578,25578,'Jakard',0,'Forsaken Inmate',0,'LineageMonster.hunter_gargoyle_50_bi',37,98,63,'male','L2Monster',40,793642,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25579,25579,'Helsing',0,'Forsaken Inmate',0,'LineageMonster3.lidia_von_helmann_120p',21,25,64,'female','L2Monster',40,404672,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25580,25580,'Helsing\'s Guard',0,'',0,'LineageMonster.death_knight',24,29,63,'male','L2Minion',40,21074,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25581,25581,'Helsing\'s Assassin',0,'',0,'LineageMonster.skeleton_royal_guard',11,28.5,63,'male','L2Minion',40,42149,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25582,25582,'Gillien',0,'Forsaken Inmate',0,'LineageMonster2.vampire_warrior',9,31.5,65,'male','L2Monster',40,412192,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25583,25583,'Gillien\'s Daughter',0,'',0,'LineageMonster2.vampire_wizard',5.5,28,64,'male','L2Minion',40,42983,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25584,25584,'Gillien\'s Attendant',0,'',0,'LineageMonster2.black_magician',8,30,64,'male','L2Minion',40,21491,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25585,25585,'Medici',0,'Forsaken Inmate',0,'LineageMonster.medusa_100_bi',20,53,66,'male','L2Monster',40,419393,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25586,25586,'Medici\'s Sister',0,'',0,'LineageMonster2.lilim_wizard',9,34,65,'male','L2Minion',40,29334,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(25587,25587,'Medici\'s Brother',0,'',0,'LineageMonster.skeleton_royal_guard',11,28.5,65,'male','L2Minion',40,43782,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25588,25588,'Immortal Muus',0,'Forsaken Inmate',0,'LineageMonster.headless_knight_50_bi',30,46.5,67,'male','L2Monster',40,852582,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25589,25589,'Brand the Exile',0,'Forsaken Inmate',0,'LineageMonster.heltor_silenos_shaman_50_bi',19.5,51,68,'male','L2Monster',40,432904,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25590,25590,'Brand\'s Chamberlain',0,'',0,'LineageMonster.heltor_silenos_warrior',13,31,67,'male','L2Minion',40,45280,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25591,25591,'Brand\'s Servant',0,'',0,'LineageMonster.heltor_silenos_shaman',13,32,67,'male','L2Minion',40,22640,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25592,25592,'Commander Koenig',0,'Forsaken Inmate',0,'LineageMonster2.ketra_warbeast',20,34,69,'male','L2Monster',40,878510,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25593,25593,'Gerg the Hunter',0,'Forsaken Inmate',0,'LineageMonster3.Elder_Troll',46,71.5,70,'male','L2Monster',40,445367,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25594,25594,'Gerg\'s Follower',0,'',0,'LineageMonster.virud_lizardman_scout',10,22,69,'male','L2Minion',40,31260,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25595,25595,'Gerg\'s Henchman',0,'',0,'LineageMonster.batur_orc',9,21.5,69,'male','L2Minion',40,23328,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25596,25596,'Ocular Servitor',0,'',0,'Monster2.parasitic_eye_20_sm',8,50,87,'male','L2Npc',40,4899,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25597,25597,'Heurel',0,'',0,'Monster2.erinyes',8,50,87,'male','L2Npc',40,4899,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25598,25598,'Gegei',0,'',0,'Monster3.Elder_Troll',8,71,87,'male','L2Npc',40,4899,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25599,25599,'Iglas',0,'',0,'Monster2.magmagoil_lad_20_sm',8,61,87,'male','L2Npc',40,4899,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25600,25600,'Temenir',0,'Darion\'s Challenger',0,'Monster4.behamah',8,39,87,'male','L2Monster',40,401394,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25601,25601,'Draksius',0,'Darion\'s Challenger',0,'Monster2.ahrimanes_20_sm',8,47,87,'male','L2Monster',40,428134,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25602,25602,'Kiretcenah',0,'Darion\'s Challenger',0,'Monster.rakul',8,38,87,'male','L2Monster',40,401394,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25603,25603,'Darion',0,'',0,'Monster4.darion',50,81.22,87,'male','L2RaidBoss',80,2308600,2128,423.48,9.81,60,57,73,76,70,80,4712138,598881,6491,1950,1778,1056,253,0,2588,0,10548,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25604,25604,'Mutated Elpy',0,'Naia\'s Creature',0,'Monster.elpy',13,21,50,'male','L2Monster',40,2245,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25605,25605,'Naia Spore',0,'',0,'Monster4.guard_naia_b1t',17,9,85,'male','L2Monster',40,29397,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25606,25606,'Naia Spore',0,'',0,'Monster4.guard_naia_b2t',17,9,85,'male','L2Monster',40,29397,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25607,25607,'Naia Spore',0,'',0,'Monster4.guard_naia_b3t',17,9,85,'male','L2Monster',40,29397,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25608,25608,'Naia Spore',0,'',0,'Monster4.guard_naia_b4t',17,9,85,'male','L2Monster',40,29397,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25609,25609,'Epidos',0,'Naia Shambler',0,'Monster4.guard_naia_c',60,99.5,85,'male','L2RaidBoss',40,2346910,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25610,25610,'Epidos',0,'Naia Shambler',0,'Monster4.guard_naia_c',60,99.5,85,'male','L2RaidBoss',40,2346910,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25611,25611,'Epidos',0,'Naia Shambler',0,'Monster4.guard_naia_c',60,99.5,85,'male','L2RaidBoss',40,2346910,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25612,25612,'Epidos',0,'Naia Shambler',0,'Monster4.guard_naia_c',60,99.5,85,'male','L2RaidBoss',40,2346910,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25613,25613,'Naia Spore',0,'',0,'Monster4.guard_naia_a',8.5,26,85,'male','L2Monster',40,29397,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25614,25614,'Floating Ghost',0,'',0,'Monster4.roaming_Msoul',6,26,85,'male','L2Monster',40,4813,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25615,25615,'Floating Ghost',0,'',0,'Monster4.roaming_Fsoul',6,25.5,85,'male','L2Monster',40,4813,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25616,25616,'Lost Warden',0,'',0,'LineageMonster.oel_mahum_witch_doctor',15,34,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25617,25617,'Lost Warden',0,'',0,'LineageMonster.zenta_lizardman_matriarch',20,40,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25618,25618,'Lost Warden',0,'',0,'LineageMonster.gargoyle_bi',16,65,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25619,25619,'Lost Warden',0,'',0,'LineageMonster.death_knight_120p',22,35.29,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25620,25620,'Lost Warden',0,'',0,'LineageMonster2.eligor',21,35,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25621,25621,'Lost Warden',0,'',0,'LineageMonster3.apostle_grail',13,47,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25622,25622,'Lost Warden',0,'',0,'LineageMonster.death_lord',21,41,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25623,25623,'Valdstone',0,'Master Rider',0,'LineageMonster4.master_rider',123,90,80,'male','L2FlyRaidBoss',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,409,0,3819,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25624,25624,'Rok',0,'King of Birds',0,'LineageMonster4.loc',197,130.5,83,'male','L2RaidBoss',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25625,25625,'Enira',0,'Banshee Queen',0,'LineageMonster4.banshee_queen',11,33.5,85,'male','L2FlyRaidBoss',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,409,0,3819,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25626,25626,'Dius',0,'Deadman of Destruction',0,'LineageMonster4.mutant_drake_wing',112,60,85,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25627,25627,'Mutant Bird',0,'Subordinate of King',0,'LineageMonster4.mutant_hawk',100,85,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25628,25628,'Dra Hawk',0,'Subordinate of King',0,'LineageMonster4.drahawk',110,35,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25629,25629,'Floating Skull',0,'Enira\'s Evil Spirit',0,'LineageMonster4.floating_skeleton',28,39,84,'male','L2FlyMinion',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,45,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25630,25630,'Floating Zombie',0,'Enira\'s Evil Spirit',0,'LineageMonster4.floating_zombie',70,50,84,'male','L2FlyMinion',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25631,25631,'Drake Wing',0,'Underling of Destruction',0,'LineageMonster4.m_drake_wing_knave',153,63,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25632,25632,'Drak',0,'Underling of Destruction',0,'LineageMonster4.drac',100,40,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25633,25633,'Elite Rider',0,'Valdstone\'s Elites',0,'LineageMonster4.master_rider',123,90,79,'male','L2FlyMinion',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,300,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25634,25634,'Cohemenes',0,'Soul Collector',0,'LineageMonster4.lich_A_132p',31.68,60.72,84,'male','L2Monster',40,1038381,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25635,25635,'Argekunte',0,'Vacuous Soul',0,'LineageMonster4.Death_slayer_120p',24,40.79,84,'male','L2Monster',40,1038381,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25636,25636,'Ravenous Soul Devourer',0,'',0,'LineageMonster4.soul_wagon_130p',70,44.2,84,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25637,25637,'Karpencharr',0,'Prophet of Lies',0,'LineageMonster4.lich_A_132p',31.68,60.72,84,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25638,25638,'Romerohiv',0,'Betrayer of Oblivion',0,'LineageMonster4.lich_b_132p',31.68,60.72,85,'male','L2Monster',40,1048764,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25639,25639,'Hitchkarshiek',0,'Wise Retainer of Suffering',0,'LineageMonster4.Death_slayer_120p',24,40.79,84,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25640,25640,'Freedkyilla',0,'Hand of Night',0,'LineageMonster4.Death_slayer_120p',24,40.79,84,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25641,25641,'Yehan Cravenizad',0,'Bloodsucker',0,'LineageMonster4.death_knight_n_156p',34.32,62.4,85,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,13982,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25642,25642,'Yehan Jaxsibhan',0,'Dark Guardian',0,'LineageMonster4.death_knight_n_156p',34.32,82.4,85,'male','L2Monster',40,1048764,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,13983,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25643,25643,'Awakened Ancient Sentry',0,'Raid Boss',0,'LineageMonster4.death_scout_110p',18,27.5,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25644,25644,'Awakened Ancient Severer',0,'Raid Boss',0,'LineageMonster4.bonecreeper_120p',51.59,57,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25645,25645,'Awakened Ancient Soul Extractor',0,'Raid Boss',0,'LineageMonster4.soul_harvester_120p',27.6,37.2,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25646,25646,'Awakened Ancient Soul Devourer',0,'Raid Boss',0,'LineageMonster4.soul_wagon_130p',70,44.2,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25647,25647,'Awakened Ancient Fighter',0,'Raid Boss',0,'LineageMonster4.death_knight_n_156p',34.32,62.4,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25648,25648,'Awakened Ancient Fighter',0,'Raid Boss',0,'LineageMonster4.death_knight_n_156p',34.32,62.4,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25649,25649,'Awakened Ancient Executor',0,'Raid Boss',0,'LineageMonster4.Death_slayer_120p',24,40.79,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25650,25650,'Awakened Ancient Executor',0,'Raid Boss',0,'LineageMonster4.Death_slayer_120p',24,40.79,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25651,25651,'Awakened Ancient Prophet',0,'Raid Boss',0,'LineageMonster4.lich_A_132p',31.68,60.72,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25652,25652,'Awakened Ancient Prophet',0,'Raid Boss',0,'LineageMonster4.lich_b_132p',31.68,60.72,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25653,25653,'Kanadis Herald',0,'Invading Forces',0,'LineageMonster4.pailaka_invader',30,33,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25654,25654,'Kanadis Herald',0,'Invading Forces',0,'LineageMonster4.pailaka_invader',30,33,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25655,25655,'Kanadis Herald',0,'Invading Forces',0,'LineageMonster4.pailaka_invader',30,33,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25656,25656,'Kanadis Fanatic',0,'',0,'LineageMonster3.solina_brother',9,23.4,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25657,25657,'Kanadis Fanatic',0,'',0,'LineageMonster3.solina_brother',9,23.4,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25658,25658,'Kanadis Fanatic',0,'',0,'LineageMonster3.solina_brother',9,23.4,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25659,25659,'Kanadis Guide',0,'Invading Forces',0,'LineageMonster4.pailaka_invader',30,33,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25660,25660,'Kanadis Guide',0,'Invading Forces',0,'LineageMonster4.pailaka_invader',30,33,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25661,25661,'Kanadis Guide',0,'Invading Forces',0,'LineageMonster4.pailaka_invader',30,33,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25662,25662,'Kanadis Follower',0,'',0,'LineageMonster3.solina_brother',9,23.4,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25663,25663,'Kanadis Follower',0,'',0,'LineageMonster3.solina_brother',9,23.4,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25664,25664,'Kanadis Follower',0,'',0,'LineageMonster3.solina_brother',9,23.4,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25665,25665,'Yehan Klodekus',0,'Soul Destroyer',0,'LineageMonster4.death_knight_n_raid',34.32,62.4,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,13982,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(25666,25666,'Yehan Klanikus',0,'Guide of Darkness',0,'LineageMonster4.death_knight_n_raid',34.32,62.4,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,13983,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false');

INSERT INTO `npc` VALUES
(27001,27001,'Orc Sniper',0,'',0,'Monster.orc_archer',14,25,10,'male','L2Monster',500,257,120,3.16,0.91,40,43,30,21,20,10,0,0,51,61,8,49,249,0,333,14,0,0,49,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(27002,27002,'Orc Fighter',0,'',0,'Monster.orc_fighter',12,22,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,0,0,27,66,10,54,278,0,333,1,0,0,49,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27003,27003,'Spirit Of Mirrors',0,'Quest Monster',0,'Monster.poison_toad',20,10,9,'male','L2Monster',40,226,111,3.16,0.91,40,43,30,21,20,10,0,0,20,58,7,47,278,0,333,0,0,0,55,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27004,27004,'Spirit Of Mirrors',0,'Quest Monster',0,'Monster.orc_fighter',12,22,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,0,0,22,61,8,49,278,0,333,0,0,0,49,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27005,27005,'Spirit Of Mirrors',0,'Quest Monster',0,'Monster.werewolf',10,26,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,0,0,25,64,9,52,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27006,27006,'Bhato Bloodspear',0,'',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,0,0,25,64,9,52,278,0,333,0,0,0,49,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27007,27007,'Tanuki Skullcrusher',0,'',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,0,0,25,64,9,52,278,0,333,0,0,0,49,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27008,27008,'Kraacul Blackskull',0,'',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,0,0,25,64,9,52,278,0,333,0,0,0,49,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27009,27009,'Taarq Blackskull',0,'',0,'Monster.orc_archer',14,25,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,0,0,25,64,9,52,278,0,333,0,0,0,49,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(27016,27016,'Nerkas',0,'Quest Monster',0,'Monster.dre_vanul',14,36,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,0,0,68,102,28,83,278,0,333,0,0,0,88,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27017,27017,'Plague Zombie',0,'Quest Monster',0,'Monster.zombie',13,21,14,'male','L2Monster',40,364,156,3.95,1.21,40,43,30,21,20,10,0,0,33,73,12,59,278,0,333,0,0,0,16,16,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27018,27018,'Orc Warrior',0,'',0,'Monster.orc_fighter',12,22,10,'male','L2Monster',40,257,120,3.16,0.91,40,43,30,21,20,10,0,0,22,61,8,49,278,0,333,0,0,0,49,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27019,27019,'Orc Warrior Leader',0,'',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,0,0,25,64,9,52,278,0,333,0,0,0,49,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27020,27020,'Varool Foulclaw',0,'Quest Monster',0,'Monster.wererat',14,25,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,57,94,23,76,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27021,27021,'Kirunak',0,'Quest Monster',0,'Monster.dre_vanul',14,36,22,'male','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,0,0,68,102,28,83,278,0,333,0,0,0,88,88,'kirunak_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27022,27022,'Merkenis',0,'Quest Monster',0,'Monster.succubus',10,36,22,'female','L2Monster',40,611,242,5.53,1.53,40,43,30,21,20,10,0,0,68,102,28,83,278,0,333,0,0,0,66,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27024,27024,'Undead Priest',0,'Quest Monster',0,'Monster.zombie',13,21,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,0,0,48,75,17,67,278,0,333,0,0,0,16,16,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27029,27029,'Phantom Salamander',0,'Quest Monster',0,'Monster.salamander',16,6.8,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,0,0,48,75,17,67,278,500,333,0,0,0,70,105,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27030,27030,'Water Seer',0,'Quest Monster',0,'Monster.monster_eye',21,43,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,0,0,48,75,17,67,278,500,333,0,0,0,90,90,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27031,27031,'Ol Mahum Sentry',0,'Quest Monster',0,'Monster.ol_mahum',13.5,25,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,0,0,48,75,17,67,278,0,333,2,0,0,55,121,'ol_mahum_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27032,27032,'Lizardman Warrior',0,'Quest Monster',0,'Monster.virud_lizardman_warrior',12,30,13,'male','L2Monster',80,339,147,3.95,1.21,40,43,30,21,20,10,0,0,33,63,11,56,237,500,333,16,0,0,57,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27033,27033,'Lizardman Scout',0,'Quest Monster',0,'Monster.virud_lizardman',10,23,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,0,0,30,60,10,54,278,500,333,1,0,0,47,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27034,27034,'Lizardman',0,'Quest Monster',0,'Monster.virud_lizardman',10,23,11,'male','L2Monster',80,292,129,3.95,1.21,40,43,30,21,20,10,0,0,27,58,9,52,237,500,333,291,0,0,47,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27035,27035,'Tamil',0,'Quest Monster',0,'Monster.bugbear',17,35,19,'male','L2Monster',40,508,203,3.95,1.21,40,43,30,21,20,10,0,0,58,82,21,73,278,500,333,4,0,0,60,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27036,27036,'Calpico',0,'Quest Monster',0,'Monster.orc_fighter',12,22,13,'male','L2Monster',40,339,147,3.95,1.21,40,43,30,21,20,10,0,0,33,63,11,56,278,0,333,2,0,0,45,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27037,27037,'Calpico\'s Goons',0,'Quest Monster',0,'Monster.orc',10,21,10,'male','L2Minion',40,257,120,3.16,0.91,40,43,30,21,20,10,0,0,25,55,8,49,278,0,333,1,0,0,45,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27038,27038,'Cat\'s Eye Bandit',0,'Quest Monster',0,'Monster.ol_mahum',13.5,25,15,'male','L2Monster',40,390,165,3.95,1.21,40,43,30,21,20,10,0,0,32,76,14,62,317,0,333,218,0,0,50,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27041,27041,'Baranka\'s Messenger',0,'Quest Monster',0,'Monster.orc_fighter',12,22,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,0,0,25,73,10,54,278,0,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27042,27042,'Orc Escort',0,'Quest Monster',0,'Monster.orc_fighter',12,22,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,0,0,25,73,10,54,278,0,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27043,27043,'Varangka\'s Tracker',0,'Quest Monster',0,'Monster.vampire_bat',10,33.5,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,0,0,23,70,9,52,278,500,333,0,0,0,66,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27044,27044,'Kasha Bear Totem Spirit',0,'Quest Monster',0,'Monster.grizzly',21,40,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,0,0,40,91,17,67,278,500,333,0,0,0,44,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27045,27045,'Kuruka Ratman Leader',0,'Quest Monster',0,'Monster.wererat',14,25,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,0,0,44,95,19,70,278,500,333,1,0,0,88,132,'wererat_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27046,27046,'Sumi',0,'Orc Betrayer',0,'Monster.batur_orc',9,21.5,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,57,94,23,76,278,0,333,2,0,0,88,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27047,27047,'Wanuk',0,'Orc Betrayer',0,'Monster.batur_orc',9,21.5,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,57,94,23,76,278,0,333,2,0,0,88,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27048,27048,'Chewba',0,'Orc Betrayer',0,'Monster.batur_orc',9,21.5,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,57,94,23,76,278,0,333,2,0,0,88,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27049,27049,'Heitafu',0,'Orc Betrayer',0,'Monster.batur_orc',9,21.5,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,57,94,23,76,278,0,333,2,0,0,88,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27050,27050,'Picubo',0,'Orc Betrayer',0,'Monster.batur_orc',9,21.5,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,57,94,23,76,278,0,333,2,0,0,88,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27051,27051,'Bumbum',0,'Orc Betrayer',0,'Monster.batur_orc',9,21.5,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,57,94,23,76,278,0,333,2,0,0,88,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27052,27052,'Minsku',0,'Orc Betrayer',0,'Monster.batur_orc',9,21.5,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,57,94,23,76,278,0,333,2,0,0,88,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27053,27053,'Chuchu',0,'Orc Betrayer',0,'Monster.batur_orc',9,21.5,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,57,94,23,76,278,0,333,2,0,0,88,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27054,27054,'Umbar Orc',0,'Quest Monster',0,'Monster.batur_orc',9,21.5,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,57,94,23,76,278,0,333,2,0,0,88,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27055,27055,'Zakan',0,'Orc Betrayer',0,'Monster.batur_orc',9,21.5,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,57,94,23,76,278,0,333,2,0,0,88,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27056,27056,'Durka Spirit',0,'Quest Monster',0,'Monster.magical_weaver',11,20,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,0,0,48,87,19,70,278,500,333,0,0,0,99,99,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27058,27058,'Honey Bear',0,'Quest Monster',0,'Monster.grizzly',21,40,17,'male','L2Monster',40,446,184,3.95,1.21,40,43,30,21,20,10,0,0,48,75,17,67,278,0,333,0,0,0,44,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27059,27059,'Uoph',0,'Kaboo Chief',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,0,0,25,64,9,52,278,0,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27060,27060,'Kracha',0,'Kaboo Chief',0,'Monster.orc_archer',14,25,11,'male','L2Monster',500,292,129,3.95,1.21,40,43,30,21,20,10,0,0,56,64,9,52,249,0,333,275,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'archer','false'),
(27061,27061,'Batoh',0,'Kaboo Chief',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,0,0,25,64,9,52,278,0,333,86,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27062,27062,'Tanukia',0,'Kaboo Chief',0,'Monster.orc_fighter',12,22,8,'male','L2Monster',40,197,102,3.16,0.91,40,43,30,21,20,10,0,0,18,55,6,45,278,0,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27063,27063,'Tanukia\'s Warhound',0,'Quest Monster',0,'Monster.wolf',13,9,4,'male','L2Monster',40,107,68,3.16,0.91,40,43,30,21,20,10,0,0,12,46,4,37,278,0,333,0,0,0,26,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27064,27064,'Turel',0,'Kaboo Chief',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,0,0,25,64,9,52,278,0,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27065,27065,'Roko',0,'Kaboo Chief',0,'Monster.orc_archer',14,25,8,'male','L2Monster',500,197,102,3.16,0.91,40,43,30,21,20,10,0,0,41,55,6,45,249,0,333,275,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'archer','false'),
(27066,27066,'Roko\'s Warhound',0,'Quest Monster',0,'Monster.wolf',13,9,4,'male','L2Monster',40,107,68,3.16,0.91,40,43,30,21,20,10,0,0,12,46,4,37,278,0,333,0,0,0,26,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27067,27067,'Kamut',0,'Kaboo Chief',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,0,0,25,64,9,52,278,0,333,86,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27068,27068,'Murtika',0,'Kaboo Chief',0,'Monster.orc_archer',14,25,8,'male','L2Monster',500,197,102,3.16,0.91,40,43,30,21,20,10,0,0,41,55,6,45,249,0,333,275,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'archer','false'),
(27069,27069,'Murtika\'s Warhound',0,'Quest Monster',0,'Monster.wolf',13,9,4,'male','L2Monster',40,107,68,3.16,0.91,40,43,30,21,20,10,0,0,12,46,4,37,278,0,333,0,0,0,26,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27070,27070,'Tumran Orc Brigand',0,'Quest Monster',0,'Monster.orc_fighter',12,22,11,'male','L2Monster',40,292,129,3.95,1.21,40,43,30,21,20,10,0,0,25,64,9,52,278,0,333,2,0,0,49,121,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27077,27077,'Unicorn Of Eva',0,'Quest Monster',0,'Monster.unicorn',14,30,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,0,0,145,128,58,114,278,0,333,0,0,0,50,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27078,27078,'Trimden Lord',0,'Quest Monster',0,'Monster.poison_spider',27,25.5,39,'male','L2Monster',40,1462,514,7.11,1.84,40,43,30,21,20,10,0,0,255,195,121,158,278,0,333,0,0,0,66,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27079,27079,'Black Willow Lurker',0,'Quest Monster',0,'Monster.hanged_man_ripper',35,80,39,'male','L2Monster',40,1462,514,7.11,1.84,40,43,30,21,20,10,0,0,255,195,121,158,278,0,333,0,0,0,55,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27080,27080,'Pashika Son Of Voltar',0,'Quest Monster',0,'Monster.batur_orc_warrior',10,20,37,'male','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,0,0,222,182,104,147,278,500,333,2,0,0,88,132,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27081,27081,'Vultus Son Of Voltar',0,'Quest Monster',0,'Monster.batur_orc_warrior',10,20,37,'male','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,0,0,222,182,104,147,278,500,333,2,0,0,88,132,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27082,27082,'Enku Orc Overlord',0,'Quest Monster',0,'Monster.batur_orc_warrior',10,20,33,'male','L2Monster',40,1109,413,7.11,1.84,40,43,30,21,20,10,0,0,182,143,75,128,278,500,333,2,0,0,88,132,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27083,27083,'Makum Bugbear Thug',0,'Quest Monster',0,'Monster.bugbear',17,35,37,'male','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,0,0,244,165,104,147,278,500,333,2,0,0,60,143,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27086,27086,'Revenant of Tantos Chief',0,'Quest Monster',0,'Monster.batur_orc_overlord',12,24,39,'male','L2Monster',40,1462,514,7.11,1.84,40,43,30,21,20,10,0,0,231,214,121,158,278,0,333,66,0,0,88,154,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27088,27088,'Harpy Matriarch',0,'Quest Monster',0,'Monster.harpy',10,42,34,'female','L2Monster',40,1164,430,7.11,1.84,40,43,30,21,20,10,0,0,178,163,82,132,278,500,333,0,0,0,66,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27089,27089,'Road Collector',0,'Quest Monster',0,'Monster.wererat',14,25,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,206,175,96,142,278,500,333,12,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27090,27090,'Serpent Demon Kadesh',0,'Quest Monster',0,'Monster.serpent_slave',17,46,41,'male','L2Monster',40,1593,560,8.69,2.14,40,43,30,21,20,10,0,0,291,208,141,169,278,0,333,73,0,0,77,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27092,27092,'Neer Bodyguard',0,'Quest Monster',0,'Monster.neer_crawler',14,22,33,'male','L2Monster',40,1109,413,7.11,1.84,40,43,30,21,20,10,0,0,182,143,75,128,278,500,333,0,0,0,55,99,'lizardman_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27093,27093,'Delu Chief Kalkis',0,'Quest Monster',0,'Monster.virud_lizardman_matriarch',13,37,37,'male','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,0,0,244,165,104,147,278,0,333,12,0,0,61,143,'lizardman_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27094,27094,'Delu Lizardman Assassin',0,'Quest Monster',0,'Monster.virud_lizardman',10,23,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,227,159,96,142,278,500,333,2,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27095,27095,'Singing Flower Phantasm',0,'Quest Monster',0,'Monster.mandragora_b',12,25.5,44,'female','L2Monster',40,1799,648,8.69,2.14,40,43,30,21,20,10,0,0,322,253,176,187,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27096,27096,'Singing Flower Nightmare',0,'Quest Monster',0,'Monster.mandragora_b',12,25.5,44,'female','L2Monster',40,1799,648,8.69,2.14,40,43,30,21,20,10,0,0,322,253,176,187,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27097,27097,'Singing Flower Darkling',0,'Quest Monster',0,'Monster.mandragora_b',12,25.5,44,'female','L2Monster',40,1799,648,8.69,2.14,40,43,30,21,20,10,0,0,322,253,176,187,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27098,27098,'Ghost Fire',0,'Quest Monster',0,'Monster.will_o_wisp',13,22,42,'male','L2Monster',40,1660,589,8.69,2.14,40,43,30,21,20,10,0,0,311,215,152,175,278,0,333,0,0,0,80,140,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27099,27099,'Nameless Revenant',0,'Quest Monster',0,'Monster.zombie',13,21,38,'male','L2Monster',40,1400,497,7.11,1.84,40,43,30,21,20,10,0,0,261,171,112,153,278,0,333,0,0,0,16,16,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27100,27100,'Skeletal Mercenary',0,'Quest Monster',0,'Monster.skeleton_knight',10,25,39,'male','L2Monster',40,1462,514,7.11,1.84,40,43,30,21,20,10,0,0,280,177,121,158,278,0,333,69,0,0,40,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27101,27101,'Drevanul Prince Zeruel',0,'Quest Monster',0,'Monster.dre_vanul',14,36,42,'male','L2Monster',40,1660,589,8.69,2.14,40,43,30,21,20,10,0,0,342,196,152,175,278,0,333,0,0,0,88,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27102,27102,'Pako The Cat',0,'Quest Monster',0,'Monster.cat_the_cat',9,16,38,'male','L2Monster',40,1400,497,7.11,1.84,40,43,30,21,20,10,0,0,238,188,112,153,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27103,27103,'Unicorn Racer',0,'Quest Monster',0,'Monster.unicorn_boxer',11,18,38,'male','L2Monster',40,1400,497,7.11,1.84,40,43,30,21,20,10,0,0,238,188,112,153,278,0,333,0,0,0,29,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27104,27104,'Shadow Turen',0,'Quest Monster',0,'Monster.shadow',10,30,39,'male','L2Monster',40,1462,514,7.11,1.84,40,43,30,21,20,10,0,0,255,195,121,158,278,0,333,0,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27105,27105,'Mimi The Cat',0,'Quest Monster',0,'Monster.cutie_cat',8,15,39,'female','L2Monster',40,1462,514,7.11,1.84,40,43,30,21,20,10,0,0,255,195,121,158,278,0,333,0,0,0,52,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27106,27106,'Unicorn Phantasm',0,'Quest Monster',0,'Monster.unicorn_mirage',13,17,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,0,0,273,201,131,164,278,0,333,0,0,0,29,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27107,27107,'Silhouette Tilfo',0,'Quest Monster',0,'Monster.silhouette',8,23,40,'female','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,0,0,273,201,131,164,278,0,333,0,0,0,80,140,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27108,27108,'Stenoa Gorgon Queen',0,'Quest Monster',0,'Monster.cave_maiden',25,65,37,'female','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,0,0,244,165,104,147,278,0,333,127,0,0,77,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27109,27109,'Handmaiden Of Stenoa',0,'Quest Monster',0,'Monster.medusa',10,25,33,'female','L2Minion',40,1109,413,7.11,1.84,40,43,30,21,20,10,0,0,182,143,75,128,278,0,333,0,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27110,27110,'Shyslassys',0,'Quest Monster',0,'Monster.medusa',10,25,36,'female','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,187,193,96,142,278,0,333,0,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27111,27111,'Cave Basilisk',0,'Quest Monster',0,'Monster.lesser_basilisk',34,25,30,'male','L2Minion',40,954,365,5.53,1.53,40,43,30,21,20,10,0,0,120,155,58,114,278,0,333,0,0,0,38,59,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27112,27112,'Gorr',0,'Quest Monster',0,'Monster.medusa',10,25,36,'female','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,227,159,96,142,278,0,333,0,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27113,27113,'Baraham',0,'Quest Monster',0,'Monster.medusa',10,25,36,'female','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,227,159,96,142,278,0,333,0,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27114,27114,'Succubus Queen',0,'Quest Monster',0,'Monster.succubus',10,36,34,'female','L2Monster',40,1164,430,7.11,1.84,40,43,30,21,20,10,0,0,196,148,82,132,278,0,333,0,0,0,66,110,'demonic_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27115,27115,'Claw Of Succubus',0,'Quest Monster',0,'Monster.succubus',10,36,28,'female','L2Monster',40,859,334,5.53,1.53,40,43,30,21,20,10,0,0,124,118,49,106,278,0,333,0,0,0,66,110,'demonic_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27116,27116,'Lava Salamander',0,'Quest Monster',0,'Monster.salamander',16,6.8,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,174,186,89,137,278,0,333,0,0,0,70,105,'elemental3_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27117,27117,'Nahir',0,'Quest Monster',0,'Monster.dre_vanul',14,36,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,174,186,89,137,278,0,333,0,0,0,88,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27118,27118,'Black Willow',0,'Quest Monster',0,'Monster.hanged_man_ripper',35,80,30,'male','L2Monster',40,954,365,5.53,1.53,40,43,30,21,20,10,0,0,145,128,58,114,278,0,333,0,0,0,60,60,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27119,27119,'Spirit of Sir Herod',0,'Quest Monster',0,'Monster.skeleton_royal_guard',11,28.5,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,69,0,0,80,120,'skeleton_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27120,27120,'Luell Of Zephyr Winds',0,'Quest Monster',0,'Monster.sylph',11,35,37,'female','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,0,0,222,182,104,147,278,0,333,0,0,0,66,66,'elemental2_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27121,27121,'Actea Of Verdant Wilds',0,'Quest Monster',0,'Monster.dryad',9,20,37,'female','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,0,0,222,182,104,147,278,0,333,0,0,0,44,121,'elemental1_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27122,27122,'Leto Lizardman Agent',0,'Quest Monster',0,'Monster.zenta_lizardman',11,32,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,1,0,0,40,154,'lizardman_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27123,27123,'Leto Lizardman Leader',0,'Quest Monster',0,'Monster.zenta_lizardman_warrior',13,35,38,'male','L2Monster',40,1400,497,7.11,1.84,40,43,30,21,20,10,0,0,238,188,112,153,278,0,333,66,0,0,44,154,'lizardman_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27124,27124,'Leto Lizardman Assassin',0,'Quest Monster',0,'Monster.zenta_lizardman',11,32,37,'male','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,0,0,244,165,104,147,278,500,333,217,0,0,40,154,'lizardman_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27125,27125,'Leto Lizardman Sniper',0,'Quest Monster',0,'Monster.zenta_lizardman_scout',11,30,36,'male','L2Monster',500,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,417,193,96,142,249,0,333,14,0,0,40,165,'lizardman_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27126,27126,'Leto Lizardman Wizard',0,'Quest Monster',0,'Monster.zenta_lizardman_shaman',13,35,39,'male','L2Monster',40,1462,514,7.11,1.84,40,43,30,21,20,10,0,0,280,177,121,158,278,0,333,7,0,0,47,143,'lizardman_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27127,27127,'Leto Lizardman Lord',0,'Quest Monster',0,'Monster.zenta_lizardman_matriarch',20,40,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,0,0,248,222,131,164,278,500,333,69,0,0,58,154,'lizardman_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27128,27128,'Aruraune',0,'Quest Monster',0,'Monster.mandragora_b',12,25.5,40,'female','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,0,0,273,201,131,164,278,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27129,27129,'Ol Mahum Inspector',0,'Quest Monster',0,'Monster.ol_mahum',13.5,25,38,'male','L2Monster',40,1400,497,7.11,1.84,40,43,30,21,20,10,0,0,261,171,112,153,278,500,333,2,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27130,27130,'Ol Mahum Betrayer',0,'Quest Monster',0,'Monster.ol_mahum',13.5,25,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,187,193,96,142,278,0,333,12,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27131,27131,'Crimson Werewolf',0,'Quest Monster',0,'Monster.werewolf',10,26,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,206,175,96,142,278,500,333,0,0,0,55,132,'werewolf_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27132,27132,'Krudel Lizardman',0,'Quest Monster',0,'Monster.virud_lizardman',10,23,36,'male','L2Monster',80,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,206,175,96,142,237,500,333,291,0,0,47,143,'elemental1_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27133,27133,'Evil Eye Lord',0,'Quest Monster',0,'Monster.monster_eye',21,43,37,'male','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,0,0,244,165,104,147,278,500,333,0,0,0,99,99,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27134,27134,'Tatoma',0,'Quest Monster',0,'Monster.king_bugbear',15,40,32,'male','L2Monster',40,1056,397,7.11,1.84,40,43,30,21,20,10,0,0,140,167,69,123,278,500,333,88,0,0,60,143,'orc_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27135,27135,'Grima',0,'Quest Monster',0,'Monster.devastator',35,35,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,0,0,560,253,264,226,278,500,333,0,0,0,27,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27136,27136,'Succubus Of Seduction',0,'Quest Monster',0,'Monster.succubus',10,36,40,'female','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,0,0,248,222,131,164,278,500,333,0,0,0,66,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27137,27137,'Demon King',0,'Quest Monster',0,'Monster.dre_vanul',14,36,50,'male','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,0,0,463,306,264,226,278,500,333,0,0,0,88,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27138,27138,'Great Demon King',0,'Quest Monster',0,'Monster.death_knight',12,31,60,'male','L2Monster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,0,0,946,335,478,299,278,500,333,127,0,0,29,121,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27139,27139,'Secret Keeper Tree',0,'Quest Monster',0,'Monster.ti_mi_tran',23,90,47,'male','L2Monster',40,2016,738,8.69,2.14,40,43,30,21,20,10,0,0,388,279,216,206,278,0,333,0,0,0,12,12,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27140,27140,'Breka Overlord Haka',0,'Quest Monster',0,'Monster.batur_orc_overlord',12,24,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,187,193,96,142,278,500,333,66,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27141,27141,'Breka Overlord Jaka',0,'Quest Monster',0,'Monster.batur_orc_overlord',12,24,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,187,193,96,142,278,500,333,66,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27142,27142,'Breka Overlord Marka',0,'Quest Monster',0,'Monster.batur_orc_overlord',12,24,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,187,193,96,142,278,500,333,66,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27143,27143,'Windsus Aleph',0,'Quest Monster',0,'Monster.giant_wild_hog',35,27,42,'male','L2Monster',40,1660,589,8.69,2.14,40,43,30,21,20,10,0,0,342,196,152,175,278,500,333,0,0,0,38,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27144,27144,'Tarlk Raider Athu',0,'Quest Monster',0,'Monster.king_bugbear',15,40,48,'male','L2Monster',40,2091,768,8.69,2.14,40,43,30,21,20,10,0,0,498,238,231,212,278,500,333,88,0,0,60,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27145,27145,'Tarlk Raider Lanka',0,'Quest Monster',0,'Monster.king_bugbear',15,40,48,'male','L2Monster',40,2091,768,8.69,2.14,40,43,30,21,20,10,0,0,498,238,231,212,278,500,333,88,0,0,60,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27146,27146,'Tarlk Raider Triska',0,'Quest Monster',0,'Monster.king_bugbear',15,40,48,'male','L2Monster',40,2091,768,8.69,2.14,40,43,30,21,20,10,0,0,498,238,231,212,278,500,333,88,0,0,60,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27147,27147,'Tarlk Raider Motura',0,'Quest Monster',0,'Monster.king_bugbear',15,40,48,'male','L2Monster',40,2091,768,8.69,2.14,40,43,30,21,20,10,0,0,498,238,231,212,278,500,333,88,0,0,60,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27148,27148,'Tarlk Raider Kalath',0,'Quest Monster',0,'Monster.king_bugbear',15,40,48,'male','L2Monster',40,2091,768,8.69,2.14,40,43,30,21,20,10,0,0,498,238,231,212,278,500,333,88,0,0,60,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27149,27149,'Gremlin Filcher',0,'Quest Monster',0,'Monster.gremlin',10,15,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,0,0,25,73,10,54,278,500,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27150,27150,'Black Legion Stormtrooper',0,'Quest Monster',0,'Monster.skeleton_royal_guard',11,28.5,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,0,0,365,202,163,181,278,500,333,217,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27151,27151,'Delu Lizardman Headhunter',0,'Quest Monster',0,'Monster.virud_lizardman_scout',10,22,28,'male','L2Monster',500,859,334,5.53,1.53,40,43,30,21,20,10,0,0,276,118,49,106,249,500,333,2507,0,0,47,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27152,27152,'Marsh Stakato Marquess',0,'Quest Monster',0,'Monster.marsh_stakato_queen',15,37,35,'female','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,211,154,89,137,278,500,333,0,0,0,143,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27153,27153,'Alexandro Sanches',0,'Dark Lord',0,'Monster.imp',10,24,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,0,0,10,48,3,35,278,0,333,0,0,0,66,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27154,27154,'Bonaparterius',0,'Abyss King',0,'Monster.goblin',10,16.5,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,0,0,10,48,3,35,278,0,333,4,0,0,44,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27155,27155,'Ramsebalius',0,'Evil Overlord',0,'Monster.orc',10,21,3,'male','L2Monster',40,90,60,3.16,0.91,40,43,30,21,20,10,0,0,12,40,3,35,278,0,333,2,0,0,49,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27156,27156,'Leto Shaman Ketz',0,'Quest Monster',0,'Monster.zenta_lizardman_shaman',13,35,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,0,0,248,222,131,164,278,500,333,159,0,0,47,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27157,27157,'Leto Chief Narak',0,'Quest Monster',0,'Monster.zenta_lizardman_matriarch',20,40,41,'male','L2Monster',40,1593,560,8.69,2.14,40,43,30,21,20,10,0,0,265,229,141,169,278,500,333,221,0,0,58,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27158,27158,'Timak Raider Kaikee',0,'Quest Monster',0,'Monster.batur_orc',9,21.5,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,0,0,365,202,163,181,278,500,333,66,0,0,88,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27159,27159,'Timak Overlord Okun',0,'Quest Monster',0,'Monster.batur_orc_overlord',12,24,46,'male','L2Monster',40,1943,707,8.69,2.14,40,43,30,21,20,10,0,0,442,223,202,199,278,500,333,127,0,0,88,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27160,27160,'Gok Magok',0,'Grandis Chief',0,'Monster.twin_headed_giant',17,39,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,0,0,302,245,163,181,278,500,333,0,0,0,49,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27161,27161,'Taik Overlord Kakran',0,'Quest Monster',0,'Monster.ketra_orc_warrior',12,24,45,'male','L2Monster',40,1870,677,8.69,2.14,40,43,30,21,20,10,0,0,415,216,188,193,278,500,333,69,0,0,39,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27162,27162,'Hatar Chieftain Kubel',0,'Quest Monster',0,'Monster.medusa',10,25,52,'female','L2Monster',40,2402,892,10.27,2.45,40,43,30,21,20,10,0,0,518,324,300,239,278,500,333,0,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27163,27163,'Vanor Elder Kerunos',0,'Quest Monster',0,'Monster.heltor_silenos_chieftain',13,31.5,51,'male','L2Monster',40,2323,861,10.27,2.45,40,43,30,21,20,10,0,0,490,315,281,232,278,500,333,179,0,0,29,176,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27164,27164,'Karul Chief Orooto',0,'Quest Monster',0,'Monster.bugbear',17,35,43,'male','L2Monster',40,1728,618,8.69,2.14,40,43,30,21,20,10,0,0,365,202,163,181,278,500,333,88,0,0,60,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27165,27165,'Abyssal Jewel 1',0,'Quest Monster',0,'Monster.mirror',26,52,60,'male','L2Monster',40,3054,1150,92.43,2.45,40,43,30,21,20,10,0,0,782,405,478,299,278,0,333,0,0,0,88,181,'abyss_jewel_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27166,27166,'Abyssal Jewel 2',0,'Quest Monster',0,'Monster.mirror',26,52,60,'male','L2Monster',40,3054,1150,92.43,2.45,40,43,30,21,20,10,0,0,782,405,478,299,278,0,333,0,0,0,88,181,'abyss_jewel_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27167,27167,'Abyssal Jewel 3',0,'Quest Monster',0,'Monster.mirror',26,52,60,'male','L2Monster',40,3054,1150,92.43,2.45,40,43,30,21,20,10,0,0,782,405,478,299,278,0,333,0,0,0,88,181,'abyss_jewel_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27168,27168,'Jewel Guardian Mara',0,'Quest Monster',0,'Monster.succubus',10,36,53,'female','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,0,0,662,276,319,247,278,500,333,0,0,0,66,110,'abyss_jewel_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27169,27169,'Jewel Guardian Musfel',0,'Quest Monster',0,'Monster.dre_vanul',14,36,53,'male','L2Monster',40,2481,923,10.27,2.45,40,43,30,21,20,10,0,0,547,334,319,247,278,500,333,0,0,0,88,88,'abyss_jewel_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27170,27170,'Jewel Guardian Pyton',0,'Quest Monster',0,'Monster.serpent_slave',17,46,58,'male','L2Monster',40,2889,1084,10.27,2.45,40,43,30,21,20,10,0,0,710,384,428,284,278,500,333,223,0,0,77,121,'abyss_jewel_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27171,27171,'Sacrifice Of The Sacrificed',0,'Quest Monster',0,'Monster.magical_weaver',11,20,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,63,86,23,76,278,0,333,0,0,0,99,99,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27172,27172,'Harit Lizardman Zealot',0,'Quest Monster',0,'Monster.zenta_lizardman_warrior',13,35,55,'male','L2Monster',40,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,737,292,360,261,278,500,333,16,0,0,44,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27173,27173,'Box Of Athrea 1',0,'Quest Monster',0,'NPC.coffer_a',12,9.5,50,'etc','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,0,0,463,306,264,226,278,0,333,0,0,0,0,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27174,27174,'Box Of Athrea 2',0,'Quest Monster',0,'NPC.coffer_a',12,9.5,50,'etc','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,0,0,463,306,264,226,278,0,333,0,0,0,0,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27175,27175,'Box Of Athrea 3',0,'Quest Monster',0,'NPC.coffer_a',12,9.5,50,'etc','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,0,0,463,306,264,226,278,0,333,0,0,0,0,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27176,27176,'Box Of Athrea 4',0,'Quest Monster',0,'NPC.coffer_a',12,9.5,50,'etc','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,0,0,463,306,264,226,278,0,333,0,0,0,0,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27177,27177,'Box Of Athrea 5',0,'Quest Monster',0,'NPC.coffer_a',12,9.5,50,'etc','L2Monster',40,2245,830,8.69,2.14,40,43,30,21,20,10,0,0,463,306,264,226,278,0,333,0,0,0,0,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27178,27178,'Blitz Wyrm',0,'Quest Monster',0,'Monster.wyrm',29,72,60,'male','L2Monster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,0,0,946,335,478,299,278,500,333,0,0,0,77,77,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27179,27179,'Grave Keymaster',0,'Quest Monster',0,'Monster.gargoyle',16,50,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,0,0,979,460,619,340,278,0,333,0,0,0,154,154,'grave_guard_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27180,27180,'Imperial Slave',0,'Quest Monster',0,'Monster.binding',12,21,56,'male','L2Monster',40,2724,1019,10.27,2.45,40,43,30,21,20,10,0,0,642,364,382,269,278,500,333,0,0,0,11,154,'grave_keeper_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27181,27181,'Imperial Gravekeeper',0,'Quest Monster',0,'Monster.death_blader',15,45,60,'male','L2Monster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,0,0,782,405,478,299,278,0,333,1472,0,0,110,187,'grave_keeper_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27182,27182,'Ark Guardian Elberoth',0,'Quest Monster',0,'Monster.archangel',15,80,60,'male','L2Monster',40,3054,1150,10.27,2.45,40,43,30,21,20,10,0,0,782,405,478,299,278,0,333,6370,0,0,55,220,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27183,27183,'Ark Guardian Shadowfang',0,'Quest Monster',0,'Monster.kel_mahum_archer',13,27,60,'male','L2Monster',500,3054,1150,10.27,2.45,40,43,30,21,20,10,0,0,2313,259,478,299,249,0,333,288,0,0,55,176,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(27184,27184,'Angel Killer',0,'Quest Monster',0,'Monster.death_lord',21,40,60,'male','L2Monster',40,3054,1150,92.43,2.45,40,43,30,21,20,10,0,0,711,446,478,299,278,0,333,130,0,0,44,220,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(27185,27185,'Fairy Tree of Wind',0,'Quest Monster',0,'NPC.human_tree',35,90,55,'etc','L2Monster',0,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,0,273,0,261,278,0,333,0,0,0,0,0,'q421_tree_clan',100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27186,27186,'Fairy Tree of Star',0,'Quest Monster',0,'NPC.human_tree',35,90,55,'etc','L2Monster',0,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,0,389,0,261,278,0,333,0,0,0,0,0,'q421_tree_clan',100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27187,27187,'Fairy Tree of Twilight',0,'Quest Monster',0,'NPC.human_tree',35,90,55,'etc','L2Monster',0,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,0,292,0,261,278,0,333,0,0,0,0,0,'q421_tree_clan',100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27188,27188,'Fairy Tree of Abyss',0,'Quest Monster',0,'NPC.human_tree',35,90,55,'etc','L2Monster',0,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,0,322,0,261,278,0,333,0,0,0,0,0,'q421_tree_clan',100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27189,27189,'Soul of Tree Guardian',0,'Quest Monster',0,'Monster.elf_ghost',7,21,50,'male','L2Monster',40,2245,830,4.35,2.14,40,43,30,21,20,10,0,0,509,236,264,226,278,500,333,0,0,0,88,154,'q421_tree_clan',100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27190,27190,'Ol Mahum Support Troop',0,'Quest Monster',0,'Monster.ol_mahum_champion',14,27,26,'male','L2Monster',40,770,303,5.53,1.53,40,43,30,21,20,10,0,0,96,120,41,98,278,500,333,69,0,0,55,165,'orc_clan',200,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27191,27191,'Malcom',0,'Quest Monster',0,'Monster.grizzly',21,40,25,'male','L2Monster',40,728,287,5.53,1.53,40,43,30,21,20,10,0,0,103,116,37,94,237,500,333,0,0,0,44,174,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27192,27192,'Succubus Handmaiden',0,'Quest Monster',0,'Monster.succubus',10,36,18,'female','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,0,0,48,87,19,70,278,500,333,0,0,0,66,147,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27193,27193,'Goblin Servant',0,'Quest Monster',0,'Monster.goblin',10,16.5,12,'male','L2Monster',40,315,138,3.95,1.21,40,43,30,21,20,10,0,0,27,56,10,54,278,500,333,0,0,0,44,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27194,27194,'Julie the Ripper',0,'Quest Monster',0,'Monster.doll_blader',6,12,40,'male','L2Monster',40,1527,531,14.22,1.84,40,43,30,21,20,10,0,0,289,141,131,164,317,500,333,5129,5129,0,24,191,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27195,27195,'Male Ant',0,'Quest Monster',0,'Monster.noble_ant',20,48,32,'male','L2Monster',40,1056,397,7.11,1.84,40,43,30,21,20,10,0,0,154,151,69,123,278,0,333,0,0,0,88,165,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27196,27196,'Bluebacked Alligator',0,'Quest Monster',0,'Monster.crocodile',28,11.5,40,'male','L2Monster',40,1527,531,14.22,1.84,40,43,30,21,20,10,0,0,248,222,131,164,278,500,333,0,0,0,77,121,'croc_clan',200,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27197,27197,'Bejewelled Alligator',0,'Quest Monster',0,'Monster.crocodile',28,11.5,40,'male','L2Monster',40,1527,531,21.33,1.84,40,43,30,21,20,10,0,0,248,222,131,164,278,500,333,0,0,0,77,121,'croc_clan',200,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27199,27199,'Crimson Werewolf',0,'Quest Monster',0,'Monster.werewolf',10,26,36,'male','L2Monster',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,206,175,96,142,278,0,333,0,0,0,55,132,'werewolf_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27200,27200,'Krudel Lizardman',0,'Quest Monster',0,'Monster.virud_lizardman',10,23,36,'male','L2Monster',80,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,206,175,96,142,237,0,333,291,0,0,47,143,'elemental1_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27201,27201,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27202,27202,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27203,27203,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27204,27204,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27205,27205,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27206,27206,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27207,27207,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27208,27208,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27209,27209,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27210,27210,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27211,27211,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27212,27212,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27213,27213,'',0,'',0,'Monster.bugbear',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27214,27214,'Guardian of Forbidden Knowledge',0,'Quest Monster',0,'Monster2.apostle_warrior',8,30,76,'female','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,0,333,80,0,0,55,198,'guard_of_secrets_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27215,27215,'Guardian of Forbidden Knowledge',0,'Quest Monster',0,'Monster2.apostle_warrior',8,30,76,'female','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,197,0,333,80,0,0,50,180,'guard_of_secrets_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27216,27216,'Guardian of Forbidden Knowledge',0,'Quest Monster',0,'Monster2.apostle_warrior',8,30,76,'female','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,197,0,333,80,0,0,50,180,'guard_of_secrets_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27217,27217,'Soul of Well',0,'Quest Monster',0,'Monster.dark_horror',20,35,63,'male','L2Monster',40,3302,1251,11.85,2.78,40,43,30,21,20,10,0,0,987,338,560,323,278,150,333,0,0,0,100,180,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27218,27218,'Triol\'s Pawn',0,'Quest Monster',0,'Monster.dre_vanul',14,36,65,'male','L2Monster',40,3465,1319,11.85,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,150,333,0,0,0,88,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27219,27219,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27220,27220,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27221,27221,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27222,27222,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27223,27223,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27224,27224,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27225,27225,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27226,27226,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27227,27227,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27228,27228,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27229,27229,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27230,27230,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27231,27231,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27232,27232,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27233,27233,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27234,27234,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27235,27235,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27236,27236,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27237,27237,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27238,27238,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27239,27239,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27240,27240,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27241,27241,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27242,27242,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27243,27243,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27244,27244,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27245,27245,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27246,27246,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27247,27247,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27248,27248,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27249,27249,'Archon of Halisha',0,'Quest Monster',0,'Monster2.ahrimanes',14,57.75,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27250,27250,'Fallen Angel Allector',0,'Quest Monster',0,'Monster.karik',25,90,76,'male','L2Monster',40,4297,1710,26.86,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,0,0,0,40,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27251,27251,'Fallen Angel Allector',0,'Quest Monster',0,'Monster.karik',25,90,76,'male','L2Monster',40,4297,1710,26.86,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,0,0,0,40,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27252,27252,'Fallen Angel Allector',0,'Quest Monster',0,'Monster.karik',25,90,76,'male','L2Monster',40,4297,1710,26.86,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,0,0,0,40,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27253,27253,'Hell Fire',0,'Quest Monster',0,'Monster.will_o_wisp',13,22,76,'male','L2Monster',40,4297,1710,6.72,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,0,0,0,88,187,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27254,27254,'Unknown Stopper',0,'Quest Monster',0,'Monster.fiend_archer',17,55,81,'male','L2Monster',500,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,4141,499,1182,477,249,150,333,0,0,0,77,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(27255,27255,'Unknown Stopper',0,'Quest Monster',0,'Monster.fiend_archer',17,55,81,'male','L2Monster',500,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,4141,499,1182,477,249,150,333,0,0,0,77,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(27256,27256,'Unknown Stopper',0,'Quest Monster',0,'Monster.fiend_archer',17,55,81,'male','L2Monster',500,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,4141,499,1182,477,249,150,333,0,0,0,77,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(27257,27257,'Archangel Iconoclasis',0,'Quest Monster',0,'Monster2.apostle_mage',11,38.5,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,161,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(27258,27258,'Archangel Iconoclasis',0,'Quest Monster',0,'Monster2.apostle_mage',11,38.5,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,161,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(27259,27259,'Archangel Iconoclasis',0,'Quest Monster',0,'Monster2.apostle_mage',11,38.5,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,161,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(27260,27260,'Archangel Iconoclasis',0,'Quest Monster',0,'Monster2.apostle_mage',11,38.5,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,161,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(27261,27261,'Bead of Sacred Flame',0,'Quest Monster',0,'Monster.will_o_wisp',13,22,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,0,0,0,88,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27262,27262,'Death Lord Hallate',0,'Quest Monster',0,'Monster.death_lord',21,40,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,78,0,0,44,198,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27263,27263,'Death Lord Hallate',0,'Quest Monster',0,'Monster.death_lord',21,40,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,78,0,0,44,198,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27264,27264,'Death Lord Hallate',0,'Quest Monster',0,'Monster.death_lord',21,40,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,78,0,0,44,198,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27265,27265,'Lich King Icarus',0,'Quest Monster',0,'Monster.vale_master',12,40,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,499,1182,477,278,150,333,205,0,0,77,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27266,27266,'Fallen Angel Haures',0,'Quest Monster',0,'Monster.doll_master',20,42,76,'male','L2Monster',40,4297,1710,26.86,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,0,0,0,88,198,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27267,27267,'Fallen Angel Haures',0,'Quest Monster',0,'Monster.doll_master',20,42,76,'male','L2Monster',40,4297,1710,26.86,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,0,0,0,88,198,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27268,27268,'Guard of Haures',0,'Quest Monster',0,'Monster.neer_crawler',14,22,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1412,454,994,433,317,0,333,0,0,0,55,198,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(27269,27269,'Fallen Angel Naverius',0,'Quest Monster',0,'Monster.banshee',9,23,76,'female','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,3939,0,0,88,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27270,27270,'Fallen Angel Naverius',0,'Quest Monster',0,'Monster.banshee',9,23,76,'female','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,3939,0,0,88,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27271,27271,'Chimera Golem',0,'Quest Monster',0,'Monster2.lava_golem',22,45,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,0,0,0,14,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27272,27272,'Hallate\'s Dancer Lillian',0,'Quest Monster',0,'Monster.banshee',9,23,76,'female','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,3939,0,0,88,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27273,27273,'Assassin Pezel',0,'Quest Monster',0,'Monster.skeleton_royal_guard',11,28.5,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1630,587,1182,477,317,150,333,242,0,0,88,198,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(27274,27274,'Fallen Angel Tanakia',0,'Quest Monster',0,'Monster2.halisha_d',23,60,81,'female','L2Monster',500,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,4141,587,1182,477,249,150,333,286,0,0,47,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27275,27275,'Fallen Angel Tanakia',0,'Quest Monster',0,'Monster2.halisha_d',23,60,81,'female','L2Monster',500,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,4141,587,1182,477,249,150,333,286,0,0,47,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27276,27276,'Fallen Angel Tanakia',0,'Quest Monster',0,'Monster2.halisha_d',23,60,81,'female','L2Monster',500,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,4141,587,1182,477,249,150,333,286,0,0,47,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27277,27277,'Fallen Angel Tanakia',0,'Quest Monster',0,'Monster2.halisha_d',23,60,81,'female','L2Monster',500,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,4141,587,1182,477,249,150,333,286,0,0,47,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27278,27278,'Shadow of Beleth',0,'Quest Monster',0,'Monster.vale_master',12,40,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,205,0,0,77,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27279,27279,'Cursed Kesadein',0,'Quest Monster',0,'Monster.doll_master',20,42,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1630,499,1182,477,317,150,333,0,0,0,88,198,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(27280,27280,'Fallen Angel Narcissus',0,'Quest Monster',0,'Monster.karik',25,90,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,0,0,0,40,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27281,27281,'Fallen Angel Metellus',0,'Quest Monster',0,'Monster.karik',25,90,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,0,0,0,40,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27282,27282,'Dark Angel Othiel',0,'Quest Monster',0,'Monster.archangel',15,80,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27283,27283,'Grandpapa Askalius',0,'Quest Monster',0,'Monster.susceptor_prime',45,72,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,0,0,0,85,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27284,27284,'Flame Evil Spirit Azira',0,'Quest Monster',0,'Monster2.ifrit',10,42,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,0,0,0,41,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27285,27285,'Lizard\'s Totem Sharuhi',0,'Quest Monster',0,'Monster.serpent_slave',17,46,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,72,0,0,77,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27286,27286,'Fallen Knight Adhil',0,'Quest Monster',0,'NPC.a_guard_MHuman',8,24,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,79,107,0,55,198,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27287,27287,'Bound Elf Panacea',0,'Quest Monster',0,'NPC.a_guard_MElf',8,23.5,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,145,0,0,55,198,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27288,27288,'Sword Player Biel',0,'Quest Monster',0,'NPC.a_patriarch_MElf',8,22.5,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,74,74,0,55,198,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(27289,27289,'Ancient Sword Master Iron',0,'Quest Monster',0,'Monster2.lilim_knight_10_bi',13,55,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,5800,5799,0,61,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27290,27290,'White Wing Commander',0,'Quest Monster',0,'Monster.archangel',15,80,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27291,27291,'White Wing Fighter',0,'Quest Monster',0,'Monster2.apostle_warrior',8,30,76,'female','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,0,333,80,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27292,27292,'Fallen Noble Orc Muhark',0,'Quest Monster',0,'Monster.ketra_orc_warrior',12,24,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,7834,0,0,39,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27293,27293,'Khavatari Uruz',0,'Quest Monster',0,'Monster.ketra_orc_warrior',12,24,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,0,0,0,39,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27294,27294,'Overlord Atrus',0,'Quest Monster',0,'Monster2.ketra_orc_chieftain',11,38.5,76,'male','L2Monster',40,4297,1710,53.72,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,0,333,6719,0,0,26,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27295,27295,'Sharuhi Mouth Mudaha',0,'Quest Monster',0,'Monster2.ketra_orc_chieftain',11,38.5,76,'male','L2Monster',40,4297,1710,53.72,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,0,333,6719,0,0,26,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27296,27296,'Monument Watcher Ezekiel',0,'Quest Monster',0,'Monster.archangel',15,80,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27297,27297,'Monument Watcher Ezekiel',0,'Quest Monster',0,'Monster.archangel',15,80,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27298,27298,'Monument Watcher Ezekiel',0,'Quest Monster',0,'Monster.archangel',15,80,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27299,27299,'Monument Watcher Ezekiel',0,'Quest Monster',0,'Monster.archangel',15,80,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27300,27300,'Monument Watcher Ezekiel',0,'Quest Monster',0,'Monster.archangel',15,80,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27301,27301,'Monument Watcher Ezekiel',0,'Quest Monster',0,'Monster.archangel',15,80,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,534,994,433,278,0,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27302,27302,'Monument Defender Azrael',0,'Quest Monster',0,'Monster.archangel',15,80,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27303,27303,'Monument Defender Azrael',0,'Quest Monster',0,'Monster.archangel',15,80,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27304,27304,'Monument Defender Azrael',0,'Quest Monster',0,'Monster.archangel',15,80,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27305,27305,'Monument Defender Azrael',0,'Quest Monster',0,'Monster.archangel',15,80,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27306,27306,'Monument Defender Azrael',0,'Quest Monster',0,'Monster.archangel',15,80,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27307,27307,'Monument Defender Azrael',0,'Quest Monster',0,'Monster.archangel',15,80,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,97,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27308,27308,'Assassin Frost',0,'Quest Monster',0,'Monster2.vampire_soldier',8,23.5,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1630,587,1182,477,317,150,333,229,0,0,66,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27309,27309,'Minervia Van Hacken',0,'Quest Monster',0,'Monster2.vampire_witch',6,21.5,81,'female','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1630,499,1182,477,317,150,333,229,0,0,70,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(27310,27310,'Kitanis Van Hacken',0,'Quest Monster',0,'Monster2.vampire_lord',7.5,25.8,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,0,0,0,16,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27311,27311,'Judgment Hound Dog Kelvas',0,'Quest Monster',0,'Monster2.eligor',21,35,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,587,1182,477,278,150,333,0,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27312,27312,'Mysterious Servitor',0,'Quest Monster',0,'Monster.shadeless',7,28,81,'male','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1863,499,1182,477,278,150,333,0,0,0,52,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27313,27313,'Vision Guardian Shakiel',0,'Quest Monster',0,'Monster2.apostle_mage',11,38.5,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,161,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(27314,27314,'Vision Guardian Shakiel',0,'Quest Monster',0,'Monster2.apostle_mage',11,38.5,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,161,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(27315,27315,'Vision Guardian Shakiel',0,'Quest Monster',0,'Monster2.apostle_mage',11,38.5,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,161,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(27316,27316,'Fallen Chieftain Vegus',0,'Quest Monster',0,'Monster.ketra_orc_warrior',12,24,55,'male','L2Monster',40,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,670,273,360,261,278,0,333,161,0,0,36,180,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27317,27317,'Restrainer of Glory',0,'Quest Monster',0,'Monster.kel_mahum_champion',13,32,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,399,780,382,278,0,333,161,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27318,27318,'Wendy\'s Guardian',0,'Quest Monster',0,'Monster3.golem_guardian_090p',16,37.2,46,'male','L2Monster',40,1943,707,17.38,2.14,40,43,30,21,20,10,2630,186,442,190,202,199,278,500,333,0,0,0,66,191,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27319,27319,'Black Leopard',0,'Quest Monster',0,'Monster.onyx_beast',14,14.5,18,'male','L2Monster',40,476,193,3.95,1.21,40,43,30,21,20,10,652,28,46,79,19,70,317,0,333,0,0,0,60,140,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','true'),
(27320,27320,'Timora Orc',0,'Quest Monster',0,'Monster.batur_orc',9,21.5,20,'male','L2Monster',40,541,203,13.43,3.09,40,43,30,21,20,10,0,0,53,90,21,73,278,0,333,2,0,0,80,130,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27321,27321,'Bruin Lizardman',0,'Quest Monster',0,'Monster.virud_lizardman',20,23,20,'male','L2Monster',80,541,213,13.43,3.09,40,43,30,21,20,10,0,0,52,100,82,72,300,0,333,291,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27322,27322,'Picot Araneid',0,'Quest Monster',0,'Monster.giant_spider_50_bi',20,23,27,'male','L2Monster',80,813,245,13.43,3.09,40,43,30,21,20,10,0,0,64,114,94,82,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27323,27323,'Divine Emissary',0,'Quest Monster',0,'LineageMonster.angel',8,22,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,0,0,273,201,131,164,278,0,333,0,0,0,29,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27324,27324,'Vision Guard Eranus',0,'Quest Monster',0,'LineageMonster2.apostle_warrior',8,22,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,161,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27325,27325,'Archon of Halisha',0,'Quest Monster',0,'LineageMonster2.ahrimanes',14,58,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27326,27326,'Archangel Kanriel',0,'Quest Monster',0,'LineageMonster.archangel_050p',15,80,81,'female','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1630,499,1182,477,317,150,333,229,0,0,70,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27327,27327,'Zakorel\'s Executor',0,'Quest Monster',0,'LineageMonster2.apostle_mage',8,22,1,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(27328,27328,'Zakorel',0,'Quest Monster',0,'LineageMonster3.apostle_grail',13,47,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,161,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27329,27329,'Archon of Halisha',0,'Quest Monster',0,'LineageMonster2.ahrimanes',14,58,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27332,27332,'Guardian Angel',0,'Quest Monster',0,'LineageMonster.angel',13.5,36.5,37,'male','L2Monster',40,1338,480,7.11,1.84,40,43,30,21,20,10,0,0,244,165,104,147,278,0,333,196,0,0,30,170,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27333,27333,'Crimson Duchess',0,'Quest Monster',0,'LineageMonster3.lidia_von_helmann',8,22,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,1614,454,994,433,278,0,333,161,0,0,55,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27334,27334,'Archon of Halisha',0,'Quest Monster',0,'LineageMonster2.ahrimanes',14,58,76,'male','L2Monster',40,4297,1710,13.43,3.09,40,43,30,21,20,10,0,0,2242,534,994,433,200,150,333,6722,0,0,38,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27335,27335,'Dark Angel Othiel',0,'Quest Monster',0,'LineageMonster.archangel',15,80,81,'female','L2Monster',40,41478,1896,120.87,3.09,40,43,30,21,20,10,0,0,1630,499,1182,477,317,150,333,229,0,0,70,198,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(27336,27336,'Crimson Lady',0,'Quest Monster',0,'LineageMonster.succubus',8,22,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,0,0,273,201,131,164,278,0,333,0,0,0,29,154,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27337,27337,'Ol Mahum Officer Tak',0,'Quest Monster',0,'LineageMonster.ol_mahum_champion',14,27,20,'male','L2Monster',40,541,213,3.95,1.21,40,43,30,21,20,10,0,0,57,94,23,76,278,0,333,69,0,0,50,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27338,27338,'Fallen Angel',0,'Quest Monster',0,'LineageMonster2.apostle_warrior',6,21.5,35,'female','L2Monster',40,1220,426,6.95,2.21,40,43,30,21,20,10,0,0,415,217,192,315,278,0,333,6717,0,0,64,180,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27339,27339,'Cruma Marshlands Traitor',0,'Quest Monster',0,'LineageMonster2.vampire_witch',8,20,35,'female','L2Monster',40,1220,426,6.95,2.21,40,43,30,21,20,10,0,0,415,217,192,315,278,0,333,946,0,0,50,180,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27340,27340,'Pursuer',0,'',0,'LineageMonster.ol_mahum',13.5,25,35,'female','L2Monster',40,1220,426,6.95,2.21,40,43,30,21,20,10,0,0,415,217,192,315,278,0,333,219,0,0,50,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27341,27341,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27342,27342,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27343,27343,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27344,27344,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27345,27345,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27346,27346,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27347,27347,'Guards of the Dawn Oracle',0,'',0,'LineageNPC.a_fighterguild_master_Mhuman',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27348,27348,'Guards of the Dawn Oracle',0,'',0,'LineageNPC.a_fighterguild_master_Mhuman',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27349,27349,'Guards of the Dawn Oracle',0,'',0,'LineageNPC.a_mageguild_master_MHuman',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27350,27350,'Guards of the Dawn Oracle',0,'',0,'LineageNPC.a_mageguild_master_MHuman',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27351,27351,'Guards of the Dawn Oracle',0,'',0,'LineageNPC.a_mageguild_master_FHuman',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27352,27352,'Guards of the Dawn Oracle',0,'',0,'LineageNPC.a_mageguild_master_FHuman',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27353,27353,'Lilim Butcher',0,'',0,'LineageMonster2.lilim_assassin_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27354,27354,'Lilim Magus',0,'',0,'LineageMonster2.lilim_wizard_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27355,27355,'Lilim Slave Knight',0,'',0,'LineageMonster2.lilim_knight_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27356,27356,'Lilim Stabber',0,'',0,'LineageMonster2.lilim_assassin_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27357,27357,'Lilim Seer',0,'',0,'LineageMonster2.lilim_wizard_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27358,27358,'Lilim Knight',0,'',0,'LineageMonster2.lilim_knight_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27359,27359,'Lilim Assassin',0,'',0,'LineageMonster2.lilim_assassin_10_bi',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27360,27360,'Lilim Great Magus',0,'',0,'LineageMonster2.lilim_wizard_10_bi',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27361,27361,'Lilim Guard Knight',0,'',0,'LineageMonster2.lilim_knight_10_bi',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27362,27362,'Lilim Butcher',0,'',0,'LineageMonster2.lilim_assassin_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27363,27363,'Lilim Magus',0,'',0,'LineageMonster2.lilim_wizard_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27364,27364,'Lilim Slave Knight',0,'',0,'LineageMonster2.lilim_knight_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27365,27365,'Lilim Stabber',0,'',0,'LineageMonster2.lilim_assassin_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27366,27366,'Lilim Seer',0,'',0,'LineageMonster2.lilim_wizard_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27367,27367,'Lilim Knight',0,'',0,'LineageMonster2.lilim_knight_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27368,27368,'Lilim Assassin',0,'',0,'LineageMonster2.lilim_assassin_10_bi',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27369,27369,'Lilim Great Magus',0,'',0,'LineageMonster2.lilim_wizard_10_bi',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27370,27370,'Lilim Guard Knight',0,'',0,'LineageMonster2.lilim_knight_10_bi',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27371,27371,'Lilim Butcher',0,'',0,'LineageMonster2.lilim_assassin_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27372,27372,'Lilim Magus',0,'',0,'LineageMonster2.lilim_wizard_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27373,27373,'Lilim Slave Knight',0,'',0,'LineageMonster2.lilim_knight_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27374,27374,'Lilim Stabber',0,'',0,'LineageMonster2.lilim_assassin_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27375,27375,'Lilim Seer',0,'',0,'LineageMonster2.lilim_wizard_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27376,27376,'Lilim Knight',0,'',0,'LineageMonster2.lilim_knight_10_sm',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27377,27377,'Lilim Assassin',0,'',0,'LineageMonster2.lilim_assassin_10_bi',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27378,27378,'Lilim Great Magus',0,'',0,'LineageMonster2.lilim_wizard_10_bi',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27379,27379,'Lilim Guard Knight',0,'',0,'LineageMonster2.lilim_knight_10_bi',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27380,27380,'Reckless Sprite of Water',0,'Quest Monster',0,'LineageMonster.undine',12,27,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,278,0,333,0,0,0,60,60,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27381,27381,'Reckless Sprite of Air',0,'Quest Monster',0,'LineageMonster.sylph',11,35,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,278,0,333,0,0,0,60,60,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27382,27382,'Power of Seal Isolation',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27383,27383,'Power of Seal Isolation',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27384,27384,'Seal Device',0,'Emperor Shunaiman\'s',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27385,27385,'Lilith',0,'Holy Mother of Abyss',0,'LineageMonster2.lilith',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27386,27386,'Lilith\'s Steward',0,'',0,'LineageMonster2.lilim_wizard',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27387,27387,'Lilith\'s Elite',0,'',0,'LineageMonster2.lilim_knight',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27388,27388,'Anakim',0,'Flames of Sacred Fire',0,'LineageMonster2.anakim',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27389,27389,'Anakim\'s Guardian',0,'',0,'LineageMonster2.nephilim_priest',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27390,27390,'Anakim\'s Guard',0,'',0,'LineageMonster2.nephilim_lord',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27391,27391,'Anakim\'s Executor',0,'',0,'LineageMonster2.nephilim_slayer',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27392,27392,'Bloody Axe Aide',0,'',0,'LineageMonster.ol_mahum_champion',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27393,27393,'Headless Knight',0,'',0,'LineageMonster.headless_knight',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27394,27394,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27395,27395,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27396,27396,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27397,27397,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27398,27398,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27399,27399,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27400,27400,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27401,27401,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(27402,27402,'Shilen\'s Evil Thoughts',0,'',0,'LineageNPC.training_doll_150p',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false');

INSERT INTO `npc` VALUES
(29001,29001,'Queen Ant',0,'',0,'Monster.queen_ant',45,53,40,'female','L2GrandBoss',40,152622,334,495.04,2.14,60,57,73,76,70,80,2179536,140740,161,1615,10,328,253,0,3819,0,0,0,129,372,'queen_ant_clan',1000,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29002,29002,'Queen Ant Larva',0,'',0,'Monster.ant_larva',12,8,38,'male','L2Monster',40,935,349,5.53,1.53,40,43,30,21,20,10,0,1,126,140,53,110,282,0,333,0,0,0,44,66,'queen_ant_clan',4500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29003,29003,'Nurse Ant',0,'',0,'Monster.ant',26,15,35,'male','L2Monster',40,6320,446,170.64,1.84,40,43,30,41,20,10,0,1,947,678,889,275,278,0,333,0,0,0,44,143,'queen_ant_clan',700,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29004,29004,'Guard Ant',0,'',0,'Monster.ant',26,15,37,'male','L2Monster',40,6861,480,181.7,1.84,40,43,30,41,20,10,0,1,269,728,62,295,278,500,333,0,0,0,44,253,'queen_ant_clan',700,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29005,29005,'Royal Guard Ant',0,'',0,'Monster.ant',26,15,39,'male','L2Monster',40,11140,514,192.76,1.84,40,43,30,41,20,10,0,1,1827,780,2576,316,278,0,333,0,0,0,44,253,'queen_ant_clan',700,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29006,29006,'Core',0,'',0,'NPC.core',140,75,50,'male','L2GrandBoss',40,413252,1897,649.74,1.53,60,57,73,76,70,80,2041407,153786,1195,2227,1572,452,253,0,3819,0,0,0,0,0,'curma_core_clan',2500,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29007,29007,'Death Knight',0,'',0,'Monster.death_knight',12,29,50,'male','L2Monster',40,21830,830,262.28,2.14,40,43,30,41,20,10,0,1,683,1113,195,452,278,1050,333,75,0,0,27,110,'curma_core_clan',2300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(29008,29008,'Doom Wraith',0,'',0,'Monster.death_blader',15,45,55,'male','L2Monster',40,25298,987,292.3,2.45,40,43,30,41,20,10,0,1,812,1288,2170,522,278,950,333,1472,0,0,100,230,'curma_core_clan',700,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(29009,29009,'Dicor',0,'',0,'Monster.mandragora_b',12,25.5,47,'female','L2Monster',40,19819,738,243.32,2.14,40,43,30,41,20,10,0,1,577,1015,162,412,278,650,333,0,0,0,80,120,'curma_core_clan',800,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29010,29010,'Validus',0,'',0,'Monster.grave',15,29,46,'male','L2Monster',40,19165,707,237,2.14,40,43,30,41,20,10,0,1,545,984,154,400,278,750,333,0,0,0,70,110,'curma_core_clan',1200,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29011,29011,'Susceptor',0,'',0,'Monster.susceptor',20,35,49,'male','L2Monster',40,21154,799,255.96,2.14,40,43,30,41,20,10,0,1,647,1080,184,438,278,850,333,0,0,0,27,150,'curma_core_clan',1500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29012,29012,'Perum',0,'',0,'Monster.iron_golem',18,34,48,'male','L2Monster',40,20483,768,249.64,2.14,40,43,30,41,20,10,0,1,611,1048,173,425,278,750,333,0,0,0,22,22,'curma_core_clan',800,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29013,29013,'Premo',0,'',0,'Monster.troll',21,35,45,'male','L2Monster',40,18519,677,230.68,2.14,40,43,30,41,20,10,0,1,514,952,144,386,278,0,333,0,0,0,55,110,'curma_core_clan',1200,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29014,29014,'Orfen',0,'',0,'Monster.orfen',35,143,50,'female','L2GrandBoss',40,413252,1897,649.74,2.14,60,57,73,76,70,80,2041407,153786,1195,2227,1572,452,253,0,3819,0,0,0,97,372,'orfen_clan',3000,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29015,29015,'Raikel',0,'',0,'Monster.raikel',37,64,48,'male','L2Monster',40,10241,768,249.64,2.14,40,43,30,41,20,10,0,1,489,1048,109,425,278,0,333,0,0,0,66,253,'orfen_clan',2500,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29016,29016,'Raikel Leos',0,'',0,'Monster.raikel',37,64,49,'male','L2Monster',40,10576,799,255.96,2.14,40,43,30,41,20,10,0,1,1752,1080,4358,438,278,0,333,0,0,0,66,253,'orfen_clan',2700,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29017,29017,'Riba',0,'',0,'Monster.riba',25,72,48,'female','L2Monster',40,10241,768,249.64,2.14,40,43,30,41,20,10,0,1,489,1048,109,425,278,0,333,0,0,0,66,253,'orfen_clan',2700,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29018,29018,'Riba Iren',0,'',0,'Monster.riba',25,72,49,'female','L2Monster',40,21154,799,255.96,2.14,40,43,30,41,20,10,0,1,1752,1080,4358,438,278,0,333,0,0,0,66,253,'orfen_clan',2900,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29019,29019,'Antharas',0,'',0,'Monster.antaras',300,300,79,'male','L2GrandBoss',40,11850000,19980,2380,265.32,60,57,73,76,70,80,262720918,29116376,9796,6451,3468,1538,253,0,3819,0,0,0,81,301,'NULL',0,0,14,'FULL_PARTY',0,0,0,'balanced','false'),
(29020,29020,'Baium',0,'',0,'Monster.baium',65,174,75,'male','L2GrandBoss',40,2700852,19980,668.78,3.09,60,57,73,76,70,80,10253400,1081544,6585,5412,2920,4005,253,0,3819,0,0,0,129,194,'NULL',0,0,12,'FULL_PARTY',0,0,0,'balanced','false'),
(29021,29021,'Archangel',0,'',0,'Monster.archangel',15,80,74,'male','L2Monster',40,444857,3274,376.04,3.09,60,57,73,76,70,80,6571,343,1564,8326,5772,6100,333,0,3819,93,0,0,81,275,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29022,29022,'Zaken',0,'',0,'Monster.zaken',16,32,60,'male','L2GrandBoss',40,569941,199800,799.68,2.45,60,57,73,76,70,80,4879746,423589,6412,2952,1832,1598,253,0,3819,0,0,0,42,170,'zaken_clan',300,1,12,'FULL_PARTY',0,0,0,'balanced','false'),
(29023,29023,'Doll Blader',0,'',0,'Monster.doll_blader',6,12,58,'male','L2Monster',40,2888,1065,10.27,2.45,40,43,30,21,20,25,0,0,779,383,428,359,236,150,333,5129,0,0,22,150,'zaken_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29024,29024,'Vale master',0,'',0,'Monster.vale_master',12,40,59,'male','L2Monster',40,2970,1102,10.27,2.45,40,43,30,21,20,25,0,0,818,395,452,369,278,150,333,0,0,0,70,155,'zaken_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29025,29025,'Baium',0,'',0,'NPC.baium_npc',65,82,75,'male','L2Npc',40,6370,3347,20.23,3.09,60,57,73,76,70,80,0,0,3483,523,9402,850,409,0,3819,0,0,0,81,194,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29026,29026,'Pirate Zombie Captain',0,'',0,'Monster.pirates_zombie_captain',17,28,60,'male','L2Monster',40,3054,1029,10.27,2.45,40,43,30,21,20,25,0,0,750,405,477,379,317,150,333,232,0,0,14,140,'zaken_clan',300,1,5,'LAST_HIT',0,0,0,'fighter','false'),
(29027,29027,'Pirate Zombie',0,'',0,'Monster.pirates_zombie',10,23,57,'male','L2Monster',40,2806,747,10.27,2.14,40,43,30,21,20,25,0,0,649,373,404,349,317,150,333,225,0,0,11,140,'zaken_clan',300,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(29028,29028,'Valakas',0,'',0,'Monster2.valakas',190,335,85,'male','L2GrandBoss',40,11850000,1998000,2856,265.32,60,57,73,76,70,80,284286178,27215401,18495,5759,5212,1736,253,0,3819,0,0,0,194,486,'valakas_clan',300,0,14,'FULL_PARTY',0,0,0,'balanced','false'),
(29029,29029,'Lavasaurus Elder',0,'Family of Valakas',0,'Monster2.magmagoil_lad',15,75,83,'male','L2Monster',500,4868,1972,79,4.16,40,43,30,21,20,10,0,0,4354,628,1258,510,249,500,333,0,0,0,1,1,'valakas_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29030,29030,'Fenril Hound Kerinne',0,'Family of Valakas',0,'Monster2.bandersnatch_20_bi',21,30,81,'male','L2RaidBoss',40,256613,3793,418.88,11.1,60,57,73,76,70,80,2407887,1226568,10699,4700,10558,1908,409,0,3819,0,0,0,48,324,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29031,29031,'Kerinne\'s Ifrit',0,'',0,'Monster2.ifrit',10,42,80,'male','L2Monster',40,33984,1859,55.62,4.16,40,43,30,21,20,10,0,0,10275,2307,6886,937,278,0,333,0,0,0,41,187,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29032,29032,'Kerinne\'s Golem',0,'',0,'Monster2.lava_golem',22,45,80,'male','L2Monster',40,4697,1859,79,4.16,40,43,30,21,20,10,0,0,10275,2307,6886,937,278,0,333,0,0,0,14,66,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29033,29033,'Fenril Hound Freki',0,'Family of Valakas',0,'Monster2.bandersnatch_20_bi',21,30,82,'male','L2RaidBoss',40,257118,3869,417.69,11.1,60,57,73,76,70,80,2434088,1257012,10997,4784,10896,1943,409,0,3819,0,0,0,48,324,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29034,29034,'Freki\'s Ifrit',0,'',0,'Monster2.ifrit',10,42,81,'male','L2Monster',40,34071,1896,56.88,4.16,40,43,30,21,20,10,0,0,14054,2350,12682,954,278,0,333,0,0,0,41,187,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29035,29035,'Freki\'s Golem',0,'',0,'Monster2.lava_golem',22,45,81,'male','L2Monster',40,34071,1896,56.88,4.16,40,43,30,21,20,10,0,0,10567,2350,7133,954,278,0,333,0,0,0,14,66,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29036,29036,'Fenril Hound Uruz',0,'Family of Valakas',0,'Monster2.bandersnatch_20_bi',21,30,83,'male','L2RaidBoss',40,514943,3945,830.62,11.1,60,57,73,76,70,80,2466262,1289662,22594,4869,11233,1977,409,0,3819,0,0,0,48,324,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29037,29037,'Fenril Hound Kinaz',0,'Family of Valakas',0,'Monster2.bandersnatch_20_bi',21,30,84,'male','L2RaidBoss',40,257674,4022,414.12,11.1,60,57,73,76,70,80,2504880,1322688,11600,4952,11569,2011,409,0,3819,0,0,0,48,324,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29038,29038,'Kinaz\'s Ifrit',0,'',0,'Monster2.ifrit',10,42,81,'male','L2Monster',40,34071,1896,56.88,4.16,40,43,30,21,20,10,0,0,14054,2350,12682,954,278,0,333,0,0,0,41,187,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29039,29039,'Kinaz\'s Ifrit',0,'',0,'Monster2.ifrit',10,42,81,'male','L2Monster',40,34071,1896,56.88,4.16,40,43,30,21,20,10,0,0,10567,2350,7133,954,278,0,333,0,0,0,41,187,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29040,29040,'Wings of Flame, Ixion',0,'Gatekeeper of Valakas',0,'Monster2.inferno_drake_20_bi',29,42,85,'male','L2Monster',40,515450,4099,823.48,11.1,60,57,73,76,70,80,2535975,1356048,23813,5036,11902,2045,409,0,3819,0,0,0,92,324,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29041,29041,'Inferno Golem',0,'',0,'Monster2.lava_golem',22,45,81,'male','L2Monster',40,34071,1896,56.88,4.16,40,43,30,21,20,10,0,0,21134,2350,28532,954,278,0,333,0,0,0,14,66,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29042,29042,'Inferno Golem',0,'',0,'Monster2.lava_golem',22,45,81,'male','L2Monster',40,34071,1896,56.88,4.16,40,43,30,21,20,10,0,0,10567,2350,7133,954,278,0,333,0,0,0,14,66,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29043,29043,'Howling Ifrit',0,'',0,'Monster2.ifrit',10,42,81,'male','L2Monster',40,34071,1896,56.88,4.16,40,43,30,21,20,10,0,0,10567,2350,7133,954,278,0,333,0,0,0,41,187,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29044,29044,'Howling Ifrit',0,'',0,'Monster2.ifrit',10,42,81,'male','L2Monster',40,34071,1896,56.88,4.16,40,43,30,21,20,10,0,0,14054,2350,12682,954,278,0,333,0,0,0,41,187,'fire_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29045,29045,'Frintezza',0,'',0,'Monster3.frintessa',10,42,85,'male','L2GrandBoss',40,525571,23579,13.43,3.09,60,57,73,76,43,80,0,0,4465,6926,1116,5638,253,0,333,0,0,0,0,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29046,29046,'Scarlet van Halisha',0,'',0,'Monster3.follower_of_frintessa',5,90,85,'male','L2GrandBoss',40,1216600,11100,13.43,3.09,60,57,73,76,43,80,0,0,4141,1723,1298,2974,253,0,333,8204,0,0,55,88,'NULL',0,0,14,'FULL_PARTY',0,0,0,'balanced','false'),
(29047,29047,'Scarlet van Halisha',0,'',0,'Monster3.follower_of_frintessa_tran',10,110,85,'male','L2GrandBoss',40,1824900,23310,13.43,3.09,60,57,73,76,43,80,111550355,9525390,11740,2010,8082,3123,253,0,333,8222,0,0,44,121,'goblin_clan',300,0,14,'FULL_PARTY',0,0,0,'balanced','false'),
(29048,29048,'Evil Spirit',0,'',0,'Monster3.Evilate',15,20,87,'male','L2Monster',40,250000,44,13.43,3.09,40,43,30,21,20,10,0,0,2600,685,1600,580,253,3000,333,0,0,0,52,95,'frintezza_clan',5000,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29049,29049,'Evil Spirit',0,'',0,'Monster3.Evilate',15,20,87,'male','L2Monster',40,250000,44,13.43,3.09,40,43,30,21,20,10,0,0,2600,685,1600,580,253,3000,333,0,0,0,52,95,'frintezza_clan',5000,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29050,29050,'Breath of Halisha',0,'',0,'Monster3.portrait_spirit',15,30,85,'male','L2Monster',40,250000,44,13.43,3.09,40,43,30,21,20,10,0,0,2600,685,1600,580,253,3000,333,0,0,0,52,95,'frintezza_clan',5000,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29051,29051,'Breath of Halisha',0,'',0,'Monster3.portrait_spirit_winged',15,30,85,'male','L2Monster',40,250000,44,13.43,3.09,40,43,30,21,20,10,0,0,2600,685,1600,580,253,3000,333,0,0,0,52,95,'frintezza_clan',5000,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29052,29052,'',0,'',0,'Monster3.Organ_Dummy',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29053,29053,'',0,'',0,'Monster3.Follower_Dummy',20,31,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29054,29054,'Benom',0,'Triol\'s Leader',0,'Monster3.benom',27,55,75,'male','L2GrandBoss',40,898044,4519,13.43,3.09,60,57,73,76,70,80,2499951,1757872,8802,4189,4353,851,253,0,333,8203,8203,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29055,29055,'Teleportation Cubic',0,'',0,'NPC.teleport_npc',20,80,93,'male','L2Teleporter',40,350000,9999,13.43,3.09,40,43,30,21,20,10,30,2,4,40,40000,9000,999,6000,333,0,0,0,0,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29056,29056,'Ice Fairy Sirra',0,'Raid Boss',0,'Monster3.ice_fairy',16,35.6,60,'female','L2RaidBoss',40,350000,9999,13.43,3.09,40,43,30,21,20,10,177,5,15,52,5,41,409,500,3819,0,0,0,30,190,'demonic_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29057,29057,'Sirra\'s Page',0,'Raid Fighter',0,'Monster.sylph_110p',12,39.7,59,'male','L2Minion',40,350000,4000,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,278,0,333,0,0,0,60,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29058,29058,'Sirra\'s Beholder',0,'Raid Fighter',0,'Monster.field_stalker_20_bi',18,36,59,'male','L2Minion',40,350000,4000,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,278,0,333,0,0,0,70,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29059,29059,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29060,29060,'Captain of the Ice Queen\'s Royal Guard',0,'Raid Boss',0,'Monster.gargoyle_02te_120p',19,61,59,'male','L2RaidBoss',40,350000,9999,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,409,0,3819,0,0,0,140,190,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29061,29061,'Teleportation Cubic',0,'',0,'NPC.teleport_npc_frin',20,23,70,'male','L2Teleporter',40,400000,9999,13.43,3.09,40,43,30,21,20,10,440000,40000,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29062,29062,'Andreas Van Halter',0,'Seer of Pagan',0,'Monster3.heretic_priest_110p',10,21,80,'female','L2RaidBoss',40,400000,9999,13.43,3.09,40,43,30,21,20,10,440000,40000,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29063,29063,'Andreas\' Acolyte',0,'Raid Fighter',0,'Monster3.heretic_privates',20,23,86,'male','L2Minion',40,400000,4000,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29064,29064,'Andreas\' Acolyte',0,'Raid Fighter',0,'Monster3.heretic_privates_a',20,23,86,'male','L2Minion',40,400000,4000,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,500,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29065,29065,'Sailren',0,'Sealed Evil Power',0,'Monster3.sailren',100,82,80,'male','L2RaidBoss',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,12,'LAST_HIT',0,0,0,'balanced','false'),
(29066,29066,'Antharas',0,'',0,'Monster.antaras',300,300,79,'male','L2GrandBoss',40,9638000,1998000,13.43,3.09,60,57,73,76,70,80,262720918,29116376,9796,5806,3468,1608,253,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29067,29067,'Antharas',0,'',0,'Monster.antaras',300,300,79,'male','L2GrandBoss',40,10744000,1998000,13.43,3.09,60,57,73,76,70,80,354676030,39307416,9796,5806,3468,1608,253,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29068,29068,'Antharas',0,'',0,'Monster.antaras',300,300,79,'male','L2GrandBoss',40,11850000,1998000,13.43,3.09,60,57,73,76,70,80,446624683,49497740,9796,5806,3468,1608,253,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29069,29069,'Behemoth Dragon',0,'',0,'Monster3.antaras_ex_a',63,54,78,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29070,29070,'Dragon Bomber',0,'',0,'Monster3.antaras_ex_b_80p',37,28,78,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29071,29071,'Dragon Bomber',0,'',0,'Monster3.antaras_ex_b_80p',37,28,78,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29072,29072,'Dragon Bomber',0,'',0,'Monster3.antaras_ex_b_80p',37,28,78,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29073,29073,'Dragon Bomber',0,'',0,'Monster3.antaras_ex_b_80p',37,28,78,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29074,29074,'Dragon Bomber',0,'',0,'Monster3.antaras_ex_b_80p',37,28,78,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29075,29075,'Dragon Bomber',0,'',0,'Monster3.antaras_ex_b_80p',37,28,78,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29076,29076,'Dragon Bomber',0,'',0,'Monster3.antaras_ex_b',42,34.5,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29077,29077,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29078,29078,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29079,29079,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29080,29080,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29081,29081,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29082,29082,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29083,29083,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29084,29084,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29085,29085,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29086,29086,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29087,29087,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29088,29088,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29089,29089,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29090,29090,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29091,29091,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29092,29092,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29093,29093,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29094,29094,'',0,'',0,'NPC.clear_npc',0.1,0.1,99,'male','L2Monster',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29095,29095,'Gordon',0,'Knight of Destruction',0,'Monster3.Cruel_Rider',43,46.6,80,'male','L2RaidBoss',40,2289038,2746,362.02,9.81,60,57,73,76,70,80,3626219,962159,12327,2004,6689,1085,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29096,29096,'Anais',0,'Lord of Splendor',0,'Monster3.solina_priest_120p',16,41.8,80,'male','L2RaidBoss',40,1144519,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29097,29097,'Splendor Disciple',0,'Raid Fighter',0,'Monster3.apostle_grail',13,47,80,'male','L2Minion',40,59620,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29098,29098,'Splendor Worshiper',0,'Raid Fighter',0,'Monster3.apostle_grail_a',13,47,80,'male','L2Minion',40,79891,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29099,29099,'Baylor',0,'Warden',0,'LineageMonster4.Barler',54,77.50,83,'male','L2GrandBoss',40,1703893,111000,423.48,9.81,60,57,73,76,70,80,3190205,2191683,4295,2435,1998,1977,253,600,3819,0,0,0,92,307,'Baylor',400,0,14,'FULL_PARTY',0,0,0,'balanced','false'),
(29100,29100,'Crystal Prison Guard',0,'',0,'LineageMonster4.eyeless',36,43.50,83,'male','L2Monster',40,29600,1973,0,0,40,43,30,21,20,20,0,0,3626,974,1687,791,253,400,333,0,0,NULL,80,170,'Baylor',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29101,29101,'Crystalline Golem',0,'',0,'LineageMonster4.Crystal_Golem',40,47,83,'male','L2Monster',40,177460,1973,0,0,40,43,30,21,20,20,0,0,1943,609,901,494,253,400,333,0,0,NULL,80,170,'Baylor',600,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29102,29102,'Crystalline Golem',0,'',0,'LineageMonster4.Crystal_Golem',40,47,83,'male','L2Npc',40,4717,1973,0,0,40,43,30,21,20,20,0,0,1943,609,901,494,253,0,333,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29103,29103,'Baylor',0,'Warden',0,'LineageMonster4.Barler',38,77,83,'male','L2GrandBoss',40,4717,1973,423.48,9.81,40,43,30,21,20,20,0,0,1943,609,901,494,253,0,3819,0,0,0,92,307,'NULL',0,0,13,'FULL_PARTY',0,0,0,'balanced','false'),
(29104,29104,'Crystal Prison Guard',0,'',0,'LineageMonster4.eyeless',36,43.50,83,'male','L2Monster',40,4717,1973,13.43,3.09,40,43,30,21,20,20,0,0,1943,609,901,494,253,0,333,0,0,0,50,170,'Crystal',200,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29105,29105,'Crystalline Golem',0,'',0,'LineageMonster4.Crystal_Golem',40,47,83,'male','L2Monster',40,4717,1973,13.43,3.09,40,43,30,21,20,20,0,0,1943,609,901,494,253,0,333,0,0,0,50,170,'Crystal',200,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(29106,29106,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29107,29107,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29108,29108,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29109,29109,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29110,29110,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29111,29111,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29112,29112,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29113,29113,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29114,29114,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29115,29115,'Crystal Prison Guard',0,'',0,'LineageMonster4.eyeless_080p',32,35,83,'male','L2Npc',40,4717,1973,0,0,40,43,30,21,20,20,0,0,1943,609,901,494,253,0,333,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29116,29116,'Baylor''s Treasure Chest',0,'',0,'LineageMonster.mimic_even',8.50,8.50,83,'male','L2Monster',40,4717,1973,0,0,40,43,30,21,20,20,0,0,1943,609,901,494,253,0,333,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29117,29117,'Baylor''s Treasure Chest',0,'',0,'LineageMonster.mimic_even',8.50,8.50,83,'male','L2Monster',40,4717,1973,0,0,40,43,30,21,20,20,0,0,1943,609,901,494,253,0,333,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29118,29118,'Beleth',0,'',0,'LineageMonster4.bereth_key',15,30,87,'male','L2GrandBoss',40,1106000,1110000,362.02,9.81,40,43,30,21,20,20,16447437,1362651,8378,1038,3276,1270,253,0,253,0,0,0,80,120,'beleth_clan',0,0,15,'FULL_PARTY',0,0,0,'mage','false'),
(29119,29119,'Beleth',0,'',0,'LineageMonster4.bereth',15,30,87,'male','L2Monster',80,94800,1110000,362.02,9.81,40,43,30,21,20,20,0,0,8378,1038,3276,1270,253,0,253,0,0,0,80,120,'beleth_clan',0,0,15,'FULL_PARTY',0,0,0,'mage','false'),
(29120,29120,'Beleth Camera 1',0,'',0,'NPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29121,29121,'Beleth Camera 2',0,'',0,'NPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29122,29122,'Beleth Camera 3',0,'',0,'NPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29123,29123,'Beleth Camera 4',0,'',0,'NPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29124,29124,'Beleth Camera 5',0,'',0,'NPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29125,29125,'Beleth Camera 6',0,'',0,'NPC2.bereth_entry',8.5,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29126,29126,'Beleth Presentation Incarnation 1',0,'',0,'Monster4.bereth',15,30,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29127,29127,'Beleth Presentation Incarnation 2',0,'',0,'Monster4.bereth',15,30,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29128,29128,'Beleth Presentation Elf',0,'',0,'NPC2.bereth_fake',7,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29129,29129,'Lost Captain',0,'',0,'LineageMonster.oel_mahum_champion_05te_120p',48,73.5,29,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29130,29130,'Lost Guard',0,'',0,'LineageMonster.oel_mahum_warrior',20,38,29,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29131,29131,'Lost Assistant Guard',0,'',0,'LineageMonster.oel_mahum_witch_doctor',15,34,29,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29132,29132,'Lost Captain',0,'',0,'LineageMonster3.Zenta_Lizardman_Raid_120p',40,45,39,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29133,29133,'Lost Guard',0,'',0,'LineageMonster.zenta_lizardman_warrior',13,35,39,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29134,29134,'Lost Assistant Guard',0,'',0,'LineageMonster.zenta_lizardman_shaman',13,35,39,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29135,29135,'Lost Captain',0,'',0,'LineageMonster3.Steel_Trapper_120p',45,56,49,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29136,29136,'Lost Guard',0,'',0,'LineageMonster3.golem_cannon_catapult_a',23.5,34.7,49,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29137,29137,'Lost Assistant Guard',0,'',0,'LineageMonster3.golem_repair',23,32.79,49,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29138,29138,'Lost Captain',0,'',0,'LineageMonster.headless_knight_170p',35,54.5,59,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29139,29139,'Lost Guard',0,'',0,'LineageMonster.dark_horror_bi',20,42,59,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29140,29140,'Lost Assistant Guard',0,'',0,'LineageMonster.dark_horror_bi',20,42,59,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29141,29141,'Lost Captain',0,'',0,'LineageMonster2.ketra_warbeast_130p',40,44.5,69,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29142,29142,'Lost Guard',0,'',0,'LineageMonster4.eyeless',36,43.5,69,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29143,29143,'Lost Assistant Guard',0,'',0,'LineageMonster4.eyeless',36,43.5,69,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29144,29144,'Lost Captain',0,'',0,'LineageMonster.archangel',15,80,78,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29145,29145,'Lost Guard',0,'',0,'LineageMonster3.apostle_grail',13,47,78,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29146,29146,'Lost Assistant Guard',0,'',0,'LineageMonster2.apostle_mage',11,38.5,78,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29147,29147,'Lost Captain',0,'',0,'LineageMonster3.Drake_Raid',44,51.5,81,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29148,29148,'Lost Guard',0,'',0,'LineageMonster3.antaras_ex_b',42,34.5,81,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29149,29149,'Lost Assistant Guard',0,'',0,'LineageMonster3.antaras_ex_b',42,34.5,81,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29150,29150,'Ekimus',0,'Lord of Immortality',0,'LineageMonster4.echmus',25,70,85,'male','L2GrandBoss',40,1861899,204995,0,0,60,57,73,76,70,80,0,0,4253,22159,2120,16362,253,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29151,29151,'Feral Hound of the Netherworld',0,'',0,'LineageMonster4.voidhound_080p',64,48.42,85,'male','L2Monster',40,6689,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29152,29152,'Feral Hound of the Netherworld',0,'',0,'LineageMonster4.voidhound_080p',64,48.42,85,'male','L2Monster',40,6689,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29153,29153,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29154,29154,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29155,29155,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29156,29156,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29157,29157,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29158,29158,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29159,29159,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29160,29160,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29161,29161,'Pre-Awakened Ekimus',0,'',0,'LineageMonster4.echmus_born',25,70,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29162,29162,'Soldiers of Bravery',0,'Tiat\'s Bodyguards',0,'LineageMonster4.dragon_rider',8,51,85,'male','L2Monster',40,528731,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29163,29163,'Tiat',0,'Witch of the Dragon of Darkness',0,'LineageMonster4.tiat',20,104,85,'female','L2GrandBoss',40,8727677,204995,0,0,60,57,73,76,70,80,0,0,6406,923,2979,682,253,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29164,29164,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29165,29165,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29166,29166,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29167,29167,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29168,29168,'',0,'',0,'LineageMonster4.tiat',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29169,29169,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29170,29170,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29171,29171,'',0,'',0,'LineageNpcEV.tiat_release_effect',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29172,29172,'',0,'',0,'LineageNpcEV.tiat_change_effect',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29173,29173,'Tiat Priest',0,'',0,'LineageNPC2.tiat_oracle',8,24,70,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29174,29174,'Tiat Priest',0,'',0,'LineageNPC2.tiat_oracle',8,24,70,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(29175,29175,'Tiat',0,'Witch of the Dragon of Darkness',0,'LineageMonster4.tiat',20,104,85,'female','L2GrandBoss',40,8727677,204995,0,0,60,57,73,76,70,80,11480335,4460470,6406,923,2979,682,253,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false');

INSERT INTO `npc` VALUES
(30001,30001,'Lector',0,'Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30002,30002,'Jackson',0,'Trader',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30003,30003,'Silvia',0,'Trader',0,'NPC.a_traderA_FHuman',7,23,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30004,30004,'Katerina',0,'Trader',0,'NPC.a_traderB_FHuman',8,24,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30005,30005,'Wilford',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30006,30006,'Roxxy',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30008,30008,'Roien',0,'Grand Master',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30009,30009,'Newbie Helper',0,'',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30010,30010,'Auron',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30014,30014,'Celma',0,'Master',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30017,30017,'Gallint',0,'Grand Magister',0,'NPC.a_mageguild_master_MHuman',8,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30019,30019,'Newbie Helper',0,'',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30022,30022,'Zigaunt',0,'Priest',0,'NPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30026,30026,'Bitz',0,'Grand Master',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30027,30027,'Gwinter',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30028,30028,'Pintage',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30029,30029,'Minia',0,'Master',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30030,30030,'Vivyan',0,'Priestess',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30031,30031,'Biotin',0,'High Priest',0,'NPC.a_sanctuary_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30032,30032,'Yohanes',0,'Priest',0,'NPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30033,30033,'Baulro',0,'Magister',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30034,30034,'Iris',0,'Magister',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30035,30035,'Harrys',0,'Magister',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30036,30036,'Petron',0,'Priest',0,'NPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30037,30037,'Levian',0,'High Priestess',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30039,30039,'Gilbert',0,'Captain',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,129,102,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30040,30040,'Leon',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30041,30041,'Arnold',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30042,30042,'Abellos',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30043,30043,'Johnstone',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30044,30044,'Chiperan',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30045,30045,'Kenyos',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30046,30046,'Hanks',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30047,30047,'Firon',0,'Wharf Manager',0,'NPC.a_wharfinger_MHuman',8,23,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30048,30048,'Darin',0,'',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30049,30049,'Bonnie',0,'',0,'NPC.a_common_peopleB_FHuman',8,20.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30050,30050,'Elias',0,'',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30051,30051,'Cristel',0,'',0,'NPC.a_common_peopleA_FHuman',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30054,30054,'Rant',0,'Warehouse Freightman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30055,30055,'Rolfe',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30057,30057,'Aldo',0,'Warehouse Freightman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30058,30058,'Holvas',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30059,30059,'Trisha',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30060,30060,'Sabrin',0,'Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30061,30061,'Casey',0,'Trader',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30062,30062,'Sonia',0,'Trader',0,'NPC.a_traderA_FHuman',7,23,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30063,30063,'Lara',0,'Trader',0,'NPC.a_traderB_FHuman',8,24.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30064,30064,'Terry',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30065,30065,'Arnelle',0,'Master',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30066,30066,'Pabris',0,'Grand Master',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30067,30067,'Glyvka',0,'Priestess',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30068,30068,'Shegfield',0,'Priest',0,'NPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30069,30069,'Rollant',0,'Magister',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30070,30070,'Sylvain',0,'High Priest',0,'NPC.a_sanctuary_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30071,30071,'Lucas',0,'Captain',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Npc',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,129,102,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30072,30072,'Metty',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30073,30073,'Jacob',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30074,30074,'Harlan',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30075,30075,'Xaber',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30076,30076,'Liam',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30078,30078,'Pano',0,'Grocer',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30079,30079,'Barder',0,'Warehouse Freightman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30080,30080,'Clarissa',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30081,30081,'Helvetia',0,'Grocer',0,'NPC.a_traderB_FHuman',8,24.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30082,30082,'Denkus',0,'Grocer',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30083,30083,'Pochi',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30084,30084,'Graham',0,'Weapons Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30085,30085,'Stanford',0,'Weapons Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30086,30086,'Taurin',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30087,30087,'Peta',0,'Armor Trader',0,'NPC.a_traderA_FHuman',7,23,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30088,30088,'Radia',0,'Armor Trader',0,'NPC.a_traderB_FHuman',8,24.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30090,30090,'Sandra',0,'Jeweler',0,'NPC.a_traderB_FHuman',8,24.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30091,30091,'Ellie',0,'Jeweler',0,'NPC.a_traderA_FHuman',7,23,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30092,30092,'Collob',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30093,30093,'Groot',0,'Magic Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30094,30094,'Gentler',0,'Magic Trader',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30095,30095,'Randolf',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30097,30097,'Galladucci',0,'Trader',0,'NPC.a_traderA_MDwarf',8,17,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30098,30098,'Alexandria',0,'Trader',0,'NPC.a_traderB_FHuman',8,24.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30103,30103,'Valkon',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30104,30104,'Parman',0,'Warehouse Freightman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30105,30105,'Genwitter',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30106,30106,'Dufner',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30107,30107,'Goldian',0,'Master',0,'NPC.a_fighterguild_teacher_MElf',7,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30108,30108,'Macken',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30109,30109,'Hannavalt',0,'Grand Master',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30110,30110,'Iker',0,'Magister',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30111,30111,'Dieter',0,'Magister',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30112,30112,'Maurius',0,'Magister',0,'NPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30113,30113,'Juris',0,'Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30114,30114,'Roa',0,'Magister',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30115,30115,'Jurek',0,'Grand Magister',0,'NPC.a_mageguild_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30116,30116,'Dustin',0,'Priest',0,'NPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30117,30117,'Primos',0,'Priest',0,'NPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30118,30118,'Pupina',0,'Priestess',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30119,30119,'Isabellin',0,'Priestess',0,'NPC.a_mageguild_teacher_FElf',7,22.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30120,30120,'Maximilian',0,'High Priest',0,'NPC.a_sanctuary_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30121,30121,'Jeronin',0,'Captain',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,129,102,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30122,30122,'Bane',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30123,30123,'Vesa',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30124,30124,'Zerome',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30125,30125,'Belton',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30126,30126,'Rath',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30128,30128,'Atanas',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30129,30129,'Mitraell',0,'Hierarch',0,'NPC.a_patriarch_MDarkElf',6,23.8,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30130,30130,'Undrias',0,'Abyssal Celebrant',0,'NPC.a_clergyman_MDarkElf',8,22.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30131,30131,'Newbie Helper',0,'',0,'NPC.a_clergyman_FDarkElf',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30132,30132,'Cecktinon',0,'Abyssal Celebrant',0,'NPC.a_clergyman_MDarkElf',8,22.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30133,30133,'Kartia',0,'Abyssal Celebrant',0,'NPC.a_clergyman_FDarkElf',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30134,30134,'Jasmine',0,'Gatekeeper',0,'NPC.a_teleporter_FDarkElf',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30135,30135,'Iria',0,'Trader',0,'NPC.a_trader_Fdarkelf',8,24.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30136,30136,'Payne',0,'Trader',0,'NPC.a_trader_MDarkElf',8,22.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30137,30137,'Vollodos',0,'Trader',0,'NPC.a_trader_MDarkElf',8,22.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30138,30138,'Minaless',0,'Trader',0,'NPC.a_trader_Fdarkelf',8,24.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30139,30139,'Dorankus',0,'Warehouse Keeper',0,'NPC.a_trader_MDarkElf',8,22.5,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30140,30140,'Erviante',0,'Warehouse Keeper',0,'NPC.a_trader_MDarkElf',8,22.5,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30141,30141,'Talloth',0,'Tetrarch',0,'NPC.a_patriarch_MDarkElf',6,23.8,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30143,30143,'Trudy',0,'Master',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30144,30144,'Harne',0,'Magister',0,'NPC.a_mageguild_teacher_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30145,30145,'Vlasty',0,'Magister',0,'NPC.a_mageguild_teacher_MDarkElf',8,22,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30146,30146,'Mirabel',0,'Gatekeeper',0,'NPC.a_teleporter_FElf',8.5,23.5,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30147,30147,'Unoren',0,'Trader',0,'NPC.a_trader_MElf',6,24.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30148,30148,'Ariel',0,'Trader',0,'NPC.a_trader_FElf',8,24,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30149,30149,'Creamees',0,'Trader',0,'NPC.a_trader_MElf',6,24.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30150,30150,'Herbiel',0,'Trader',0,'NPC.a_trader_MElf',6,24.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30151,30151,'Chad',0,'Warehouse Freightman',0,'NPC.a_trader_MElf',6,24.5,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30152,30152,'Julia',0,'Warehouse Keeper',0,'NPC.a_common_people_FElf',7,25.5,70,'female','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30153,30153,'Markius',0,'Warehouse Keeper',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30154,30154,'Asterios',0,'Hierarch',0,'NPC.a_patriarch_MElf',8,22.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30155,30155,'Ellenia',0,'Master',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30156,30156,'Cobendell',0,'Master',0,'NPC.a_fighterguild_teacher_MElf',7,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30157,30157,'Greenis',0,'Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30158,30158,'Esrandell',0,'Magister',0,'NPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30162,30162,'Karin',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30163,30163,'Rex',0,'Trader',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30164,30164,'Ian',0,'Trader',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30165,30165,'Ralford',0,'Trader',0,'NPC.a_trader_FElf',8,24,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30166,30166,'Wesley',0,'Magic Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30169,30169,'Marty',0,'Warehouse Freightman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30170,30170,'Radic',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30171,30171,'Gaius',0,'Magister',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30174,30174,'Arkenias',0,'Grand Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30175,30175,'Fairen',0,'Grand Magister',0,'NPC.a_mageguild_teacher_FDarkElf',8,23,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30176,30176,'Valleria',0,'Grand Magister',0,'NPC.a_mageguild_master_FHuman',8,23,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30177,30177,'Valentina',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30178,30178,'Zenkin',0,'Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30179,30179,'Raudia',0,'Trader',0,'NPC.a_traderB_FHuman',8,24.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30180,30180,'Sara',0,'Trader',0,'NPC.a_traderA_FHuman',7,23,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30181,30181,'Galibredo',0,'Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30182,30182,'Cliff',0,'Warehouse Freightman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30183,30183,'Hagger',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30184,30184,'Rigol',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30185,30185,'Taniac Blackbird',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30186,30186,'Bhan',0,'Master',0,'NPC.a_fighterguild_teacher_MElf',7,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30187,30187,'Klaus Blackbird',0,'Grand Master',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30188,30188,'Vadin',0,'Priest',0,'NPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30189,30189,'Rovia',0,'Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30190,30190,'Phanovia',0,'Magister',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30191,30191,'Hollint',0,'High Priest',0,'NPC.a_sanctuary_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30192,30192,'Darya',0,'Master',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30194,30194,'Gideon',0,'Magister',0,'NPC.a_mageguild_teacher_MDarkElf',8,22,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30195,30195,'Brecson',0,'Grand Master',0,'NPC.a_guild_master_MDarkElf',8,23,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30196,30196,'Mouen',0,'Captain',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Npc',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,129,102,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30197,30197,'Hector',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30198,30198,'Jerin',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30199,30199,'Yates',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30200,30200,'Stan',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30201,30201,'Pinaps',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30207,30207,'Arodin',0,'Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30208,30208,'Damion',0,'Trader',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30209,30209,'Colleen',0,'Trader',0,'NPC.a_traderB_FHuman',8,24.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30210,30210,'Norman',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30216,30216,'Wheeler',0,'Sentinel',0,'NPC.a_guard_MElf',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,130,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30217,30217,'Berros',0,'Sentinel',0,'NPC.a_guard_MElf',8,23.5,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,276,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30218,30218,'Kendell',0,'Sentinel',0,'NPC.a_guard_MElf',8,23.5,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,276,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30219,30219,'Veltress',0,'Sentinel',0,'NPC.a_guard_MElf',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,130,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30220,30220,'Starden',0,'Sentinel',0,'NPC.a_guard_MElf',8,23.5,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,249,1000,333,276,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30221,30221,'Rayen',0,'Sentinel',0,'NPC.a_guard_MElf',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,130,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30222,30222,'Alshupes',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30223,30223,'Arujien',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30224,30224,'Rayla',0,'Sentry Knight',0,'NPC.a_guard_FDarkelf',7,25,80,'female','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,79,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30230,30230,'Edroc',0,'Trader',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30231,30231,'Garette',0,'Trader',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30232,30232,'Sorint',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30233,30233,'Esmeralda',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30253,30253,'Simplon',0,'Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30254,30254,'Harmony',0,'Trader',0,'NPC.a_traderA_FHuman',7,23,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30255,30255,'Haprock',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30256,30256,'Bella',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30283,30283,'Altran',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30284,30284,'Alberius',0,'Sentinel Knight',0,'NPC.a_guard_MElf',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,150,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30285,30285,'Gartrandell',0,'Sentinel',0,'NPC.a_guard_MElf',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,130,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30288,30288,'Rains',0,'Grand Master',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30289,30289,'Raymond',0,'High Priest',0,'NPC.a_sanctuary_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30290,30290,'Xenos',0,'Grand Master',0,'NPC.a_guild_master_MDarkElf',8,23,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30291,30291,'Alex',0,'Captain',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Guard',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,1000,333,68,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30293,30293,'Manuel',0,'Priest',0,'NPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30294,30294,'Varan',0,'Trader',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30297,30297,'Tobias',0,'Grand Master',0,'NPC.a_guild_master_MDarkElf',8,23,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30298,30298,'Pinter',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30300,30300,'Pushkin',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30301,30301,'Hally',0,'Trader',0,'NPC.a_traderA_FHuman',7,23,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30305,30305,'Vellior',0,'Tetrarch',0,'NPC.a_patriarch_MDarkElf',6,23.8,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30307,30307,'Karrod',0,'Blacksmith',0,'NPC.a_common_people_MDarkElf',7,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30311,30311,'Sir Collin Windawood',0,'',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30312,30312,'Rockswell',0,'Lighthouse Keeper',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30313,30313,'Asha',0,'Trader',0,'NPC.a_traderA_FHuman',7,23,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30314,30314,'Nestle',0,'Trader',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30315,30315,'Poesia',0,'Trader',0,'NPC.a_traderA_FHuman',7,23,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30316,30316,'Raut',0,'Warehouse Freightman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30317,30317,'Kluto',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30320,30320,'Richlin',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30321,30321,'Sydnia',0,'Trader',0,'NPC.a_traderA_FHuman',7,23,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30322,30322,'Ballin',0,'Warehouse Freightman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30325,30325,'Audiberti',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30326,30326,'Leona',0,'Master',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30327,30327,'Sorius',0,'Master',0,'NPC.a_fighterguild_teacher_MElf',7,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30328,30328,'Reisa',0,'Master',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30329,30329,'Virgil',0,'Master',0,'NPC.a_fighterguild_teacher_MDarkElf',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30330,30330,'Sidra',0,'Magister',0,'NPC.a_mageguild_teacher_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30331,30331,'Thoma',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30332,30332,'Bathis',0,'Captain',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Npc',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,129,102,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30333,30333,'Praga',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30334,30334,'Babenco',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30335,30335,'Brynn',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30336,30336,'Curtis',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30337,30337,'Moretti',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30338,30338,'Melville',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30342,30342,'Varsak',0,'',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30344,30344,'Rohmer',0,'Magister',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30345,30345,'Ramoniell',0,'Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30346,30346,'Kayleen',0,'Sentry',0,'NPC.a_guard_FDarkelf',7,25,80,'female','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,277,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30347,30347,'Marion',0,'Sentry',0,'NPC.a_guard_FDarkelf',7,25,80,'female','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,132,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30348,30348,'Nelsya',0,'Sentry',0,'NPC.a_guard_FDarkelf',7,25,80,'female','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,132,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30349,30349,'Jenna',0,'Sentry',0,'NPC.a_guard_FDarkelf',7,25,80,'female','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,277,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30350,30350,'Carlon',0,'Warehouse Freightman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30351,30351,'Astaron',0,'',0,'NPC.a_common_people_MDarkElf',7,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30352,30352,'Karina',0,'',0,'NPC.a_common_people_FDarkElf',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30353,30353,'Jughead',0,'',0,'NPC.a_common_people_MDarkElf',7,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30354,30354,'Jewel',0,'',0,'NPC.a_common_people_FDarkElf',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30355,30355,'Roselyn',0,'Sentry',0,'NPC.a_guard_FDarkelf',7,25,80,'female','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,277,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30356,30356,'Altima',0,'Sentry',0,'NPC.a_guard_FDarkelf',7,25,80,'female','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,277,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30357,30357,'Kristin',0,'Sentry',0,'NPC.a_guard_FDarkelf',7,25,80,'female','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,132,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30358,30358,'Thifiell',0,'Tetrarch',0,'NPC.a_patriarch_MDarkElf',6,23.8,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30359,30359,'Kaitar',0,'Tetrarch',0,'NPC.a_patriarch_MDarkElf',6,23.8,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30360,30360,'Harant',0,'Master',0,'NPC.a_fighterguild_teacher_MDarkElf',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30361,30361,'Rizraell',0,'',0,'NPC.a_common_people_FElf',7,25.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30362,30362,'Andellia',0,'',0,'NPC.a_common_people_FElf',7,25.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30363,30363,'Aios',0,'Blacksmith',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30368,30368,'Lilith',0,'',0,'NPC.a_common_people_FElf',7,25.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30369,30369,'Baenedes',0,'Master',0,'NPC.a_fighterguild_teacher_MElf',7,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30370,30370,'Nerupa',0,'',0,'Monster.aracne',15,26,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,64,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30371,30371,'Thalia',0,'',0,'NPC.a_common_people_FElf',7,25.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30373,30373,'Ramos',0,'Grand Master',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30374,30374,'Rhodiell',0,'Master',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30375,30375,'Adonius',0,'Priest',0,'NPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30376,30376,'Nell',0,'Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30377,30377,'Talbot',0,'Magister',0,'NPC.a_mageguild_teacher_MDarkElf',8,22,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30378,30378,'Estella',0,'Master',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30379,30379,'Bezique',0,'Captain',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,280,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30380,30380,'Plink',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30381,30381,'Alvah',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30382,30382,'Leikan',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30383,30383,'Scott',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30384,30384,'Linus',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30385,30385,'Weisz',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30386,30386,'Luis',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30387,30387,'Clancy',0,'Wharf Manager',0,'NPC.a_wharfinger_MHuman',8,23,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30391,30391,'Parina',0,'',0,'NPC.a_common_peopleB_FHuman',8,20.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30400,30400,'Newbie Helper',0,'',0,'NPC.a_guard_MElf',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30401,30401,'Newbie Helper',0,'',0,'NPC.a_guard_MElf',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30402,30402,'Newbie Helper',0,'',0,'NPC.a_guard_MElf',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30403,30403,'Newbie Helper',0,'',0,'NPC.a_guard_MElf',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30404,30404,'Newbie Helper',0,'',0,'NPC.a_clergyman_MDarkElf',8,22.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30405,30405,'Marius',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30406,30406,'Matheo',0,'',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30407,30407,'Mesella',0,'',0,'NPC.a_common_peopleA_FHuman',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30408,30408,'Lionel',0,'',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30409,30409,'Earth Snake',0,'',0,'Monster.lesser_basilisk',34,25,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,38,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30410,30410,'Wasteland Lizardman',0,'',0,'Monster.virud_lizardman',10,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,47,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30411,30411,'Flame Salamander',0,'',0,'Monster.salamander',16,6.8,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,70,105,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30412,30412,'Wind Sylph',0,'',0,'Monster.sylph',11,35,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,66,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30413,30413,'Water Undine',0,'',0,'Monster.undine',12,27,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,66,66,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30414,30414,'Rosella',0,'',0,'NPC.a_common_people_FElf',7,25.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30415,30415,'Charkeren',0,'',0,'NPC.a_common_people_MDarkElf',7,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30416,30416,'Triskel',0,'',0,'NPC.a_common_people_MDarkElf',7,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30417,30417,'Sir Klaus Vasper',0,'',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30418,30418,'Annika',0,'',0,'NPC.a_common_people_FDarkElf',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30419,30419,'Arkenia',0,'Witch',0,'NPC.a_clergyman_FDarkElf',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30420,30420,'Tyra',0,'',0,'NPC.a_trader_Fdarkelf',8,24.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30421,30421,'Varika',0,'Witch',0,'NPC.a_clergyman_FDarkElf',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30422,30422,'Kalinta',0,'Abyssal Celebrant',0,'NPC.a_clergyman_FDarkElf',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30423,30423,'Northwind',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30424,30424,'Allana',0,'',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30425,30425,'Neti',0,'',0,'NPC.a_common_peopleA_FHuman',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30426,30426,'Prias',0,'',0,'NPC.a_wharfinger_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30427,30427,'Siff',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30428,30428,'Perrin',0,'',0,'NPC.a_casino_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30429,30429,'Tiramisa',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30430,30430,'Trionell',0,'Sentinel',0,'NPC.a_guard_MElf',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,130,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30431,30431,'Eriel',0,'Sentinel',0,'NPC.a_guard_MElf',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,130,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30432,30432,'Irene',0,'Sentry',0,'NPC.a_guard_FDarkelf',7,25,80,'female','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,132,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30433,30433,'Kathaway',0,'Sentry',0,'NPC.a_guard_FDarkelf',7,25,80,'female','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,132,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30434,30434,'Samed',0,'',0,'NPC.a_wharfinger_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30435,30435,'Leopold',0,'',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30436,30436,'Sarien',0,'Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30437,30437,'Rolento',0,'Trader',0,'NPC.e_traderB_MDwarf',8,17.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30452,30452,'Kurt',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30458,30458,'Poitan',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30459,30459,'Wandius',0,'Master',0,'NPC.a_fighterguild_teacher_MElf',7,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30460,30460,'Cardien',0,'Master',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30461,30461,'Mirien',0,'Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30462,30462,'Tronix',0,'Grand Master',0,'NPC.a_guild_master_MDarkElf',8,23,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30463,30463,'Ixia',0,'Master',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30464,30464,'Clayton',0,'Magister',0,'NPC.a_mageguild_teacher_MDarkElf',8,22,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30465,30465,'Herven',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30466,30466,'Bright',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30469,30469,'Jonas',0,'',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30471,30471,'Rupio',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30472,30472,'Rosheria',0,'Master',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30473,30473,'Bandellos',0,'Priest',0,'NPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30474,30474,'Angus',0,'Grand Master',0,'NPC.a_guild_master_MDarkElf',8,23,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30475,30475,'Stapin',0,'Master',0,'NPC.a_fighterguild_teacher_MDarkElf',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30476,30476,'Kaira',0,'Magister',0,'NPC.a_mageguild_teacher_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30477,30477,'Sir Ortho Lancer',0,'',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30478,30478,'Reikin',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30483,30483,'Mozella',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30484,30484,'Ponti',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30485,30485,'Capella',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30486,30486,'Hanna',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30487,30487,'Penelope',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30497,30497,'Edmond',0,'',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30498,30498,'Moke',0,'Warehouse Chief',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30499,30499,'Tapoy',0,'Head Blacksmith',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30500,30500,'Osborn',0,'High Prefect',0,'NPC.e_patriarch_MOrc',8,26,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30501,30501,'Kasman',0,'Prefect',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30502,30502,'Umos',0,'Seer',0,'NPC.e_clergyman_MOrc',8,29,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30503,30503,'Rikadio',0,'Warehouse Chief',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30504,30504,'Mendio',0,'Head Blacksmith',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30505,30505,'Drikus',0,'High Prefect',0,'NPC.e_patriarch_MOrc',8,26,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30506,30506,'Buka',0,'Prefect',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30507,30507,'Racoy',0,'Seer',0,'NPC.e_clergyman_MOrc',8,29,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30508,30508,'Castor',0,'High Prefect',0,'NPC.e_patriarch_MOrc',8,26,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30509,30509,'Dowki',0,'Prefect',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30510,30510,'Somak',0,'Seer',0,'NPC.e_clergyman_MOrc',8,29,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30511,30511,'Gesto',0,'Warehouse Chief',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30512,30512,'Kusto',0,'Head Blacksmith',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30513,30513,'Penatus',0,'High Prefect',0,'NPC.e_patriarch_MOrc',8,26,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30514,30514,'Vokian',0,'Prefect',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30515,30515,'Manakia',0,'Seer',0,'NPC.e_clergyman_MOrc',8,29,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30516,30516,'Reep',0,'Trader',0,'NPC.a_traderA_MDwarf',8,17,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30517,30517,'Shari',0,'Trader',0,'NPC.e_traderA_FDwarf',7,18.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30518,30518,'Garita',0,'Trader',0,'NPC.e_traderB_MDwarf',8,17.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30519,30519,'Mion',0,'Trader',0,'NPC.e_traderB_FDwarf',7,18,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30520,30520,'Reed',0,'Warehouse Chief',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30521,30521,'Murdoc',0,'Warehouse Freightman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30522,30522,'Airy',0,'Warehouse Keeper',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30523,30523,'Gouph',0,'Collector',0,'NPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30524,30524,'Pippi',0,'Collector',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30525,30525,'Bronk',0,'Head Blacksmith',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30526,30526,'Brunon',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30527,30527,'Silvera',0,'Blacksmith',0,'NPC.e_smith_Fdwarf',8,17.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30528,30528,'Laferon',0,'Foreman',0,'NPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30529,30529,'Maron',0,'Miner',0,'NPC.e_mine_teacher_MDwarf',8,18,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30530,30530,'Newbie Helper',0,'',0,'NPC.e_mine_teacher_FDwarf',8,18.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30531,30531,'Lockirin',0,'Iron Gate\'s',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30532,30532,'Spiron',0,'Golden Wheel\'s',0,'NPC.e_traderA_master_MDwarf',8,18,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30533,30533,'Balanki',0,'Silver Scale\'s',0,'NPC.e_traderB_master_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30534,30534,'Keef',0,'Bronze Key\'s',0,'NPC.e_collector_master_MDwarf',8,18.4,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30535,30535,'Filaur',0,'Gray Pillar Member',0,'NPC.e_mine_master_MDwarf',8,19.7,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30536,30536,'Arin',0,'Black Anvil\'s',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30537,30537,'Daichir',0,'Priest of the Earth',0,'NPC.e_celebrant_MDwarf',8,19.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30538,30538,'Zimenf',0,'Priest of the Earth',0,'NPC.e_clergyman_MDwarf',8,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30539,30539,'Chichirin',0,'Priestess of the Earth',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30540,30540,'Wirphy',0,'Gatekeeper',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30541,30541,'Paion',0,'Protector',0,'NPC.e_guard_MDwarf',8,19,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,282,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30542,30542,'Runant',0,'Defender',0,'NPC.e_guard_MDwarf',8,19,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,273,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30543,30543,'Ethan',0,'Defender',0,'NPC.e_guard_MDwarf',8,19,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,296,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30544,30544,'Cromwell',0,'Defender',0,'NPC.e_guard_MDwarf',8,19,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,296,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30545,30545,'Proton',0,'Defender',0,'NPC.e_guard_MDwarf',8,19,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,296,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30546,30546,'Dinkey',0,'Defender',0,'NPC.e_guard_MDwarf',8,19,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,273,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30547,30547,'Tardyon',0,'Defender',0,'NPC.e_guard_MDwarf',8,19,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,273,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30548,30548,'Nathan',0,'Defender',0,'NPC.e_guard_MDwarf',8,19,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,296,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30549,30549,'Ghouliff Droopstone',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30550,30550,'Gauri Twinklerock',0,'',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30551,30551,'Tink Wandergold',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30552,30552,'Kiril Sparkystone',0,'',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30553,30553,'Maryse Redbonnet',0,'',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30554,30554,'Bolter',0,'Miner',0,'NPC.e_mine_teacher_MDwarf',8,18,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30555,30555,'Torocco',0,'Carrier',0,'NPC.a_traderA_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30556,30556,'Toma',0,'Master',0,'NPC.e_collector_master_MDwarf',8,18.4,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30557,30557,'Torai',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30558,30558,'Jakal',0,'Trader',0,'NPC.e_trader_MOrc',8,23.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30559,30559,'Kunai',0,'Trader',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30560,30560,'Uska',0,'Trader',0,'NPC.e_trader_MOrc',8,23.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30561,30561,'Papuma',0,'Trader',0,'NPC.e_trader_MOrc',8,23.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30562,30562,'Grookin',0,'Warehouse Keeper',0,'NPC.e_trader_MOrc',8,23.5,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30563,30563,'Imantu',0,'Warehouse Freightman',0,'NPC.e_trader_MOrc',8,23.5,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30564,30564,'Sumari',0,'Blacksmith',0,'NPC.e_trader_MOrc',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30565,30565,'Kakai',0,'Flame Lord',0,'NPC.e_patriarch_MOrc',8,26,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30566,30566,'Varkees',0,'Atuba Chief',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,81,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30567,30567,'Tantus',0,'Neruga Chief',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,175,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30568,30568,'Hatos',0,'Urutu Chief',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,202,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30569,30569,'Brukurse',0,'Prefect',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30570,30570,'Karukia',0,'Prefect',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30571,30571,'Tanapi',0,'Seer',0,'NPC.e_clergyman_MOrc',8,29,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30572,30572,'Livina',0,'Seer',0,'NPC.e_clergyman_FOrc',7,28,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30573,30573,'Vulkus',0,'Flame Guardian',0,'NPC.e_clergyman_MOrc',8,29,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30575,30575,'Newbie Helper',0,'',0,'NPC.e_clergyman_FOrc',7,28,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30576,30576,'Tamil',0,'Gatekeeper',0,'NPC.e_teleporter_FOrc',8,32,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30577,30577,'Rukain',0,'Praetorian',0,'NPC.e_guard_MOrc',8,27,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,279,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30578,30578,'Nakusin',0,'Centurion',0,'NPC.e_guard_MOrc',8,27,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30579,30579,'Tamai',0,'Centurion',0,'NPC.e_guard_MOrc',8,27,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30580,30580,'Parugon',0,'Centurion',0,'NPC.e_guard_MOrc',8,27,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,91,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30581,30581,'Orinak',0,'Centurion',0,'NPC.e_guard_MOrc',8,27,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30582,30582,'Tiku',0,'Centurion',0,'NPC.e_guard_MOrc',8,27,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,91,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30583,30583,'Petukai',0,'Centurion',0,'NPC.e_guard_MOrc',8,27,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,91,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30584,30584,'Vapook',0,'Centurion',0,'NPC.e_guard_MOrc',8,27,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,91,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30585,30585,'Tataru Zu Hestui',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30586,30586,'Anai Zu Neruga',0,'',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30587,30587,'Gantaki Zu Urutu',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30588,30588,'Takia Zu Duda-Mara',0,'',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30589,30589,'Kazkin Zu Gandi',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30590,30590,'Rosheek',0,'Khavatari',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30591,30591,'Toruku',0,'Khavatari',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30592,30592,'Hestui Totem Spirit',0,'',0,'Monster.grizzly',21,40,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,44,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30593,30593,'Duda-Mara Totem Spirit',0,'',0,'Monster.giant_spider',26,25.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,79,143,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30594,30594,'Ranspo',0,'Warehouse Chief',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30595,30595,'Opix',0,'Head Blacksmith',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30596,30596,'Harkel',0,'Partisan Doorman',0,'Monster.ol_mahum',13.5,25,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30597,30597,'Piotur',0,'',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30598,30598,'Newbie Guide',0,'',0,'NPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30599,30599,'Newbie Guide',0,'',0,'NPC.a_guard_MElf',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30600,30600,'Newbie Guide',0,'',0,'NPC.a_guild_master_MDarkElf',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30601,30601,'Newbie Guide',0,'',0,'NPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30602,30602,'Newbie Guide',0,'',0,'NPC.e_guard_MOrc',8,27,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30608,30608,'Maria',0,'',0,'NPC.a_common_peopleB_FHuman',8,20.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30609,30609,'Creta',0,'Astrologer',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30610,30610,'Cronos',0,'Elder',0,'NPC.a_mageguild_master_MHuman',8,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30611,30611,'Triff',0,'Drunkard',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30612,30612,'Casian',0,'Elder',0,'NPC.a_mageguild_master_MHuman',8,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30613,30613,'Alders Spirit',0,'',0,'Monster.human_ghost',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30614,30614,'Metheus',0,'Brother',0,'NPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30615,30615,'Voltar',0,'Breka Chief',0,'Monster.batur_orc_overlord',12,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,173,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30616,30616,'Kepra',0,'Enku Chief',0,'Monster.orc_champion',10,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,162,0,0,49,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30617,30617,'Burai',0,'Turek Chief',0,'Monster.orc_shaman',9,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,172,0,0,49,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(30618,30618,'Harak',0,'Leunt Chief',0,'Monster.orc_fighter',12,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,172,0,0,49,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30619,30619,'Driko',0,'Vuku Chief',0,'Monster.batur_orc_shaman',11,16,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,183,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(30620,30620,'Emily',0,'',0,'NPC.a_common_peopleA_FHuman',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30621,30621,'Nikola',0,'Maestro',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30622,30622,'Box Of Titan',0,'',0,'NPC.coffer_b',12,9,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30623,30623,'Kaien',0,'Duelist',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,135,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30624,30624,'Ascalon',0,'Veteran',0,'NPC.a_wharfinger_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,16,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30625,30625,'Mason',0,'',0,'NPC.a_wharfinger_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30626,30626,'Hamil',0,'Sagittarius',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30627,30627,'Tree',0,'',0,'NPC.human_tree',35,90,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30628,30628,'Strong Wooden Chest',0,'',0,'NPC.box',18,14,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30629,30629,'Rukal',0,'Bard',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,4202,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30630,30630,'Orim',0,'Shadow',0,'NPC.a_hardins_pupil_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30631,30631,'Roderik',0,'Warden',0,'NPC.a_guard_MHuman',8,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,2,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30632,30632,'Endrigo',0,'Warden',0,'NPC.a_guard_MHuman',8,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,2,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30633,30633,'Evert',0,'Fisher',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30634,30634,'Galatea',0,'High Summoner',0,'NPC.a_mageguild_master_FHuman',8,23,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30635,30635,'Almors',0,'Summoner',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30636,30636,'Camoniell',0,'Summoner',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30637,30637,'Belthus',0,'Summoner',0,'NPC.a_mageguild_teacher_MDarkElf',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30638,30638,'Basilla',0,'Summoner',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30639,30639,'Celestiel',0,'Summoner',0,'NPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30640,30640,'Brynthea',0,'Summoner',0,'NPC.a_mageguild_teacher_FDarkElf',8,23,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30641,30641,'Takuna',0,'Duda-Mara Chief',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,202,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30642,30642,'Chianta',0,'Gandi Chief',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,175,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30643,30643,'First Orc',0,'',0,'NPC.e_patriarch_MOrc',8,26,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30644,30644,'Kash',0,'',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30645,30645,'Martien',0,'',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30646,30646,'Raldo',0,'Champion',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30647,30647,'Chest Of Shyslassys',0,'',0,'NPC.coffer_c',12,9,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30648,30648,'Santiago',0,'Hermit',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30649,30649,'Ancestor Martankus',0,'',0,'NPC.orc_head',110,103,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30650,30650,'Gerald',0,'Priest of the Earth',0,'NPC.e_clergyman_MDwarf',8,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30651,30651,'Dorf',0,'Wanderer',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30652,30652,'Uruha',0,'',0,'NPC.a_common_people_FDarkElf',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30653,30653,'Sir Aron Tanford',0,'',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30654,30654,'Sir Kiel Nighthawk',0,'',0,'NPC.a_fighterguild_teacher_MDarkElf',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,74,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30655,30655,'Isael Silvershadow',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30656,30656,'Spirit Of Sir Talianus',0,'',0,'Monster.human_ghost',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30657,30657,'Seresin',0,'Cardinal',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30658,30658,'Gupu',0,'Father',0,'NPC.a_traderA_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30659,30659,'Orphan Girl',0,'',0,'NPC.e_traderA_FDwarf',7,18.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30660,30660,'Windy Shaoring',0,'',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30661,30661,'Mysterious Dark Elf',0,'',0,'NPC.a_casino_FDarkElf',8,23,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30662,30662,'Piper Longbow',0,'',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30663,30663,'Slein Shining Blade',0,'',0,'NPC.a_guard_MElf',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,69,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30664,30664,'Kein Flying Knife',0,'',0,'NPC.a_guard_MElf',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,217,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30665,30665,'Kristina',0,'Saint',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30666,30666,'Sla',0,'Preacher',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30667,30667,'Ramus',0,'',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30668,30668,'Katari',0,'',0,'NPC.a_common_people_FDarkElf',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30669,30669,'Kakan',0,'',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30670,30670,'Nyakuri',0,'',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30671,30671,'Croto',0,'Chief',0,'NPC.e_guard_MOrc',8,27,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30672,30672,'Dubabah',0,'Jailer',0,'NPC.e_guard_MOrc',8,27,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30673,30673,'Lorain',0,'Researcher',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30674,30674,'Daurin Hammercrush',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30675,30675,'Corpse Of Kamur',0,'',0,'NPC.e_trader_Morc_death',22,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'corpse','false'),
(30676,30676,'Croop',0,'Warehouse Chief',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30677,30677,'Flutter',0,'Head Blacksmith',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30678,30678,'Helton',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30679,30679,'Roameria',0,'Master',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30680,30680,'Egnos',0,'Priest',0,'NPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30681,30681,'Karia',0,'High Prefect',0,'NPC.e_trader_FOrc',8,24,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30682,30682,'Pekiron',0,'Seer',0,'NPC.e_clergyman_MOrc',8,29,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30683,30683,'Daunt',0,'Prefect',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30684,30684,'Viktor',0,'Trader',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30685,30685,'Baxt',0,'Warehouse Chief',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30686,30686,'Silva',0,'Warehouse Freightman',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30687,30687,'Vergara',0,'Head Blacksmith',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30688,30688,'Duning',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30689,30689,'Siria',0,'Grand Master',0,'NPC.a_fighterguild_master_FHuman',8,21.5,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30690,30690,'Luther',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30691,30691,'Aren Athebalt',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30692,30692,'Stedmiel',0,'Master',0,'NPC.a_fighterguild_teacher_MElf',7,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30693,30693,'Queenien',0,'Master',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30694,30694,'Scraide',0,'Grand Magister',0,'NPC.a_mageguild_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30695,30695,'Moses',0,'Magister',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30696,30696,'Page',0,'Magister',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30697,30697,'Videlrien',0,'Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30698,30698,'Evelyn',0,'Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30699,30699,'Medown',0,'Grand Master',0,'NPC.a_guild_master_MDarkElf',8,23,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30700,30700,'Prestan',0,'Master',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30701,30701,'Errickin',0,'Magister',0,'NPC.a_mageguild_teacher_MDarkElf',8,22,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30702,30702,'Bernard',0,'Guild President',0,'NPC.a_casino_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30703,30703,'Colin',0,'Guild President',0,'NPC.a_wharfinger_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30704,30704,'Garvarentz',0,'High Prefect',0,'NPC.e_patriarch_MOrc',8,26,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30705,30705,'Chakiris',0,'Prefect',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30706,30706,'Lazenby',0,'Seer',0,'NPC.e_clergyman_MOrc',8,29,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30707,30707,'Raigen',0,'Captain',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,129,102,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30708,30708,'Nasign',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30709,30709,'Norton',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30710,30710,'Weston',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30711,30711,'Byron',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30712,30712,'Makhis',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30713,30713,'Gardner',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30714,30714,'Paros',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30715,30715,'Marina',0,'Magister',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30716,30716,'Cecile',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30717,30717,'Gauen',0,'Magister',0,'NPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30718,30718,'Joan',0,'Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30719,30719,'Mariell',0,'Gatekeeper',0,'NPC.a_teleporter_FElf',8.5,23.5,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30720,30720,'Kaiena',0,'Magister',0,'NPC.a_mageguild_teacher_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30721,30721,'Ladd',0,'Magister',0,'NPC.a_mageguild_teacher_MDarkElf',8,22,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30722,30722,'Merian',0,'Gatekeeper',0,'NPC.a_teleporter_FDarkElf',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30723,30723,'Roy',0,'Captain',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,129,102,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30724,30724,'Tavillian',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30725,30725,'Yening',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30726,30726,'Tebose',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30727,30727,'Verona',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30728,30728,'Leirynn',0,'Militiaman',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,93,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30729,30729,'Borys',0,'Drunkard',0,'NPC.a_wharfinger_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30730,30730,'Jax',0,'Bodyguard',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,232,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30731,30731,'Martin',0,'Pet Manager',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2PetManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30732,30732,'Ol Mahum Pilgrim',0,'',0,'Monster.ol_mahum',13.5,25,36,'male','L2Npc',40,1279,463,7.11,1.84,40,43,30,21,20,10,0,0,206,175,96,142,278,0,333,1,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30733,30733,'Guard',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30734,30734,'Supply Box On Wharf',0,'',0,'NPC.box',18,14,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30735,30735,'Sophya',0,'Mercenary Captain',0,'NPC.a_fighterguild_master_FHuman',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30736,30736,'Redfoot',0,'Mercenary',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30737,30737,'Morgan',0,'Guildsman',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30738,30738,'Matild',0,'Alchemist',0,'NPC.e_traderA_FDwarf',7,18.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30739,30739,'Keltir',0,'Royal Servant',0,'Monster.fox',9.5,10,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,25,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30740,30740,'Toad',0,'Royal Servant',0,'Monster.poison_toad',20,10,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,110,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30741,30741,'Rabbit',0,'Royal Servant',0,'Monster.rabbit',5,4.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,88,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30742,30742,'Rupina',0,'Fairy of Love',0,'Monster.pixy',5,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30743,30743,'Wisdom Chest',0,'',0,'NPC.coffer_c',12,9,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30744,30744,'Grey',0,'Guild Member',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30745,30745,'Tor',0,'Guild Member',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30746,30746,'Cybellin',0,'',0,'NPC.a_teleporter_FDarkElf',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30747,30747,'Mimyu',0,'Fairy',0,'Monster.pixy',5,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30748,30748,'Exarion',0,'Drake',0,'Monster.drake',30,100,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,70,70,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30749,30749,'Zwov',0,'Drake',0,'Monster.drake',30,100,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,77,77,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30750,30750,'Kalibran',0,'Drake',0,'Monster.drake',30,100,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,77,77,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30751,30751,'Suzet',0,'Wyrm',0,'Monster.wyrm',29,72,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,77,77,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30752,30752,'Shamhai',0,'Wyrm',0,'Monster.wyrm',29,72,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,77,77,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30753,30753,'Gabrielle',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30754,30754,'Gilmore',0,'Antharas Watchman',0,'Monster.skeleton_knight',10,25,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,150,0,0,40,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30755,30755,'Theodric',0,'Antharas Watchman',0,'Monster.skeleton_knight',10,25,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,127,0,0,40,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30756,30756,'Sir Kristof Rodemai',0,'',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30757,30757,'Statue Of Offering',0,'',0,'NPC.castle_kent_statue_jewel',25,98,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30758,30758,'Athrea',0,'Witch',0,'NPC.a_hardins_pupil_FHuman',8,23,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30759,30759,'Kalis',0,'Witch',0,'NPC.a_hardins_pupil_FHuman',8,23,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30760,30760,'Sir Gustav Athebaldt',0,'',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,128,632,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30761,30761,'Corpse Of Fritz',0,'',0,'NPC.e_guard_MDwarf_death',13,19,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'corpse','false'),
(30762,30762,'Corpse Of Lutz',0,'',0,'NPC.e_guard_MDwarf_death',13,19,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'corpse','false'),
(30763,30763,'Corpse Of Kurtz',0,'',0,'NPC.e_guard_MDwarf_death',13,19,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'corpse','false'),
(30764,30764,'Balthazar',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30765,30765,'Imperial Coffer',0,'',0,'NPC.coffer_d',12,9.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30766,30766,'Cleo',0,'Witch',0,'NPC.a_hardins_pupil_FHuman',8,23,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30767,30767,'Auctioneer',0,'',0,'NPC.a_maidB_FHuman',8,22,70,'female','L2Auctioneer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30768,30768,'Auctioneer',0,'',0,'NPC.a_trader_FElf',8,24,70,'female','L2Auctioneer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30769,30769,'Auctioneer',0,'',0,'NPC.a_common_people_FDarkElf',8,21.5,70,'female','L2Auctioneer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30770,30770,'Auctioneer',0,'',0,'NPC.e_traderA_FDwarf',7,18.5,70,'female','L2Auctioneer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30771,30771,'Auctioneer',0,'',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Auctioneer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30772,30772,'Wilson',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30773,30773,'Todd',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30827,30827,'Lundy',0,'Pet Manager',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2PetManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30828,30828,'Waters',0,'Pet Manager',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2PetManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30829,30829,'Cooper',0,'Pet Manager',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2PetManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30830,30830,'Joey',0,'Pet Manager',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2PetManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30831,30831,'Nelson',0,'Pet Manager',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2PetManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30832,30832,'Hardin',0,'',0,'NPC.a_hardin_MHuman',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30833,30833,'Kaspar',0,'Magister',0,'NPC.a_hardins_pupil_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30834,30834,'Cema',0,'Magic Trader',0,'NPC.a_hardins_pupil_FHuman',8,23,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30835,30835,'Icarus',0,'Lich King',0,'LineageMonster.vale_master',12,40,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,212,0,0,70,15,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30836,30836,'Minerva',0,'Gatekeeper',0,'NPC.a_teleporter_FDarkElf',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30837,30837,'Woodrow',0,'Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30838,30838,'Woodley',0,'Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30839,30839,'Holly',0,'Trader',0,'NPC.a_traderA_FHuman',7,23,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30840,30840,'Lorenzo',0,'Trader',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30841,30841,'Carson',0,'Trader',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30842,30842,'Alexis',0,'Trader',0,'NPC.a_trader_FElf',8,24,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30843,30843,'Romp',0,'Warehouse Freightman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30844,30844,'Walderal',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30845,30845,'Klump',0,'Warehouse Chief',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30846,30846,'Wilbert',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30847,30847,'Ferris',0,'Head Blacksmith',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30848,30848,'Elisa',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30849,30849,'Sedrick',0,'Grand Master',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30850,30850,'Aiken',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30851,30851,'Kendra',0,'Master',0,'NPC.a_fighterguild_master_FHuman',8,21.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30852,30852,'Sinden',0,'Master',0,'NPC.a_guard_MElf',8,23.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30853,30853,'Raien',0,'Master',0,'NPC.a_common_people_FElf',7,25.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30854,30854,'Drikiyan',0,'Grand Magister',0,'NPC.a_mageguild_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30855,30855,'Desmond',0,'Magister',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30856,30856,'Winonin',0,'Magister',0,'NPC.a_common_people_FElf',7,25.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30857,30857,'Orven',0,'High Priest',0,'NPC.a_sanctuary_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30858,30858,'Ross',0,'Priest',0,'NPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30859,30859,'Vivyan',0,'Priestess',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30860,30860,'Flownia',0,'Priestess',0,'NPC.a_trader_FElf',8,24,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30861,30861,'Leonard',0,'Priest',0,'NPC.a_patriarch_MElf',8,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30862,30862,'Oltlin',0,'Grand Master',0,'NPC.a_guild_master_MDarkElf',8,23,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30863,30863,'Ghest',0,'Master',0,'NPC.a_fighterguild_teacher_MDarkElf',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30864,30864,'Hanellin',0,'Magister',0,'NPC.a_mageguild_teacher_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30865,30865,'Ladanza',0,'High Prefect',0,'NPC.e_patriarch_MOrc',8,26,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30866,30866,'Marestella',0,'Prefect',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30867,30867,'Reva',0,'Seer',0,'NPC.e_trader_MOrc',8,23.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30868,30868,'Sir Eric Rodemai',0,'',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,128,632,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30869,30869,'Lemper',0,'Pet Manager',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2PetManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30870,30870,'Kurtiz',0,'Captain',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,129,102,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30871,30871,'Bret',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30872,30872,'Conroy',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,102,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30873,30873,'Coleman',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30874,30874,'Aldis',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,102,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30875,30875,'Carlton',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30876,30876,'Eastan',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,102,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30877,30877,'Grayson',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30878,30878,'Angelina',0,'Gatekeeper',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30879,30879,'Felton',0,'Wharf Manager',0,'NPC.a_wharfinger_MHuman',8,23,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30880,30880,'Viktor Van Dake',0,'Border Outpost Captain',0,'NPC.a_royal_guardA_MHuman',7,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30881,30881,'Sanders',0,'Border Outpost Aide',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30882,30882,'Frontier Guard',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30883,30883,'Frontier Guard',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,249,1000,333,14,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30884,30884,'Frontier Guard',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30885,30885,'Frontier Guard',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,249,1000,333,14,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30886,30886,'Frontier Guard',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30887,30887,'Frontier Guard',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,249,1000,333,14,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30888,30888,'Frontier Guard',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30889,30889,'Frontier Guard',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,249,1000,333,14,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30890,30890,'Espen',0,'Trader',0,'NPC.a_trader_MElf',6,24.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30891,30891,'Verona',0,'Trader',0,'NPC.a_traderB_FHuman',8,24.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30892,30892,'Enverun',0,'Trader',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30893,30893,'Payel',0,'Trader',0,'NPC.a_trader_FElf',8,24,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30894,30894,'Natools',0,'Warehouse Chief',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30895,30895,'Kluck',0,'Warehouse Freightman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30896,30896,'Mia',0,'Warehouse Keeper',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30897,30897,'Roman',0,'Head Blacksmith',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30898,30898,'Morning',0,'Blacksmith',0,'NPC.e_smith_Fdwarf',8,17.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30899,30899,'Flauen',0,'Gatekeeper',0,'NPC.a_teleporter_FElf',8.5,23.5,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30900,30900,'Marcus',0,'Grand Master',0,'NPC.a_fighterguild_master_FHuman',8,21.5,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30901,30901,'Arti',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30902,30902,'Karuna',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30903,30903,'Traus',0,'Master',0,'NPC.a_fighterguild_teacher_MElf',7,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30904,30904,'Naiel',0,'Master',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30905,30905,'Squillari',0,'High Priest',0,'NPC.a_sanctuary_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30906,30906,'Ranton',0,'Priest',0,'NPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30907,30907,'Minevia',0,'Magister',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30908,30908,'Tanios',0,'Priest',0,'NPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30909,30909,'Anabel',0,'Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30910,30910,'Xairakin',0,'Grand Master',0,'NPC.a_guild_master_MDarkElf',8,23,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30911,30911,'Brikus',0,'Master',0,'NPC.a_fighterguild_teacher_MDarkElf',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30912,30912,'Xenovia',0,'Magister',0,'NPC.a_mageguild_teacher_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30913,30913,'Tushku',0,'High Prefect',0,'NPC.e_patriarch_MOrc',8,26,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30914,30914,'Sorbo',0,'Prefect',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30915,30915,'Takina',0,'Seer',0,'NPC.e_mageguild_teacher_FOrc',8,28,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30916,30916,'Gosta',0,'Captain',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Npc',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,129,102,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30917,30917,'Dupuis',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30918,30918,'Kent',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,102,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30919,30919,'Rodic',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,249,1000,333,275,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30920,30920,'Kraisen',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,102,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30921,30921,'Timos',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30922,30922,'Cage',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,2,102,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30923,30923,'Dunst',0,'Guard',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,249,1000,333,275,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30924,30924,'Nedy',0,'Wharf Manager',0,'NPC.a_wharfinger_MHuman',8,23,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30925,30925,'Morelyn',0,'High Priestess',0,'NPC.a_mageguild_teacher_FElf',7,22.2,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30926,30926,'Restina',0,'Priestess',0,'NPC.a_mageguild_teacher_FElf',7,22.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(30927,30927,'Alicia',0,'Priestess',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30928,30928,'Fenster',0,'Mercenary',0,'NPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30929,30929,'Patrin',0,'Antique Dealer',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30930,30930,'Rogent',0,'Antique Appraiser',0,'NPC.e_mine_master_MDwarf',8,19.7,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30931,30931,'Bentley',0,'',0,'NPC.a_traderA_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30932,30932,'Benica',0,'',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30933,30933,'Braki',0,'',0,'NPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30934,30934,'Marsha',0,'Collector',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30935,30935,'Trumpin',0,'Collector',0,'NPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30936,30936,'Malcom1',0,'Frog Prince',0,'Monster.poison_toad',20,10,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30937,30937,'Malcom2',0,'Wild Boar Prince',0,'Monster.giant_wild_hog',35,27,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,38,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30938,30938,'Malcom3',0,'Orc Prince',0,'Monster.ketra_orc',12,29,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,49,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30939,30939,'Malcom4',0,'Prince of Darkness',0,'Monster.skeleton_royal_guard',11,28.5,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30940,30940,'Malcom5',0,'Gremlin Prince',0,'Monster.gremlin',10,15,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,22,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30941,30941,'Malcom6',0,'Prince of Wild Beast',0,'Monster.saber_toothed_tiger',34,28,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,66,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30942,30942,'Malcom7',0,'Monster Eye Prince',0,'Monster.monster_eye',21,43,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,99,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30943,30943,'Malcom8',0,'Rabbit Prince',0,'Monster.rabbit',5,4.5,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30944,30944,'Malcom9',0,'Human Prince',0,'NPC.a_casino_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30945,30945,'Malcom10',0,'Prince',0,'NPC.e_collector_master_MDwarf',8,18.4,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30946,30946,'Lucianne Tanford',0,'',0,'NPC.a_fighterguild_master_FHuman',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30947,30947,'Rerikya',0,'',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30948,30948,'Meridien',0,'',0,'NPC.a_common_people_FElf',7,25.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30949,30949,'Keplon',0,'Researcher',0,'NPC.e_mine_master_MDwarf',8,19.7,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30950,30950,'Euclie',0,'Researcher',0,'NPC.e_mine_teacher_FDwarf',8,18.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30951,30951,'Pithgon',0,'Researcher',0,'NPC.e_mine_master_MDwarf',8,19.7,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30952,30952,'Dimensional Vortex 1',0,'',0,'NPC.broadcasting_tower',7,35,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30953,30953,'Dimensional Vortex 2',0,'',0,'NPC.broadcasting_tower',7,35,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30954,30954,'Dimensional Vortex 3',0,'',0,'NPC.broadcasting_tower',7,35,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30955,30955,'Gillian\'s Revenant',0,'',0,'Monster.zombie',13,21,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,16,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30956,30956,'Nanarin',0,'Musician',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,325,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30957,30957,'Swan',0,'Bard',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,4202,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30958,30958,'Galion',0,'',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30959,30959,'Barbado',0,'Musician',0,'NPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5133,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30960,30960,'Beer Chest',0,'',0,'NPC.box',18,14,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30961,30961,'Cloth Chest',0,'',0,'NPC.coffer_d',12,9.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30962,30962,'Statue of Water',0,'',0,'NPC.coffer_d',12,9.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30963,30963,'Statue of Fire',0,'',0,'NPC.coffer_d',12,9.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30964,30964,'Statue of Wind',0,'',0,'NPC.coffer_d',12,9.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30965,30965,'Statue of Earth',0,'',0,'NPC.coffer_d',12,9.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30966,30966,'Statue of Darkness',0,'',0,'NPC.coffer_d',12,9.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30967,30967,'Statue of Light',0,'',0,'NPC.coffer_d',12,9.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30968,30968,'Jennifer',0,'Lady Orc',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30969,30969,'Iason Heine',0,'',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30970,30970,'Dorothy',0,'Locksmith',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30971,30971,'Orpheus',0,'Mad Doctor',0,'NPC.e_mine_teacher_MDwarf',8,18,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30972,30972,'Orpheus Resurrecter',0,'',0,'Monster.susceptor',20,35,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,29,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30973,30973,'Medium Jar',0,'',0,'NPC.pot',10,15,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30974,30974,'Oliver',0,'Resurrected Adventurer',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30975,30975,'Clarine',0,'Resurrected Adventurer',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30976,30976,'Resurrected Town Maiden',0,'',0,'NPC.a_common_peopleB_FHuman',8,20.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30977,30977,'Holy Ark of Secrecy 1',0,'',0,'NPC.coffer_a',12,9.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30978,30978,'Holy Ark of Secrecy 2',0,'',0,'NPC.coffer_b',12,9,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30979,30979,'Holy Ark of Secrecy 3',0,'',0,'NPC.coffer_c',12,9,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30980,30980,'Ark Guardian\'s Corpse',0,'',0,'NPC.angel_death',25,36.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'corpse','false'),
(30981,30981,'Black Judge',0,'',0,'NPC.a_clergyman_FDarkElf',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30982,30982,'Sleeping Ant Larva1',0,'',0,'Monster.ant_larva',12,8,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,44,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30983,30983,'Sleeping Ant Larva2',0,'',0,'Monster.ant_larva',12,8,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,44,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30984,30984,'Sleeping Ant Larva3',0,'',0,'Monster.ant_larva',12,8,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,44,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30985,30985,'Sleeping Ant Larva4',0,'',0,'Monster.ant_larva',12,8,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,44,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30986,30986,'Sleeping Ant Larva5',0,'',0,'Monster.ant_larva',12,8,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,44,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30987,30987,'Sleeping Ant Larva6',0,'',0,'Monster.ant_larva',12,8,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,44,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(30988,30988,'Verce',0,'Leathersmith',0,'NPC.a_patriarch_MElf',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30989,30989,'Chest of Bifrons',0,'',0,'NPC.coffer_c',12,9,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30990,30990,'Lottery Ticket Seller',0,'',0,'NPC.a_casino_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30991,30991,'Lottery Ticket Seller',0,'',0,'NPC.a_trader_MElf',6,24.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30992,30992,'Lottery Ticket Seller',0,'',0,'NPC.a_trader_MDarkElf',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30993,30993,'Lottery Ticket Seller',0,'',0,'NPC.a_traderA_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30994,30994,'Lottery Ticket Seller',0,'',0,'NPC.e_trader_MOrc',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(30995,30995,'Race Manager',0,'',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false');

INSERT INTO `npc` VALUES
(31001,31001,'Claudia Athebalt',0,'',0,'NPC.a_mageguild_master_FHuman',8,23,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31002,31002,'Reorin',0,'Maestro',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31003,31003,'Here I Come',0,'',0,'Monster.cat_the_cat',9,16,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31004,31004,'Half Moon Love',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,52,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31005,31005,'Everlasting',0,'',0,'Monster.mechanic_golem',5,19,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31006,31006,'Dark Side of the Moon',0,'',0,'Monster.silhouette',8,23,70,'female','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31007,31007,'Wind Rider',0,'',0,'Monster.unicorn_boxer',11,18,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,29,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31008,31008,'Shooting Star',0,'',0,'Monster.unicorn_mirage',13,17,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,29,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31009,31009,'Cyclone Thunder',0,'',0,'Monster.dark_fencer',7,13,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,27,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31010,31010,'Hungry Baby',0,'',0,'Monster.hatchling',9,10,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31011,31011,'Salty Dog',0,'',0,'Monster.pet_wolf',13,11.5,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,26,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31012,31012,'Raging Revolution',0,'',0,'Monster.silver_cat',7,15,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,52,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31013,31013,'Valentine Blue',0,'',0,'Monster.blue_eye',11,16,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,52,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31014,31014,'Light My Fire',0,'',0,'Monster.big_boom',6,13,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,52,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31015,31015,'Red Bullet',0,'',0,'Monster.fox',9.5,10,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,25,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31016,31016,'Shining Silver',0,'',0,'Monster.rabbit',5,4.5,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31017,31017,'Over the top',0,'',0,'Monster.ant_larva',12,8,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,44,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31018,31018,'Royal Straight',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31019,31019,'All Seven',0,'',0,'Monster.wererat',14,25,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31020,31020,'Nasty Green',0,'',0,'Monster.dryad',9,20,70,'female','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,44,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31021,31021,'Shortcut',0,'',0,'Monster.goblin',10,16.5,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,44,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31022,31022,'Typhoon Tiger',0,'',0,'Monster.giant_bee',8,24.5,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,99,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31023,31023,'Red Hot',0,'',0,'Monster.salamander',16,6.8,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,70,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31024,31024,'Galaxy Express',0,'',0,'Monster.onyx_beast',14,14.5,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31025,31025,'Best Condition',0,'',0,'Monster.manadragora',14,17.8,70,'female','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31026,31026,'Albatross',0,'',0,'Monster.orc',10,21,70,'male','L2Monster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,49,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31027,31027,'Coffer of the Dead',0,'',0,'NPC.coffer_b',12,9,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31028,31028,'Chest of Kernon',0,'',0,'NPC.coffer_c',12,9,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31029,31029,'Chest of Golkonda',0,'',0,'NPC.coffer_c',12,9,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31030,31030,'Chest of Hallate',0,'',0,'NPC.coffer_c',12,9,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31031,31031,'Broadcasting Tower',0,'',0,'NPC.broadcasting_tower',7,35,70,'etc','L2Observation',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31032,31032,'Guard',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31033,31033,'Sentinel',0,'',0,'NPC.a_guard_MElf',8,23.5,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,249,1000,333,276,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31034,31034,'Sentry',0,'',0,'NPC.a_guard_FDarkelf',7,25,80,'female','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,277,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31035,31035,'Defender',0,'',0,'NPC.e_guard_MDwarf',8,19,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31036,31036,'Centurion',0,'',0,'NPC.e_guard_MOrc',8,27,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,273,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31042,31042,'Kantabilon',0,'Melody Maestro',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31043,31043,'Octavia',0,'Melody Maestro',0,'NPC.e_traderA_FDwarf',7,18.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31044,31044,'Galman',0,'Valley Trader',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31045,31045,'Kitzka',0,'Valley Trader',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31046,31046,'Marsden',0,'Symbol Maker',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2SymbolMaker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31047,31047,'Kell',0,'Symbol Maker',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2SymbolMaker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31048,31048,'McDermott',0,'Symbol Maker',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2SymbolMaker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31049,31049,'Pepper',0,'Symbol Maker',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2SymbolMaker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31050,31050,'Thora',0,'Symbol Maker',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2SymbolMaker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31051,31051,'Keach',0,'Symbol Maker',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2SymbolMaker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31052,31052,'Heid',0,'Symbol Maker',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2SymbolMaker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31053,31053,'Kidder',0,'Symbol Maker',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,70,'female','L2SymbolMaker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31067,31067,'Rood',0,'Pet Manager',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2PetManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31074,31074,'Corpse of Hutaku',0,'',0,'NPC.e_trader_Morc_death',22,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'corpse','false'),
(31075,31075,'Sales Cat of Ivory Tower',0,'',0,'Monster.cat_the_cat',9,16,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31076,31076,'Newbie Guide',0,'',0,'NPC.a_common_peopleB_FHuman',8,20.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31077,31077,'Newbie Guide',0,'',0,'NPC.a_common_peopleB_FHuman',8,20.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31078,31078,'Priest of Dawn',0,'',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31079,31079,'Priest of Dawn',0,'',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31080,31080,'Priest of Dawn',0,'',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31081,31081,'Priest of Dawn',0,'',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31082,31082,'Priest of Dawn',0,'',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31083,31083,'Priest of Dawn',0,'',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31084,31084,'Priest of Dawn',0,'',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31085,31085,'Dusk Priestess',0,'',0,'NPC.priest_of_dusk',8,22,70,'female','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31086,31086,'Dusk Priestess',0,'',0,'NPC.priest_of_dusk',8,22,70,'female','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31087,31087,'Dusk Priestess',0,'',0,'NPC.priest_of_dusk',8,22,70,'female','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31088,31088,'Dusk Priestess',0,'',0,'NPC.priest_of_dusk',8,22,70,'female','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31089,31089,'Dusk Priestess',0,'',0,'NPC.priest_of_dusk',8,22,70,'female','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31090,31090,'Dusk Priestess',0,'',0,'NPC.priest_of_dusk',8,22,70,'female','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31091,31091,'Dusk Priestess',0,'',0,'NPC.priest_of_dusk',8,22,70,'female','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31092,31092,'Black Marketeer of Mammon',0,'',0,'NPC.black_market_trader_MDwarf',8,18,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31093,31093,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31094,31094,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31095,31095,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31096,31096,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31097,31097,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31098,31098,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31099,31099,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31100,31100,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31101,31101,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31102,31102,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31103,31103,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31104,31104,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31105,31105,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31106,31106,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31107,31107,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31108,31108,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31109,31109,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31110,31110,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31111,31111,'Gatekeeper Spirit',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31112,31112,'Gatekeeper Spirit',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31113,31113,'Merchant of Mammon',0,'',0,'NPC.black_market_trader_MDwarf_set',22,18,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31114,31114,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31115,31115,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31116,31116,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31117,31117,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31118,31118,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31119,31119,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31120,31120,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31121,31121,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31122,31122,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31123,31123,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31124,31124,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31125,31125,'Gatekeeper Ziggurat',0,'',0,'NPC.teleport_npc_sm',7,15,70,'etc','L2DungeonGatekeeper',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31126,31126,'Blacksmith of Mammon',0,'',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31127,31127,'Festival Guide',0,'Level 31 and Below',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31128,31128,'Festival Guide',0,'Level 42 and Below',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31129,31129,'Festival Guide',0,'Level 53 and Below',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31130,31130,'Festival Guide',0,'Level 64 and Below',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31131,31131,'Festival Guide',0,'No Level Limit',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31132,31132,'Festival Witch',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31133,31133,'Festival Witch',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31134,31134,'Festival Witch',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31135,31135,'Festival Witch',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31136,31136,'Festival Witch',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31137,31137,'Festival Guide',0,'Level 31 and Below',0,'NPC.priest_of_dusk',8,22,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31138,31138,'Festival Guide',0,'Level 42 and Below',0,'NPC.priest_of_dusk',8,22,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31139,31139,'Festival Guide',0,'Level 53 and Below',0,'NPC.priest_of_dusk',8,22,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31140,31140,'Festival Guide',0,'Level 64 and Below',0,'NPC.priest_of_dusk',8,22,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31141,31141,'Festival Guide',0,'No Level Limit',0,'NPC.priest_of_dusk',8,22,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31142,31142,'Festival Witch',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31143,31143,'Festival Witch',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31144,31144,'Festival Witch',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31145,31145,'Festival Witch',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31146,31146,'Festival Witch',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2FestivalGuide',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31147,31147,'Sobling',0,'Head Researcher',0,'NPC.e_mine_master_MDwarf',8,19.7,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31148,31148,'Pirate\'s Chest',0,'',0,'NPC.coffer_c',12,9,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31149,31149,'Alchemist\'s Mixing Urn',0,'',0,'NPC.pot',10,15,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31168,31168,'Priest of Dawn',0,'',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31169,31169,'Dusk Priestess',0,'',0,'NPC.priest_of_dusk',8,22,70,'female','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31170,31170,'Crest of Dawn',0,'',0,'Deco.flag_ssq',0.01,0.01,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31171,31171,'Crest of Dusk',0,'',0,'Deco.flag_ssq',0.01,0.01,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31172,31172,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31173,31173,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31174,31174,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31175,31175,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31176,31176,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31177,31177,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31178,31178,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31179,31179,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31180,31180,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31181,31181,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31182,31182,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31183,31183,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31184,31184,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31185,31185,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31186,31186,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31187,31187,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31188,31188,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31189,31189,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31190,31190,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31191,31191,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31192,31192,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31193,31193,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31194,31194,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31195,31195,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31196,31196,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31197,31197,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31198,31198,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31199,31199,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31200,31200,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31201,31201,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2CabaleBuffer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31202,31202,'Maximus',0,'',0,'Monster.pet_wolf',13,11.5,70,'male','L2TownPet',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,24,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31203,31203,'Moon Dancer',0,'',0,'Monster.pet_wolf',13,11.5,70,'male','L2TownPet',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,24,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31204,31204,'Georgio',0,'',0,'Monster.pet_wolf',13,11.5,70,'male','L2TownPet',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,24,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31205,31205,'Katz',0,'',0,'Monster.hatchling',9,10,70,'male','L2TownPet',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31206,31206,'Ten Ten',0,'',0,'Monster.hatchling',9,10,70,'male','L2TownPet',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31207,31207,'Sardinia',0,'',0,'Monster.hatchling',9,10,70,'male','L2TownPet',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31208,31208,'La Grange',0,'',0,'Monster.hatchling',9,10,70,'male','L2TownPet',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31209,31209,'Misty Rain',0,'',0,'Monster.pet_wolf',13,11.5,70,'male','L2TownPet',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,24,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31210,31210,'Race Track Gatekeeper',0,'',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31211,31211,'Race Track Guide',0,'',0,'NPC.e_traderA_FDwarf',7,18.5,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31212,31212,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31213,31213,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31214,31214,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31215,31215,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31216,31216,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31217,31217,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31218,31218,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31219,31219,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31220,31220,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31221,31221,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31222,31222,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31223,31223,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31224,31224,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31225,31225,'Arena Manager',0,'',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31226,31226,'Arena Director',0,'',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31227,31227,'Buzz the Cat',0,'Event Manager',0,'Monster.cat_the_cat',9,16,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31228,31228,'Roy the Cat',0,'Event Manager',0,'Monster.cat_the_cat',9,16,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31229,31229,'Winnie the Cat',0,'Event Manager',0,'Monster.cutie_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,52,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31230,31230,'Louie the Cat',0,'Event Manager',0,'Monster.silver_cat',7,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,52,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31231,31231,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31232,31232,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31233,31233,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31234,31234,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31235,31235,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31236,31236,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31237,31237,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31238,31238,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31239,31239,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31240,31240,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31241,31241,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31242,31242,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31243,31243,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31244,31244,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31245,31245,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31246,31246,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31247,31247,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31248,31248,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31249,31249,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31250,31250,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31251,31251,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31252,31252,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31253,31253,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31254,31254,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31255,31255,'Buzz the Cat',0,'Event Manager',0,'Monster.cat_the_cat',9,16,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31256,31256,'Leon',0,'Trader',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31257,31257,'Veronica',0,'Trader',0,'NPC.a_traderD_Fhuman',8,25.3,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31258,31258,'Helmut',0,'Trader',0,'NPC.a_common_peopleC_Mhuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31259,31259,'Janne',0,'Trader',0,'NPC.a_common_peopleC_Fhuman',8,22.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31260,31260,'Judith',0,'Trader',0,'NPC.a_traderD_Fhuman',8,25.3,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31261,31261,'Renee',0,'Trader',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31262,31262,'Rupert',0,'Trader',0,'NPC.a_traderD_Mhuman',8,21.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31263,31263,'Liesel',0,'Trader',0,'NPC.a_common_peopleC_Fhuman',8,22.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31264,31264,'Olsun',0,'Symbol Maker',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2SymbolMaker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31265,31265,'Annette',0,'Pet Manager',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2PetManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31266,31266,'Kaiser',0,'',0,'Monster2.youth_tiger',16,17.2,70,'male','L2TownPet',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,60,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31267,31267,'Lietta',0,'Warehouse Keeper',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31268,31268,'Hakon',0,'Warehouse Keeper',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31269,31269,'Mona',0,'Warehouse Chief',0,'NPC.e_traderB_FDwarf',7,18,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31270,31270,'Stefano',0,'Warehouse Freightman',0,'NPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31271,31271,'Hilda',0,'Blacksmith',0,'NPC.e_smith_Fdwarf',8,17.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,87,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31272,31272,'Noel',0,'Head Blacksmith',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31273,31273,'Borodin',0,'Blueprint Seller',0,'NPC.e_mine_teacher_MDwarf',8,18,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31274,31274,'Fundin',0,'Mineral Trader',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31275,31275,'Tatiana',0,'Gatekeeper',0,'NPC.e_teleporter_Fhuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31276,31276,'Bernhard',0,'Grand Master',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,76,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31277,31277,'Felix',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,125,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31278,31278,'Bronwyn',0,'Master',0,'NPC.a_fighterguild_teacher_MElf',7,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31279,31279,'Gregory',0,'High Priest',0,'LineageNPC.a_temple_master_Mhuman',8,22.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,193,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31280,31280,'Bastian',0,'Priest',0,'NPC.a_temple_teacher_Mhuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31281,31281,'Cerenas',0,'Priest',0,'NPC.a_patriarch_MElf',8,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31282,31282,'Justin',0,'Magister',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31283,31283,'Alminas',0,'Magister',0,'NPC.a_patriarch_MElf',8,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31284,31284,'Elena',0,'Spellbook Seller',0,'NPC.a_traderD_Fhuman',8,25.3,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31285,31285,'Samael',0,'Grand Master',0,'NPC.a_patriarch_MDarkElf',6,23.8,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31286,31286,'Drakon',0,'Master',0,'NPC.a_guild_master_MDarkElf',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,143,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31287,31287,'Kamilen',0,'Magister',0,'NPC.a_casino_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,204,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31288,31288,'Aklan',0,'High Prefect',0,'NPC.e_patriarch_MOrc',8,26,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31289,31289,'Lakan',0,'Prefect',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,161,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31290,31290,'Skahi',0,'Seer',0,'NPC.e_clergyman_MOrc',8,29,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,202,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31291,31291,'Terava',0,'Amulet Seller',0,'NPC.e_clergyman_FOrc',7,28,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31292,31292,'Andrei',0,'Captain',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,133,632,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31293,31293,'Gunter',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,126,628,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31294,31294,'Sven',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,94,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31295,31295,'Henrik',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,126,628,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31296,31296,'Cadmon',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,94,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31297,31297,'Bayard',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,126,628,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31298,31298,'Ulrich',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,94,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31299,31299,'Eugen',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,126,628,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31300,31300,'Drumond',0,'Trader',0,'NPC.e_traderB_master_MDwarf',8,17,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31301,31301,'Nils',0,'Trader',0,'NPC.a_traderD_Mhuman',8,21.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31302,31302,'Vladimir',0,'Trader',0,'NPC.a_common_peopleC_Mhuman',10,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31303,31303,'Alisha',0,'Trader',0,'NPC.a_traderD_Fhuman',8,25.3,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31304,31304,'Astrid',0,'Trader',0,'NPC.a_traderC_Fhuman',8,22.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31305,31305,'Candice',0,'Trader',0,'NPC.e_traderA_FDwarf',7,18.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31306,31306,'Natasha',0,'Trader',0,'NPC.a_traderB_FHuman',8,24.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31307,31307,'Weber',0,'Trader',0,'NPC.a_traderD_Mhuman',8,21.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31308,31308,'Achim',0,'Symbol Maker',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2SymbolMaker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31309,31309,'Woods',0,'Pet Manager',0,'NPC.a_traderD_Mhuman',8,21.5,70,'male','L2PetManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31310,31310,'Rafael',0,'',0,'Monster.strider',23,31,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31311,31311,'Hugin',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31312,31312,'Durin',0,'Warehouse Keeper',0,'NPC.a_traderA_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31313,31313,'Lunin',0,'Warehouse Keeper',0,'NPC.e_traderB_MDwarf',8,17.5,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31314,31314,'Donal',0,'Warehouse Chief',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31315,31315,'Daisy',0,'Warehouse Freightman',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31316,31316,'Vincenz',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31317,31317,'Lombert',0,'Head Blacksmith',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31318,31318,'Greta',0,'Blueprint Seller',0,'NPC.e_mine_teacher_FDwarf',8,18.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31319,31319,'Hans',0,'Mineral Trader',0,'NPC.e_traderB_master_MDwarf',8,17,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31320,31320,'Ilyana',0,'Gatekeeper',0,'NPC.e_teleporter_Fhuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31321,31321,'Siegmund',0,'Grand Master',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,76,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31322,31322,'Erian',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,125,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31323,31323,'Beryl',0,'Master',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31324,31324,'Andromeda',0,'Grand Master',0,'LineageNPC.a_casino_FDarkElf',8,23,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,316,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31325,31325,'Themis',0,'Master',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,227,627,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31326,31326,'Lambac',0,'High Prefect',0,'NPC.e_patriarch_MOrc',8,26,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31327,31327,'Tazki',0,'Prefect',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,161,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31328,31328,'Innocentin',0,'High Priest',0,'LineageNPC.a_temple_master_Mhuman',8,22.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,193,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31329,31329,'Eliyah',0,'Priest',0,'NPC.a_temple_teacher_Mhuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31330,31330,'Wagner',0,'Priest',0,'NPC.a_patriarch_MElf',8,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31331,31331,'Valdis',0,'Grand Magister',0,'NPC.a_mageguild_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31332,31332,'Amelia',0,'Magister',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31333,31333,'Rumiel',0,'Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31334,31334,'Tifaren',0,'Grand Magister',0,'LineageNPC.a_teleporter_FDarkElf',8,25,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31335,31335,'Kayan',0,'Magister',0,'NPC.a_clergyman_MDarkElf',8,22.3,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,317,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31336,31336,'Rahorakti',0,'Grand Seer',0,'NPC.e_clergyman_MOrc',8,29,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,202,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31337,31337,'Mekara',0,'Seer',0,'NPC.e_mageguild_teacher_FOrc',8,28,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31338,31338,'Anton',0,'Spellbook Seller',0,'NPC.a_traderD_Mhuman',8,21.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31339,31339,'Hakran',0,'Amulet Seller',0,'NPC.e_mageguild_teacher_MOrc',8,29,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31340,31340,'Mathias',0,'Captain',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Npc',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,133,632,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31341,31341,'Richtor',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,126,628,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31342,31342,'Dimitri',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,94,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31343,31343,'Bellard',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,126,628,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31344,31344,'Schmidt',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,94,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31345,31345,'Ian',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,126,628,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31346,31346,'Sirius',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,94,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31347,31347,'Burke',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,126,628,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31348,31348,'Agripel',0,'High Priest',0,'NPC.a_temple_master_Mhuman',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31349,31349,'Benedict',0,'Priest',0,'NPC.a_temple_master_Mhuman',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31350,31350,'Dominic',0,'Priest',0,'NPC.a_temple_master_Mhuman',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31351,31351,'Volker',0,'Wharf Manager',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31356,31356,'Remy',0,'Porter',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2NpcWalker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31357,31357,'Leandro',0,'Secretary',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2NpcWalker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31358,31358,'Kasiel',0,'Bard',0,'NPC.a_trader_MElf',6,24.5,70,'male','L2NpcWalker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,4202,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31359,31359,'Jaradine',0,'Mother Tree Guardian',0,'NPC.a_patriarch_MElf',8,22.5,70,'male','L2NpcWalker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,189,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31360,31360,'Alhena',0,'Tetrarch Agent',0,'NPC.a_casino_FDarkElf',8,23,70,'female','L2NpcWalker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,315,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31361,31361,'Kreed',0,'Tetrarch Executioner',0,'NPC.a_trader_MDarkElf',8,22.5,70,'male','L2NpcWalker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,151,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31362,31362,'Tate',0,'Carrier',0,'NPC.a_traderA_MDwarf',8,17,70,'male','L2NpcWalker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31363,31363,'Rogin',0,'Deliveryman',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2NpcWalker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31364,31364,'Rokar',0,'Guardian of Flame',0,'NPC.e_guard_MOrc',8,27,70,'male','L2NpcWalker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,203,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31365,31365,'Yakand',0,'Guardian of Flame',0,'NPC.e_guard_MOrc',8,27,70,'male','L2NpcWalker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,203,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31366,31366,'Feed Seller',0,'',0,'NPC.a_traderD_Mhuman',8,25.3,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31367,31367,'Voice of Glory',0,'',0,'Monster.kel_mahum_witch_doctor',13,25,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,193,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(31368,31368,'Mikellan',0,'Monk of Silence',0,'NPC.a_temple_teacher_Mhuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31369,31369,'Mennon',0,'Monk of Silence',0,'NPC.a_temple_teacher_Mhuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31370,31370,'Kadun Zu Ketra',0,'Hierarch',0,'Monster2.ketra_orc_chieftain',11,38.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,6719,0,0,26,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31371,31371,'Wahkan',0,'Ketra\'s Messenger',0,'Monster.ketra_orc',12,29,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,175,0,0,49,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31372,31372,'Asefa',0,'Soul Guide',0,'Monster.ketra_orc_shaman',10,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,205,0,0,11,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31373,31373,'Atan',0,'Grocer',0,'Monster.ketra_orc_warrior',12,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,39,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31374,31374,'Jaff',0,'Warehouse Keeper',0,'Monster.ketra_orc_warrior',12,24,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,39,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31375,31375,'Jumara',0,'Trader',0,'Monster.ketra_orc_warrior',12,24,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,39,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31376,31376,'Kurfa',0,'Gatekeeper',0,'Monster.ketra_orc_shaman',10,23,70,'male','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,205,0,0,11,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31377,31377,'Ashas Varka Durai',0,'Hierarch',0,'Monster2.barka_silenos_chieftain',18,42.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,139,0,0,27,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31378,31378,'Naran Ashanuk',0,'Varka\'s Messenger',0,'Monster2.barka_silenos_warrior',16,41,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,173,0,0,34,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31379,31379,'Udan Mardui',0,'Soul Guide',0,'Monster2.barka_silenos_shaman',14,39.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,6716,0,0,39,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31380,31380,'Diyabu',0,'Grocer',0,'Monster2.barka_silenos_hunter',16,38,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31381,31381,'Hagos',0,'Warehouse Keeper',0,'Monster2.barka_silenos_warrior',16,41,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,37,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31382,31382,'Shikon',0,'Trader',0,'Monster2.barka_silenos_hunter',16,38,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31383,31383,'Teranu Mardui',0,'Gatekeeper',0,'Monster2.barka_silenos_shaman',14,39.5,70,'male','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,6716,0,0,39,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31384,31384,'Gatekeeper of Fire Dragon',0,'',0,'Monster.skeleton_knight',10,25,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,84,0,0,44,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31385,31385,'Heart of Volcano',0,'',0,'NPC.heart_of_warding',17,120,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31386,31386,'Violet',0,'Trader',0,'NPC.a_traderD_Fhuman',8,25.3,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31387,31387,'Kurstin',0,'',0,'NPC.a_traderB_FHuman',8,24.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31388,31388,'Mina',0,'',0,'NPC.a_traderB_FHuman',8,24.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31389,31389,'Dorian',0,'',0,'NPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,297,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31390,31390,'Dummy - Boy A',0,'Ch4 Test',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31391,31391,'Dummy  - Boy B',0,'Ch4 Test',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31392,31392,'Dummy  - Boy C',0,'Ch4 Test',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31393,31393,'Dummy - Boy D',0,'Ch4 Test',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31394,31394,'Dummy - Boy E',0,'Ch4 Test',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31395,31395,'Dummy - Lady F',0,'Ch4 Test',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31396,31396,'Dummy - Lady G',0,'Ch4 Test',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31397,31397,'Dummy - Lady H',0,'Ch4 Test',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31398,31398,'Dummy - Lady I',0,'Ch4 Test',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31399,31399,'Dummy - Lady J',0,'Ch4 Test',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31400,31400,'Dummy - Sword Guard',0,'Ch4 Test',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Npc',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,0,333,2,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31401,31401,'Dummy - Bow Guard',0,'Ch4 Test',0,'NPC.a_guard_MHuman',8,24,80,'female','L2Npc',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,0,333,14,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31404,31404,'Monster Race Guide',0,'Town of Gludio',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31405,31405,'Monster Race Guide',0,'Town of Dion',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31406,31406,'Monster Race Guide',0,'Town of Giran',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31407,31407,'Monster Race Guide',0,'Heine',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31408,31408,'Monster Race Guide',0,'Town of Oren',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31409,31409,'Monster Race Guide',0,'Hunters Village',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31410,31410,'Monster Race Guide',0,'Town of Aden',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31411,31411,'Monster Race Guide',0,'Town of Goddard',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31412,31412,'Monster Race Guide',0,'Rune Township',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31413,31413,'Antonio',0,'Spellbook Seller',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31414,31414,'Lynn',0,'Spellbook Seller',0,'NPC.a_common_people_FElf',7,25.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31415,31415,'Triya',0,'Spellbook Seller',0,'NPC.a_mageguild_teacher_MDarkElf',8,22,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31416,31416,'Aren',0,'Spellbook Seller',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31417,31417,'Berynel',0,'Spellbook Seller',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31418,31418,'Rouke',0,'Spellbook Seller',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31419,31419,'Lorel',0,'Spellbook Seller',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31420,31420,'Tomanel',0,'Spellbook Seller',0,'NPC.a_casino_MHuman',8,23,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31421,31421,'Ratriya',0,'Spellbook Seller',0,'NPC.a_common_people_FElf',7,25.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31422,31422,'Migel',0,'Spellbook Seller',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31423,31423,'Romas',0,'Spellbook Seller',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31424,31424,'Shantra',0,'Amulet Seller',0,'NPC.e_clergyman_FOrc',7,28,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31425,31425,'Koram',0,'Amulet Seller',0,'NPC.e_mageguild_teacher_MOrc',8,29,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31426,31426,'Jaka',0,'Amulet Seller',0,'NPC.e_mageguild_teacher_MOrc',8,29,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31427,31427,'Urgal',0,'Amulet Seller',0,'NPC.e_mageguild_teacher_MOrc',8,29,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31428,31428,'Shafa',0,'Amulet Seller',0,'NPC.e_clergyman_FOrc',7,28,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31429,31429,'Shitara',0,'Amulet Seller',0,'NPC.e_clergyman_FOrc',7,28,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31430,31430,'Donai',0,'Amulet Seller',0,'NPC.e_mageguild_teacher_MOrc',8,29,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31431,31431,'Karai',0,'Amulet Seller',0,'NPC.e_mageguild_teacher_MOrc',8,29,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31432,31432,'Reeya',0,'Blueprint Seller',0,'NPC.e_mine_teacher_FDwarf',8,18.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31433,31433,'Ronaldo',0,'Blueprint Seller',0,'NPC.e_mine_master_MDwarf',8,19.7,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31434,31434,'Shaling',0,'Blueprint Seller',0,'NPC.e_mine_teacher_FDwarf',8,18.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31435,31435,'Daeger',0,'Blueprint Seller',0,'NPC.e_traderA_master_MDwarf',8,18,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31436,31436,'Dani',0,'Blueprint Seller',0,'NPC.e_mine_teacher_FDwarf',8,18.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31437,31437,'Luka',0,'Blueprint Seller',0,'NPC.e_mine_master_MDwarf',8,19.7,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31438,31438,'Lara',0,'Blueprint Seller',0,'NPC.e_mine_teacher_FDwarf',8,18.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31439,31439,'Rogen',0,'Mineral Trader',0,'NPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31440,31440,'Lanna',0,'Mineral Trader',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31441,31441,'Gordo',0,'Mineral Trader',0,'NPC.e_traderB_master_MDwarf',8,17,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31442,31442,'Kiki',0,'Mineral Trader',0,'NPC.e_traderB_FDwarf',7,18,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31443,31443,'Raban',0,'Mineral Trader',0,'NPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31444,31444,'Cona',0,'Mineral Trader',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31445,31445,'Shutner',0,'Mineral Trader',0,'NPC.e_traderB_MDwarf',8,17.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31452,31452,'Ghost of Wigoth',0,'',0,'NPC.a_temple_master_Mhuman',8,22.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31453,31453,'Nameless Spirit',0,'',0,'NPC.a_king_MHuman',8,21,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31454,31454,'Ghost of Wigoth',0,'',0,'NPC.a_temple_master_Mhuman',8,22.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31455,31455,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31456,31456,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31457,31457,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31458,31458,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31459,31459,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31460,31460,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31461,31461,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31462,31462,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31463,31463,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31464,31464,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31465,31465,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31466,31466,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31467,31467,'Key Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31468,31468,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31469,31469,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31470,31470,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31471,31471,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31472,31472,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31473,31473,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31474,31474,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31475,31475,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31476,31476,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31477,31477,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31478,31478,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31479,31479,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31480,31480,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31481,31481,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31482,31482,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31483,31483,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31484,31484,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31485,31485,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31486,31486,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31487,31487,'Mysterious Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31488,31488,'Rift Post Recruit',0,'',0,'NPC.a_royal_guardB_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,94,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31489,31489,'Rift Post Private',0,'',0,'NPC.a_royal_guardB_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,304,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31490,31490,'Rift Post Officer',0,'',0,'NPC.a_royal_guardB_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,79,111,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31491,31491,'Rift Post Captain',0,'',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,76,660,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31492,31492,'Rift Post Commander',0,'',0,'NPC.a_lord_MHuman',7,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,80,655,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31493,31493,'Rift Post Hero',0,'',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,135,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31494,31494,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31495,31495,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31496,31496,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31497,31497,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31498,31498,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31499,31499,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31500,31500,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31501,31501,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31502,31502,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31503,31503,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31504,31504,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31505,31505,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31506,31506,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31507,31507,'Dimensional Gate Keeper',0,'',0,'NPC.rift_keeper',38,120.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31508,31508,'Altar of Saints',0,'',0,'NPC.holy_altar',14,45.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31509,31509,'Altar of Saints',0,'',0,'NPC.holy_altar',14,45.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31510,31510,'Altar of Saints',0,'',0,'NPC.holy_altar',14,45.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31511,31511,'Altar of Saints',0,'',0,'NPC.holy_altar',14,45.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31512,31512,'Evil Altar',0,'',0,'NPC.evil_altar',11,45,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31513,31513,'Evil Altar',0,'',0,'NPC.evil_altar',11,45,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31514,31514,'Evil Altar',0,'',0,'NPC.evil_altar',11,45,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31515,31515,'Evil Altar',0,'',0,'NPC.evil_altar',11,45,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31516,31516,'Evil Altar',0,'',0,'NPC.evil_altar',11,45,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31517,31517,'Hierarch',0,'',0,'NPC.a_hardin_MHuman',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31518,31518,'Mysterious Necromancer',0,'',0,'NPC.a_hardins_pupil_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31519,31519,'Enfeux',0,'',0,'NPC.saints_coffin',20,60,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31520,31520,'Leikar',0,'Maid',0,'NPC.a_maidA_FHuman',8,20.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31521,31521,'Jeremy',0,'Chef',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31522,31522,'Mysterious Wizard',0,'',0,'NPC.a_hardin_MHuman',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31523,31523,'Tombstone',0,'',0,'NPC.old_tomb_stone',20,30,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31524,31524,'Ghost of von Hellmann',0,'',0,'NPC.a_temple_master_Mhuman',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31525,31525,'Ghost of von Hellmann\'s Page',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31526,31526,'Broken Bookshelf',0,'',0,'NPC.old_bookshelf',15,33.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31527,31527,'Well',0,'',0,'NPC.umul',33,37,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31528,31528,'Ghost of Priest',0,'',0,'Monster.elf_ghost',7,21,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31529,31529,'Ghost of Adventurer',0,'',0,'Monster.human_ghost',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31530,31530,'Box',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31531,31531,'Tombstone',0,'',0,'NPC.old_tomb_stone',20,30,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31532,31532,'Maid of Lidia',0,'',0,'Monster2.vampire_witch',6,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,64,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(31533,31533,'Broken Bookshelf',0,'',0,'NPC.old_bookshelf',15,33.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31534,31534,'Broken Bookshelf',0,'',0,'NPC.old_bookshelf',15,33.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31535,31535,'Broken Bookshelf',0,'',0,'NPC.old_bookshelf',15,33.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31536,31536,'Coffin',0,'',0,'Monster.mimic',8.5,8.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31537,31537,'Tunatun',0,'Beast Herder',0,'NPC.a_common_peopleC_Mhuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31538,31538,'Ghost of Adventurer',0,'',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31539,31539,'Vulcan',0,'Blacksmith of Flame',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31540,31540,'Klein',0,'Watcher of Valakas',0,'Monster.skeleton_royal_guard',11,28.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31541,31541,'Daimon\'s Altar',0,'',0,'NPC.gianteye_altar',40,45,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31542,31542,'Yeti\'s Table',0,'',0,'NPC.yetis_dinner_table',23,16,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31543,31543,'Pulin',0,'',0,'NPC.e_bath_MDwarf',6,16.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31544,31544,'Naff',0,'',0,'NPC.e_bath_MDwarf',6,16.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31545,31545,'Crocus',0,'',0,'NPC.e_bath_MDwarf',6,16.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31546,31546,'Kuber',0,'',0,'NPC.e_bath_MDwarf',6,16.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31547,31547,'Beolin',0,'',0,'NPC.e_bath_MDwarf',6,16.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31548,31548,'Mysterious Ancient Tablet',0,'',0,'NPC.old_tablet',32,46.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31549,31549,'Mysterious Ancient Tablet',0,'',0,'NPC.old_tablet',32,46.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31550,31550,'Mysterious Ancient Tablet',0,'',0,'NPC.old_tablet',32,46.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31551,31551,'Mysterious Ancient Tablet',0,'',0,'NPC.old_tablet',32,46.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31552,31552,'Mysterious Ancient Tablet',0,'',0,'NPC.old_tablet',32,46.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31553,31553,'Pierce',0,'Mercenary Captain',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,135,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31554,31554,'Kahman',0,'Mercenary',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,161,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31555,31555,'Abercrombie',0,'Mercenary Supplier',0,'NPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31556,31556,'Selina',0,'Mercenary Medic',0,'NPC.a_traderC_Fhuman',8,22.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,189,659,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31557,31557,'Mercenary Sentry',0,'',0,'NPC.a_royal_guardB_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,298,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31558,31558,'Ketra\'s Holy Altar',0,'',0,'NPC.orcish_totem',25,47.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31559,31559,'Box of Asefa',0,'',0,'NPC.coffer_d',12,9.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31560,31560,'Varka\'s Holy Altar',0,'',0,'NPC.silenos_totem',28,55,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31561,31561,'Udan Mardui\'s Box',0,'',0,'NPC.coffer_b',12,9,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31562,31562,'Klufe',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31563,31563,'Perelin',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31564,31564,'Mishini',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31565,31565,'Ogord',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31566,31566,'Ropfi',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31567,31567,'Bleaker',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31568,31568,'Pamfus',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31569,31569,'Cyano',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31570,31570,'Lanosco',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31571,31571,'Hufs',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31572,31572,'O\'Fulle',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31573,31573,'Monakan',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31574,31574,'Willie',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31575,31575,'Litulon',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31576,31576,'Berix',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31577,31577,'Linnaeus',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31578,31578,'Hilgendorf',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31579,31579,'Klaus',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31580,31580,'Galadrid',0,'Master',0,'NPC.a_fighterguild_teacher_MDarkElf',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,132,110,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31581,31581,'Anastia',0,'Magister',0,'NPC.a_clergyman_FDarkElf',8,25,70,'female','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,202,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31582,31582,'Mordred',0,'Dark Knight',0,'Monster2.vampire_soldier',8,23.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,137,634,0,60,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31583,31583,'Feynn',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,168,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31584,31584,'Valentine',0,'Brewer',0,'NPC.e_traderB_MDwarf',8,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31585,31585,'Sparky the Cat',0,'Keats Servitor',0,'Monster.cat_the_cat',9,16,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31586,31586,'Sparky the Cat',0,'Keats Servitor',0,'Monster.cat_the_cat',9,16,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31587,31587,'Gedrik',0,'Gemcutter',0,'NPC.e_traderB_master_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31588,31588,'Agnes',0,'Saint of Light',0,'NPC.a_teleporter_FElf',8.5,23.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31589,31589,'Duda-Mara Totem Spirit',0,'',0,'Monster.giant_spider',26,25.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,72,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31590,31590,'Truth Scholar Devianne',0,'',0,'NPC.a_teleporter_FHuman',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,192,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31591,31591,'Sunset Guide Luna',0,'',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,189,633,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31592,31592,'Telson',0,'Chief Golem Crafter',0,'NPC.e_mine_master_MDwarf',8,19.7,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31593,31593,'Dorothy',0,'Golem of Telson',0,'Monster.mechanic_golem',5,19,70,'male','L2TownPet',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31594,31594,'Mond',0,'Chief Inspector',0,'NPC.e_celebrant_MDwarf',8,19.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31595,31595,'Leona Blackbird',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,79,110,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31596,31596,'Tobald',0,'Master',0,'NPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,187,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31597,31597,'Tobald',0,'Master',0,'NPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,187,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31598,31598,'Medina Blackheart',0,'',0,'NPC.a_trader_Fdarkelf',8,24.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,206,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31599,31599,'Disgraced Knight Waldstein',0,'',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,81,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31600,31600,'Pamela Aprodia',0,'',0,'NPC.a_casino_FDarkElf',8,23,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,151,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31601,31601,'Pamela Aprodia',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,151,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31602,31602,'Sharona Artemia',0,'Bodyguard',0,'NPC.a_clergyman_FDarkElf',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,232,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31603,31603,'Black Cat',0,'Hunter Guild Member',0,'NPC.a_common_people_FDarkElf',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,227,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31604,31604,'Grimst',0,'Information Broker',0,'NPC.a_casino_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31605,31605,'Kinsley',0,'Head Summoner',0,'NPC.a_mageguild_master_MHuman',8,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,212,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31606,31606,'Alice de Catrina',0,'Kinsley\'s Servitor',0,'Monster2.queen_of_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,26,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31607,31607,'Sake Dun Zu Hestui',0,'',0,'NPC.e_guard_MOrc',8,27,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,298,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31608,31608,'Belinda',0,'Summoner',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31609,31609,'Aurora the Unicorn',0,'Belinda Servitor',0,'Monster.unicorn_boxer',11,18,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,29,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31610,31610,'Shiken Gloomdrake',0,'',0,'NPC.a_common_people_MDarkElf',7,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,80,633,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31611,31611,'Scryde Heartseeker',0,'',0,'NPC.a_common_people_MDarkElf',7,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,81,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31612,31612,'Eternity Wanderer Staris',0,'',0,'NPC.a_trader_MElf',6,24.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,150,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31613,31613,'Noctisse',0,'Summoner',0,'NPC.a_clergyman_FDarkElf',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,204,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31614,31614,'Radyss',0,'Head Summoner',0,'NPC.a_patriarch_MElf',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31615,31615,'Hermit',0,'',0,'NPC.a_common_peopleC_Mhuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31616,31616,'Hermit',0,'',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,8,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31617,31617,'Aria Firstmatter',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,236,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31618,31618,'Moon Voice Irene',0,'',0,'NPC.a_common_people_FElf',7,25.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,109,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31619,31619,'Erica Ken Weber',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,236,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31620,31620,'Verdure Elder Elikia',0,'',0,'NPC.a_patriarch_MElf',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,189,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31621,31621,'Abyss Saint Elcardia',0,'',0,'NPC.a_guard_FDarkelf',7,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,206,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31622,31622,'Keats',0,'Cursed Summoner',0,'Monster.poison_toad',20,10,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31623,31623,'Bavarin',0,'Information Broker',0,'NPC.e_bath_MDwarf',6,16.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31624,31624,'Donath',0,'Master Chef',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31625,31625,'Yeti',0,'Donath Kitchen Help',0,'NPC.yeti_cute',5,11.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5129,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31626,31626,'Duncan',0,'Chef',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5129,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31627,31627,'Mist',0,'Information Broker',0,'NPC.e_bath_MDwarf',6,16.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31628,31628,'Lilly',0,'Mist\'s Granddaughter',0,'NPC.e_traderA_FDwarf',7,18.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31629,31629,'Kaleidos the Unicorn',0,'',0,'Monster.blue_eye',11,16,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,52,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31630,31630,'Kaleidos the Unicorn',0,'',0,'Monster.blue_eye',11,16,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,52,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31631,31631,'Eric Ramsheart',0,'',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,79,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31632,31632,'Mysterious Servitor',0,'',0,'Monster.shadeless',7,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,52,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31633,31633,'Winter Hunter Kadyth',0,'',0,'NPC.a_guard_MElf',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,285,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31634,31634,'Winter Hunter Kadyth',0,'',0,'NPC.a_guard_MElf',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,285,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31635,31635,'Winter Hunter Kadyth',0,'',0,'NPC.a_guard_MElf',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,285,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31636,31636,'Flame Successor Akkan',0,'',0,'NPC.e_guard_MOrc',8,27,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,305,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31637,31637,'Khavatari Kashu',0,'',0,'NPC.e_guard_MOrc',8,27,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,267,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31638,31638,'Starling Knight Kastien',0,'',0,'NPC.a_guard_MElf',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,142,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31639,31639,'Kain Van Halter',0,'',0,'NPC.a_traderA_MHuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,2626,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31640,31640,'Pilgrim of Darkness',0,'',0,'NPC.a_hardins_pupil_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,318,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31641,31641,'Pilgrim of Darkness',0,'',0,'NPC.a_hardins_pupil_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,318,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31642,31642,'Tarkai Zu Duda-Mara',0,'',0,'NPC.e_guard_MOrc',8,27,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,210,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31643,31643,'Silver Feyshar',0,'',0,'NPC.a_patriarch_MElf',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,148,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31644,31644,'Dawn Witness Franz',0,'',0,'NPC.a_sanctuary_master_MHuman',8,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,205,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31645,31645,'Hindemith Truevoice',0,'',0,'NPC.a_traderD_Mhuman',8,25.3,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,195,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31646,31646,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31647,31647,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31648,31648,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31649,31649,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31650,31650,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31651,31651,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31652,31652,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31653,31653,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31654,31654,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31655,31655,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31656,31656,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31657,31657,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31658,31658,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31659,31659,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31660,31660,'Tablet of Vision',0,'',0,'NPC.codex_stone',7,24,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31661,31661,'Forgotten Monument',0,'',0,'NPC.old_tablet',32,46.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31662,31662,'Forgotten Monument',0,'',0,'NPC.old_tablet',32,46.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31663,31663,'Forgotten Monument',0,'',0,'NPC.old_tablet',32,46.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31664,31664,'Forgotten Monument',0,'',0,'NPC.old_tablet',32,46.5,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31665,31665,'Corpse of Dwarf',0,'',0,'NPC.e_guard_MDwarf_death',13,19,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'corpse','false'),
(31666,31666,'Lumen',0,'Spellbook Seller',0,'NPC.a_traderD_Mhuman',8,21.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31667,31667,'Raik',0,'Amulet Seller',0,'NPC.e_trader_MOrc',8,23.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31668,31668,'Tangen',0,'Blueprint Seller',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31669,31669,'Onyx',0,'Mineral Trader',0,'NPC.e_mine_teacher_MDwarf',8,18,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31670,31670,'Burns',0,'Spellbook Seller',0,'NPC.a_traderD_Mhuman',8,21.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31671,31671,'Patrol',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,249,1000,333,275,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31672,31672,'Patrol',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,94,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31673,31673,'Patrol',0,'',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',1100,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,4031,576,1144,468,247,1000,333,275,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31674,31674,'Patrol',0,'',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,1000,333,94,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31675,31675,'Viktor Van Deik',0,'Border Outpost Captain',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,128,632,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31676,31676,'Gregory Athebaldt',0,'Border Outpost Captain',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2Doormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,70,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31677,31677,'Border Patrol',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,0,333,94,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31678,31678,'Border Patrol',0,'',0,'NPC.a_guard_MHuman',8,24,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,0,333,94,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31679,31679,'Eustace Van Essen',0,'Frontier Guard Captain',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,70,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31680,31680,'Fleming Van Issen',0,'Frontier Guard Captain',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2Doormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,128,632,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31681,31681,'Frontier Guard',0,'',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,0,333,94,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31682,31682,'Frontier Guard',0,'',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,4551,1859,13.43,3.09,40,43,30,21,20,10,0,0,1814,576,1144,468,278,0,333,94,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31683,31683,'Eye of Argos',0,'',0,'NPC.argos_eye',205,305,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31684,31684,'Eye of Udan Mardui',0,'',0,'Monster.mana_vampire',11,20,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,99,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31685,31685,'Asefa\'s Eye',0,'',0,'Monster.magical_weaver',11,20,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,99,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31686,31686,'Gatekeeper of Fire Dragon',0,'',0,'Monster.skeleton_knight',10,25,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,84,0,0,44,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31687,31687,'Gatekeeper of Fire Dragon',0,'',0,'Monster.skeleton_knight',10,25,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,84,0,0,44,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31688,31688,'Grand Olympiad Manager',0,'',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2OlympiadManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,70,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31689,31689,'Olympiad Finisher',0,'',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,70,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31690,31690,'Monument of Heroes',0,'',0,'NPC.heroes_obelisk_human',24,69,70,'etc','L2OlympiadManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31691,31691,'Training Dummy',0,'',0,'NPC.training_doll',9,22,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31692,31692,'Priest of Dawn',0,'',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31693,31693,'Priest of Dusk',0,'',0,'NPC.priest_of_dusk',8,22,70,'female','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31694,31694,'Priest of Dawn',0,'',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31695,31695,'Priest of Dusk',0,'',0,'NPC.priest_of_dusk',8,22,70,'female','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31696,31696,'Platis',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31697,31697,'Eindarkner',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31698,31698,'Arisha',0,'Gatekeeper',0,'NPC.e_teleporter_Fhuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31699,31699,'Stanislava',0,'Gatekeeper',0,'NPC.e_teleporter_Fhuman',8,25,70,'female','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31700,31700,'Saint\'s Follower',0,'',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31701,31701,'Saint\'s Follower',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31702,31702,'Saint\'s Follower',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31703,31703,'Saint\'s Follower',0,'',0,'NPC.a_common_peopleC_Fhuman',8,22.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31704,31704,'Saint\'s Follower',0,'',0,'NPC.a_common_peopleA_FHuman',8,21.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31705,31705,'Daimon the White-Eyed',0,'',0,'Monster2.hundred_eye',21,55,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,33,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31706,31706,'Miki the Cat',0,'',0,'Monster.cat_the_cat',9,16,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31707,31707,'Ketra Van Grunt',0,'',0,'Monster2.ketra_orc_chieftain',11,38.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,6719,0,0,26,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31708,31708,'Ketra Van Shaman',0,'',0,'Monster.ketra_orc_shaman',10,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,92,0,0,11,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31709,31709,'Ketra Van Captain',0,'',0,'Monster2.ketra_orc_warlord',12,30,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,80,0,0,29,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31710,31710,'Ketra Van Commander',0,'',0,'Monster2.barka_silenos_chieftain',18,42.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,2500,0,0,27,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31711,31711,'Ketra Van Shaman',0,'',0,'Monster2.barka_silenos_shaman',14,39.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,6716,0,0,39,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31712,31712,'Varka Raider',0,'',0,'Monster2.barka_silenos_warrior',16,41,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,142,0,0,37,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31713,31713,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31714,31714,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31715,31715,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31716,31716,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31717,31717,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31718,31718,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31719,31719,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31720,31720,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31721,31721,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31722,31722,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31723,31723,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31724,31724,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31725,31725,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31726,31726,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31727,31727,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31728,31728,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31729,31729,'Adventurer Guildsman',0,'',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,156,20,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31730,31730,'Adventurer Guildsman',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31731,31731,'Adventurer Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,224,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31732,31732,'Adventurer Guildsman',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31733,31733,'Adventurer Guildsman',0,'',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31734,31734,'Adventurer Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,129,102,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31735,31735,'Adventurer Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,231,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31736,31736,'Adventurer Guildsman',0,'',0,'NPC.a_trader_MDarkElf',8,22.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,151,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31737,31737,'Adventurer Guildsman',0,'',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,99,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31738,31738,'Adventurer Guildsman',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,99,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31739,31739,'Talien',0,'',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,4202,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31740,31740,'Caradine',0,'',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,285,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31741,31741,'Ossian',0,'',0,'NPC.a_common_peopleC_Mhuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,129,102,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31742,31742,'Virgil',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31743,31743,'Kassandra',0,'',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31744,31744,'Ogmar',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31745,31745,'Lady of the Lake',0,'',0,'NPC.a_teleporter_FElf',8.5,23.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31746,31746,'Fallen Unicorn',0,'',0,'Monster.death_unicorn',14,30,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31747,31747,'Pure White Unicorn',0,'',0,'Monster.unicorn',14,30,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31748,31748,'Cornerstone of Restraining',0,'',0,'NPC.grave_keeper',8,21,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31750,31750,'Mysterious Woman',0,'',0,'NPC.a_teleporter_FElf',8.5,23.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31751,31751,'Mysterious Dark Knight',0,'',0,'Monster.death_lord',21,40,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,78,0,0,44,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31752,31752,'Corpse of Angel',0,'',0,'NPC.angel_death',25,36.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'corpse','false'),
(31755,31755,'Halaster',0,'Grand Magister',0,'NPC.a_mageguild_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'mage','false'),
(31756,31756,'Mr. Cat',0,'Test Server Helper',0,'Monster.cat_the_cat',9,16,70,'male','L2ClassMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31757,31757,'Miss Queen',0,'Test Server Helper',0,'Monster2.queen_of_cat',8,15,70,'female','L2ClassMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,26,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31758,31758,'Rafi',0,'',0,'Monster.hatchling',9,10,70,'male','L2TownPet',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31759,31759,'Teleportation Cubic',0,'',0,'NPC.teleport_npc',40,80,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31760,31760,'Miss Queen',0,'Adventurers\' Guide',0,'Monster2.queen_of_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,26,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31761,31761,'Miss Queen',0,'Adventurers\' Guide',0,'Monster2.queen_of_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,28,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31762,31762,'Miss Queen',0,'Adventurers\' Guide',0,'Monster2.queen_of_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,28,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31763,31763,'Miss Queen',0,'Adventurers\' Guide',0,'Monster2.queen_of_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,28,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31764,31764,'Miss Queen',0,'Adventurers\' Guide',0,'Monster2.queen_of_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,28,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31765,31765,'Miss Queen',0,'Adventurers\' Guide',0,'Monster2.queen_of_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,28,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31766,31766,'Miss Queen',0,'Adventurers\' Guide',0,'Monster2.queen_of_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,28,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31767,31767,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31768,31768,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31769,31769,'Monument of Heroes',0,'',0,'NPC.heroes_obelisk_elf',24,77.5,70,'etc','L2OlympiadManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31770,31770,'Monument of Heroes',0,'',0,'NPC.heroes_obelisk_darkelf',25,77,70,'etc','L2OlympiadManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31771,31771,'Monument of Heroes',0,'',0,'NPC.heroes_obelisk_orc',24,72.5,70,'etc','L2OlympiadManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31772,31772,'Monument of Heroes',0,'',0,'NPC.heroes_obelisk_dwarf',23,80,70,'etc','L2OlympiadManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31773,31773,'Sonin',0,'Warehouse Keeper',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'female','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31774,31774,'Beryl the Cat',0,'Event Manager',0,'Monster2.queen_of_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,52,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31775,31775,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,129,102,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31776,31776,'Adventure Guildsman',0,'',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,156,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31777,31777,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,224,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31778,31778,'Adventure Guildsman',0,'',0,'NPC.a_trader_MDarkElf',8,22.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,151,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31779,31779,'Adventure Guildsman',0,'',0,'NPC.a_trader_MDarkElf',8,22.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,151,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31780,31780,'Adventure Guildsman',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31781,31781,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,231,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31782,31782,'Adventure Guildsman',0,'',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31783,31783,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,99,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31784,31784,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31785,31785,'Adventure Guildsman',0,'',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,99,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31786,31786,'Adventure Guildsman',0,'',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,99,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31787,31787,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,129,102,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31788,31788,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31789,31789,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,99,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31790,31790,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,231,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31791,31791,'Adventure Guildsman',0,'',0,'NPC.a_trader_MDarkElf',8,22.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,151,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31792,31792,'Adventure Guildsman',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31793,31793,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,224,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31794,31794,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,231,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31795,31795,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31796,31796,'Adventure Guildsman',0,'',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31797,31797,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,99,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31798,31798,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,129,102,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31799,31799,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31800,31800,'Adventure Guildsman',0,'',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,156,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31801,31801,'Adventure Guildsman',0,'',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,156,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31802,31802,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,129,102,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31803,31803,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,52,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31804,31804,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,224,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31805,31805,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,231,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31806,31806,'Adventure Guildsman',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31807,31807,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,99,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31808,31808,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,129,102,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31809,31809,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31810,31810,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,224,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31811,31811,'Adventure Guildsman',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31812,31812,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,224,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31813,31813,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,231,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31814,31814,'Adventure Guildsman',0,'',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31815,31815,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31816,31816,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,224,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31817,31817,'Adventure Guildsman',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31818,31818,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,129,102,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31819,31819,'Adventure Guildsman',0,'',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31820,31820,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,231,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31821,31821,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,224,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31822,31822,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,129,102,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31823,31823,'Adventure Guildsman',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31824,31824,'Adventure Guildsman',0,'',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31825,31825,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,224,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31826,31826,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,231,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31827,31827,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,231,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31828,31828,'Adventure Guildsman',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31829,31829,'Adventure Guildsman',0,'',0,'NPC.a_trader_MDarkElf',8,22.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,151,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31830,31830,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,224,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31831,31831,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,129,102,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31832,31832,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31833,31833,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,231,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31834,31834,'Adventure Guildsman',0,'',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,156,20,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31835,31835,'Adventure Guildsman',0,'',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31836,31836,'Adventure Guildsman',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31837,31837,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,224,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31838,31838,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,99,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31839,31839,'Adventure Guildsman',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31840,31840,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31841,31841,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'female','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,129,102,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31842,31842,'Teleportation Cubic',0,'',0,'NPC.teleport_npc',40,80,70,'etc','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,1,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31843,31843,'Teleportation Cubic',0,'',0,'NPC.teleport_npc',40,80,70,'male','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31844,31844,'Aracna',0,'',0,'Monster.aracne',15,26,50,'female','L2Monster',40,3381,1660,13.09,2.14,60,57,73,76,70,80,3000,226,1135,278,2360,452,409,0,3819,0,0,0,103,194,'all_elemental_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31845,31845,'Bloody Pixy',0,'',0,'Monster.pixy',5,25,80,'female','L2FriendlyMob',40,3381,1660,13.09,2.14,60,57,73,76,70,80,3000,226,1135,278,2360,452,278,1000,333,0,0,0,80,120,'all_elemental2_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31846,31846,'Satyros',0,'',0,'Monster.pan',14,35,50,'male','L2Monster',40,3381,1660,13.09,2.14,60,57,73,76,70,80,3000,226,1135,278,2360,452,409,0,3819,291,0,0,72,178,'all_elemental2_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31847,31847,'Pan',0,'',0,'Monster.pan',14,35,50,'male','L2Monster',40,3381,1660,13.09,2.14,60,57,73,76,70,80,3000,226,1135,278,2360,452,409,0,3819,291,0,0,72,178,'all_elemental_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31848,31848,'Pixy',0,'',0,'Monster.pixy',5,25,80,'female','L2FriendlyMob',40,3381,1660,13.09,2.14,60,57,73,76,70,80,3000,226,1135,278,2360,452,278,0,333,0,0,0,80,120,'all_elemental_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31849,31849,'Red Arachne',0,'',0,'Monster.aracne',15,26,50,'female','L2Monster',40,3381,1660,13.09,2.14,60,57,73,76,70,80,3000,226,1135,278,2360,452,409,0,3819,0,0,0,103,194,'all_elemental2_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31850,31850,'Blight Treant',0,'',0,'Monster.ti_mi_riran',23,90,80,'male','L2FriendlyMob',40,3720,1660,13.09,2.14,60,57,73,76,70,80,3000,226,1032,278,2360,452,278,0,333,0,0,0,12,12,'all_elemental2_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31851,31851,'Treant',0,'',0,'Monster.ti_mi_tran',23,90,80,'male','L2FriendlyMob',40,3720,1660,13.09,2.14,60,57,73,76,70,80,3000,226,1032,278,2360,452,278,0,333,0,0,0,12,12,'all_elemental_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31852,31852,'Pixy Murika',0,'',0,'Monster.pixy',5,25,50,'female','L2Npc',40,2469,830,8.69,2.14,40,43,30,21,20,10,3000,226,509,278,264,226,278,0,333,0,0,0,88,132,'all_elemental_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31853,31853,'Treant Bremec',0,'',0,'Monster.ti_mi_tran',23,90,80,'male','L2Npc',40,3720,1660,13.09,2.14,60,57,73,76,70,80,3000,226,1032,278,2360,452,409,0,3819,0,0,0,19,19,'all_elemental_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(31854,31854,'Event Manager',0,'',0,'NPC.a_maidA_FHuman',8,20.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31855,31855,'Event Manager',0,'',0,'NPC.a_trader_FElf',8,24,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31856,31856,'Event Manager',0,'',0,'NPC.a_clergyman_FDarkElf',8,25,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31857,31857,'Event Manager',0,'',0,'NPC.e_traderA_FDwarf',7,18.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31858,31858,'Event Manager',0,'',0,'NPC.e_trader_FOrc',8,24,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31859,31859,'Teleportation Cubic',0,'',0,'NPC.teleport_npc',40,80,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,1,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31860,31860,'Buzz the Cat',0,'Event Manager',0,'Monster.cat_the_cat',7,15,70,'female','L2Npc',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,0,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31861,31861,'Gatekeeper',0,'',0,'NPC.a_teleporter_FHuman',7,15,56,'female','L2Teleporter',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,0,0,0,88,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31862,31862,'Angelic Vortex',0,'',0,'NPC.broadcasting_tower',7,35,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31863,31863,'Santa Trainee',0,'',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31864,31864,'Santa Trainee',0,'',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31865,31865,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,35,'etc','L2Teleporter',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31866,31866,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,35,'etc','L2Teleporter',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31867,31867,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,35,'etc','L2Teleporter',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31868,31868,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,35,'etc','L2Teleporter',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31869,31869,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,35,'etc','L2Teleporter',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31870,31870,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,35,'etc','L2Teleporter',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31871,31871,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,35,'etc','L2Teleporter',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31872,31872,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,35,'etc','L2Teleporter',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31873,31873,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,35,'etc','L2Teleporter',40,1220,446,7.11,1.84,40,43,30,21,20,10,0,0,192,169,89,137,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31874,31874,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,45,'etc','L2Teleporter',40,1870,677,8.69,2.14,40,43,30,21,20,10,0,0,377,238,188,193,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31875,31875,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,45,'etc','L2Teleporter',40,1870,677,8.69,2.14,40,43,30,21,20,10,0,0,377,238,188,193,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31876,31876,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,45,'etc','L2Teleporter',40,1870,677,8.69,2.14,40,43,30,21,20,10,0,0,377,238,188,193,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31877,31877,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,45,'etc','L2Teleporter',40,1870,677,8.69,2.14,40,43,30,21,20,10,0,0,377,238,188,193,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31878,31878,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,45,'etc','L2Teleporter',40,1870,677,8.69,2.14,40,43,30,21,20,10,0,0,377,238,188,193,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31879,31879,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,45,'etc','L2Teleporter',40,1870,677,8.69,2.14,40,43,30,21,20,10,0,0,377,238,188,193,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31880,31880,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,45,'etc','L2Teleporter',40,1870,677,8.69,2.14,40,43,30,21,20,10,0,0,377,238,188,193,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31881,31881,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,45,'etc','L2Teleporter',40,1870,677,8.69,2.14,40,43,30,21,20,10,0,0,377,238,188,193,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31882,31882,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,45,'etc','L2Teleporter',40,1870,677,8.69,2.14,40,43,30,21,20,10,0,0,377,238,188,193,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31883,31883,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,55,'etc','L2Teleporter',40,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,670,322,360,261,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31884,31884,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,55,'etc','L2Teleporter',40,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,670,322,360,261,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31885,31885,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,55,'etc','L2Teleporter',40,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,670,322,360,261,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31886,31886,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,55,'etc','L2Teleporter',40,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,670,322,360,261,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31887,31887,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,55,'etc','L2Teleporter',40,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,670,322,360,261,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31888,31888,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,55,'etc','L2Teleporter',40,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,670,322,360,261,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31889,31889,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,55,'etc','L2Teleporter',40,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,670,322,360,261,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31890,31890,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,55,'etc','L2Teleporter',40,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,670,322,360,261,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31891,31891,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,55,'etc','L2Teleporter',40,2643,987,10.27,2.45,40,43,30,21,20,10,0,0,670,322,360,261,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31892,31892,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,65,'etc','L2Teleporter',40,3465,1319,11.85,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31893,31893,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,65,'etc','L2Teleporter',40,3465,1319,11.85,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31894,31894,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,65,'etc','L2Teleporter',40,3465,1319,11.85,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31895,31895,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,65,'etc','L2Teleporter',40,3465,1319,11.85,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31896,31896,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,65,'etc','L2Teleporter',40,3465,1319,11.85,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31897,31897,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,65,'etc','L2Teleporter',40,3465,1319,11.85,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31898,31898,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,65,'etc','L2Teleporter',40,3465,1319,11.85,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31899,31899,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,65,'etc','L2Teleporter',40,3465,1319,11.85,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31900,31900,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,65,'etc','L2Teleporter',40,3465,1319,11.85,2.78,40,43,30,21,20,10,0,0,1077,418,619,340,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31901,31901,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,75,'etc','L2Teleporter',40,4229,1673,13.43,3.09,40,43,30,21,20,10,0,0,1563,523,957,425,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31902,31902,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,75,'etc','L2Teleporter',40,4229,1673,13.43,3.09,40,43,30,21,20,10,0,0,1563,523,957,425,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31903,31903,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,75,'etc','L2Teleporter',40,4229,1673,13.43,3.09,40,43,30,21,20,10,0,0,1563,523,957,425,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31904,31904,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,75,'etc','L2Teleporter',40,4229,1673,13.43,3.09,40,43,30,21,20,10,0,0,1563,523,957,425,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31905,31905,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,75,'etc','L2Teleporter',40,4229,1673,13.43,3.09,40,43,30,21,20,10,0,0,1563,523,957,425,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31906,31906,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,75,'etc','L2Teleporter',40,4229,1673,13.43,3.09,40,43,30,21,20,10,0,0,1563,523,957,425,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31907,31907,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,75,'etc','L2Teleporter',40,4229,1673,13.43,3.09,40,43,30,21,20,10,0,0,1563,523,957,425,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31908,31908,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,75,'etc','L2Teleporter',40,4229,1673,13.43,3.09,40,43,30,21,20,10,0,0,1563,523,957,425,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31909,31909,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,75,'etc','L2Teleporter',40,4229,1673,13.43,3.09,40,43,30,21,20,10,0,0,1563,523,957,425,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31910,31910,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,85,'etc','L2Teleporter',40,4813,2049,13.43,3.09,40,43,30,21,20,10,0,0,2052,629,1333,511,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31911,31911,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,85,'etc','L2Teleporter',40,4813,2049,13.43,3.09,40,43,30,21,20,10,0,0,2052,629,1333,511,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31912,31912,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,85,'etc','L2Teleporter',40,4813,2049,13.43,3.09,40,43,30,21,20,10,0,0,2052,629,1333,511,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31913,31913,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,85,'etc','L2Teleporter',40,4813,2049,13.43,3.09,40,43,30,21,20,10,0,0,2052,629,1333,511,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31914,31914,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,85,'etc','L2Teleporter',40,4813,2049,13.43,3.09,40,43,30,21,20,10,0,0,2052,629,1333,511,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31915,31915,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,85,'etc','L2Teleporter',40,4813,2049,13.43,3.09,40,43,30,21,20,10,0,0,2052,629,1333,511,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31916,31916,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,85,'etc','L2Teleporter',40,4813,2049,13.43,3.09,40,43,30,21,20,10,0,0,2052,629,1333,511,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31917,31917,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,85,'etc','L2Teleporter',40,4813,2049,13.43,3.09,40,43,30,21,20,10,0,0,2052,629,1333,511,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31918,31918,'Guardian of Border',0,'',0,'NPC.teleport_npc_sm',7,15,85,'etc','L2Teleporter',40,4813,2049,13.43,3.09,40,43,30,21,20,10,0,0,2052,629,1333,511,278,0,333,0,0,0,55,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31919,31919,'Ghost Chamberlain of Elmoreden',0,'',0,'NPC.a_tombkeeperA',8,23,70,'female','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31920,31920,'Ghost Chamberlain of Elmoreden',0,'',0,'NPC.a_tombkeeperA',8,23,70,'female','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(31921,31921,'Conquerors\' Sepulcher Manager',0,'',0,'NPC.grave_keeper',8,21,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31922,31922,'Emperors\' Sepulcher Manager',0,'',0,'NPC.grave_keeper',8,21,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31923,31923,'Great Sages\' Sepulcher Manager',0,'',0,'NPC.grave_keeper',8,21,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31924,31924,'Judges\' Sepulcher Manager',0,'',0,'NPC.grave_keeper',8,21,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31925,31925,'Baron\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31926,31926,'Viscount\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31927,31927,'Count\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31928,31928,'Marquis\' Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31929,31929,'Duke\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31930,31930,'Baron\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31931,31931,'Viscount\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31932,31932,'Count\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31933,31933,'Marquis\' Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31934,31934,'Duke\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31935,31935,'Baron\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31936,31936,'Viscount\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31937,31937,'Count\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31938,31938,'Marquis\' Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31939,31939,'Duke\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31940,31940,'Baron\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31941,31941,'Viscount\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31942,31942,'Count\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31943,31943,'Marquis\' Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31944,31944,'Duke\'s Hall Gatekeeper',0,'',0,'NPC.rift_keeper_25_sm',9.5,29,70,'male','L2SepulcherNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,0,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31945,31945,'Auzendorff',0,'Trader',0,'NPC.e_traderB_MDwarf',8,17.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31946,31946,'Hombre',0,'Trader',0,'NPC.a_traderD_Mhuman',8,21.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31947,31947,'Owaki',0,'Trader',0,'NPC.e_trader_MOrc',8,23.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31948,31948,'Adrian',0,'Trader',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31949,31949,'Rouge',0,'Trader',0,'NPC.a_traderC_Fhuman',8,22.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31950,31950,'Mailland',0,'Trader',0,'NPC.e_traderB_FDwarf',7,18,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31951,31951,'Jose',0,'Trader',0,'NPC.a_traderD_Fhuman',8,25.3,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31952,31952,'Pele',0,'Trader',0,'NPC.a_common_peopleC_Fhuman',8,22.5,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31953,31953,'Rankar',0,'Symbol Maker',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2SymbolMaker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(31954,31954,'Saroyan',0,'Pet Manager',0,'NPC.a_traderD_Mhuman',8,21.5,70,'male','L2PetManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31955,31955,'Ruby',0,'',0,'Monster2.baby_tiger',11,15.7,70,'male','L2TownPet',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,28,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31956,31956,'Rydel',0,'Warehouse Keeper',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31957,31957,'Cherbal',0,'Warehouse Keeper',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31958,31958,'Yasheni',0,'Warehouse Chief',0,'NPC.e_warehouse_keeper_FDwarf',7,18,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31959,31959,'Axel',0,'Warehouse Freightman',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2Warehouse',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31960,31960,'Byron',0,'Blacksmith',0,'NPC.e_smith_Fdwarf',8,17.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,87,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31961,31961,'Newyear',0,'Head Blacksmith',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31962,31962,'Altair',0,'Blueprint Seller',0,'NPC.a_traderA_MDwarf',8,17,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31963,31963,'Hitchi',0,'Mineral Trader',0,'NPC.e_traderB_master_MDwarf',8,17,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31964,31964,'Bilia',0,'Gatekeeper',0,'NPC.e_teleporter_Fhuman',8,25,70,'male','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31965,31965,'Hector',0,'Grand Master',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,76,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31966,31966,'Karamon',0,'Master',0,'NPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,125,20,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31967,31967,'Euline',0,'Master',0,'NPC.a_fighterguild_teacher_FElf',8,22.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,130,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31968,31968,'Baryl',0,'High Priest',0,'LineageNPC.a_temple_master_Mhuman',8,22.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,193,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31969,31969,'Evelyn',0,'Priest',0,'NPC.a_mageguild_master_FHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(31970,31970,'Sinis',0,'Priest',0,'NPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(31971,31971,'Otillo',0,'Magister',0,'NPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(31972,31972,'Atraxia',0,'Magister',0,'NPC.a_mageguild_teacher_FElf',7,21.2,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(31973,31973,'Raheel',0,'Spellbook Seller',0,'NPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31974,31974,'Drizzit',0,'Grand Master',0,'NPC.a_guild_master_MDarkElf',8,23,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,143,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31975,31975,'Aerina',0,'Master',0,'NPC.a_fighterguild_teacher_MDarkElf',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,143,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31976,31976,'Talia',0,'Magister',0,'NPC.a_mageguild_teacher_FDarkElf',8,23,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,204,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(31977,31977,'Shaka',0,'High Prefect',0,'NPC.e_patriarch_MOrc',8,26,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31978,31978,'Tazeer',0,'Prefect',0,'NPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,161,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31979,31979,'Moira',0,'Seer',0,'NPC.e_clergyman_FOrc',7,28,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,202,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31980,31980,'Rumba',0,'Amulet Seller',0,'NPC.e_clergyman_FOrc',7,28,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31981,31981,'Vishotsky',0,'Captain',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,133,632,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31982,31982,'Glen',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,126,628,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31983,31983,'Friggar',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,94,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31984,31984,'Sherring',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,126,628,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31985,31985,'Kosmos',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,94,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31986,31986,'Erstack',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,126,628,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31987,31987,'Gotter',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,94,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31988,31988,'Singa',0,'Guard',0,'NPC.e_elmore_guard_Mhuman',8,23.5,80,'male','L2Guard',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,126,628,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31989,31989,'Batidae',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',8,23,70,'male','L2Fisherman',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,7560,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31990,31990,'Siger',0,'Blacksmith',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31991,31991,'Adventure Guildsman',0,'',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31992,31992,'Adventure Guildsman',0,'',0,'NPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,129,102,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31993,31993,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,99,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31994,31994,'Adventure Guildsman',0,'',0,'NPC.e_common_people_MOrc',8,26,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31995,31995,'Adventure Guildsman',0,'',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,156,20,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31996,31996,'Javier',0,'Grand Magister',0,'NPC.a_mageguild_master_MHuman',8,24,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(31997,31997,'Priest of Dawn',0,'',0,'NPC.priest_of_dawn',8,30.5,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,5802,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31998,31998,'Dusk Priestess',0,'',0,'NPC.priest_of_dusk',8,22,70,'male','L2SignsPriest',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,5801,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(31999,31999,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false');

INSERT INTO `npc` VALUES
(32000,32000,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32001,32001,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32002,32002,'Preacher of Doom',0,'',0,'Monster.dark_horror',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,100,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32003,32003,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32004,32004,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32005,32005,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32006,32006,'Orator of Revelations',0,'',0,'Monster.liviona',15,28,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,80,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32007,32007,'Galba',0,'Fishing Guild Member',0,'NPC.a_fisherA_Mhuman',9.5,29,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32008,32008,'Gremory',0,'Priest',0,'NPC.a_temple_master_Mhuman',9.5,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32009,32009,'Devorin',0,'Nurse',0,'NPC.e_common_people_FDwarf',7,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32010,32010,'Flauron',0,'Priest',0,'NPC.a_temple_master_Mhuman',8,22.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32011,32011,'Imperial Tomb Guide',0,'',0,'NPC.a_tombkeeperA',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32012,32012,'Tantan',0,'Retired Adventurer',0,'NPC2.a_old_people_Mhuman',9.5,29,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32013,32013,'Suki',0,'Wild Maiden',0,'NPC.a_common_peopleB_FHuman',9.5,29,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32014,32014,'Ivan',0,'Runaway Youth',0,'NPC.a_traderD_Mhuman',8,25.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32015,32015,'Scout\'s Corpse',0,'',0,'NPC.e_guard_MDwarf_death',9.5,29,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'corpse','false'),
(32016,32016,'Torrant',0,'Beacon Tower Manager',0,'NPC.e_guard_MOrc',8,27,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,95,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32017,32017,'Karuda',0,'',0,'NPC.e_guard_MOrc',8,27,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,93,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32018,32018,'Misa',0,'',0,'NPC.a_maidB_FHuman',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32019,32019,'Suspicious Man',0,'',0,'NPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32020,32020,'Rafforty',0,'',0,'NPC.a_common_peopleC_Mhuman',10,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32021,32021,'Ice Sculpture',0,'',0,'NpcEV.ice_sculpture_c',16,20.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32022,32022,'Kierre',0,'',0,'NpcEV.ice_sculpture_b',12,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32023,32023,'Ice Shelf',0,'',0,'NpcEV.ice_shelf',35,14.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32024,32024,'Mulia',0,'Clan Trader',0,'NPC.e_smith_master_MDwarf',8,16.5,70,'male','L2ClanTrader',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32025,32025,'Ilia',0,'Clan Trader',0,'NPC.e_smith_Fdwarf',8,17.5,70,'male','L2ClanTrader',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32026,32026,'Hestui Guard',0,'',0,'NPC.e_fighterguild_teacher_MOrc',9.5,29,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32027,32027,'Holy Brazier',0,'',0,'NpcEV.grail_brazier_b',9.5,29,78,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32028,32028,'Holy Grail',0,'',0,'NpcEV.holy_grail',9.5,7,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32029,32029,'Freya\'s Steward',0,'',0,'NPC.a_common_people_MElf',6,21,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32030,32030,'Garden Sculpture',0,'',0,'NpcEV.ice_sculpture_c',16,20.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32031,32031,'Ice Fairy Sculpture',0,'',0,'NpcEV.ice_sculpture_b',12,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32032,32032,'Strange Machine',0,'',0,'NpcEV.strange_mechanical_instrument',16,15.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32033,32033,'Doctor Chaos',0,'',0,'NPC2.doctor_chaos',9,15.6,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,60,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32034,32034,'Temple Gatekeeper',0,'',0,'NpcEV.heretical_sanctuary_gatekeeper_a',80,181.5,70,'male','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32035,32035,'Temple Gatekeeper',0,'',0,'NpcEV.heretical_sanctuary_openner_a',28,70,70,'male','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32036,32036,'Temple Gatekeeper',0,'',0,'NpcEV.heretical_sanctuary_gatekeeper_b',80,203.5,70,'male','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32037,32037,'Temple Gatekeeper',0,'',0,'NpcEV.heretical_sanctuary_openner_b',28,70,70,'male','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32038,32038,'Ritual Offering',0,'',0,'NPC.a_traderA_Mhuman_deco',9.5,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32039,32039,'Triol\'s Mirror',0,'',0,'NpcEV.heretical_devil_mirror',28,70,70,'male','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32040,32040,'Triol\'s Mirror',0,'',0,'NpcEV.heretical_devil_mirror',28,70,70,'male','L2Teleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32041,32041,'Yumi',0,'Collector',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32042,32042,'Weathermaster',0,'',0,'NpcEV.pavel_weather_controller',14.5,18.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32043,32043,'Weathermaster',0,'',0,'NpcEV.pavel_weather_controller',14.5,18.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32044,32044,'Weathermaster',0,'',0,'Monster3.Evilate_weather',16,18.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,10,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32045,32045,'Doctor Chaos\' Secret Bookshelf',0,'',0,'Monster3.Evilate_doc_chaos',25,33.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,10,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32046,32046,'Suspicious-Looking Pile of Stones',0,'',0,'Monster.susceptor_env',20,35,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,27,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32047,32047,'Wendy',0,'',0,'NPC.e_teleporter_FDwarf',8,21.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32048,32048,'Event Gatekeeper',0,'',0,'Monster.cutie_cat',8,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,48,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32049,32049,'Rooney',0,'Blacksmith of Wind',0,'NPC.a_smith_MDwarf',10,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32050,32050,'Parts Box',0,'',0,'NPC.box',18,14,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32051,32051,'Altar Gatekeeper',0,'',0,'NpcEV.trioll_altar',10,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32052,32052,'Obi',0,'Railroad Worker',0,'NPC.e_mine_teacher_MDwarf',8,18,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32053,32053,'Abey',0,'Railroad Worker',0,'NPC.e_mine_teacher_FDwarf',8,18.5,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32054,32054,'Ghost of a Railroad Engineer',0,'',0,'Monster.dwarf_ghost',10,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32055,32055,'Ghost of an Ancient Railroad Engineer',0,'',0,'Monster.dwarf_ghost',10,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32056,32056,'Aren',0,'Khavatari',0,'NPC.e_mageguild_teacher_FOrc',10,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32057,32057,'Totem Spirit of Gandi',0,'',0,'Monster.onyx_beast',14,14.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,30,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32058,32058,'Triol\'s Revelation',0,'',0,'NpcEV.trioll_altar',10,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32059,32059,'Triol\'s Revelation',0,'',0,'NpcEV.trioll_altar',10,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32060,32060,'Triol\'s Revelation',0,'',0,'NpcEV.trioll_altar',10,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32061,32061,'Triol\'s Revelation',0,'',0,'NpcEV.trioll_altar',10,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32062,32062,'Triol\'s Revelation',0,'',0,'NpcEV.trioll_altar',10,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32063,32063,'Triol\'s Revelation',0,'',0,'NpcEV.trioll_altar',10,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32064,32064,'Triol\'s Revelation',0,'',0,'NpcEV.trioll_altar',10,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32065,32065,'Triol\'s Revelation',0,'',0,'NpcEV.trioll_altar',10,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32066,32066,'Triol\'s Revelation',0,'',0,'NpcEV.trioll_altar',10,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32067,32067,'Triol\'s Revelation',0,'',0,'NpcEV.trioll_altar',10,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32068,32068,'Triol\'s Revelation',0,'',0,'NpcEV.trioll_altar',10,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32069,32069,'Gutenhagen',0,'Collector',0,'NPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32070,32070,'Adolph',0,'',0,'NPC2.a_child_people_Mhuman',5,12.3,70,'male','L2NpcWalker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,26,45,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32071,32071,'Linda',0,'',0,'NPC2.a_child_people_Fhuman',5,12.3,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,24,50,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32072,32072,'Edwin',0,'',0,'NPC2.a_old_people_Mhuman',9,17.3,70,'male','L2NpcWalker',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,6,32,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32073,32073,'Old Female Drifter',0,'',0,'NPC2.a_old_people_Fhuman',10,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32074,32074,'Gludio Territory Manager',0,'Guild President',0,'NPC.a_mageguild_teacher_MHuman',10,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32075,32075,'Sandy the Cat',0,'Tournament Helper',0,'Monster2.queen_of_cat',8,15,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,52,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32076,32076,'Box',0,'',0,'NPC.box',10,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32077,32077,'Ice Sculpture',0,'',0,'NpcEV.ice_sculpture_c',16,20.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32078,32078,'Ice Sculpture',0,'',0,'NpcEV.ice_sculpture_c',16,20.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32079,32079,'Ice Sculpture',0,'',0,'NpcEV.ice_sculpture_c',16,20.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32082,32082,'Dion Territory Manager',0,'Adventure Guildsman',0,'NPC.a_mageguild_teacher_MHuman',10,15,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32083,32083,'Giran Territory Manager',0,'Adventure Guildsman',0,'NPC.a_mageguild_teacher_MHuman',10,15,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32084,32084,'Oren Territory Manager',0,'Adventure Guildsman',0,'NPC.a_mageguild_teacher_MHuman',10,15,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32085,32085,'Aden Territory Manager',0,'Adventure Guildsman',0,'NPC.a_mageguild_teacher_MHuman',10,15,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32086,32086,'Innadril Territory Manager',0,'Adventure Guildsman',0,'NPC.a_mageguild_teacher_MHuman',10,15,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32087,32087,'Schuttgart Territory Manager',0,'Adventure Guildsman',0,'NPC.a_mageguild_teacher_MHuman',10,15,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32088,32088,'Goddard Territory Manager',0,'Adventure Guildsman',0,'NPC.a_mageguild_teacher_MHuman',10,15,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32089,32089,'Rune Territory Manager',0,'Adventure Guildsman',0,'NPC.a_mageguild_teacher_MHuman',10,15,70,'male','L2Adventurer',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32090,32090,'Dead Leopard\'s Carcass',0,'',0,'Monster.onyx_beast_ns',10,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32091,32091,'Omega\'s Cat',0,'Event Manager',0,'Monster.cutie_cat',10,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32092,32092,'Alder',0,'Warehouse Chief',0,'NPC.e_warehouse_master_MDwarf',8,17.5,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32093,32093,'Bolin',0,'Head Blacksmith',0,'NPC.e_common_people_MDwarf',8,17,70,'male','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,89,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32094,32094,'Schule',0,'Grand Master',0,'NPC.a_fighterguild_master_FHuman',8,21.5,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,76,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32095,32095,'Marie',0,'High Priest',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,193,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32096,32096,'Helminter',0,'Grand Master',0,'NPC.a_fighterguild_teacher_FDarkElf',8,23,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,143,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32097,32097,'Finker',0,'High Prefect',0,'NPC.e_trader_FOrc',8,24,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32098,32098,'Celes',0,'Grand Magister',0,'NPC.a_mageguild_master_FHuman',8,23,70,'female','L2VillageMaster',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32099,32099,'Tony the Cat',0,'Event Manager',0,'Monster.cutie_cat',8,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32100,32100,'Tony the Cat',0,'Event Manager',0,'Monster.cutie_cat',8,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32101,32101,'Tony the Cat',0,'Event Manager',0,'Monster.cutie_cat',8,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32102,32102,'Tony the Cat',0,'Event Manager',0,'Monster.cutie_cat',8,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32103,32103,'Telling the Cat',0,'Event Manager',0,'Monster.cutie_cat',8,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32104,32104,'Vervato',0,'',0,'Monster3.Crokian_Sorcerer',25,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,60,100,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32105,32105,'Dinn',0,'',0,'NPC.a_traderC_Mhuman',8,23,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,100,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32106,32106,'Singsing',0,'',0,'NPC.a_wharfinger_MHuman',8,23,70,'male','L2Merchant',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,100,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32107,32107,'Teleportation Cubic',0,'',0,'NPC.teleport_npc',40,80,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32108,32108,'',0,'',0,'NPC2.rhamphorhynchus_npc',1,30,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,60,160,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32109,32109,'Shilen\'s Stone Statue',0,'',0,'NpcEV.primeval_raid_teleporter',24,72.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32110,32110,'',0,'',0,'NPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32111,32111,'Orahochin',0,'',0,'Monster3.Crokian_Sorcerer',25,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32112,32112,'Gariachin',0,'',0,'Monster3.Crokian_Sorcerer',25,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32113,32113,'Marquez',0,'',0,'NPC.a_wharfinger_MHuman',8,23,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,100,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32114,32114,'Mushika',0,'',0,'Monster3.Crokian_Elder',25,43,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32115,32115,'Asamah',0,'',0,'Monster3.Crokian_Vice_Elder',45,41.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32116,32116,'Kirikachin',0,'',0,'Monster3.Crokian_Vice_Elder',45,41.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32117,32117,'Karakawei',0,'',0,'Monster3.Crokian_Sorcerer',25,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32118,32118,'Mantarasa Egg',0,'',0,'NpcEV.dinosaur_nest',43,33.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,100,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32119,32119,'Ulu Kaimu',0,'',0,'Monster3.Evilate_doc_chaos',25,33.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32120,32120,'Balu Kaimu',0,'',0,'Monster3.Evilate_doc_chaos',25,33.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32121,32121,'Chuta Kaimu',0,'',0,'Monster3.Evilate_doc_chaos',25,33.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32122,32122,'Warrior\'s Grave',0,'',0,'Monster3.Evilate_weather',16,18.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32123,32123,'Valakas',0,'',0,'Monster3.valakas_f',190,335,70,'male','L2GrandBoss',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32124,32124,'Great Soul',0,'',0,'NPC2.Soul_Collector_Npc',14,25,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32125,32125,'Great Soul',0,'',0,'NPC2.Soul_Collector_Npc',14,25,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32126,32126,'Priest Guard',0,'',0,'NPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32127,32127,'Priest Guard',0,'',0,'NPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32128,32128,'Guardian Wizard of the Cloth',0,'',0,'NPC.a_traderB_FHuman',8,25,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32129,32129,'',0,'',0,'NPC2.valakas_f_dummy',5,10,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32130,32130,'Strategist Lucien',0,'Event Manager',0,'Monster3.king_of_cat',6,16.01,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32131,32131,'Magic Laboratory Worker',0,'Event Manager',0,'NPC.e_smith_Fdwarf',8,17.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32132,32132,'Alchemist\'s Servitor',0,'',0,'LineageNPC.teleport_npc_sm',13,13,70,'etc','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(32133,32133,'Perwan',0,'Vice Hierarch',0,'LineageNPC2.K_M1_elder',17,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,20,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32134,32134,'Newbie Helper',0,'',0,'LineageNPC2.K_F1_elder',13,22.25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,10,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32135,32135,'Newbie Guide',0,'',0,'LineageNPC2.K_M1_elder',17,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,20,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32136,32136,'Basil',0,'Marksman',0,'LineageNPC2.K_M1_guard',13,25,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,9645,0,NULL,39,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32137,32137,'Sucrete',0,'Marksman',0,'LineageNPC2.K_M1_guard',13,25,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,9645,0,NULL,39,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32138,32138,'Kekropus',0,'Hierarch',0,'LineageNPC2.K_kekrops',18,28,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,20,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32139,32139,'Casca',0,'Vice Hierarch',0,'LineageNPC2.K_M1_elder',17,25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,20,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32140,32140,'Zenya',0,'Vice Hierarch',0,'LineageNPC2.K_F1_elder',13,22.25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,10,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32141,32141,'Nerga',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32142,32142,'Tenor',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32143,32143,'Belkis',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32144,32144,'Xonia',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32145,32145,'Maynard',0,'Grand Master',0,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32146,32146,'Valpor',0,'Grand Master',0,'LineageNPC2.K_M1_grand',13,25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9645,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32147,32147,'Rivian',0,'Grand Master',0,'LineageNPC.a_mageguild_teacher_FElf',7,21.2,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32148,32148,'Cindet',0,'Master',0,'LineageNPC.a_fighterguild_teacher_MElf',7,22.5,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32149,32149,'Ennear',0,'Magister',0,'LineageNPC.a_fighterguild_teacher_FElf',8,22.5,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32150,32150,'Took',0,'High Prefect',0,'LineageNPC.e_patriarch_MOrc',8,26,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32151,32151,'Herz',0,'Prefect',0,'LineageNPC.e_fighterguild_teacher_MOrc',8,28.5,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32152,32152,'Henri',0,'Seer',0,'LineageNPC.e_clergyman_FOrc',7,28,70,'female','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32153,32153,'Prana',0,'High Priest',0,'LineageNPC.a_temple_master_Mhuman',8,22.5,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32154,32154,'Aldenia',0,'Grand Master',0,'LineageNPC.a_fighterguild_master_FHuman',8,21.5,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32155,32155,'Nabot',0,'Priest',0,'LineageNPC.a_temple_teacher_Mhuman',8,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32156,32156,'Talbot',0,'Master',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32157,32157,'Moka',0,'Head Blacksmith',0,'LineageNPC.e_smith_master_MDwarf',8,16.5,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32158,32158,'Fisler',0,'Warehouse Chief',0,'LineageNPC.e_collector_master_MDwarf',8,18.4,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32159,32159,'Kincaid',0,'Blacksmith',0,'LineageNPC.a_smith_MDwarf',7,16.5,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32160,32160,'Devon',0,'Grand Magister',0,'LineageNPC.a_mageguild_teacher_MDarkElf',8,22,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32161,32161,'Black',0,'Master',0,'LineageNPC.a_fighterguild_teacher_MDarkElf',8,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32162,32162,'Martika',0,'Magister',0,'LineageNPC.a_clergyman_FDarkElf',8,25,70,'female','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32163,32163,'Ragara',0,'Gatekeeper',0,'LineageNPC2.K_F1_teleporter',13,23.5,70,'male','L2Teleporter',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32164,32164,'Erinu',0,'Trader',0,'LineageNPC2.K_M1_normal',13,25,70,'male','L2Merchant',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32165,32165,'Zakone',0,'Trader',0,'LineageNPC2.K_M1_normal',13,25,70,'male','L2Merchant',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32166,32166,'Trevor',0,'Trader',0,'LineageNPC2.K_M1_normal',13,25,70,'male','L2Merchant',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32167,32167,'Nika',0,'Trader',0,'LineageNPC2.K_F1_normal',11,22.5,70,'female','L2Merchant',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,20,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32168,32168,'Zenith',0,'Trader',0,'LineageNPC2.K_F1_normal',11,22.5,70,'female','L2Merchant',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,20,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32169,32169,'Mila',0,'Trader',0,'LineageNPC2.K_F1_normal',11,22.5,70,'female','L2Merchant',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,20,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32170,32170,'Benis',0,'Warehouse Keeper',0,'LineageNPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2Warehouse',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32171,32171,'Hoffa',0,'Warehouse Chief',0,'LineageNPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32172,32172,'Saylem',0,'Warehouse Freightman',0,'LineageNPC.e_warehouse_keeper_FDwarf',7,18,70,'male','L2Warehouse',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32173,32173,'Marcela',0,'Zerstorer',0,'LineageNPC2.K_F1_guard_Master',13,22.5,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,48,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32174,32174,'Maddy',0,'Marksman',0,'LineageNPC2.K_F1_guard',13,22.5,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32175,32175,'Bixon',0,'Marksman',0,'LineageNPC2.K_M1_guard',13,25,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9645,0,NULL,39,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32176,32176,'Ambra',0,'Marksman',0,'LineageNPC2.K_F1_guard',13,22.5,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32177,32177,'Syzar',0,'Marksman',0,'LineageNPC2.K_M1_guard',13,25,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9645,0,NULL,39,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32178,32178,'Carver',0,'Marksman',0,'LineageNPC2.K_F1_guard',13,22.5,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32179,32179,'Putin',0,'Marksman',0,'LineageNPC2.K_M1_guard',13,25,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9645,0,NULL,39,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32180,32180,'Kato',0,'Marksman',0,'LineageNPC2.K_M1_guard',13,25,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9645,0,NULL,39,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32181,32181,'Mellon',0,'Gatekeeper',0,'LineageNPC2.K_F1_teleporter',13,23.5,70,'male','L2Teleporter',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32182,32182,'Coplan',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32183,32183,'Yunha',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32184,32184,'Yinir',0,'Gatekeeper',0,'LineageNPC2.K_F1_teleporter',13,23.5,70,'male','L2Teleporter',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32185,32185,'Peregrine',0,'Marksman',0,'LineageNPC2.K_M1_guard',13,25,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,9645,0,NULL,39,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32186,32186,'Yung',0,'Gatekeeper',0,'LineageNPC2.K_F1_teleporter',13,23.5,70,'male','L2Teleporter',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32187,32187,'Nadir',0,'Vice Hierarch',0,'LineageNPC2.K_F1_elder',13,22.25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,10,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32188,32188,'Morelin',0,'Marksman',0,'LineageNPC2.K_F1_guard',13,22.5,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,9644,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32189,32189,'Largo',0,'Gatekeeper',0,'LineageNPC2.K_F1_teleporter',13,23.5,70,'male','L2Teleporter',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32190,32190,'Mao',0,'Vice Hierarch',0,'LineageNPC2.K_M1_elder',17,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,20,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32191,32191,'Hanarin',0,'Grand Master',0,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32192,32192,'Falken',0,'Marksman',0,'LineageNPC2.K_M1_guard',13,25,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,9645,0,NULL,39,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32193,32193,'Yeniche',0,'Grand Master',0,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32194,32194,'Shubain',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32195,32195,'Sione',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32196,32196,'Gershwin',0,'Grand Master',0,'LineageNPC2.K_M1_grand',13,25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32197,32197,'Gwain',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32198,32198,'Gobie',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32199,32199,'Holst',0,'Grand Master',0,'LineageNPC2.K_M1_grand',13,25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9645,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32200,32200,'Entien',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32201,32201,'Rindy',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32202,32202,'Khadava',0,'Grand Master',0,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32203,32203,'Ramen',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32204,32204,'Fiske',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32205,32205,'Aetonic',0,'Grand Master',0,'LineageNPC2.K_M1_grand',13,25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32206,32206,'Pieche',0,'Grand Master',0,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32207,32207,'Orkurus',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32208,32208,'Rasha',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32209,32209,'Ferdinand',0,'Grand Master',0,'LineageNPC2.K_M1_grand',13,25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9645,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32210,32210,'Eddy',0,'Grand Master',0,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32211,32211,'Jueno',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32212,32212,'Rishtar',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32213,32213,'Vitus',0,'Grand Master',0,'LineageNPC2.K_M1_grand',13,25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32214,32214,'Meldina',0,'Grand Master',0,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32215,32215,'Tenain',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32216,32216,'Noir',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32217,32217,'Barta',0,'Grand Master',0,'LineageNPC2.K_M1_grand',13,25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9645,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32218,32218,'Miya',0,'Grand Master',0,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32219,32219,'Fabnor',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32220,32220,'Selsia',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32221,32221,'Brome',0,'Grand Master',0,'LineageNPC2.K_M1_grand',13,25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32222,32222,'Liane',0,'Grand Master',0,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32223,32223,'Duroga',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32224,32224,'Auren',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32225,32225,'Taine',0,'Grand Master',0,'LineageNPC2.K_M1_grand',13,25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9645,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32226,32226,'Raula',0,'Grand Master',0,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32227,32227,'Digler',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32228,32228,'Medea',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32229,32229,'Hagel',0,'Grand Master',0,'LineageNPC2.K_M1_grand',13,25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32230,32230,'Ceci',0,'Grand Master',0,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32231,32231,'Luben',0,'Master',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32232,32232,'Minuet',0,'Master',0,'LineageNPC2.K_F1_master',12,23,70,'male','L2Trainer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,24,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32233,32233,'Zoldart',0,'Grand Master',0,'LineageNPC2.K_M1_grand',13,25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9645,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32234,32234,'Nizer',0,'Grand Master',0,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2VillageMaster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32235,32235,'Katenar',0,'',0,'LineageNPC2.k_hero_rapire',10,24.62,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32236,32236,'Harkilgamed',0,'',0,'LineageNPC2.k_hero_bigsword',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32237,32237,'Rodenpicula',0,'',0,'LineageNPC2.k_hero_bowgun',9,23,70,'female','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,187,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(32238,32238,'Rock',0,'',0,'LineageNpcEV.stone_q0236_p',60,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32239,32239,'Mother Nornil',0,'',0,'LineageNpcEV.mother_nornil',50,246,70,'female','L2Teleporter',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32240,32240,'Katenar',0,'',0,'LineageNPC2.k_hero_rapire',10,24.62,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32241,32241,'Berka',0,'',0,'LineageNPC2.K_M1_master',15,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32242,32242,'Katenar',0,'',0,'LineageNPC2.k_hero_rapire',10,24.62,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9646,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32243,32243,'Cargo Box',0,'',0,'LineageNPC.box',18,14,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32244,32244,'Suspicious Man',0,'',0,'LineageNPC2.K_M1_normal',13,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32245,32245,'Matras',0,'',0,'LineageNPC.e_mine_teacher_MDwarf',8,18,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32246,32246,'Rua',0,'',0,'LineageNPC2.a_child_people_Fhuman',5,12.3,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32247,32247,'Serian',0,'',0,'LineageNPC.a_common_peopleA_FHuman',8,21.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32248,32248,'First Reaction',0,'',0,'LineageNPC.a_common_peopleB_MHuman',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32249,32249,'Chief Jarron',0,'',0,'LineageNPC.a_wharfinger_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32250,32250,'Ario',0,'',0,'LineageNPC.a_common_peopleA_MHuman',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32251,32251,'Saria',0,'',0,'LineageNPC.a_common_peopleA_FHuman',8,21.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32252,32252,'Caravaner Gort',0,'',0,'LineageNPC2.K_M1_normal',13,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32253,32253,'Harkilgamed',0,'',0,'LineageNPC2.k_hero_bigsword',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32254,32254,'Harkilgamed',0,'',0,'LineageNPC2.k_hero_bigsword',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32255,32255,'Icon of the Past',0,'',0,'LineageNpcEV.godness_of_the_past',54,245,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32256,32256,'Icon of the Present',0,'',0,'LineageNpcEV.godness_of_the_being',54,245,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32257,32257,'Icon of the Future',0,'',0,'LineageNpcEV.godness_of_the_come',54,245,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32258,32258,'Menacing Machine',0,'',0,'LineageNpcEV.mother_nornil',50,246,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32259,32259,'Vault Door Controller',0,'',0,'LineageNPC.teleport_npc_sm',7,15,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32260,32260,'Gatemaster of the Past',0,'',0,'LineageNPC.teleport_npc_sm',7,15,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32261,32261,'Gatemaster of the Present',0,'',0,'LineageNPC.teleport_npc_sm',7,15,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32262,32262,'Gatemaster of the Future',0,'',0,'LineageNPC.teleport_npc_sm',7,15,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32263,32263,'Rodenpicula',0,'',0,'LineageNPC2.k_hero_bowgun',9,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32264,32264,'Kanis',0,'',0,'LineageNPC.a_patriarch_MElf',8,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32271,32271,'Parme',0,'',0,'LineageNPC.a_teleporter_FElf',8.5,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32272,32272,'Akyaka',0,'',0,'LineageNPC.a_traderA_MDwarf',8,17,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32273,32273,'Oracle Guide',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32274,32274,'Oracle Guide',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32275,32275,'Oracle Guide',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32276,32276,'Oracle Guide',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32277,32277,'Oracle Guide',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32278,32278,'Oracle Guide',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32279,32279,'Oracle Guide',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32280,32280,'Oracle Guide',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32281,32281,'Oracle Guide',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32282,32282,'Yiyen',0,'Archaeologist',0,'LineageNPC.e_teleporter_FDwarf',8,21.3,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32284,32284,'Eva\'s Protector',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32285,32285,'Eva\'s Protector',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32286,32286,'Eva\'s Protector',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32287,32287,'Eva\'s Protector',0,'',0,'LineageNpcEV.teleport_device',26,48.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32288,32288,'Symbol of Faith',0,'',0,'LineageNpcEV.dark_clouds_crystal',23,37,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32289,32289,'Symbol of Adversity',0,'',0,'LineageNpcEV.dark_clouds_crystal',23,37,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32290,32290,'Symbol of Adventure',0,'',0,'LineageNpcEV.dark_clouds_crystal',23,37,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32291,32291,'Symbol of Truth',0,'',0,'LineageNpcEV.truth_lie_crystal',23,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32292,32292,'Galate',0,'',0,'LineageNPC.a_mageguild_teacher_FHuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32293,32293,'Jirrone',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',10,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32294,32294,'Budenka',0,'Harbor Caravaner',0,'LineageMonster4.Caravan',33,58.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,56,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32296,32296,'Seruzia',0,'Spirit of the Old Seer',0,'LineageMonster.human_ghost',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32297,32297,'Falk',0,'',0,'LineageMonster4.Caravan',33,58.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,56,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32298,32298,'Hude',0,'Caravan Merchant',0,'LineageMonster4.Caravan',33,58.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32299,32299,'Quarry Slave',0,'',0,'LineageMonster4.Caravan_Slave',35,47.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,46,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32300,32300,'Bernarde',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',10,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32301,32301,'Kendal',0,'Wandering Ghost',0,'LineageMonster.human_ghost',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32302,32302,'Jerian',0,'',0,'LineageNPC.a_mageguild_teacher_MHuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32303,32303,'Machine',0,'',0,'LineageNpcEV.warp_gate_a',16,15.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32304,32304,'Oasis',0,'',0,'LineageNPC.training_doll_150p',13,40,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32305,32305,'Ranku\'s Scapegoat',0,'',0,'LineageMonster4.Caravan_Slave_a',35,47.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32306,32306,'Native\'s Corpse',0,'',0,'LineageMonster.zombie_corpse',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'corpse','false'),
(32307,32307,'Dolmen',0,'',0,'LineageNpcEV.huge_dolmen',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32308,32308,'Ming',0,'Love Cat',0,'LineageMonster.cutie_cat',8,15,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,48,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32312,32312,'Rat Hole',0,'',0,'LineageNPC.training_doll_150p',13,40,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32313,32313,'Deltuva',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32314,32314,'Warpgate',0,'',0,'LineageNpcEV.warp_gate_a',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32315,32315,'Warpgate',0,'',0,'LineageNpcEV.warp_gate_a',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32316,32316,'Warpgate',0,'',0,'LineageNpcEV.warp_gate_b',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32317,32317,'Warpgate',0,'',0,'LineageNpcEV.warp_gate_c',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32318,32318,'Warpgate',0,'',0,'LineageNpcEV.warp_gate_d',16,31,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32319,32319,'Warpgate',0,'',0,'LineageNpcEV.warp_gate_e',16,31,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32320,32320,'Item Broker',0,'Adventure Guildsman',0,'LineageNPC.a_traderC_Mhuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32321,32321,'Item Broker',0,'Adventure Guildsman',0,'LineageNPC.a_traderC_Mhuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32322,32322,'Item Broker',0,'Adventure Guildsman',0,'LineageNPC.a_traderC_Mhuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32323,32323,'Avant-Garde',0,'Transformation Wizard',0,'LineageNPC.a_traderB_FHuman',8,24.5,70,'male','L2TransformManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32324,32324,'Black Stone Monolith',0,'',0,'LineageNpcEV.dark_clouds_stonehenge',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32325,32325,'Yin',0,'Attribute Master',0,'LineageNPC.a_mageguild_master_FHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32326,32326,'Yang',0,'Attribute Master',0,'LineageNPC.a_mageguild_master_MHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(32327,32327,'Adventurers\' Guide',0,'',0,'LineageNPC.a_sanctuary_teacher_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32328,32328,'Crystalline Golem',0,'',0,'LineageMonster4.Crystal_Golem',40,47,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32330,32330,'Garden Guard',0,'',9644,'LineageNPC2.K_F1_guard',13,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,9644,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32331,32331,'Arcane Nucleus',0,'',0,'LineageNPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32332,32332,'Katenar',0,'',0,'LineageNPC2.k_hero_rapire',10,24.62,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32333,32333,'Katenar',0,'',0,'LineageNPC2.k_hero_rapire',10,24.62,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32334,32334,'Harkilgamed',0,'',0,'LineageNPC2.k_hero_bigsword',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32335,32335,'Marksman',0,'',0,'LineageNPC2.K_F1_guard',13,22.5,76,'male','L2Guard',500,3869,1675,47,6,40,21,30,20,35,10,0,0,2927,402,677,388,247,0,333,9644,0,NULL,60,120,'k_guards',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32336,32336,'Marksman',0,'',0,'LineageNPC2.K_F1_guard',13,22.5,76,'male','L2Guard',500,3869,1675,47,6,40,21,30,20,35,10,0,0,2927,402,677,388,247,0,333,9644,0,NULL,60,120,'k_guards',400,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32337,32337,'Adventure Guildsman',0,'',0,'LineageNPC.a_common_people_MElf',6,21,70,'male','L2Adventurer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,130,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32338,32338,'Adventure Guildsman',0,'',0,'LineageNPC.e_collector_teacher_FDwarf',8,17.5,70,'male','L2Adventurer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32339,32339,'Adventure Guildsman',0,'',0,'LineageNPC.a_fighterguild_teacher_FHuman',9.5,22.4,70,'male','L2Adventurer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,129,102,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32340,32340,'Adventure Guildsman',0,'',0,'LineageNPC.e_common_people_MOrc',8,26,70,'male','L2Adventurer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32342,32342,'Eva\'s Gift Box',0,'',0,'LineageMonster.mimic_even',8.5,8.5,70,'male','L2Monster',40,3862,2444,26.86,3.09,40,43,30,21,20,10,0,0,0,855,0,428,0,0,0,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32343,32343,'Moonlight Tombstone',0,'',0,'LineageNPC.evil_altar',11,45,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32344,32344,'Spooky Tombstone',0,'',0,'LineageNPC.evil_altar',11,45,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32345,32345,'Buron',0,'Tailor',0,'LineageNPC.a_common_peopleC_Mhuman',10,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32346,32346,'Kanaf',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',8,23.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32347,32347,'Shadai',0,'Legendary Blacksmith',0,'LineageNPC.e_smith_master_MDwarf',8,17,1,'male','L2Merchant',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32348,32348,'Burang',0,'Fishing Guild Member',0,'LineageNPC.a_fisherA_Mhuman',8,23,1,'male','L2Fisherman',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,7560,0,NULL,50,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32349,32349,'Rignos',0,'',0,'LineageMonster3.zombie_gateguard',17,30.5,86,'male','L2Npc',40,102527,2444,56.86,3.09,40,43,30,21,20,10,0,0,10773,1120,3250,1234,253,0,253,8217,0,0,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32350,32350,'Sandstorm',0,'',0,'LineageNpc2.sandTourbillon_a',0.01,35,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,220,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32351,32351,'Enceinte Insurgent',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',8,23.5,1,'male','L2Teleporter',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32352,32352,'Desert Heatmaster',0,'',0,'LineageNPC.clear_npc',0.1,0.1,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32353,32353,'Event Gatekeeper',0,'',0,'LineageMonster.cutie_cat',8,15,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,48,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32354,32354,'Kief',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',10,24,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32355,32355,'Solomon',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',8,23.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32356,32356,'Jude',0,'',0,'LineageMonster4.Caravan',33,58.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32357,32357,'Native Slave',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',8,23.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32358,32358,'Native Prisoner',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,33.1,9.87,40,30,30,21,21,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32359,32359,'Lahm',0,'Blacksmith of Power',0,'LineageNPC.e_smith_master_MDwarf',8,17,70,'male','L2Merchant',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32361,32361,'Caravan Supporter',0,'',0,'LineageNPC.box',8,17,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32362,32362,'Hellbound Native',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',8,17,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32363,32363,'Hellbound Insurgent',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32364,32364,'Hellbound Traitor',0,'',0,'LineageNPC.a_common_peopleC_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32365,32365,'Snow',0,'Event Manager',0,'LineageNPC2.TP_game_staff',5,12.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,75,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32366,32366,'Destroyed Device',0,'',0,'LineageMonster.susceptor_env',20,35,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,75,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32367,32367,'Alarm',0,'',0,'LineageNpcEV.pavel_weather_controller',14.5,18.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,75,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32368,32368,'Weathered Rock',0,'',0,'LineageNpcEV.stone_q0236_p',60,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32369,32369,'Fallen Angel',0,'',0,'LineageMonster2.apostle_warrior',6,21.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32370,32370,'Old Dwarven Ghost',0,'',0,'LineageNPC.e_collector_teacher_Mdwarf_mon',8,17.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32371,32371,'Ingenious Contraption',0,'',0,'LineageNpcEV.elobrate_machine',13,20,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32372,32372,'Mysterious Agent',0,'',0,'LineageMonster.kel_mahum_witch_doctor',13,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32373,32373,'Dorian',0,'',0,'LineageNPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32374,32374,'Teleportation Cubic',0,'',0,'LineageNPC.teleport_cube',30,65,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32375,32375,'Teleportation Cubic',0,'',0,'LineageNPC.teleport_cube',30,65,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32376,32376,'Teleportation Cubic',0,'',0,'LineageNPC.teleport_cube',30,65,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32377,32377,'Kuram',0,'Coordinator',0,'LineageNPC2.TP_battlezone_staff',7.8,17.29,70,'male','L2Teleporter',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32378,32378,'Fantasy Isle Paddies',0,'Gatekeeper',0,'LineageNPC.e_teleporter_FDwarf',8,21.3,70,'male','L2Teleporter',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32379,32379,'',0,'',0,'LineageNPC2.TP_flag',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32380,32380,'',0,'',0,'LineageNPC2.TP_trumpet',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32381,32381,'',0,'',0,'LineageNPC2.TP_clown_tall',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32382,32382,'',0,'',0,'LineageNPC2.TP_wedding_maid',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32383,32383,'',0,'',0,'LineageNPC2.TP_juggler',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32384,32384,'',0,'',0,'LineageNPC2.TP_unicycler',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32385,32385,'',0,'',0,'LineageNPC2.TP_acrobat_ball',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32386,32386,'',0,'',0,'LineageNPC.pr_a_guard_FDarkelf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32387,32387,'',0,'',0,'LineageNPC.pr_a_casino_FDarkElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32388,32388,'',0,'',0,'LineageNPC.pr_a_trader_Fdarkelf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32389,32389,'',0,'',0,'LineageNPC.pr_a_teleporter_FDarkElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32390,32390,'',0,'',0,'LineageNPC.pr_a_common_people_FDarkElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32391,32391,'',0,'',0,'LineageNPC.pr_e_guard_MDwarf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32392,32392,'',0,'',0,'LineageNPC.pr_a_warehouse_keeper_MDwarf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32393,32393,'',0,'',0,'LineageNPC.pr_e_traderA_FDwarf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32394,32394,'',0,'',0,'LineageNPC.pr_e_warehouse_keeper_FDwarf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32395,32395,'',0,'',0,'LineageNPC.pr_e_teleporter_FDwarf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32396,32396,'',0,'',0,'LineageNPC.pr_a_guard_MElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32397,32397,'',0,'',0,'LineageNPC.pr_a_patriarch_MElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32398,32398,'',0,'',0,'LineageNPC.pr_a_trader_FElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32399,32399,'',0,'',0,'LineageNPC.pr_a_teleporter_FElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32400,32400,'',0,'',0,'LineageNPC.pr_a_common_people_FElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32401,32401,'',0,'',0,'LineageNPC.pr_e_guard_MOrc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32402,32402,'',0,'',0,'LineageNPC.pr_e_smith_MOrc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32403,32403,'',0,'',0,'LineageNPC.pr_e_patriarch_MOrc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32404,32404,'',0,'',0,'LineageNPC.pr_e_teleporter_FOrc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32405,32405,'',0,'',0,'LineageNPC.pr_a_mageguild_master_MHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32406,32406,'',0,'',0,'LineageNPC.pr_a_mageguild_master_FHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32407,32407,'',0,'',0,'LineageNPC.pr_a_fighterguild_master_FHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32408,32408,'',0,'',0,'LineageNPC.pr_a_teleporter_FHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32409,32409,'',0,'',0,'LineageMonster.pr_cutie_cat',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32410,32410,'',0,'',0,'LineageMonster2.pr_baby_buffalo',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32411,32411,'',0,'',0,'LineageMonster2.pr_baby_tiger',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32412,32412,'',0,'',0,'LineageMonster2.pr_baby_ostrich',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32413,32413,'',0,'',0,'LineageMonster.pr_yeti',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32414,32414,'',0,'',0,'LineageNPC.pr_yeti_cute',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32415,32415,'',0,'',0,'LineageNPC.pr_yeti_cute_r',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32416,32416,'',0,'',0,'LineageMonster3.pr_unicorn_magnus',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32417,32417,'',0,'',0,'LineageMonster.pr_blue_eye',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32418,32418,'',0,'',0,'LineageMonster.pr_unicorn_mirage',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32419,32419,'',0,'',0,'LineageMonster.pr_unicorn_boxer',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32420,32420,'',0,'',0,'LineageMonster2.pr_angelic_unicorn',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32421,32421,'',0,'',0,'LineageMonster.pr_silver_cat',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32422,32422,'',0,'',0,'LineageMonster.pr_cat_the_cat',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32423,32423,'',0,'',0,'LineageMonster2.pr_queen_of_cat',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32424,32424,'Show Staff',0,'',0,'LineageNPC.sw_e_mine_teacher_FDwarf',0.01,18.5,70,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32425,32425,'Show Staff',0,'',0,'LineageNPC.sw_e_smith_Fdwarf',0.01,17.5,70,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32426,32426,'Show Staff',0,'',0,'LineageNPC.sw_e_traderB_FDwarf',0.01,18,70,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32427,32427,'Show Staff',0,'',0,'LineageNPC.sw_e_collector_teacher_FDwarf',0.01,17.5,70,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32428,32428,'Show Staff',0,'',0,'LineageNPC.pr_e_warehouse_keeper_FDwarf',0.01,18,70,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32429,32429,'',0,'',0,'LineageMonster.sw_batur_orc_shaman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32430,32430,'',0,'',0,'LineageNPC.pr_e_teleporter_FDwarf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32431,32431,'Leyla Mira',0,'Elf Singer',0,'LineageNPC.pr_a_teleporter_FElf',0.01,23,70,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32432,32432,'',0,'',0,'LineageNPC.pr_a_teleporter_FElf',0.01,23.5,70,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32433,32433,'',0,'',0,'LineageNPC.pr_a_casino_MHuman',0.01,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32437,32437,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32438,32438,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32439,32439,'Backflip Expert',0,'',0,'LineageMonster.sw_ant_larva',0.01,8,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32440,32440,'Backflip Originator',0,'',0,'LineageMonster.pr_harpy',0.01,42,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32441,32441,'Backflip Superman',0,'',0,'LineageMonster2.pr_knight_of_shadow',0.01,35.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32442,32442,'',0,'',0,'LineageNPC2.TP_juggler',0.01,10.25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32443,32443,'',0,'',0,'LineageNPC2.TP_unicycler',0.01,10.25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32444,32444,'',0,'',0,'LineageNPC2.TP_acrobat_ball',0.01,20,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32445,32445,'',0,'',0,'LineageNPC2.TP_clown_tall',0.01,26.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32446,32446,'',0,'',0,'LineageNPC2.TP_trumpet',0.01,12.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,40,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32447,32447,'',0,'',0,'LineageMonster.pr_medusa',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32448,32448,'',0,'',0,'LineageMonster2.pr_vampire_witch',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32449,32449,'',0,'',0,'LineageMonster2.pr_vampire_wizard',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32450,32450,'',0,'',0,'LineageMonster3.pr_lidia_von_helmann',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32451,32451,'',0,'',0,'LineageMonster.pr_cave_maiden',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32452,32452,'',0,'',0,'LineageMonster3.pr_Succubus_Raid',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32453,32453,'',0,'',0,'LineageMonster3.pr_Bloody_Queen_Raid',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32454,32454,'',0,'',0,'LineageMonster4.pr_rah',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32455,32455,'',0,'',0,'LineageMonster4.pr_tears',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32456,32456,'',0,'',0,'LineageMonster.pr_succubus',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32457,32457,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32458,32458,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32464,32464,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32465,32465,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32466,32466,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32467,32467,'Teleportation Cubic',0,'',0,'LineageNPC.teleport_cube',30,65,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32468,32468,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32469,32469,'Eindburgh',0,'Vice Hierarch',0,'LineageNPC2.K_M1_elder',17,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32470,32470,'Stone Coffin',0,'',0,'LineageNpcEV.stone_coffin',109,11.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32471,32471,'',0,'',0,'LineageNPC2.pr_K_F1_teleporter',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32472,32472,'',0,'',0,'LineageNPC2.pr_K_F1_master',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32473,32473,'',0,'',0,'LineageNPC2.pr_K_F1_guard_Master',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32474,32474,'',0,'',0,'LineageNPC2.pr_k_hero_bowgun',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32475,32475,'Subclass Certification Helper',0,'',0,'LineageMonster3.king_of_cat',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32476,32476,'Employee of Magic Research Institute',0,'Event manager',0,'LineageNPC.e_smith_Fdwarf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32477,32477,'Volunteer',0,'Gatekeeper Welfare Foundation',0,'LineageNPC.a_teleporter_FHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32478,32478,'Dimensional Merchant',0,'',0,'LineageNPC2.premium_master',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32479,32479,'Adios',0,'Guard',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,129,102,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32480,32480,'Ronde',0,'Guard',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,129,102,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32481,32481,'Saige',0,'Guard',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,129,102,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32482,32482,'Emdrere',0,'Guard',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,129,102,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32483,32483,'',0,'',0,'LineageNpcEV.kamaloka_obelisk',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32484,32484,'Pathfinder Worker',0,'',0,'LineageNPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32485,32485,'Pathfinder Worker',0,'',0,'LineageNPC.a_mageguild_teacher_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32486,32486,'Inventor Maru',0,'',0,'LineageNPC.e_collector_teacher_FDwarf',8,17.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32487,32487,'Mark',0,'',0,'LineageNPC.a_fighterguild_teacher_MDarkElf_dead',10,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32488,32488,'Mark',0,'',0,'LineageNPC.a_fighterguild_teacher_MDarkElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32490,32490,'',0,'',0,'LineageNPC.clear_npc',0.1,0.1,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32491,32491,'Underground Coliseum Helper',0,'',0,'LineageNPC2.TP_battlezone_staff',7.8,17.29,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32492,32492,'Crystal Water Bottle',0,'',0,'LineageNPCEV.crystal_pint',13,14,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32493,32493,'Burning Brazier',0,'',0,'LineageNPCEV.blazing_brazier',15,11.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32494,32494,'Skull',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32495,32495,'Treasure Box',0,'',0,'LineageNPC.coffer_d',12,9.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32496,32496,'Escape Device',0,'',0,'LineageNPCEV.dark_obelisk',15,51.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32497,32497,'Inspector Adler',0,'',0,'LineageNPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32498,32498,'Devil\'s Isle Survivor',0,'',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32499,32499,'Ketra Orc Shaman',0,'',0,'LineageMonster.ketra_orc_shaman_20_bi',12,27.6,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32500,32500,'Inspector Sinai',0,'',0,'LineageNPC.a_mageguild_teacher_FElf',7,21.2,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32501,32501,'Devil\'s Isle Supporter',0,'',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32502,32502,'Ketra Orc Supporter',0,'',0,'LineageMonster.ketra_orc_shaman',10,23,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32503,32503,'Entrance Manager',0,'Kratei\'s Cube',0,'LineageNPC.e_smith_master_MDwarf',8,17,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32504,32504,'Match Manager',0,'Kratei\'s Cube',0,'LineageNPC.a_traderA_MDwarf',8,17,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32505,32505,'Match Manager',0,'Kratei\'s Cube',0,'LineageNPC.a_traderA_MDwarf',8,17,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32506,32506,'Match Manager',0,'Kratei\'s Cube',0,'LineageNPC.a_traderA_MDwarf',8,17,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32507,32507,'Temple Inspector',0,'',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32508,32508,'Dwarf Adventurer',0,'',0,'LineageNPC.e_mine_teacher_MDwarf',8,18,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32509,32509,'Ketra Orc Intelligence Officer',0,'',0,'LineageMonster.ketra_orc',12,29,70,'male','L2Monster',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32510,32510,'Inspector Adler',0,'',0,'LineageNPC.a_mageguild_teacher_MElf',7,22.2,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32511,32511,'Dwarf Adventurer',0,'',0,'LineageNPC.e_mine_teacher_MDwarf',8,18,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32512,32512,'Ketra Orc Supporter',0,'',0,'LineageMonster2.ketra_orc_warlord',12,30,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32513,32513,'Kun',0,'Entrance Manager',0,'LineageNPC2.TP_battlezone_staff',7.8,17.29,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32514,32514,'Tarion',0,'Entrance Manager',0,'LineageNPC2.TP_battlezone_staff',7.8,17.29,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,40,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32515,32515,'Leo',0,'Entrance Manager',0,'LineageNPC2.TP_battlezone_staff',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32516,32516,'Candice',0,'Entrance Manager',0,'LineageNPC2.TP_battlezone_staff',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32517,32517,'Airship Controller',0,'',0,'LineageNpcEV.riding_control_unit',19,28,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32518,32518,'Vortex Gate',0,'Aerial Cleft',0,'LineageNpcEV.war_gate',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32519,32519,'Vortex Gate',0,'Aerial Cleft',0,'LineageNpcEV.war_gate',300,130,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32520,32520,'Emery Converter',0,'Aerial Cleft',0,'LineageNPC.teleport_npc_sm',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32521,32521,'Entrance Manager',0,'Handy\'s Block Checker - Arena 1',0,'LineageNPC.e_teleporter_FDwarf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32522,32522,'Entrance Manager',0,'Handy\'s Block Checker - Arena 2',0,'LineageNPC.e_teleporter_FDwarf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32523,32523,'Entrance Manager',0,'Handy\'s Block Checker - Arena 3',0,'LineageNPC.e_teleporter_FDwarf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32524,32524,'Entrance Manager',0,'Handy\'s Block Checker - Arena 4',0,'LineageNPC.e_teleporter_FDwarf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32525,32525,'Tiat',0,'Witch of the Dragon of Darkness',0,'LineageNPC2.tiat_oracle',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32526,32526,'Allenos',0,'Sergeant',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,13525,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32527,32527,'Edric',0,'Officer',0,'LineageNPC2.gracia_remnants_a',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32528,32528,'Medibal\'s Corpse',0,'',0,'LineageNPC.a_mageguild_teacher_Mhuman_dead',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'corpse','false'),
(32529,32529,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32530,32530,'Tepios',0,'Officer',0,'LineageNPC2.gracia_soldier' ,8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32531,32531,'Destroyed Tumor',0,'',0,'LineageNpcEV.tumor_immortality_a',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32532,32532,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32533,32533,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32534,32534,'Jaedin',0,'Guide of Infinity',0,'LineageMonster4.disciple_silen',19,44,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,73,170,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32535,32535,'Destroyed Tumor',0,'',0,'LineageNpcEV.tumor_immortality_a',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32536,32536,'Destroyed Tumor',0,'',0,'LineageNpcEV.tumor_immortality_a',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32537,32537,'Mouth of Ekimus',0,'',0,'LineageNpcEV.mouth_immotality_a',80,14,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32538,32538,'Closed Mouth of Ekimus',0,'',0,'LineageNpcEV.mouth_immotality',80,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32539,32539,'Gatekeeper of Abyss',0,'',0,'LineageNpcEV.vigil_immortality',70,119,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32540,32540,'Gatekeeper of Abyss',0,'',0,'LineageNpcEV.vigil_immortality_dis',70,119,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32541,32541,'Unstable Seed of Generation',0,'',0,'LineageNpcEV.life_seed',57.75,65.53,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32542,32542,'Stabilized Seed of Generation',0,'',0,'LineageNpcEV.life_seed',57.75,65.53,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32543,32543,'Energy of Generation',0,'',0,'LineageNPC.training_doll_150p',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32544,32544,'Seed of Generation',0,'Artificial',0,'LineageNpcEV.artificial_life_seed',57.75,65.53,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32545,32545,'Kurkle',0,'Gracia Special Product Middleman',0,'LineageNPC.training_doll_150p',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32546,32546,'Asyatei',0,'Soul Trader',0,'LineageMonster4.death_scout_088p',14.4,22,70,'male','L2Merchant',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,45,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32547,32547,'Center Tumor',0,'',0,'LineageNpcEV.tumor_immortality_a_120p',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32548,32548,'Keucereus',0,'Admiral',0,'LineageNPC2.xers',12.5,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32549,32549,'Dilios',0,'General',0,'LineageNPC2.dilios',10,21.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32550,32550,'Kutran',0,'Special Product Broker',0,'LineageNPC.a_traderA_MHuman',10,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32551,32551,'Noiless',0,'Soldier',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,13525,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32552,32552,'Tomaris',0,'Soldier',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,13525,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32553,32553,'Jisans',0,'Soldier',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,13525,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32554,32554,'Moira',0,'Soldier',0,'LineageNPC.a_fighterguild_master_FHuman',8,21.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32555,32555,'Tenius',0,'Soldier',0,'LineageNPC2.gracia_remnants_a',9.5,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32556,32556,'El',0,'Soldier',0,'LineageNPC2.gracia_remnants_b',9.5,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32557,32557,'Lekon',0,'Engineer',0,'LineageNPC.a_smith_MDwarf',7,16.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32558,32558,'Barrier Orb',0,'',0,'LineageNpcEV.dark_clouds_crystal',23,37,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32559,32559,'Artius',0,'War Mage',0,'LineageNPC.a_patriarch_MElf',8,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32560,32560,'Orbyu',0,'Soldier',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,13525,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32561,32561,'Kunota',0,'Soldier',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,13525,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32562,32562,'Siest',0,'Soldier',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,13525,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32563,32563,'Plenos',0,'Soldier',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,13525,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32564,32564,'Papiku',0,'Magister',0,'LineageNPC.a_mageguild_teacher_FElf',7,21.2,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32565,32565,'Felix',0,'Master',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32566,32566,'Ginby',0,'Soldier',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,13525,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32567,32567,'Lelikia',0,'Priest of Shilen',0,'LineageNPC2.disciple_silen_b',15.75,25.73,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32568,32568,'Corpse of Doubt',0,'',0,'LineageNPC.e_guard_MDwarf_death',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'corpse','false'),
(32569,32569,'Cain',0,'Priest',0,'LineageNPC.a_sanctuary_teacher_MHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32570,32570,'Eric',0,'Herb Collector',0,'LineageNPC.e_collector_master_MDwarf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32571,32571,'Kollin',0,'Secret Agent',0,'LineageNPC.a_common_peopleA_MHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32572,32572,'Frog',0,'Great King',0,'LineageMonster.poison_toad_100_bi',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32573,32573,'Tess',0,'Grandma',0,'LineageNPC2.a_old_people_Fhuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32574,32574,'Kuta',0,'Native',0,'LineageNPC.a_common_peopleC_Mhuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32575,32575,'Light of Dawn',0,'Teleporter',0,'LineageNPC.teleport_npc_sm',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32576,32576,'John',0,'Oracle Captain',0,'LineageMonster3.Kight_of_Dawn',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32577,32577,'Password Entry Device',0,'',0,'LineageNpcEV.pavel_weather_controller',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32578,32578,'Identity Confirm Device',0,'',0,'LineageNpcEV.elobrate_machine',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32579,32579,'Darkness of Dawn',0,'Teleporter',0,'LineageNPC.teleport_npc_sm',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32580,32580,'Bookcase of Dawn',0,'',0,'LineageNpcEV.bookcase_of_pray',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32581,32581,'Bookcase of Dawn',0,'',0,'LineageNpcEV.bookcase_of_pray',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32582,32582,'Jaina',0,'Priest',0,'LineageNPC.a_sanctuary_teacher_FHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32583,32583,'Bookcase of Dawn',0,'',0,'LineageNpcEV.bookcase_of_pray',10,16.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32584,32584,'Merchant of Mammon',0,'',0,'LineageNPC.black_market_trader_MDwarf_set',22,18,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32585,32585,'Promise of Mammon',0,'Teleporter',0,'LineageNPC.teleport_npc_sm',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32586,32586,'Schuneimann',0,'Emperor of Elmoreden',0,'LineageNPC.a_king_MHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32587,32587,'Leon',0,'Emperor\'s Guard',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32588,32588,'Emperor\'s Seal Device',0,'',0,'LineageNpcEV.orb_of_kaizer',37,49,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32589,32589,'Emperor\'s Seal Device',0,'',0,'LineageNpcEV.orb_of_kaizer',37,49,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32590,32590,'Emperor\'s Seal Device',0,'',0,'LineageNpcEV.orb_of_kaizer',37,49,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32591,32591,'Emperor\'s Seal Device',0,'',0,'LineageNpcEV.orb_of_kaizer',37,49,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32592,32592,'',0,'',0,'LineageNPC.clear_npc',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32593,32593,'Wood',0,'Priest',0,'LineageNPC.a_mageguild_master_MHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32594,32594,'Leopard',0,'Password Decoder',0,'LineageNPC.a_guild_master_MDarkElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32595,32595,'Lawrence',0,'Great Teacher',0,'LineageNPC.a_patriarch_MDarkElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32596,32596,'Sophia',0,'Library Director of Saints',0,'LineageNPC.a_mageguild_teacher_FElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32597,32597,'Franz',0,'Witness of Dawn',0,'LineageNPC2.leader_of_dawn_franz_abel',12,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32598,32598,'Court Magician',0,'Elmore-Aden\'s',0,'LineageNPC.a_temple_master_Mhuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32599,32599,'Master Yogi',0,'Mountain Ascetic',0,'LineageNPC2.event_comic_masteryogy',9,16.7,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32600,32600,'Alegria',0,'Birthday Celebration Helper',0,'LineageNPC2.event_birth_alegria',5,21,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32601,32601,'Instant Moving Device',0,'',0,'LineageNpcEV.crystal_of_secret_door',57,74,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32602,32602,'Temporary Teleporter',0,'',0,'LineageNpcEV.teleport_device',16,42,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32603,32603,'Tepios',0,'Officer',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,13525,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32604,32604,'Airship Controller',0,'',0,'LineageNpcEV.riding_control_unit',19,28,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32605,32605,'Airship Controller',0,'',0,'LineageNpcEV.riding_control_unit',19,28,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32606,32606,'Airship Controller',0,'',0,'LineageNpcEV.riding_control_unit',19,28,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32607,32607,'Airship Controller',0,'',0,'LineageNpcEV.riding_control_unit',19,28,70,'male','L2AirShipController',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32608,32608,'Airship Controller',0,'',0,'LineageNpcEV.riding_control_unit',19,28,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32609,32609,'Airship Controller',0,'',0,'LineageNpcEV.riding_control_unit',19,28,70,'male','L2AirShipController',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32610,32610,'Olf Kanore',0,'Weaver',0,'LineageNPC.a_mageguild_teacher_MElf',8,22.5,70,'male','L2Merchant',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32611,32611,'Tolonis',0,'Officer',0,'LineageNPC2.gracia_remnants_a',9.5,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32612,32612,'Olf Adams',0,'Weaver',0,'LineageNPC.a_mageguild_teacher_MElf',8,22.5,70,'male','L2Merchant',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32613,32613,'Handy',0,'Game Manager',0,'LineageNPC2.block_mother_staff',8,24,70,'male','L2Teleporter',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32614,32614,'Lamcedas',0,'Gatekeeper',0,'LineageNPC.a_teleporter_FHuman',8,25,70,'male','L2Teleporter',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32615,32615,'Ishuma',0,'Maestro',0,'LineageNPC.e_smith_master_MDwarf',8,16.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32616,32616,'Mine',0,'Fortune Teller',0,'LineageNPC.a_casino_FDarkElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32617,32617,'Jaina',0,'Priest',0,'LineageNPC.a_sanctuary_teacher_FHuman',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32618,32618,'Thyimi',0,'Trader',0,'LineageNPC.e_warehouse_keeper_FDwarf',7,18,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32619,32619,'',0,'',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,0,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32620,32620,'',0,'',0,'LineageNPC2.gracia_soldier',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32621,32621,'',0,'',0,'LineageNPC2.gracia_soldier',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32622,32622,'Anatole',0,'Soldier',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32623,32623,'Morenki',0,'Soldier',0,'LineageNPC.a_fighterguild_teacher_MDarkElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32624,32624,'Anbram',0,'Soldier',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32625,32625,'Anciel',0,'Soldier',0,'LineageNPC.a_fighterguild_teacher_MElf',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32626,32626,'Royal Guard',0,'Soldier',0,'LineageNPC2.gracia_soldier',11,25,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,13524,13525,NULL,50,160,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32627,32627,'Nottingale',0,'Wizard',0,'LineageNPC.a_teleporter_FElf',8.5,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,100,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32628,32628,'Wharf Patrol',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,94,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32629,32629,'Wharf Patrol',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2Guard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,94,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32630,32630,'Gracia Server Helper',0,'',0,'LineageNPC2.message_event_master',10,20,70,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32631,32631,'Gracia Server Proof Exchanger',0,'',0,'LineageNPC2.message_event_master',10,20,70,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32632,32632,'Gracia Survivor',0,'',0,'LineageNPC2.gracia_remnants_a',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32633,32633,'Cat of Christmas',0,'Sharing happiness',0,'LineageMonster.cutie_cat',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32634,32634,'Cat of Christmas',0,'Sharing happiness',0,'LineageMonster.cutie_cat',8,24,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32635,32635,'Master Dugi',0,'Energy Recovery Event',0,'LineageNPC2.event_comic_masteryogy',9,16.7,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32636,32636,'Employee of Magic Research Institute',0,'Event manager',0,'LineageNPC.e_smith_Fdwarf',8,17.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,60,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(32637,32637,'Workshop Teleporter',0,'',0,'LineageNpcEV.trioll_altar',9,33.50,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(32638,32638,'Roni the cat',0,'PC Cafe Event',0,'LineageMonster.cutie_cat',8,15,70,'male','L2Npc',40,3862,1494,0,0,40,43,30,21,20,20,0,0,1303,471,607,382,253,0,333,0,0,0,30,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false');

INSERT INTO `npc` VALUES
(35010,35010,'Mercenary',0,'',0,'NPC.a_guard_MHuman',8,24,50,'male','L2SiegeGuard',40,2317,830,3.32,2.14,40,43,30,21,20,10,250,1,683,287,546,233,416,0,333,128,628,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35011,35011,'Mercenary',0,'',0,'NPC.a_guard_MHuman',8,24,50,'male','L2SiegeGuard',80,2317,830,3.32,2.14,40,43,30,21,20,10,250,1,798,287,546,233,357,0,333,93,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35012,35012,'Mercenary',0,'',0,'NPC.a_guard_MHuman',8,24,50,'male','L2SiegeGuard',1100,2317,830,3.32,2.14,40,43,30,21,20,10,250,1,889,244,546,233,322,0,333,280,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35013,35013,'Mercenary',0,'',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,50,'female','L2SiegeGuard',40,2317,1245,3.32,3.3,40,43,30,21,20,10,250,1,683,317,546,233,416,0,333,316,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35014,35014,'Mercenary',0,'',0,'NPC.a_mageguild_teacher_MHuman',8,23,50,'male','L2SiegeGuard',40,2317,1245,3.32,3.3,40,43,30,21,20,10,250,1,683,317,546,233,416,0,333,179,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35015,35015,'Mercenary',0,'',0,'NPC.a_guard_MHuman',8,24,50,'male','L2SiegeGuard',40,2317,830,3.32,2.14,40,43,30,21,20,10,250,1,683,287,546,233,416,0,333,128,628,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35016,35016,'Mercenary',0,'',0,'NPC.a_guard_MHuman',8,24,50,'male','L2SiegeGuard',80,2317,830,3.32,2.14,40,43,30,21,20,10,250,1,798,287,546,233,357,0,333,93,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35017,35017,'Mercenary',0,'',0,'NPC.a_guard_MHuman',8,24,50,'male','L2SiegeGuard',1100,2317,830,3.32,2.14,40,43,30,21,20,10,250,1,889,244,546,233,322,0,333,280,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35018,35018,'Mercenary',0,'',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,50,'female','L2SiegeGuard',40,2317,1245,3.32,3.3,40,43,30,21,20,10,250,1,683,317,546,233,416,0,333,316,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35019,35019,'Mercenary',0,'',0,'NPC.a_mageguild_teacher_MHuman',8,23,50,'male','L2SiegeGuard',40,2317,1245,3.32,3.3,40,43,30,21,20,10,250,1,683,317,546,233,416,0,333,179,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35020,35020,'Mercenary of Dawn',0,'',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2SiegeGuard',40,3986,1493,4.27,2.78,40,43,30,21,20,10,490,1,1763,485,1610,394,416,0,333,150,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35021,35021,'Mercenary of Dawn',0,'',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2SiegeGuard',80,3986,1493,4.27,2.78,40,43,30,21,20,10,490,1,2058,485,1610,394,357,0,333,97,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35022,35022,'Mercenary of Dawn',0,'',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2SiegeGuard',1100,3986,1493,4.27,2.78,40,43,30,21,20,10,490,1,2292,412,1610,394,322,0,333,288,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35023,35023,'Mercenary of Dawn',0,'',0,'NPC.a_mageguild_master_FHuman',8,23,70,'female','L2SiegeGuard',40,3986,2240,4.27,4.26,40,43,30,21,20,10,490,1,1763,536,1610,394,416,0,333,325,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35024,35024,'Mercenary of Dawn',0,'',0,'NPC.a_mageguild_master_MHuman',8,24,70,'male','L2SiegeGuard',40,3986,2240,4.27,4.26,40,43,30,21,20,10,490,1,1763,536,1610,394,416,0,333,196,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35025,35025,'Mercenary of Dawn',0,'',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2SiegeGuard',40,3986,1493,4.27,2.78,40,43,30,21,20,10,490,1,1763,485,1610,394,416,0,333,150,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35026,35026,'Mercenary of Dawn',0,'',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2SiegeGuard',80,3986,1493,4.27,2.78,40,43,30,21,20,10,490,1,2058,485,1610,394,357,0,333,97,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35027,35027,'Mercenary of Dawn',0,'',0,'NPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2SiegeGuard',1100,3986,1493,4.27,2.78,40,43,30,21,20,10,490,1,2292,412,1610,394,322,0,333,288,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35028,35028,'Mercenary of Dawn',0,'',0,'NPC.a_mageguild_master_FHuman',8,23,70,'female','L2SiegeGuard',40,3986,2240,4.27,4.26,40,43,30,21,20,10,490,1,1763,536,1610,394,416,0,333,325,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35029,35029,'Mercenary of Dawn',0,'',0,'NPC.a_mageguild_master_MHuman',8,24,70,'male','L2SiegeGuard',40,3986,2240,4.27,4.26,40,43,30,21,20,10,490,1,1763,536,1610,394,416,0,333,196,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35030,35030,'Elite Mercenary Guild Member',0,'',0,'NPC.a_royal_guardA_MHuman',7,24,60,'male','L2SiegeGuard',40,3153,1150,3.79,2.45,40,43,30,21,20,10,360,1,1154,380,988,309,416,0,333,132,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35031,35031,'Elite Mercenary Guild Member',0,'',0,'NPC.a_royal_guardB_MHuman',7,24,60,'male','L2SiegeGuard',80,3153,1150,3.79,2.45,40,43,30,21,20,10,360,1,1347,380,988,309,357,0,333,301,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35032,35032,'Elite Mercenary Guild Member',0,'',0,'NPC.a_royal_guardB_MHuman',7,24,60,'male','L2SiegeGuard',1100,3153,1150,3.79,2.45,40,43,30,21,20,10,360,1,1501,323,988,309,322,0,333,280,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35033,35033,'Elite Mercenary Guild Member',0,'',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,60,'female','L2SiegeGuard',40,3153,1726,3.79,3.74,40,43,30,21,20,10,360,1,1154,420,988,309,416,0,333,316,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35034,35034,'Elite Mercenary Guild Member',0,'',0,'NPC.a_patriarch_MElf',8,22.5,60,'male','L2SiegeGuard',40,3153,1726,3.79,3.74,40,43,30,21,20,10,360,1,1154,420,988,309,416,0,333,325,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35035,35035,'Elite Mercenary Guild Member',0,'',0,'NPC.a_royal_guardA_MHuman',7,24,60,'male','L2SiegeGuard',40,3153,1150,3.79,2.45,40,43,30,21,20,10,360,1,1154,380,988,309,416,0,333,132,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35036,35036,'Elite Mercenary Guild Member',0,'',0,'NPC.a_royal_guardB_MHuman',7,24,60,'male','L2SiegeGuard',80,3153,1150,3.79,2.45,40,43,30,21,20,10,360,1,1347,380,988,309,357,0,333,301,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35037,35037,'Elite Mercenary Guild Member',0,'',0,'NPC.a_royal_guardB_MHuman',7,24,60,'male','L2SiegeGuard',1100,3153,1150,3.79,2.45,40,43,30,21,20,10,360,1,1501,323,988,309,322,0,333,280,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35038,35038,'Elite Mercenary Guild Member',0,'',0,'NPC.a_sanctuary_teacher_FHuman',8,22.5,60,'female','L2SiegeGuard',40,3153,1726,3.79,3.74,40,43,30,21,20,10,360,1,1154,420,988,309,416,0,333,316,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35039,35039,'Elite Mercenary Guild Member',0,'',0,'NPC.a_patriarch_MElf',8,22.5,60,'male','L2SiegeGuard',40,3153,1726,3.79,3.74,40,43,30,21,20,10,360,1,1154,420,988,309,416,0,333,325,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35040,35040,'Greater Recruit',0,'',0,'NPC.a_guard_MHuman',8,24,55,'male','L2SiegeGuard',40,2728,987,3.79,2.45,40,43,30,21,20,10,302,1,899,332,744,270,416,0,333,66,20,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35041,35041,'Greater Recruit',0,'',0,'NPC.a_guard_MHuman',8,24,55,'male','L2SiegeGuard',80,2728,987,3.79,2.45,40,43,30,21,20,10,302,1,1050,332,744,270,357,0,333,16,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35042,35042,'Greater Recruit',0,'',0,'NPC.a_guard_MHuman',8,24,55,'male','L2SiegeGuard',1100,2728,987,3.79,2.45,40,43,30,21,20,10,302,1,1169,282,744,270,322,0,333,274,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35043,35043,'Greater Recruit',0,'',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,55,'female','L2SiegeGuard',40,2728,1481,3.79,3.74,40,43,30,21,20,10,302,1,899,367,744,270,416,0,333,7,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35044,35044,'Greater Recruit',0,'',0,'NPC.a_mageguild_teacher_MHuman',8,23,55,'male','L2SiegeGuard',40,2728,1481,3.79,3.74,40,43,30,21,20,10,302,1,899,367,744,270,416,0,333,154,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35045,35045,'Greater Recruit',0,'',0,'NPC.a_guard_MHuman',8,24,55,'male','L2SiegeGuard',40,2728,987,3.79,2.45,40,43,30,21,20,10,302,1,899,332,744,270,416,0,333,66,20,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35046,35046,'Greater Recruit',0,'',0,'NPC.a_guard_MHuman',8,24,55,'male','L2SiegeGuard',80,2728,987,3.79,2.45,40,43,30,21,20,10,302,1,1050,332,744,270,357,0,333,16,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35047,35047,'Greater Recruit',0,'',0,'NPC.a_guard_MHuman',8,24,55,'male','L2SiegeGuard',1100,2728,987,3.79,2.45,40,43,30,21,20,10,302,1,1169,282,744,270,322,0,333,274,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35048,35048,'Greater Recruit',0,'',0,'NPC.a_mageguild_teacher_FHuman',8,23.5,55,'female','L2SiegeGuard',40,2728,1481,3.79,3.74,40,43,30,21,20,10,302,1,899,367,744,270,416,0,333,7,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35049,35049,'Greater Recruit',0,'',0,'NPC.a_mageguild_teacher_MHuman',8,23,55,'male','L2SiegeGuard',40,2728,1481,3.79,3.74,40,43,30,21,20,10,302,1,899,367,744,270,416,0,333,154,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35050,35050,'Recruit',0,'',0,'NPC.a_guard_MHuman',8,24,45,'male','L2SiegeGuard',40,1930,677,3.32,2.14,40,43,30,21,20,10,202,1,506,245,390,199,416,0,333,66,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35051,35051,'Recruit',0,'',0,'NPC.a_guard_MHuman',8,24,45,'male','L2SiegeGuard',80,1930,677,3.32,2.14,40,43,30,21,20,10,202,1,591,245,390,199,357,0,333,16,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35052,35052,'Recruit',0,'',0,'NPC.a_guard_MHuman',8,24,45,'male','L2SiegeGuard',1100,1930,677,3.32,2.14,40,43,30,21,20,10,202,1,658,209,390,199,322,0,333,14,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35053,35053,'Recruit',0,'',0,'NPC.a_traderB_FHuman',8,24.5,45,'female','L2SiegeGuard',40,1930,1016,3.32,3.3,40,43,30,21,20,10,202,1,506,271,390,199,416,0,333,6,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35054,35054,'Recruit',0,'',0,'NPC.a_sanctuary_teacher_MHuman',8,23,45,'male','L2SiegeGuard',40,1930,1016,3.32,3.3,40,43,30,21,20,10,202,1,506,271,390,199,416,0,333,99,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35055,35055,'Recruit',0,'',0,'NPC.a_guard_MHuman',8,24,45,'male','L2SiegeGuard',40,1930,677,3.32,2.14,40,43,30,21,20,10,202,1,506,245,390,199,416,0,333,66,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35056,35056,'Recruit',0,'',0,'NPC.a_guard_MHuman',8,24,45,'male','L2SiegeGuard',80,1930,677,3.32,2.14,40,43,30,21,20,10,202,1,591,245,390,199,357,0,333,16,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35057,35057,'Recruit',0,'',0,'NPC.a_guard_MHuman',8,24,45,'male','L2SiegeGuard',1100,1930,677,3.32,2.14,40,43,30,21,20,10,202,1,658,209,390,199,322,0,333,14,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35058,35058,'Recruit',0,'',0,'NPC.a_traderB_FHuman',8,24.5,45,'female','L2SiegeGuard',40,1930,1016,3.32,3.3,40,43,30,21,20,10,202,1,506,271,390,199,416,0,333,6,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35059,35059,'Recruit',0,'',0,'NPC.a_sanctuary_teacher_MHuman',8,23,45,'male','L2SiegeGuard',40,1930,1016,3.32,3.3,40,43,30,21,20,10,202,1,506,271,390,199,416,0,333,99,0,0,55,214,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35060,35060,'Nephilim Mercenary',0,'',0,'Monster3.Kight_of_Dawn',10,41.5,75,'male','L2Npc',40,189460,855,641.88,2.35,84,71,73,76,70,80,562,1,5261,1047,3228,425,526,0,3819,0,0,0,105,315,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35061,35061,'Nephilim Mercenary',0,'',0,'Monster3.Elite_Mage',23,40.5,72,'male','L2Npc',40,185726,800,640.8,2.35,84,71,73,76,70,80,518,1,4792,983,2909,399,613,0,3819,7,0,0,81,315,'mercenary_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35062,35062,'Headquarters',0,'',0,'Deco.flag_a',21,82,1,'etc','L2Npc',40,158000,989,3.16,0.91,40,43,30,21,20,10,0,0,652,753,358,295,423,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35063,35063,'Gludio Holy Artifact',0,'',0,'NPC.castle_kent_statue_jewel',25,98,20,'etc','L2Artefact',40,541,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35064,35064,'Baron Lewin Waldner',0,'',0,'NPC.a_lord_MHuman',7,23,65,'male','L2SiegeGuard',40,55449,3958,11.85,2.78,40,43,30,21,20,10,422,1,4308,418,619,340,278,0,333,79,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35065,35065,'Cronenberg',0,'Sir',0,'NPC.a_royal_guardA_MHuman',7,24,62,'male','L2SiegeGuard',40,51515,3653,11.85,2.78,40,43,30,21,20,10,384,1,3777,388,532,315,278,0,333,142,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35066,35066,'Royal Knight',0,'Gludio',0,'NPC.a_royal_guardA_MHuman',7,24,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35067,35067,'Court Sorcerer',0,'Gludio',0,'NPC.a_patriarch_MElf',8,22.5,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35068,35068,'Court Sorcerer',0,'Gludio',0,'NPC.a_mageguild_master_FHuman',8,23,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35069,35069,'Court Guard',0,'Gludio',0,'NPC.a_royal_guardB_MHuman',7,24,58,'male','L2SiegeGuard',80,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35070,35070,'Guard',0,'Gludio',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35071,35071,'Guard',0,'Gludio',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35072,35072,'Guard',0,'Gludio',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35073,35073,'Guard',0,'Gludio',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35074,35074,'Guard',0,'Gludio',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35075,35075,'Guard',0,'Gludio',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35076,35076,'Guard',0,'Gludio',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35077,35077,'Guard',0,'Gludio',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35078,35078,'Guard',0,'Gludio',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35079,35079,'Royal Knight',0,'Gludio',0,'NPC.a_royal_guardA_MHuman',7,24,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35080,35080,'Court Sorcerer',0,'Gludio',0,'NPC.a_patriarch_MElf',8,22.5,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35081,35081,'Court Sorcerer',0,'Gludio',0,'NPC.a_mageguild_master_FHuman',8,23,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35082,35082,'Court Guard',0,'Gludio',0,'NPC.a_royal_guardB_MHuman',7,24,58,'male','L2SiegeGuard',80,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35083,35083,'Guard',0,'Gludio',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,93,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35084,35084,'Guard',0,'Gludio',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35085,35085,'Guard',0,'Gludio',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35086,35086,'Guard',0,'Gludio',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35087,35087,'Guard',0,'Gludio',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35088,35088,'Guard',0,'Gludio',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35089,35089,'Guard',0,'Gludio',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35090,35090,'Guard',0,'Gludio',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35091,35091,'Guard',0,'Gludio',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'gludio_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35092,35092,'Gatekeeper',0,'Gludio',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2724,1019,10.27,2.45,40,43,30,21,20,10,0,0,706,331,382,269,278,0,333,0,0,0,55,0,'gludio_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35093,35093,'Gatekeeper',0,'Gludio',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2724,1019,10.27,2.45,40,43,30,21,20,10,0,0,706,331,382,269,278,0,333,0,0,0,55,0,'gludio_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35094,35094,'Gatekeeper',0,'Gludio',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2724,1019,10.27,2.45,40,43,30,21,20,10,0,0,706,331,382,269,278,0,333,0,0,0,55,0,'gludio_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35095,35095,'Mass Gatekeeper',0,'Gludio',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleTeleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35096,35096,'Outer Doorman',0,'Gludio',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35097,35097,'Inner Doorman',0,'Gludio',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35098,35098,'Blacksmith',0,'Gludio',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2CastleBlacksmith',80,3862,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,278,0,333,89,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35099,35099,'Warehouse Keeper',0,'Gludio',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2CastleWarehouse',80,3862,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35100,35100,'Sayres',0,'Chamberlain',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2CastleChamberlain',40,3862,152641,11.85,255.96,40,43,30,21,20,10,490,10,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35101,35101,'Grad',0,'Wyvern Manager',0,'NPC.a_traderB_MHuman',8,25,70,'male','L2CastleWyvernManager',80,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35102,35102,'Greenspan',0,'Mercenary Manager',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2MercManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35103,35103,'Manor Manager',0,'Gludio',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35104,35104,'Tyron',0,'Sir',0,'NPC.a_guard_MHuman',8,24,70,'male','L2SiegeNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,74,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35105,35105,'Dion Holy Artifact',0,'',0,'NPC.castle_kent_statue_jewel',25,98,20,'etc','L2Artefact',40,541,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35106,35106,'Duke Byron Ashton',0,'',0,'NPC.a_lord_MHuman',7,23,65,'male','L2SiegeGuard',40,55449,3958,11.85,2.78,40,43,30,21,20,10,422,1,4308,418,619,340,278,0,333,79,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35107,35107,'Ivano',0,'Sir',0,'NPC.a_royal_guardA_MHuman',7,24,62,'male','L2SiegeGuard',40,51515,3653,11.85,2.78,40,43,30,21,20,10,384,1,3777,388,532,315,278,0,333,142,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35108,35108,'Royal Knight',0,'Dion',0,'NPC.a_royal_guardA_MHuman',7,24,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35109,35109,'Court Sorcerer',0,'Dion',0,'NPC.a_patriarch_MElf',8,22.5,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35110,35110,'Court Sorcerer',0,'Dion',0,'NPC.a_mageguild_master_FHuman',8,23,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35111,35111,'Court Guard',0,'Dion',0,'NPC.a_royal_guardB_MHuman',7,24,58,'male','L2SiegeGuard',80,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35112,35112,'Guard',0,'Dion',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35113,35113,'Guard',0,'Dion',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35114,35114,'Guard',0,'Dion',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35115,35115,'Guard',0,'Dion',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35116,35116,'Guard',0,'Dion',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35117,35117,'Guard',0,'Dion',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35118,35118,'Guard',0,'Dion',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35119,35119,'Guard',0,'Dion',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35120,35120,'Guard',0,'Dion',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35121,35121,'Royal Knight',0,'Dion',0,'NPC.a_royal_guardA_MHuman',7,24,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35122,35122,'Court Sorcerer',0,'Dion',0,'NPC.a_patriarch_MElf',8,22.5,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35123,35123,'Court Sorcerer',0,'Dion',0,'NPC.a_mageguild_master_FHuman',8,23,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35124,35124,'Court Guard',0,'Dion',0,'NPC.a_royal_guardB_MHuman',7,24,58,'male','L2SiegeGuard',80,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35125,35125,'Court Guard',0,'Dion',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,93,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35126,35126,'Court Guard',0,'Dion',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35127,35127,'Court Guard',0,'Dion',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35128,35128,'Court Guard',0,'Dion',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35129,35129,'Court Guard',0,'Dion',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35130,35130,'Court Guard',0,'Dion',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35131,35131,'Court Guard',0,'Dion',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35132,35132,'Court Guard',0,'Dion',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35133,35133,'Court Guard',0,'Dion',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'dion_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35134,35134,'Gatekeeper',0,'Dion',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'dion_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35135,35135,'Gatekeeper',0,'Dion',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'dion_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35136,35136,'Gatekeeper',0,'Dion',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'dion_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35137,35137,'Mass Gatekeeper',0,'Dion',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleTeleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35138,35138,'Outer Doorman',0,'Dion',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35139,35139,'Inner Doorman',0,'Dion',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35140,35140,'Blacksmith',0,'Dion',0,'NPC.a_smith_MDwarf',8,17,70,'male','L2CastleBlacksmith',80,3862,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35141,35141,'Warehouse Keeper',0,'Dion',0,'NPC.a_warehouse_keeper_MDwarf',20,18,70,'male','L2CastleWarehouse',80,3862,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35142,35142,'Crosby',0,'Chamberlain',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2CastleChamberlain',40,3862,152641,11.85,255.96,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35143,35143,'Hodler',0,'Wyvern Manager',0,'NPC.a_traderB_MHuman',20,24,70,'male','L2CastleWyvernManager',80,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35144,35144,'Mercenary Manager Sanford',0,'Mercenary Manager',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2MercManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35145,35145,'Manor Manager',0,'Dion',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35146,35146,'Gibbson',0,'Herald',0,'NPC.a_guard_MHuman',8,24,70,'male','L2SiegeNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,278,0,333,74,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35147,35147,'Giran Holy Artifact',0,'',0,'NPC.castle_kent_statue_jewel',25,98,20,'etc','L2Artefact',40,541,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35148,35148,'Baron Carmon Esthus',0,'',0,'NPC.a_lord_MHuman',7,23,65,'male','L2SiegeGuard',40,55449,3958,11.85,2.78,40,43,30,21,20,10,422,1,4308,418,619,340,278,0,333,79,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35149,35149,'Ulric',0,'Sir',0,'NPC.a_royal_guardA_MHuman',7,24,62,'male','L2SiegeGuard',40,51515,3653,11.85,2.78,40,43,30,21,20,10,384,1,3777,388,532,315,278,0,333,142,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35150,35150,'Royal Knight',0,'Giran',0,'NPC.a_royal_guardA_MHuman',7,24,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35151,35151,'Court Sorcerer',0,'Giran',0,'NPC.a_patriarch_MElf',8,22.5,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35152,35152,'Court Sorcerer',0,'Giran',0,'NPC.a_mageguild_master_FHuman',8,23,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35153,35153,'Court Guard',0,'Giran',0,'NPC.a_royal_guardB_MHuman',7,24,58,'male','L2SiegeGuard',80,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35154,35154,'Guard',0,'Giran',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35155,35155,'Guard',0,'Giran',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35156,35156,'Guard',0,'Giran',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35157,35157,'Guard',0,'Giran',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35158,35158,'Guard',0,'Giran',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35159,35159,'Guard',0,'Giran',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35160,35160,'Guard',0,'Giran',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35161,35161,'Guard',0,'Giran',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35162,35162,'Guard',0,'Giran',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35163,35163,'Royal Knight',0,'Giran',0,'NPC.a_royal_guardA_MHuman',7,24,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35164,35164,'Court Sorcerer',0,'Giran',0,'NPC.a_patriarch_MElf',8,22.5,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35165,35165,'Court Sorcerer',0,'Giran',0,'NPC.a_mageguild_master_FHuman',8,23,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35166,35166,'Court Guard',0,'Giran',0,'NPC.a_royal_guardB_MHuman',7,24,58,'male','L2SiegeGuard',80,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35167,35167,'Guard',0,'Giran',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,93,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35168,35168,'Guard',0,'Giran',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35169,35169,'Guard',0,'Giran',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35170,35170,'Guard',0,'Giran',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35171,35171,'Guard',0,'Giran',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,2,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35172,35172,'Guard',0,'Giran',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35173,35173,'Guard',0,'Giran',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35174,35174,'Guard',0,'Giran',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35175,35175,'Guard',0,'Giran',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35176,35176,'Gatekeeper',0,'Giran',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'giran_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35177,35177,'Gatekeeper',0,'Giran',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'giran_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35178,35178,'Gatekeeper',0,'Giran',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'giran_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35179,35179,'Mass Gatekeeper',0,'Giran',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleTeleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35180,35180,'Outer Doorman',0,'Giran',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35181,35181,'Inner Doorman',0,'Giran',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35182,35182,'Blacksmith',0,'Giran',0,'NPC.a_smith_MDwarf',8,17,70,'male','L2CastleBlacksmith',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,88,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35183,35183,'Warehouse Keeper',0,'Giran',0,'NPC.a_warehouse_keeper_MDwarf',8,23.5,70,'male','L2CastleWarehouse',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,88,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35184,35184,'Saul',0,'Chamberlain',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2CastleChamberlain',40,3862,152641,11.85,255.96,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35185,35185,'Bryce',0,'Wyvern Manager',0,'NPC.a_traderB_MHuman',7,25,70,'female','L2CastleWyvernManager',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,88,132,'giran_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35186,35186,'Arvid',0,'Mercenary Manager',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2MercManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35187,35187,'Manor Manager',0,'Giran',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35188,35188,'Holmes',0,'Sir',0,'NPC.a_guard_MHuman',8,24,70,'male','L2SiegeNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,74,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35189,35189,'Oren Holy Artifact',0,'',0,'NPC.castle_kent_statue_jewel',25,98,20,'etc','L2Artefact',40,541,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35190,35190,'Balthus Van Dyke',0,'Duke',0,'NPC.a_lord_MHuman',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,88,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35191,35191,'Quant',0,'Sir',0,'NPC.a_royal_guardA_MHuman',7,24,62,'male','L2SiegeGuard',40,51515,3653,11.85,2.78,40,43,30,21,20,10,384,1,3777,388,532,315,278,0,333,142,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35192,35192,'Royal Knight',0,'Oren',0,'NPC.a_royal_guardA_MHuman',7,24,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35193,35193,'Court Sorcerer',0,'Oren',0,'NPC.a_patriarch_MElf',8,22.5,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35194,35194,'Court Sorcerer',0,'Oren',0,'NPC.a_mageguild_master_FHuman',8,23,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35195,35195,'Court Guard',0,'Oren',0,'NPC.a_royal_guardB_MHuman',7,24,58,'male','L2SiegeGuard',80,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35196,35196,'Guard',0,'Oren',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35197,35197,'Guard',0,'Oren',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35198,35198,'Guard',0,'Oren',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35199,35199,'Guard',0,'Oren',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35200,35200,'Guard',0,'Oren',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35201,35201,'Guard',0,'Oren',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35202,35202,'Guard',0,'Oren',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35203,35203,'Guard',0,'Oren',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35204,35204,'Guard',0,'Oren',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35205,35205,'Royal Knight',0,'Oren',0,'NPC.a_royal_guardA_MHuman',7,24,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35206,35206,'Court Sorcerer',0,'Oren',0,'NPC.a_patriarch_MElf',8,22.5,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35207,35207,'Court Sorcerer',0,'Oren',0,'NPC.a_mageguild_master_FHuman',8,23,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35208,35208,'Court Guard',0,'Oren',0,'NPC.a_royal_guardB_MHuman',7,24,58,'male','L2SiegeGuard',80,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35209,35209,'Guard',0,'Oren',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,93,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35210,35210,'Guard',0,'Oren',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35211,35211,'Guard',0,'Oren',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35212,35212,'Guard',0,'Oren',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35213,35213,'Guard',0,'Oren',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35214,35214,'Guard',0,'Oren',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35215,35215,'Guard',0,'Oren',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35216,35216,'Guard',0,'Oren',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35217,35217,'Guard',0,'Oren',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'oren_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35218,35218,'Gatekeeper',0,'Oren',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'oren_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35219,35219,'Gatekeeper',0,'Oren',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'oren_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35220,35220,'Gatekeeper',0,'Oren',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'oren_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35221,35221,'Mass Gatekeeper',0,'Oren',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleTeleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35222,35222,'Outer Doorman',0,'Oren',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35223,35223,'Inner Doorman',0,'Oren',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35224,35224,'Blacksmith',0,'Oren',0,'NPC.a_smith_MDwarf',7,16.5,70,'male','L2CastleBlacksmith',80,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,278,0,333,89,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35225,35225,'Warehouse Keeper',0,'Oren',0,'NPC.a_warehouse_keeper_MDwarf',8,17,70,'male','L2CastleWarehouse',80,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35226,35226,'Brasseur',0,'Chamberlain',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2CastleChamberlain',40,3862,152641,11.85,255.96,40,43,30,21,20,10,490,10,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35227,35227,'Finrod',0,'Wyvern Manager',0,'NPC.a_trader_MElf',6,24.5,99,'male','L2CastleWyvernManager',80,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35228,35228,'Morrison',0,'Mercenary Manager',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2MercManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35229,35229,'Manor Manager',0,'Oren',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35230,35230,'Manor Manager',0,'Oren',0,'NPC.a_trader_MElf',6,24.5,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35231,35231,'Manor Manager',0,'Oren',0,'NPC.a_common_people_MDarkElf',7,23,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35232,35232,'Sherwood',0,'Messenger',0,'NPC.a_guard_MHuman',8,24,70,'male','L2SiegeNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,278,0,333,74,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35233,35233,'Aden Holy Artifact',0,'',0,'NPC.castle_kent_statue_jewel',25,98,20,'etc','L2Artefact',40,721,213,3.95,1.21,40,43,30,21,20,10,40,10,57,189,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35234,35234,'Amadeo Cadmus',0,'King',0,'NPC.a_lord_MHuman',7,23,75,'male','L2SiegeGuard',40,84582,6694,13.43,3.09,40,43,30,21,20,10,562,1,9383,523,957,425,278,0,333,80,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35235,35235,'Royal Knight',0,'Aden',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2SiegeGuard',40,38622,5975,11.85,2.78,40,43,30,21,20,10,490,1,3943,470,780,382,278,0,333,76,2497,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35236,35236,'Court Sorcerer',0,'Aden',0,'NPC.a_royal_guardA_MHuman',7,24,68,'male','L2SiegeGuard',40,37063,5693,11.85,2.78,40,43,30,21,20,10,462,1,3652,449,713,365,278,0,333,325,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35237,35237,'Court Sorcerer',0,'Aden',0,'NPC.a_royal_guardA_MHuman',7,24,68,'male','L2SiegeGuard',40,37063,5693,11.85,2.78,40,43,30,21,20,10,462,1,3652,449,713,365,278,0,333,193,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35238,35238,'Court Guard',0,'Aden',0,'NPC.a_royal_guardB_MHuman',7,24,68,'male','L2SiegeGuard',80,37063,5693,11.85,2.78,40,43,30,21,20,10,462,1,3652,449,713,365,237,0,333,1376,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35239,35239,'Guard',0,'Aden',0,'NPC.a_royal_guardB_MHuman',7,24,66,'male','L2SiegeGuard',80,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,237,0,333,300,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35240,35240,'Guard',0,'Aden',0,'NPC.a_royal_guardB_MHuman',7,24,66,'male','L2SiegeGuard',40,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,278,0,333,132,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35241,35241,'Guard',0,'Aden',0,'NPC.a_guard_MElf',8,23.5,66,'male','L2SiegeGuard',1100,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,7486,428,649,348,249,0,333,14,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35242,35242,'Guard',0,'Aden',0,'NPC.a_guard_FDarkelf',7,25,66,'female','L2SiegeGuard',80,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,237,0,333,16,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35243,35243,'Guard',0,'Aden',0,'NPC.a_guard_FDarkelf',7,25,66,'female','L2SiegeGuard',40,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,278,0,333,2,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35244,35244,'Guard',0,'Aden',0,'NPC.a_guard_FDarkelf',7,25,66,'female','L2SiegeGuard',1100,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,7486,428,649,348,249,0,333,14,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35245,35245,'Guard',0,'Aden',0,'NPC.a_guard_MHuman',8,24,66,'male','L2SiegeGuard',80,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,237,0,333,16,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35246,35246,'Guard',0,'Aden',0,'NPC.a_guard_MHuman',8,24,66,'male','L2SiegeGuard',40,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,278,0,333,2,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35247,35247,'Guard',0,'Aden',0,'NPC.a_guard_MHuman',8,24,66,'male','L2SiegeGuard',1100,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,7486,428,649,348,249,0,333,14,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35248,35248,'Royal Knight',0,'Aden',0,'NPC.a_royal_guardA_MHuman',7,24,70,'male','L2SiegeGuard',40,38622,5975,13.43,3.09,40,43,30,21,20,10,490,1,3943,470,780,382,278,0,333,76,2497,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35249,35249,'Court Sorcerer',0,'Aden',0,'NPC.a_patriarch_MElf',8,22.5,68,'male','L2SiegeGuard',40,37063,5693,13.43,3.09,40,43,30,21,20,10,462,1,3652,449,713,365,278,0,333,325,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35250,35250,'Court Sorcerer',0,'Aden',0,'NPC.a_mageguild_master_FHuman',8,23,68,'female','L2SiegeGuard',40,37063,5693,13.43,3.09,40,43,30,21,20,10,462,1,3652,449,713,365,278,0,333,193,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35251,35251,'Court Guard',0,'Aden',0,'NPC.a_royal_guardB_MHuman',7,24,68,'male','L2SiegeGuard',80,37063,5693,13.43,3.09,40,43,30,21,20,10,462,1,3652,449,713,365,237,0,333,300,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35252,35252,'Guard',0,'Aden',0,'NPC.a_guard_MElf',8,23.5,66,'male','L2SiegeGuard',80,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,237,0,333,16,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35253,35253,'Guard',0,'Aden',0,'NPC.a_guard_MElf',8,23.5,66,'male','L2SiegeGuard',40,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,278,0,333,2,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35254,35254,'Guard',0,'Aden',0,'NPC.a_guard_MElf',8,23.5,66,'male','L2SiegeGuard',1100,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,7486,428,649,348,249,0,333,285,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35255,35255,'Guard',0,'Aden',0,'NPC.a_guard_FDarkelf',7,25,66,'female','L2SiegeGuard',80,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,237,0,333,16,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35256,35256,'Guard',0,'Aden',0,'NPC.a_guard_FDarkelf',7,25,66,'female','L2SiegeGuard',40,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,278,0,333,2,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35257,35257,'Guard',0,'Aden',0,'NPC.a_guard_FDarkelf',7,25,66,'female','L2SiegeGuard',1100,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,7486,428,649,348,249,0,333,14,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35258,35258,'Guard',0,'Aden',0,'NPC.a_guard_MHuman',8,24,66,'male','L2SiegeGuard',80,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,237,0,333,16,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35259,35259,'Guard',0,'Aden',0,'NPC.a_guard_MHuman',8,24,66,'male','L2SiegeGuard',40,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,278,0,333,2,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35260,35260,'Guard',0,'Aden',0,'NPC.a_guard_MHuman',8,24,66,'male','L2SiegeGuard',1100,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,7486,428,649,348,249,0,333,14,0,0,55,132,'aden_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35261,35261,'Gatekeeper',0,'Aden',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,3633,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'aden_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35262,35262,'Gatekeeper',0,'Aden',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,3633,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'aden_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35263,35263,'Gatekeeper',0,'Aden',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,3633,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'aden_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35264,35264,'Gatekeeper',0,'Aden',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,3633,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'aden_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35265,35265,'Gatekeeper',0,'Aden',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,3633,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'aden_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35266,35266,'Mass Gatekeeper',0,'Aden',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleTeleporter',40,5149,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,941,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35267,35267,'Outer Doorman',0,'Aden',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,5149,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,941,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35268,35268,'Inner Doorman',0,'Aden',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,5149,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,941,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35269,35269,'Hall Doorman',0,'Aden',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35270,35270,'Inner Doorman',0,'Aden',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35271,35271,'Gatekeeper',0,'Aden',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35272,35272,'Blacksmith',0,'Aden',0,'NPC.a_smith_MDwarf',8,17,99,'male','L2CastleBlacksmith',80,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35273,35273,'Warehouse Keeper',0,'Aden',0,'NPC.a_warehouse_keeper_MDwarf',20,18,70,'male','L2CastleWarehouse',80,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35274,35274,'Logan',0,'Chamberlain',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2CastleChamberlain',40,3862,152641,11.85,255.96,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35275,35275,'Kruger',0,'Wyvern Manager',0,'NPC.a_fighterguild_teacher_MHuman',20,24,70,'male','L2CastleWyvernManager',80,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35276,35276,'Eldon',0,'Mercenary Manager',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2MercManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35277,35277,'Manor Manager',0,'Aden',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35278,35278,'Messenger Ruford',0,'Messenger',0,'NPC.a_guard_MHuman',8,24,70,'male','L2SiegeNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,135,0,0,50,160,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35279,35279,'Innadril Holy Artifact',0,'',0,'NPC.castle_kent_statue_jewel',25,98,20,'etc','L2Artefact',40,541,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35280,35280,'Baron Lionel Hunter',0,'',0,'NPC.a_lord_MHuman',7,23,65,'male','L2SiegeGuard',40,55449,3958,11.85,2.78,40,43,30,21,20,10,422,1,4308,418,619,340,278,0,333,79,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35281,35281,'Schaht',0,'Sir',0,'NPC.a_royal_guardA_MHuman',7,24,62,'male','L2SiegeGuard',40,51515,3653,11.85,2.78,40,43,30,21,20,10,384,1,3777,388,532,315,278,0,333,142,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35282,35282,'Royal Knight',0,'Innadril',0,'NPC.a_royal_guardA_MHuman',7,24,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35283,35283,'Court Sorcerer',0,'Innadril',0,'NPC.a_patriarch_MElf',8,22.5,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35284,35284,'Court Sorcerer',0,'Innadril',0,'NPC.a_mageguild_master_FHuman',8,23,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35285,35285,'Court Guard',0,'Innadril',0,'NPC.a_royal_guardB_MHuman',7,24,58,'male','L2SiegeGuard',80,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35286,35286,'Guard',0,'Innadril',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35287,35287,'Guard',0,'Innadril',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35288,35288,'Guard',0,'Innadril',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35289,35289,'Guard',0,'Innadril',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35290,35290,'Guard',0,'Innadril',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35291,35291,'Guard',0,'Innadril',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35292,35292,'Guard',0,'Innadril',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35293,35293,'Guard',0,'Innadril',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35294,35294,'Guard',0,'Innadril',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35295,35295,'Royal Knight',0,'Innadril',0,'NPC.a_royal_guardA_MHuman',7,24,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35296,35296,'Court Sorcerer',0,'Innadril',0,'NPC.a_patriarch_MElf',8,22.5,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35297,35297,'Court Sorcerer',0,'Innadril',0,'NPC.a_mageguild_master_FHuman',8,23,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35298,35298,'Court Guard',0,'Innadril',0,'NPC.a_royal_guardB_MHuman',7,24,58,'male','L2SiegeGuard',80,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35299,35299,'Guard',0,'Innadril',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,93,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35300,35300,'Guard',0,'Innadril',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35301,35301,'Guard',0,'Innadril',0,'NPC.a_guard_MElf',8,23.5,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35302,35302,'Guard',0,'Innadril',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35303,35303,'Guard',0,'Innadril',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35304,35304,'Guard',0,'Innadril',0,'NPC.a_guard_FDarkelf',7,25,56,'female','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35305,35305,'Guard',0,'Innadril',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35306,35306,'Guard',0,'Innadril',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35307,35307,'Guard',0,'Innadril',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35308,35308,'Gatekeeper',0,'Innadril',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'innadrile_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35309,35309,'Gatekeeper',0,'Innadril',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'innadrile_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35310,35310,'Gatekeeper',0,'Innadril',0,'NPC.a_guard_MHuman',8,24,56,'male','L2CastleDoormen',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'innadrile_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35311,35311,'Mass Gatekeeper',0,'Innadril',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleTeleporter',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35312,35312,'Outer Doorman',0,'Innadril',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35313,35313,'Inner Doorman',0,'Innadril',0,'NPC.a_guard_MHuman',8,24,70,'male','L2CastleDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35314,35314,'Blacksmith',0,'Innadril',0,'NPC.a_smith_MDwarf',8,17,70,'male','L2CastleBlacksmith',40,3633,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,88,132,'aden_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35315,35315,'Warehouse Keeper',0,'Innadril',0,'NPC.a_warehouse_keeper_MDwarf',8,24,70,'male','L2CastleWarehouse',40,3633,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,88,132,'aden_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35316,35316,'Neurath',0,'Chamberlain',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2CastleChamberlain',40,3862,152641,11.85,255.96,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35317,35317,'Tate',0,'Wyvern Manager',0,'NPC.a_traderB_MHuman',8,24,70,'male','L2CastleWyvernManager',40,3633,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,88,132,'aden_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35318,35318,'Solinus',0,'Mercenary Manager',0,'NPC.a_common_peopleA_MHuman',8,21.5,70,'male','L2MercManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1335,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35319,35319,'Manor Manager',0,'Innadril',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35320,35320,'Raybell',0,'Sir',0,'NPC.a_guard_MHuman',8,24,70,'male','L2SiegeNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,470,780,382,282,0,333,74,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35322,35322,'Altar of Fire',0,'',0,'NPC.godad_holything',25,65,20,'etc','L2Artefact',40,541,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35323,35323,'Altar of Water',0,'',0,'NPC.godad_holything',25,65,20,'etc','L2Artefact',40,541,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35324,35324,'Heinz',0,'Royal Guard Captain',0,'NPC.e_elmore_guard_Mhuman',8,23.5,62,'male','L2SiegeGuard',40,51515,3653,11.85,2.78,40,43,30,21,20,10,384,1,3777,388,532,315,278,0,333,142,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35325,35325,'Duke Mora Ken Abygail',0,'',0,'NPC.a_lord_MHuman',8,24,65,'male','L2SiegeGuard',40,55449,3958,11.85,2.78,40,43,30,21,20,10,422,1,4308,418,619,340,278,0,333,79,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35326,35326,'Royal Knight',0,'Goddard',0,'NPC.a_royal_guardA_MHuman',8,24,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35327,35327,'Court Sorcerer',0,'Goddard',0,'NPC.a_patriarch_MElf',8,24,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35328,35328,'Court Sorcerer',0,'Goddard',0,'NPC.a_mageguild_master_FHuman',8,24,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35329,35329,'Guard',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35330,35330,'Bodyguard',0,'Goddard',0,'NPC.e_guard_MDwarf',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35331,35331,'Bodyguard',0,'Goddard',0,'NPC.e_guard_MDwarf',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35332,35332,'Bodyguard',0,'Goddard',0,'NPC.a_guard_MElf',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35333,35333,'Bodyguard',0,'Goddard',0,'NPC.a_guard_FDarkelf',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35334,35334,'Bodyguard',0,'Goddard',0,'NPC.a_guard_FDarkelf',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35335,35335,'Bodyguard',0,'Goddard',0,'NPC.a_guard_FDarkelf',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35336,35336,'Bodyguard',0,'Goddard',0,'NPC.e_guard_MOrc',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35337,35337,'Bodyguard',0,'Goddard',0,'NPC.e_guard_MOrc',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35338,35338,'Bodyguard',0,'Goddard',0,'NPC.a_guard_MHuman',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35339,35339,'Royal Knight',0,'Goddard',0,'NPC.a_royal_guardA_MHuman',8,24,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35340,35340,'Court Sorcerer',0,'Goddard',0,'NPC.a_patriarch_MElf',8,24,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35341,35341,'Court Sorcerer',0,'Goddard',0,'NPC.a_mageguild_master_FHuman',8,24,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35342,35342,'Guard',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35343,35343,'Bodyguard',0,'Goddard',0,'NPC.e_guard_MDwarf',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,93,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35344,35344,'Bodyguard',0,'Goddard',0,'NPC.e_guard_MDwarf',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35345,35345,'Bodyguard',0,'Goddard',0,'NPC.a_guard_MElf',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,276,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35346,35346,'Bodyguard',0,'Goddard',0,'NPC.a_guard_FDarkelf',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35347,35347,'Bodyguard',0,'Goddard',0,'NPC.a_guard_FDarkelf',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35348,35348,'Bodyguard',0,'Goddard',0,'NPC.a_guard_FDarkelf',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35349,35349,'Bodyguard',0,'Goddard',0,'NPC.e_guard_MOrc',8,24,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35350,35350,'Bodyguard',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35351,35351,'Bodyguard',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'godad_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35352,35352,'Gatekeeper',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,56,'male','L2CastleDoormen',40,2724,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'godad_siege_clan',6000,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35353,35353,'Gatekeeper',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,56,'male','L2CastleDoormen',40,2724,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'godad_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35354,35354,'Gatekeeper',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,56,'male','L2CastleDoormen',40,2724,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'godad_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35355,35355,'Mass Gatekeeper',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,56,'male','L2CastleTeleporter',40,2724,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'godad_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35356,35356,'Outer Doorman',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,70,'male','L2CastleDoormen',40,3862,1019,11.85,2.78,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'godad_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35357,35357,'Inner Doorman',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,70,'male','L2CastleDoormen',40,3862,1019,11.85,2.78,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'godad_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35358,35358,'Inner Doorman',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,70,'male','L2CastleDoormen',40,3862,1019,11.85,2.78,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'godad_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35359,35359,'Gatekeeper',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,70,'male','L2CastleDoormen',40,3862,1019,11.85,2.78,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'godad_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35360,35360,'Gatekeeper',0,'Goddard',0,'NPC.e_elmore_guard_Mhuman',8,24,70,'male','L2CastleDoormen',40,3862,1019,11.85,2.78,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,55,132,'godad_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35361,35361,'Blacksmith',0,'Goddard',0,'NPC.a_smith_MDwarf',8,17,70,'male','L2CastleBlacksmith',40,3862,1019,11.85,2.78,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,88,132,'godad_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35362,35362,'Warehouse Keeper',0,'Goddard',0,'NPC.a_warehouse_keeper_MDwarf',8,24,70,'male','L2CastleWarehouse',40,3862,1019,11.85,2.78,40,43,30,21,20,10,313,10,706,662,382,268,282,0,333,0,0,0,88,132,'godad_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35363,35363,'Alfred',0,'Chamberlain',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2CastleChamberlain',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35364,35364,'Hadley',0,'Wyvern Manager',0,'NPC.a_common_peopleC_Mhuman',10,24,70,'male','L2CastleWyvernManager',40,3862,1710,13.43,3.09,40,21,30,20,35,10,6922,761,1770,584,962,434,278,0,692,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35365,35365,'Rowell',0,'Manager of Mercenary',0,'NPC.a_common_peopleC_Mhuman',10,24,70,'male','L2MercManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,55,132,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35366,35366,'Manor Manager',0,'Goddard',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35367,35367,'Daven',0,'Messenger',0,'NPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2SiegeNpc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,74,0,0,55,176,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35368,35368,'Bloody Lord Nurka',0,'',0,'Monster.oel_mahum',20,37,55,'male','L2Monster',40,1264000,987,63.2,2.45,40,43,30,21,20,10,1512,1,670,322,360,261,282,0,333,72,0,0,77,121,'partisan_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35369,35369,'Partisan Healer',0,'',0,'Monster.batur_orc_shaman',11,16,40,'male','L2Monster',40,1527,531,7.11,5.25,40,43,30,21,20,10,800,1,273,201,131,164,282,0,333,7,0,0,55,132,'partisan_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35370,35370,'Partisan Court Guard',0,'',0,'Monster.ol_mahum_champion',14,27,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,800,1,273,201,131,164,282,0,333,69,0,0,55,121,'partisan_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35371,35371,'Partisan Court Guard',0,'',0,'Monster.ol_mahum_archer',14,25,40,'male','L2Monster',1100,1527,531,7.11,1.84,40,43,30,21,20,10,800,1,333,201,131,164,254,0,333,14,0,0,55,121,'partisan_clan',300,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35372,35372,'Partisan Soldier',0,'',0,'Monster.ol_mahum',13.5,25,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,612,1,192,169,89,137,282,0,333,2,0,0,55,121,'partisan_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35373,35373,'Partisan Sorcerer',0,'',0,'Monster.batur_orc_shaman',11,16,35,'male','L2Monster',40,1220,446,7.11,1.84,40,43,30,21,20,10,612,1,192,169,89,137,282,0,333,7,0,0,55,132,'partisan_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35374,35374,'Partisan Archer',0,'',0,'Monster.ol_mahum_archer',14,25,35,'male','L2Monster',1100,1220,446,7.11,1.84,40,43,30,21,20,10,612,1,427,169,89,137,254,0,333,14,0,0,55,121,'partisan_clan',300,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35375,35375,'Bloody Lord Nurka',0,'',0,'Monster.oel_mahum',20,37,55,'male','L2Monster',40,1264000,987,94.8,2.45,40,43,30,21,20,10,1512,1,670,322,360,261,282,0,333,72,0,0,77,121,'partisan_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35376,35376,'Partisan Healer',0,'',0,'Monster.batur_orc_shaman',11,16,40,'male','L2Monster',40,1527,531,7.11,5.25,40,43,30,21,20,10,800,1,273,201,131,164,282,0,333,7,0,0,55,132,'partisan_clan',300,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35377,35377,'Partisan Court Guard',0,'',0,'Monster.ol_mahum_champion',14,27,40,'male','L2Monster',40,1527,531,7.11,1.84,40,43,30,21,20,10,800,1,273,201,131,164,282,0,333,69,0,0,55,121,'partisan_clan',300,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35378,35378,'Partisan Court Guard',0,'',0,'Monster.ol_mahum_archer',8.5,8.5,40,'male','L2Monster',40,594,227,7.11,1.84,40,43,30,21,20,10,882,41,65,101,25,80,278,0,333,0,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35379,35379,'Partisan Soldier',0,'',0,'Monster.ol_mahum',8.5,8.5,35,'male','L2Monster',40,631,242,7.11,1.84,40,43,30,21,20,10,948,45,71,106,28,83,278,0,333,0,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35380,35380,'Partisan Sorcerer',0,'',0,'Monster.batur_orc_shaman',8.5,8.5,35,'male','L2Monster',40,751,287,7.11,1.84,40,43,30,21,20,10,1143,57,91,119,37,94,278,0,333,0,0,0,55,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35381,35381,'Partisan Archer',0,'',0,'Monster.ol_mahum_archer',8.5,8.5,35,'male','L2Monster',40,840,318,7.11,1.84,40,43,30,21,20,10,1283,66,107,129,45,102,278,0,333,0,0,0,55,121,'NULL',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35382,35382,'Brakel',0,'Partisan Herald',0,'Monster.ol_mahum_champion',14,27,70,'male','L2Npc',40,3862,1493,5.53,1.53,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35383,35383,'Tamutak',0,'Ol Mahum Steward',0,'Monster.ol_mahum_champion',14,27,70,'male','L2Npc',40,3862,1493,7.11,1.84,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,171,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35384,35384,'Black',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,7.11,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35385,35385,'Renny',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35386,35386,'Boyer',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,7.11,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35387,35387,'Baback',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35388,35388,'Tim',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,8.69,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35389,35389,'Loring',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35390,35390,'Dillon',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,8.69,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35391,35391,'Latif',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35392,35392,'Bremmer',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,8.69,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35393,35393,'Faolan',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35394,35394,'Kalis',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,5.53,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35395,35395,'Kogan',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35396,35396,'Winker',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,5.53,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35397,35397,'Merton',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35398,35398,'Ruben',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,5.53,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35399,35399,'Luce',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35400,35400,'Horner',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,7.11,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35401,35401,'Amiel',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35402,35402,'Borna',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35403,35403,'Ron',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,7.11,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35404,35404,'Jamal',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35405,35405,'Flynn',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,8.69,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35406,35406,'Jabilo',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35407,35407,'Seth',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,8.69,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35408,35408,'Dietrich',0,'',0,'Monster.headless_knight',21,31,67,'male','L2Monster',40,16388,2777,8.69,2.14,60,57,73,76,70,80,448,0,3548,438,1510,356,333,0,3819,0,0,0,88,171,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35409,35409,'Mikhail',0,'',0,'Monster.headless_knight',21,31,67,'male','L2Monster',40,16388,2777,10.27,2.45,60,57,73,76,70,80,448,0,3548,438,1510,356,333,0,3819,0,0,0,88,171,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35410,35410,'Gustav',0,'',0,'Monster.headless_knight',21,31,70,'male','L2Monster',40,8092000,2987,17.85,2.78,60,57,73,76,70,80,490,0,3987,469,1732,381,333,0,3819,0,0,0,113,291,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35411,35411,'Doom Servant',0,'',0,'Monster.hungry_spirit',30,40,65,'male','L2Monster',40,9571,1150,11.85,2.78,40,43,30,21,20,10,422,0,2151,417,617,338,278,150,333,0,0,0,16,132,'gustav_clan',1000,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35412,35412,'Doom Guard',0,'',0,'Monster.hungry_spirit',30,40,66,'male','L2Monster',50,10639,1184,11.85,2.78,40,43,30,21,20,10,435,0,2243,427,649,347,278,0,333,0,0,0,16,132,'gustav_clan',1000,1,9,'LAST_HIT',0,0,0,'fighter','false'),
(35413,35413,'Doom Archer',0,'',0,'Monster.skeleton_archer',11,27,67,'male','L2Monster',1100,10879,1217,11.85,2.78,40,43,30,21,20,10,448,0,5191,438,680,356,249,0,333,286,0,0,44,154,'gustav_clan',700,1,9,'LAST_HIT',0,0,0,'archer','false'),
(35414,35414,'Doom Trooper',0,'',0,'Monster.skeleton_pikeman',10,28,68,'male','L2Monster',80,11118,1251,11.85,2.78,40,43,30,21,20,10,462,0,2839,449,713,364,238,0,333,301,0,0,55,170,'gustav_clan',1000,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35415,35415,'Doom Warrior',0,'',0,'Monster.skeleton_knight',10,25,69,'male','L2Monster',40,11353,1285,11.85,2.78,40,43,30,21,20,10,476,0,2529,459,745,373,317,150,333,71,0,0,44,176,'gustav_clan',1000,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35416,35416,'Doom Knight',0,'',0,'Monster.death_blader',15,45,70,'male','L2Monster',40,11586,1319,11.85,2.78,40,43,30,21,20,10,490,0,2297,469,779,381,278,150,333,1472,0,0,110,187,'gustav_clan',1000,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35417,35417,'Doorman of Hell',0,'',0,'Monster.dwarf_ghost',15,45,70,'male','L2Monster',40,11586,1319,13.43,3.09,40,43,30,21,20,10,490,0,2297,469,779,381,278,150,333,1472,0,0,88,132,'gustav_clan',1000,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35418,35418,'Doorman of Hell',0,'',0,'Monster.dwarf_ghost',15,45,70,'male','L2Monster',40,11586,1319,13.43,3.09,40,43,30,21,20,10,490,0,2297,469,779,381,278,150,333,1472,0,0,88,132,'gustav_clan',1000,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35419,35419,'Hephaeston',0,'Wyvern Manager',0,'Monster.human_ghost',10,20,70,'male','L2CastleWyvernManager',40,350000,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35420,35420,'Loken',0,'Messenger',0,'Monster.human_ghost',8,22,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,74,0,0,88,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35421,35421,'Biggerstaff',0,'Steward',0,'Monster.elf_ghost',7,21,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35422,35422,'Flag of Winner',0,'',0,'Deco.azit_a',100,72,56,'etc','L2Npc',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'dion_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35423,35423,'Red Flag',0,'',0,'Deco.azit_b',75,55,56,'etc','L2Npc',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'dion_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35424,35424,'Yellow Flag',0,'',0,'Deco.azit_b',75,55,56,'etc','L2Npc',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'dion_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35425,35425,'Green Flag',0,'',0,'Deco.azit_b',75,55,56,'etc','L2Npc',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'dion_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35426,35426,'Blue Flag',0,'',0,'Deco.azit_b',75,55,56,'etc','L2Npc',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'dion_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35427,35427,'Purple Flag',0,'',0,'Deco.azit_b',75,55,56,'etc','L2Npc',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'dion_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35428,35428,'Oel Mahum Berserker',0,'',0,'Monster.oel_mahum_warrior',20,38,60,'male','L2Monster',40,125202,3420,466.48,11.1,60,57,73,76,70,80,4320,247,680,1476,5200,598,333,0,3819,0,0,0,113,226,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35429,35429,'Oel Mahum Scout',0,'',0,'Monster.oel_mahum_warrior',20,38,60,'male','L2Monster',40,56341,3420,466.48,11.1,60,57,73,76,70,80,4320,247,680,1476,5200,598,333,0,3819,0,0,0,113,226,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35430,35430,'Oel Mahum Leader',0,'',0,'Monster.oel_mahum_witch_doctor',15,34,60,'male','L2Monster',40,62601,3420,466.48,11.1,60,57,73,76,70,80,4320,247,680,2953,5200,299,333,0,3819,0,0,0,113,226,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35431,35431,'Oel Mahum Cleric',0,'',0,'Monster.oel_mahum_witch_doctor',15,34,60,'male','L2Monster',40,62601,3420,466.48,11.1,60,57,73,76,70,80,4320,247,680,738,5200,1197,333,0,3819,0,0,0,113,226,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35432,35432,'Oel Mahum Thief',0,'',0,'Monster.oel_mahum_40_sm',12,19,60,'male','L2Monster',40,50080,3420,373.18,11.1,60,57,73,76,70,80,4320,247,544,1181,5200,538,333,0,3819,0,0,0,113,226,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35433,35433,'Inner Doorman',0,'',0,'Monster.oel_mahum',20,37,70,'male','L2Npc',40,5149,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,941,780,382,282,0,333,0,0,0,77,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35434,35434,'Inner Doorman',0,'',0,'Monster.oel_mahum',20,37,70,'male','L2Npc',40,5149,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,941,780,382,282,0,333,0,0,0,77,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35435,35435,'Outer Doorman',0,'',0,'Monster.oel_mahum',20,37,70,'male','L2Npc',40,5149,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,941,780,382,282,0,333,0,0,0,77,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35436,35436,'Outer Doorman',0,'',0,'Monster.oel_mahum',20,37,70,'male','L2Npc',40,5149,1493,11.85,2.78,40,43,30,21,20,10,490,10,1314,941,780,382,282,0,333,0,0,0,77,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35437,35437,'Messenger',0,'',0,'Monster.oel_mahum',20,37,56,'male','L2Npc',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,77,132,'dion_siege_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35438,35438,'Chamberlain',0,'',0,'Monster.oel_mahum',20,37,56,'male','L2ClanHallManager',40,2725,152641,10.27,255.96,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,77,132,'dion_siege_clan',600,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35439,35439,'Carey',0,'Clan Hall Manager',0,'NPC.a_maidB_FHuman',8,22,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35440,35440,'Daniel',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,350000,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35441,35441,'Dianne',0,'Clan Hall Manager',0,'NPC.a_maidA_FHuman',8,20.5,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35442,35442,'Jacques',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35443,35443,'Crissy',0,'Clan Hall Manager',0,'NPC.a_common_peopleB_FHuman',8,20.5,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35444,35444,'Joff',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35445,35445,'Albert',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35446,35446,'Niels',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35447,35447,'Korgen',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35448,35448,'Rudy',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35449,35449,'DiMaggio',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35450,35450,'Gellar',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35451,35451,'Emma',0,'Clan Hall Manager',0,'NPC.a_common_peopleB_FHuman',8,20.5,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35452,35452,'Theobolt',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35453,35453,'Adrienne',0,'Clan Hall Manager',0,'NPC.a_maidA_FHuman',8,20.5,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35454,35454,'Rosconne',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35455,35455,'Bianca',0,'Clan Hall Manager',0,'NPC.a_maidB_FHuman',8,22,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35456,35456,'Stewart',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35457,35457,'Gladys',0,'Clan Hall Manager',0,'NPC.a_maidA_FHuman',8,20.5,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35458,35458,'Theron',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35459,35459,'Regina',0,'Clan Hall Manager',0,'NPC.a_maidB_FHuman',8,22,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35460,35460,'Trey',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35461,35461,'Aida',0,'Clan Hall Manager',0,'NPC.a_traderC_Fhuman',8,22.5,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35462,35462,'Kalmer',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35463,35463,'Helga',0,'Clan Hall Manager',0,'NPC.a_common_peopleB_FHuman',8,20.5,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35464,35464,'Volfrem',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35465,35465,'Millicent',0,'Clan Hall Manager',0,'NPC.a_common_peopleB_FHuman',8,20.5,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35466,35466,'Gerard',0,'Clan Hall Gatekeeper',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35467,35467,'Branhillde',0,'Clan Hall Manager',0,'NPC.a_traderC_Fhuman',8,22.5,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35468,35468,'Lambert',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35469,35469,'Gods\' Altar',0,'',0,'NpcEV.rune_holything',35,65.5,20,'etc','L2Artefact',40,541,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35470,35470,'Astair van Halter',0,'King',0,'NPC.a_lord_MHuman',10,23,75,'male','L2SiegeGuard',40,84582,6694,13.43,3.09,40,43,30,21,20,10,562,1,9383,523,957,425,278,0,333,80,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35471,35471,'Royal Knight',0,'Rune',0,'NPC.a_royal_guardA_MHuman',10,23,70,'male','L2SiegeGuard',40,38622,5975,13.43,3.09,40,43,30,21,20,10,490,1,3943,470,780,382,278,0,333,76,2497,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35472,35472,'Court Sorcerer',0,'Rune',0,'NPC.a_patriarch_MElf',10,21,68,'male','L2SiegeGuard',40,37063,5693,13.43,3.09,40,43,30,21,20,10,462,1,3652,449,713,365,278,0,333,325,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35473,35473,'Court Sorcerer',0,'Rune',0,'NPC.a_mageguild_master_FHuman',10,21,68,'female','L2SiegeGuard',40,37063,5693,13.43,3.09,40,43,30,21,20,10,462,1,3652,449,713,365,278,0,333,193,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35474,35474,'Court Guard',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,68,'male','L2SiegeGuard',40,37063,5693,13.43,3.09,40,43,30,21,20,10,462,1,3652,449,713,365,278,0,333,94,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35475,35475,'Guard',0,'Rune',0,'NPC.e_guard_MDwarf',10,18,66,'male','L2SiegeGuard',80,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,7486,428,649,348,237,0,333,93,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35476,35476,'Guard',0,'Rune',0,'NPC.e_guard_MDwarf',10,18,66,'male','L2SiegeGuard',40,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,278,0,333,2499,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35477,35477,'Guard',0,'Rune',0,'NPC.a_guard_MElf',10,23,66,'male','L2SiegeGuard',1100,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,249,0,333,276,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35478,35478,'Guard',0,'Rune',0,'NPC.a_guard_FDarkelf',10,23,66,'female','L2SiegeGuard',80,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,237,0,333,16,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35479,35479,'Guard',0,'Rune',0,'NPC.a_guard_FDarkelf',10,23,66,'female','L2SiegeGuard',40,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,278,0,333,2,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35480,35480,'Guard',0,'Rune',0,'NPC.a_guard_FDarkelf',10,23,66,'female','L2SiegeGuard',1100,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,249,0,333,14,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35481,35481,'Guard',0,'Rune',0,'NPC.e_guard_MOrc',10,27,66,'male','L2SiegeGuard',80,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,7486,428,649,348,237,0,333,16,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35482,35482,'Guard',0,'Rune',0,'NPC.e_guard_MOrc',10,27,66,'male','L2SiegeGuard',40,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,278,0,333,2,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35483,35483,'Guard',0,'Rune',0,'NPC.a_guard_MHuman',10,23,66,'male','L2SiegeGuard',1100,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,249,0,333,14,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35484,35484,'Royal Knight',0,'Rune',0,'NPC.a_royal_guardA_MHuman',10,23,70,'male','L2SiegeGuard',40,38622,5975,13.43,3.09,40,43,30,21,20,10,490,1,3943,470,780,382,278,0,333,76,2497,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35485,35485,'Court Sorcerer',0,'Rune',0,'NPC.a_patriarch_MElf',10,21,68,'male','L2SiegeGuard',40,37063,5693,13.43,3.09,40,43,30,21,20,10,462,1,3652,449,713,365,278,0,333,325,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35486,35486,'Court Sorcerer',0,'Rune',0,'NPC.a_mageguild_master_FHuman',10,21,68,'female','L2SiegeGuard',40,37063,5693,13.43,3.09,40,43,30,21,20,10,462,1,3652,449,713,365,278,0,333,193,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35487,35487,'Court Guard',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,68,'male','L2SiegeGuard',40,37063,5693,13.43,3.09,40,43,30,21,20,10,462,1,3652,449,713,365,278,0,333,94,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35488,35488,'Guard',0,'Rune',0,'NPC.e_guard_MDwarf',10,18,66,'male','L2SiegeGuard',80,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,237,0,333,93,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35489,35489,'Guard',0,'Rune',0,'NPC.e_guard_MDwarf',10,18,66,'male','L2SiegeGuard',40,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,278,0,333,2499,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35490,35490,'Guard',0,'Rune',0,'NPC.a_guard_MElf',10,23,66,'male','L2SiegeGuard',1100,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,249,0,333,276,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35491,35491,'Guard',0,'Rune',0,'NPC.a_guard_FDarkelf',10,23,66,'female','L2SiegeGuard',80,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,7486,428,649,348,237,0,333,16,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35492,35492,'Guard',0,'Rune',0,'NPC.a_guard_FDarkelf',10,23,66,'female','L2SiegeGuard',40,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,278,0,333,2,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35493,35493,'Guard',0,'Rune',0,'NPC.a_guard_FDarkelf',10,23,66,'female','L2SiegeGuard',1100,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,249,0,333,14,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35494,35494,'Guard',0,'Rune',0,'NPC.e_guard_MOrc',10,27,66,'male','L2SiegeGuard',80,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,237,0,333,16,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35495,35495,'Guard',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,66,'male','L2SiegeGuard',40,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,7486,428,649,348,278,0,333,2,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35496,35496,'Guard',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,66,'male','L2SiegeGuard',1100,35465,5415,11.85,2.78,40,43,30,21,20,10,435,1,3369,428,649,348,249,0,333,14,0,0,55,132,'rune_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35497,35497,'Gatekeeper',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,56,'male','L2CastleDoormen',40,2724,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,55,132,'rune_siege_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35498,35498,'Gatekeeper',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,56,'male','L2CastleDoormen',40,2724,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,55,132,'rune_siege_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35499,35499,'Gatekeeper',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,56,'male','L2CastleDoormen',40,2724,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,55,132,'rune_siege_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35500,35500,'Gatekeeper',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,56,'male','L2CastleDoormen',40,2724,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,55,132,'rune_siege_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35501,35501,'Gatekeeper',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,56,'male','L2CastleDoormen',40,2724,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,55,132,'rune_siege_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35502,35502,'Group Gatekeeper',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,70,'male','L2CastleTeleporter',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,55,132,'rune_siege_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35503,35503,'Outer Doorman',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,70,'male','L2CastleDoormen',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,55,132,'rune_siege_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35504,35504,'Inner Doorman',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,70,'male','L2CastleDoormen',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,55,132,'rune_siege_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35505,35505,'Inner Doorman',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,70,'male','L2CastleDoormen',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,55,132,'rune_siege_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35506,35506,'Dungeon Gatekeeper',0,'Rune',0,'NPC.e_elmore_guard_Mhuman',10,23,70,'male','L2CastleDoormen',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,55,132,'rune_siege_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35507,35507,'Blacksmith',0,'Rune',0,'NPC.a_smith_MDwarf',8,17,70,'male','L2CastleBlacksmith',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,55,132,'rune_siege_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35508,35508,'Warehouse Keeper',0,'Rune',0,'NPC.a_warehouse_keeper_MDwarf',10,16,70,'male','L2CastleWarehouse',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,55,132,'rune_siege_clan',600,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35509,35509,'Frederick',0,'Chamberlain',0,'NPC.a_chamberlain_MHuman',10,22,70,'male','L2CastleChamberlain',40,3862,152641,13.43,255.96,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35510,35510,'Titus',0,'Wyvern Manager',0,'NPC.a_fighterguild_teacher_MHuman',10,23,70,'male','L2CastleWyvernManager',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35511,35511,'Gompus',0,'Mercenary Manager',0,'NPC.a_common_peopleC_Mhuman',10,23,70,'male','L2MercManager',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35512,35512,'Manor Manager',0,'Rune',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35513,35513,'Sherman',0,'Messenger',0,'NPC.e_elmore_guard_Mhuman',10,23,70,'male','L2SiegeNpc',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35514,35514,'Altar of Wind',0,'',0,'NPC.godad_holything',25,65,20,'etc','L2Artefact',40,541,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35515,35515,'Altar of Earth',0,'',0,'NPC.godad_holything',25,65,20,'etc','L2Artefact',40,541,213,3.95,1.21,40,43,30,21,20,10,40,10,57,94,23,76,282,0,333,0,0,0,55,0,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35516,35516,'Verus',0,'Royal Guard Captain',0,'NPC.e_elmore_guard_Mhuman',10,23,62,'male','L2SiegeGuard',40,51515,3653,11.85,2.78,40,43,30,21,20,10,384,1,3777,388,532,315,278,0,333,142,0,0,55,132,'schutt_siege_clan',1200,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35517,35517,'Swain Ken Orwen',0,'Count',0,'NPC.a_lord_MHuman',10,23,65,'male','L2SiegeGuard',40,55449,3958,11.85,2.78,40,43,30,21,20,10,422,1,4308,418,619,340,278,0,333,79,0,0,55,132,'schutt_siege_clan',1200,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35518,35518,'Royal Knight',0,'Schuttgart',0,'NPC.a_royal_guardA_MHuman',10,23,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35519,35519,'Court Sorcerer',0,'Schuttgart',0,'NPC.a_patriarch_MElf',10,21,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35520,35520,'Court Sorcerer',0,'Schuttgart',0,'NPC.a_mageguild_master_FHuman',10,23,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35521,35521,'Court Guard',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',10,23,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,94,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35522,35522,'Guard',0,'Schuttgart',0,'NPC.e_guard_MDwarf',10,18,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,93,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35523,35523,'Guard',0,'Schuttgart',0,'NPC.e_guard_MDwarf',10,18,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35524,35524,'Guard',0,'Schuttgart',0,'NPC.a_guard_MElf',10,23,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,249,0,333,276,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35525,35525,'Guard',0,'Schuttgart',0,'NPC.a_guard_FDarkelf',10,23,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35526,35526,'Guard',0,'Schuttgart',0,'NPC.a_guard_FDarkelf',10,23,56,'female','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35527,35527,'Guard',0,'Schuttgart',0,'NPC.a_guard_FDarkelf',10,23,56,'female','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,249,0,333,14,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35528,35528,'Guard',0,'Schuttgart',0,'NPC.e_guard_MOrc',10,27,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35529,35529,'Guard',0,'Schuttgart',0,'NPC.e_guard_MOrc',10,27,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35530,35530,'Guard',0,'Schuttgart',0,'NPC.a_guard_MHuman',10,23,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,249,0,333,14,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35531,35531,'Royal Knight',0,'Schuttgart',0,'NPC.a_royal_guardA_MHuman',10,23,60,'male','L2SiegeGuard',40,24436,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35532,35532,'Court Sorcerer',0,'Schuttgart',0,'NPC.a_patriarch_MElf',20,21,58,'male','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,325,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35533,35533,'Court Sorcerer',0,'Schuttgart',0,'NPC.a_mageguild_master_FHuman',20,23,58,'female','L2SiegeGuard',40,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,300,0,333,193,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35534,35534,'Court Guard',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',20,23,58,'male','L2SiegeGuard',80,23114,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,94,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35535,35535,'Guard',0,'Schuttgart',0,'NPC.e_guard_MDwarf',10,18,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,93,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35536,35536,'Guard',0,'Schuttgart',0,'NPC.e_guard_MDwarf',10,18,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2499,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35537,35537,'Guard',0,'Schuttgart',0,'NPC.a_guard_MElf',10,23,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,249,0,333,276,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35538,35538,'Guard',0,'Schuttgart',0,'NPC.a_guard_FDarkelf',10,23,56,'female','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35539,35539,'Guard',0,'Schuttgart',0,'NPC.a_guard_FDarkelf',10,23,56,'female','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35540,35540,'Guard',0,'Schuttgart',0,'NPC.a_guard_FDarkelf',10,23,56,'female','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,249,0,333,14,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35541,35541,'Guard',0,'Schuttgart',0,'NPC.e_guard_MOrc',10,27,56,'male','L2SiegeGuard',80,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,237,0,333,16,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35542,35542,'Guard',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',10,23,56,'male','L2SiegeGuard',40,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,2,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35543,35543,'Guard',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',10,23,56,'male','L2SiegeGuard',1100,21799,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,249,0,333,14,0,0,55,132,'schutt_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35544,35544,'Gatekeeper',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',10,23,56,'male','L2CastleDoormen',40,2724,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35545,35545,'Gatekeeper',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',10,23,56,'male','L2CastleDoormen',40,2724,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35546,35546,'Gatekeeper',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',8,24,56,'male','L2CastleDoormen',40,2724,44,13.43,3.09,40,43,30,21,20,10,490,10,2703,470,6964,764,409,0,3819,14,0,0,81,259,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35547,35547,'Group Gatekeeper',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',8,23.5,56,'male','L2CastleTeleporter',40,2724,44,13.43,3.09,40,43,30,21,20,10,490,10,2703,470,6964,764,409,0,3819,14,0,0,81,259,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35548,35548,'Outer Doorman',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',7,23,70,'female','L2CastleDoormen',40,3862,44,13.43,3.09,40,43,30,21,20,10,490,10,2703,470,6964,764,409,0,3819,14,0,0,81,259,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35549,35549,'Inner Doorman',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',8,23,70,'male','L2CastleDoormen',40,3862,44,13.43,3.09,40,43,30,21,20,10,490,10,2703,470,6964,764,409,0,3819,14,0,0,81,259,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35550,35550,'Inner Doorman',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',8,23,70,'male','L2CastleDoormen',40,3862,44,13.43,3.09,40,43,30,21,20,10,490,10,2703,470,6964,764,409,0,3819,14,0,0,81,259,'NULL',0,1,0,'LAST_HIT',0,0,0,'balanced','false'),
(35551,35551,'Doorman',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',10,23,70,'male','L2CastleDoormen',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35552,35552,'Doorman',0,'Schuttgart',0,'NPC.e_elmore_guard_Mhuman',10,23,70,'male','L2CastleDoormen',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35553,35553,'Blacksmith',0,'Schuttgart',0,'NPC.a_smith_MDwarf',8,17,70,'male','L2CastleBlacksmith',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35554,35554,'Warehouse Keeper',0,'Schuttgart',0,'NPC.a_warehouse_keeper_MDwarf',10,15,70,'male','L2CastleWarehouse',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35555,35555,'August',0,'Chamberlain',0,'NPC.a_chamberlain_MHuman',10,22,70,'male','L2CastleChamberlain',40,3862,152641,13.43,255.96,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35556,35556,'Gallic',0,'Wyvern Manager',0,'NPC.a_common_peopleC_Mhuman',10,23,70,'male','L2CastleWyvernManager',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35557,35557,'Kendrew',0,'Mercenary Manager',0,'NPC.a_common_peopleC_Mhuman',10,23,70,'male','L2MercManager',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35558,35558,'Manor Manager',0,'Schuttgart',0,'NPC.a_chamberlain_MHuman',9.5,22.5,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35559,35559,'Daguerre',0,'Messenger',0,'NPC.e_elmore_guard_Mhuman',10,23,70,'male','L2SiegeNpc',40,3862,44,13.43,3.09,40,43,30,21,20,10,30,2,4,40,3,31,253,0,333,0,0,0,22,55,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35560,35560,'Mass Gatekeeper',0,'',0,'Monster.oel_mahum',7,23,56,'male','L2Teleporter',40,2724,3958,23.7,2.78,40,43,30,21,20,10,422,1,4308,418,619,340,278,0,333,79,0,0,88,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35561,35561,'Mass Gatekeeper',0,'',0,'Monster.oel_mahum',7,24,56,'male','L2Teleporter',40,2724,3653,23.7,2.78,40,43,30,21,20,10,384,1,3777,388,532,315,278,0,333,142,0,0,88,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35562,35562,'Mass Gatekeeper',0,'',0,'Monster.oel_mahum',7,24,56,'male','L2Teleporter',40,2724,3452,10.27,2.45,40,43,30,21,20,10,360,1,1721,368,478,299,278,0,333,76,2497,0,88,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35563,35563,'Mass Gatekeeper',0,'',0,'Monster.oel_mahum',8,25,56,'female','L2Teleporter',40,2724,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'dion_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35564,35564,'Mass Gatekeeper',0,'',0,'Monster.oel_mahum',8,23,56,'female','L2Teleporter',40,2724,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,278,0,333,193,0,0,88,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35565,35565,'Mass Gatekeeper',0,'',0,'Monster.oel_mahum',7,24,56,'male','L2Teleporter',40,2724,3254,10.27,2.45,40,43,30,21,20,10,336,1,1562,349,428,284,237,0,333,94,0,0,88,132,'innadrile_siege_clan',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35566,35566,'Ronald',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,10.27,255.96,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,0,0,0,50,1,'NULL',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35567,35567,'Emil',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,3059,10.27,2.45,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,0,0,0,50,120,'NULL',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35568,35568,'Wayne',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,10.27,255.96,40,43,30,21,20,10,313,1,3139,331,382,269,278,0,333,0,0,0,50,1,'NULL',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35569,35569,'Daniel',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35570,35570,'Patty',0,'Clan Hall Manager',0,'NPC.a_traderC_Fhuman',8,22.5,70,'female','L2ClanHallManager',40,3862,152641,10.27,255.96,40,43,30,21,20,10,313,1,1412,331,382,269,278,0,333,0,0,0,50,1,'NULL',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35571,35571,'Dale',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'female','L2ClanHallDoormen',40,3862,3059,10.27,2.45,40,43,30,21,20,10,313,1,3139,331,382,269,278,0,333,0,0,0,50,120,'NULL',1200,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35572,35572,'Jimmy',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35573,35573,'Shawn',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35574,35574,'Michael',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35575,35575,'Ryan',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35576,35576,'Jack',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35577,35577,'Harry',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35578,35578,'Karuto',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35579,35579,'Egon',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35580,35580,'Carol',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35581,35581,'Osho',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35582,35582,'Stanley',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35583,35583,'Walter',0,'Clan Hall Gatekeeper',0,'NPC.a_common_peopleB_MHuman',8,22,70,'male','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35584,35584,'Billy',0,'Clan Hall Manager',0,'NPC.a_casino_MHuman',8,23,70,'male','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35585,35585,'Alice',0,'Clan Hall Gatekeeper',0,'NPC.a_traderC_Fhuman',8,22.5,70,'female','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35586,35586,'Serena',0,'Clan Hall Manager',0,'NPC.a_maidA_FHuman',8,20.5,70,'female','L2ClanHallManager',40,3862,152641,11.85,255.96,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,1,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35587,35587,'Neria',0,'Clan Hall Gatekeeper',0,'NPC.a_traderC_Fhuman',8,22.5,70,'female','L2ClanHallDoormen',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35588,35588,'Hot Springs Gourd',0,'',0,'NPC.drop_gourd_50_bi',20,31,56,'male','L2Npc',40,64201,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35589,35589,'Hot Springs Gourd',0,'',0,'NPC.drop_gourd_50_bi',20,31,56,'male','L2Npc',40,64201,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35590,35590,'Hot Springs Gourd',0,'',0,'NPC.drop_gourd_50_bi',20,31,56,'male','L2Npc',40,64201,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35591,35591,'Hot Springs Gourd',0,'',0,'NPC.drop_gourd_50_bi',20,31,56,'male','L2Npc',40,64201,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35592,35592,'Enraged Yeti',0,'',0,'Monster.yeti',20,31,56,'male','L2Npc',40,2724,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35593,35593,'Treasure Chest',0,'',0,'Monster.mimic',20,31,52,'male','L2Npc',40,2402,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35594,35594,'Treasure Chest',0,'',0,'Monster.mimic',20,31,52,'male','L2Npc',40,2402,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35595,35595,'Treasure Chest',0,'',0,'Monster.mimic',20,31,52,'male','L2Npc',40,600,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35596,35596,'Hot Springs Yeti',0,'Maitre \'D',0,'NPC.yeti_cute',5,11.5,56,'male','L2Npc',40,2724,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35597,35597,'Hot Springs Yeti',0,'Maitre \'D',0,'NPC.yeti_cute',5,11.5,56,'male','L2Npc',40,2724,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35598,35598,'Hot Springs Yeti',0,'Maitre \'D',0,'NPC.yeti_cute',5,11.5,56,'male','L2Npc',40,2724,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35599,35599,'Hot Springs Yeti',0,'Maitre \'D',0,'NPC.yeti_cute',5,11.5,56,'male','L2Npc',40,2724,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35600,35600,'Manager',0,'',0,'NPC.yeti_cute',5,11.5,56,'male','L2Npc',40,2724,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35601,35601,'Doorman',0,'',0,'NPC.yeti_cute',5,11.5,70,'male','L2Npc',40,3862,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35602,35602,'Doorman',0,'',0,'NPC.yeti_cute',5,11.5,70,'male','L2Npc',40,3862,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35603,35603,'Coordinator',0,'',0,'Monster.yeti',15,27.5,70,'male','L2Npc',40,3862,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35604,35604,'Messenger',0,'',0,'NPC.yeti_cute',5,11.5,56,'male','L2Npc',40,2724,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35605,35605,'Angout',0,'Steward',0,'Monster.yeti',15,27.5,56,'male','L2Npc',40,2724,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35606,35606,'Victor\'s Flag',0,'',0,'NpcEV.azit_contest_pile_winner',63.5,97.5,99,'male','L2Npc',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35607,35607,'Red Flag',0,'',0,'NpcEV.azit_contest_pile_a',52,195.5,99,'male','L2Npc',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35608,35608,'Yellow Flag',0,'',0,'NpcEV.azit_contest_pile_b',51.8,108.25,99,'male','L2Npc',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35609,35609,'Green Flag',0,'',0,'NpcEV.azit_contest_pile_c',51.8,108.25,99,'male','L2Npc',40,400000,9999,13.43,3.09,40,43,30,21,20,10,0,0,9000,5000,6000,6000,300,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35610,35610,'Blue Flag',0,'',0,'NpcEV.azit_contest_pile_d',51.8,108.25,56,'male','L2SiegeGuard',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'innadrile_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35611,35611,'Purple Flag',0,'',0,'NpcEV.azit_contest_pile_e',51.8,108.25,56,'male','L2SiegeGuard',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'innadrile_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35612,35612,'Group Gatekeeper',0,'',0,'Monster.kel_mahum',13,26,56,'male','L2SiegeGuard',40,2725,1019,10.27,2.45,40,43,30,21,20,10,313,10,706,331,382,268,282,0,333,0,0,0,55,132,'innadrile_siege_clan',600,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35613,35613,'Group Gatekeeper',0,'',0,'Monster.kel_mahum',13,26,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35614,35614,'Group Gatekeeper',0,'',0,'Monster.kel_mahum',13,26,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35615,35615,'Group Gatekeeper',0,'',0,'Monster.kel_mahum',13,26,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35616,35616,'Group Gatekeeper',0,'',0,'Monster.kel_mahum',13,26,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35617,35617,'Group Gatekeeper',0,'',0,'Monster.kel_mahum',13,26,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35618,35618,'Frenzied Cougar',0,'',0,'Monster.saber_toothed_tiger',10,28,60,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35619,35619,'Frenzied Buffalo',0,'',0,'Monster2.buffalo',22,31,60,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35620,35620,'Frenzied Kookaburra',0,'',0,'Monster2.rough_ostrich',10,33,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35621,35621,'Frenzied Buffalo Baby',0,'',0,'Monster2.baby_buffalo',12,15,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35622,35622,'Frenzied Baby Cougar',0,'',0,'Monster2.baby_tiger',11,15.7,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35623,35623,'Inner Doorman',0,'',0,'Monster.kel_mahum_champion',13,32,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35624,35624,'Inner Doorman',0,'',0,'Monster.kel_mahum_champion',13,32,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35625,35625,'Outer Doorman',0,'',0,'Monster.kel_mahum_champion',13,32,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35626,35626,'Outer Doorman',0,'',0,'Monster.kel_mahum_champion',13,32,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35627,35627,'Messenger',0,'',0,'Monster.kel_mahum_champion',13,32,56,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35628,35628,'Quigby',0,'Farm Manager',0,'Monster.kel_mahum_champion',13,32,56,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35629,35629,'Lidia von Hellmann',0,'',0,'Monster3.lidia_von_helmann',10,25.4,73,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35630,35630,'Alfred von Hellmann',0,'',0,'Monster3.Vampire_Troop_Leader',19,35,72,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35631,35631,'Giselle von Hellmann',0,'',0,'Monster2.vampire_wizard',5.5,28,72,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35632,35632,'Vampire Adept',0,'',0,'Monster2.vampire_witch',6,21.5,68,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35633,35633,'Vampire Soldier',0,'',0,'Monster2.vampire_soldier',10,15,68,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35634,35634,'Vampire Caster',0,'',0,'Monster2.vampire_witch',6,21.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35635,35635,'Vampire Magister',0,'',0,'Monster2.vampire_wizard',5.5,28,71,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35636,35636,'Vampire Warlord',0,'',0,'Monster2.vampire_warrior',9,31.5,72,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35637,35637,'Vampire Leader',0,'',0,'Monster2.vampire_lord',7.5,25.8,73,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35638,35638,'Valens',0,'Wyvern Manager',0,'Monster2.vampire_soldier',8,23.5,70,'male','L2CastleWyvernManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35639,35639,'Jacquard',0,'Messenger',0,'Monster2.vampire_soldier',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35640,35640,'Bandello',0,'Steward',0,'Monster2.vampire_soldier',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35641,35641,'Fortress Guard',0,'',0,'Monster2.vampire_soldier',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35642,35642,'Fortress Guard',0,'',0,'Monster2.vampire_soldier',8,23.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35643,35643,'Gate',0,'',0,'NpcEV.farm_hedge',184,24,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35644,35644,'Manor Manager',0,'Schuttgart',0,'NPC.a_traderA_MDwarf',8,17,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35645,35645,'Manor Manager',0,'Schuttgart',0,'NPC.e_trader_MOrc',8,23.5,70,'male','L2ManorManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35646,35646,'Vampire Caster',0,'',0,'Monster2.vampire_witch',6,21.5,70,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35647,35647,'Vampire Leader',0,'',0,'Monster2.vampire_lord',7.5,25.8,73,'male','L2Npc',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35648,35648,'Court Magician',0,'Gludio',0,'Monster3.Elite_Mage',6.5,21.96,70,'male','L2CastleMagician',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,255,0,333,8687,0,0,33,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35649,35649,'Court Magician',0,'Dion',0,'Monster3.Elite_Mage',6.5,21.96,70,'male','L2CastleMagician',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35650,35650,'Court Magician',0,'Giran',0,'Monster3.Elite_Mage',6.5,21.96,70,'male','L2CastleMagician',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35651,35651,'Court Magician',0,'Oren',0,'Monster3.Elite_Mage',6.5,21.96,70,'male','L2CastleMagician',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,255,0,333,8687,0,0,33,120,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35652,35652,'Court Magician',0,'Aden',0,'Monster3.Elite_Mage',6.5,21.96,70,'male','L2CastleMagician',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35653,35653,'Court Magician',0,'Innadril',0,'Monster3.Elite_Mage',6.5,21.96,70,'male','L2CastleMagician',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35654,35654,'Court Magician',0,'Goddard',0,'Monster3.Elite_Mage',6.5,21.96,70,'male','L2CastleMagician',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35655,35655,'Court Magician',0,'Rune',0,'Monster3.Elite_Mage',6.5,21.96,70,'male','L2CastleMagician',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35656,35656,'Court Magician',0,'Schuttgart',0,'Monster3.Elite_Mage',6.5,21.96,70,'male','L2CastleMagician',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,88,132,'NULL',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35657,35657,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35658,35658,'Foreman',0,'Shanty Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35659,35659,'Suspicious Merchant',0,'Shanty Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35660,35660,'Guard Captain',0,'Shanty Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35661,35661,'Archer Captain',0,'Shanty Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35662,35662,'Support Unit Captain',0,'Shanty Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35663,35663,'Engineering Manager',0,'Shanty Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35664,35664,'Logistics Officer',0,'Shanty Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35665,35665,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35666,35666,'Detention Camp Warden',0,'Shanty Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35667,35667,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35668,35668,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35669,35669,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35670,35670,'Rebel Commander',0,'Shanty Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',500,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35671,35671,'Decorated Rebel Soldier',0,'Shanty Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35672,35672,'Rebel Private',0,'Shanty Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35673,35673,'Court Guard',0,'Shanty Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35674,35674,'Guard',0,'Shanty Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(35675,35675,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35676,35676,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35677,35677,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35678,35678,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35679,35679,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35680,35680,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35681,35681,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35682,35682,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(35683,35683,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35684,35684,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35685,35685,'Ballista',0,'Shanty Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35686,35686,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35687,35687,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35688,35688,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35689,35689,'Foreman',0,'Southern Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35690,35690,'Suspicious Merchant',0,'Southern Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35691,35691,'Guard Captain',0,'Southern Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35692,35692,'Archer Captain',0,'Southern Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35693,35693,'General',0,'Southern Fortress',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35694,35694,'Support Unit Captain',0,'Southern Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35695,35695,'Engineering Manager',0,'Southern Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35696,35696,'Logistics Officer',0,'Southern Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35697,35697,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35698,35698,'Detention Camp Warden',0,'Southern Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35699,35699,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35700,35700,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35701,35701,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35702,35702,'Rebel Commander',0,'Southern Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35703,35703,'Decorated Rebel Soldier',0,'Southern Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35704,35704,'Rebel Private',0,'Southern Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35705,35705,'Court Guard',0,'Southern Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35706,35706,'Guard',0,'Southern Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(35707,35707,'Main Machine',0,'Control Room',0,'LineageNpcEV.machine_guard_a',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35708,35708,'Backup Power Unit',0,'Control Room',0,'LineageNpcEV.strange_mechanical_instrument',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35709,35709,'Control Unit',0,'Control Room',0,'LineageNpcEV.door_lock',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35710,35710,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35711,35711,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35712,35712,'Scout Golem',0,'Control Room',0,'LineageMonster.mechanic_golem',8,22,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35713,35713,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35714,35714,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35715,35715,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35716,35716,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35717,35717,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35718,35718,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(35719,35719,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35720,35720,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35721,35721,'General',0,'Officer\'s Barracks',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2FortCommander',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35722,35722,'Minister',0,'Officer\'s Barracks',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35723,35723,'Ballista',0,'Southern Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35724,35724,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35725,35725,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35726,35726,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35727,35727,'Foreman',0,'Hive Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35728,35728,'Suspicious Merchant',0,'Hive Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35729,35729,'Guard Captain',0,'Hive Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35730,35730,'Archer Captain',0,'Hive Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35731,35731,'Support Unit Captain',0,'Hive Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35732,35732,'Engineering Manager',0,'Hive Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35733,35733,'Logistics Officer',0,'Hive Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35734,35734,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35735,35735,'Detention Camp Warden',0,'Hive Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35736,35736,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35737,35737,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35738,35738,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35739,35739,'Rebel Commander',0,'Hive Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35740,35740,'Decorated Rebel Soldier',0,'Hive Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35741,35741,'Rebel Private',0,'Hive Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35742,35742,'Court Guard',0,'Hive Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35743,35743,'Guard',0,'Hive Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(35744,35744,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35745,35745,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35746,35746,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35747,35747,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35748,35748,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35749,35749,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35750,35750,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35751,35751,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(35752,35752,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35753,35753,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35754,35754,'Ballista',0,'Hive Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35755,35755,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35756,35756,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35757,35757,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35758,35758,'Foreman',0,'Valley Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35759,35759,'Suspicious Merchant',0,'Valley Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35760,35760,'Guard Captain',0,'Valley Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35761,35761,'Archer Captain',0,'Valley Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35762,35762,'General',0,'Valley Fortress',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35763,35763,'Support Unit Captain',0,'Valley Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35764,35764,'Engineering Manager',0,'Valley Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35765,35765,'Logistics Officer',0,'Valley Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35766,35766,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35767,35767,'Detention Camp Warden',0,'Valley Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35768,35768,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35769,35769,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35770,35770,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35771,35771,'Rebel Commander',0,'Valley Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35772,35772,'Decorated Rebel Soldier',0,'Valley Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35773,35773,'Rebel Private',0,'Valley Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35774,35774,'Court Guard',0,'Valley Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35775,35775,'Guard',0,'Valley Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(35776,35776,'Main Machine',0,'Control Room',0,'LineageNpcEV.machine_guard_a',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35777,35777,'Backup Power Unit',0,'Control Room',0,'LineageNpcEV.strange_mechanical_instrument',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35778,35778,'Control Unit',0,'Control Room',0,'LineageNpcEV.door_lock',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35779,35779,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35780,35780,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35781,35781,'Scout Golem',0,'Control Room',0,'LineageMonster.mechanic_golem',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35782,35782,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35783,35783,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35784,35784,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35785,35785,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35786,35786,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35787,35787,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(35788,35788,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35789,35789,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35790,35790,'General',0,'Officer\'s Barracks',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2FortCommander',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35791,35791,'Minister',0,'Officer\'s Barracks',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35792,35792,'Ballista',0,'Valley Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35793,35793,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35794,35794,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35795,35795,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35796,35796,'Foreman',0,'Ivory Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35797,35797,'Suspicious Merchant',0,'Ivory Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35798,35798,'Guard Captain',0,'Ivory Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35799,35799,'Archer Captain',0,'Ivory Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35800,35800,'Support Unit Captain',0,'Ivory Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35801,35801,'Engineering Manager',0,'Ivory Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35802,35802,'Logistics Officer',0,'Ivory Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35803,35803,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35804,35804,'Detention Camp Warden',0,'Ivory Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35805,35805,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35806,35806,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35807,35807,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35808,35808,'Rebel Commander',0,'Ivory Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35809,35809,'Decorated Rebel Soldier',0,'Ivory Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35810,35810,'Rebel Private',0,'Ivory Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35811,35811,'Court Guard',0,'Ivory Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35812,35812,'Guard',0,'Ivory Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(35813,35813,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35814,35814,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35815,35815,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35816,35816,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35817,35817,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35818,35818,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35819,35819,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35820,35820,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(35821,35821,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35822,35822,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35823,35823,'Ballista',0,'Ivory Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35824,35824,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35825,35825,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35826,35826,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35827,35827,'Foreman',0,'Narsell Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35828,35828,'Suspicious Merchant',0,'Narsell Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35829,35829,'Guard Captain',0,'Narsell Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35830,35830,'Archer Captain',0,'Narsell Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35831,35831,'Support Unit Captain',0,'Narsell Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35832,35832,'Engineering Manager',0,'Narsell Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35833,35833,'Logistics Officer',0,'Narsell Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35834,35834,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35835,35835,'Detention Camp Warden',0,'Narsell Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35836,35836,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35837,35837,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35838,35838,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35839,35839,'Rebel Commander',0,'Narsell Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35840,35840,'Decorated Rebel Soldier',0,'Narsell Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35841,35841,'Rebel Private',0,'Narsell Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35842,35842,'Court Guard',0,'Narsell Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35843,35843,'Guard',0,'Narsell Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(35844,35844,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35845,35845,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35846,35846,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35847,35847,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35848,35848,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35849,35849,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35850,35850,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35851,35851,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(35852,35852,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35853,35853,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35854,35854,'Ballista',0,'Narsell Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35855,35855,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35856,35856,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35857,35857,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35858,35858,'Foreman',0,'Bayou Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35859,35859,'Suspicious Merchant',0,'Bayou Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35860,35860,'Guard Captain',0,'Bayou Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35861,35861,'Archer Captain',0,'Bayou Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35862,35862,'General',0,'Bayou Fortress',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35863,35863,'Support Unit Captain',0,'Bayou Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35864,35864,'Engineering Manager',0,'Bayou Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35865,35865,'Logistics Officer',0,'Bayou Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35866,35866,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35867,35867,'Detention Camp Warden',0,'Bayou Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35868,35868,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35869,35869,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35870,35870,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35871,35871,'Rebel Commander',0,'Bayou Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35872,35872,'Decorated Rebel Soldier',0,'Bayou Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35873,35873,'Rebel Private',0,'Bayou Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35874,35874,'Court Guard',0,'Bayou Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35875,35875,'Guard',0,'Bayou Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(35876,35876,'Main Machine',0,'Control Room',0,'LineageNpcEV.machine_guard_a',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35877,35877,'Backup Power Unit',0,'Control Room',0,'LineageNpcEV.strange_mechanical_instrument',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35878,35878,'Control Unit',0,'Control Room',0,'LineageNpcEV.door_lock',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35879,35879,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35880,35880,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35881,35881,'Scout Golem',0,'Control Room',0,'LineageMonster.mechanic_golem',8,22,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35882,35882,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35883,35883,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35884,35884,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35885,35885,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35886,35886,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35887,35887,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(35888,35888,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35889,35889,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35890,35890,'General',0,'Officer\'s Barracks',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2FortCommander',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35891,35891,'Minister',0,'Officer\'s Barracks',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35892,35892,'Ballista',0,'Bayou Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35893,35893,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35894,35894,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35895,35895,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35896,35896,'Foreman',0,'White Sands Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35897,35897,'Suspicious Merchant',0,'White Sands Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35898,35898,'Guard Captain',0,'White Sands Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35899,35899,'Archer Captain',0,'White Sands Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35900,35900,'Support Unit Captain',0,'White Sands Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35901,35901,'Engineering Manager',0,'White Sands Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35902,35902,'Logistics Officer',0,'White Sands Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35903,35903,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35904,35904,'Detention Camp Warden',0,'White Sands Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35905,35905,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35906,35906,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35907,35907,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35908,35908,'Rebel Commander',0,'White Sands Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35909,35909,'Decorated Rebel Soldier',0,'White Sands Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35910,35910,'Rebel Private',0,'White Sands Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35911,35911,'Court Guard',0,'White Sands Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35912,35912,'Guard',0,'White Sands Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(35913,35913,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35914,35914,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35915,35915,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35916,35916,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35917,35917,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35918,35918,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35919,35919,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35920,35920,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(35921,35921,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35922,35922,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35923,35923,'Ballista',0,'White Sands Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35924,35924,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35925,35925,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35926,35926,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35927,35927,'Foreman',0,'Borderland Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35928,35928,'Suspicious Merchant',0,'Borderland Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35929,35929,'Guard Captain',0,'Borderland Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35930,35930,'Archer Captain',0,'Borderland Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35931,35931,'General',0,'Borderland Fortress',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35932,35932,'Support Unit Captain',0,'Borderland Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35933,35933,'Engineering Manager',0,'Borderland Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35934,35934,'Logistics Officer',0,'Borderland Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35935,35935,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35936,35936,'Detention Camp Warden',0,'Borderland Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35937,35937,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35938,35938,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35939,35939,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35940,35940,'Rebel Commander',0,'Borderland Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35941,35941,'Decorated Rebel Soldier',0,'Borderland Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35942,35942,'Rebel Private',0,'Borderland Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35943,35943,'Court Guard',0,'Borderland Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35944,35944,'Guard',0,'Borderland Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(35945,35945,'Main Machine',0,'Control Room',0,'LineageNpcEV.machine_guard_a',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35946,35946,'Backup Power Unit',0,'Control Room',0,'LineageNpcEV.strange_mechanical_instrument',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35947,35947,'Control Unit',0,'Control Room',0,'LineageNpcEV.door_lock',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35948,35948,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35949,35949,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35950,35950,'Scout Golem',0,'Control Room',0,'LineageMonster.mechanic_golem',8,22,1,'male','L2SiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35951,35951,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35952,35952,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35953,35953,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35954,35954,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35955,35955,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35956,35956,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(35957,35957,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35958,35958,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35959,35959,'General',0,'Officer\'s Barracks',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2FortCommander',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35960,35960,'Minister',0,'Officer\'s Barracks',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35961,35961,'Ballista',0,'Borderland Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35962,35962,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35963,35963,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35964,35964,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35965,35965,'Foreman',0,'Swamp Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35966,35966,'Suspicious Merchant',0,'Swamp Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35967,35967,'Guard Captain',0,'Swamp Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35968,35968,'Archer Captain',0,'Swamp Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35969,35969,'General',0,'Swamp Fortress',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35970,35970,'Support Unit Captain',0,'Swamp Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35971,35971,'Engineering Manager',0,'Swamp Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35972,35972,'Logistics Officer',0,'Swamp Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35973,35973,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35974,35974,'Detention Camp Warden',0,'Swamp Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35975,35975,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35976,35976,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35977,35977,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35978,35978,'Rebel Commander',0,'Swamp Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35979,35979,'Decorated Rebel Soldier',0,'Swamp Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(35980,35980,'Rebel Private',0,'Swamp Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35981,35981,'Court Guard',0,'Swamp Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(35982,35982,'Guard',0,'Swamp Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(35983,35983,'Main Machine',0,'Control Room',0,'LineageNpcEV.machine_guard_a',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35984,35984,'Backup Power Unit',0,'Control Room',0,'LineageNpcEV.strange_mechanical_instrument',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35985,35985,'Control Unit',0,'Control Room',0,'LineageNpcEV.door_lock',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35986,35986,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35987,35987,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35988,35988,'Scout Golem',0,'Control Room',0,'LineageMonster.mechanic_golem',8,22,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35989,35989,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35990,35990,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35991,35991,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(35992,35992,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35993,35993,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(35994,35994,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(35995,35995,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35996,35996,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(35997,35997,'General',0,'Officer\'s Barracks',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2FortCommander',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35998,35998,'Minister',0,'Officer\'s Barracks',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(35999,35999,'Ballista',0,'Swamp Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false');

INSERT INTO `npc` VALUES
(36000,36000,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36001,36001,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36002,36002,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36003,36003,'Foreman',0,'Archaic Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36004,36004,'Suspicious Merchant',0,'Archaic Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36005,36005,'Guard Captain',0,'Archaic Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36006,36006,'Archer Captain',0,'Archaic Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36007,36007,'Support Unit Captain',0,'Archaic Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36008,36008,'Engineering Manager',0,'Archaic Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36009,36009,'Logistics Officer',0,'Archaic Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36010,36010,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36011,36011,'Detention Camp Warden',0,'Archaic Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36012,36012,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36013,36013,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36014,36014,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36015,36015,'Rebel Commander',0,'Archaic Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36016,36016,'Decorated Rebel Soldier',0,'Archaic Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(36017,36017,'Rebel Private',0,'Archaic Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36018,36018,'Court Guard',0,'Archaic Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36019,36019,'Guard',0,'Archaic Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(36020,36020,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36021,36021,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36022,36022,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36023,36023,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36024,36024,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36025,36025,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36026,36026,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36027,36027,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(36028,36028,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36029,36029,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36030,36030,'Ballista',0,'Archaic Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36031,36031,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36032,36032,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36033,36033,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36034,36034,'Foreman',0,'Floran Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36035,36035,'Suspicious Merchant',0,'Floran Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36036,36036,'Guard Captain',0,'Floran Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36037,36037,'Archer Captain',0,'Floran Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36038,36038,'General',0,'Floran Fortress',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36039,36039,'Support Unit Captain',0,'Floran Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36040,36040,'Engineering Manager',0,'Floran Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36041,36041,'Logistics Officer',0,'Floran Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36042,36042,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36043,36043,'Detention Camp Warden',0,'Floran Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36044,36044,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36045,36045,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36046,36046,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36047,36047,'Rebel Commander',0,'Floran Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36048,36048,'Decorated Rebel Soldier',0,'Floran Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(36049,36049,'Rebel Private',0,'Floran Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36050,36050,'Court Guard',0,'Floran Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36051,36051,'Guard',0,'Floran Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(36052,36052,'Main Machine',0,'Control Room',0,'LineageNpcEV.machine_guard_a',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36053,36053,'Backup Power Unit',0,'Control Room',0,'LineageNpcEV.strange_mechanical_instrument',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36054,36054,'Control Unit',0,'Control Room',0,'LineageNpcEV.door_lock',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36055,36055,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36056,36056,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36057,36057,'Scout Golem',0,'Control Room',0,'LineageMonster.mechanic_golem',8,22,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36058,36058,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36059,36059,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36060,36060,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36061,36061,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36062,36062,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36063,36063,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(36064,36064,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36065,36065,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36066,36066,'General',0,'Officer\'s Barracks',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2FortCommander',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36067,36067,'Minister',0,'Officer\'s Barracks',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36068,36068,'Ballista',0,'Floran Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36069,36069,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2SiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36070,36070,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36071,36071,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36072,36072,'Foreman',0,'Cloud Mountain',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36073,36073,'Suspicious Merchant',0,'Cloud Mountain',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36074,36074,'Guard Captain',0,'Cloud Mountain',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36075,36075,'Archer Captain',0,'Cloud Mountain',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36076,36076,'General',0,'Cloud Mountain',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36077,36077,'Support Unit Captain',0,'Cloud Mountain',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36078,36078,'Engineering Manager',0,'Cloud Mountain',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36079,36079,'Logistics Officer',0,'Cloud Mountain',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36080,36080,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36081,36081,'Detention Camp Warden',0,'Cloud Mountain',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36082,36082,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36083,36083,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36084,36084,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36085,36085,'Rebel Commander',0,'Cloud Mountain',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36086,36086,'Decorated Rebel Soldier',0,'Cloud Mountain',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(36087,36087,'Rebel Private',0,'Cloud Mountain',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36088,36088,'Court Guard',0,'Cloud Mountain',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36089,36089,'Guard',0,'Cloud Mountain',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(36090,36090,'Main Machine',0,'Control Room',0,'LineageNpcEV.machine_guard_a',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36091,36091,'Backup Power Unit',0,'Control Room',0,'LineageNpcEV.strange_mechanical_instrument',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36092,36092,'Control Unit',0,'Control Room',0,'LineageNpcEV.door_lock',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36093,36093,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36094,36094,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36095,36095,'Scout Golem',0,'Control Room',0,'LineageMonster.mechanic_golem',8,22,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36096,36096,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36097,36097,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36098,36098,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36099,36099,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',7,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36100,36100,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36101,36101,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(36102,36102,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36103,36103,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36104,36104,'General',0,'Officer\'s Barracks',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2FortCommander',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36105,36105,'Minister',0,'Officer\'s Barracks',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36106,36106,'Ballista',0,'Cloud Mountain',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36107,36107,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36108,36108,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36109,36109,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36110,36110,'Foreman',0,'Tanor Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36111,36111,'Suspicious Merchant',0,'Tanor Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36112,36112,'Guard Captain',0,'Tanor Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36113,36113,'Archer Captain',0,'Tanor Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36114,36114,'Support Unit Captain',0,'Tanor Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36115,36115,'Engineering Manager',0,'Tanor Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36116,36116,'Logistics Officer',0,'Tanor Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36117,36117,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36118,36118,'Detention Camp Warden',0,'Tanor Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36119,36119,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36120,36120,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36121,36121,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36122,36122,'Rebel Commander',0,'Tanor Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36123,36123,'Decorated Rebel Soldier',0,'Tanor Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(36124,36124,'Rebel Private',0,'Tanor Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36125,36125,'Court Guard',0,'Tanor Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36126,36126,'Guard',0,'Tanor Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(36127,36127,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36128,36128,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36129,36129,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36130,36130,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36131,36131,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36132,36132,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36133,36133,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36134,36134,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(36135,36135,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36136,36136,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36137,36137,'Ballista',0,'Tanor Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36138,36138,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36139,36139,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36140,36140,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36141,36141,'Foreman',0,'Dragonspine Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36142,36142,'Suspicious Merchant',0,'Dragonspine Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36143,36143,'Guard Captain',0,'Dragonspine Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36144,36144,'Archer Captain',0,'Dragonspine Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36145,36145,'Support Unit Captain',0,'Dragonspine Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36146,36146,'Engineering Manager',0,'Dragonspine Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36147,36147,'Logistics Officer',0,'Dragonspine Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36148,36148,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36149,36149,'Detention Camp Warden',0,'Dragonspine Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36150,36150,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36151,36151,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36152,36152,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36153,36153,'Rebel Commander',0,'Dragonspine Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36154,36154,'Decorated Rebel Soldier',0,'Dragonspine Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(36155,36155,'Rebel Private',0,'Dragonspine Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36156,36156,'Court Guard',0,'Dragonspine Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36157,36157,'Guard',0,'Dragonspine Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(36158,36158,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36159,36159,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36160,36160,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36161,36161,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36162,36162,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36163,36163,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36164,36164,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36165,36165,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(36166,36166,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36167,36167,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36168,36168,'Ballista',0,'Dragonspine Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36169,36169,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,70,'male','L2Npc',40,1997323,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'mercenary_siege_clan',100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36170,36170,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,65,'male','L2Npc',40,10396,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,0,0,'mercenary_siege_clan',100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36171,36171,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36172,36172,'Foreman',0,'Antharas\' Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36173,36173,'Suspicious Merchant',0,'Antharas\' Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36174,36174,'Guard Captain',0,'Antharas\' Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36175,36175,'Archer Captain',0,'Antharas\' Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36176,36176,'General',0,'Antharas\' Fortress',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36177,36177,'Support Unit Captain',0,'Antharas\' Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36178,36178,'Engineering Manager',0,'Antharas\' Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36179,36179,'Logistics Officer',0,'Antharas\' Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36180,36180,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36181,36181,'Detention Camp Warden',0,'Antharas\' Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36182,36182,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36183,36183,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36184,36184,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36185,36185,'Rebel Commander',0,'Antharas\' Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36186,36186,'Decorated Rebel Soldier',0,'Antharas\' Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(36187,36187,'Rebel Private',0,'Antharas\' Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36188,36188,'Court Guard',0,'Antharas\' Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36189,36189,'Guard',0,'Antharas\' Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(36190,36190,'Main Machine',0,'Control Room',0,'LineageNpcEV.machine_guard_a',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36191,36191,'Backup Power Unit',0,'Control Room',0,'LineageNpcEV.strange_mechanical_instrument',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36192,36192,'Control Unit',0,'Control Room',0,'LineageNpcEV.door_lock',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36193,36193,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36194,36194,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36195,36195,'Scout Golem',0,'Control Room',0,'LineageMonster.mechanic_golem',8,22,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36196,36196,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36197,36197,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36198,36198,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36199,36199,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36200,36200,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36201,36201,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(36202,36202,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36203,36203,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36204,36204,'General',0,'Officer\'s Barracks',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2FortCommander',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36205,36205,'Minister',0,'Officer\'s Barracks',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36206,36206,'Ballista',0,'Antharas\' Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36207,36207,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36208,36208,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36209,36209,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36210,36210,'Foreman',0,'Western Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36211,36211,'Suspicious Merchant',0,'Western Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36212,36212,'Guard Captain',0,'Western Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36213,36213,'Archer Captain',0,'Western Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36214,36214,'General',0,'Western Fortress',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36215,36215,'Support Unit Captain',0,'Western Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36216,36216,'Engineering Manager',0,'Western Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36217,36217,'Logistics Officer',0,'Western Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36218,36218,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36219,36219,'Detention Camp Warden',0,'Western Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36220,36220,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36221,36221,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36222,36222,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36223,36223,'Rebel Commander',0,'Western Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36224,36224,'Decorated Rebel Soldier',0,'Western Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(36225,36225,'Rebel Private',0,'Western Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36226,36226,'Court Guard',0,'Western Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36227,36227,'Guard',0,'Western Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(36228,36228,'Main Machine',0,'Control Room',0,'LineageNpcEV.machine_guard_a',46,35,1,'male','L2SiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36229,36229,'Backup Power Unit',0,'Control Room',0,'LineageNpcEV.strange_mechanical_instrument',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36230,36230,'Control Unit',0,'Control Room',0,'LineageNpcEV.door_lock',39,42.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36231,36231,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36232,36232,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36233,36233,'Scout Golem',0,'Control Room',0,'LineageMonster.mechanic_golem',5,19,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,30,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36234,36234,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36235,36235,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36236,36236,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36237,36237,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36238,36238,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36239,36239,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(36240,36240,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36241,36241,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36242,36242,'General',0,'Officer\'s Barracks',0,'LineageNPC2.officer_of_insurgents_orc',14.5,30,1,'male','L2FortCommander',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,236,0,333,9813,9813,NULL,60,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36243,36243,'Minister',0,'Officer\'s Barracks',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,7895,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36244,36244,'Ballista',0,'Western Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36245,36245,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36246,36246,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36247,36247,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36248,36248,'Foreman',0,'Hunter\'s Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36249,36249,'Suspicious Merchant',0,'Hunter\'s Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36250,36250,'Guard Captain',0,'Hunter\'s Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36251,36251,'Archer Captain',0,'Hunter\'s Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36252,36252,'General',0,'Hunter\'s Fortress',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36253,36253,'Support Unit Captain',0,'Hunter\'s Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36254,36254,'Engineering Manager',0,'Hunter\'s Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36255,36255,'Logistics Officer',0,'Hunter\'s Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36256,36256,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36257,36257,'Detention Camp Warden',0,'Hunter\'s Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36258,36258,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36259,36259,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36260,36260,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36261,36261,'Rebel Commander',0,'Hunter\'s Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36262,36262,'Decorated Rebel Soldier',0,'Hunter\'s Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(36263,36263,'Rebel Private',0,'Hunter\'s Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36264,36264,'Court Guard',0,'Hunter\'s Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36265,36265,'Guard',0,'Hunter\'s Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(36266,36266,'Main Machine',0,'Control Room',0,'LineageNpcEV.machine_guard_a',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36267,36267,'Backup Power Unit',0,'Control Room',0,'LineageNpcEV.strange_mechanical_instrument',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36268,36268,'Control Unit',0,'Control Room',0,'LineageNpcEV.door_lock',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36269,36269,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36270,36270,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36271,36271,'Scout Golem',0,'Control Room',0,'LineageMonster.mechanic_golem',8,22,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36272,36272,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36273,36273,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36274,36274,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36275,36275,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36276,36276,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36277,36277,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(36278,36278,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36279,36279,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36280,36280,'General',0,'Officer\'s Barracks',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2FortCommander',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36281,36281,'Minister',0,'Officer\'s Barracks',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2FortSiegeGuard',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36282,36282,'Ballista',0,'Hunter\'s Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36283,36283,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36284,36284,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36285,36285,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36286,36286,'Foreman',0,'Aaru Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36287,36287,'Suspicious Merchant',0,'Aaru Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36288,36288,'Guard Captain',0,'Aaru Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36289,36289,'Archer Captain',0,'Aaru Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36290,36290,'Support Unit Captain',0,'Aaru Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36291,36291,'Engineering Manager',0,'Aaru Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36292,36292,'Logistics Officer',0,'Aaru Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36293,36293,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36294,36294,'Detention Camp Warden',0,'Aaru Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36295,36295,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36296,36296,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36297,36297,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36298,36298,'Rebel Commander',0,'Aaru Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36299,36299,'Decorated Rebel Soldier',0,'Aaru Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(36300,36300,'Rebel Private',0,'Aaru Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36301,36301,'Court Guard',0,'Aaru Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36302,36302,'Guard',0,'Aaru Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(36303,36303,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36304,36304,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36305,36305,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36306,36306,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36307,36307,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36308,36308,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36309,36309,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36310,36310,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(36311,36311,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36312,36312,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36313,36313,'Ballista',0,'Aaru Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36314,36314,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36315,36315,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36316,36316,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36317,36317,'Foreman',0,'Demon Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36318,36318,'Suspicious Merchant',0,'Demon Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36319,36319,'Guard Captain',0,'Demon Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36320,36320,'Archer Captain',0,'Demon Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36321,36321,'General',0,'Demon Fortress',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36322,36322,'Support Unit Captain',0,'Demon Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36323,36323,'Engineering Manager',0,'Demon Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36324,36324,'Logistics Officer',0,'Demon Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36325,36325,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36326,36326,'Detention Camp Warden',0,'Demon Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36327,36327,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36328,36328,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36329,36329,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36330,36330,'Rebel Commander',0,'Demon Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36331,36331,'Decorated Rebel Soldier',0,'Demon Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(36332,36332,'Rebel Private',0,'Demon Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36333,36333,'Court Guard',0,'Demon Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36334,36334,'Guard',0,'Demon Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(36335,36335,'Main Machine',0,'Control Room',0,'LineageNpcEV.machine_guard_a',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36336,36336,'Backup Power Unit',0,'Control Room',0,'LineageNpcEV.strange_mechanical_instrument',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36337,36337,'Control Unit',0,'Control Room',0,'LineageNpcEV.door_lock',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36338,36338,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36339,36339,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36340,36340,'Scout Golem',0,'Control Room',0,'LineageMonster.mechanic_golem',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36341,36341,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36342,36342,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36343,36343,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36344,36344,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36345,36345,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36346,36346,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(36347,36347,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36348,36348,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36349,36349,'General',0,'Officer\'s Barracks',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36350,36350,'Minister',0,'Officer\'s Barracks',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36351,36351,'Ballista',0,'Demon Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36352,36352,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36353,36353,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36354,36354,'Flagpole',0,'',0,'LineageNpcEV.rune_holything',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36355,36355,'Foreman',0,'Monastic Fortress',0,'LineageNPC.a_royal_guardA_MHuman',8,24,70,'male','L2FortManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36356,36356,'Suspicious Merchant',0,'Monastic Fortress',0,'LineageNPC.e_guard_MOrc',8,27,70,'male','L2FortSiegeNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36357,36357,'Guard Captain',0,'Monastic Fortress',0,'LineageNPC2.garrison_of_insurgents',10,23.75,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36358,36358,'Archer Captain',0,'Monastic Fortress',0,'LineageNPC2.archer_of_insurgents',10,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36359,36359,'General',0,'Monastic Fortress',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36360,36360,'Support Unit Captain',0,'Monastic Fortress',0,'LineageNPC2.mage_of_insurgents',9,23.5,70,'male','L2FortSupportCaptain',40,327083,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36361,36361,'Engineering Manager',0,'Monastic Fortress',0,'LineageNPC.e_guard_MDwarf',8,19,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36362,36362,'Logistics Officer',0,'Monastic Fortress',0,'LineageNPC.e_collector_teacher_MDwarf',8,17.5,70,'male','L2FortLogistics',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36363,36363,'Supply Box',0,'',0,'LineageMonster.mimic',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36364,36364,'Detention Camp Warden',0,'Monastic Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36365,36365,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36366,36366,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36367,36367,'Doorman',0,'',0,'LineageNPC.a_guard_MHuman',8,24,70,'male','L2FortDoormen',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36368,36368,'Rebel Commander',0,'Monastic Fortress',0,'LineageNPC2.chief_of_insurgents',10,26.99,70,'male','L2FortSiegeGuard',40,1331548,22315,10,2,40,43,30,21,20,10,0,0,2039,562,1258,456,278,0,333,2500,6377,NULL,29,120,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36369,36369,'Decorated Rebel Soldier',0,'Monastic Fortress',0,'LineageMonster.shadow_50_bi',15,45,66,'male','L2FortSiegeGuard',40,21279,7215,10,2,40,43,30,21,20,10,0,0,1721,368,1248,456,278,0,333,0,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'mage','false'),
(36370,36370,'Rebel Private',0,'Monastic Fortress',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,65,'male','L2FortSiegeGuard',40,13862,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,97,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36371,36371,'Court Guard',0,'Monastic Fortress',0,'LineageNPC.a_royal_guardB_MHuman',7,24,62,'male','L2FortSiegeGuard',40,12878,2444,10,2,40,43,30,21,20,10,0,0,1721,368,478,299,278,0,333,98,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36372,36372,'Guard',0,'Monastic Fortress',0,'LineageNPC.a_guard_MElf',8,23.5,62,'male','L2FortSiegeGuard',1100,12878,2444,10,2,40,43,30,21,20,10,0,0,1739,331,382,269,247,0,333,287,0,NULL,0,0,'siege_clan',1100,1,0,'LAST_HIT',0,0,0,'archer','false'),
(36373,36373,'Main Machine',0,'Control Room',0,'LineageNpcEV.machine_guard_a',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36374,36374,'Backup Power Unit',0,'Control Room',0,'LineageNpcEV.strange_mechanical_instrument',16,15.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36375,36375,'Control Unit',0,'Control Room',0,'LineageNpcEV.door_lock',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36376,36376,'Power Control Unit',0,'Control Room',0,'LineageNpcEV.machine_construction_a',16,15.5,66,'male','L2Npc',40,3546,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36377,36377,'Dwarven Gunnery Sergeant',0,'',0,'LineageNPC2.battery_of_insurgents',13,17.5,66,'male','L2FortSiegeGuard',40,10639,7932,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,0,0,NULL,0,0,'siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36378,36378,'Scout Golem',0,'Control Room',0,'LineageMonster.mechanic_golem',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36379,36379,'Guard Captain',0,'Guard',0,'LineageNPC2.garrison_of_insurgents',10,23.75,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,60,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36380,36380,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36381,36381,'Guard',0,'Guard',0,'LineageNPC.a_royal_guardB_MHuman',7,24,66,'male','L2FortSiegeGuard',40,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,75,0,NULL,50,120,'guard_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'fighter','false'),
(36382,36382,'Support Unit Captain',0,'Support Unit',0,'LineageNPC2.mage_of_insurgents',9,23.5,68,'male','L2FortCommander',40,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,60,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36383,36383,'Wizard',0,'Support Unit',0,'LineageNPC.a_patriarch_MElf',8,22.5,66,'male','L2FortSiegeGuard',40,17732,6112,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,325,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'mage','false'),
(36384,36384,'Healer',0,'Support Unit',0,'LineageNPC.a_mageguild_master_FHuman',8,23,66,'male','L2FortSiegeGuard',0,24826,12413,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,92,0,NULL,50,120,'mage_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'healer','false'),
(36385,36385,'Archer Captain',0,'Archer',0,'LineageNPC2.archer_of_insurgents',10,23.5,68,'male','L2FortCommander',1100,327083,15213,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,10212,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36386,36386,'Archer',0,'Archer',0,'LineageNPC.a_guard_MElf',8,23.5,66,'male','L2FortSiegeGuard',1100,17732,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,247,0,333,287,0,NULL,0,0,'archer_siege_clan',1100,0,0,'LAST_HIT',0,0,0,'archer','false'),
(36387,36387,'General',0,'Officer\'s Barracks',0,'LineageNPC2.officer_of_insurgents_orc',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36388,36388,'Minister',0,'Officer\'s Barracks',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36389,36389,'Ballista',0,'Monastic Fortress',0,'LineageNpcEV.ballista',112,59,68,'male','L2FortBallista',70,5326195,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,0,0,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36390,36390,'Mercenary Captain',0,'',0,'LineageMonster3.Kight_of_Dawn',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36391,36391,'Mercenary Private',0,'',0,'LineageNPC.e_guard_MOrc',8,27,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36392,36392,'Improvised Explosive',0,'',0,'LineageMonster.orc',10,21,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36393,36393,'Special Envoy',0,'Gludio',0,'LineageNPC.a_teleporter_FHuman',8,22,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36394,36394,'Special Envoy',0,'Gludio',0,'LineageNPC.a_teleporter_FHuman',8,22,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36395,36395,'Special Envoy',0,'Dion',0,'LineageNPC.a_maidB_FHuman',8,22.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36396,36396,'Special Envoy',0,'Giran',0,'LineageNPC.a_sanctuary_teacher_FHuman',8,22,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36397,36397,'Special Envoy',0,'Oren',0,'LineageNPC.a_clergyman_FDarkElf',8,25,1,'female','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36398,36398,'Special Envoy',0,'Aden',0,'LineageNPC.a_maidB_FHuman',8,22.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36399,36399,'Special Envoy',0,'Aden',0,'LineageNPC.a_maidB_FHuman',8,22.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36400,36400,'Special Envoy',0,'Innadril',0,'LineageNPC.a_teleporter_FElf',8.5,23.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36401,36401,'Special Envoy',0,'Goddard',0,'LineageNPC.e_teleporter_Fhuman',8,25,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36402,36402,'Olympiad Host',0,'',0,'LineageNPC.a_fighterguild_master_Mhuman',8,23.5,1,'male','L2OlympiadManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,70,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36403,36403,'Warden',0,'Gludio',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36404,36404,'Warden',0,'Dion',0,'LineageNPC.e_elmore_guard_Mhuman',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36405,36405,'Warden',0,'Giran',0,'LineageNPC.e_elmore_guard_Mhuman',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36406,36406,'Warden',0,'Oren',0,'LineageNPC.e_elmore_guard_Mhuman',8,23.5,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36407,36407,'Warden',0,'Aden',0,'LineageNPC.e_elmore_guard_Mhuman',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36408,36408,'Warden',0,'Innadril',0,'LineageNPC.e_elmore_guard_Mhuman',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36409,36409,'Warden',0,'Goddard',0,'LineageNPC.e_elmore_guard_Mhuman',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36410,36410,'Warden',0,'Rune',0,'LineageNPC.e_elmore_guard_Mhuman',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36411,36411,'Warden',0,'Schuttgart',0,'LineageNPC.e_elmore_guard_Mhuman',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36412,36412,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',1,35,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,10,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36413,36413,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36414,36414,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36415,36415,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36416,36416,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36417,36417,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36418,36418,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36419,36419,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36420,36420,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36421,36421,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36422,36422,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36423,36423,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36424,36424,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36425,36425,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36426,36426,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36427,36427,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36428,36428,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',1,35,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,10,1,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36429,36429,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36430,36430,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36431,36431,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36432,36432,'Fortress Trap',0,'',0,'LineageMonster3.Organ_Dummy',8,22,1,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36433,36433,'Special Envoy',0,'Rune',0,'LineageNPC.a_maidB_FHuman',8,22.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36434,36434,'Special Envoy',0,'Schuttgart',0,'LineageNPC.e_traderA_FDwarf',8,22,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36435,36435,'Special Envoy',0,'Gludio',0,'LineageNPC.a_teleporter_FHuman',8,22,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36436,36436,'Special Envoy',0,'Dion',0,'LineageNPC.a_maidB_FHuman',8,22.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36437,36437,'Special Envoy',0,'Gludio',0,'LineageNPC.a_teleporter_FHuman',8,22,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36438,36438,'Special Envoy',0,'Oren',0,'LineageNPC.a_clergyman_FDarkElf',8,25,1,'female','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36439,36439,'Special Envoy',0,'Dion',0,'LineageNPC.a_maidB_FHuman',8,22.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36440,36440,'Special Envoy',0,'Giran',0,'LineageNPC.a_sanctuary_teacher_FHuman',8,22,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36441,36441,'Special Envoy',0,'Dion',0,'LineageNPC.a_maidB_FHuman',8,22.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36442,36442,'Special Envoy',0,'Oren',0,'LineageNPC.a_clergyman_FDarkElf',8,25,1,'female','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36443,36443,'Special Envoy',0,'Oren',0,'LineageNPC.a_clergyman_FDarkElf',8,25,1,'female','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36444,36444,'Special Envoy',0,'Giran',0,'LineageNPC.a_sanctuary_teacher_FHuman',8,22,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36445,36445,'Special Envoy',0,'Aden',0,'LineageNPC.a_maidB_FHuman',8,22.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36446,36446,'Special Envoy',0,'Oren',0,'LineageNPC.a_clergyman_FDarkElf',8,25,1,'female','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36447,36447,'Special Envoy',0,'Goddard',0,'LineageNPC.e_teleporter_Fhuman',8,25,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36448,36448,'Special Envoy',0,'Aden',0,'LineageNPC.a_maidB_FHuman',8,22.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36449,36449,'Special Envoy',0,'Giran',0,'LineageNPC.a_sanctuary_teacher_FHuman',8,22,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36450,36450,'Special Envoy',0,'Innadril',0,'LineageNPC.a_teleporter_FElf',8.5,23.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36451,36451,'Special Envoy',0,'Giran',0,'LineageNPC.a_sanctuary_teacher_FHuman',8,22,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36452,36452,'Special Envoy',0,'Rune',0,'LineageNPC.a_maidB_FHuman',8,22.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36453,36453,'Special Envoy',0,'Goddard',0,'LineageNPC.e_teleporter_Fhuman',8,25,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36454,36454,'Special Envoy',0,'Rune',0,'LineageNPC.a_maidB_FHuman',8,22.5,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36455,36455,'Special Envoy',0,'Schuttgart',0,'LineageNPC.e_traderA_FDwarf',8,22,1,'male','L2FortEnvoy',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,253,0,253,0,0,NULL,80,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36456,36456,'Manor Manager',0,'Aden',0,'LineageNPC2.K_M1_normal',13,25,1,'male','L2ManorManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36457,36457,'Wyvern Manager',0,'Shanty Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36458,36458,'Wyvern Manager',0,'Southern Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36459,36459,'Wyvern Manager',0,'Hive Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36460,36460,'Wyvern Manager',0,'Valley Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36461,36461,'Wyvern Manager',0,'Ivory Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36462,36462,'Wyvern Manager',0,'Narsell Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36463,36463,'Wyvern Manager',0,'Bayou Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36464,36464,'Wyvern Manager',0,'White Sands Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36465,36465,'Wyvern Manager',0,'Borderland Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36466,36466,'Wyvern Manager',0,'Swamp Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36467,36467,'Wyvern Manager',0,'Archaic Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36468,36468,'Wyvern Manager',0,'Floran Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36469,36469,'Wyvern Manager',0,'Cloud Mountain',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36470,36470,'Wyvern Manager',0,'Tanor Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36471,36471,'Wyvern Manager',0,'Dragonspine Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36472,36472,'Wyvern Manager',0,'Antharas\' Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36473,36473,'Wyvern Manager',0,'Western Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36474,36474,'Wyvern Manager',0,'Hunter\'s Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36475,36475,'Wyvern Manager',0,'Aaru Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36476,36476,'Wyvern Manager',0,'Demon Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36477,36477,'Wyvern Manager',0,'Monastic Fortress',0,'LineageNPC.a_fighterguild_teacher_MHuman',8,23,70,'male','L2FortWyvernManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36478,36478,'Mickey',0,'Pet Trader',0,'NPC.e_collector_teacher_FDwarf',8,17.5,70,'female','L2PetManager',40,3862,1493,11.85,2.78,40,43,30,21,20,10,0,0,1314,470,780,382,278,0,333,0,0,0,50,120,'NULL',0,1,0,'LAST_HIT',0,0,0,'fighter','false'),
(36479,36479,'Rapidus',0,'Reputation Manager',0,'LineageNPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2FameManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36480,36480,'Scipio',0,'Reputation Manager',0,'LineageNPC.a_fighterguild_master_Mhuman',8,23.5,70,'male','L2FameManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36481,36481,'Mercenary Captain',0,'Gludio',0,'LineageMonster3.Kight_of_Dawn',12,24.5,70,'male','L2MercenaryManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,2500,6377,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36482,36482,'Mercenary Captain',0,'Dion',0,'LineageMonster3.Kight_of_Dawn',12,24.5,70,'male','L2MercenaryManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,2500,6377,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36483,36483,'Mercenary Captain',0,'Giran',0,'LineageMonster3.Kight_of_Dawn',12,24.5,70,'male','L2MercenaryManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,2500,6377,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36484,36484,'Mercenary Captain',0,'Oren',0,'LineageMonster3.Kight_of_Dawn',12,24.5,70,'male','L2MercenaryManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,2500,6377,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36485,36485,'Mercenary Captain',0,'Aden',0,'LineageMonster3.Kight_of_Dawn',12,24.5,70,'male','L2MercenaryManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,2500,6377,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36486,36486,'Mercenary Captain',0,'Innadril',0,'LineageMonster3.Kight_of_Dawn',12,24.5,70,'male','L2MercenaryManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,2500,6377,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36487,36487,'Mercenary Captain',0,'Goddard',0,'LineageMonster3.Kight_of_Dawn',12,24.5,70,'male','L2MercenaryManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,2500,6377,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36488,36488,'Mercenary Captain',0,'Rune',0,'LineageMonster3.Kight_of_Dawn',12,24.5,70,'male','L2MercenaryManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,2500,6377,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36489,36489,'Mercenary Captain',0,'Schuttgart',0,'LineageMonster3.Kight_of_Dawn',12,24.5,70,'male','L2MercenaryManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,2500,6377,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36490,36490,'Territory Manager',0,'Gludio',0,'LineageNPC2.feudal_custodian',10,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36491,36491,'Territory Manager',0,'Dion',0,'LineageNPC2.feudal_custodian',10,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36492,36492,'Territory Manager',0,'Giran',0,'LineageNPC2.feudal_custodian',10,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36493,36493,'Territory Manager',0,'Oren',0,'LineageNPC2.feudal_custodian',10,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36494,36494,'Territory Manager',0,'Aden',0,'LineageNPC2.feudal_custodian',10,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36495,36495,'Territory Manager',0,'Innadril',0,'LineageNPC2.feudal_custodian',10,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36496,36496,'Territory Manager',0,'Goddard',0,'LineageNPC2.feudal_custodian',10,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36497,36497,'Territory Manager',0,'Rune',0,'LineageNPC2.feudal_custodian',10,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36498,36498,'Territory Manager',0,'Schuttgart',0,'LineageNPC2.feudal_custodian',10,22.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36499,36499,'Territory Catapult',0,'Gludio',0,'LineageNpcEV.ballista',112,59,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36500,36500,'Territory Catapult',0,'Dion',0,'LineageNpcEV.ballista',112,59,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36501,36501,'Territory Catapult',0,'Giran',0,'LineageNpcEV.ballista',112,59,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36502,36502,'Territory Catapult',0,'Oren',0,'LineageNpcEV.ballista',112,59,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36503,36503,'Territory Catapult',0,'Aden',0,'LineageNpcEV.ballista',112,59,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36504,36504,'Territory Catapult',0,'Innadril',0,'LineageNpcEV.ballista',112,59,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36505,36505,'Territory Catapult',0,'Goddard',0,'LineageNpcEV.ballista',112,59,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36506,36506,'Territory Catapult',0,'Rune',0,'LineageNpcEV.ballista',112,59,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36507,36507,'Territory Catapult',0,'Schuttgart',0,'LineageNpcEV.ballista',112,59,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36508,36508,'Military Association Leader',0,'Gludio',0,'LineageNPC.a_royal_guardA_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36509,36509,'Territory Border Guard',0,'Gludio',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36510,36510,'Religious Association Leader',0,'Gludio',0,'LineageNPC.a_patriarch_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36511,36511,'Territory Guard',0,'Gludio',0,'LineageNPC.e_elmore_guard_Mhuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36512,36512,'Territory Border Guard',0,'Gludio',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36513,36513,'Economic Association Leader',0,'Gludio',0,'LineageNPC.a_traderB_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36514,36514,'Military Association Leader',0,'Dion',0,'LineageNPC.a_royal_guardA_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36515,36515,'Territory Border Guard',0,'Dion',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36516,36516,'Religious Association Leader',0,'Dion',0,'LineageNPC.a_patriarch_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36517,36517,'Territory Guard',0,'Dion',0,'LineageNPC.e_elmore_guard_Mhuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36518,36518,'Territory Border Guard',0,'Dion',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36519,36519,'Economic Association Leader',0,'Dion',0,'LineageNPC.a_traderB_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36520,36520,'Military Association Leader',0,'Giran',0,'LineageNPC.a_royal_guardA_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36521,36521,'Territory Border Guard',0,'Giran',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36522,36522,'Religious Association Leader',0,'Giran',0,'LineageNPC.a_patriarch_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36523,36523,'Territory Guard',0,'Giran',0,'LineageNPC.e_elmore_guard_Mhuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36524,36524,'Territory Border Guard',0,'Giran',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36525,36525,'Economic Association Leader',0,'Giran',0,'LineageNPC.a_traderB_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36526,36526,'Military Association Leader',0,'Oren',0,'LineageNPC.a_royal_guardA_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36527,36527,'Territory Border Guard',0,'Oren',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36528,36528,'Religious Association Leader',0,'Oren',0,'LineageNPC.a_patriarch_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36529,36529,'Territory Guard',0,'Oren',0,'LineageNPC.e_elmore_guard_Mhuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36530,36530,'Territory Border Guard',0,'Oren',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36531,36531,'Economic Association Leader',0,'Oren',0,'LineageNPC.a_traderB_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36532,36532,'Military Association Leader',0,'Aden',0,'LineageNPC.a_royal_guardA_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36533,36533,'Territory Border Guard',0,'Aden',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36534,36534,'Religious Association Leader',0,'Aden',0,'LineageNPC.a_patriarch_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36535,36535,'Territory Guard',0,'Aden',0,'LineageNPC.e_elmore_guard_Mhuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36536,36536,'Territory Border Guard',0,'Aden',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36537,36537,'Economic Association Leader',0,'Aden',0,'LineageNPC.a_traderB_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36538,36538,'Military Association Leader',0,'Innadril',0,'LineageNPC.a_royal_guardA_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36539,36539,'Territory Border Guard',0,'Innadril',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36540,36540,'Religious Association Leader',0,'Innadril',0,'LineageNPC.a_patriarch_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36541,36541,'Territory Guard',0,'Innadril',0,'LineageNPC.e_elmore_guard_Mhuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36542,36542,'Territory Border Guard',0,'Innadril',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36543,36543,'Economic Association Leader',0,'Innadril',0,'LineageNPC.a_traderB_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36544,36544,'Military Association Leader',0,'Goddard',0,'LineageNPC.a_royal_guardA_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36545,36545,'Territory Border Guard',0,'Goddard',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36546,36546,'Religious Association Leader',0,'Goddard',0,'LineageNPC.a_patriarch_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36547,36547,'Territory Guard',0,'Goddard',0,'LineageNPC.e_elmore_guard_Mhuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36548,36548,'Territory Border Guard',0,'Goddard',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36549,36549,'Economic Association Leader',0,'Goddard',0,'LineageNPC.a_traderB_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36550,36550,'Military Association Leader',0,'Rune',0,'LineageNPC.a_royal_guardA_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36551,36551,'Territory Border Guard',0,'Rune',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36552,36552,'Religious Association Leader',0,'Rune',0,'LineageNPC.a_patriarch_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36553,36553,'Territory Guard',0,'Rune',0,'LineageNPC.e_elmore_guard_Mhuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36554,36554,'Territory Border Guard',0,'Rune',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36555,36555,'Economic Association Leader',0,'Rune',0,'LineageNPC.a_traderB_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36556,36556,'Military Association Leader',0,'Schuttgart',0,'LineageNPC.a_royal_guardA_MHuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36557,36557,'Territory Border Guard',0,'Schuttgart',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36558,36558,'Religious Association Leader',0,'Schuttgart',0,'LineageNPC.a_patriarch_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36559,36559,'Territory Guard',0,'Schuttgart',0,'LineageNPC.e_elmore_guard_Mhuman',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36560,36560,'Territory Border Guard',0,'Schuttgart',0,'LineageNPC.a_guard_MElf',8,23,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36561,36561,'Economic Association Leader',0,'Schuttgart',0,'LineageNPC.a_traderB_MHuman',8,24.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36562,36562,'Seduced Knight',0,'Investigator',0,'LineageNPC2.garrison_of_insurgents',10,23.75,80,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36563,36563,'Seduced Ranger',0,'Investigator',0,'LineageNPC2.archer_of_insurgents',10,23.5,80,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36564,36564,'Seduced Mage',0,'Investigator',0,'LineageNPC2.mage_of_insurgents',9,23.5,80,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36565,36565,'Seduced Warrior',0,'Investigator',0,'LineageNPC2.officer_of_insurgents_orc',14.5,30,80,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36566,36566,'Seduced Knight',0,'Investigator',0,'LineageNPC2.garrison_of_insurgents',10,23.75,80,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,80,641,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36567,36567,'Seduced Ranger',0,'Investigator',0,'LineageNPC2.archer_of_insurgents',10,23.5,80,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36568,36568,'Seduced Mage',0,'Investigator',0,'LineageNPC2.mage_of_insurgents',9,23.5,80,'female','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36569,36569,'Seduced Warrior',0,'Investigator',0,'LineageNPC2.officer_of_insurgents_orc',14.5,30,80,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36570,36570,'Emery Compressor',0,'Aerial Cleft',0,'LineageNpcEV.source_facility',62,140,70,'male','L2Teleporter',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,1,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36571,36571,'Vortex',0,'Aerial Cleft',0,'LineageNpcEV.war_gate',300,130,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36572,36572,'Gludio Ward',0,'',0,'LineageNpcEV.native_thing_of_territory',10,35,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36573,36573,'Dion Ward',0,'',0,'LineageNpcEV.native_thing_of_territory',10,35,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36574,36574,'Giran Ward',0,'',0,'LineageNpcEV.native_thing_of_territory',10,35,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36575,36575,'Oren Ward',0,'',0,'LineageNpcEV.native_thing_of_territory',10,35,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36576,36576,'Aden Ward',0,'',0,'LineageNpcEV.native_thing_of_territory',10,35,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36577,36577,'Innadril Ward',0,'',0,'LineageNpcEV.native_thing_of_territory',10,35,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36578,36578,'Goddard Ward',0,'',0,'LineageNpcEV.native_thing_of_territory',10,35,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36579,36579,'Rune Ward',0,'',0,'LineageNpcEV.native_thing_of_territory',10,35,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36580,36580,'Schuttgart Ward',0,'',0,'LineageNpcEV.native_thing_of_territory',10,35,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36581,36581,'Territory Catapult',0,'Gludio',0,'LineageNpcEV.damaged_ballista',125,43,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36582,36582,'Territory Catapult',0,'Dion',0,'LineageNpcEV.damaged_ballista',125,43,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36583,36583,'Territory Catapult',0,'Giran',0,'LineageNpcEV.damaged_ballista',125,43,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36584,36584,'Territory Catapult',0,'Oren',0,'LineageNpcEV.damaged_ballista',125,43,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36585,36585,'Territory Catapult',0,'Aden',0,'LineageNpcEV.damaged_ballista',125,43,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36586,36586,'Territory Catapult',0,'Innadril',0,'LineageNpcEV.damaged_ballista',125,43,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36587,36587,'Territory Catapult',0,'Goddard',0,'LineageNpcEV.damaged_ballista',125,43,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36588,36588,'Territory Catapult',0,'Rune',0,'LineageNpcEV.damaged_ballista',125,43,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36589,36589,'Territory Catapult',0,'Schuttgart',0,'LineageNpcEV.damaged_ballista',125,43,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36590,36590,'Outpost',0,'',0,'LineageNpcEV.Advance_quarters',110,70,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36591,36591,'Supplies Safe',0,'',0,'LineageMonster.mimic',8.5,8.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36592,36592,'Supplies Safe',0,'',0,'LineageMonster.mimic',8.5,8.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36593,36593,'Supplies Safe',0,'',0,'LineageMonster.mimic',8.5,8.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36594,36594,'Supplies Safe',0,'',0,'LineageMonster.mimic',8.5,8.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36595,36595,'Supplies Safe',0,'',0,'LineageMonster.mimic',8.5,8.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36596,36596,'Supplies Safe',0,'',0,'LineageMonster.mimic',8.5,8.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36597,36597,'Supplies Safe',0,'',0,'LineageMonster.mimic',8.5,8.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36598,36598,'Supplies Safe',0,'',0,'LineageMonster.mimic',8.5,8.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(36599,36599,'Supplies Safe',0,'',0,'LineageMonster.mimic',8.5,8.5,70,'male','L2Npc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,50,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false');

-- Custom NPCs (TODO: This should be moved to custom tables)
INSERT INTO `npc` VALUES
(50007,31324,'Andromeda',1,'L2J Wedding Manager',1,'NPC.a_casino_FDarkElf',8,23,70,'female','L2WeddingManager',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(70010,31606,'Catrina',1,'L2J TvT Event Manager',1,'Monster2.queen_of_cat',8,15,70,'female','L2TvTEventNpc',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false'),
(1000003,32226,'Shiela',1,'L2J NPC Buffer',1,'LineageNPC2.K_F1_grand',11,22.25,70,'male','L2NpcBuffer',40,2444,2444,0,0,10,10,10,10,10,10,0,0,500,500,500,500,278,0,333,0,0,NULL,28,120,'',0,0,0,'LAST_HIT',0,0,0,'balanced','false');

-- Fortress: Support Unit
UPDATE `npc` SET collision_radius='9', collision_height='23.5', level='70' WHERE name='Support Unit Captain';
-- Fortress: Scout Golem
UPDATE `npc` SET type='L2FortSiegeGuard', collision_radius='5', collision_height='19', atkspd='278', matkspd='333', walkspd='30' WHERE id IN (35712,35781,35881,35950,35988,36057,36095,36195,36233,36271);
-- Fortress: General
UPDATE `npc` SET collision_radius='14.5', collision_height='30', atkspd='236', matkspd='333', rhand='9813', lhand='9813', walkspd='60' WHERE id IN (35721,35790,35890,35959,35997,36066,36104,36204,36242,36280);
-- Fortress: Guards
UPDATE `npc` SET walkspd='50', runspd='120' WHERE `type`='L2FortSiegeGuard' AND (faction_id='archer_siege_clan' OR faction_id='guard_siege_clan' OR faction_id='mage_siege_clan' OR faction_id='siege_clan');

-- NPC Standards
UPDATE `npc` SET level='70', sp='0', exp='0', hp='3862', mp='1494', attackrange='40', AI='fighter', atkspd='253', patk='1303', matk='607', pdef='471', mdef='382', str='40', `int`='21', dex='30', wit='20', con='43', men='20', hpreg='0', mpreg='0', aggro='0', matkspd='333', faction_range='0', absorb_level='0', absorb_type='LAST_HIT', ss='0', bss='0', ss_rate='0', drop_herbs='false' WHERE type='L2Npc' AND NOT id='35062';
UPDATE `npc` SET level='70', sp='0', exp='0', hp='3862', mp='1494', attackrange='40', AI='fighter', atkspd='253', patk='1303', matk='607', pdef='471', mdef='382', str='40', `int`='21', dex='30', wit='20', con='43', men='20', hpreg='0', mpreg='0', aggro='0', matkspd='333', faction_range='0', absorb_level='0', absorb_type='LAST_HIT', ss='0', bss='0', ss_rate='0', drop_herbs='false' WHERE type='L2Teleporter';
UPDATE `npc` SET level='70', sp='0', exp='0', hp='3862', mp='1494', attackrange='40', AI='fighter', atkspd='253', patk='1303', matk='607', pdef='471', mdef='382', str='40', `int`='21', dex='30', wit='20', con='43', men='20', hpreg='0', mpreg='0', aggro='0', matkspd='333', faction_range='0', absorb_level='0', absorb_type='LAST_HIT', ss='0', bss='0', ss_rate='0', drop_herbs='false' WHERE type='L2Merchant';
UPDATE `npc` SET level='70', sp='0', exp='0', hp='3862', mp='1494', attackrange='40', AI='fighter', atkspd='253', patk='1303', matk='607', pdef='471', mdef='382', str='40', `int`='21', dex='30', wit='20', con='43', men='20', hpreg='0', mpreg='0', aggro='0', matkspd='333', faction_range='0', absorb_level='0', absorb_type='LAST_HIT', ss='0', bss='0', ss_rate='0', drop_herbs='false' WHERE type='L2Trainer';
UPDATE `npc` SET level='70', sp='0', exp='0', hp='3862', mp='1494', attackrange='40', AI='fighter', atkspd='253', patk='1303', matk='607', pdef='471', mdef='382', str='40', `int`='21', dex='30', wit='20', con='43', men='20', hpreg='0', mpreg='0', aggro='0', matkspd='333', faction_range='0', absorb_level='0', absorb_type='LAST_HIT', ss='0', bss='0', ss_rate='0', drop_herbs='false' WHERE type='L2Warehouse';
UPDATE `npc` SET level='70', sp='0', exp='0', hp='3862', mp='1494', attackrange='40', AI='fighter', atkspd='253', patk='1303', matk='607', pdef='471', mdef='382', str='40', `int`='21', dex='30', wit='20', con='43', men='20', hpreg='0', mpreg='0', aggro='0', matkspd='333', faction_range='0', absorb_level='0', absorb_type='LAST_HIT', ss='0', bss='0', ss_rate='0', drop_herbs='false' WHERE type='L2VillageMaster';
UPDATE `npc` SET level='70', sp='0', exp='0', hp='3862', mp='1494', attackrange='40', AI='fighter', atkspd='253', patk='1303', matk='607', pdef='471', mdef='382', str='40', `int`='21', dex='30', wit='20', con='43', men='20', hpreg='0', mpreg='0', aggro='0', matkspd='333', faction_range='0', absorb_level='0', absorb_type='LAST_HIT', ss='0', bss='0', ss_rate='0', drop_herbs='false' WHERE type='L2PetManager';
UPDATE `npc` SET level='70', sp='0', exp='0', hp='3862', mp='1494', attackrange='40', AI='fighter', atkspd='253', patk='1303', matk='607', pdef='471', mdef='382', str='40', `int`='21', dex='30', wit='20', con='43', men='20', hpreg='0', mpreg='0', aggro='0', matkspd='333', faction_range='0', absorb_level='0', absorb_type='LAST_HIT', ss='0', bss='0', ss_rate='0', drop_herbs='false' WHERE type='L2Auctioneer';
UPDATE `npc` SET level='70', sp='0', exp='0', hp='3862', mp='1494', attackrange='40', AI='fighter', atkspd='253', patk='1303', matk='607', pdef='471', mdef='382', str='40', `int`='21', dex='30', wit='20', con='43', men='20', hpreg='0', mpreg='0', aggro='0', matkspd='333', faction_range='0', absorb_level='0', absorb_type='LAST_HIT', ss='0', bss='0', ss_rate='0', drop_herbs='false' WHERE type='L2Doormen';
UPDATE `npc` SET level='70', sp='0', exp='0', hp='3862', mp='1494', attackrange='40', AI='fighter', atkspd='253', patk='1303', matk='607', pdef='471', mdef='382', str='40', `int`='21', dex='30', wit='20', con='43', men='20', hpreg='0', mpreg='0', aggro='0', matkspd='333', faction_range='0', absorb_level='0', absorb_type='LAST_HIT', ss='0', bss='0', ss_rate='0', drop_herbs='false' WHERE type='L2ClanHallDoormen';
UPDATE `npc` SET level='70', sp='0', exp='0', hp='3862', mp='1494', attackrange='40', AI='fighter', atkspd='253', patk='1303', matk='607', pdef='471', mdef='382', str='40', `int`='21', dex='30', wit='20', con='43', men='20', hpreg='0', mpreg='0', aggro='0', matkspd='333', faction_range='0', absorb_level='0', absorb_type='LAST_HIT', ss='0', bss='0', ss_rate='0', drop_herbs='false' WHERE type='L2CastleDoormen';
UPDATE `npc` SET level='70', sp='0', exp='0', hp='3862', mp='1494', attackrange='40', AI='fighter', atkspd='253', patk='1303', matk='607', pdef='471', mdef='382', str='40', `int`='21', dex='30', wit='20', con='43', men='20', hpreg='0', mpreg='0', aggro='0', matkspd='333', faction_range='0', absorb_level='0', absorb_type='LAST_HIT', ss='0', bss='0', ss_rate='0', drop_herbs='false' WHERE type='L2FortDoormen';

-- Agathion Standards
UPDATE `npc` SET type='L2Npc', level='55', sp='0', exp='0', hp='2643', mp='988', attackrange='40', AI='fighter', atkspd='253', patk='665', matk='311', pdef='322', mdef='262', str='40', `int`='21', dex='30', wit='20', con='43', men='25', collision_radius='13', collision_height='11.5', rhand='0', lhand='0' WHERE name LIKE '%Agathion%';